searchNodes=[{"doc":"","ref":"Evision.html","title":"Evision","type":"module"},{"doc":"Calculates the per-element absolute difference between two arrays or between an array and a scalar. Positional Arguments src1 : Evision.Mat.t() . first input array or a scalar. src2 : Evision.Mat.t() . second input array or a scalar. Return dst : Evision.Mat.t() . output array that has the same size and type as input arrays. The function cv::absdiff calculates: Absolute difference between two arrays when they have the same size and type: \\f[\\texttt{dst}(I) = \\texttt{saturate} (| \\texttt{src1}(I) - \\texttt{src2}(I)|)\\f] Absolute difference between an array and a scalar when the second array is constructed from Scalar or has as many elements as the number of channels in src1 : \\f[\\texttt{dst}(I) = \\texttt{saturate} (| \\texttt{src1}(I) - \\texttt{src2} |)\\f] Absolute difference between a scalar and an array when the first array is constructed from Scalar or has as many elements as the number of channels in src2 : \\f[\\texttt{dst}(I) = \\texttt{saturate} (| \\texttt{src1} - \\texttt{src2}(I) |)\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. Note : Saturation is not applied when the arrays have the depth CV_32S. You may even get a negative value in the case of overflow. @sa cv::abs(const Mat&amp;) Python prototype (for reference only): absdiff(src1, src2[, dst]) -&gt; dst","ref":"Evision.html#absdiff/2","title":"Evision.absdiff/2","type":"function"},{"doc":"Calculates the per-element absolute difference between two arrays or between an array and a scalar. Positional Arguments src1 : Evision.Mat.t() . first input array or a scalar. src2 : Evision.Mat.t() . second input array or a scalar. Return dst : Evision.Mat.t() . output array that has the same size and type as input arrays. The function cv::absdiff calculates: Absolute difference between two arrays when they have the same size and type: \\f[\\texttt{dst}(I) = \\texttt{saturate} (| \\texttt{src1}(I) - \\texttt{src2}(I)|)\\f] Absolute difference between an array and a scalar when the second array is constructed from Scalar or has as many elements as the number of channels in src1 : \\f[\\texttt{dst}(I) = \\texttt{saturate} (| \\texttt{src1}(I) - \\texttt{src2} |)\\f] Absolute difference between a scalar and an array when the first array is constructed from Scalar or has as many elements as the number of channels in src2 : \\f[\\texttt{dst}(I) = \\texttt{saturate} (| \\texttt{src1} - \\texttt{src2}(I) |)\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. Note : Saturation is not applied when the arrays have the depth CV_32S. You may even get a negative value in the case of overflow. @sa cv::abs(const Mat&amp;) Python prototype (for reference only): absdiff(src1, src2[, dst]) -&gt; dst","ref":"Evision.html#absdiff/3","title":"Evision.absdiff/3","type":"function"},{"doc":"Adds an image to the accumulator image. Positional Arguments src : Evision.Mat.t() . Input image of type CV_8UC(n), CV_16UC(n), CV_32FC(n) or CV_64FC(n), where n is a positive integer. Keyword Arguments mask : Evision.Mat.t() . Optional operation mask. Return dst : Evision.Mat.t() . %Accumulator image with the same number of channels as input image, and a depth of CV_32F or CV_64F. The function adds src or some of its elements to dst : \\f[\\texttt{dst} (x,y) \\leftarrow \\texttt{dst} (x,y) + \\texttt{src} (x,y) \\quad \\text{if} \\quad \\texttt{mask} (x,y) \\ne 0\\f] The function supports multi-channel images. Each channel is processed independently. The function cv::accumulate can be used, for example, to collect statistics of a scene background viewed by a still camera and for the further foreground-background segmentation. @sa accumulateSquare, accumulateProduct, accumulateWeighted Python prototype (for reference only): accumulate(src, dst[, mask]) -&gt; dst","ref":"Evision.html#accumulate/2","title":"Evision.accumulate/2","type":"function"},{"doc":"Adds an image to the accumulator image. Positional Arguments src : Evision.Mat.t() . Input image of type CV_8UC(n), CV_16UC(n), CV_32FC(n) or CV_64FC(n), where n is a positive integer. Keyword Arguments mask : Evision.Mat.t() . Optional operation mask. Return dst : Evision.Mat.t() . %Accumulator image with the same number of channels as input image, and a depth of CV_32F or CV_64F. The function adds src or some of its elements to dst : \\f[\\texttt{dst} (x,y) \\leftarrow \\texttt{dst} (x,y) + \\texttt{src} (x,y) \\quad \\text{if} \\quad \\texttt{mask} (x,y) \\ne 0\\f] The function supports multi-channel images. Each channel is processed independently. The function cv::accumulate can be used, for example, to collect statistics of a scene background viewed by a still camera and for the further foreground-background segmentation. @sa accumulateSquare, accumulateProduct, accumulateWeighted Python prototype (for reference only): accumulate(src, dst[, mask]) -&gt; dst","ref":"Evision.html#accumulate/3","title":"Evision.accumulate/3","type":"function"},{"doc":"Adds the per-element product of two input images to the accumulator image. Positional Arguments src1 : Evision.Mat.t() . First input image, 1- or 3-channel, 8-bit or 32-bit floating point. src2 : Evision.Mat.t() . Second input image of the same type and the same size as src1 . Keyword Arguments mask : Evision.Mat.t() . Optional operation mask. Return dst : Evision.Mat.t() . %Accumulator image with the same number of channels as input images, 32-bit or 64-bit floating-point. The function adds the product of two images or their selected regions to the accumulator dst : \\f[\\texttt{dst} (x,y) \\leftarrow \\texttt{dst} (x,y) + \\texttt{src1} (x,y) \\cdot \\texttt{src2} (x,y) \\quad \\text{if} \\quad \\texttt{mask} (x,y) \\ne 0\\f] The function supports multi-channel images. Each channel is processed independently. @sa accumulate, accumulateSquare, accumulateWeighted Python prototype (for reference only): accumulateProduct(src1, src2, dst[, mask]) -&gt; dst","ref":"Evision.html#accumulateProduct/3","title":"Evision.accumulateProduct/3","type":"function"},{"doc":"Adds the per-element product of two input images to the accumulator image. Positional Arguments src1 : Evision.Mat.t() . First input image, 1- or 3-channel, 8-bit or 32-bit floating point. src2 : Evision.Mat.t() . Second input image of the same type and the same size as src1 . Keyword Arguments mask : Evision.Mat.t() . Optional operation mask. Return dst : Evision.Mat.t() . %Accumulator image with the same number of channels as input images, 32-bit or 64-bit floating-point. The function adds the product of two images or their selected regions to the accumulator dst : \\f[\\texttt{dst} (x,y) \\leftarrow \\texttt{dst} (x,y) + \\texttt{src1} (x,y) \\cdot \\texttt{src2} (x,y) \\quad \\text{if} \\quad \\texttt{mask} (x,y) \\ne 0\\f] The function supports multi-channel images. Each channel is processed independently. @sa accumulate, accumulateSquare, accumulateWeighted Python prototype (for reference only): accumulateProduct(src1, src2, dst[, mask]) -&gt; dst","ref":"Evision.html#accumulateProduct/4","title":"Evision.accumulateProduct/4","type":"function"},{"doc":"Adds the square of a source image to the accumulator image. Positional Arguments src : Evision.Mat.t() . Input image as 1- or 3-channel, 8-bit or 32-bit floating point. Keyword Arguments mask : Evision.Mat.t() . Optional operation mask. Return dst : Evision.Mat.t() . %Accumulator image with the same number of channels as input image, 32-bit or 64-bit floating-point. The function adds the input image src or its selected region, raised to a power of 2, to the accumulator dst : \\f[\\texttt{dst} (x,y) \\leftarrow \\texttt{dst} (x,y) + \\texttt{src} (x,y)^2 \\quad \\text{if} \\quad \\texttt{mask} (x,y) \\ne 0\\f] The function supports multi-channel images. Each channel is processed independently. @sa accumulateSquare, accumulateProduct, accumulateWeighted Python prototype (for reference only): accumulateSquare(src, dst[, mask]) -&gt; dst","ref":"Evision.html#accumulateSquare/2","title":"Evision.accumulateSquare/2","type":"function"},{"doc":"Adds the square of a source image to the accumulator image. Positional Arguments src : Evision.Mat.t() . Input image as 1- or 3-channel, 8-bit or 32-bit floating point. Keyword Arguments mask : Evision.Mat.t() . Optional operation mask. Return dst : Evision.Mat.t() . %Accumulator image with the same number of channels as input image, 32-bit or 64-bit floating-point. The function adds the input image src or its selected region, raised to a power of 2, to the accumulator dst : \\f[\\texttt{dst} (x,y) \\leftarrow \\texttt{dst} (x,y) + \\texttt{src} (x,y)^2 \\quad \\text{if} \\quad \\texttt{mask} (x,y) \\ne 0\\f] The function supports multi-channel images. Each channel is processed independently. @sa accumulateSquare, accumulateProduct, accumulateWeighted Python prototype (for reference only): accumulateSquare(src, dst[, mask]) -&gt; dst","ref":"Evision.html#accumulateSquare/3","title":"Evision.accumulateSquare/3","type":"function"},{"doc":"Updates a running average. Positional Arguments src : Evision.Mat.t() . Input image as 1- or 3-channel, 8-bit or 32-bit floating point. alpha : double . Weight of the input image. Keyword Arguments mask : Evision.Mat.t() . Optional operation mask. Return dst : Evision.Mat.t() . %Accumulator image with the same number of channels as input image, 32-bit or 64-bit floating-point. The function calculates the weighted sum of the input image src and the accumulator dst so that dst becomes a running average of a frame sequence: \\f[\\texttt{dst} (x,y) \\leftarrow (1- \\texttt{alpha} ) \\cdot \\texttt{dst} (x,y) + \\texttt{alpha} \\cdot \\texttt{src} (x,y) \\quad \\text{if} \\quad \\texttt{mask} (x,y) \\ne 0\\f] That is, alpha regulates the update speed (how fast the accumulator &quot;forgets&quot; about earlier images). The function supports multi-channel images. Each channel is processed independently. @sa accumulate, accumulateSquare, accumulateProduct Python prototype (for reference only): accumulateWeighted(src, dst, alpha[, mask]) -&gt; dst","ref":"Evision.html#accumulateWeighted/3","title":"Evision.accumulateWeighted/3","type":"function"},{"doc":"Updates a running average. Positional Arguments src : Evision.Mat.t() . Input image as 1- or 3-channel, 8-bit or 32-bit floating point. alpha : double . Weight of the input image. Keyword Arguments mask : Evision.Mat.t() . Optional operation mask. Return dst : Evision.Mat.t() . %Accumulator image with the same number of channels as input image, 32-bit or 64-bit floating-point. The function calculates the weighted sum of the input image src and the accumulator dst so that dst becomes a running average of a frame sequence: \\f[\\texttt{dst} (x,y) \\leftarrow (1- \\texttt{alpha} ) \\cdot \\texttt{dst} (x,y) + \\texttt{alpha} \\cdot \\texttt{src} (x,y) \\quad \\text{if} \\quad \\texttt{mask} (x,y) \\ne 0\\f] That is, alpha regulates the update speed (how fast the accumulator &quot;forgets&quot; about earlier images). The function supports multi-channel images. Each channel is processed independently. @sa accumulate, accumulateSquare, accumulateProduct Python prototype (for reference only): accumulateWeighted(src, dst, alpha[, mask]) -&gt; dst","ref":"Evision.html#accumulateWeighted/4","title":"Evision.accumulateWeighted/4","type":"function"},{"doc":"Applies an adaptive threshold to an array. Positional Arguments src : Evision.Mat.t() . Source 8-bit single-channel image. maxValue : double . Non-zero value assigned to the pixels for which the condition is satisfied adaptiveMethod : int . Adaptive thresholding algorithm to use, see #AdaptiveThresholdTypes. The #BORDER_REPLICATE | #BORDER_ISOLATED is used to process boundaries. thresholdType : int . Thresholding type that must be either #THRESH_BINARY or #THRESH_BINARY_INV, see #ThresholdTypes. blockSize : int . Size of a pixel neighborhood that is used to calculate a threshold value for the pixel: 3, 5, 7, and so on. c : double . Constant subtracted from the mean or weighted mean (see the details below). Normally, it is positive but may be zero or negative as well. Return dst : Evision.Mat.t() . Destination image of the same size and the same type as src. The function transforms a grayscale image to a binary image according to the formulae: THRESH_BINARY \\f[dst(x,y) = \\fork{\\texttt{maxValue}}{if (src(x,y) &gt; T(x,y))}{0}{otherwise}\\f] THRESH_BINARY_INV \\f[dst(x,y) = \\fork{0}{if (src(x,y) &gt; T(x,y))}{\\texttt{maxValue}}{otherwise}\\f] where \\f$T(x,y)\\f$ is a threshold calculated individually for each pixel (see adaptiveMethod parameter). The function can process the image in-place. @sa threshold, blur, GaussianBlur Python prototype (for reference only): adaptiveThreshold(src, maxValue, adaptiveMethod, thresholdType, blockSize, C[, dst]) -&gt; dst","ref":"Evision.html#adaptiveThreshold/6","title":"Evision.adaptiveThreshold/6","type":"function"},{"doc":"Applies an adaptive threshold to an array. Positional Arguments src : Evision.Mat.t() . Source 8-bit single-channel image. maxValue : double . Non-zero value assigned to the pixels for which the condition is satisfied adaptiveMethod : int . Adaptive thresholding algorithm to use, see #AdaptiveThresholdTypes. The #BORDER_REPLICATE | #BORDER_ISOLATED is used to process boundaries. thresholdType : int . Thresholding type that must be either #THRESH_BINARY or #THRESH_BINARY_INV, see #ThresholdTypes. blockSize : int . Size of a pixel neighborhood that is used to calculate a threshold value for the pixel: 3, 5, 7, and so on. c : double . Constant subtracted from the mean or weighted mean (see the details below). Normally, it is positive but may be zero or negative as well. Return dst : Evision.Mat.t() . Destination image of the same size and the same type as src. The function transforms a grayscale image to a binary image according to the formulae: THRESH_BINARY \\f[dst(x,y) = \\fork{\\texttt{maxValue}}{if (src(x,y) &gt; T(x,y))}{0}{otherwise}\\f] THRESH_BINARY_INV \\f[dst(x,y) = \\fork{0}{if (src(x,y) &gt; T(x,y))}{\\texttt{maxValue}}{otherwise}\\f] where \\f$T(x,y)\\f$ is a threshold calculated individually for each pixel (see adaptiveMethod parameter). The function can process the image in-place. @sa threshold, blur, GaussianBlur Python prototype (for reference only): adaptiveThreshold(src, maxValue, adaptiveMethod, thresholdType, blockSize, C[, dst]) -&gt; dst","ref":"Evision.html#adaptiveThreshold/7","title":"Evision.adaptiveThreshold/7","type":"function"},{"doc":"Calculates the per-element sum of two arrays or an array and a scalar. Positional Arguments src1 : Evision.Mat.t() . first input array or a scalar. src2 : Evision.Mat.t() . second input array or a scalar. Keyword Arguments mask : Evision.Mat.t() . optional operation mask - 8-bit single channel array, that specifies elements of the output array to be changed. dtype : int . optional depth of the output array (see the discussion below). Return dst : Evision.Mat.t() . output array that has the same size and number of channels as the input array(s); the depth is defined by dtype or src1/src2. The function add calculates: Sum of two arrays when both input arrays have the same size and the same number of channels: \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1}(I) + \\texttt{src2}(I)) \\quad \\texttt{if mask}(I) \\ne0\\f] Sum of an array and a scalar when src2 is constructed from Scalar or has the same number of elements as src1.channels() : \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1}(I) + \\texttt{src2} ) \\quad \\texttt{if mask}(I) \\ne0\\f] Sum of a scalar and an array when src1 is constructed from Scalar or has the same number of elements as src2.channels() : \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1} + \\texttt{src2}(I) ) \\quad \\texttt{if mask}(I) \\ne0\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. The first function in the list above can be replaced with matrix expressions: dst = src1 + src2; dst += src1; // equivalent to add(dst, src1, dst); The input arrays and the output array can all have the same or different depths. For example, you can add a 16-bit unsigned array to a 8-bit signed array and store the sum as a 32-bit floating-point array. Depth of the output array is determined by the dtype parameter. In the second and third cases above, as well as in the first case, when src1.depth() == src2.depth(), dtype can be set to the default -1. In this case, the output array will have the same depth as the input array, be it src1, src2 or both. Note : Saturation is not applied when the output array has the depth CV_32S. You may even get result of an incorrect sign in the case of overflow. @sa subtract, addWeighted, scaleAdd, Mat::convertTo Python prototype (for reference only): add(src1, src2[, dst[, mask[, dtype]]]) -&gt; dst","ref":"Evision.html#add/2","title":"Evision.add/2","type":"function"},{"doc":"Calculates the per-element sum of two arrays or an array and a scalar. Positional Arguments src1 : Evision.Mat.t() . first input array or a scalar. src2 : Evision.Mat.t() . second input array or a scalar. Keyword Arguments mask : Evision.Mat.t() . optional operation mask - 8-bit single channel array, that specifies elements of the output array to be changed. dtype : int . optional depth of the output array (see the discussion below). Return dst : Evision.Mat.t() . output array that has the same size and number of channels as the input array(s); the depth is defined by dtype or src1/src2. The function add calculates: Sum of two arrays when both input arrays have the same size and the same number of channels: \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1}(I) + \\texttt{src2}(I)) \\quad \\texttt{if mask}(I) \\ne0\\f] Sum of an array and a scalar when src2 is constructed from Scalar or has the same number of elements as src1.channels() : \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1}(I) + \\texttt{src2} ) \\quad \\texttt{if mask}(I) \\ne0\\f] Sum of a scalar and an array when src1 is constructed from Scalar or has the same number of elements as src2.channels() : \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1} + \\texttt{src2}(I) ) \\quad \\texttt{if mask}(I) \\ne0\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. The first function in the list above can be replaced with matrix expressions: dst = src1 + src2; dst += src1; // equivalent to add(dst, src1, dst); The input arrays and the output array can all have the same or different depths. For example, you can add a 16-bit unsigned array to a 8-bit signed array and store the sum as a 32-bit floating-point array. Depth of the output array is determined by the dtype parameter. In the second and third cases above, as well as in the first case, when src1.depth() == src2.depth(), dtype can be set to the default -1. In this case, the output array will have the same depth as the input array, be it src1, src2 or both. Note : Saturation is not applied when the output array has the depth CV_32S. You may even get result of an incorrect sign in the case of overflow. @sa subtract, addWeighted, scaleAdd, Mat::convertTo Python prototype (for reference only): add(src1, src2[, dst[, mask[, dtype]]]) -&gt; dst","ref":"Evision.html#add/3","title":"Evision.add/3","type":"function"},{"doc":"Draws a text on the image. Positional Arguments img : Evision.Mat.t() . 8-bit 3-channel image where the text should be drawn. text : String . Text to write on an image. org : Point . Point(x,y) where the text should start on an image. nameFont : String . Name of the font. The name should match the name of a system font (such as Times*). If the font is not found, a default one is used. Keyword Arguments pointSize : int . Size of the font. If not specified, equal zero or negative, the point size of the font is set to a system-dependent default value. Generally, this is 12 points. color : Scalar . Color of the font in BGRA where A = 255 is fully transparent. weight : int . Font weight. Available operation flags are : cv::QtFontWeights You can also specify a positive integer for better control. style : int . Font style. Available operation flags are : cv::QtFontStyles spacing : int . Spacing between characters. It can be negative or positive. Python prototype (for reference only): addText(img, text, org, nameFont[, pointSize[, color[, weight[, style[, spacing]]]]]) -&gt; None","ref":"Evision.html#addText/4","title":"Evision.addText/4","type":"function"},{"doc":"Draws a text on the image. Positional Arguments img : Evision.Mat.t() . 8-bit 3-channel image where the text should be drawn. text : String . Text to write on an image. org : Point . Point(x,y) where the text should start on an image. nameFont : String . Name of the font. The name should match the name of a system font (such as Times*). If the font is not found, a default one is used. Keyword Arguments pointSize : int . Size of the font. If not specified, equal zero or negative, the point size of the font is set to a system-dependent default value. Generally, this is 12 points. color : Scalar . Color of the font in BGRA where A = 255 is fully transparent. weight : int . Font weight. Available operation flags are : cv::QtFontWeights You can also specify a positive integer for better control. style : int . Font style. Available operation flags are : cv::QtFontStyles spacing : int . Spacing between characters. It can be negative or positive. Python prototype (for reference only): addText(img, text, org, nameFont[, pointSize[, color[, weight[, style[, spacing]]]]]) -&gt; None","ref":"Evision.html#addText/5","title":"Evision.addText/5","type":"function"},{"doc":"Calculates the weighted sum of two arrays. Positional Arguments src1 : Evision.Mat.t() . first input array. alpha : double . weight of the first array elements. src2 : Evision.Mat.t() . second input array of the same size and channel number as src1. beta : double . weight of the second array elements. gamma : double . scalar added to each sum. Keyword Arguments dtype : int . optional depth of the output array; when both input arrays have the same depth, dtype can be set to -1, which will be equivalent to src1.depth(). Return dst : Evision.Mat.t() . output array that has the same size and number of channels as the input arrays. The function addWeighted calculates the weighted sum of two arrays as follows: \\f[\\texttt{dst} (I)= \\texttt{saturate} ( \\texttt{src1} (I)* \\texttt{alpha} + \\texttt{src2} (I)* \\texttt{beta} + \\texttt{gamma} )\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. The function can be replaced with a matrix expression: dst = src1*alpha + src2*beta + gamma; Note : Saturation is not applied when the output array has the depth CV_32S. You may even get result of an incorrect sign in the case of overflow. @sa add, subtract, scaleAdd, Mat::convertTo Python prototype (for reference only): addWeighted(src1, alpha, src2, beta, gamma[, dst[, dtype]]) -&gt; dst","ref":"Evision.html#addWeighted/5","title":"Evision.addWeighted/5","type":"function"},{"doc":"Calculates the weighted sum of two arrays. Positional Arguments src1 : Evision.Mat.t() . first input array. alpha : double . weight of the first array elements. src2 : Evision.Mat.t() . second input array of the same size and channel number as src1. beta : double . weight of the second array elements. gamma : double . scalar added to each sum. Keyword Arguments dtype : int . optional depth of the output array; when both input arrays have the same depth, dtype can be set to -1, which will be equivalent to src1.depth(). Return dst : Evision.Mat.t() . output array that has the same size and number of channels as the input arrays. The function addWeighted calculates the weighted sum of two arrays as follows: \\f[\\texttt{dst} (I)= \\texttt{saturate} ( \\texttt{src1} (I)* \\texttt{alpha} + \\texttt{src2} (I)* \\texttt{beta} + \\texttt{gamma} )\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. The function can be replaced with a matrix expression: dst = src1*alpha + src2*beta + gamma; Note : Saturation is not applied when the output array has the depth CV_32S. You may even get result of an incorrect sign in the case of overflow. @sa add, subtract, scaleAdd, Mat::convertTo Python prototype (for reference only): addWeighted(src1, alpha, src2, beta, gamma[, dst[, dtype]]) -&gt; dst","ref":"Evision.html#addWeighted/6","title":"Evision.addWeighted/6","type":"function"},{"doc":"Variant 1: Applies a user colormap on a given image. Positional Arguments src : Evision.Mat.t() . The source image, grayscale or colored of type CV_8UC1 or CV_8UC3. userColor : Evision.Mat.t() . The colormap to apply of type CV_8UC1 or CV_8UC3 and size 256 Return dst : Evision.Mat.t() . The result is the colormapped source image. Note: Mat::create is called on dst. Python prototype (for reference only): applyColorMap(src, userColor[, dst]) -&gt; dst Variant 2: Applies a GNU Octave/MATLAB equivalent colormap on a given image. Positional Arguments src : Evision.Mat.t() . The source image, grayscale or colored of type CV_8UC1 or CV_8UC3. colormap : int . The colormap to apply, see #ColormapTypes Return dst : Evision.Mat.t() . The result is the colormapped source image. Note: Mat::create is called on dst. Python prototype (for reference only): applyColorMap(src, colormap[, dst]) -&gt; dst","ref":"Evision.html#applyColorMap/2","title":"Evision.applyColorMap/2","type":"function"},{"doc":"Variant 1: Applies a user colormap on a given image. Positional Arguments src : Evision.Mat.t() . The source image, grayscale or colored of type CV_8UC1 or CV_8UC3. userColor : Evision.Mat.t() . The colormap to apply of type CV_8UC1 or CV_8UC3 and size 256 Return dst : Evision.Mat.t() . The result is the colormapped source image. Note: Mat::create is called on dst. Python prototype (for reference only): applyColorMap(src, userColor[, dst]) -&gt; dst Variant 2: Applies a GNU Octave/MATLAB equivalent colormap on a given image. Positional Arguments src : Evision.Mat.t() . The source image, grayscale or colored of type CV_8UC1 or CV_8UC3. colormap : int . The colormap to apply, see #ColormapTypes Return dst : Evision.Mat.t() . The result is the colormapped source image. Note: Mat::create is called on dst. Python prototype (for reference only): applyColorMap(src, colormap[, dst]) -&gt; dst","ref":"Evision.html#applyColorMap/3","title":"Evision.applyColorMap/3","type":"function"},{"doc":"Approximates a polygonal curve(s) with the specified precision. Positional Arguments curve : Evision.Mat.t() . Input vector of a 2D point stored in std::vector or Mat epsilon : double . Parameter specifying the approximation accuracy. This is the maximum distance between the original curve and its approximation. closed : bool . If true, the approximated curve is closed (its first and last vertices are connected). Otherwise, it is not closed. Return approxCurve : Evision.Mat.t() . Result of the approximation. The type should match the type of the input curve. The function cv::approxPolyDP approximates a curve or a polygon with another curve/polygon with less vertices so that the distance between them is less or equal to the specified precision. It uses the Douglas-Peucker algorithm http://en.wikipedia.org/wiki/Ramer-Douglas-Peucker_algorithm Python prototype (for reference only): approxPolyDP(curve, epsilon, closed[, approxCurve]) -&gt; approxCurve","ref":"Evision.html#approxPolyDP/3","title":"Evision.approxPolyDP/3","type":"function"},{"doc":"Approximates a polygonal curve(s) with the specified precision. Positional Arguments curve : Evision.Mat.t() . Input vector of a 2D point stored in std::vector or Mat epsilon : double . Parameter specifying the approximation accuracy. This is the maximum distance between the original curve and its approximation. closed : bool . If true, the approximated curve is closed (its first and last vertices are connected). Otherwise, it is not closed. Return approxCurve : Evision.Mat.t() . Result of the approximation. The type should match the type of the input curve. The function cv::approxPolyDP approximates a curve or a polygon with another curve/polygon with less vertices so that the distance between them is less or equal to the specified precision. It uses the Douglas-Peucker algorithm http://en.wikipedia.org/wiki/Ramer-Douglas-Peucker_algorithm Python prototype (for reference only): approxPolyDP(curve, epsilon, closed[, approxCurve]) -&gt; approxCurve","ref":"Evision.html#approxPolyDP/4","title":"Evision.approxPolyDP/4","type":"function"},{"doc":"Calculates a contour perimeter or a curve length. Positional Arguments curve : Evision.Mat.t() . Input vector of 2D points, stored in std::vector or Mat. closed : bool . Flag indicating whether the curve is closed or not. Return retval : double The function computes a curve length or a closed contour perimeter. Python prototype (for reference only): arcLength(curve, closed) -&gt; retval","ref":"Evision.html#arcLength/2","title":"Evision.arcLength/2","type":"function"},{"doc":"Draws an arrow segment pointing from the first point to the second one. Positional Arguments pt1 : Point . The point the arrow starts from. pt2 : Point . The point the arrow points to. color : Scalar . Line color. Keyword Arguments thickness : int . Line thickness. line_type : int . Type of the line. See #LineTypes shift : int . Number of fractional bits in the point coordinates. tipLength : double . The length of the arrow tip in relation to the arrow length Return img : Evision.Mat.t() . Image. The function cv::arrowedLine draws an arrow between pt1 and pt2 points in the image. See also #line. Python prototype (for reference only): arrowedLine(img, pt1, pt2, color[, thickness[, line_type[, shift[, tipLength]]]]) -&gt; img","ref":"Evision.html#arrowedLine/4","title":"Evision.arrowedLine/4","type":"function"},{"doc":"Draws an arrow segment pointing from the first point to the second one. Positional Arguments pt1 : Point . The point the arrow starts from. pt2 : Point . The point the arrow points to. color : Scalar . Line color. Keyword Arguments thickness : int . Line thickness. line_type : int . Type of the line. See #LineTypes shift : int . Number of fractional bits in the point coordinates. tipLength : double . The length of the arrow tip in relation to the arrow length Return img : Evision.Mat.t() . Image. The function cv::arrowedLine draws an arrow between pt1 and pt2 points in the image. See also #line. Python prototype (for reference only): arrowedLine(img, pt1, pt2, color[, thickness[, line_type[, shift[, tipLength]]]]) -&gt; img","ref":"Evision.html#arrowedLine/5","title":"Evision.arrowedLine/5","type":"function"},{"doc":"naive nearest neighbor finder Positional Arguments src1 : Evision.Mat.t() src2 : Evision.Mat.t() dtype : int Keyword Arguments normType : int . k : int . mask : Evision.Mat.t() . update : int . crosscheck : bool . Return dist : Evision.Mat.t() . nidx : Evision.Mat.t() . see http://en.wikipedia.org/wiki/Nearest_neighbor_search @todo document Python prototype (for reference only): batchDistance(src1, src2, dtype[, dist[, nidx[, normType[, K[, mask[, update[, crosscheck]]]]]]]) -&gt; dist, nidx","ref":"Evision.html#batchDistance/3","title":"Evision.batchDistance/3","type":"function"},{"doc":"naive nearest neighbor finder Positional Arguments src1 : Evision.Mat.t() src2 : Evision.Mat.t() dtype : int Keyword Arguments normType : int . k : int . mask : Evision.Mat.t() . update : int . crosscheck : bool . Return dist : Evision.Mat.t() . nidx : Evision.Mat.t() . see http://en.wikipedia.org/wiki/Nearest_neighbor_search @todo document Python prototype (for reference only): batchDistance(src1, src2, dtype[, dist[, nidx[, normType[, K[, mask[, update[, crosscheck]]]]]]]) -&gt; dist, nidx","ref":"Evision.html#batchDistance/4","title":"Evision.batchDistance/4","type":"function"},{"doc":"Applies the bilateral filter to an image. Positional Arguments src : Evision.Mat.t() . Source 8-bit or floating-point, 1-channel or 3-channel image. d : int . Diameter of each pixel neighborhood that is used during filtering. If it is non-positive, it is computed from sigmaSpace. sigmaColor : double . Filter sigma in the color space. A larger value of the parameter means that farther colors within the pixel neighborhood (see sigmaSpace) will be mixed together, resulting in larger areas of semi-equal color. sigmaSpace : double . Filter sigma in the coordinate space. A larger value of the parameter means that farther pixels will influence each other as long as their colors are close enough (see sigmaColor ). When d&gt;0, it specifies the neighborhood size regardless of sigmaSpace. Otherwise, d is proportional to sigmaSpace. Keyword Arguments borderType : int . border mode used to extrapolate pixels outside of the image, see #BorderTypes Return dst : Evision.Mat.t() . Destination image of the same size and type as src . The function applies bilateral filtering to the input image, as described in http://www.dai.ed.ac.uk/CVonline/LOCAL_COPIES/MANDUCHI1/Bilateral_Filtering.html bilateralFilter can reduce unwanted noise very well while keeping edges fairly sharp. However, it is very slow compared to most filters. Sigma values : For simplicity, you can set the 2 sigma values to be the same. If they are small (\\&lt; 10), the filter will not have much effect, whereas if they are large (&gt; 150), they will have a very strong effect, making the image look &quot;cartoonish&quot;. Filter size : Large filters (d &gt; 5) are very slow, so it is recommended to use d=5 for real-time applications, and perhaps d=9 for offline applications that need heavy noise filtering. This filter does not work inplace. Python prototype (for reference only): bilateralFilter(src, d, sigmaColor, sigmaSpace[, dst[, borderType]]) -&gt; dst","ref":"Evision.html#bilateralFilter/4","title":"Evision.bilateralFilter/4","type":"function"},{"doc":"Applies the bilateral filter to an image. Positional Arguments src : Evision.Mat.t() . Source 8-bit or floating-point, 1-channel or 3-channel image. d : int . Diameter of each pixel neighborhood that is used during filtering. If it is non-positive, it is computed from sigmaSpace. sigmaColor : double . Filter sigma in the color space. A larger value of the parameter means that farther colors within the pixel neighborhood (see sigmaSpace) will be mixed together, resulting in larger areas of semi-equal color. sigmaSpace : double . Filter sigma in the coordinate space. A larger value of the parameter means that farther pixels will influence each other as long as their colors are close enough (see sigmaColor ). When d&gt;0, it specifies the neighborhood size regardless of sigmaSpace. Otherwise, d is proportional to sigmaSpace. Keyword Arguments borderType : int . border mode used to extrapolate pixels outside of the image, see #BorderTypes Return dst : Evision.Mat.t() . Destination image of the same size and type as src . The function applies bilateral filtering to the input image, as described in http://www.dai.ed.ac.uk/CVonline/LOCAL_COPIES/MANDUCHI1/Bilateral_Filtering.html bilateralFilter can reduce unwanted noise very well while keeping edges fairly sharp. However, it is very slow compared to most filters. Sigma values : For simplicity, you can set the 2 sigma values to be the same. If they are small (\\&lt; 10), the filter will not have much effect, whereas if they are large (&gt; 150), they will have a very strong effect, making the image look &quot;cartoonish&quot;. Filter size : Large filters (d &gt; 5) are very slow, so it is recommended to use d=5 for real-time applications, and perhaps d=9 for offline applications that need heavy noise filtering. This filter does not work inplace. Python prototype (for reference only): bilateralFilter(src, d, sigmaColor, sigmaSpace[, dst[, borderType]]) -&gt; dst","ref":"Evision.html#bilateralFilter/5","title":"Evision.bilateralFilter/5","type":"function"},{"doc":"blendLinear Positional Arguments src1 : Evision.Mat.t() src2 : Evision.Mat.t() weights1 : Evision.Mat.t() weights2 : Evision.Mat.t() Return dst : Evision.Mat.t() . Has overloading in C++ variant without mask parameter Python prototype (for reference only): blendLinear(src1, src2, weights1, weights2[, dst]) -&gt; dst","ref":"Evision.html#blendLinear/4","title":"Evision.blendLinear/4","type":"function"},{"doc":"blendLinear Positional Arguments src1 : Evision.Mat.t() src2 : Evision.Mat.t() weights1 : Evision.Mat.t() weights2 : Evision.Mat.t() Return dst : Evision.Mat.t() . Has overloading in C++ variant without mask parameter Python prototype (for reference only): blendLinear(src1, src2, weights1, weights2[, dst]) -&gt; dst","ref":"Evision.html#blendLinear/5","title":"Evision.blendLinear/5","type":"function"},{"doc":"Blurs an image using the normalized box filter. Positional Arguments src : Evision.Mat.t() . input image; it can have any number of channels, which are processed independently, but the depth should be CV_8U, CV_16U, CV_16S, CV_32F or CV_64F. ksize : Size . blurring kernel size. Keyword Arguments anchor : Point . anchor point; default value Point(-1,-1) means that the anchor is at the kernel center. borderType : int . border mode used to extrapolate pixels outside of the image, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and type as src. The function smooths an image using the kernel: \\f[\\texttt{K} = \\frac{1}{\\texttt{ksize.width*ksize.height}} \\begin{bmatrix} 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\\\ 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\\\ \\hdotsfor{6} \\\\ 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\\\ \\end{bmatrix}\\f] The call blur(src, dst, ksize, anchor, borderType) is equivalent to boxFilter(src, dst, src.type(), ksize, anchor, true, borderType) . @sa boxFilter, bilateralFilter, GaussianBlur, medianBlur Python prototype (for reference only): blur(src, ksize[, dst[, anchor[, borderType]]]) -&gt; dst","ref":"Evision.html#blur/2","title":"Evision.blur/2","type":"function"},{"doc":"Blurs an image using the normalized box filter. Positional Arguments src : Evision.Mat.t() . input image; it can have any number of channels, which are processed independently, but the depth should be CV_8U, CV_16U, CV_16S, CV_32F or CV_64F. ksize : Size . blurring kernel size. Keyword Arguments anchor : Point . anchor point; default value Point(-1,-1) means that the anchor is at the kernel center. borderType : int . border mode used to extrapolate pixels outside of the image, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and type as src. The function smooths an image using the kernel: \\f[\\texttt{K} = \\frac{1}{\\texttt{ksize.width*ksize.height}} \\begin{bmatrix} 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\\\ 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\\\ \\hdotsfor{6} \\\\ 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\\\ \\end{bmatrix}\\f] The call blur(src, dst, ksize, anchor, borderType) is equivalent to boxFilter(src, dst, src.type(), ksize, anchor, true, borderType) . @sa boxFilter, bilateralFilter, GaussianBlur, medianBlur Python prototype (for reference only): blur(src, ksize[, dst[, anchor[, borderType]]]) -&gt; dst","ref":"Evision.html#blur/3","title":"Evision.blur/3","type":"function"},{"doc":"Computes the source location of an extrapolated pixel. Positional Arguments p : int . 0-based coordinate of the extrapolated pixel along one of the axes, likely \\&lt;0 or &gt;= len len : int . Length of the array along the corresponding axis. borderType : int . Border type, one of the #BorderTypes, except for #BORDER_TRANSPARENT and #BORDER_ISOLATED . When borderType==#BORDER_CONSTANT , the function always returns -1, regardless of p and len. Return retval : int The function computes and returns the coordinate of a donor pixel corresponding to the specified extrapolated pixel when using the specified extrapolation border mode. For example, if you use cv::BORDER_WRAP mode in the horizontal direction, cv::BORDER_REFLECT_101 in the vertical direction and want to compute value of the &quot;virtual&quot; pixel Point(-5, 100) in a floating-point image img , it looks like: float val = img.at&lt;float&gt;(borderInterpolate(100, img.rows, cv::BORDER_REFLECT_101), borderInterpolate(-5, img.cols, cv::BORDER_WRAP)); Normally, the function is not called directly. It is used inside filtering functions and also in copyMakeBorder. @sa copyMakeBorder Python prototype (for reference only): borderInterpolate(p, len, borderType) -&gt; retval","ref":"Evision.html#borderInterpolate/3","title":"Evision.borderInterpolate/3","type":"function"},{"doc":"Calculates the up-right bounding rectangle of a point set or non-zero pixels of gray-scale image. Positional Arguments array : Evision.Mat.t() . Input gray-scale image or 2D point set, stored in std::vector or Mat. Return retval : Rect The function calculates and returns the minimal up-right bounding rectangle for the specified point set or non-zero pixels of gray-scale image. Python prototype (for reference only): boundingRect(array) -&gt; retval","ref":"Evision.html#boundingRect/1","title":"Evision.boundingRect/1","type":"function"},{"doc":"Blurs an image using the box filter. Positional Arguments src : Evision.Mat.t() . input image. ddepth : int . the output image depth (-1 to use src.depth()). ksize : Size . blurring kernel size. Keyword Arguments anchor : Point . anchor point; default value Point(-1,-1) means that the anchor is at the kernel center. normalize : bool . flag, specifying whether the kernel is normalized by its area or not. borderType : int . border mode used to extrapolate pixels outside of the image, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and type as src. The function smooths an image using the kernel: \\f[\\texttt{K} = \\alpha \\begin{bmatrix} 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\\\ 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\\\ \\hdotsfor{6} \\\\ 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\end{bmatrix}\\f] where \\f[\\alpha = \\begin{cases} \\frac{1}{\\texttt{ksize.width*ksize.height}} &amp; \\texttt{when } \\texttt{normalize=true} \\\\1 &amp; \\texttt{otherwise}\\end{cases}\\f] Unnormalized box filter is useful for computing various integral characteristics over each pixel neighborhood, such as covariance matrices of image derivatives (used in dense optical flow algorithms, and so on). If you need to compute pixel sums over variable-size windows, use #integral. @sa blur, bilateralFilter, GaussianBlur, medianBlur, integral Python prototype (for reference only): boxFilter(src, ddepth, ksize[, dst[, anchor[, normalize[, borderType]]]]) -&gt; dst","ref":"Evision.html#boxFilter/3","title":"Evision.boxFilter/3","type":"function"},{"doc":"Blurs an image using the box filter. Positional Arguments src : Evision.Mat.t() . input image. ddepth : int . the output image depth (-1 to use src.depth()). ksize : Size . blurring kernel size. Keyword Arguments anchor : Point . anchor point; default value Point(-1,-1) means that the anchor is at the kernel center. normalize : bool . flag, specifying whether the kernel is normalized by its area or not. borderType : int . border mode used to extrapolate pixels outside of the image, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and type as src. The function smooths an image using the kernel: \\f[\\texttt{K} = \\alpha \\begin{bmatrix} 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\\\ 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\\\ \\hdotsfor{6} \\\\ 1 &amp; 1 &amp; 1 &amp; \\cdots &amp; 1 &amp; 1 \\end{bmatrix}\\f] where \\f[\\alpha = \\begin{cases} \\frac{1}{\\texttt{ksize.width*ksize.height}} &amp; \\texttt{when } \\texttt{normalize=true} \\\\1 &amp; \\texttt{otherwise}\\end{cases}\\f] Unnormalized box filter is useful for computing various integral characteristics over each pixel neighborhood, such as covariance matrices of image derivatives (used in dense optical flow algorithms, and so on). If you need to compute pixel sums over variable-size windows, use #integral. @sa blur, bilateralFilter, GaussianBlur, medianBlur, integral Python prototype (for reference only): boxFilter(src, ddepth, ksize[, dst[, anchor[, normalize[, borderType]]]]) -&gt; dst","ref":"Evision.html#boxFilter/4","title":"Evision.boxFilter/4","type":"function"},{"doc":"Finds the four vertices of a rotated rect. Useful to draw the rotated rectangle. Positional Arguments box : {centre={x, y}, size={s1, s2}, angle} . The input rotated rectangle. It may be the output of Return points : Evision.Mat.t() . The output array of four vertices of rectangles. The function finds the four vertices of a rotated rectangle. This function is useful to draw the rectangle. In C++, instead of using this function, you can directly use RotatedRect::points method. Please visit the @ref tutorial_bounding_rotated_ellipses &quot;tutorial on Creating Bounding rotated boxes and ellipses for contours&quot; for more information. Python prototype (for reference only): boxPoints(box[, points]) -&gt; points","ref":"Evision.html#boxPoints/1","title":"Evision.boxPoints/1","type":"function"},{"doc":"Finds the four vertices of a rotated rect. Useful to draw the rotated rectangle. Positional Arguments box : {centre={x, y}, size={s1, s2}, angle} . The input rotated rectangle. It may be the output of Return points : Evision.Mat.t() . The output array of four vertices of rectangles. The function finds the four vertices of a rotated rectangle. This function is useful to draw the rectangle. In C++, instead of using this function, you can directly use RotatedRect::points method. Please visit the @ref tutorial_bounding_rotated_ellipses &quot;tutorial on Creating Bounding rotated boxes and ellipses for contours&quot; for more information. Python prototype (for reference only): boxPoints(box[, points]) -&gt; points","ref":"Evision.html#boxPoints/2","title":"Evision.boxPoints/2","type":"function"},{"doc":"Constructs the image pyramid which can be passed to calcOpticalFlowPyrLK. Positional Arguments img : Evision.Mat.t() . 8-bit input image. winSize : Size . window size of optical flow algorithm. Must be not less than winSize argument of calcOpticalFlowPyrLK. It is needed to calculate required padding for pyramid levels. maxLevel : int . 0-based maximal pyramid level number. Keyword Arguments withDerivatives : bool . set to precompute gradients for the every pyramid level. If pyramid is constructed without the gradients then calcOpticalFlowPyrLK will calculate them internally. pyrBorder : int . the border mode for pyramid layers. derivBorder : int . the border mode for gradients. tryReuseInputImage : bool . put ROI of input image into the pyramid if possible. You can pass false to force data copying. Return retval : int pyramid : [Evision.Mat] . output pyramid. @return number of levels in constructed pyramid. Can be less than maxLevel. Python prototype (for reference only): buildOpticalFlowPyramid(img, winSize, maxLevel[, pyramid[, withDerivatives[, pyrBorder[, derivBorder[, tryReuseInputImage]]]]]) -&gt; retval, pyramid","ref":"Evision.html#buildOpticalFlowPyramid/3","title":"Evision.buildOpticalFlowPyramid/3","type":"function"},{"doc":"Constructs the image pyramid which can be passed to calcOpticalFlowPyrLK. Positional Arguments img : Evision.Mat.t() . 8-bit input image. winSize : Size . window size of optical flow algorithm. Must be not less than winSize argument of calcOpticalFlowPyrLK. It is needed to calculate required padding for pyramid levels. maxLevel : int . 0-based maximal pyramid level number. Keyword Arguments withDerivatives : bool . set to precompute gradients for the every pyramid level. If pyramid is constructed without the gradients then calcOpticalFlowPyrLK will calculate them internally. pyrBorder : int . the border mode for pyramid layers. derivBorder : int . the border mode for gradients. tryReuseInputImage : bool . put ROI of input image into the pyramid if possible. You can pass false to force data copying. Return retval : int pyramid : [Evision.Mat] . output pyramid. @return number of levels in constructed pyramid. Can be less than maxLevel. Python prototype (for reference only): buildOpticalFlowPyramid(img, winSize, maxLevel[, pyramid[, withDerivatives[, pyrBorder[, derivBorder[, tryReuseInputImage]]]]]) -&gt; retval, pyramid","ref":"Evision.html#buildOpticalFlowPyramid/4","title":"Evision.buildOpticalFlowPyramid/4","type":"function"},{"doc":"calcBackProject Positional Arguments images : [Evision.Mat] channels : [int] hist : Evision.Mat.t() ranges : [float] scale : double Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcBackProject(images, channels, hist, ranges, scale[, dst]) -&gt; dst","ref":"Evision.html#calcBackProject/5","title":"Evision.calcBackProject/5","type":"function"},{"doc":"calcBackProject Positional Arguments images : [Evision.Mat] channels : [int] hist : Evision.Mat.t() ranges : [float] scale : double Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcBackProject(images, channels, hist, ranges, scale[, dst]) -&gt; dst","ref":"Evision.html#calcBackProject/6","title":"Evision.calcBackProject/6","type":"function"},{"doc":"calcCovarMatrix Positional Arguments samples : Evision.Mat.t() . samples stored as rows/columns of a single matrix. flags : int . operation flags as a combination of #CovarFlags Keyword Arguments ctype : int . type of the matrixl; it equals 'CV_64F' by default. Return covar : Evision.Mat.t() . output covariance matrix of the type ctype and square size. mean : Evision.Mat.t() . input or output (depending on the flags) array as the average value of the input vectors. Has overloading in C++ Note : use #COVAR_ROWS or #COVAR_COLS flag Python prototype (for reference only): calcCovarMatrix(samples, mean, flags[, covar[, ctype]]) -&gt; covar, mean","ref":"Evision.html#calcCovarMatrix/3","title":"Evision.calcCovarMatrix/3","type":"function"},{"doc":"calcCovarMatrix Positional Arguments samples : Evision.Mat.t() . samples stored as rows/columns of a single matrix. flags : int . operation flags as a combination of #CovarFlags Keyword Arguments ctype : int . type of the matrixl; it equals 'CV_64F' by default. Return covar : Evision.Mat.t() . output covariance matrix of the type ctype and square size. mean : Evision.Mat.t() . input or output (depending on the flags) array as the average value of the input vectors. Has overloading in C++ Note : use #COVAR_ROWS or #COVAR_COLS flag Python prototype (for reference only): calcCovarMatrix(samples, mean, flags[, covar[, ctype]]) -&gt; covar, mean","ref":"Evision.html#calcCovarMatrix/4","title":"Evision.calcCovarMatrix/4","type":"function"},{"doc":"calcHist Positional Arguments images : [Evision.Mat] channels : [int] mask : Evision.Mat.t() histSize : [int] ranges : [float] Keyword Arguments accumulate : bool . Return hist : Evision.Mat.t() . Has overloading in C++ this variant supports only uniform histograms. ranges argument is either empty vector or a flattened vector of histSize.size()*2 elements (histSize.size() element pairs). The first and second elements of each pair specify the lower and upper boundaries. Python prototype (for reference only): calcHist(images, channels, mask, histSize, ranges[, hist[, accumulate]]) -&gt; hist","ref":"Evision.html#calcHist/5","title":"Evision.calcHist/5","type":"function"},{"doc":"calcHist Positional Arguments images : [Evision.Mat] channels : [int] mask : Evision.Mat.t() histSize : [int] ranges : [float] Keyword Arguments accumulate : bool . Return hist : Evision.Mat.t() . Has overloading in C++ this variant supports only uniform histograms. ranges argument is either empty vector or a flattened vector of histSize.size()*2 elements (histSize.size() element pairs). The first and second elements of each pair specify the lower and upper boundaries. Python prototype (for reference only): calcHist(images, channels, mask, histSize, ranges[, hist[, accumulate]]) -&gt; hist","ref":"Evision.html#calcHist/6","title":"Evision.calcHist/6","type":"function"},{"doc":"Computes a dense optical flow using the Gunnar Farneback's algorithm. Positional Arguments prev : Evision.Mat.t() . first 8-bit single-channel input image. next : Evision.Mat.t() . second input image of the same size and the same type as prev. pyr_scale : double . parameter, specifying the image scale (\\&lt;1) to build pyramids for each image; pyr_scale=0.5 means a classical pyramid, where each next layer is twice smaller than the previous one. levels : int . number of pyramid layers including the initial image; levels=1 means that no extra layers are created and only the original images are used. winsize : int . averaging window size; larger values increase the algorithm robustness to image noise and give more chances for fast motion detection, but yield more blurred motion field. iterations : int . number of iterations the algorithm does at each pyramid level. poly_n : int . size of the pixel neighborhood used to find polynomial expansion in each pixel; larger values mean that the image will be approximated with smoother surfaces, yielding more robust algorithm and more blurred motion field, typically poly_n =5 or 7. poly_sigma : double . standard deviation of the Gaussian that is used to smooth derivatives used as a basis for the polynomial expansion; for poly_n=5, you can set poly_sigma=1.1, for poly_n=7, a good value would be poly_sigma=1.5. flags : int . operation flags that can be a combination of the following: OPTFLOW_USE_INITIAL_FLOW uses the input flow as an initial flow approximation. OPTFLOW_FARNEBACK_GAUSSIAN uses the Gaussian \\f$\\texttt{winsize}\\times\\texttt{winsize}\\f$ filter instead of a box filter of the same size for optical flow estimation; usually, this option gives z more accurate flow than with a box filter, at the cost of lower speed; normally, winsize for a Gaussian window should be set to a larger value to achieve the same level of robustness. Return flow : Evision.Mat.t() . computed flow image that has the same size as prev and type CV_32FC2. The function finds an optical flow for each prev pixel using the @cite Farneback2003 algorithm so that \\f[\\texttt{prev} (y,x) \\sim \\texttt{next} ( y + \\texttt{flow} (y,x)[1], x + \\texttt{flow} (y,x)[0])\\f] Note : An example using the optical flow algorithm described by Gunnar Farneback can be found at opencv_source_code/samples/cpp/fback.cpp (Python) An example using the optical flow algorithm described by Gunnar Farneback can be found at opencv_source_code/samples/python/opt_flow.py Python prototype (for reference only): calcOpticalFlowFarneback(prev, next, flow, pyr_scale, levels, winsize, iterations, poly_n, poly_sigma, flags) -&gt; flow","ref":"Evision.html#calcOpticalFlowFarneback/10","title":"Evision.calcOpticalFlowFarneback/10","type":"function"},{"doc":"Calculates an optical flow for a sparse feature set using the iterative Lucas-Kanade method with pyramids. Positional Arguments prevImg : Evision.Mat.t() . first 8-bit input image or pyramid constructed by buildOpticalFlowPyramid. nextImg : Evision.Mat.t() . second input image or pyramid of the same size and the same type as prevImg. prevPts : Evision.Mat.t() . vector of 2D points for which the flow needs to be found; point coordinates must be single-precision floating-point numbers. Keyword Arguments winSize : Size . size of the search window at each pyramid level. maxLevel : int . 0-based maximal pyramid level number; if set to 0, pyramids are not used (single level), if set to 1, two levels are used, and so on; if pyramids are passed to input then algorithm will use as many levels as pyramids have but no more than maxLevel. criteria : TermCriteria . parameter, specifying the termination criteria of the iterative search algorithm (after the specified maximum number of iterations criteria.maxCount or when the search window moves by less than criteria.epsilon. flags : int . operation flags: OPTFLOW_USE_INITIAL_FLOW uses initial estimations, stored in nextPts; if the flag is not set, then prevPts is copied to nextPts and is considered the initial estimate. OPTFLOW_LK_GET_MIN_EIGENVALS use minimum eigen values as an error measure (see minEigThreshold description); if the flag is not set, then L1 distance between patches around the original and a moved point, divided by number of pixels in a window, is used as a error measure. minEigThreshold : double . the algorithm calculates the minimum eigen value of a 2x2 normal matrix of optical flow equations (this matrix is called a spatial gradient matrix in @cite Bouguet00), divided by number of pixels in a window; if this value is less than minEigThreshold, then a corresponding feature is filtered out and its flow is not processed, so it allows to remove bad points and get a performance boost. Return nextPts : Evision.Mat.t() . output vector of 2D points (with single-precision floating-point coordinates) containing the calculated new positions of input features in the second image; when OPTFLOW_USE_INITIAL_FLOW flag is passed, the vector must have the same size as in the input. status : Evision.Mat.t() . output status vector (of unsigned chars); each element of the vector is set to 1 if the flow for the corresponding features has been found, otherwise, it is set to 0. err : Evision.Mat.t() . output vector of errors; each element of the vector is set to an error for the corresponding feature, type of the error measure can be set in flags parameter; if the flow wasn't found then the error is not defined (use the status parameter to find such cases). The function implements a sparse iterative version of the Lucas-Kanade optical flow in pyramids. See @cite Bouguet00 . The function is parallelized with the TBB library. Note : An example using the Lucas-Kanade optical flow algorithm can be found at opencv_source_code/samples/cpp/lkdemo.cpp (Python) An example using the Lucas-Kanade optical flow algorithm can be found at opencv_source_code/samples/python/lk_track.py (Python) An example using the Lucas-Kanade tracker for homography matching can be found at opencv_source_code/samples/python/lk_homography.py Python prototype (for reference only): calcOpticalFlowPyrLK(prevImg, nextImg, prevPts, nextPts[, status[, err[, winSize[, maxLevel[, criteria[, flags[, minEigThreshold]]]]]]]) -&gt; nextPts, status, err","ref":"Evision.html#calcOpticalFlowPyrLK/4","title":"Evision.calcOpticalFlowPyrLK/4","type":"function"},{"doc":"Calculates an optical flow for a sparse feature set using the iterative Lucas-Kanade method with pyramids. Positional Arguments prevImg : Evision.Mat.t() . first 8-bit input image or pyramid constructed by buildOpticalFlowPyramid. nextImg : Evision.Mat.t() . second input image or pyramid of the same size and the same type as prevImg. prevPts : Evision.Mat.t() . vector of 2D points for which the flow needs to be found; point coordinates must be single-precision floating-point numbers. Keyword Arguments winSize : Size . size of the search window at each pyramid level. maxLevel : int . 0-based maximal pyramid level number; if set to 0, pyramids are not used (single level), if set to 1, two levels are used, and so on; if pyramids are passed to input then algorithm will use as many levels as pyramids have but no more than maxLevel. criteria : TermCriteria . parameter, specifying the termination criteria of the iterative search algorithm (after the specified maximum number of iterations criteria.maxCount or when the search window moves by less than criteria.epsilon. flags : int . operation flags: OPTFLOW_USE_INITIAL_FLOW uses initial estimations, stored in nextPts; if the flag is not set, then prevPts is copied to nextPts and is considered the initial estimate. OPTFLOW_LK_GET_MIN_EIGENVALS use minimum eigen values as an error measure (see minEigThreshold description); if the flag is not set, then L1 distance between patches around the original and a moved point, divided by number of pixels in a window, is used as a error measure. minEigThreshold : double . the algorithm calculates the minimum eigen value of a 2x2 normal matrix of optical flow equations (this matrix is called a spatial gradient matrix in @cite Bouguet00), divided by number of pixels in a window; if this value is less than minEigThreshold, then a corresponding feature is filtered out and its flow is not processed, so it allows to remove bad points and get a performance boost. Return nextPts : Evision.Mat.t() . output vector of 2D points (with single-precision floating-point coordinates) containing the calculated new positions of input features in the second image; when OPTFLOW_USE_INITIAL_FLOW flag is passed, the vector must have the same size as in the input. status : Evision.Mat.t() . output status vector (of unsigned chars); each element of the vector is set to 1 if the flow for the corresponding features has been found, otherwise, it is set to 0. err : Evision.Mat.t() . output vector of errors; each element of the vector is set to an error for the corresponding feature, type of the error measure can be set in flags parameter; if the flow wasn't found then the error is not defined (use the status parameter to find such cases). The function implements a sparse iterative version of the Lucas-Kanade optical flow in pyramids. See @cite Bouguet00 . The function is parallelized with the TBB library. Note : An example using the Lucas-Kanade optical flow algorithm can be found at opencv_source_code/samples/cpp/lkdemo.cpp (Python) An example using the Lucas-Kanade optical flow algorithm can be found at opencv_source_code/samples/python/lk_track.py (Python) An example using the Lucas-Kanade tracker for homography matching can be found at opencv_source_code/samples/python/lk_homography.py Python prototype (for reference only): calcOpticalFlowPyrLK(prevImg, nextImg, prevPts, nextPts[, status[, err[, winSize[, maxLevel[, criteria[, flags[, minEigThreshold]]]]]]]) -&gt; nextPts, status, err","ref":"Evision.html#calcOpticalFlowPyrLK/5","title":"Evision.calcOpticalFlowPyrLK/5","type":"function"},{"doc":"calibrateCamera Positional Arguments objectPoints : [Evision.Mat] imagePoints : [Evision.Mat] imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() rvecs : [Evision.Mat] . tvecs : [Evision.Mat] . Has overloading in C++ Python prototype (for reference only): calibrateCamera(objectPoints, imagePoints, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, flags[, criteria]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs","ref":"Evision.html#calibrateCamera/5","title":"Evision.calibrateCamera/5","type":"function"},{"doc":"calibrateCamera Positional Arguments objectPoints : [Evision.Mat] imagePoints : [Evision.Mat] imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() rvecs : [Evision.Mat] . tvecs : [Evision.Mat] . Has overloading in C++ Python prototype (for reference only): calibrateCamera(objectPoints, imagePoints, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, flags[, criteria]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs","ref":"Evision.html#calibrateCamera/6","title":"Evision.calibrateCamera/6","type":"function"},{"doc":"Finds the camera intrinsic and extrinsic parameters from several views of a calibration pattern. Positional Arguments objectPoints : [Evision.Mat] . In the new interface it is a vector of vectors of calibration pattern points in the calibration pattern coordinate space (e.g. std::vector&lt;std::vector&lt;cv::Vec3f&gt;&gt;). The outer vector contains as many elements as the number of pattern views. If the same calibration pattern is shown in each view and it is fully visible, all the vectors will be the same. Although, it is possible to use partially occluded patterns or even different patterns in different views. Then, the vectors will be different. Although the points are 3D, they all lie in the calibration pattern's XY coordinate plane (thus 0 in the Z-coordinate), if the used calibration pattern is a planar rig. In the old interface all the vectors of object points from different views are concatenated together. imagePoints : [Evision.Mat] . In the new interface it is a vector of vectors of the projections of calibration pattern points (e.g. std::vector&lt;std::vector&lt;cv::Vec2f&gt;&gt;). imagePoints.size() and objectPoints.size(), and imagePoints[i].size() and objectPoints[i].size() for each i, must be equal, respectively. In the old interface all the vectors of object points from different views are concatenated together. imageSize : Size . Size of the image used only to initialize the camera intrinsic matrix. Keyword Arguments flags : int . Different flags that may be zero or a combination of the following values: @ref CALIB_USE_INTRINSIC_GUESS cameraMatrix contains valid initial values of fx, fy, cx, cy that are optimized further. Otherwise, (cx, cy) is initially set to the image center ( imageSize is used), and focal distances are computed in a least-squares fashion. Note, that if intrinsic parameters are known, there is no need to use this function just to estimate extrinsic parameters. Use @ref solvePnP instead. @ref CALIB_FIX_PRINCIPAL_POINT The principal point is not changed during the global optimization. It stays at the center or at a different location specified when criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double cameraMatrix : Evision.Mat.t() . Input/output 3x3 floating-point camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . If @ref CALIB_USE_INTRINSIC_GUESS and/or @ref CALIB_FIX_ASPECT_RATIO, @ref CALIB_FIX_PRINCIPAL_POINT or @ref CALIB_FIX_FOCAL_LENGTH are specified, some or all of fx, fy, cx, cy must be initialized before calling the function. distCoeffs : Evision.Mat.t() . Input/output vector of distortion coefficients \\f$\\distcoeffs\\f$. rvecs : [Evision.Mat] . Output vector of rotation vectors (@ref Rodrigues ) estimated for each pattern view (e.g. std::vector&lt;cv::Mat&gt;&gt;). That is, each i-th rotation vector together with the corresponding i-th translation vector (see the next output parameter description) brings the calibration pattern from the object coordinate space (in which object points are specified) to the camera coordinate space. In more technical terms, the tuple of the i-th rotation and translation vector performs a change of basis from object coordinate space to camera coordinate space. Due to its duality, this tuple is equivalent to the position of the calibration pattern with respect to the camera coordinate space. tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view, see parameter describtion above. stdDeviationsIntrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for intrinsic parameters. Order of deviations values: \\f$(f_x, f_y, c_x, c_y, k_1, k_2, p_1, p_2, k_3, k_4, k_5, k_6 , s_1, s_2, s_3, s_4, \\tau_x, \\tau_y)\\f$ If one of parameters is not estimated, it's deviation is equals to zero. stdDeviationsExtrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for extrinsic parameters. Order of deviations values: \\f$(R 0, T_0, \\dotsc , R {M - 1}, T_{M - 1})\\f$ where M is the number of pattern views. \\f$R_i, T_i\\f$ are concatenated 1x3 vectors. perViewErrors : Evision.Mat.t() . Output vector of the RMS re-projection error estimated for each pattern view. @ref CALIB_USE_INTRINSIC_GUESS is set too. @ref CALIB_FIX_ASPECT_RATIO The functions consider only fy as a free parameter. The ratio fx/fy stays the same as in the input cameraMatrix . When @ref CALIB_USE_INTRINSIC_GUESS is not set, the actual input values of fx and fy are ignored, only their ratio is computed and used further. @ref CALIB_ZERO_TANGENT_DIST Tangential distortion coefficients \\f$(p_1, p_2)\\f$ are set to zeros and stay zero. @ref CALIB_FIX_FOCAL_LENGTH The focal length is not changed during the global optimization if @ref CALIB_USE_INTRINSIC_GUESS is set. @ref CALIB_FIX_K1,..., @ref CALIB_FIX_K6 The corresponding radial distortion coefficient is not changed during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. @ref CALIB_RATIONAL_MODEL Coefficients k4, k5, and k6 are enabled. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the rational model and return 8 coefficients or more. @ref CALIB_THIN_PRISM_MODEL Coefficients s1, s2, s3 and s4 are enabled. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the thin prism model and return 12 coefficients or more. @ref CALIB_FIX_S1_S2_S3_S4 The thin prism distortion coefficients are not changed during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. @ref CALIB_TILTED_MODEL Coefficients tauX and tauY are enabled. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the tilted sensor model and return 14 coefficients. @ref CALIB_FIX_TAUX_TAUY The coefficients of the tilted sensor model are not changed during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. @return the overall RMS re-projection error. The function estimates the intrinsic camera parameters and extrinsic parameters for each of the views. The algorithm is based on @cite Zhang2000 and @cite BouguetMCT . The coordinates of 3D object points and their corresponding 2D projections in each view must be specified. That may be achieved by using an object with known geometry and easily detectable feature points. Such an object is called a calibration rig or calibration pattern, and OpenCV has built-in support for a chessboard as a calibration rig (see @ref findChessboardCorners). Currently, initialization of intrinsic parameters (when @ref CALIB_USE_INTRINSIC_GUESS is not set) is only implemented for planar calibration patterns (where Z-coordinates of the object points must be all zeros). 3D calibration rigs can also be used as long as initial cameraMatrix is provided. The algorithm performs the following steps: Compute the initial intrinsic parameters (the option only available for planar calibration patterns) or read them from the input parameters. The distortion coefficients are all set to zeros initially unless some of CALIB_FIX_K? are specified. Estimate the initial camera pose as if the intrinsic parameters have been already known. This is done using @ref solvePnP . Run the global Levenberg-Marquardt optimization algorithm to minimize the reprojection error, that is, the total sum of squared distances between the observed feature points imagePoints and the projected (using the current estimates for camera parameters and the poses) object points objectPoints. See @ref projectPoints for details. Note : If you use a non-square (i.e. non-N-by-N) grid and @ref findChessboardCorners for calibration, and @ref calibrateCamera returns bad values (zero distortion coefficients, \\f$c_x\\f$ and \\f$c_y\\f$ very far from the image center, and/or large differences between \\f$f_x\\f$ and \\f$f_y\\f$ (ratios of 10:1 or more)), then you are probably using patternSize=cvSize(rows,cols) instead of using patternSize=cvSize(cols,rows) in @ref findChessboardCorners. @sa calibrateCameraRO, findChessboardCorners, solvePnP, initCameraMatrix2D, stereoCalibrate, undistort Python prototype (for reference only): calibrateCameraExtended(objectPoints, imagePoints, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, stdDeviationsIntrinsics[, stdDeviationsExtrinsics[, perViewErrors[, flags[, criteria]]]]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs, stdDeviationsIntrinsics, stdDeviationsExtrinsics, perViewErrors","ref":"Evision.html#calibrateCameraExtended/5","title":"Evision.calibrateCameraExtended/5","type":"function"},{"doc":"Finds the camera intrinsic and extrinsic parameters from several views of a calibration pattern. Positional Arguments objectPoints : [Evision.Mat] . In the new interface it is a vector of vectors of calibration pattern points in the calibration pattern coordinate space (e.g. std::vector&lt;std::vector&lt;cv::Vec3f&gt;&gt;). The outer vector contains as many elements as the number of pattern views. If the same calibration pattern is shown in each view and it is fully visible, all the vectors will be the same. Although, it is possible to use partially occluded patterns or even different patterns in different views. Then, the vectors will be different. Although the points are 3D, they all lie in the calibration pattern's XY coordinate plane (thus 0 in the Z-coordinate), if the used calibration pattern is a planar rig. In the old interface all the vectors of object points from different views are concatenated together. imagePoints : [Evision.Mat] . In the new interface it is a vector of vectors of the projections of calibration pattern points (e.g. std::vector&lt;std::vector&lt;cv::Vec2f&gt;&gt;). imagePoints.size() and objectPoints.size(), and imagePoints[i].size() and objectPoints[i].size() for each i, must be equal, respectively. In the old interface all the vectors of object points from different views are concatenated together. imageSize : Size . Size of the image used only to initialize the camera intrinsic matrix. Keyword Arguments flags : int . Different flags that may be zero or a combination of the following values: @ref CALIB_USE_INTRINSIC_GUESS cameraMatrix contains valid initial values of fx, fy, cx, cy that are optimized further. Otherwise, (cx, cy) is initially set to the image center ( imageSize is used), and focal distances are computed in a least-squares fashion. Note, that if intrinsic parameters are known, there is no need to use this function just to estimate extrinsic parameters. Use @ref solvePnP instead. @ref CALIB_FIX_PRINCIPAL_POINT The principal point is not changed during the global optimization. It stays at the center or at a different location specified when criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double cameraMatrix : Evision.Mat.t() . Input/output 3x3 floating-point camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . If @ref CALIB_USE_INTRINSIC_GUESS and/or @ref CALIB_FIX_ASPECT_RATIO, @ref CALIB_FIX_PRINCIPAL_POINT or @ref CALIB_FIX_FOCAL_LENGTH are specified, some or all of fx, fy, cx, cy must be initialized before calling the function. distCoeffs : Evision.Mat.t() . Input/output vector of distortion coefficients \\f$\\distcoeffs\\f$. rvecs : [Evision.Mat] . Output vector of rotation vectors (@ref Rodrigues ) estimated for each pattern view (e.g. std::vector&lt;cv::Mat&gt;&gt;). That is, each i-th rotation vector together with the corresponding i-th translation vector (see the next output parameter description) brings the calibration pattern from the object coordinate space (in which object points are specified) to the camera coordinate space. In more technical terms, the tuple of the i-th rotation and translation vector performs a change of basis from object coordinate space to camera coordinate space. Due to its duality, this tuple is equivalent to the position of the calibration pattern with respect to the camera coordinate space. tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view, see parameter describtion above. stdDeviationsIntrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for intrinsic parameters. Order of deviations values: \\f$(f_x, f_y, c_x, c_y, k_1, k_2, p_1, p_2, k_3, k_4, k_5, k_6 , s_1, s_2, s_3, s_4, \\tau_x, \\tau_y)\\f$ If one of parameters is not estimated, it's deviation is equals to zero. stdDeviationsExtrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for extrinsic parameters. Order of deviations values: \\f$(R 0, T_0, \\dotsc , R {M - 1}, T_{M - 1})\\f$ where M is the number of pattern views. \\f$R_i, T_i\\f$ are concatenated 1x3 vectors. perViewErrors : Evision.Mat.t() . Output vector of the RMS re-projection error estimated for each pattern view. @ref CALIB_USE_INTRINSIC_GUESS is set too. @ref CALIB_FIX_ASPECT_RATIO The functions consider only fy as a free parameter. The ratio fx/fy stays the same as in the input cameraMatrix . When @ref CALIB_USE_INTRINSIC_GUESS is not set, the actual input values of fx and fy are ignored, only their ratio is computed and used further. @ref CALIB_ZERO_TANGENT_DIST Tangential distortion coefficients \\f$(p_1, p_2)\\f$ are set to zeros and stay zero. @ref CALIB_FIX_FOCAL_LENGTH The focal length is not changed during the global optimization if @ref CALIB_USE_INTRINSIC_GUESS is set. @ref CALIB_FIX_K1,..., @ref CALIB_FIX_K6 The corresponding radial distortion coefficient is not changed during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. @ref CALIB_RATIONAL_MODEL Coefficients k4, k5, and k6 are enabled. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the rational model and return 8 coefficients or more. @ref CALIB_THIN_PRISM_MODEL Coefficients s1, s2, s3 and s4 are enabled. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the thin prism model and return 12 coefficients or more. @ref CALIB_FIX_S1_S2_S3_S4 The thin prism distortion coefficients are not changed during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. @ref CALIB_TILTED_MODEL Coefficients tauX and tauY are enabled. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the tilted sensor model and return 14 coefficients. @ref CALIB_FIX_TAUX_TAUY The coefficients of the tilted sensor model are not changed during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. @return the overall RMS re-projection error. The function estimates the intrinsic camera parameters and extrinsic parameters for each of the views. The algorithm is based on @cite Zhang2000 and @cite BouguetMCT . The coordinates of 3D object points and their corresponding 2D projections in each view must be specified. That may be achieved by using an object with known geometry and easily detectable feature points. Such an object is called a calibration rig or calibration pattern, and OpenCV has built-in support for a chessboard as a calibration rig (see @ref findChessboardCorners). Currently, initialization of intrinsic parameters (when @ref CALIB_USE_INTRINSIC_GUESS is not set) is only implemented for planar calibration patterns (where Z-coordinates of the object points must be all zeros). 3D calibration rigs can also be used as long as initial cameraMatrix is provided. The algorithm performs the following steps: Compute the initial intrinsic parameters (the option only available for planar calibration patterns) or read them from the input parameters. The distortion coefficients are all set to zeros initially unless some of CALIB_FIX_K? are specified. Estimate the initial camera pose as if the intrinsic parameters have been already known. This is done using @ref solvePnP . Run the global Levenberg-Marquardt optimization algorithm to minimize the reprojection error, that is, the total sum of squared distances between the observed feature points imagePoints and the projected (using the current estimates for camera parameters and the poses) object points objectPoints. See @ref projectPoints for details. Note : If you use a non-square (i.e. non-N-by-N) grid and @ref findChessboardCorners for calibration, and @ref calibrateCamera returns bad values (zero distortion coefficients, \\f$c_x\\f$ and \\f$c_y\\f$ very far from the image center, and/or large differences between \\f$f_x\\f$ and \\f$f_y\\f$ (ratios of 10:1 or more)), then you are probably using patternSize=cvSize(rows,cols) instead of using patternSize=cvSize(cols,rows) in @ref findChessboardCorners. @sa calibrateCameraRO, findChessboardCorners, solvePnP, initCameraMatrix2D, stereoCalibrate, undistort Python prototype (for reference only): calibrateCameraExtended(objectPoints, imagePoints, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, stdDeviationsIntrinsics[, stdDeviationsExtrinsics[, perViewErrors[, flags[, criteria]]]]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs, stdDeviationsIntrinsics, stdDeviationsExtrinsics, perViewErrors","ref":"Evision.html#calibrateCameraExtended/6","title":"Evision.calibrateCameraExtended/6","type":"function"},{"doc":"calibrateCameraRO Positional Arguments objectPoints : [Evision.Mat] imagePoints : [Evision.Mat] imageSize : Size iFixedPoint : int Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() rvecs : [Evision.Mat] . tvecs : [Evision.Mat] . newObjPoints : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calibrateCameraRO(objectPoints, imagePoints, imageSize, iFixedPoint, cameraMatrix, distCoeffs[, rvecs[, tvecs[, newObjPoints[, flags[, criteria]]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs, newObjPoints","ref":"Evision.html#calibrateCameraRO/6","title":"Evision.calibrateCameraRO/6","type":"function"},{"doc":"calibrateCameraRO Positional Arguments objectPoints : [Evision.Mat] imagePoints : [Evision.Mat] imageSize : Size iFixedPoint : int Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() rvecs : [Evision.Mat] . tvecs : [Evision.Mat] . newObjPoints : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calibrateCameraRO(objectPoints, imagePoints, imageSize, iFixedPoint, cameraMatrix, distCoeffs[, rvecs[, tvecs[, newObjPoints[, flags[, criteria]]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs, newObjPoints","ref":"Evision.html#calibrateCameraRO/7","title":"Evision.calibrateCameraRO/7","type":"function"},{"doc":"Finds the camera intrinsic and extrinsic parameters from several views of a calibration pattern. Positional Arguments objectPoints : [Evision.Mat] . Vector of vectors of calibration pattern points in the calibration pattern coordinate space. See #calibrateCamera for details. If the method of releasing object to be used, the identical calibration board must be used in each view and it must be fully visible, and all objectPoints[i] must be the same and all points should be roughly close to a plane. The calibration target has to be rigid, or at least static if the camera (rather than the calibration target) is shifted for grabbing images. imagePoints : [Evision.Mat] . Vector of vectors of the projections of calibration pattern points. See #calibrateCamera for details. imageSize : Size . Size of the image used only to initialize the intrinsic camera matrix. iFixedPoint : int . The index of the 3D object point in objectPoints[0] to be fixed. It also acts as a switch for calibration method selection. If object-releasing method to be used, pass in the parameter in the range of [1, objectPoints[0].size()-2], otherwise a value out of this range will make standard calibration method selected. Usually the top-right corner point of the calibration board grid is recommended to be fixed when object-releasing method being utilized. According to \\cite strobl2011iccv, two other points are also fixed. In this implementation, objectPoints[0].front and objectPoints[0].back.z are used. With object-releasing method, accurate rvecs, tvecs and newObjPoints are only possible if coordinates of these three fixed points are accurate enough. Keyword Arguments flags : int . Different flags that may be zero or a combination of some predefined values. See #calibrateCamera for details. If the method of releasing object is used, the calibration time may be much longer. CALIB_USE_QR or CALIB_USE_LU could be used for faster calibration with potentially less precise and less stable in some rare cases. criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double cameraMatrix : Evision.Mat.t() . Output 3x3 floating-point camera matrix. See #calibrateCamera for details. distCoeffs : Evision.Mat.t() . Output vector of distortion coefficients. See #calibrateCamera for details. rvecs : [Evision.Mat] . Output vector of rotation vectors estimated for each pattern view. See #calibrateCamera for details. tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view. newObjPoints : Evision.Mat.t() . The updated output vector of calibration pattern points. The coordinates might be scaled based on three fixed points. The returned coordinates are accurate only if the above mentioned three fixed points are accurate. If not needed, noArray() can be passed in. This parameter is ignored with standard calibration method. stdDeviationsIntrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for intrinsic parameters. See #calibrateCamera for details. stdDeviationsExtrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for extrinsic parameters. See #calibrateCamera for details. stdDeviationsObjPoints : Evision.Mat.t() . Output vector of standard deviations estimated for refined coordinates of calibration pattern points. It has the same size and order as objectPoints[0] vector. This parameter is ignored with standard calibration method. perViewErrors : Evision.Mat.t() . Output vector of the RMS re-projection error estimated for each pattern view. This function is an extension of #calibrateCamera with the method of releasing object which was proposed in @cite strobl2011iccv. In many common cases with inaccurate, unmeasured, roughly planar targets (calibration plates), this method can dramatically improve the precision of the estimated camera parameters. Both the object-releasing method and standard method are supported by this function. Use the parameter iFixedPoint for method selection. In the internal implementation, #calibrateCamera is a wrapper for this function. @return the overall RMS re-projection error. The function estimates the intrinsic camera parameters and extrinsic parameters for each of the views. The algorithm is based on @cite Zhang2000, @cite BouguetMCT and @cite strobl2011iccv. See #calibrateCamera for other detailed explanations. @sa calibrateCamera, findChessboardCorners, solvePnP, initCameraMatrix2D, stereoCalibrate, undistort Python prototype (for reference only): calibrateCameraROExtended(objectPoints, imagePoints, imageSize, iFixedPoint, cameraMatrix, distCoeffs[, rvecs[, tvecs[, newObjPoints[, stdDeviationsIntrinsics[, stdDeviationsExtrinsics[, stdDeviationsObjPoints[, perViewErrors[, flags[, criteria]]]]]]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs, newObjPoints, stdDeviationsIntrinsics, stdDeviationsExtrinsics, stdDeviationsObjPoints, perViewErrors","ref":"Evision.html#calibrateCameraROExtended/6","title":"Evision.calibrateCameraROExtended/6","type":"function"},{"doc":"Finds the camera intrinsic and extrinsic parameters from several views of a calibration pattern. Positional Arguments objectPoints : [Evision.Mat] . Vector of vectors of calibration pattern points in the calibration pattern coordinate space. See #calibrateCamera for details. If the method of releasing object to be used, the identical calibration board must be used in each view and it must be fully visible, and all objectPoints[i] must be the same and all points should be roughly close to a plane. The calibration target has to be rigid, or at least static if the camera (rather than the calibration target) is shifted for grabbing images. imagePoints : [Evision.Mat] . Vector of vectors of the projections of calibration pattern points. See #calibrateCamera for details. imageSize : Size . Size of the image used only to initialize the intrinsic camera matrix. iFixedPoint : int . The index of the 3D object point in objectPoints[0] to be fixed. It also acts as a switch for calibration method selection. If object-releasing method to be used, pass in the parameter in the range of [1, objectPoints[0].size()-2], otherwise a value out of this range will make standard calibration method selected. Usually the top-right corner point of the calibration board grid is recommended to be fixed when object-releasing method being utilized. According to \\cite strobl2011iccv, two other points are also fixed. In this implementation, objectPoints[0].front and objectPoints[0].back.z are used. With object-releasing method, accurate rvecs, tvecs and newObjPoints are only possible if coordinates of these three fixed points are accurate enough. Keyword Arguments flags : int . Different flags that may be zero or a combination of some predefined values. See #calibrateCamera for details. If the method of releasing object is used, the calibration time may be much longer. CALIB_USE_QR or CALIB_USE_LU could be used for faster calibration with potentially less precise and less stable in some rare cases. criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double cameraMatrix : Evision.Mat.t() . Output 3x3 floating-point camera matrix. See #calibrateCamera for details. distCoeffs : Evision.Mat.t() . Output vector of distortion coefficients. See #calibrateCamera for details. rvecs : [Evision.Mat] . Output vector of rotation vectors estimated for each pattern view. See #calibrateCamera for details. tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view. newObjPoints : Evision.Mat.t() . The updated output vector of calibration pattern points. The coordinates might be scaled based on three fixed points. The returned coordinates are accurate only if the above mentioned three fixed points are accurate. If not needed, noArray() can be passed in. This parameter is ignored with standard calibration method. stdDeviationsIntrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for intrinsic parameters. See #calibrateCamera for details. stdDeviationsExtrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for extrinsic parameters. See #calibrateCamera for details. stdDeviationsObjPoints : Evision.Mat.t() . Output vector of standard deviations estimated for refined coordinates of calibration pattern points. It has the same size and order as objectPoints[0] vector. This parameter is ignored with standard calibration method. perViewErrors : Evision.Mat.t() . Output vector of the RMS re-projection error estimated for each pattern view. This function is an extension of #calibrateCamera with the method of releasing object which was proposed in @cite strobl2011iccv. In many common cases with inaccurate, unmeasured, roughly planar targets (calibration plates), this method can dramatically improve the precision of the estimated camera parameters. Both the object-releasing method and standard method are supported by this function. Use the parameter iFixedPoint for method selection. In the internal implementation, #calibrateCamera is a wrapper for this function. @return the overall RMS re-projection error. The function estimates the intrinsic camera parameters and extrinsic parameters for each of the views. The algorithm is based on @cite Zhang2000, @cite BouguetMCT and @cite strobl2011iccv. See #calibrateCamera for other detailed explanations. @sa calibrateCamera, findChessboardCorners, solvePnP, initCameraMatrix2D, stereoCalibrate, undistort Python prototype (for reference only): calibrateCameraROExtended(objectPoints, imagePoints, imageSize, iFixedPoint, cameraMatrix, distCoeffs[, rvecs[, tvecs[, newObjPoints[, stdDeviationsIntrinsics[, stdDeviationsExtrinsics[, stdDeviationsObjPoints[, perViewErrors[, flags[, criteria]]]]]]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs, newObjPoints, stdDeviationsIntrinsics, stdDeviationsExtrinsics, stdDeviationsObjPoints, perViewErrors","ref":"Evision.html#calibrateCameraROExtended/7","title":"Evision.calibrateCameraROExtended/7","type":"function"},{"doc":"Computes Hand-Eye calibration: \\f$_{}^{g}\\textrm{T}_c\\f$ Positional Arguments r_gripper2base : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the gripper frame to the robot base frame (\\f$_{}^{b}\\textrm{T}_g\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the rotation, (3x3) rotation matrices or (3x1) rotation vectors, for all the transformations from gripper frame to robot base frame. t_gripper2base : [Evision.Mat] . Translation part extracted from the homogeneous matrix that transforms a point expressed in the gripper frame to the robot base frame (\\f$_{}^{b}\\textrm{T}_g\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the (3x1) translation vectors for all the transformations from gripper frame to robot base frame. r_target2cam : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the target frame to the camera frame (\\f$_{}^{c}\\textrm{T}_t\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the rotation, (3x3) rotation matrices or (3x1) rotation vectors, for all the transformations from calibration target frame to camera frame. t_target2cam : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the target frame to the camera frame (\\f$_{}^{c}\\textrm{T}_t\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the (3x1) translation vectors for all the transformations from calibration target frame to camera frame. Keyword Arguments method : HandEyeCalibrationMethod . One of the implemented Hand-Eye calibration method, see cv::HandEyeCalibrationMethod Return r_cam2gripper : Evision.Mat.t() . Estimated (3x3) rotation part extracted from the homogeneous matrix that transforms a point expressed in the camera frame to the gripper frame (\\f$_{}^{g}\\textrm{T}_c\\f$). t_cam2gripper : Evision.Mat.t() . Estimated (3x1) translation part extracted from the homogeneous matrix that transforms a point expressed in the camera frame to the gripper frame (\\f$_{}^{g}\\textrm{T}_c\\f$). The function performs the Hand-Eye calibration using various methods. One approach consists in estimating the rotation then the translation (separable solutions) and the following methods are implemented: R. Tsai, R. Lenz A New Technique for Fully Autonomous and Efficient 3D Robotics Hand/EyeCalibration \\cite Tsai89 F. Park, B. Martin Robot Sensor Calibration: Solving AX = XB on the Euclidean Group \\cite Park94 R. Horaud, F. Dornaika Hand-Eye Calibration \\cite Horaud95 Another approach consists in estimating simultaneously the rotation and the translation (simultaneous solutions), with the following implemented methods: N. Andreff, R. Horaud, B. Espiau On-line Hand-Eye Calibration \\cite Andreff99 K. Daniilidis Hand-Eye Calibration Using Dual Quaternions \\cite Daniilidis98 The following picture describes the Hand-Eye calibration problem where the transformation between a camera (&quot;eye&quot;) mounted on a robot gripper (&quot;hand&quot;) has to be estimated. This configuration is called eye-in-hand. The eye-to-hand configuration consists in a static camera observing a calibration pattern mounted on the robot end-effector. The transformation from the camera to the robot base frame can then be estimated by inputting the suitable transformations to the function, see below. The calibration procedure is the following: a static calibration pattern is used to estimate the transformation between the target frame and the camera frame the robot gripper is moved in order to acquire several poses for each pose, the homogeneous transformation between the gripper frame and the robot base frame is recorded using for instance the robot kinematics \\f[ \\begin{bmatrix} X_b\\\\ Y_b\\\\ Z_b\\\\ 1 \\end{bmatrix}= \\begin{bmatrix} _{}^{b}\\textrm{R}_g &amp; _{}^{b}\\textrm{t}_g \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_g\\\\ Y_g\\\\ Z_g\\\\ 1 \\end{bmatrix} \\f] for each pose, the homogeneous transformation between the calibration target frame and the camera frame is recorded using for instance a pose estimation method (PnP) from 2D-3D point correspondences \\f[ \\begin{bmatrix} X_c\\\\ Y_c\\\\ Z_c\\\\ 1 \\end{bmatrix}= \\begin{bmatrix} _{}^{c}\\textrm{R}_t &amp; _{}^{c}\\textrm{t}_t \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_t\\\\ Y_t\\\\ Z_t\\\\ 1 \\end{bmatrix} \\f] The Hand-Eye calibration procedure returns the following homogeneous transformation \\f[ \\begin{bmatrix} X_g\\\\ Y_g\\\\ Z_g\\\\ 1 \\end{bmatrix} \\begin{bmatrix} _{}^{g}\\textrm{R}_c &amp; _{}^{g}\\textrm{t}_c \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_c\\\\ Y_c\\\\ Z_c\\\\ 1 \\end{bmatrix} \\f] This problem is also known as solving the \\f$\\mathbf{A}\\mathbf{X}=\\mathbf{X}\\mathbf{B}\\f$ equation: for an eye-in-hand configuration \\f[ \\begin{align*} ^{b}{\\textrm{T}_g}^{(1)} \\hspace{0.2em} ^{g}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(1)} &amp;= \\hspace{0.1em} ^{b}{\\textrm{T}_g}^{(2)} \\hspace{0.2em} ^{g}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(2)} \\\\ (^{b}{\\textrm{T}_g}^{(2)})^{-1} \\hspace{0.2em} ^{b}{\\textrm{T}_g}^{(1)} \\hspace{0.2em} ^{g}\\textrm{T}_c &amp;= \\hspace{0.1em} ^{g}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(2)} (^{c}{\\textrm{T}_t}^{(1)})^{-1} \\\\ \\textrm{A}_i \\textrm{X} &amp;= \\textrm{X} \\textrm{B}_i \\\\ \\end{align*} \\f] for an eye-to-hand configuration \\f[ \\begin{align*} ^{g}{\\textrm{T}_b}^{(1)} \\hspace{0.2em} ^{b}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(1)} &amp;= \\hspace{0.1em} ^{g}{\\textrm{T}_b}^{(2)} \\hspace{0.2em} ^{b}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(2)} \\\\ (^{g}{\\textrm{T}_b}^{(2)})^{-1} \\hspace{0.2em} ^{g}{\\textrm{T}_b}^{(1)} \\hspace{0.2em} ^{b}\\textrm{T}_c &amp;= \\hspace{0.1em} ^{b}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(2)} (^{c}{\\textrm{T}_t}^{(1)})^{-1} \\\\ \\textrm{A}_i \\textrm{X} &amp;= \\textrm{X} \\textrm{B}_i \\\\ \\end{align*} \\f] \\note Additional information can be found on this website . \\note A minimum of 2 motions with non parallel rotation axes are necessary to determine the hand-eye transformation. So at least 3 different poses are required, but it is strongly recommended to use many more poses. Python prototype (for reference only): calibrateHandEye(R_gripper2base, t_gripper2base, R_target2cam, t_target2cam[, R_cam2gripper[, t_cam2gripper[, method]]]) -&gt; R_cam2gripper, t_cam2gripper","ref":"Evision.html#calibrateHandEye/4","title":"Evision.calibrateHandEye/4","type":"function"},{"doc":"Computes Hand-Eye calibration: \\f$_{}^{g}\\textrm{T}_c\\f$ Positional Arguments r_gripper2base : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the gripper frame to the robot base frame (\\f$_{}^{b}\\textrm{T}_g\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the rotation, (3x3) rotation matrices or (3x1) rotation vectors, for all the transformations from gripper frame to robot base frame. t_gripper2base : [Evision.Mat] . Translation part extracted from the homogeneous matrix that transforms a point expressed in the gripper frame to the robot base frame (\\f$_{}^{b}\\textrm{T}_g\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the (3x1) translation vectors for all the transformations from gripper frame to robot base frame. r_target2cam : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the target frame to the camera frame (\\f$_{}^{c}\\textrm{T}_t\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the rotation, (3x3) rotation matrices or (3x1) rotation vectors, for all the transformations from calibration target frame to camera frame. t_target2cam : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the target frame to the camera frame (\\f$_{}^{c}\\textrm{T}_t\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the (3x1) translation vectors for all the transformations from calibration target frame to camera frame. Keyword Arguments method : HandEyeCalibrationMethod . One of the implemented Hand-Eye calibration method, see cv::HandEyeCalibrationMethod Return r_cam2gripper : Evision.Mat.t() . Estimated (3x3) rotation part extracted from the homogeneous matrix that transforms a point expressed in the camera frame to the gripper frame (\\f$_{}^{g}\\textrm{T}_c\\f$). t_cam2gripper : Evision.Mat.t() . Estimated (3x1) translation part extracted from the homogeneous matrix that transforms a point expressed in the camera frame to the gripper frame (\\f$_{}^{g}\\textrm{T}_c\\f$). The function performs the Hand-Eye calibration using various methods. One approach consists in estimating the rotation then the translation (separable solutions) and the following methods are implemented: R. Tsai, R. Lenz A New Technique for Fully Autonomous and Efficient 3D Robotics Hand/EyeCalibration \\cite Tsai89 F. Park, B. Martin Robot Sensor Calibration: Solving AX = XB on the Euclidean Group \\cite Park94 R. Horaud, F. Dornaika Hand-Eye Calibration \\cite Horaud95 Another approach consists in estimating simultaneously the rotation and the translation (simultaneous solutions), with the following implemented methods: N. Andreff, R. Horaud, B. Espiau On-line Hand-Eye Calibration \\cite Andreff99 K. Daniilidis Hand-Eye Calibration Using Dual Quaternions \\cite Daniilidis98 The following picture describes the Hand-Eye calibration problem where the transformation between a camera (&quot;eye&quot;) mounted on a robot gripper (&quot;hand&quot;) has to be estimated. This configuration is called eye-in-hand. The eye-to-hand configuration consists in a static camera observing a calibration pattern mounted on the robot end-effector. The transformation from the camera to the robot base frame can then be estimated by inputting the suitable transformations to the function, see below. The calibration procedure is the following: a static calibration pattern is used to estimate the transformation between the target frame and the camera frame the robot gripper is moved in order to acquire several poses for each pose, the homogeneous transformation between the gripper frame and the robot base frame is recorded using for instance the robot kinematics \\f[ \\begin{bmatrix} X_b\\\\ Y_b\\\\ Z_b\\\\ 1 \\end{bmatrix}= \\begin{bmatrix} _{}^{b}\\textrm{R}_g &amp; _{}^{b}\\textrm{t}_g \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_g\\\\ Y_g\\\\ Z_g\\\\ 1 \\end{bmatrix} \\f] for each pose, the homogeneous transformation between the calibration target frame and the camera frame is recorded using for instance a pose estimation method (PnP) from 2D-3D point correspondences \\f[ \\begin{bmatrix} X_c\\\\ Y_c\\\\ Z_c\\\\ 1 \\end{bmatrix}= \\begin{bmatrix} _{}^{c}\\textrm{R}_t &amp; _{}^{c}\\textrm{t}_t \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_t\\\\ Y_t\\\\ Z_t\\\\ 1 \\end{bmatrix} \\f] The Hand-Eye calibration procedure returns the following homogeneous transformation \\f[ \\begin{bmatrix} X_g\\\\ Y_g\\\\ Z_g\\\\ 1 \\end{bmatrix} \\begin{bmatrix} _{}^{g}\\textrm{R}_c &amp; _{}^{g}\\textrm{t}_c \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_c\\\\ Y_c\\\\ Z_c\\\\ 1 \\end{bmatrix} \\f] This problem is also known as solving the \\f$\\mathbf{A}\\mathbf{X}=\\mathbf{X}\\mathbf{B}\\f$ equation: for an eye-in-hand configuration \\f[ \\begin{align*} ^{b}{\\textrm{T}_g}^{(1)} \\hspace{0.2em} ^{g}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(1)} &amp;= \\hspace{0.1em} ^{b}{\\textrm{T}_g}^{(2)} \\hspace{0.2em} ^{g}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(2)} \\\\ (^{b}{\\textrm{T}_g}^{(2)})^{-1} \\hspace{0.2em} ^{b}{\\textrm{T}_g}^{(1)} \\hspace{0.2em} ^{g}\\textrm{T}_c &amp;= \\hspace{0.1em} ^{g}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(2)} (^{c}{\\textrm{T}_t}^{(1)})^{-1} \\\\ \\textrm{A}_i \\textrm{X} &amp;= \\textrm{X} \\textrm{B}_i \\\\ \\end{align*} \\f] for an eye-to-hand configuration \\f[ \\begin{align*} ^{g}{\\textrm{T}_b}^{(1)} \\hspace{0.2em} ^{b}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(1)} &amp;= \\hspace{0.1em} ^{g}{\\textrm{T}_b}^{(2)} \\hspace{0.2em} ^{b}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(2)} \\\\ (^{g}{\\textrm{T}_b}^{(2)})^{-1} \\hspace{0.2em} ^{g}{\\textrm{T}_b}^{(1)} \\hspace{0.2em} ^{b}\\textrm{T}_c &amp;= \\hspace{0.1em} ^{b}\\textrm{T}_c \\hspace{0.2em} ^{c}{\\textrm{T}_t}^{(2)} (^{c}{\\textrm{T}_t}^{(1)})^{-1} \\\\ \\textrm{A}_i \\textrm{X} &amp;= \\textrm{X} \\textrm{B}_i \\\\ \\end{align*} \\f] \\note Additional information can be found on this website . \\note A minimum of 2 motions with non parallel rotation axes are necessary to determine the hand-eye transformation. So at least 3 different poses are required, but it is strongly recommended to use many more poses. Python prototype (for reference only): calibrateHandEye(R_gripper2base, t_gripper2base, R_target2cam, t_target2cam[, R_cam2gripper[, t_cam2gripper[, method]]]) -&gt; R_cam2gripper, t_cam2gripper","ref":"Evision.html#calibrateHandEye/5","title":"Evision.calibrateHandEye/5","type":"function"},{"doc":"Computes Robot-World/Hand-Eye calibration: \\f$_{}^{w}\\textrm{T}_b\\f$ and \\f$_{}^{c}\\textrm{T}_g\\f$ Positional Arguments r_world2cam : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the world frame to the camera frame (\\f$_{}^{c}\\textrm{T}_w\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the rotation, (3x3) rotation matrices or (3x1) rotation vectors, for all the transformations from world frame to the camera frame. t_world2cam : [Evision.Mat] . Translation part extracted from the homogeneous matrix that transforms a point expressed in the world frame to the camera frame (\\f$_{}^{c}\\textrm{T}_w\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the (3x1) translation vectors for all the transformations from world frame to the camera frame. r_base2gripper : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the robot base frame to the gripper frame (\\f$_{}^{g}\\textrm{T}_b\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the rotation, (3x3) rotation matrices or (3x1) rotation vectors, for all the transformations from robot base frame to the gripper frame. t_base2gripper : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the robot base frame to the gripper frame (\\f$_{}^{g}\\textrm{T}_b\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the (3x1) translation vectors for all the transformations from robot base frame to the gripper frame. Keyword Arguments method : RobotWorldHandEyeCalibrationMethod . One of the implemented Robot-World/Hand-Eye calibration method, see cv::RobotWorldHandEyeCalibrationMethod Return r_base2world : Evision.Mat.t() . Estimated (3x3) rotation part extracted from the homogeneous matrix that transforms a point expressed in the robot base frame to the world frame (\\f$_{}^{w}\\textrm{T}_b\\f$). t_base2world : Evision.Mat.t() . Estimated (3x1) translation part extracted from the homogeneous matrix that transforms a point expressed in the robot base frame to the world frame (\\f$_{}^{w}\\textrm{T}_b\\f$). r_gripper2cam : Evision.Mat.t() . Estimated (3x3) rotation part extracted from the homogeneous matrix that transforms a point expressed in the gripper frame to the camera frame (\\f$_{}^{c}\\textrm{T}_g\\f$). t_gripper2cam : Evision.Mat.t() . Estimated (3x1) translation part extracted from the homogeneous matrix that transforms a point expressed in the gripper frame to the camera frame (\\f$_{}^{c}\\textrm{T}_g\\f$). The function performs the Robot-World/Hand-Eye calibration using various methods. One approach consists in estimating the rotation then the translation (separable solutions): M. Shah, Solving the robot-world/hand-eye calibration problem using the kronecker product \\cite Shah2013SolvingTR Another approach consists in estimating simultaneously the rotation and the translation (simultaneous solutions), with the following implemented method: A. Li, L. Wang, and D. Wu, Simultaneous robot-world and hand-eye calibration using dual-quaternions and kronecker product \\cite Li2010SimultaneousRA The following picture describes the Robot-World/Hand-Eye calibration problem where the transformations between a robot and a world frame and between a robot gripper (&quot;hand&quot;) and a camera (&quot;eye&quot;) mounted at the robot end-effector have to be estimated. The calibration procedure is the following: a static calibration pattern is used to estimate the transformation between the target frame and the camera frame the robot gripper is moved in order to acquire several poses for each pose, the homogeneous transformation between the gripper frame and the robot base frame is recorded using for instance the robot kinematics \\f[ \\begin{bmatrix} X_g\\\\ Y_g\\\\ Z_g\\\\ 1 \\end{bmatrix}= \\begin{bmatrix} _{}^{g}\\textrm{R}_b &amp; _{}^{g}\\textrm{t}_b \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_b\\\\ Y_b\\\\ Z_b\\\\ 1 \\end{bmatrix} \\f] for each pose, the homogeneous transformation between the calibration target frame (the world frame) and the camera frame is recorded using for instance a pose estimation method (PnP) from 2D-3D point correspondences \\f[ \\begin{bmatrix} X_c\\\\ Y_c\\\\ Z_c\\\\ 1 \\end{bmatrix}= \\begin{bmatrix} _{}^{c}\\textrm{R}_w &amp; _{}^{c}\\textrm{t}_w \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_w\\\\ Y_w\\\\ Z_w\\\\ 1 \\end{bmatrix} \\f] The Robot-World/Hand-Eye calibration procedure returns the following homogeneous transformations \\f[ \\begin{bmatrix} X_w\\\\ Y_w\\\\ Z_w\\\\ 1 \\end{bmatrix} \\begin{bmatrix} _{}^{w}\\textrm{R}_b &amp; _{}^{w}\\textrm{t}_b \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_b\\\\ Y_b\\\\ Z_b\\\\ 1 \\end{bmatrix} \\f] \\f[ \\begin{bmatrix} X_c\\\\ Y_c\\\\ Z_c\\\\ 1 \\end{bmatrix} \\begin{bmatrix} _{}^{c}\\textrm{R}_g &amp; _{}^{c}\\textrm{t}_g \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_g\\\\ Y_g\\\\ Z_g\\\\ 1 \\end{bmatrix} \\f] This problem is also known as solving the \\f$\\mathbf{A}\\mathbf{X}=\\mathbf{Z}\\mathbf{B}\\f$ equation, with: \\f$\\mathbf{A} \\Leftrightarrow \\hspace{0.1em} _{}^{c}\\textrm{T}_w\\f$ \\f$\\mathbf{X} \\Leftrightarrow \\hspace{0.1em} _{}^{w}\\textrm{T}_b\\f$ \\f$\\mathbf{Z} \\Leftrightarrow \\hspace{0.1em} _{}^{c}\\textrm{T}_g\\f$ \\f$\\mathbf{B} \\Leftrightarrow \\hspace{0.1em} _{}^{g}\\textrm{T}_b\\f$ \\note At least 3 measurements are required (input vectors size must be greater or equal to 3). Python prototype (for reference only): calibrateRobotWorldHandEye(R_world2cam, t_world2cam, R_base2gripper, t_base2gripper[, R_base2world[, t_base2world[, R_gripper2cam[, t_gripper2cam[, method]]]]]) -&gt; R_base2world, t_base2world, R_gripper2cam, t_gripper2cam","ref":"Evision.html#calibrateRobotWorldHandEye/4","title":"Evision.calibrateRobotWorldHandEye/4","type":"function"},{"doc":"Computes Robot-World/Hand-Eye calibration: \\f$_{}^{w}\\textrm{T}_b\\f$ and \\f$_{}^{c}\\textrm{T}_g\\f$ Positional Arguments r_world2cam : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the world frame to the camera frame (\\f$_{}^{c}\\textrm{T}_w\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the rotation, (3x3) rotation matrices or (3x1) rotation vectors, for all the transformations from world frame to the camera frame. t_world2cam : [Evision.Mat] . Translation part extracted from the homogeneous matrix that transforms a point expressed in the world frame to the camera frame (\\f$_{}^{c}\\textrm{T}_w\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the (3x1) translation vectors for all the transformations from world frame to the camera frame. r_base2gripper : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the robot base frame to the gripper frame (\\f$_{}^{g}\\textrm{T}_b\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the rotation, (3x3) rotation matrices or (3x1) rotation vectors, for all the transformations from robot base frame to the gripper frame. t_base2gripper : [Evision.Mat] . Rotation part extracted from the homogeneous matrix that transforms a point expressed in the robot base frame to the gripper frame (\\f$_{}^{g}\\textrm{T}_b\\f$). This is a vector ( vector&lt;Mat&gt; ) that contains the (3x1) translation vectors for all the transformations from robot base frame to the gripper frame. Keyword Arguments method : RobotWorldHandEyeCalibrationMethod . One of the implemented Robot-World/Hand-Eye calibration method, see cv::RobotWorldHandEyeCalibrationMethod Return r_base2world : Evision.Mat.t() . Estimated (3x3) rotation part extracted from the homogeneous matrix that transforms a point expressed in the robot base frame to the world frame (\\f$_{}^{w}\\textrm{T}_b\\f$). t_base2world : Evision.Mat.t() . Estimated (3x1) translation part extracted from the homogeneous matrix that transforms a point expressed in the robot base frame to the world frame (\\f$_{}^{w}\\textrm{T}_b\\f$). r_gripper2cam : Evision.Mat.t() . Estimated (3x3) rotation part extracted from the homogeneous matrix that transforms a point expressed in the gripper frame to the camera frame (\\f$_{}^{c}\\textrm{T}_g\\f$). t_gripper2cam : Evision.Mat.t() . Estimated (3x1) translation part extracted from the homogeneous matrix that transforms a point expressed in the gripper frame to the camera frame (\\f$_{}^{c}\\textrm{T}_g\\f$). The function performs the Robot-World/Hand-Eye calibration using various methods. One approach consists in estimating the rotation then the translation (separable solutions): M. Shah, Solving the robot-world/hand-eye calibration problem using the kronecker product \\cite Shah2013SolvingTR Another approach consists in estimating simultaneously the rotation and the translation (simultaneous solutions), with the following implemented method: A. Li, L. Wang, and D. Wu, Simultaneous robot-world and hand-eye calibration using dual-quaternions and kronecker product \\cite Li2010SimultaneousRA The following picture describes the Robot-World/Hand-Eye calibration problem where the transformations between a robot and a world frame and between a robot gripper (&quot;hand&quot;) and a camera (&quot;eye&quot;) mounted at the robot end-effector have to be estimated. The calibration procedure is the following: a static calibration pattern is used to estimate the transformation between the target frame and the camera frame the robot gripper is moved in order to acquire several poses for each pose, the homogeneous transformation between the gripper frame and the robot base frame is recorded using for instance the robot kinematics \\f[ \\begin{bmatrix} X_g\\\\ Y_g\\\\ Z_g\\\\ 1 \\end{bmatrix}= \\begin{bmatrix} _{}^{g}\\textrm{R}_b &amp; _{}^{g}\\textrm{t}_b \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_b\\\\ Y_b\\\\ Z_b\\\\ 1 \\end{bmatrix} \\f] for each pose, the homogeneous transformation between the calibration target frame (the world frame) and the camera frame is recorded using for instance a pose estimation method (PnP) from 2D-3D point correspondences \\f[ \\begin{bmatrix} X_c\\\\ Y_c\\\\ Z_c\\\\ 1 \\end{bmatrix}= \\begin{bmatrix} _{}^{c}\\textrm{R}_w &amp; _{}^{c}\\textrm{t}_w \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_w\\\\ Y_w\\\\ Z_w\\\\ 1 \\end{bmatrix} \\f] The Robot-World/Hand-Eye calibration procedure returns the following homogeneous transformations \\f[ \\begin{bmatrix} X_w\\\\ Y_w\\\\ Z_w\\\\ 1 \\end{bmatrix} \\begin{bmatrix} _{}^{w}\\textrm{R}_b &amp; _{}^{w}\\textrm{t}_b \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_b\\\\ Y_b\\\\ Z_b\\\\ 1 \\end{bmatrix} \\f] \\f[ \\begin{bmatrix} X_c\\\\ Y_c\\\\ Z_c\\\\ 1 \\end{bmatrix} \\begin{bmatrix} _{}^{c}\\textrm{R}_g &amp; _{}^{c}\\textrm{t}_g \\\\ 0_{1 \\times 3} &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_g\\\\ Y_g\\\\ Z_g\\\\ 1 \\end{bmatrix} \\f] This problem is also known as solving the \\f$\\mathbf{A}\\mathbf{X}=\\mathbf{Z}\\mathbf{B}\\f$ equation, with: \\f$\\mathbf{A} \\Leftrightarrow \\hspace{0.1em} _{}^{c}\\textrm{T}_w\\f$ \\f$\\mathbf{X} \\Leftrightarrow \\hspace{0.1em} _{}^{w}\\textrm{T}_b\\f$ \\f$\\mathbf{Z} \\Leftrightarrow \\hspace{0.1em} _{}^{c}\\textrm{T}_g\\f$ \\f$\\mathbf{B} \\Leftrightarrow \\hspace{0.1em} _{}^{g}\\textrm{T}_b\\f$ \\note At least 3 measurements are required (input vectors size must be greater or equal to 3). Python prototype (for reference only): calibrateRobotWorldHandEye(R_world2cam, t_world2cam, R_base2gripper, t_base2gripper[, R_base2world[, t_base2world[, R_gripper2cam[, t_gripper2cam[, method]]]]]) -&gt; R_base2world, t_base2world, R_gripper2cam, t_gripper2cam","ref":"Evision.html#calibrateRobotWorldHandEye/5","title":"Evision.calibrateRobotWorldHandEye/5","type":"function"},{"doc":"Computes useful camera characteristics from the camera intrinsic matrix. Positional Arguments cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix that can be estimated by #calibrateCamera or #stereoCalibrate . imageSize : Size . Input image size in pixels. apertureWidth : double . Physical width in mm of the sensor. apertureHeight : double . Physical height in mm of the sensor. Return fovx : double . Output field of view in degrees along the horizontal sensor axis. fovy : double . Output field of view in degrees along the vertical sensor axis. focalLength : double . Focal length of the lens in mm. principalPoint : Point2d . Principal point in mm. aspectRatio : double . \\f$f_y/f_x\\f$ The function computes various useful camera characteristics from the previously estimated camera matrix. Note : Do keep in mind that the unity measure 'mm' stands for whatever unit of measure one chooses for the chessboard pitch (it can thus be any value). Python prototype (for reference only): calibrationMatrixValues(cameraMatrix, imageSize, apertureWidth, apertureHeight) -&gt; fovx, fovy, focalLength, principalPoint, aspectRatio","ref":"Evision.html#calibrationMatrixValues/4","title":"Evision.calibrationMatrixValues/4","type":"function"},{"doc":"Finds an object center, size, and orientation. Positional Arguments probImage : Evision.Mat.t() . Back projection of the object histogram. See calcBackProject. criteria : TermCriteria . Stop criteria for the underlying meanShift. returns (in old interfaces) Number of iterations CAMSHIFT took to converge The function implements the CAMSHIFT object tracking algorithm @cite Bradski98 . First, it finds an object center using meanShift and then adjusts the window size and finds the optimal rotation. The function returns the rotated rectangle structure that includes the object position, size, and orientation. The next position of the search window can be obtained with RotatedRect::boundingRect() Return retval : {centre={x, y}, size={s1, s2}, angle} window : Rect . Initial search window. See the OpenCV sample camshiftdemo.c that tracks colored objects. Note : (Python) A sample explaining the camshift tracking algorithm can be found at opencv_source_code/samples/python/camshift.py Python prototype (for reference only): CamShift(probImage, window, criteria) -&gt; retval, window","ref":"Evision.html#camShift/3","title":"Evision.camShift/3","type":"function"},{"doc":"Finds edges in an image using the Canny algorithm @cite Canny86 . Positional Arguments image : Evision.Mat.t() . 8-bit input image. threshold1 : double . first threshold for the hysteresis procedure. threshold2 : double . second threshold for the hysteresis procedure. Keyword Arguments apertureSize : int . aperture size for the Sobel operator. l2gradient : bool . a flag, indicating whether a more accurate \\f$L_2\\f$ norm \\f$=\\sqrt{(dI/dx)^2 + (dI/dy)^2}\\f$ should be used to calculate the image gradient magnitude ( L2gradient=true ), or whether the default \\f$L_1\\f$ norm \\f$=|dI/dx|+|dI/dy|\\f$ is enough ( L2gradient=false ). Return edges : Evision.Mat.t() . output edge map; single channels 8-bit image, which has the same size as image . The function finds edges in the input image and marks them in the output map edges using the Canny algorithm. The smallest value between threshold1 and threshold2 is used for edge linking. The largest value is used to find initial segments of strong edges. See http://en.wikipedia.org/wiki/Canny_edge_detector Python prototype (for reference only): Canny(image, threshold1, threshold2[, edges[, apertureSize[, L2gradient]]]) -&gt; edges","ref":"Evision.html#canny/3","title":"Evision.canny/3","type":"function"},{"doc":"Variant 1: Canny Positional Arguments dx : Evision.Mat.t() . 16-bit x derivative of input image (CV_16SC1 or CV_16SC3). dy : Evision.Mat.t() . 16-bit y derivative of input image (same type as dx). threshold1 : double . first threshold for the hysteresis procedure. threshold2 : double . second threshold for the hysteresis procedure. Keyword Arguments l2gradient : bool . a flag, indicating whether a more accurate \\f$L_2\\f$ norm \\f$=\\sqrt{(dI/dx)^2 + (dI/dy)^2}\\f$ should be used to calculate the image gradient magnitude ( L2gradient=true ), or whether the default \\f$L_1\\f$ norm \\f$=|dI/dx|+|dI/dy|\\f$ is enough ( L2gradient=false ). Return edges : Evision.Mat.t() . output edge map; single channels 8-bit image, which has the same size as image . Finds edges in an image using the Canny algorithm with custom image gradient. Python prototype (for reference only): Canny(dx, dy, threshold1, threshold2[, edges[, L2gradient]]) -&gt; edges Variant 2: Finds edges in an image using the Canny algorithm @cite Canny86 . Positional Arguments image : Evision.Mat.t() . 8-bit input image. threshold1 : double . first threshold for the hysteresis procedure. threshold2 : double . second threshold for the hysteresis procedure. Keyword Arguments apertureSize : int . aperture size for the Sobel operator. l2gradient : bool . a flag, indicating whether a more accurate \\f$L_2\\f$ norm \\f$=\\sqrt{(dI/dx)^2 + (dI/dy)^2}\\f$ should be used to calculate the image gradient magnitude ( L2gradient=true ), or whether the default \\f$L_1\\f$ norm \\f$=|dI/dx|+|dI/dy|\\f$ is enough ( L2gradient=false ). Return edges : Evision.Mat.t() . output edge map; single channels 8-bit image, which has the same size as image . The function finds edges in the input image and marks them in the output map edges using the Canny algorithm. The smallest value between threshold1 and threshold2 is used for edge linking. The largest value is used to find initial segments of strong edges. See http://en.wikipedia.org/wiki/Canny_edge_detector Python prototype (for reference only): Canny(image, threshold1, threshold2[, edges[, apertureSize[, L2gradient]]]) -&gt; edges","ref":"Evision.html#canny/4","title":"Evision.canny/4","type":"function"},{"doc":"Canny Positional Arguments dx : Evision.Mat.t() . 16-bit x derivative of input image (CV_16SC1 or CV_16SC3). dy : Evision.Mat.t() . 16-bit y derivative of input image (same type as dx). threshold1 : double . first threshold for the hysteresis procedure. threshold2 : double . second threshold for the hysteresis procedure. Keyword Arguments l2gradient : bool . a flag, indicating whether a more accurate \\f$L_2\\f$ norm \\f$=\\sqrt{(dI/dx)^2 + (dI/dy)^2}\\f$ should be used to calculate the image gradient magnitude ( L2gradient=true ), or whether the default \\f$L_1\\f$ norm \\f$=|dI/dx|+|dI/dy|\\f$ is enough ( L2gradient=false ). Return edges : Evision.Mat.t() . output edge map; single channels 8-bit image, which has the same size as image . Finds edges in an image using the Canny algorithm with custom image gradient. Python prototype (for reference only): Canny(dx, dy, threshold1, threshold2[, edges[, L2gradient]]) -&gt; edges","ref":"Evision.html#canny/5","title":"Evision.canny/5","type":"function"},{"doc":"Calculates the magnitude and angle of 2D vectors. Positional Arguments x : Evision.Mat.t() . array of x-coordinates; this must be a single-precision or double-precision floating-point array. y : Evision.Mat.t() . array of y-coordinates, that must have the same size and same type as x. Keyword Arguments angleInDegrees : bool . a flag, indicating whether the angles are measured in radians (which is by default), or in degrees. Return magnitude : Evision.Mat.t() . output array of magnitudes of the same size and type as x. angle : Evision.Mat.t() . output array of angles that has the same size and type as x; the angles are measured in radians (from 0 to 2*Pi) or in degrees (0 to 360 degrees). The function cv::cartToPolar calculates either the magnitude, angle, or both for every 2D vector (x(I),y(I)): \\f[\\begin{array}{l} \\texttt{magnitude} (I)= \\sqrt{\\texttt{x}(I)^2+\\texttt{y}(I)^2} , \\\\ \\texttt{angle} (I)= \\texttt{atan2} ( \\texttt{y} (I), \\texttt{x} (I))[ \\cdot180 / \\pi ] \\end{array}\\f] The angles are calculated with accuracy about 0.3 degrees. For the point (0,0), the angle is set to 0. @sa Sobel, Scharr Python prototype (for reference only): cartToPolar(x, y[, magnitude[, angle[, angleInDegrees]]]) -&gt; magnitude, angle","ref":"Evision.html#cartToPolar/2","title":"Evision.cartToPolar/2","type":"function"},{"doc":"Calculates the magnitude and angle of 2D vectors. Positional Arguments x : Evision.Mat.t() . array of x-coordinates; this must be a single-precision or double-precision floating-point array. y : Evision.Mat.t() . array of y-coordinates, that must have the same size and same type as x. Keyword Arguments angleInDegrees : bool . a flag, indicating whether the angles are measured in radians (which is by default), or in degrees. Return magnitude : Evision.Mat.t() . output array of magnitudes of the same size and type as x. angle : Evision.Mat.t() . output array of angles that has the same size and type as x; the angles are measured in radians (from 0 to 2*Pi) or in degrees (0 to 360 degrees). The function cv::cartToPolar calculates either the magnitude, angle, or both for every 2D vector (x(I),y(I)): \\f[\\begin{array}{l} \\texttt{magnitude} (I)= \\sqrt{\\texttt{x}(I)^2+\\texttt{y}(I)^2} , \\\\ \\texttt{angle} (I)= \\texttt{atan2} ( \\texttt{y} (I), \\texttt{x} (I))[ \\cdot180 / \\pi ] \\end{array}\\f] The angles are calculated with accuracy about 0.3 degrees. For the point (0,0), the angle is set to 0. @sa Sobel, Scharr Python prototype (for reference only): cartToPolar(x, y[, magnitude[, angle[, angleInDegrees]]]) -&gt; magnitude, angle","ref":"Evision.html#cartToPolar/3","title":"Evision.cartToPolar/3","type":"function"},{"doc":"checkChessboard Positional Arguments img : Evision.Mat.t() size : Size Return retval : bool Python prototype (for reference only): checkChessboard(img, size) -&gt; retval","ref":"Evision.html#checkChessboard/2","title":"Evision.checkChessboard/2","type":"function"},{"doc":"Returns true if the specified feature is supported by the host hardware. Positional Arguments feature : int . The feature of interest, one of cv::CpuFeatures Return retval : bool The function returns true if the host hardware supports the specified feature. When user calls setUseOptimized(false), the subsequent calls to checkHardwareSupport() will return false until setUseOptimized(true) is called. This way user can dynamically switch on and off the optimized code in OpenCV. Python prototype (for reference only): checkHardwareSupport(feature) -&gt; retval","ref":"Evision.html#checkHardwareSupport/1","title":"Evision.checkHardwareSupport/1","type":"function"},{"doc":"Checks every element of an input array for invalid values. Positional Arguments a : Evision.Mat.t() . input array. Keyword Arguments quiet : bool . a flag, indicating whether the functions quietly return false when the array elements are out of range or they throw an exception. minVal : double . inclusive lower boundary of valid values range. maxVal : double . exclusive upper boundary of valid values range. Return retval : bool pos : Point* . optional output parameter, when not NULL, must be a pointer to array of src.dims elements. The function cv::checkRange checks that every array element is neither NaN nor infinite. When minVal &gt; DBL_MAX and maxVal \\&lt; DBL_MAX, the function also checks that each value is between minVal and maxVal. In case of multi-channel arrays, each channel is processed independently. If some values are out of range, position of the first outlier is stored in pos (when pos != NULL). Then, the function either returns false (when quiet=true) or throws an exception. Python prototype (for reference only): checkRange(a[, quiet[, minVal[, maxVal]]]) -&gt; retval, pos","ref":"Evision.html#checkRange/1","title":"Evision.checkRange/1","type":"function"},{"doc":"Checks every element of an input array for invalid values. Positional Arguments a : Evision.Mat.t() . input array. Keyword Arguments quiet : bool . a flag, indicating whether the functions quietly return false when the array elements are out of range or they throw an exception. minVal : double . inclusive lower boundary of valid values range. maxVal : double . exclusive upper boundary of valid values range. Return retval : bool pos : Point* . optional output parameter, when not NULL, must be a pointer to array of src.dims elements. The function cv::checkRange checks that every array element is neither NaN nor infinite. When minVal &gt; DBL_MAX and maxVal \\&lt; DBL_MAX, the function also checks that each value is between minVal and maxVal. In case of multi-channel arrays, each channel is processed independently. If some values are out of range, position of the first outlier is stored in pos (when pos != NULL). Then, the function either returns false (when quiet=true) or throws an exception. Python prototype (for reference only): checkRange(a[, quiet[, minVal[, maxVal]]]) -&gt; retval, pos","ref":"Evision.html#checkRange/2","title":"Evision.checkRange/2","type":"function"},{"doc":"Draws a circle. Positional Arguments center : Point . Center of the circle. radius : int . Radius of the circle. color : Scalar . Circle color. Keyword Arguments thickness : int . Thickness of the circle outline, if positive. Negative values, like #FILLED, mean that a filled circle is to be drawn. lineType : int . Type of the circle boundary. See #LineTypes shift : int . Number of fractional bits in the coordinates of the center and in the radius value. Return img : Evision.Mat.t() . Image where the circle is drawn. The function cv::circle draws a simple or filled circle with a given center and radius. Python prototype (for reference only): circle(img, center, radius, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#circle/4","title":"Evision.circle/4","type":"function"},{"doc":"Draws a circle. Positional Arguments center : Point . Center of the circle. radius : int . Radius of the circle. color : Scalar . Circle color. Keyword Arguments thickness : int . Thickness of the circle outline, if positive. Negative values, like #FILLED, mean that a filled circle is to be drawn. lineType : int . Type of the circle boundary. See #LineTypes shift : int . Number of fractional bits in the coordinates of the center and in the radius value. Return img : Evision.Mat.t() . Image where the circle is drawn. The function cv::circle draws a simple or filled circle with a given center and radius. Python prototype (for reference only): circle(img, center, radius, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#circle/5","title":"Evision.circle/5","type":"function"},{"doc":"clipLine Positional Arguments imgRect : Rect . Image rectangle. Return retval : bool pt1 : Point . First line point. pt2 : Point . Second line point. Has overloading in C++ Python prototype (for reference only): clipLine(imgRect, pt1, pt2) -&gt; retval, pt1, pt2","ref":"Evision.html#clipLine/3","title":"Evision.clipLine/3","type":"function"},{"doc":"Given an original color image, two differently colored versions of this image can be mixed seamlessly. Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. mask : Evision.Mat.t() . Input 8-bit 1 or 3-channel image. Keyword Arguments red_mul : float . R-channel multiply factor. green_mul : float . G-channel multiply factor. blue_mul : float . B-channel multiply factor. Return dst : Evision.Mat.t() . Output image with the same size and type as src . Multiplication factor is between .5 to 2.5. Python prototype (for reference only): colorChange(src, mask[, dst[, red_mul[, green_mul[, blue_mul]]]]) -&gt; dst","ref":"Evision.html#colorChange/2","title":"Evision.colorChange/2","type":"function"},{"doc":"Given an original color image, two differently colored versions of this image can be mixed seamlessly. Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. mask : Evision.Mat.t() . Input 8-bit 1 or 3-channel image. Keyword Arguments red_mul : float . R-channel multiply factor. green_mul : float . G-channel multiply factor. blue_mul : float . B-channel multiply factor. Return dst : Evision.Mat.t() . Output image with the same size and type as src . Multiplication factor is between .5 to 2.5. Python prototype (for reference only): colorChange(src, mask[, dst[, red_mul[, green_mul[, blue_mul]]]]) -&gt; dst","ref":"Evision.html#colorChange/3","title":"Evision.colorChange/3","type":"function"},{"doc":"Performs the per-element comparison of two arrays or an array and scalar value. Positional Arguments src1 : Evision.Mat.t() . first input array or a scalar; when it is an array, it must have a single channel. src2 : Evision.Mat.t() . second input array or a scalar; when it is an array, it must have a single channel. cmpop : int . a flag, that specifies correspondence between the arrays (cv::CmpTypes) Return dst : Evision.Mat.t() . output array of type ref CV_8U that has the same size and the same number of channels as the input arrays. The function compares: Elements of two arrays when src1 and src2 have the same size: \\f[\\texttt{dst} (I) = \\texttt{src1} (I) \\,\\texttt{cmpop}\\, \\texttt{src2} (I)\\f] Elements of src1 with a scalar src2 when src2 is constructed from Scalar or has a single element: \\f[\\texttt{dst} (I) = \\texttt{src1}(I) \\,\\texttt{cmpop}\\, \\texttt{src2}\\f] src1 with elements of src2 when src1 is constructed from Scalar or has a single element: \\f[\\texttt{dst} (I) = \\texttt{src1} \\,\\texttt{cmpop}\\, \\texttt{src2} (I)\\f] When the comparison result is true, the corresponding element of output array is set to 255. The comparison operations can be replaced with the equivalent matrix expressions: Mat dst1 = src1 &gt;= src2; Mat dst2 = src1 &lt; 8; ... @sa checkRange, min, max, threshold Python prototype (for reference only): compare(src1, src2, cmpop[, dst]) -&gt; dst","ref":"Evision.html#compare/3","title":"Evision.compare/3","type":"function"},{"doc":"Performs the per-element comparison of two arrays or an array and scalar value. Positional Arguments src1 : Evision.Mat.t() . first input array or a scalar; when it is an array, it must have a single channel. src2 : Evision.Mat.t() . second input array or a scalar; when it is an array, it must have a single channel. cmpop : int . a flag, that specifies correspondence between the arrays (cv::CmpTypes) Return dst : Evision.Mat.t() . output array of type ref CV_8U that has the same size and the same number of channels as the input arrays. The function compares: Elements of two arrays when src1 and src2 have the same size: \\f[\\texttt{dst} (I) = \\texttt{src1} (I) \\,\\texttt{cmpop}\\, \\texttt{src2} (I)\\f] Elements of src1 with a scalar src2 when src2 is constructed from Scalar or has a single element: \\f[\\texttt{dst} (I) = \\texttt{src1}(I) \\,\\texttt{cmpop}\\, \\texttt{src2}\\f] src1 with elements of src2 when src1 is constructed from Scalar or has a single element: \\f[\\texttt{dst} (I) = \\texttt{src1} \\,\\texttt{cmpop}\\, \\texttt{src2} (I)\\f] When the comparison result is true, the corresponding element of output array is set to 255. The comparison operations can be replaced with the equivalent matrix expressions: Mat dst1 = src1 &gt;= src2; Mat dst2 = src1 &lt; 8; ... @sa checkRange, min, max, threshold Python prototype (for reference only): compare(src1, src2, cmpop[, dst]) -&gt; dst","ref":"Evision.html#compare/4","title":"Evision.compare/4","type":"function"},{"doc":"Compares two histograms. Positional Arguments h1 : Evision.Mat.t() . First compared histogram. h2 : Evision.Mat.t() . Second compared histogram of the same size as H1 . method : int . Comparison method, see #HistCompMethods Return retval : double The function cv::compareHist compares two dense or two sparse histograms using the specified method. The function returns \\f$d(H_1, H_2)\\f$ . While the function works well with 1-, 2-, 3-dimensional dense histograms, it may not be suitable for high-dimensional sparse histograms. In such histograms, because of aliasing and sampling problems, the coordinates of non-zero histogram bins can slightly shift. To compare such histograms or more general sparse configurations of weighted points, consider using the #EMD function. Python prototype (for reference only): compareHist(H1, H2, method) -&gt; retval","ref":"Evision.html#compareHist/3","title":"Evision.compareHist/3","type":"function"},{"doc":"Copies the lower or the upper half of a square matrix to its another half. Keyword Arguments lowerToUpper : bool . operation flag; if true, the lower half is copied to the upper half. Otherwise, the upper half is copied to the lower half. Return m : Evision.Mat.t() . input-output floating-point square matrix. The function cv::completeSymm copies the lower or the upper half of a square matrix to its another half. The matrix diagonal remains unchanged: \\f$\\texttt{m}_{ij}=\\texttt{m}_{ji}\\f$ for \\f$i &gt; j\\f$ if lowerToUpper=false \\f$\\texttt{m}_{ij}=\\texttt{m}_{ji}\\f$ for \\f$i &lt; j\\f$ if lowerToUpper=true @sa flip, transpose Python prototype (for reference only): completeSymm(m[, lowerToUpper]) -&gt; m","ref":"Evision.html#completeSymm/1","title":"Evision.completeSymm/1","type":"function"},{"doc":"Copies the lower or the upper half of a square matrix to its another half. Keyword Arguments lowerToUpper : bool . operation flag; if true, the lower half is copied to the upper half. Otherwise, the upper half is copied to the lower half. Return m : Evision.Mat.t() . input-output floating-point square matrix. The function cv::completeSymm copies the lower or the upper half of a square matrix to its another half. The matrix diagonal remains unchanged: \\f$\\texttt{m}_{ij}=\\texttt{m}_{ji}\\f$ for \\f$i &gt; j\\f$ if lowerToUpper=false \\f$\\texttt{m}_{ij}=\\texttt{m}_{ji}\\f$ for \\f$i &lt; j\\f$ if lowerToUpper=true @sa flip, transpose Python prototype (for reference only): completeSymm(m[, lowerToUpper]) -&gt; m","ref":"Evision.html#completeSymm/2","title":"Evision.completeSymm/2","type":"function"},{"doc":"Combines two rotation-and-shift transformations. Positional Arguments rvec1 : Evision.Mat.t() . First rotation vector. tvec1 : Evision.Mat.t() . First translation vector. rvec2 : Evision.Mat.t() . Second rotation vector. tvec2 : Evision.Mat.t() . Second translation vector. Return rvec3 : Evision.Mat.t() . Output rotation vector of the superposition. tvec3 : Evision.Mat.t() . Output translation vector of the superposition. dr3dr1 : Evision.Mat.t() . Optional output derivative of rvec3 with regard to rvec1 dr3dt1 : Evision.Mat.t() . Optional output derivative of rvec3 with regard to tvec1 dr3dr2 : Evision.Mat.t() . Optional output derivative of rvec3 with regard to rvec2 dr3dt2 : Evision.Mat.t() . Optional output derivative of rvec3 with regard to tvec2 dt3dr1 : Evision.Mat.t() . Optional output derivative of tvec3 with regard to rvec1 dt3dt1 : Evision.Mat.t() . Optional output derivative of tvec3 with regard to tvec1 dt3dr2 : Evision.Mat.t() . Optional output derivative of tvec3 with regard to rvec2 dt3dt2 : Evision.Mat.t() . Optional output derivative of tvec3 with regard to tvec2 The functions compute: \\f[\\begin{array}{l} \\texttt{rvec3} = \\mathrm{rodrigues} ^{-1} \\left ( \\mathrm{rodrigues} ( \\texttt{rvec2} ) \\cdot \\mathrm{rodrigues} ( \\texttt{rvec1} ) \\right ) \\\\ \\texttt{tvec3} = \\mathrm{rodrigues} ( \\texttt{rvec2} ) \\cdot \\texttt{tvec1} + \\texttt{tvec2} \\end{array} ,\\f] where \\f$\\mathrm{rodrigues}\\f$ denotes a rotation vector to a rotation matrix transformation, and \\f$\\mathrm{rodrigues}^{-1}\\f$ denotes the inverse transformation. See #Rodrigues for details. Also, the functions can compute the derivatives of the output vectors with regards to the input vectors (see #matMulDeriv ). The functions are used inside #stereoCalibrate but can also be used in your own code where Levenberg-Marquardt or another gradient-based solver is used to optimize a function that contains a matrix multiplication. Python prototype (for reference only): composeRT(rvec1, tvec1, rvec2, tvec2[, rvec3[, tvec3[, dr3dr1[, dr3dt1[, dr3dr2[, dr3dt2[, dt3dr1[, dt3dt1[, dt3dr2[, dt3dt2]]]]]]]]]]) -&gt; rvec3, tvec3, dr3dr1, dr3dt1, dr3dr2, dr3dt2, dt3dr1, dt3dt1, dt3dr2, dt3dt2","ref":"Evision.html#composeRT/4","title":"Evision.composeRT/4","type":"function"},{"doc":"Combines two rotation-and-shift transformations. Positional Arguments rvec1 : Evision.Mat.t() . First rotation vector. tvec1 : Evision.Mat.t() . First translation vector. rvec2 : Evision.Mat.t() . Second rotation vector. tvec2 : Evision.Mat.t() . Second translation vector. Return rvec3 : Evision.Mat.t() . Output rotation vector of the superposition. tvec3 : Evision.Mat.t() . Output translation vector of the superposition. dr3dr1 : Evision.Mat.t() . Optional output derivative of rvec3 with regard to rvec1 dr3dt1 : Evision.Mat.t() . Optional output derivative of rvec3 with regard to tvec1 dr3dr2 : Evision.Mat.t() . Optional output derivative of rvec3 with regard to rvec2 dr3dt2 : Evision.Mat.t() . Optional output derivative of rvec3 with regard to tvec2 dt3dr1 : Evision.Mat.t() . Optional output derivative of tvec3 with regard to rvec1 dt3dt1 : Evision.Mat.t() . Optional output derivative of tvec3 with regard to tvec1 dt3dr2 : Evision.Mat.t() . Optional output derivative of tvec3 with regard to rvec2 dt3dt2 : Evision.Mat.t() . Optional output derivative of tvec3 with regard to tvec2 The functions compute: \\f[\\begin{array}{l} \\texttt{rvec3} = \\mathrm{rodrigues} ^{-1} \\left ( \\mathrm{rodrigues} ( \\texttt{rvec2} ) \\cdot \\mathrm{rodrigues} ( \\texttt{rvec1} ) \\right ) \\\\ \\texttt{tvec3} = \\mathrm{rodrigues} ( \\texttt{rvec2} ) \\cdot \\texttt{tvec1} + \\texttt{tvec2} \\end{array} ,\\f] where \\f$\\mathrm{rodrigues}\\f$ denotes a rotation vector to a rotation matrix transformation, and \\f$\\mathrm{rodrigues}^{-1}\\f$ denotes the inverse transformation. See #Rodrigues for details. Also, the functions can compute the derivatives of the output vectors with regards to the input vectors (see #matMulDeriv ). The functions are used inside #stereoCalibrate but can also be used in your own code where Levenberg-Marquardt or another gradient-based solver is used to optimize a function that contains a matrix multiplication. Python prototype (for reference only): composeRT(rvec1, tvec1, rvec2, tvec2[, rvec3[, tvec3[, dr3dr1[, dr3dt1[, dr3dr2[, dr3dt2[, dt3dr1[, dt3dt1[, dt3dr2[, dt3dt2]]]]]]]]]]) -&gt; rvec3, tvec3, dr3dr1, dr3dt1, dr3dr2, dr3dt2, dt3dr1, dt3dt1, dt3dr2, dt3dt2","ref":"Evision.html#composeRT/5","title":"Evision.composeRT/5","type":"function"},{"doc":"For points in an image of a stereo pair, computes the corresponding epilines in the other image. Positional Arguments points : Evision.Mat.t() . Input points. \\f$N \\times 1\\f$ or \\f$1 \\times N\\f$ matrix of type CV_32FC2 or vector\\&lt;Point2f&gt; . whichImage : int . Index of the image (1 or 2) that contains the points . f : Evision.Mat.t() . Fundamental matrix that can be estimated using #findFundamentalMat or #stereoRectify . Return lines : Evision.Mat.t() . Output vector of the epipolar lines corresponding to the points in the other image. Each line \\f$ax + by + c=0\\f$ is encoded by 3 numbers \\f$(a, b, c)\\f$ . For every point in one of the two images of a stereo pair, the function finds the equation of the corresponding epipolar line in the other image. From the fundamental matrix definition (see #findFundamentalMat ), line \\f$l^{(2)}_i\\f$ in the second image for the point \\f$p^{(1)}_i\\f$ in the first image (when whichImage=1 ) is computed as: \\f[l^{(2)}_i = F p^{(1)}_i\\f] And vice versa, when whichImage=2, \\f$l^{(1)}_i\\f$ is computed from \\f$p^{(2)}_i\\f$ as: \\f[l^{(1)}_i = F^T p^{(2)}_i\\f] Line coefficients are defined up to a scale. They are normalized so that \\f$a_i^2+b_i^2=1\\f$ . Python prototype (for reference only): computeCorrespondEpilines(points, whichImage, F[, lines]) -&gt; lines","ref":"Evision.html#computeCorrespondEpilines/3","title":"Evision.computeCorrespondEpilines/3","type":"function"},{"doc":"For points in an image of a stereo pair, computes the corresponding epilines in the other image. Positional Arguments points : Evision.Mat.t() . Input points. \\f$N \\times 1\\f$ or \\f$1 \\times N\\f$ matrix of type CV_32FC2 or vector\\&lt;Point2f&gt; . whichImage : int . Index of the image (1 or 2) that contains the points . f : Evision.Mat.t() . Fundamental matrix that can be estimated using #findFundamentalMat or #stereoRectify . Return lines : Evision.Mat.t() . Output vector of the epipolar lines corresponding to the points in the other image. Each line \\f$ax + by + c=0\\f$ is encoded by 3 numbers \\f$(a, b, c)\\f$ . For every point in one of the two images of a stereo pair, the function finds the equation of the corresponding epipolar line in the other image. From the fundamental matrix definition (see #findFundamentalMat ), line \\f$l^{(2)}_i\\f$ in the second image for the point \\f$p^{(1)}_i\\f$ in the first image (when whichImage=1 ) is computed as: \\f[l^{(2)}_i = F p^{(1)}_i\\f] And vice versa, when whichImage=2, \\f$l^{(1)}_i\\f$ is computed from \\f$p^{(2)}_i\\f$ as: \\f[l^{(1)}_i = F^T p^{(2)}_i\\f] Line coefficients are defined up to a scale. They are normalized so that \\f$a_i^2+b_i^2=1\\f$ . Python prototype (for reference only): computeCorrespondEpilines(points, whichImage, F[, lines]) -&gt; lines","ref":"Evision.html#computeCorrespondEpilines/4","title":"Evision.computeCorrespondEpilines/4","type":"function"},{"doc":"Computes the Enhanced Correlation Coefficient value between two images @cite EP08 . Positional Arguments templateImage : Evision.Mat.t() . single-channel template image; CV_8U or CV_32F array. inputImage : Evision.Mat.t() . single-channel input image to be warped to provide an image similar to templateImage, same type as templateImage. Keyword Arguments inputMask : Evision.Mat.t() . An optional mask to indicate valid values of inputImage. Return retval : double @sa findTransformECC Python prototype (for reference only): computeECC(templateImage, inputImage[, inputMask]) -&gt; retval","ref":"Evision.html#computeECC/2","title":"Evision.computeECC/2","type":"function"},{"doc":"Computes the Enhanced Correlation Coefficient value between two images @cite EP08 . Positional Arguments templateImage : Evision.Mat.t() . single-channel template image; CV_8U or CV_32F array. inputImage : Evision.Mat.t() . single-channel input image to be warped to provide an image similar to templateImage, same type as templateImage. Keyword Arguments inputMask : Evision.Mat.t() . An optional mask to indicate valid values of inputImage. Return retval : double @sa findTransformECC Python prototype (for reference only): computeECC(templateImage, inputImage[, inputMask]) -&gt; retval","ref":"Evision.html#computeECC/3","title":"Evision.computeECC/3","type":"function"},{"doc":"connectedComponents Positional Arguments image : Evision.Mat.t() . the 8-bit single-channel image to be labeled Keyword Arguments connectivity : int . 8 or 4 for 8-way or 4-way connectivity respectively ltype : int . output image label type. Currently CV_32S and CV_16U are supported. Return retval : int labels : Evision.Mat.t() . destination labeled image Has overloading in C++ Python prototype (for reference only): connectedComponents(image[, labels[, connectivity[, ltype]]]) -&gt; retval, labels","ref":"Evision.html#connectedComponents/1","title":"Evision.connectedComponents/1","type":"function"},{"doc":"connectedComponents Positional Arguments image : Evision.Mat.t() . the 8-bit single-channel image to be labeled Keyword Arguments connectivity : int . 8 or 4 for 8-way or 4-way connectivity respectively ltype : int . output image label type. Currently CV_32S and CV_16U are supported. Return retval : int labels : Evision.Mat.t() . destination labeled image Has overloading in C++ Python prototype (for reference only): connectedComponents(image[, labels[, connectivity[, ltype]]]) -&gt; retval, labels","ref":"Evision.html#connectedComponents/2","title":"Evision.connectedComponents/2","type":"function"},{"doc":"computes the connected components labeled image of boolean image Positional Arguments image : Evision.Mat.t() . the 8-bit single-channel image to be labeled connectivity : int . 8 or 4 for 8-way or 4-way connectivity respectively ltype : int . output image label type. Currently CV_32S and CV_16U are supported. ccltype : int . connected components algorithm type (see the #ConnectedComponentsAlgorithmsTypes). Return retval : int labels : Evision.Mat.t() . destination labeled image image with 4 or 8 way connectivity - returns N, the total number of labels [0, N-1] where 0 represents the background label. ltype specifies the output label image type, an important consideration based on the total number of labels or alternatively the total number of pixels in the source image. ccltype specifies the connected components labeling algorithm to use, currently Bolelli (Spaghetti) @cite Bolelli2019, Grana (BBDT) @cite Grana2010 and Wu's (SAUF) @cite Wu2009 algorithms are supported, see the #ConnectedComponentsAlgorithmsTypes for details. Note that SAUF algorithm forces a row major ordering of labels while Spaghetti and BBDT do not. This function uses parallel version of the algorithms if at least one allowed parallel framework is enabled and if the rows of the image are at least twice the number returned by #getNumberOfCPUs. Python prototype (for reference only): connectedComponentsWithAlgorithm(image, connectivity, ltype, ccltype[, labels]) -&gt; retval, labels","ref":"Evision.html#connectedComponentsWithAlgorithm/4","title":"Evision.connectedComponentsWithAlgorithm/4","type":"function"},{"doc":"computes the connected components labeled image of boolean image Positional Arguments image : Evision.Mat.t() . the 8-bit single-channel image to be labeled connectivity : int . 8 or 4 for 8-way or 4-way connectivity respectively ltype : int . output image label type. Currently CV_32S and CV_16U are supported. ccltype : int . connected components algorithm type (see the #ConnectedComponentsAlgorithmsTypes). Return retval : int labels : Evision.Mat.t() . destination labeled image image with 4 or 8 way connectivity - returns N, the total number of labels [0, N-1] where 0 represents the background label. ltype specifies the output label image type, an important consideration based on the total number of labels or alternatively the total number of pixels in the source image. ccltype specifies the connected components labeling algorithm to use, currently Bolelli (Spaghetti) @cite Bolelli2019, Grana (BBDT) @cite Grana2010 and Wu's (SAUF) @cite Wu2009 algorithms are supported, see the #ConnectedComponentsAlgorithmsTypes for details. Note that SAUF algorithm forces a row major ordering of labels while Spaghetti and BBDT do not. This function uses parallel version of the algorithms if at least one allowed parallel framework is enabled and if the rows of the image are at least twice the number returned by #getNumberOfCPUs. Python prototype (for reference only): connectedComponentsWithAlgorithm(image, connectivity, ltype, ccltype[, labels]) -&gt; retval, labels","ref":"Evision.html#connectedComponentsWithAlgorithm/5","title":"Evision.connectedComponentsWithAlgorithm/5","type":"function"},{"doc":"connectedComponentsWithStats Positional Arguments image : Evision.Mat.t() . the 8-bit single-channel image to be labeled Keyword Arguments connectivity : int . 8 or 4 for 8-way or 4-way connectivity respectively ltype : int . output image label type. Currently CV_32S and CV_16U are supported. Return retval : int labels : Evision.Mat.t() . destination labeled image stats : Evision.Mat.t() . statistics output for each label, including the background label. Statistics are accessed via stats(label, COLUMN) where COLUMN is one of #ConnectedComponentsTypes, selecting the statistic. The data type is CV_32S. centroids : Evision.Mat.t() . centroid output for each label, including the background label. Centroids are accessed via centroids(label, 0) for x and centroids(label, 1) for y. The data type CV_64F. Has overloading in C++ Python prototype (for reference only): connectedComponentsWithStats(image[, labels[, stats[, centroids[, connectivity[, ltype]]]]]) -&gt; retval, labels, stats, centroids","ref":"Evision.html#connectedComponentsWithStats/1","title":"Evision.connectedComponentsWithStats/1","type":"function"},{"doc":"connectedComponentsWithStats Positional Arguments image : Evision.Mat.t() . the 8-bit single-channel image to be labeled Keyword Arguments connectivity : int . 8 or 4 for 8-way or 4-way connectivity respectively ltype : int . output image label type. Currently CV_32S and CV_16U are supported. Return retval : int labels : Evision.Mat.t() . destination labeled image stats : Evision.Mat.t() . statistics output for each label, including the background label. Statistics are accessed via stats(label, COLUMN) where COLUMN is one of #ConnectedComponentsTypes, selecting the statistic. The data type is CV_32S. centroids : Evision.Mat.t() . centroid output for each label, including the background label. Centroids are accessed via centroids(label, 0) for x and centroids(label, 1) for y. The data type CV_64F. Has overloading in C++ Python prototype (for reference only): connectedComponentsWithStats(image[, labels[, stats[, centroids[, connectivity[, ltype]]]]]) -&gt; retval, labels, stats, centroids","ref":"Evision.html#connectedComponentsWithStats/2","title":"Evision.connectedComponentsWithStats/2","type":"function"},{"doc":"computes the connected components labeled image of boolean image and also produces a statistics output for each label Positional Arguments image : Evision.Mat.t() . the 8-bit single-channel image to be labeled connectivity : int . 8 or 4 for 8-way or 4-way connectivity respectively ltype : int . output image label type. Currently CV_32S and CV_16U are supported. ccltype : int . connected components algorithm type (see #ConnectedComponentsAlgorithmsTypes). Return retval : int labels : Evision.Mat.t() . destination labeled image stats : Evision.Mat.t() . statistics output for each label, including the background label. Statistics are accessed via stats(label, COLUMN) where COLUMN is one of #ConnectedComponentsTypes, selecting the statistic. The data type is CV_32S. centroids : Evision.Mat.t() . centroid output for each label, including the background label. Centroids are accessed via centroids(label, 0) for x and centroids(label, 1) for y. The data type CV_64F. image with 4 or 8 way connectivity - returns N, the total number of labels [0, N-1] where 0 represents the background label. ltype specifies the output label image type, an important consideration based on the total number of labels or alternatively the total number of pixels in the source image. ccltype specifies the connected components labeling algorithm to use, currently Bolelli (Spaghetti) @cite Bolelli2019, Grana (BBDT) @cite Grana2010 and Wu's (SAUF) @cite Wu2009 algorithms are supported, see the #ConnectedComponentsAlgorithmsTypes for details. Note that SAUF algorithm forces a row major ordering of labels while Spaghetti and BBDT do not. This function uses parallel version of the algorithms (statistics included) if at least one allowed parallel framework is enabled and if the rows of the image are at least twice the number returned by #getNumberOfCPUs. Python prototype (for reference only): connectedComponentsWithStatsWithAlgorithm(image, connectivity, ltype, ccltype[, labels[, stats[, centroids]]]) -&gt; retval, labels, stats, centroids","ref":"Evision.html#connectedComponentsWithStatsWithAlgorithm/4","title":"Evision.connectedComponentsWithStatsWithAlgorithm/4","type":"function"},{"doc":"computes the connected components labeled image of boolean image and also produces a statistics output for each label Positional Arguments image : Evision.Mat.t() . the 8-bit single-channel image to be labeled connectivity : int . 8 or 4 for 8-way or 4-way connectivity respectively ltype : int . output image label type. Currently CV_32S and CV_16U are supported. ccltype : int . connected components algorithm type (see #ConnectedComponentsAlgorithmsTypes). Return retval : int labels : Evision.Mat.t() . destination labeled image stats : Evision.Mat.t() . statistics output for each label, including the background label. Statistics are accessed via stats(label, COLUMN) where COLUMN is one of #ConnectedComponentsTypes, selecting the statistic. The data type is CV_32S. centroids : Evision.Mat.t() . centroid output for each label, including the background label. Centroids are accessed via centroids(label, 0) for x and centroids(label, 1) for y. The data type CV_64F. image with 4 or 8 way connectivity - returns N, the total number of labels [0, N-1] where 0 represents the background label. ltype specifies the output label image type, an important consideration based on the total number of labels or alternatively the total number of pixels in the source image. ccltype specifies the connected components labeling algorithm to use, currently Bolelli (Spaghetti) @cite Bolelli2019, Grana (BBDT) @cite Grana2010 and Wu's (SAUF) @cite Wu2009 algorithms are supported, see the #ConnectedComponentsAlgorithmsTypes for details. Note that SAUF algorithm forces a row major ordering of labels while Spaghetti and BBDT do not. This function uses parallel version of the algorithms (statistics included) if at least one allowed parallel framework is enabled and if the rows of the image are at least twice the number returned by #getNumberOfCPUs. Python prototype (for reference only): connectedComponentsWithStatsWithAlgorithm(image, connectivity, ltype, ccltype[, labels[, stats[, centroids]]]) -&gt; retval, labels, stats, centroids","ref":"Evision.html#connectedComponentsWithStatsWithAlgorithm/5","title":"Evision.connectedComponentsWithStatsWithAlgorithm/5","type":"function"},{"doc":"Calculates a contour area. Positional Arguments contour : Evision.Mat.t() . Input vector of 2D points (contour vertices), stored in std::vector or Mat. Keyword Arguments oriented : bool . Oriented area flag. If it is true, the function returns a signed area value, depending on the contour orientation (clockwise or counter-clockwise). Using this feature you can determine orientation of a contour by taking the sign of an area. By default, the parameter is false, which means that the absolute value is returned. Return retval : double The function computes a contour area. Similarly to moments , the area is computed using the Green formula. Thus, the returned area and the number of non-zero pixels, if you draw the contour using #drawContours or #fillPoly , can be different. Also, the function will most certainly give a wrong results for contours with self-intersections. Example: vector &lt; Point &gt; contour ; contour . push_back ( Point2f ( 0 , 0 ) ) ; contour . push_back ( Point2f ( 10 , 0 ) ) ; contour . push_back ( Point2f ( 10 , 10 ) ) ; contour . push_back ( Point2f ( 5 , 4 ) ) ; double area0 = contourArea ( contour ) ; vector &lt; Point &gt; approx ; approxPolyDP ( contour , approx , 5 , true ) ; double area1 = contourArea ( approx ) ; cout &lt;&lt; &quot;area0 =&quot; &lt;&lt; area0 &lt;&lt; endl &lt;&lt; &quot;area1 =&quot; &lt;&lt; area1 &lt;&lt; endl &lt;&lt; &quot;approx poly vertices&quot; &lt;&lt; approx . size ( ) &lt;&lt; endl ; Python prototype (for reference only): contourArea(contour[, oriented]) -&gt; retval","ref":"Evision.html#contourArea/1","title":"Evision.contourArea/1","type":"function"},{"doc":"Calculates a contour area. Positional Arguments contour : Evision.Mat.t() . Input vector of 2D points (contour vertices), stored in std::vector or Mat. Keyword Arguments oriented : bool . Oriented area flag. If it is true, the function returns a signed area value, depending on the contour orientation (clockwise or counter-clockwise). Using this feature you can determine orientation of a contour by taking the sign of an area. By default, the parameter is false, which means that the absolute value is returned. Return retval : double The function computes a contour area. Similarly to moments , the area is computed using the Green formula. Thus, the returned area and the number of non-zero pixels, if you draw the contour using #drawContours or #fillPoly , can be different. Also, the function will most certainly give a wrong results for contours with self-intersections. Example: vector &lt; Point &gt; contour ; contour . push_back ( Point2f ( 0 , 0 ) ) ; contour . push_back ( Point2f ( 10 , 0 ) ) ; contour . push_back ( Point2f ( 10 , 10 ) ) ; contour . push_back ( Point2f ( 5 , 4 ) ) ; double area0 = contourArea ( contour ) ; vector &lt; Point &gt; approx ; approxPolyDP ( contour , approx , 5 , true ) ; double area1 = contourArea ( approx ) ; cout &lt;&lt; &quot;area0 =&quot; &lt;&lt; area0 &lt;&lt; endl &lt;&lt; &quot;area1 =&quot; &lt;&lt; area1 &lt;&lt; endl &lt;&lt; &quot;approx poly vertices&quot; &lt;&lt; approx . size ( ) &lt;&lt; endl ; Python prototype (for reference only): contourArea(contour[, oriented]) -&gt; retval","ref":"Evision.html#contourArea/2","title":"Evision.contourArea/2","type":"function"},{"doc":"Converts an array to half precision floating number. Positional Arguments src : Evision.Mat.t() . input array. Return dst : Evision.Mat.t() . output array. This function converts FP32 (single precision floating point) from/to FP16 (half precision floating point). CV_16S format is used to represent FP16 data. There are two use modes (src -&gt; dst): CV_32F -&gt; CV_16S and CV_16S -&gt; CV_32F. The input array has to have type of CV_32F or CV_16S to represent the bit depth. If the input array is neither of them, the function will raise an error. The format of half precision floating point is defined in IEEE 754-2008. Python prototype (for reference only): convertFp16(src[, dst]) -&gt; dst","ref":"Evision.html#convertFp16/1","title":"Evision.convertFp16/1","type":"function"},{"doc":"Converts an array to half precision floating number. Positional Arguments src : Evision.Mat.t() . input array. Return dst : Evision.Mat.t() . output array. This function converts FP32 (single precision floating point) from/to FP16 (half precision floating point). CV_16S format is used to represent FP16 data. There are two use modes (src -&gt; dst): CV_32F -&gt; CV_16S and CV_16S -&gt; CV_32F. The input array has to have type of CV_32F or CV_16S to represent the bit depth. If the input array is neither of them, the function will raise an error. The format of half precision floating point is defined in IEEE 754-2008. Python prototype (for reference only): convertFp16(src[, dst]) -&gt; dst","ref":"Evision.html#convertFp16/2","title":"Evision.convertFp16/2","type":"function"},{"doc":"Converts image transformation maps from one representation to another. Positional Arguments map1 : Evision.Mat.t() . The first input map of type CV_16SC2, CV_32FC1, or CV_32FC2 . map2 : Evision.Mat.t() . The second input map of type CV_16UC1, CV_32FC1, or none (empty matrix), respectively. dstmap1type : int . Type of the first output map that should be CV_16SC2, CV_32FC1, or CV_32FC2 . Keyword Arguments nninterpolation : bool . Flag indicating whether the fixed-point maps are used for the nearest-neighbor or for a more complex interpolation. Return dstmap1 : Evision.Mat.t() . The first output map that has the type dstmap1type and the same size as src . dstmap2 : Evision.Mat.t() . The second output map. The function converts a pair of maps for remap from one representation to another. The following options ( (map1.type(), map2.type()) \\f$\\rightarrow\\f$ (dstmap1.type(), dstmap2.type()) ) are supported: \\f$\\texttt{(CV_32FC1, CV_32FC1)} \\rightarrow \\texttt{(CV_16SC2, CV_16UC1)}\\f$. This is the most frequently used conversion operation, in which the original floating-point maps (see #remap) are converted to a more compact and much faster fixed-point representation. The first output array contains the rounded coordinates and the second array (created only when nninterpolation=false ) contains indices in the interpolation tables. \\f$\\texttt{(CV_32FC2)} \\rightarrow \\texttt{(CV_16SC2, CV_16UC1)}\\f$. The same as above but the original maps are stored in one 2-channel matrix. Reverse conversion. Obviously, the reconstructed floating-point maps will not be exactly the same as the originals. @sa remap, undistort, initUndistortRectifyMap Python prototype (for reference only): convertMaps(map1, map2, dstmap1type[, dstmap1[, dstmap2[, nninterpolation]]]) -&gt; dstmap1, dstmap2","ref":"Evision.html#convertMaps/3","title":"Evision.convertMaps/3","type":"function"},{"doc":"Converts image transformation maps from one representation to another. Positional Arguments map1 : Evision.Mat.t() . The first input map of type CV_16SC2, CV_32FC1, or CV_32FC2 . map2 : Evision.Mat.t() . The second input map of type CV_16UC1, CV_32FC1, or none (empty matrix), respectively. dstmap1type : int . Type of the first output map that should be CV_16SC2, CV_32FC1, or CV_32FC2 . Keyword Arguments nninterpolation : bool . Flag indicating whether the fixed-point maps are used for the nearest-neighbor or for a more complex interpolation. Return dstmap1 : Evision.Mat.t() . The first output map that has the type dstmap1type and the same size as src . dstmap2 : Evision.Mat.t() . The second output map. The function converts a pair of maps for remap from one representation to another. The following options ( (map1.type(), map2.type()) \\f$\\rightarrow\\f$ (dstmap1.type(), dstmap2.type()) ) are supported: \\f$\\texttt{(CV_32FC1, CV_32FC1)} \\rightarrow \\texttt{(CV_16SC2, CV_16UC1)}\\f$. This is the most frequently used conversion operation, in which the original floating-point maps (see #remap) are converted to a more compact and much faster fixed-point representation. The first output array contains the rounded coordinates and the second array (created only when nninterpolation=false ) contains indices in the interpolation tables. \\f$\\texttt{(CV_32FC2)} \\rightarrow \\texttt{(CV_16SC2, CV_16UC1)}\\f$. The same as above but the original maps are stored in one 2-channel matrix. Reverse conversion. Obviously, the reconstructed floating-point maps will not be exactly the same as the originals. @sa remap, undistort, initUndistortRectifyMap Python prototype (for reference only): convertMaps(map1, map2, dstmap1type[, dstmap1[, dstmap2[, nninterpolation]]]) -&gt; dstmap1, dstmap2","ref":"Evision.html#convertMaps/4","title":"Evision.convertMaps/4","type":"function"},{"doc":"Converts points from homogeneous to Euclidean space. Positional Arguments src : Evision.Mat.t() . Input vector of N-dimensional points. Return dst : Evision.Mat.t() . Output vector of N-1-dimensional points. The function converts points homogeneous to Euclidean space using perspective projection. That is, each point (x1, x2, ... x(n-1), xn) is converted to (x1/xn, x2/xn, ..., x(n-1)/xn). When xn=0, the output point coordinates will be (0,0,0,...). Python prototype (for reference only): convertPointsFromHomogeneous(src[, dst]) -&gt; dst","ref":"Evision.html#convertPointsFromHomogeneous/1","title":"Evision.convertPointsFromHomogeneous/1","type":"function"},{"doc":"Converts points from homogeneous to Euclidean space. Positional Arguments src : Evision.Mat.t() . Input vector of N-dimensional points. Return dst : Evision.Mat.t() . Output vector of N-1-dimensional points. The function converts points homogeneous to Euclidean space using perspective projection. That is, each point (x1, x2, ... x(n-1), xn) is converted to (x1/xn, x2/xn, ..., x(n-1)/xn). When xn=0, the output point coordinates will be (0,0,0,...). Python prototype (for reference only): convertPointsFromHomogeneous(src[, dst]) -&gt; dst","ref":"Evision.html#convertPointsFromHomogeneous/2","title":"Evision.convertPointsFromHomogeneous/2","type":"function"},{"doc":"Converts points from Euclidean to homogeneous space. Positional Arguments src : Evision.Mat.t() . Input vector of N-dimensional points. Return dst : Evision.Mat.t() . Output vector of N+1-dimensional points. The function converts points from Euclidean to homogeneous space by appending 1's to the tuple of point coordinates. That is, each point (x1, x2, ..., xn) is converted to (x1, x2, ..., xn, 1). Python prototype (for reference only): convertPointsToHomogeneous(src[, dst]) -&gt; dst","ref":"Evision.html#convertPointsToHomogeneous/1","title":"Evision.convertPointsToHomogeneous/1","type":"function"},{"doc":"Converts points from Euclidean to homogeneous space. Positional Arguments src : Evision.Mat.t() . Input vector of N-dimensional points. Return dst : Evision.Mat.t() . Output vector of N+1-dimensional points. The function converts points from Euclidean to homogeneous space by appending 1's to the tuple of point coordinates. That is, each point (x1, x2, ..., xn) is converted to (x1, x2, ..., xn, 1). Python prototype (for reference only): convertPointsToHomogeneous(src[, dst]) -&gt; dst","ref":"Evision.html#convertPointsToHomogeneous/2","title":"Evision.convertPointsToHomogeneous/2","type":"function"},{"doc":"Scales, calculates absolute values, and converts the result to 8-bit. Positional Arguments src : Evision.Mat.t() . input array. Keyword Arguments alpha : double . optional scale factor. beta : double . optional delta added to the scaled values. Return dst : Evision.Mat.t() . output array. On each element of the input array, the function convertScaleAbs performs three operations sequentially: scaling, taking an absolute value, conversion to an unsigned 8-bit type: \\f[\\texttt{dst} (I)= \\texttt{saturate\\_cast&lt;uchar&gt;} (| \\texttt{src} (I)* \\texttt{alpha} + \\texttt{beta} |)\\f] In case of multi-channel arrays, the function processes each channel independently. When the output is not 8-bit, the operation can be emulated by calling the Mat::convertTo method (or by using matrix expressions) and then by calculating an absolute value of the result. For example: Mat_&lt;float&gt; A(30,30); randu(A, Scalar(-100), Scalar(100)); Mat_&lt;float&gt; B = A*5 + 3; B = abs(B); // Mat_&lt;float&gt; B = abs(A*5+3) will also do the job, // but it will allocate a temporary matrix @sa Mat::convertTo, cv::abs(const Mat&amp;) Python prototype (for reference only): convertScaleAbs(src[, dst[, alpha[, beta]]]) -&gt; dst","ref":"Evision.html#convertScaleAbs/1","title":"Evision.convertScaleAbs/1","type":"function"},{"doc":"Scales, calculates absolute values, and converts the result to 8-bit. Positional Arguments src : Evision.Mat.t() . input array. Keyword Arguments alpha : double . optional scale factor. beta : double . optional delta added to the scaled values. Return dst : Evision.Mat.t() . output array. On each element of the input array, the function convertScaleAbs performs three operations sequentially: scaling, taking an absolute value, conversion to an unsigned 8-bit type: \\f[\\texttt{dst} (I)= \\texttt{saturate\\_cast&lt;uchar&gt;} (| \\texttt{src} (I)* \\texttt{alpha} + \\texttt{beta} |)\\f] In case of multi-channel arrays, the function processes each channel independently. When the output is not 8-bit, the operation can be emulated by calling the Mat::convertTo method (or by using matrix expressions) and then by calculating an absolute value of the result. For example: Mat_&lt;float&gt; A(30,30); randu(A, Scalar(-100), Scalar(100)); Mat_&lt;float&gt; B = A*5 + 3; B = abs(B); // Mat_&lt;float&gt; B = abs(A*5+3) will also do the job, // but it will allocate a temporary matrix @sa Mat::convertTo, cv::abs(const Mat&amp;) Python prototype (for reference only): convertScaleAbs(src[, dst[, alpha[, beta]]]) -&gt; dst","ref":"Evision.html#convertScaleAbs/2","title":"Evision.convertScaleAbs/2","type":"function"},{"doc":"Finds the convex hull of a point set. Positional Arguments points : Evision.Mat.t() . Input 2D point set, stored in std::vector or Mat. Keyword Arguments clockwise : bool . Orientation flag. If it is true, the output convex hull is oriented clockwise. Otherwise, it is oriented counter-clockwise. The assumed coordinate system has its X axis pointing to the right, and its Y axis pointing upwards. returnPoints : bool . Operation flag. In case of a matrix, when the flag is true, the function returns convex hull points. Otherwise, it returns indices of the convex hull points. When the output array is std::vector, the flag is ignored, and the output depends on the type of the vector: std::vector\\&lt;int&gt; implies returnPoints=false, std::vector\\&lt;Point&gt; implies returnPoints=true. Return hull : Evision.Mat.t() . Output convex hull. It is either an integer vector of indices or vector of points. In the first case, the hull elements are 0-based indices of the convex hull points in the original array (since the set of convex hull points is a subset of the original point set). In the second case, hull elements are the convex hull points themselves. The function cv::convexHull finds the convex hull of a 2D point set using the Sklansky's algorithm @cite Sklansky82 that has O(N logN) complexity in the current implementation. Note : points and hull should be different arrays, inplace processing isn't supported. Check @ref tutorial_hull &quot;the corresponding tutorial&quot; for more details. useful links: https://www.learnopencv.com/convex-hull-using-opencv-in-python-and-c/ Python prototype (for reference only): convexHull(points[, hull[, clockwise[, returnPoints]]]) -&gt; hull","ref":"Evision.html#convexHull/1","title":"Evision.convexHull/1","type":"function"},{"doc":"Finds the convex hull of a point set. Positional Arguments points : Evision.Mat.t() . Input 2D point set, stored in std::vector or Mat. Keyword Arguments clockwise : bool . Orientation flag. If it is true, the output convex hull is oriented clockwise. Otherwise, it is oriented counter-clockwise. The assumed coordinate system has its X axis pointing to the right, and its Y axis pointing upwards. returnPoints : bool . Operation flag. In case of a matrix, when the flag is true, the function returns convex hull points. Otherwise, it returns indices of the convex hull points. When the output array is std::vector, the flag is ignored, and the output depends on the type of the vector: std::vector\\&lt;int&gt; implies returnPoints=false, std::vector\\&lt;Point&gt; implies returnPoints=true. Return hull : Evision.Mat.t() . Output convex hull. It is either an integer vector of indices or vector of points. In the first case, the hull elements are 0-based indices of the convex hull points in the original array (since the set of convex hull points is a subset of the original point set). In the second case, hull elements are the convex hull points themselves. The function cv::convexHull finds the convex hull of a 2D point set using the Sklansky's algorithm @cite Sklansky82 that has O(N logN) complexity in the current implementation. Note : points and hull should be different arrays, inplace processing isn't supported. Check @ref tutorial_hull &quot;the corresponding tutorial&quot; for more details. useful links: https://www.learnopencv.com/convex-hull-using-opencv-in-python-and-c/ Python prototype (for reference only): convexHull(points[, hull[, clockwise[, returnPoints]]]) -&gt; hull","ref":"Evision.html#convexHull/2","title":"Evision.convexHull/2","type":"function"},{"doc":"Finds the convexity defects of a contour. Positional Arguments contour : Evision.Mat.t() . Input contour. convexhull : Evision.Mat.t() . Convex hull obtained using convexHull that should contain indices of the contour points that make the hull. Return convexityDefects : Evision.Mat.t() . The output vector of convexity defects. In C++ and the new Python/Java interface each convexity defect is represented as 4-element integer vector (a.k.a. #Vec4i): (start_index, end_index, farthest_pt_index, fixpt_depth), where indices are 0-based indices in the original contour of the convexity defect beginning, end and the farthest point, and fixpt_depth is fixed-point approximation (with 8 fractional bits) of the distance between the farthest contour point and the hull. That is, to get the floating-point value of the depth will be fixpt_depth/256.0. The figure below displays convexity defects of a hand contour: Python prototype (for reference only): convexityDefects(contour, convexhull[, convexityDefects]) -&gt; convexityDefects","ref":"Evision.html#convexityDefects/2","title":"Evision.convexityDefects/2","type":"function"},{"doc":"Finds the convexity defects of a contour. Positional Arguments contour : Evision.Mat.t() . Input contour. convexhull : Evision.Mat.t() . Convex hull obtained using convexHull that should contain indices of the contour points that make the hull. Return convexityDefects : Evision.Mat.t() . The output vector of convexity defects. In C++ and the new Python/Java interface each convexity defect is represented as 4-element integer vector (a.k.a. #Vec4i): (start_index, end_index, farthest_pt_index, fixpt_depth), where indices are 0-based indices in the original contour of the convexity defect beginning, end and the farthest point, and fixpt_depth is fixed-point approximation (with 8 fractional bits) of the distance between the farthest contour point and the hull. That is, to get the floating-point value of the depth will be fixpt_depth/256.0. The figure below displays convexity defects of a hand contour: Python prototype (for reference only): convexityDefects(contour, convexhull[, convexityDefects]) -&gt; convexityDefects","ref":"Evision.html#convexityDefects/3","title":"Evision.convexityDefects/3","type":"function"},{"doc":"Forms a border around an image. Positional Arguments src : Evision.Mat.t() . Source image. top : int . the top pixels bottom : int . the bottom pixels left : int . the left pixels right : int . Parameter specifying how many pixels in each direction from the source image rectangle to extrapolate. For example, top=1, bottom=1, left=1, right=1 mean that 1 pixel-wide border needs to be built. borderType : int . Border type. See borderInterpolate for details. Keyword Arguments value : Scalar . Border value if borderType==BORDER_CONSTANT . Return dst : Evision.Mat.t() . Destination image of the same type as src and the size Size(src.cols+left+right, src.rows+top+bottom) . The function copies the source image into the middle of the destination image. The areas to the left, to the right, above and below the copied source image will be filled with extrapolated pixels. This is not what filtering functions based on it do (they extrapolate pixels on-fly), but what other more complex functions, including your own, may do to simplify image boundary handling. The function supports the mode when src is already in the middle of dst . In this case, the function does not copy src itself but simply constructs the border, for example: // let border be the same in all directions int border=2; // constructs a larger image to fit both the image and the border Mat gray_buf(rgb.rows + border*2, rgb.cols + border*2, rgb.depth()); // select the middle part of it w/o copying data Mat gray(gray_canvas, Rect(border, border, rgb.cols, rgb.rows)); // convert image from RGB to grayscale cvtColor(rgb, gray, COLOR_RGB2GRAY); // form a border in-place copyMakeBorder(gray, gray_buf, border, border, border, border, BORDER_REPLICATE); // now do some custom filtering ... ... Note : When the source image is a part (ROI) of a bigger image, the function will try to use the pixels outside of the ROI to form a border. To disable this feature and always do extrapolation, as if src was not a ROI, use borderType | #BORDER_ISOLATED. @sa borderInterpolate Python prototype (for reference only): copyMakeBorder(src, top, bottom, left, right, borderType[, dst[, value]]) -&gt; dst","ref":"Evision.html#copyMakeBorder/6","title":"Evision.copyMakeBorder/6","type":"function"},{"doc":"Forms a border around an image. Positional Arguments src : Evision.Mat.t() . Source image. top : int . the top pixels bottom : int . the bottom pixels left : int . the left pixels right : int . Parameter specifying how many pixels in each direction from the source image rectangle to extrapolate. For example, top=1, bottom=1, left=1, right=1 mean that 1 pixel-wide border needs to be built. borderType : int . Border type. See borderInterpolate for details. Keyword Arguments value : Scalar . Border value if borderType==BORDER_CONSTANT . Return dst : Evision.Mat.t() . Destination image of the same type as src and the size Size(src.cols+left+right, src.rows+top+bottom) . The function copies the source image into the middle of the destination image. The areas to the left, to the right, above and below the copied source image will be filled with extrapolated pixels. This is not what filtering functions based on it do (they extrapolate pixels on-fly), but what other more complex functions, including your own, may do to simplify image boundary handling. The function supports the mode when src is already in the middle of dst . In this case, the function does not copy src itself but simply constructs the border, for example: // let border be the same in all directions int border=2; // constructs a larger image to fit both the image and the border Mat gray_buf(rgb.rows + border*2, rgb.cols + border*2, rgb.depth()); // select the middle part of it w/o copying data Mat gray(gray_canvas, Rect(border, border, rgb.cols, rgb.rows)); // convert image from RGB to grayscale cvtColor(rgb, gray, COLOR_RGB2GRAY); // form a border in-place copyMakeBorder(gray, gray_buf, border, border, border, border, BORDER_REPLICATE); // now do some custom filtering ... ... Note : When the source image is a part (ROI) of a bigger image, the function will try to use the pixels outside of the ROI to form a border. To disable this feature and always do extrapolation, as if src was not a ROI, use borderType | #BORDER_ISOLATED. @sa borderInterpolate Python prototype (for reference only): copyMakeBorder(src, top, bottom, left, right, borderType[, dst[, value]]) -&gt; dst","ref":"Evision.html#copyMakeBorder/7","title":"Evision.copyMakeBorder/7","type":"function"},{"doc":"This is an overloaded member function, provided for convenience (python) Copies the matrix to another one. When the operation mask is specified, if the Mat::create call shown above reallocates the matrix, the newly allocated matrix is initialized with all zeros before copying the data. Positional Arguments src : Evision.Mat.t() . source matrix. mask : Evision.Mat.t() . Operation mask of the same size as *this. Its non-zero elements indicate which matrix elements need to be copied. The mask has to be of type CV_8U and can have 1 or multiple channels. Return dst : Evision.Mat.t() . Destination matrix. If it does not have a proper size or type before the operation, it is reallocated. Python prototype (for reference only): copyTo(src, mask[, dst]) -&gt; dst","ref":"Evision.html#copyTo/2","title":"Evision.copyTo/2","type":"function"},{"doc":"This is an overloaded member function, provided for convenience (python) Copies the matrix to another one. When the operation mask is specified, if the Mat::create call shown above reallocates the matrix, the newly allocated matrix is initialized with all zeros before copying the data. Positional Arguments src : Evision.Mat.t() . source matrix. mask : Evision.Mat.t() . Operation mask of the same size as *this. Its non-zero elements indicate which matrix elements need to be copied. The mask has to be of type CV_8U and can have 1 or multiple channels. Return dst : Evision.Mat.t() . Destination matrix. If it does not have a proper size or type before the operation, it is reallocated. Python prototype (for reference only): copyTo(src, mask[, dst]) -&gt; dst","ref":"Evision.html#copyTo/3","title":"Evision.copyTo/3","type":"function"},{"doc":"Calculates eigenvalues and eigenvectors of image blocks for corner detection. Positional Arguments src : Evision.Mat.t() . Input single-channel 8-bit or floating-point image. blockSize : int . Neighborhood size (see details below). ksize : int . Aperture parameter for the Sobel operator. Keyword Arguments borderType : int . Pixel extrapolation method. See #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Image to store the results. It has the same size as src and the type CV_32FC(6) . For every pixel \\f$p\\f$ , the function cornerEigenValsAndVecs considers a blockSize \\f$\\times\\f$ blockSize neighborhood \\f$S(p)\\f$ . It calculates the covariation matrix of derivatives over the neighborhood as: \\f[M = \\begin{bmatrix} \\sum _{S(p)}(dI/dx)^2 &amp; \\sum _{S(p)}dI/dx dI/dy \\\\ \\sum _{S(p)}dI/dx dI/dy &amp; \\sum _{S(p)}(dI/dy)^2 \\end{bmatrix}\\f] where the derivatives are computed using the Sobel operator. After that, it finds eigenvectors and eigenvalues of \\f$M\\f$ and stores them in the destination image as \\f$(\\lambda_1, \\lambda_2, x_1, y_1, x_2, y_2)\\f$ where \\f$\\lambda_1, \\lambda_2\\f$ are the non-sorted eigenvalues of \\f$M\\f$ \\f$x_1, y_1\\f$ are the eigenvectors corresponding to \\f$\\lambda_1\\f$ \\f$x_2, y_2\\f$ are the eigenvectors corresponding to \\f$\\lambda_2\\f$ The output of the function can be used for robust edge or corner detection. @sa cornerMinEigenVal, cornerHarris, preCornerDetect Python prototype (for reference only): cornerEigenValsAndVecs(src, blockSize, ksize[, dst[, borderType]]) -&gt; dst","ref":"Evision.html#cornerEigenValsAndVecs/3","title":"Evision.cornerEigenValsAndVecs/3","type":"function"},{"doc":"Calculates eigenvalues and eigenvectors of image blocks for corner detection. Positional Arguments src : Evision.Mat.t() . Input single-channel 8-bit or floating-point image. blockSize : int . Neighborhood size (see details below). ksize : int . Aperture parameter for the Sobel operator. Keyword Arguments borderType : int . Pixel extrapolation method. See #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Image to store the results. It has the same size as src and the type CV_32FC(6) . For every pixel \\f$p\\f$ , the function cornerEigenValsAndVecs considers a blockSize \\f$\\times\\f$ blockSize neighborhood \\f$S(p)\\f$ . It calculates the covariation matrix of derivatives over the neighborhood as: \\f[M = \\begin{bmatrix} \\sum _{S(p)}(dI/dx)^2 &amp; \\sum _{S(p)}dI/dx dI/dy \\\\ \\sum _{S(p)}dI/dx dI/dy &amp; \\sum _{S(p)}(dI/dy)^2 \\end{bmatrix}\\f] where the derivatives are computed using the Sobel operator. After that, it finds eigenvectors and eigenvalues of \\f$M\\f$ and stores them in the destination image as \\f$(\\lambda_1, \\lambda_2, x_1, y_1, x_2, y_2)\\f$ where \\f$\\lambda_1, \\lambda_2\\f$ are the non-sorted eigenvalues of \\f$M\\f$ \\f$x_1, y_1\\f$ are the eigenvectors corresponding to \\f$\\lambda_1\\f$ \\f$x_2, y_2\\f$ are the eigenvectors corresponding to \\f$\\lambda_2\\f$ The output of the function can be used for robust edge or corner detection. @sa cornerMinEigenVal, cornerHarris, preCornerDetect Python prototype (for reference only): cornerEigenValsAndVecs(src, blockSize, ksize[, dst[, borderType]]) -&gt; dst","ref":"Evision.html#cornerEigenValsAndVecs/4","title":"Evision.cornerEigenValsAndVecs/4","type":"function"},{"doc":"Harris corner detector. Positional Arguments src : Evision.Mat.t() . Input single-channel 8-bit or floating-point image. blockSize : int . Neighborhood size (see the details on #cornerEigenValsAndVecs ). ksize : int . Aperture parameter for the Sobel operator. k : double . Harris detector free parameter. See the formula above. Keyword Arguments borderType : int . Pixel extrapolation method. See #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Image to store the Harris detector responses. It has the type CV_32FC1 and the same size as src . The function runs the Harris corner detector on the image. Similarly to cornerMinEigenVal and cornerEigenValsAndVecs , for each pixel \\f$(x, y)\\f$ it calculates a \\f$2\\times2\\f$ gradient covariance matrix \\f$M^{(x,y)}\\f$ over a \\f$\\texttt{blockSize} \\times \\texttt{blockSize}\\f$ neighborhood. Then, it computes the following characteristic: \\f[\\texttt{dst} (x,y) = \\mathrm{det} M^{(x,y)} - k \\cdot \\left ( \\mathrm{tr} M^{(x,y)} \\right )^2\\f] Corners in the image can be found as the local maxima of this response map. Python prototype (for reference only): cornerHarris(src, blockSize, ksize, k[, dst[, borderType]]) -&gt; dst","ref":"Evision.html#cornerHarris/4","title":"Evision.cornerHarris/4","type":"function"},{"doc":"Harris corner detector. Positional Arguments src : Evision.Mat.t() . Input single-channel 8-bit or floating-point image. blockSize : int . Neighborhood size (see the details on #cornerEigenValsAndVecs ). ksize : int . Aperture parameter for the Sobel operator. k : double . Harris detector free parameter. See the formula above. Keyword Arguments borderType : int . Pixel extrapolation method. See #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Image to store the Harris detector responses. It has the type CV_32FC1 and the same size as src . The function runs the Harris corner detector on the image. Similarly to cornerMinEigenVal and cornerEigenValsAndVecs , for each pixel \\f$(x, y)\\f$ it calculates a \\f$2\\times2\\f$ gradient covariance matrix \\f$M^{(x,y)}\\f$ over a \\f$\\texttt{blockSize} \\times \\texttt{blockSize}\\f$ neighborhood. Then, it computes the following characteristic: \\f[\\texttt{dst} (x,y) = \\mathrm{det} M^{(x,y)} - k \\cdot \\left ( \\mathrm{tr} M^{(x,y)} \\right )^2\\f] Corners in the image can be found as the local maxima of this response map. Python prototype (for reference only): cornerHarris(src, blockSize, ksize, k[, dst[, borderType]]) -&gt; dst","ref":"Evision.html#cornerHarris/5","title":"Evision.cornerHarris/5","type":"function"},{"doc":"Calculates the minimal eigenvalue of gradient matrices for corner detection. Positional Arguments src : Evision.Mat.t() . Input single-channel 8-bit or floating-point image. blockSize : int . Neighborhood size (see the details on #cornerEigenValsAndVecs ). Keyword Arguments ksize : int . Aperture parameter for the Sobel operator. borderType : int . Pixel extrapolation method. See #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Image to store the minimal eigenvalues. It has the type CV_32FC1 and the same size as src . The function is similar to cornerEigenValsAndVecs but it calculates and stores only the minimal eigenvalue of the covariance matrix of derivatives, that is, \\f$\\min(\\lambda_1, \\lambda_2)\\f$ in terms of the formulae in the cornerEigenValsAndVecs description. Python prototype (for reference only): cornerMinEigenVal(src, blockSize[, dst[, ksize[, borderType]]]) -&gt; dst","ref":"Evision.html#cornerMinEigenVal/2","title":"Evision.cornerMinEigenVal/2","type":"function"},{"doc":"Calculates the minimal eigenvalue of gradient matrices for corner detection. Positional Arguments src : Evision.Mat.t() . Input single-channel 8-bit or floating-point image. blockSize : int . Neighborhood size (see the details on #cornerEigenValsAndVecs ). Keyword Arguments ksize : int . Aperture parameter for the Sobel operator. borderType : int . Pixel extrapolation method. See #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Image to store the minimal eigenvalues. It has the type CV_32FC1 and the same size as src . The function is similar to cornerEigenValsAndVecs but it calculates and stores only the minimal eigenvalue of the covariance matrix of derivatives, that is, \\f$\\min(\\lambda_1, \\lambda_2)\\f$ in terms of the formulae in the cornerEigenValsAndVecs description. Python prototype (for reference only): cornerMinEigenVal(src, blockSize[, dst[, ksize[, borderType]]]) -&gt; dst","ref":"Evision.html#cornerMinEigenVal/3","title":"Evision.cornerMinEigenVal/3","type":"function"},{"doc":"Refines the corner locations. Positional Arguments image : Evision.Mat.t() . Input single-channel, 8-bit or float image. winSize : Size . Half of the side length of the search window. For example, if winSize=Size(5,5) , then a \\f$(5 2+1) \\times (5 2+1) = 11 \\times 11\\f$ search window is used. zeroZone : Size . Half of the size of the dead region in the middle of the search zone over which the summation in the formula below is not done. It is used sometimes to avoid possible singularities of the autocorrelation matrix. The value of (-1,-1) indicates that there is no such a size. criteria : TermCriteria . Criteria for termination of the iterative process of corner refinement. That is, the process of corner position refinement stops either after criteria.maxCount iterations or when the corner position moves by less than criteria.epsilon on some iteration. Return corners : Evision.Mat.t() . Initial coordinates of the input corners and refined coordinates provided for output. The function iterates to find the sub-pixel accurate location of corners or radial saddle points as described in @cite forstner1987fast, and as shown on the figure below. Sub-pixel accurate corner locator is based on the observation that every vector from the center \\f$q\\f$ to a point \\f$p\\f$ located within a neighborhood of \\f$q\\f$ is orthogonal to the image gradient at \\f$p\\f$ subject to image and measurement noise. Consider the expression: \\f[\\epsilon _i = {DI_{p_i}}^T \\cdot (q - p_i)\\f] where \\f${DI_{p_i}}\\f$ is an image gradient at one of the points \\f$p_i\\f$ in a neighborhood of \\f$q\\f$ . The value of \\f$q\\f$ is to be found so that \\f$\\epsilon_i\\f$ is minimized. A system of equations may be set up with \\f$\\epsilon_i\\f$ set to zero: \\f[\\sum _i(DI_{p_i} \\cdot {DI_{p_i}}^T) \\cdot q - \\sum _i(DI_{p_i} \\cdot {DI_{p_i}}^T \\cdot p_i)\\f] where the gradients are summed within a neighborhood (&quot;search window&quot;) of \\f$q\\f$ . Calling the first gradient term \\f$G\\f$ and the second gradient term \\f$b\\f$ gives: \\f[q = G^{-1} \\cdot b\\f] The algorithm sets the center of the neighborhood window at this new center \\f$q\\f$ and then iterates until the center stays within a set threshold. Python prototype (for reference only): cornerSubPix(image, corners, winSize, zeroZone, criteria) -&gt; corners","ref":"Evision.html#cornerSubPix/5","title":"Evision.cornerSubPix/5","type":"function"},{"doc":"Refines coordinates of corresponding points. Positional Arguments f : Evision.Mat.t() . 3x3 fundamental matrix. points1 : Evision.Mat.t() . 1xN array containing the first set of points. points2 : Evision.Mat.t() . 1xN array containing the second set of points. Return newPoints1 : Evision.Mat.t() . The optimized points1. newPoints2 : Evision.Mat.t() . The optimized points2. The function implements the Optimal Triangulation Method (see Multiple View Geometry @cite HartleyZ00 for details). For each given point correspondence points1[i] \\&lt;-&gt; points2[i], and a fundamental matrix F, it computes the corrected correspondences newPoints1[i] \\&lt;-&gt; newPoints2[i] that minimize the geometric error \\f$d(points1[i], newPoints1[i])^2 + d(points2[i],newPoints2[i])^2\\f$ (where \\f$d(a,b)\\f$ is the geometric distance between points \\f$a\\f$ and \\f$b\\f$ ) subject to the epipolar constraint \\f$newPoints2^T \\cdot F \\cdot newPoints1 = 0\\f$ . Python prototype (for reference only): correctMatches(F, points1, points2[, newPoints1[, newPoints2]]) -&gt; newPoints1, newPoints2","ref":"Evision.html#correctMatches/3","title":"Evision.correctMatches/3","type":"function"},{"doc":"Refines coordinates of corresponding points. Positional Arguments f : Evision.Mat.t() . 3x3 fundamental matrix. points1 : Evision.Mat.t() . 1xN array containing the first set of points. points2 : Evision.Mat.t() . 1xN array containing the second set of points. Return newPoints1 : Evision.Mat.t() . The optimized points1. newPoints2 : Evision.Mat.t() . The optimized points2. The function implements the Optimal Triangulation Method (see Multiple View Geometry @cite HartleyZ00 for details). For each given point correspondence points1[i] \\&lt;-&gt; points2[i], and a fundamental matrix F, it computes the corrected correspondences newPoints1[i] \\&lt;-&gt; newPoints2[i] that minimize the geometric error \\f$d(points1[i], newPoints1[i])^2 + d(points2[i],newPoints2[i])^2\\f$ (where \\f$d(a,b)\\f$ is the geometric distance between points \\f$a\\f$ and \\f$b\\f$ ) subject to the epipolar constraint \\f$newPoints2^T \\cdot F \\cdot newPoints1 = 0\\f$ . Python prototype (for reference only): correctMatches(F, points1, points2[, newPoints1[, newPoints2]]) -&gt; newPoints1, newPoints2","ref":"Evision.html#correctMatches/4","title":"Evision.correctMatches/4","type":"function"},{"doc":"Counts non-zero array elements. Positional Arguments src : Evision.Mat.t() . single-channel array. Return retval : int The function returns the number of non-zero elements in src : \\f[\\sum _{I: \\; \\texttt{src} (I) \\ne0 } 1\\f] @sa mean, meanStdDev, norm, minMaxLoc, calcCovarMatrix Python prototype (for reference only): countNonZero(src) -&gt; retval","ref":"Evision.html#countNonZero/1","title":"Evision.countNonZero/1","type":"function"},{"doc":"createAffineTransformer Positional Arguments fullAffine : bool Return retval : Evision.AffineTransformer.t() Complete constructor Python prototype (for reference only): createAffineTransformer(fullAffine) -&gt; retval","ref":"Evision.html#createAffineTransformer/1","title":"Evision.createAffineTransformer/1","type":"function"},{"doc":"Creates AlignMTB object Keyword Arguments max_bits : int . logarithm to the base 2 of maximal shift in each dimension. Values of 5 and 6 are usually good enough (31 and 63 pixels shift respectively). exclude_range : int . range for exclusion bitmap that is constructed to suppress noise around the median value. cut : bool . if true cuts images, otherwise fills the new regions with zeros. Return retval : Evision.AlignMTB.t() Python prototype (for reference only): createAlignMTB([, max_bits[, exclude_range[, cut]]]) -&gt; retval","ref":"Evision.html#createAlignMTB/0","title":"Evision.createAlignMTB/0","type":"function"},{"doc":"Creates AlignMTB object Keyword Arguments max_bits : int . logarithm to the base 2 of maximal shift in each dimension. Values of 5 and 6 are usually good enough (31 and 63 pixels shift respectively). exclude_range : int . range for exclusion bitmap that is constructed to suppress noise around the median value. cut : bool . if true cuts images, otherwise fills the new regions with zeros. Return retval : Evision.AlignMTB.t() Python prototype (for reference only): createAlignMTB([, max_bits[, exclude_range[, cut]]]) -&gt; retval","ref":"Evision.html#createAlignMTB/1","title":"Evision.createAlignMTB/1","type":"function"},{"doc":"Creates KNN Background Subtractor Keyword Arguments history : int . Length of the history. dist2Threshold : double . Threshold on the squared distance between the pixel and the sample to decide whether a pixel is close to that sample. This parameter does not affect the background update. detectShadows : bool . If true, the algorithm will detect shadows and mark them. It decreases the speed a bit, so if you do not need this feature, set the parameter to false. Return retval : Evision.BackgroundSubtractorKNN.t() Python prototype (for reference only): createBackgroundSubtractorKNN([, history[, dist2Threshold[, detectShadows]]]) -&gt; retval","ref":"Evision.html#createBackgroundSubtractorKNN/0","title":"Evision.createBackgroundSubtractorKNN/0","type":"function"},{"doc":"Creates KNN Background Subtractor Keyword Arguments history : int . Length of the history. dist2Threshold : double . Threshold on the squared distance between the pixel and the sample to decide whether a pixel is close to that sample. This parameter does not affect the background update. detectShadows : bool . If true, the algorithm will detect shadows and mark them. It decreases the speed a bit, so if you do not need this feature, set the parameter to false. Return retval : Evision.BackgroundSubtractorKNN.t() Python prototype (for reference only): createBackgroundSubtractorKNN([, history[, dist2Threshold[, detectShadows]]]) -&gt; retval","ref":"Evision.html#createBackgroundSubtractorKNN/1","title":"Evision.createBackgroundSubtractorKNN/1","type":"function"},{"doc":"Creates MOG2 Background Subtractor Keyword Arguments history : int . Length of the history. varThreshold : double . Threshold on the squared Mahalanobis distance between the pixel and the model to decide whether a pixel is well described by the background model. This parameter does not affect the background update. detectShadows : bool . If true, the algorithm will detect shadows and mark them. It decreases the speed a bit, so if you do not need this feature, set the parameter to false. Return retval : Evision.BackgroundSubtractorMOG2.t() Python prototype (for reference only): createBackgroundSubtractorMOG2([, history[, varThreshold[, detectShadows]]]) -&gt; retval","ref":"Evision.html#createBackgroundSubtractorMOG2/0","title":"Evision.createBackgroundSubtractorMOG2/0","type":"function"},{"doc":"Creates MOG2 Background Subtractor Keyword Arguments history : int . Length of the history. varThreshold : double . Threshold on the squared Mahalanobis distance between the pixel and the model to decide whether a pixel is well described by the background model. This parameter does not affect the background update. detectShadows : bool . If true, the algorithm will detect shadows and mark them. It decreases the speed a bit, so if you do not need this feature, set the parameter to false. Return retval : Evision.BackgroundSubtractorMOG2.t() Python prototype (for reference only): createBackgroundSubtractorMOG2([, history[, varThreshold[, detectShadows]]]) -&gt; retval","ref":"Evision.html#createBackgroundSubtractorMOG2/1","title":"Evision.createBackgroundSubtractorMOG2/1","type":"function"},{"doc":"Creates CalibrateDebevec object Keyword Arguments samples : int . number of pixel locations to use lambda : float . smoothness term weight. Greater values produce smoother results, but can alter the response. random : bool . if true sample pixel locations are chosen at random, otherwise they form a rectangular grid. Return retval : Evision.CalibrateDebevec.t() Python prototype (for reference only): createCalibrateDebevec([, samples[, lambda[, random]]]) -&gt; retval","ref":"Evision.html#createCalibrateDebevec/0","title":"Evision.createCalibrateDebevec/0","type":"function"},{"doc":"Creates CalibrateDebevec object Keyword Arguments samples : int . number of pixel locations to use lambda : float . smoothness term weight. Greater values produce smoother results, but can alter the response. random : bool . if true sample pixel locations are chosen at random, otherwise they form a rectangular grid. Return retval : Evision.CalibrateDebevec.t() Python prototype (for reference only): createCalibrateDebevec([, samples[, lambda[, random]]]) -&gt; retval","ref":"Evision.html#createCalibrateDebevec/1","title":"Evision.createCalibrateDebevec/1","type":"function"},{"doc":"Creates CalibrateRobertson object Keyword Arguments max_iter : int . maximal number of Gauss-Seidel solver iterations. threshold : float . target difference between results of two successive steps of the minimization. Return retval : Evision.CalibrateRobertson.t() Python prototype (for reference only): createCalibrateRobertson([, max_iter[, threshold]]) -&gt; retval","ref":"Evision.html#createCalibrateRobertson/0","title":"Evision.createCalibrateRobertson/0","type":"function"},{"doc":"Creates CalibrateRobertson object Keyword Arguments max_iter : int . maximal number of Gauss-Seidel solver iterations. threshold : float . target difference between results of two successive steps of the minimization. Return retval : Evision.CalibrateRobertson.t() Python prototype (for reference only): createCalibrateRobertson([, max_iter[, threshold]]) -&gt; retval","ref":"Evision.html#createCalibrateRobertson/1","title":"Evision.createCalibrateRobertson/1","type":"function"},{"doc":"createChiHistogramCostExtractor Keyword Arguments nDummies : int . defaultCost : float . Return retval : Evision.HistogramCostExtractor.t() Python prototype (for reference only): createChiHistogramCostExtractor([, nDummies[, defaultCost]]) -&gt; retval","ref":"Evision.html#createChiHistogramCostExtractor/0","title":"Evision.createChiHistogramCostExtractor/0","type":"function"},{"doc":"createChiHistogramCostExtractor Keyword Arguments nDummies : int . defaultCost : float . Return retval : Evision.HistogramCostExtractor.t() Python prototype (for reference only): createChiHistogramCostExtractor([, nDummies[, defaultCost]]) -&gt; retval","ref":"Evision.html#createChiHistogramCostExtractor/1","title":"Evision.createChiHistogramCostExtractor/1","type":"function"},{"doc":"Creates a smart pointer to a cv::CLAHE class and initializes it. Keyword Arguments clipLimit : double . Threshold for contrast limiting. tileGridSize : Size . Size of grid for histogram equalization. Input image will be divided into equally sized rectangular tiles. tileGridSize defines the number of tiles in row and column. Return retval : Evision.CLAHE.t() Python prototype (for reference only): createCLAHE([, clipLimit[, tileGridSize]]) -&gt; retval","ref":"Evision.html#createCLAHE/0","title":"Evision.createCLAHE/0","type":"function"},{"doc":"Creates a smart pointer to a cv::CLAHE class and initializes it. Keyword Arguments clipLimit : double . Threshold for contrast limiting. tileGridSize : Size . Size of grid for histogram equalization. Input image will be divided into equally sized rectangular tiles. tileGridSize defines the number of tiles in row and column. Return retval : Evision.CLAHE.t() Python prototype (for reference only): createCLAHE([, clipLimit[, tileGridSize]]) -&gt; retval","ref":"Evision.html#createCLAHE/1","title":"Evision.createCLAHE/1","type":"function"},{"doc":"createEMDHistogramCostExtractor Keyword Arguments flag : int . nDummies : int . defaultCost : float . Return retval : Evision.HistogramCostExtractor.t() Python prototype (for reference only): createEMDHistogramCostExtractor([, flag[, nDummies[, defaultCost]]]) -&gt; retval","ref":"Evision.html#createEMDHistogramCostExtractor/0","title":"Evision.createEMDHistogramCostExtractor/0","type":"function"},{"doc":"createEMDHistogramCostExtractor Keyword Arguments flag : int . nDummies : int . defaultCost : float . Return retval : Evision.HistogramCostExtractor.t() Python prototype (for reference only): createEMDHistogramCostExtractor([, flag[, nDummies[, defaultCost]]]) -&gt; retval","ref":"Evision.html#createEMDHistogramCostExtractor/1","title":"Evision.createEMDHistogramCostExtractor/1","type":"function"},{"doc":"createEMDL1HistogramCostExtractor Keyword Arguments nDummies : int . defaultCost : float . Return retval : Evision.HistogramCostExtractor.t() Python prototype (for reference only): createEMDL1HistogramCostExtractor([, nDummies[, defaultCost]]) -&gt; retval","ref":"Evision.html#createEMDL1HistogramCostExtractor/0","title":"Evision.createEMDL1HistogramCostExtractor/0","type":"function"},{"doc":"createEMDL1HistogramCostExtractor Keyword Arguments nDummies : int . defaultCost : float . Return retval : Evision.HistogramCostExtractor.t() Python prototype (for reference only): createEMDL1HistogramCostExtractor([, nDummies[, defaultCost]]) -&gt; retval","ref":"Evision.html#createEMDL1HistogramCostExtractor/1","title":"Evision.createEMDL1HistogramCostExtractor/1","type":"function"},{"doc":"Creates a smart pointer to a cv::GeneralizedHoughBallard class and initializes it. Return retval : Evision.GeneralizedHoughBallard.t() Python prototype (for reference only): createGeneralizedHoughBallard() -&gt; retval","ref":"Evision.html#createGeneralizedHoughBallard/0","title":"Evision.createGeneralizedHoughBallard/0","type":"function"},{"doc":"Creates a smart pointer to a cv::GeneralizedHoughGuil class and initializes it. Return retval : Evision.GeneralizedHoughGuil.t() Python prototype (for reference only): createGeneralizedHoughGuil() -&gt; retval","ref":"Evision.html#createGeneralizedHoughGuil/0","title":"Evision.createGeneralizedHoughGuil/0","type":"function"},{"doc":"This function computes a Hanning window coefficients in two dimensions. Positional Arguments winSize : Size . The window size specifications (both width and height must be &gt; 1) type : int . Created array type Return dst : Evision.Mat.t() . Destination array to place Hann coefficients in See ( http://en.wikipedia.org/wiki/Hann_function ) and ( http://en.wikipedia.org/wiki/Window_function ) for more information. An example is shown below: // create hanning window of size 100 x100 and type CV_32F Mat hann ; createHanningWindow ( hann , Size ( 100 , 100 ) , CV_32F ) ; Python prototype (for reference only): createHanningWindow(winSize, type[, dst]) -&gt; dst","ref":"Evision.html#createHanningWindow/2","title":"Evision.createHanningWindow/2","type":"function"},{"doc":"This function computes a Hanning window coefficients in two dimensions. Positional Arguments winSize : Size . The window size specifications (both width and height must be &gt; 1) type : int . Created array type Return dst : Evision.Mat.t() . Destination array to place Hann coefficients in See ( http://en.wikipedia.org/wiki/Hann_function ) and ( http://en.wikipedia.org/wiki/Window_function ) for more information. An example is shown below: // create hanning window of size 100 x100 and type CV_32F Mat hann ; createHanningWindow ( hann , Size ( 100 , 100 ) , CV_32F ) ; Python prototype (for reference only): createHanningWindow(winSize, type[, dst]) -&gt; dst","ref":"Evision.html#createHanningWindow/3","title":"Evision.createHanningWindow/3","type":"function"},{"doc":"createHausdorffDistanceExtractor Keyword Arguments distanceFlag : int . rankProp : float . Return retval : Evision.HausdorffDistanceExtractor.t() Python prototype (for reference only): createHausdorffDistanceExtractor([, distanceFlag[, rankProp]]) -&gt; retval","ref":"Evision.html#createHausdorffDistanceExtractor/0","title":"Evision.createHausdorffDistanceExtractor/0","type":"function"},{"doc":"createHausdorffDistanceExtractor Keyword Arguments distanceFlag : int . rankProp : float . Return retval : Evision.HausdorffDistanceExtractor.t() Python prototype (for reference only): createHausdorffDistanceExtractor([, distanceFlag[, rankProp]]) -&gt; retval","ref":"Evision.html#createHausdorffDistanceExtractor/1","title":"Evision.createHausdorffDistanceExtractor/1","type":"function"},{"doc":"Creates a smart pointer to a LineSegmentDetector object and initializes it. Keyword Arguments refine : int . The way found lines will be refined, see #LineSegmentDetectorModes scale : double . The scale of the image that will be used to find the lines. Range (0..1]. sigma_scale : double . Sigma for Gaussian filter. It is computed as sigma = sigma_scale/scale. quant : double . Bound to the quantization error on the gradient norm. ang_th : double . Gradient angle tolerance in degrees. log_eps : double . Detection threshold: -log10(NFA) &gt; log_eps. Used only when advance refinement is chosen. density_th : double . Minimal density of aligned region points in the enclosing rectangle. n_bins : int . Number of bins in pseudo-ordering of gradient modulus. Return retval : Evision.LineSegmentDetector.t() The LineSegmentDetector algorithm is defined using the standard values. Only advanced users may want to edit those, as to tailor it for their own application. Python prototype (for reference only): createLineSegmentDetector([, refine[, scale[, sigma_scale[, quant[, ang_th[, log_eps[, density_th[, n_bins]]]]]]]]) -&gt; retval","ref":"Evision.html#createLineSegmentDetector/0","title":"Evision.createLineSegmentDetector/0","type":"function"},{"doc":"Creates a smart pointer to a LineSegmentDetector object and initializes it. Keyword Arguments refine : int . The way found lines will be refined, see #LineSegmentDetectorModes scale : double . The scale of the image that will be used to find the lines. Range (0..1]. sigma_scale : double . Sigma for Gaussian filter. It is computed as sigma = sigma_scale/scale. quant : double . Bound to the quantization error on the gradient norm. ang_th : double . Gradient angle tolerance in degrees. log_eps : double . Detection threshold: -log10(NFA) &gt; log_eps. Used only when advance refinement is chosen. density_th : double . Minimal density of aligned region points in the enclosing rectangle. n_bins : int . Number of bins in pseudo-ordering of gradient modulus. Return retval : Evision.LineSegmentDetector.t() The LineSegmentDetector algorithm is defined using the standard values. Only advanced users may want to edit those, as to tailor it for their own application. Python prototype (for reference only): createLineSegmentDetector([, refine[, scale[, sigma_scale[, quant[, ang_th[, log_eps[, density_th[, n_bins]]]]]]]]) -&gt; retval","ref":"Evision.html#createLineSegmentDetector/1","title":"Evision.createLineSegmentDetector/1","type":"function"},{"doc":"Creates MergeDebevec object Return retval : Evision.MergeDebevec.t() Python prototype (for reference only): createMergeDebevec() -&gt; retval","ref":"Evision.html#createMergeDebevec/0","title":"Evision.createMergeDebevec/0","type":"function"},{"doc":"Creates MergeMertens object Keyword Arguments contrast_weight : float . contrast measure weight. See MergeMertens. saturation_weight : float . saturation measure weight exposure_weight : float . well-exposedness measure weight Return retval : Evision.MergeMertens.t() Python prototype (for reference only): createMergeMertens([, contrast_weight[, saturation_weight[, exposure_weight]]]) -&gt; retval","ref":"Evision.html#createMergeMertens/0","title":"Evision.createMergeMertens/0","type":"function"},{"doc":"Creates MergeMertens object Keyword Arguments contrast_weight : float . contrast measure weight. See MergeMertens. saturation_weight : float . saturation measure weight exposure_weight : float . well-exposedness measure weight Return retval : Evision.MergeMertens.t() Python prototype (for reference only): createMergeMertens([, contrast_weight[, saturation_weight[, exposure_weight]]]) -&gt; retval","ref":"Evision.html#createMergeMertens/1","title":"Evision.createMergeMertens/1","type":"function"},{"doc":"Creates MergeRobertson object Return retval : Evision.MergeRobertson.t() Python prototype (for reference only): createMergeRobertson() -&gt; retval","ref":"Evision.html#createMergeRobertson/0","title":"Evision.createMergeRobertson/0","type":"function"},{"doc":"createNormHistogramCostExtractor Keyword Arguments flag : int . nDummies : int . defaultCost : float . Return retval : Evision.HistogramCostExtractor.t() Python prototype (for reference only): createNormHistogramCostExtractor([, flag[, nDummies[, defaultCost]]]) -&gt; retval","ref":"Evision.html#createNormHistogramCostExtractor/0","title":"Evision.createNormHistogramCostExtractor/0","type":"function"},{"doc":"createNormHistogramCostExtractor Keyword Arguments flag : int . nDummies : int . defaultCost : float . Return retval : Evision.HistogramCostExtractor.t() Python prototype (for reference only): createNormHistogramCostExtractor([, flag[, nDummies[, defaultCost]]]) -&gt; retval","ref":"Evision.html#createNormHistogramCostExtractor/1","title":"Evision.createNormHistogramCostExtractor/1","type":"function"},{"doc":"createShapeContextDistanceExtractor Keyword Arguments nAngularBins : int . nRadialBins : int . innerRadius : float . outerRadius : float . iterations : int . comparer : Evision.HistogramCostExtractor.t() . transformer : Evision.ShapeTransformer.t() . Return retval : Evision.ShapeContextDistanceExtractor.t() Python prototype (for reference only): createShapeContextDistanceExtractor([, nAngularBins[, nRadialBins[, innerRadius[, outerRadius[, iterations[, comparer[, transformer]]]]]]]) -&gt; retval","ref":"Evision.html#createShapeContextDistanceExtractor/0","title":"Evision.createShapeContextDistanceExtractor/0","type":"function"},{"doc":"createShapeContextDistanceExtractor Keyword Arguments nAngularBins : int . nRadialBins : int . innerRadius : float . outerRadius : float . iterations : int . comparer : Evision.HistogramCostExtractor.t() . transformer : Evision.ShapeTransformer.t() . Return retval : Evision.ShapeContextDistanceExtractor.t() Python prototype (for reference only): createShapeContextDistanceExtractor([, nAngularBins[, nRadialBins[, innerRadius[, outerRadius[, iterations[, comparer[, transformer]]]]]]]) -&gt; retval","ref":"Evision.html#createShapeContextDistanceExtractor/1","title":"Evision.createShapeContextDistanceExtractor/1","type":"function"},{"doc":"createThinPlateSplineShapeTransformer Keyword Arguments regularizationParameter : double . Return retval : Evision.ThinPlateSplineShapeTransformer.t() Complete constructor Python prototype (for reference only): createThinPlateSplineShapeTransformer([, regularizationParameter]) -&gt; retval","ref":"Evision.html#createThinPlateSplineShapeTransformer/0","title":"Evision.createThinPlateSplineShapeTransformer/0","type":"function"},{"doc":"createThinPlateSplineShapeTransformer Keyword Arguments regularizationParameter : double . Return retval : Evision.ThinPlateSplineShapeTransformer.t() Complete constructor Python prototype (for reference only): createThinPlateSplineShapeTransformer([, regularizationParameter]) -&gt; retval","ref":"Evision.html#createThinPlateSplineShapeTransformer/1","title":"Evision.createThinPlateSplineShapeTransformer/1","type":"function"},{"doc":"Creates simple linear mapper with gamma correction Keyword Arguments gamma : float . positive value for gamma correction. Gamma value of 1.0 implies no correction, gamma equal to 2.2f is suitable for most displays. Generally gamma &gt; 1 brightens the image and gamma \\&lt; 1 darkens it. Return retval : Evision.Tonemap.t() Python prototype (for reference only): createTonemap([, gamma]) -&gt; retval","ref":"Evision.html#createTonemap/0","title":"Evision.createTonemap/0","type":"function"},{"doc":"Creates simple linear mapper with gamma correction Keyword Arguments gamma : float . positive value for gamma correction. Gamma value of 1.0 implies no correction, gamma equal to 2.2f is suitable for most displays. Generally gamma &gt; 1 brightens the image and gamma \\&lt; 1 darkens it. Return retval : Evision.Tonemap.t() Python prototype (for reference only): createTonemap([, gamma]) -&gt; retval","ref":"Evision.html#createTonemap/1","title":"Evision.createTonemap/1","type":"function"},{"doc":"Creates TonemapDrago object Keyword Arguments gamma : float . gamma value for gamma correction. See createTonemap saturation : float . positive saturation enhancement value. 1.0 preserves saturation, values greater than 1 increase saturation and values less than 1 decrease it. bias : float . value for bias function in [0, 1] range. Values from 0.7 to 0.9 usually give best results, default value is 0.85. Return retval : Evision.TonemapDrago.t() Python prototype (for reference only): createTonemapDrago([, gamma[, saturation[, bias]]]) -&gt; retval","ref":"Evision.html#createTonemapDrago/0","title":"Evision.createTonemapDrago/0","type":"function"},{"doc":"Creates TonemapDrago object Keyword Arguments gamma : float . gamma value for gamma correction. See createTonemap saturation : float . positive saturation enhancement value. 1.0 preserves saturation, values greater than 1 increase saturation and values less than 1 decrease it. bias : float . value for bias function in [0, 1] range. Values from 0.7 to 0.9 usually give best results, default value is 0.85. Return retval : Evision.TonemapDrago.t() Python prototype (for reference only): createTonemapDrago([, gamma[, saturation[, bias]]]) -&gt; retval","ref":"Evision.html#createTonemapDrago/1","title":"Evision.createTonemapDrago/1","type":"function"},{"doc":"Creates TonemapMantiuk object Keyword Arguments gamma : float . gamma value for gamma correction. See createTonemap scale : float . contrast scale factor. HVS response is multiplied by this parameter, thus compressing dynamic range. Values from 0.6 to 0.9 produce best results. saturation : float . saturation enhancement value. See createTonemapDrago Return retval : Evision.TonemapMantiuk.t() Python prototype (for reference only): createTonemapMantiuk([, gamma[, scale[, saturation]]]) -&gt; retval","ref":"Evision.html#createTonemapMantiuk/0","title":"Evision.createTonemapMantiuk/0","type":"function"},{"doc":"Creates TonemapMantiuk object Keyword Arguments gamma : float . gamma value for gamma correction. See createTonemap scale : float . contrast scale factor. HVS response is multiplied by this parameter, thus compressing dynamic range. Values from 0.6 to 0.9 produce best results. saturation : float . saturation enhancement value. See createTonemapDrago Return retval : Evision.TonemapMantiuk.t() Python prototype (for reference only): createTonemapMantiuk([, gamma[, scale[, saturation]]]) -&gt; retval","ref":"Evision.html#createTonemapMantiuk/1","title":"Evision.createTonemapMantiuk/1","type":"function"},{"doc":"Creates TonemapReinhard object Keyword Arguments gamma : float . gamma value for gamma correction. See createTonemap intensity : float . result intensity in [-8, 8] range. Greater intensity produces brighter results. light_adapt : float . light adaptation in [0, 1] range. If 1 adaptation is based only on pixel value, if 0 it's global, otherwise it's a weighted mean of this two cases. color_adapt : float . chromatic adaptation in [0, 1] range. If 1 channels are treated independently, if 0 adaptation level is the same for each channel. Return retval : Evision.TonemapReinhard.t() Python prototype (for reference only): createTonemapReinhard([, gamma[, intensity[, light_adapt[, color_adapt]]]]) -&gt; retval","ref":"Evision.html#createTonemapReinhard/0","title":"Evision.createTonemapReinhard/0","type":"function"},{"doc":"Creates TonemapReinhard object Keyword Arguments gamma : float . gamma value for gamma correction. See createTonemap intensity : float . result intensity in [-8, 8] range. Greater intensity produces brighter results. light_adapt : float . light adaptation in [0, 1] range. If 1 adaptation is based only on pixel value, if 0 it's global, otherwise it's a weighted mean of this two cases. color_adapt : float . chromatic adaptation in [0, 1] range. If 1 channels are treated independently, if 0 adaptation level is the same for each channel. Return retval : Evision.TonemapReinhard.t() Python prototype (for reference only): createTonemapReinhard([, gamma[, intensity[, light_adapt[, color_adapt]]]]) -&gt; retval","ref":"Evision.html#createTonemapReinhard/1","title":"Evision.createTonemapReinhard/1","type":"function"},{"doc":"Computes the cube root of an argument. Positional Arguments val : float . A function argument. Return retval : float The function cubeRoot computes \\f$\\sqrt[3]{\\texttt{val}}\\f$. Negative arguments are handled correctly. NaN and Inf are not handled. The accuracy approaches the maximum possible accuracy for single-precision data. Python prototype (for reference only): cubeRoot(val) -&gt; retval","ref":"Evision.html#cubeRoot/1","title":"Evision.cubeRoot/1","type":"function"},{"doc":"Converts an image from one color space to another. Positional Arguments src : Evision.Mat.t() . input image: 8-bit unsigned, 16-bit unsigned ( CV_16UC... ), or single-precision floating-point. code : int . color space conversion code (see #ColorConversionCodes). Keyword Arguments dstCn : int . number of channels in the destination image; if the parameter is 0, the number of the channels is derived automatically from src and code. Return dst : Evision.Mat.t() . output image of the same size and depth as src. The function converts an input image from one color space to another. In case of a transformation to-from RGB color space, the order of the channels should be specified explicitly (RGB or BGR). Note that the default color format in OpenCV is often referred to as RGB but it is actually BGR (the bytes are reversed). So the first byte in a standard (24-bit) color image will be an 8-bit Blue component, the second byte will be Green, and the third byte will be Red. The fourth, fifth, and sixth bytes would then be the second pixel (Blue, then Green, then Red), and so on. The conventional ranges for R, G, and B channel values are: 0 to 255 for CV_8U images 0 to 65535 for CV_16U images 0 to 1 for CV_32F images In case of linear transformations, the range does not matter. But in case of a non-linear transformation, an input RGB image should be normalized to the proper value range to get the correct results, for example, for RGB \\f$\\rightarrow\\f$ L*u*v* transformation. For example, if you have a 32-bit floating-point image directly converted from an 8-bit image without any scaling, then it will have the 0..255 value range instead of 0..1 assumed by the function. So, before calling #cvtColor , you need first to scale the image down: img * = 1 . / 255 ; cvtColor ( img , img , COLOR_BGR2Luv ) ; If you use #cvtColor with 8-bit images, the conversion will have some information lost. For many applications, this will not be noticeable but it is recommended to use 32-bit images in applications that need the full range of colors or that convert an image before an operation and then convert back. If conversion adds the alpha channel, its value will set to the maximum of corresponding channel range: 255 for CV_8U, 65535 for CV_16U, 1 for CV_32F. @see @ref imgproc_color_conversions Python prototype (for reference only): cvtColor(src, code[, dst[, dstCn]]) -&gt; dst","ref":"Evision.html#cvtColor/2","title":"Evision.cvtColor/2","type":"function"},{"doc":"Converts an image from one color space to another. Positional Arguments src : Evision.Mat.t() . input image: 8-bit unsigned, 16-bit unsigned ( CV_16UC... ), or single-precision floating-point. code : int . color space conversion code (see #ColorConversionCodes). Keyword Arguments dstCn : int . number of channels in the destination image; if the parameter is 0, the number of the channels is derived automatically from src and code. Return dst : Evision.Mat.t() . output image of the same size and depth as src. The function converts an input image from one color space to another. In case of a transformation to-from RGB color space, the order of the channels should be specified explicitly (RGB or BGR). Note that the default color format in OpenCV is often referred to as RGB but it is actually BGR (the bytes are reversed). So the first byte in a standard (24-bit) color image will be an 8-bit Blue component, the second byte will be Green, and the third byte will be Red. The fourth, fifth, and sixth bytes would then be the second pixel (Blue, then Green, then Red), and so on. The conventional ranges for R, G, and B channel values are: 0 to 255 for CV_8U images 0 to 65535 for CV_16U images 0 to 1 for CV_32F images In case of linear transformations, the range does not matter. But in case of a non-linear transformation, an input RGB image should be normalized to the proper value range to get the correct results, for example, for RGB \\f$\\rightarrow\\f$ L*u*v* transformation. For example, if you have a 32-bit floating-point image directly converted from an 8-bit image without any scaling, then it will have the 0..255 value range instead of 0..1 assumed by the function. So, before calling #cvtColor , you need first to scale the image down: img * = 1 . / 255 ; cvtColor ( img , img , COLOR_BGR2Luv ) ; If you use #cvtColor with 8-bit images, the conversion will have some information lost. For many applications, this will not be noticeable but it is recommended to use 32-bit images in applications that need the full range of colors or that convert an image before an operation and then convert back. If conversion adds the alpha channel, its value will set to the maximum of corresponding channel range: 255 for CV_8U, 65535 for CV_16U, 1 for CV_32F. @see @ref imgproc_color_conversions Python prototype (for reference only): cvtColor(src, code[, dst[, dstCn]]) -&gt; dst","ref":"Evision.html#cvtColor/3","title":"Evision.cvtColor/3","type":"function"},{"doc":"Converts an image from one color space to another where the source image is stored in two planes. Positional Arguments src1 : Evision.Mat.t() . 8-bit image (#CV_8U) of the Y plane. src2 : Evision.Mat.t() . image containing interleaved U/V plane. code : int . Specifies the type of conversion. It can take any of the following values: #COLOR_YUV2BGR_NV12 #COLOR_YUV2RGB_NV12 #COLOR_YUV2BGRA_NV12 #COLOR_YUV2RGBA_NV12 #COLOR_YUV2BGR_NV21 #COLOR_YUV2RGB_NV21 #COLOR_YUV2BGRA_NV21 #COLOR_YUV2RGBA_NV21 Return dst : Evision.Mat.t() . output image. This function only supports YUV420 to RGB conversion as of now. Python prototype (for reference only): cvtColorTwoPlane(src1, src2, code[, dst]) -&gt; dst","ref":"Evision.html#cvtColorTwoPlane/3","title":"Evision.cvtColorTwoPlane/3","type":"function"},{"doc":"Converts an image from one color space to another where the source image is stored in two planes. Positional Arguments src1 : Evision.Mat.t() . 8-bit image (#CV_8U) of the Y plane. src2 : Evision.Mat.t() . image containing interleaved U/V plane. code : int . Specifies the type of conversion. It can take any of the following values: #COLOR_YUV2BGR_NV12 #COLOR_YUV2RGB_NV12 #COLOR_YUV2BGRA_NV12 #COLOR_YUV2RGBA_NV12 #COLOR_YUV2BGR_NV21 #COLOR_YUV2RGB_NV21 #COLOR_YUV2BGRA_NV21 #COLOR_YUV2RGBA_NV21 Return dst : Evision.Mat.t() . output image. This function only supports YUV420 to RGB conversion as of now. Python prototype (for reference only): cvtColorTwoPlane(src1, src2, code[, dst]) -&gt; dst","ref":"Evision.html#cvtColorTwoPlane/4","title":"Evision.cvtColorTwoPlane/4","type":"function"},{"doc":"Performs a forward or inverse discrete Cosine transform of 1D or 2D array. Positional Arguments src : Evision.Mat.t() . input floating-point array. Keyword Arguments flags : int . transformation flags as a combination of cv::DftFlags (DCT_*) Return dst : Evision.Mat.t() . output array of the same size and type as src . The function cv::dct performs a forward or inverse discrete Cosine transform (DCT) of a 1D or 2D floating-point array: Forward Cosine transform of a 1D vector of N elements: \\f[Y = C^{(N)} \\cdot X\\f] where \\f[C^{(N)}_{jk}= \\sqrt{\\alpha_j/N} \\cos \\left ( \\frac{\\pi(2k+1)j}{2N} \\right )\\f] and \\f$\\alpha_0=1\\f$, \\f$\\alpha_j=2\\f$ for j &gt; 0 . Inverse Cosine transform of a 1D vector of N elements: \\f[X = \\left (C^{(N)} \\right )^{-1} \\cdot Y = \\left (C^{(N)} \\right )^T \\cdot Y\\f] (since \\f$C^{(N)}\\f$ is an orthogonal matrix, \\f$C^{(N)} \\cdot \\left(C^{(N)}\\right)^T = I\\f$ ) Forward 2D Cosine transform of M x N matrix: \\f[Y = C^{(N)} \\cdot X \\cdot \\left (C^{(N)} \\right )^T\\f] Inverse 2D Cosine transform of M x N matrix: \\f[X = \\left (C^{(N)} \\right )^T \\cdot X \\cdot C^{(N)}\\f] The function chooses the mode of operation by looking at the flags and size of the input array: If (flags &amp; #DCT_INVERSE) == 0 , the function does a forward 1D or 2D transform. Otherwise, it is an inverse 1D or 2D transform. If (flags &amp; #DCT_ROWS) != 0 , the function performs a 1D transform of each row. If the array is a single column or a single row, the function performs a 1D transform. If none of the above is true, the function performs a 2D transform. Note : Currently dct supports even-size arrays (2, 4, 6 ...). For data analysis and approximation, you can pad the array when necessary. Also, the function performance depends very much, and not monotonically, on the array size (see getOptimalDFTSize ). In the current implementation DCT of a vector of size N is calculated via DFT of a vector of size N/2 . Thus, the optimal DCT size N1 &gt;= N can be calculated as: size_t getOptimalDCTSize ( size_t N ) { return 2 * getOptimalDFTSize ( ( N + 1 ) / 2 ) ; } N1 = getOptimalDCTSize ( N ) ; @sa dft , getOptimalDFTSize , idct Python prototype (for reference only): dct(src[, dst[, flags]]) -&gt; dst","ref":"Evision.html#dct/1","title":"Evision.dct/1","type":"function"},{"doc":"Performs a forward or inverse discrete Cosine transform of 1D or 2D array. Positional Arguments src : Evision.Mat.t() . input floating-point array. Keyword Arguments flags : int . transformation flags as a combination of cv::DftFlags (DCT_*) Return dst : Evision.Mat.t() . output array of the same size and type as src . The function cv::dct performs a forward or inverse discrete Cosine transform (DCT) of a 1D or 2D floating-point array: Forward Cosine transform of a 1D vector of N elements: \\f[Y = C^{(N)} \\cdot X\\f] where \\f[C^{(N)}_{jk}= \\sqrt{\\alpha_j/N} \\cos \\left ( \\frac{\\pi(2k+1)j}{2N} \\right )\\f] and \\f$\\alpha_0=1\\f$, \\f$\\alpha_j=2\\f$ for j &gt; 0 . Inverse Cosine transform of a 1D vector of N elements: \\f[X = \\left (C^{(N)} \\right )^{-1} \\cdot Y = \\left (C^{(N)} \\right )^T \\cdot Y\\f] (since \\f$C^{(N)}\\f$ is an orthogonal matrix, \\f$C^{(N)} \\cdot \\left(C^{(N)}\\right)^T = I\\f$ ) Forward 2D Cosine transform of M x N matrix: \\f[Y = C^{(N)} \\cdot X \\cdot \\left (C^{(N)} \\right )^T\\f] Inverse 2D Cosine transform of M x N matrix: \\f[X = \\left (C^{(N)} \\right )^T \\cdot X \\cdot C^{(N)}\\f] The function chooses the mode of operation by looking at the flags and size of the input array: If (flags &amp; #DCT_INVERSE) == 0 , the function does a forward 1D or 2D transform. Otherwise, it is an inverse 1D or 2D transform. If (flags &amp; #DCT_ROWS) != 0 , the function performs a 1D transform of each row. If the array is a single column or a single row, the function performs a 1D transform. If none of the above is true, the function performs a 2D transform. Note : Currently dct supports even-size arrays (2, 4, 6 ...). For data analysis and approximation, you can pad the array when necessary. Also, the function performance depends very much, and not monotonically, on the array size (see getOptimalDFTSize ). In the current implementation DCT of a vector of size N is calculated via DFT of a vector of size N/2 . Thus, the optimal DCT size N1 &gt;= N can be calculated as: size_t getOptimalDCTSize ( size_t N ) { return 2 * getOptimalDFTSize ( ( N + 1 ) / 2 ) ; } N1 = getOptimalDCTSize ( N ) ; @sa dft , getOptimalDFTSize , idct Python prototype (for reference only): dct(src[, dst[, flags]]) -&gt; dst","ref":"Evision.html#dct/2","title":"Evision.dct/2","type":"function"},{"doc":"Transforms a color image to a grayscale image. It is a basic tool in digital printing, stylized black-and-white photograph rendering, and in many single channel image processing applications Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Return grayscale : Evision.Mat.t() . Output 8-bit 1-channel image. color_boost : Evision.Mat.t() . Output 8-bit 3-channel image. @cite CL12 . This function is to be applied on color images. Python prototype (for reference only): decolor(src[, grayscale[, color_boost]]) -&gt; grayscale, color_boost","ref":"Evision.html#decolor/1","title":"Evision.decolor/1","type":"function"},{"doc":"Transforms a color image to a grayscale image. It is a basic tool in digital printing, stylized black-and-white photograph rendering, and in many single channel image processing applications Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Return grayscale : Evision.Mat.t() . Output 8-bit 1-channel image. color_boost : Evision.Mat.t() . Output 8-bit 3-channel image. @cite CL12 . This function is to be applied on color images. Python prototype (for reference only): decolor(src[, grayscale[, color_boost]]) -&gt; grayscale, color_boost","ref":"Evision.html#decolor/2","title":"Evision.decolor/2","type":"function"},{"doc":"Decompose an essential matrix to possible rotations and translation. Positional Arguments e : Evision.Mat.t() . The input essential matrix. Return r1 : Evision.Mat.t() . One possible rotation matrix. r2 : Evision.Mat.t() . Another possible rotation matrix. t : Evision.Mat.t() . One possible translation. This function decomposes the essential matrix E using svd decomposition @cite HartleyZ00. In general, four possible poses exist for the decomposition of E. They are \\f$[R_1, t]\\f$, \\f$[R_1, -t]\\f$, \\f$[R_2, t]\\f$, \\f$[R_2, -t]\\f$. If E gives the epipolar constraint \\f$[p_2; 1]^T A^{-T} E A^{-1} [p_1; 1] = 0\\f$ between the image points \\f$p_1\\f$ in the first image and \\f$p_2\\f$ in second image, then any of the tuples \\f$[R_1, t]\\f$, \\f$[R_1, -t]\\f$, \\f$[R_2, t]\\f$, \\f$[R_2, -t]\\f$ is a change of basis from the first camera's coordinate system to the second camera's coordinate system. However, by decomposing E, one can only get the direction of the translation. For this reason, the translation t is returned with unit length. Python prototype (for reference only): decomposeEssentialMat(E[, R1[, R2[, t]]]) -&gt; R1, R2, t","ref":"Evision.html#decomposeEssentialMat/1","title":"Evision.decomposeEssentialMat/1","type":"function"},{"doc":"Decompose an essential matrix to possible rotations and translation. Positional Arguments e : Evision.Mat.t() . The input essential matrix. Return r1 : Evision.Mat.t() . One possible rotation matrix. r2 : Evision.Mat.t() . Another possible rotation matrix. t : Evision.Mat.t() . One possible translation. This function decomposes the essential matrix E using svd decomposition @cite HartleyZ00. In general, four possible poses exist for the decomposition of E. They are \\f$[R_1, t]\\f$, \\f$[R_1, -t]\\f$, \\f$[R_2, t]\\f$, \\f$[R_2, -t]\\f$. If E gives the epipolar constraint \\f$[p_2; 1]^T A^{-T} E A^{-1} [p_1; 1] = 0\\f$ between the image points \\f$p_1\\f$ in the first image and \\f$p_2\\f$ in second image, then any of the tuples \\f$[R_1, t]\\f$, \\f$[R_1, -t]\\f$, \\f$[R_2, t]\\f$, \\f$[R_2, -t]\\f$ is a change of basis from the first camera's coordinate system to the second camera's coordinate system. However, by decomposing E, one can only get the direction of the translation. For this reason, the translation t is returned with unit length. Python prototype (for reference only): decomposeEssentialMat(E[, R1[, R2[, t]]]) -&gt; R1, R2, t","ref":"Evision.html#decomposeEssentialMat/2","title":"Evision.decomposeEssentialMat/2","type":"function"},{"doc":"Decompose a homography matrix to rotation(s), translation(s) and plane normal(s). Positional Arguments h : Evision.Mat.t() . The input homography matrix between two images. k : Evision.Mat.t() . The input camera intrinsic matrix. Return retval : int rotations : [Evision.Mat] . Array of rotation matrices. translations : [Evision.Mat] . Array of translation matrices. normals : [Evision.Mat] . Array of plane normal matrices. This function extracts relative camera motion between two views of a planar object and returns up to four mathematical solution tuples of rotation, translation, and plane normal. The decomposition of the homography matrix H is described in detail in @cite Malis2007. If the homography H, induced by the plane, gives the constraint \\f[s_i \\vecthree{x'_i}{y'_i}{1} \\sim H \\vecthree{x_i}{y_i}{1}\\f] on the source image points \\f$p_i\\f$ and the destination image points \\f$p'_i\\f$, then the tuple of rotations[k] and translations[k] is a change of basis from the source camera's coordinate system to the destination camera's coordinate system. However, by decomposing H, one can only get the translation normalized by the (typically unknown) depth of the scene, i.e. its direction but with normalized length. If point correspondences are available, at least two solutions may further be invalidated, by applying positive depth constraint, i.e. all points must be in front of the camera. Python prototype (for reference only): decomposeHomographyMat(H, K[, rotations[, translations[, normals]]]) -&gt; retval, rotations, translations, normals","ref":"Evision.html#decomposeHomographyMat/2","title":"Evision.decomposeHomographyMat/2","type":"function"},{"doc":"Decompose a homography matrix to rotation(s), translation(s) and plane normal(s). Positional Arguments h : Evision.Mat.t() . The input homography matrix between two images. k : Evision.Mat.t() . The input camera intrinsic matrix. Return retval : int rotations : [Evision.Mat] . Array of rotation matrices. translations : [Evision.Mat] . Array of translation matrices. normals : [Evision.Mat] . Array of plane normal matrices. This function extracts relative camera motion between two views of a planar object and returns up to four mathematical solution tuples of rotation, translation, and plane normal. The decomposition of the homography matrix H is described in detail in @cite Malis2007. If the homography H, induced by the plane, gives the constraint \\f[s_i \\vecthree{x'_i}{y'_i}{1} \\sim H \\vecthree{x_i}{y_i}{1}\\f] on the source image points \\f$p_i\\f$ and the destination image points \\f$p'_i\\f$, then the tuple of rotations[k] and translations[k] is a change of basis from the source camera's coordinate system to the destination camera's coordinate system. However, by decomposing H, one can only get the translation normalized by the (typically unknown) depth of the scene, i.e. its direction but with normalized length. If point correspondences are available, at least two solutions may further be invalidated, by applying positive depth constraint, i.e. all points must be in front of the camera. Python prototype (for reference only): decomposeHomographyMat(H, K[, rotations[, translations[, normals]]]) -&gt; retval, rotations, translations, normals","ref":"Evision.html#decomposeHomographyMat/3","title":"Evision.decomposeHomographyMat/3","type":"function"},{"doc":"Decomposes a projection matrix into a rotation matrix and a camera intrinsic matrix. Positional Arguments projMatrix : Evision.Mat.t() . 3x4 input projection matrix P. Return cameraMatrix : Evision.Mat.t() . Output 3x3 camera intrinsic matrix \\f$\\cameramatrix{A}\\f$. rotMatrix : Evision.Mat.t() . Output 3x3 external rotation matrix R. transVect : Evision.Mat.t() . Output 4x1 translation vector T. rotMatrixX : Evision.Mat.t() . Optional 3x3 rotation matrix around x-axis. rotMatrixY : Evision.Mat.t() . Optional 3x3 rotation matrix around y-axis. rotMatrixZ : Evision.Mat.t() . Optional 3x3 rotation matrix around z-axis. eulerAngles : Evision.Mat.t() . Optional three-element vector containing three Euler angles of rotation in degrees. The function computes a decomposition of a projection matrix into a calibration and a rotation matrix and the position of a camera. It optionally returns three rotation matrices, one for each axis, and three Euler angles that could be used in OpenGL. Note, there is always more than one sequence of rotations about the three principal axes that results in the same orientation of an object, e.g. see @cite Slabaugh . Returned tree rotation matrices and corresponding three Euler angles are only one of the possible solutions. The function is based on #RQDecomp3x3 . Python prototype (for reference only): decomposeProjectionMatrix(projMatrix[, cameraMatrix[, rotMatrix[, transVect[, rotMatrixX[, rotMatrixY[, rotMatrixZ[, eulerAngles]]]]]]]) -&gt; cameraMatrix, rotMatrix, transVect, rotMatrixX, rotMatrixY, rotMatrixZ, eulerAngles","ref":"Evision.html#decomposeProjectionMatrix/1","title":"Evision.decomposeProjectionMatrix/1","type":"function"},{"doc":"Decomposes a projection matrix into a rotation matrix and a camera intrinsic matrix. Positional Arguments projMatrix : Evision.Mat.t() . 3x4 input projection matrix P. Return cameraMatrix : Evision.Mat.t() . Output 3x3 camera intrinsic matrix \\f$\\cameramatrix{A}\\f$. rotMatrix : Evision.Mat.t() . Output 3x3 external rotation matrix R. transVect : Evision.Mat.t() . Output 4x1 translation vector T. rotMatrixX : Evision.Mat.t() . Optional 3x3 rotation matrix around x-axis. rotMatrixY : Evision.Mat.t() . Optional 3x3 rotation matrix around y-axis. rotMatrixZ : Evision.Mat.t() . Optional 3x3 rotation matrix around z-axis. eulerAngles : Evision.Mat.t() . Optional three-element vector containing three Euler angles of rotation in degrees. The function computes a decomposition of a projection matrix into a calibration and a rotation matrix and the position of a camera. It optionally returns three rotation matrices, one for each axis, and three Euler angles that could be used in OpenGL. Note, there is always more than one sequence of rotations about the three principal axes that results in the same orientation of an object, e.g. see @cite Slabaugh . Returned tree rotation matrices and corresponding three Euler angles are only one of the possible solutions. The function is based on #RQDecomp3x3 . Python prototype (for reference only): decomposeProjectionMatrix(projMatrix[, cameraMatrix[, rotMatrix[, transVect[, rotMatrixX[, rotMatrixY[, rotMatrixZ[, eulerAngles]]]]]]]) -&gt; cameraMatrix, rotMatrix, transVect, rotMatrixX, rotMatrixY, rotMatrixZ, eulerAngles","ref":"Evision.html#decomposeProjectionMatrix/2","title":"Evision.decomposeProjectionMatrix/2","type":"function"},{"doc":"main function for all demosaicing processes Positional Arguments src : Evision.Mat.t() . input image: 8-bit unsigned or 16-bit unsigned. code : int . Color space conversion code (see the description below). Keyword Arguments dstCn : int . number of channels in the destination image; if the parameter is 0, the number of the channels is derived automatically from src and code. Return dst : Evision.Mat.t() . output image of the same size and depth as src. The function can do the following transformations: Demosaicing using bilinear interpolation #COLOR_BayerBG2BGR , #COLOR_BayerGB2BGR , #COLOR_BayerRG2BGR , #COLOR_BayerGR2BGR #COLOR_BayerBG2GRAY , #COLOR_BayerGB2GRAY , #COLOR_BayerRG2GRAY , #COLOR_BayerGR2GRAY Demosaicing using Variable Number of Gradients. #COLOR_BayerBG2BGR_VNG , #COLOR_BayerGB2BGR_VNG , #COLOR_BayerRG2BGR_VNG , #COLOR_BayerGR2BGR_VNG Edge-Aware Demosaicing. #COLOR_BayerBG2BGR_EA , #COLOR_BayerGB2BGR_EA , #COLOR_BayerRG2BGR_EA , #COLOR_BayerGR2BGR_EA Demosaicing with alpha channel #COLOR_BayerBG2BGRA , #COLOR_BayerGB2BGRA , #COLOR_BayerRG2BGRA , #COLOR_BayerGR2BGRA @sa cvtColor Python prototype (for reference only): demosaicing(src, code[, dst[, dstCn]]) -&gt; dst","ref":"Evision.html#demosaicing/2","title":"Evision.demosaicing/2","type":"function"},{"doc":"main function for all demosaicing processes Positional Arguments src : Evision.Mat.t() . input image: 8-bit unsigned or 16-bit unsigned. code : int . Color space conversion code (see the description below). Keyword Arguments dstCn : int . number of channels in the destination image; if the parameter is 0, the number of the channels is derived automatically from src and code. Return dst : Evision.Mat.t() . output image of the same size and depth as src. The function can do the following transformations: Demosaicing using bilinear interpolation #COLOR_BayerBG2BGR , #COLOR_BayerGB2BGR , #COLOR_BayerRG2BGR , #COLOR_BayerGR2BGR #COLOR_BayerBG2GRAY , #COLOR_BayerGB2GRAY , #COLOR_BayerRG2GRAY , #COLOR_BayerGR2GRAY Demosaicing using Variable Number of Gradients. #COLOR_BayerBG2BGR_VNG , #COLOR_BayerGB2BGR_VNG , #COLOR_BayerRG2BGR_VNG , #COLOR_BayerGR2BGR_VNG Edge-Aware Demosaicing. #COLOR_BayerBG2BGR_EA , #COLOR_BayerGB2BGR_EA , #COLOR_BayerRG2BGR_EA , #COLOR_BayerGR2BGR_EA Demosaicing with alpha channel #COLOR_BayerBG2BGRA , #COLOR_BayerGB2BGRA , #COLOR_BayerRG2BGRA , #COLOR_BayerGR2BGRA @sa cvtColor Python prototype (for reference only): demosaicing(src, code[, dst[, dstCn]]) -&gt; dst","ref":"Evision.html#demosaicing/3","title":"Evision.demosaicing/3","type":"function"},{"doc":"This filter enhances the details of a particular image. Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Keyword Arguments sigma_s : float . %Range between 0 to 200. sigma_r : float . %Range between 0 to 1. Return dst : Evision.Mat.t() . Output image with the same size and type as src. Python prototype (for reference only): detailEnhance(src[, dst[, sigma_s[, sigma_r]]]) -&gt; dst","ref":"Evision.html#detailEnhance/1","title":"Evision.detailEnhance/1","type":"function"},{"doc":"This filter enhances the details of a particular image. Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Keyword Arguments sigma_s : float . %Range between 0 to 200. sigma_r : float . %Range between 0 to 1. Return dst : Evision.Mat.t() . Output image with the same size and type as src. Python prototype (for reference only): detailEnhance(src[, dst[, sigma_s[, sigma_r]]]) -&gt; dst","ref":"Evision.html#detailEnhance/2","title":"Evision.detailEnhance/2","type":"function"},{"doc":"Returns the determinant of a square floating-point matrix. Positional Arguments mtx : Evision.Mat.t() . input matrix that must have CV_32FC1 or CV_64FC1 type and square size. Return retval : double The function cv::determinant calculates and returns the determinant of the specified matrix. For small matrices ( mtx.cols=mtx.rows\\&lt;=3 ), the direct method is used. For larger matrices, the function uses LU factorization with partial pivoting. For symmetric positively-determined matrices, it is also possible to use eigen decomposition to calculate the determinant. @sa trace, invert, solve, eigen, @ref MatrixExpressions Python prototype (for reference only): determinant(mtx) -&gt; retval","ref":"Evision.html#determinant/1","title":"Evision.determinant/1","type":"function"},{"doc":"Performs a forward or inverse Discrete Fourier transform of a 1D or 2D floating-point array. Positional Arguments src : Evision.Mat.t() . input array that could be real or complex. Keyword Arguments flags : int . transformation flags, representing a combination of the #DftFlags nonzeroRows : int . when the parameter is not zero, the function assumes that only the first nonzeroRows rows of the input array (#DFT_INVERSE is not set) or only the first nonzeroRows of the output array (#DFT_INVERSE is set) contain non-zeros, thus, the function can handle the rest of the rows more efficiently and save some time; this technique is very useful for calculating array cross-correlation or convolution using DFT. Return dst : Evision.Mat.t() . output array whose size and type depends on the flags . The function cv::dft performs one of the following: Forward the Fourier transform of a 1D vector of N elements: \\f[Y = F^{(N)} \\cdot X,\\f] where \\f$F^{(N)}_{jk}=\\exp(-2\\pi i j k/N)\\f$ and \\f$i=\\sqrt{-1}\\f$ Inverse the Fourier transform of a 1D vector of N elements: \\f[\\begin{array}{l} X'= \\left (F^{(N)} \\right )^{-1} \\cdot Y = \\left (F^{(N)} \\right )^* \\cdot y \\\\ X = (1/N) \\cdot X, \\end{array}\\f] where \\f$F^*=\\left(\\textrm{Re}(F^{(N)})-\\textrm{Im}(F^{(N)})\\right)^T\\f$ Forward the 2D Fourier transform of a M x N matrix: \\f[Y = F^{(M)} \\cdot X \\cdot F^{(N)}\\f] Inverse the 2D Fourier transform of a M x N matrix: \\f[\\begin{array}{l} X'= \\left (F^{(M)} \\right )^* \\cdot Y \\cdot \\left (F^{(N)} \\right )^* \\\\ X = \\frac{1}{M \\cdot N} \\cdot X' \\end{array}\\f] In case of real (single-channel) data, the output spectrum of the forward Fourier transform or input spectrum of the inverse Fourier transform can be represented in a packed format called CCS (complex-conjugate-symmetrical). It was borrowed from IPL (Intel* Image Processing Library). Here is how 2D CCS spectrum looks: \\f[\\begin{bmatrix} Re Y_{0,0} &amp; Re Y_{0,1} &amp; Im Y_{0,1} &amp; Re Y_{0,2} &amp; Im Y_{0,2} &amp; \\cdots &amp; Re Y_{0,N/2-1} &amp; Im Y_{0,N/2-1} &amp; Re Y_{0,N/2} \\\\ Re Y_{1,0} &amp; Re Y_{1,1} &amp; Im Y_{1,1} &amp; Re Y_{1,2} &amp; Im Y_{1,2} &amp; \\cdots &amp; Re Y_{1,N/2-1} &amp; Im Y_{1,N/2-1} &amp; Re Y_{1,N/2} \\\\ Im Y_{1,0} &amp; Re Y_{2,1} &amp; Im Y_{2,1} &amp; Re Y_{2,2} &amp; Im Y_{2,2} &amp; \\cdots &amp; Re Y_{2,N/2-1} &amp; Im Y_{2,N/2-1} &amp; Im Y_{1,N/2} \\\\ \\hdotsfor{9} \\\\ Re Y_{M/2-1,0} &amp; Re Y_{M-3,1} &amp; Im Y_{M-3,1} &amp; \\hdotsfor{3} &amp; Re Y_{M-3,N/2-1} &amp; Im Y_{M-3,N/2-1}&amp; Re Y_{M/2-1,N/2} \\\\ Im Y_{M/2-1,0} &amp; Re Y_{M-2,1} &amp; Im Y_{M-2,1} &amp; \\hdotsfor{3} &amp; Re Y_{M-2,N/2-1} &amp; Im Y_{M-2,N/2-1}&amp; Im Y_{M/2-1,N/2} \\\\ Re Y_{M/2,0} &amp; Re Y_{M-1,1} &amp; Im Y_{M-1,1} &amp; \\hdotsfor{3} &amp; Re Y_{M-1,N/2-1} &amp; Im Y_{M-1,N/2-1}&amp; Re Y_{M/2,N/2} \\end{bmatrix}\\f] In case of 1D transform of a real vector, the output looks like the first row of the matrix above. So, the function chooses an operation mode depending on the flags and size of the input array: If #DFT_ROWS is set or the input array has a single row or single column, the function performs a 1D forward or inverse transform of each row of a matrix when #DFT_ROWS is set. Otherwise, it performs a 2D transform. If the input array is real and #DFT_INVERSE is not set, the function performs a forward 1D or 2D transform: When #DFT_COMPLEX_OUTPUT is set, the output is a complex matrix of the same size as input. When #DFT_COMPLEX_OUTPUT is not set, the output is a real matrix of the same size as input. In case of 2D transform, it uses the packed format as shown above. In case of a single 1D transform, it looks like the first row of the matrix above. In case of multiple 1D transforms (when using the #DFT_ROWS flag), each row of the output matrix looks like the first row of the matrix above. If the input array is complex and either #DFT_INVERSE or #DFT_REAL_OUTPUT are not set, the output is a complex array of the same size as input. The function performs a forward or inverse 1D or 2D transform of the whole input array or each row of the input array independently, depending on the flags DFT_INVERSE and DFT_ROWS. When #DFT_INVERSE is set and the input array is real, or it is complex but #DFT_REAL_OUTPUT is set, the output is a real array of the same size as input. The function performs a 1D or 2D inverse transformation of the whole input array or each individual row, depending on the flags #DFT_INVERSE and #DFT_ROWS. If #DFT_SCALE is set, the scaling is done after the transformation. Unlike dct , the function supports arrays of arbitrary size. But only those arrays are processed efficiently, whose sizes can be factorized in a product of small prime numbers (2, 3, and 5 in the current implementation). Such an efficient DFT size can be calculated using the getOptimalDFTSize method. The sample below illustrates how to calculate a DFT-based convolution of two 2D real arrays: void convolveDFT ( InputArray A , InputArray B , OutputArray C ) { // reallocate the output array if needed C . create ( abs ( A . rows - B . rows ) + 1 , abs ( A . cols - B . cols ) + 1 , A . type ( ) ) ; Size dftSize ; // calculate the size of DFT transform dftSize . width = getOptimalDFTSize ( A . cols + B . cols - 1 ) ; dftSize . height = getOptimalDFTSize ( A . rows + B . rows - 1 ) ; // allocate temporary buffers and initialize them with 0 &#39; s Mat tempA ( dftSize , A . type ( ) , Scalar :: all ( 0 ) ) ; Mat tempB ( dftSize , B . type ( ) , Scalar :: all ( 0 ) ) ; // copy A and B to the top - left corners of tempA and tempB , respectively Mat roiA ( tempA , Rect ( 0 , 0 , A . cols , A . rows ) ) ; A . copyTo ( roiA ) ; Mat roiB ( tempB , Rect ( 0 , 0 , B . cols , B . rows ) ) ; B . copyTo ( roiB ) ; // now transform the padded A &amp; B in - place ; // use &quot;nonzeroRows&quot; hint for faster processing dft ( tempA , tempA , 0 , A . rows ) ; dft ( tempB , tempB , 0 , B . rows ) ; // multiply the spectrums ; // the function handles packed spectrum representations well mulSpectrums ( tempA , tempB , tempA ) ; // transform the product back from the frequency domain . // Even though all the result rows will be non - zero , // you need only the first C . rows of them , and thus you // pass nonzeroRows == C . rows dft ( tempA , tempA , DFT_INVERSE + DFT_SCALE , C . rows ) ; // now copy the result back to C . tempA ( Rect ( 0 , 0 , C . cols , C . rows ) ) . copyTo ( C ) ; // all the temporary buffers will be deallocated automatically } To optimize this sample, consider the following approaches: Since nonzeroRows != 0 is passed to the forward transform calls and since A and B are copied to the top-left corners of tempA and tempB, respectively, it is not necessary to clear the whole tempA and tempB. It is only necessary to clear the tempA.cols - A.cols ( tempB.cols - B.cols) rightmost columns of the matrices. This DFT-based convolution does not have to be applied to the whole big arrays, especially if B is significantly smaller than A or vice versa. Instead, you can calculate convolution by parts. To do this, you need to split the output array C into multiple tiles. For each tile, estimate which parts of A and B are required to calculate convolution in this tile. If the tiles in C are too small, the speed will decrease a lot because of repeated work. In the ultimate case, when each tile in C is a single pixel, the algorithm becomes equivalent to the naive convolution algorithm. If the tiles are too big, the temporary arrays tempA and tempB become too big and there is also a slowdown because of bad cache locality. So, there is an optimal tile size somewhere in the middle. If different tiles in C can be calculated in parallel and, thus, the convolution is done by parts, the loop can be threaded. All of the above improvements have been implemented in #matchTemplate and #filter2D . Therefore, by using them, you can get the performance even better than with the above theoretically optimal implementation. Though, those two functions actually calculate cross-correlation, not convolution, so you need to &quot;flip&quot; the second convolution operand B vertically and horizontally using flip . Note : An example using the discrete fourier transform can be found at opencv_source_code/samples/cpp/dft.cpp (Python) An example using the dft functionality to perform Wiener deconvolution can be found at opencv_source/samples/python/deconvolution.py (Python) An example rearranging the quadrants of a Fourier image can be found at opencv_source/samples/python/dft.py @sa dct , getOptimalDFTSize , mulSpectrums, filter2D , matchTemplate , flip , cartToPolar , magnitude , phase Python prototype (for reference only): dft(src[, dst[, flags[, nonzeroRows]]]) -&gt; dst","ref":"Evision.html#dft/1","title":"Evision.dft/1","type":"function"},{"doc":"Performs a forward or inverse Discrete Fourier transform of a 1D or 2D floating-point array. Positional Arguments src : Evision.Mat.t() . input array that could be real or complex. Keyword Arguments flags : int . transformation flags, representing a combination of the #DftFlags nonzeroRows : int . when the parameter is not zero, the function assumes that only the first nonzeroRows rows of the input array (#DFT_INVERSE is not set) or only the first nonzeroRows of the output array (#DFT_INVERSE is set) contain non-zeros, thus, the function can handle the rest of the rows more efficiently and save some time; this technique is very useful for calculating array cross-correlation or convolution using DFT. Return dst : Evision.Mat.t() . output array whose size and type depends on the flags . The function cv::dft performs one of the following: Forward the Fourier transform of a 1D vector of N elements: \\f[Y = F^{(N)} \\cdot X,\\f] where \\f$F^{(N)}_{jk}=\\exp(-2\\pi i j k/N)\\f$ and \\f$i=\\sqrt{-1}\\f$ Inverse the Fourier transform of a 1D vector of N elements: \\f[\\begin{array}{l} X'= \\left (F^{(N)} \\right )^{-1} \\cdot Y = \\left (F^{(N)} \\right )^* \\cdot y \\\\ X = (1/N) \\cdot X, \\end{array}\\f] where \\f$F^*=\\left(\\textrm{Re}(F^{(N)})-\\textrm{Im}(F^{(N)})\\right)^T\\f$ Forward the 2D Fourier transform of a M x N matrix: \\f[Y = F^{(M)} \\cdot X \\cdot F^{(N)}\\f] Inverse the 2D Fourier transform of a M x N matrix: \\f[\\begin{array}{l} X'= \\left (F^{(M)} \\right )^* \\cdot Y \\cdot \\left (F^{(N)} \\right )^* \\\\ X = \\frac{1}{M \\cdot N} \\cdot X' \\end{array}\\f] In case of real (single-channel) data, the output spectrum of the forward Fourier transform or input spectrum of the inverse Fourier transform can be represented in a packed format called CCS (complex-conjugate-symmetrical). It was borrowed from IPL (Intel* Image Processing Library). Here is how 2D CCS spectrum looks: \\f[\\begin{bmatrix} Re Y_{0,0} &amp; Re Y_{0,1} &amp; Im Y_{0,1} &amp; Re Y_{0,2} &amp; Im Y_{0,2} &amp; \\cdots &amp; Re Y_{0,N/2-1} &amp; Im Y_{0,N/2-1} &amp; Re Y_{0,N/2} \\\\ Re Y_{1,0} &amp; Re Y_{1,1} &amp; Im Y_{1,1} &amp; Re Y_{1,2} &amp; Im Y_{1,2} &amp; \\cdots &amp; Re Y_{1,N/2-1} &amp; Im Y_{1,N/2-1} &amp; Re Y_{1,N/2} \\\\ Im Y_{1,0} &amp; Re Y_{2,1} &amp; Im Y_{2,1} &amp; Re Y_{2,2} &amp; Im Y_{2,2} &amp; \\cdots &amp; Re Y_{2,N/2-1} &amp; Im Y_{2,N/2-1} &amp; Im Y_{1,N/2} \\\\ \\hdotsfor{9} \\\\ Re Y_{M/2-1,0} &amp; Re Y_{M-3,1} &amp; Im Y_{M-3,1} &amp; \\hdotsfor{3} &amp; Re Y_{M-3,N/2-1} &amp; Im Y_{M-3,N/2-1}&amp; Re Y_{M/2-1,N/2} \\\\ Im Y_{M/2-1,0} &amp; Re Y_{M-2,1} &amp; Im Y_{M-2,1} &amp; \\hdotsfor{3} &amp; Re Y_{M-2,N/2-1} &amp; Im Y_{M-2,N/2-1}&amp; Im Y_{M/2-1,N/2} \\\\ Re Y_{M/2,0} &amp; Re Y_{M-1,1} &amp; Im Y_{M-1,1} &amp; \\hdotsfor{3} &amp; Re Y_{M-1,N/2-1} &amp; Im Y_{M-1,N/2-1}&amp; Re Y_{M/2,N/2} \\end{bmatrix}\\f] In case of 1D transform of a real vector, the output looks like the first row of the matrix above. So, the function chooses an operation mode depending on the flags and size of the input array: If #DFT_ROWS is set or the input array has a single row or single column, the function performs a 1D forward or inverse transform of each row of a matrix when #DFT_ROWS is set. Otherwise, it performs a 2D transform. If the input array is real and #DFT_INVERSE is not set, the function performs a forward 1D or 2D transform: When #DFT_COMPLEX_OUTPUT is set, the output is a complex matrix of the same size as input. When #DFT_COMPLEX_OUTPUT is not set, the output is a real matrix of the same size as input. In case of 2D transform, it uses the packed format as shown above. In case of a single 1D transform, it looks like the first row of the matrix above. In case of multiple 1D transforms (when using the #DFT_ROWS flag), each row of the output matrix looks like the first row of the matrix above. If the input array is complex and either #DFT_INVERSE or #DFT_REAL_OUTPUT are not set, the output is a complex array of the same size as input. The function performs a forward or inverse 1D or 2D transform of the whole input array or each row of the input array independently, depending on the flags DFT_INVERSE and DFT_ROWS. When #DFT_INVERSE is set and the input array is real, or it is complex but #DFT_REAL_OUTPUT is set, the output is a real array of the same size as input. The function performs a 1D or 2D inverse transformation of the whole input array or each individual row, depending on the flags #DFT_INVERSE and #DFT_ROWS. If #DFT_SCALE is set, the scaling is done after the transformation. Unlike dct , the function supports arrays of arbitrary size. But only those arrays are processed efficiently, whose sizes can be factorized in a product of small prime numbers (2, 3, and 5 in the current implementation). Such an efficient DFT size can be calculated using the getOptimalDFTSize method. The sample below illustrates how to calculate a DFT-based convolution of two 2D real arrays: void convolveDFT ( InputArray A , InputArray B , OutputArray C ) { // reallocate the output array if needed C . create ( abs ( A . rows - B . rows ) + 1 , abs ( A . cols - B . cols ) + 1 , A . type ( ) ) ; Size dftSize ; // calculate the size of DFT transform dftSize . width = getOptimalDFTSize ( A . cols + B . cols - 1 ) ; dftSize . height = getOptimalDFTSize ( A . rows + B . rows - 1 ) ; // allocate temporary buffers and initialize them with 0 &#39; s Mat tempA ( dftSize , A . type ( ) , Scalar :: all ( 0 ) ) ; Mat tempB ( dftSize , B . type ( ) , Scalar :: all ( 0 ) ) ; // copy A and B to the top - left corners of tempA and tempB , respectively Mat roiA ( tempA , Rect ( 0 , 0 , A . cols , A . rows ) ) ; A . copyTo ( roiA ) ; Mat roiB ( tempB , Rect ( 0 , 0 , B . cols , B . rows ) ) ; B . copyTo ( roiB ) ; // now transform the padded A &amp; B in - place ; // use &quot;nonzeroRows&quot; hint for faster processing dft ( tempA , tempA , 0 , A . rows ) ; dft ( tempB , tempB , 0 , B . rows ) ; // multiply the spectrums ; // the function handles packed spectrum representations well mulSpectrums ( tempA , tempB , tempA ) ; // transform the product back from the frequency domain . // Even though all the result rows will be non - zero , // you need only the first C . rows of them , and thus you // pass nonzeroRows == C . rows dft ( tempA , tempA , DFT_INVERSE + DFT_SCALE , C . rows ) ; // now copy the result back to C . tempA ( Rect ( 0 , 0 , C . cols , C . rows ) ) . copyTo ( C ) ; // all the temporary buffers will be deallocated automatically } To optimize this sample, consider the following approaches: Since nonzeroRows != 0 is passed to the forward transform calls and since A and B are copied to the top-left corners of tempA and tempB, respectively, it is not necessary to clear the whole tempA and tempB. It is only necessary to clear the tempA.cols - A.cols ( tempB.cols - B.cols) rightmost columns of the matrices. This DFT-based convolution does not have to be applied to the whole big arrays, especially if B is significantly smaller than A or vice versa. Instead, you can calculate convolution by parts. To do this, you need to split the output array C into multiple tiles. For each tile, estimate which parts of A and B are required to calculate convolution in this tile. If the tiles in C are too small, the speed will decrease a lot because of repeated work. In the ultimate case, when each tile in C is a single pixel, the algorithm becomes equivalent to the naive convolution algorithm. If the tiles are too big, the temporary arrays tempA and tempB become too big and there is also a slowdown because of bad cache locality. So, there is an optimal tile size somewhere in the middle. If different tiles in C can be calculated in parallel and, thus, the convolution is done by parts, the loop can be threaded. All of the above improvements have been implemented in #matchTemplate and #filter2D . Therefore, by using them, you can get the performance even better than with the above theoretically optimal implementation. Though, those two functions actually calculate cross-correlation, not convolution, so you need to &quot;flip&quot; the second convolution operand B vertically and horizontally using flip . Note : An example using the discrete fourier transform can be found at opencv_source_code/samples/cpp/dft.cpp (Python) An example using the dft functionality to perform Wiener deconvolution can be found at opencv_source/samples/python/deconvolution.py (Python) An example rearranging the quadrants of a Fourier image can be found at opencv_source/samples/python/dft.py @sa dct , getOptimalDFTSize , mulSpectrums, filter2D , matchTemplate , flip , cartToPolar , magnitude , phase Python prototype (for reference only): dft(src[, dst[, flags[, nonzeroRows]]]) -&gt; dst","ref":"Evision.html#dft/2","title":"Evision.dft/2","type":"function"},{"doc":"Dilates an image by using a specific structuring element. Positional Arguments src : Evision.Mat.t() . input image; the number of channels can be arbitrary, but the depth should be one of CV_8U, CV_16U, CV_16S, CV_32F or CV_64F. kernel : Evision.Mat.t() . structuring element used for dilation; if element=Mat(), a 3 x 3 rectangular structuring element is used. Kernel can be created using #getStructuringElement Keyword Arguments anchor : Point . position of the anchor within the element; default value (-1, -1) means that the anchor is at the element center. iterations : int . number of times dilation is applied. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not suported. borderValue : Scalar . border value in case of a constant border Return dst : Evision.Mat.t() . output image of the same size and type as src. The function dilates the source image using the specified structuring element that determines the shape of a pixel neighborhood over which the maximum is taken: \\f[\\texttt{dst} (x,y) = \\max _{(x',y'): \\, \\texttt{element} (x',y') \\ne0 } \\texttt{src} (x+x',y+y')\\f] The function supports the in-place mode. Dilation can be applied several ( iterations ) times. In case of multi-channel images, each channel is processed independently. @sa erode, morphologyEx, getStructuringElement Python prototype (for reference only): dilate(src, kernel[, dst[, anchor[, iterations[, borderType[, borderValue]]]]]) -&gt; dst","ref":"Evision.html#dilate/2","title":"Evision.dilate/2","type":"function"},{"doc":"Dilates an image by using a specific structuring element. Positional Arguments src : Evision.Mat.t() . input image; the number of channels can be arbitrary, but the depth should be one of CV_8U, CV_16U, CV_16S, CV_32F or CV_64F. kernel : Evision.Mat.t() . structuring element used for dilation; if element=Mat(), a 3 x 3 rectangular structuring element is used. Kernel can be created using #getStructuringElement Keyword Arguments anchor : Point . position of the anchor within the element; default value (-1, -1) means that the anchor is at the element center. iterations : int . number of times dilation is applied. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not suported. borderValue : Scalar . border value in case of a constant border Return dst : Evision.Mat.t() . output image of the same size and type as src. The function dilates the source image using the specified structuring element that determines the shape of a pixel neighborhood over which the maximum is taken: \\f[\\texttt{dst} (x,y) = \\max _{(x',y'): \\, \\texttt{element} (x',y') \\ne0 } \\texttt{src} (x+x',y+y')\\f] The function supports the in-place mode. Dilation can be applied several ( iterations ) times. In case of multi-channel images, each channel is processed independently. @sa erode, morphologyEx, getStructuringElement Python prototype (for reference only): dilate(src, kernel[, dst[, anchor[, iterations[, borderType[, borderValue]]]]]) -&gt; dst","ref":"Evision.html#dilate/3","title":"Evision.dilate/3","type":"function"},{"doc":"Displays a text on a window image as an overlay for a specified duration. Positional Arguments winname : String . Name of the window. text : String . Overlay text to write on a window image. Keyword Arguments delayms : int . The period (in milliseconds), during which the overlay text is displayed. If this function is called before the previous overlay text timed out, the timer is restarted and the text is updated. If this value is zero, the text never disappears. The function displayOverlay displays useful information/tips on top of the window for a certain amount of time delayms . The function does not modify the image, displayed in the window, that is, after the specified delay the original content of the window is restored. Python prototype (for reference only): displayOverlay(winname, text[, delayms]) -&gt; None","ref":"Evision.html#displayOverlay/2","title":"Evision.displayOverlay/2","type":"function"},{"doc":"Displays a text on a window image as an overlay for a specified duration. Positional Arguments winname : String . Name of the window. text : String . Overlay text to write on a window image. Keyword Arguments delayms : int . The period (in milliseconds), during which the overlay text is displayed. If this function is called before the previous overlay text timed out, the timer is restarted and the text is updated. If this value is zero, the text never disappears. The function displayOverlay displays useful information/tips on top of the window for a certain amount of time delayms . The function does not modify the image, displayed in the window, that is, after the specified delay the original content of the window is restored. Python prototype (for reference only): displayOverlay(winname, text[, delayms]) -&gt; None","ref":"Evision.html#displayOverlay/3","title":"Evision.displayOverlay/3","type":"function"},{"doc":"Displays a text on the window statusbar during the specified period of time. Positional Arguments winname : String . Name of the window. text : String . Text to write on the window statusbar. Keyword Arguments delayms : int . Duration (in milliseconds) to display the text. If this function is called before the previous text timed out, the timer is restarted and the text is updated. If this value is zero, the text never disappears. The function displayStatusBar displays useful information/tips on top of the window for a certain amount of time delayms . This information is displayed on the window statusbar (the window must be created with the CV_GUI_EXPANDED flags). Python prototype (for reference only): displayStatusBar(winname, text[, delayms]) -&gt; None","ref":"Evision.html#displayStatusBar/2","title":"Evision.displayStatusBar/2","type":"function"},{"doc":"Displays a text on the window statusbar during the specified period of time. Positional Arguments winname : String . Name of the window. text : String . Text to write on the window statusbar. Keyword Arguments delayms : int . Duration (in milliseconds) to display the text. If this function is called before the previous text timed out, the timer is restarted and the text is updated. If this value is zero, the text never disappears. The function displayStatusBar displays useful information/tips on top of the window for a certain amount of time delayms . This information is displayed on the window statusbar (the window must be created with the CV_GUI_EXPANDED flags). Python prototype (for reference only): displayStatusBar(winname, text[, delayms]) -&gt; None","ref":"Evision.html#displayStatusBar/3","title":"Evision.displayStatusBar/3","type":"function"},{"doc":"distanceTransform Positional Arguments src : Evision.Mat.t() . 8-bit, single-channel (binary) source image. distanceType : int . Type of distance, see #DistanceTypes maskSize : int . Size of the distance transform mask, see #DistanceTransformMasks. In case of the #DIST_L1 or #DIST_C distance type, the parameter is forced to 3 because a \\f$3\\times 3\\f$ mask gives the same result as \\f$5\\times 5\\f$ or any larger aperture. Keyword Arguments dstType : int . Type of output image. It can be CV_8U or CV_32F. Type CV_8U can be used only for the first variant of the function and distanceType == #DIST_L1. Return dst : Evision.Mat.t() . Output image with calculated distances. It is a 8-bit or 32-bit floating-point, single-channel image of the same size as src . Has overloading in C++ Python prototype (for reference only): distanceTransform(src, distanceType, maskSize[, dst[, dstType]]) -&gt; dst","ref":"Evision.html#distanceTransform/3","title":"Evision.distanceTransform/3","type":"function"},{"doc":"distanceTransform Positional Arguments src : Evision.Mat.t() . 8-bit, single-channel (binary) source image. distanceType : int . Type of distance, see #DistanceTypes maskSize : int . Size of the distance transform mask, see #DistanceTransformMasks. In case of the #DIST_L1 or #DIST_C distance type, the parameter is forced to 3 because a \\f$3\\times 3\\f$ mask gives the same result as \\f$5\\times 5\\f$ or any larger aperture. Keyword Arguments dstType : int . Type of output image. It can be CV_8U or CV_32F. Type CV_8U can be used only for the first variant of the function and distanceType == #DIST_L1. Return dst : Evision.Mat.t() . Output image with calculated distances. It is a 8-bit or 32-bit floating-point, single-channel image of the same size as src . Has overloading in C++ Python prototype (for reference only): distanceTransform(src, distanceType, maskSize[, dst[, dstType]]) -&gt; dst","ref":"Evision.html#distanceTransform/4","title":"Evision.distanceTransform/4","type":"function"},{"doc":"Calculates the distance to the closest zero pixel for each pixel of the source image. Positional Arguments src : Evision.Mat.t() . 8-bit, single-channel (binary) source image. distanceType : int . Type of distance, see #DistanceTypes maskSize : int . Size of the distance transform mask, see #DistanceTransformMasks. #DIST_MASK_PRECISE is not supported by this variant. In case of the #DIST_L1 or #DIST_C distance type, the parameter is forced to 3 because a \\f$3\\times 3\\f$ mask gives the same result as \\f$5\\times 5\\f$ or any larger aperture. Keyword Arguments labelType : int . Type of the label array to build, see #DistanceTransformLabelTypes. Return dst : Evision.Mat.t() . Output image with calculated distances. It is a 8-bit or 32-bit floating-point, single-channel image of the same size as src. labels : Evision.Mat.t() . Output 2D array of labels (the discrete Voronoi diagram). It has the type CV_32SC1 and the same size as src. The function cv::distanceTransform calculates the approximate or precise distance from every binary image pixel to the nearest zero pixel. For zero image pixels, the distance will obviously be zero. When maskSize == #DIST_MASK_PRECISE and distanceType == #DIST_L2 , the function runs the algorithm described in @cite Felzenszwalb04 . This algorithm is parallelized with the TBB library. In other cases, the algorithm @cite Borgefors86 is used. This means that for a pixel the function finds the shortest path to the nearest zero pixel consisting of basic shifts: horizontal, vertical, diagonal, or knight's move (the latest is available for a \\f$5\\times 5\\f$ mask). The overall distance is calculated as a sum of these basic distances. Since the distance function should be symmetric, all of the horizontal and vertical shifts must have the same cost (denoted as a ), all the diagonal shifts must have the same cost (denoted as b ), and all knight's moves must have the same cost (denoted as c ). For the #DIST_C and #DIST_L1 types, the distance is calculated precisely, whereas for #DIST_L2 (Euclidean distance) the distance can be calculated only with a relative error (a \\f$5\\times 5\\f$ mask gives more accurate results). For a , b , and c , OpenCV uses the values suggested in the original paper: DIST_L1: a = 1, b = 2 DIST_L2: 3 x 3 : a=0.955, b=1.3693 5 x 5 : a=1, b=1.4, c=2.1969 DIST_C: a = 1, b = 1 Typically, for a fast, coarse distance estimation #DIST_L2, a \\f$3\\times 3\\f$ mask is used. For a more accurate distance estimation #DIST_L2, a \\f$5\\times 5\\f$ mask or the precise algorithm is used. Note that both the precise and the approximate algorithms are linear on the number of pixels. This variant of the function does not only compute the minimum distance for each pixel \\f$(x, y)\\f$ but also identifies the nearest connected component consisting of zero pixels (labelType==#DIST_LABEL_CCOMP) or the nearest zero pixel (labelType==#DIST_LABEL_PIXEL). Index of the component/pixel is stored in labels(x, y) . When labelType==#DIST_LABEL_CCOMP, the function automatically finds connected components of zero pixels in the input image and marks them with distinct labels. When labelType==#DIST_LABEL_PIXEL, the function scans through the input image and marks all the zero pixels with distinct labels. In this mode, the complexity is still linear. That is, the function provides a very fast way to compute the Voronoi diagram for a binary image. Currently, the second variant can use only the approximate distance transform algorithm, i.e. maskSize=#DIST_MASK_PRECISE is not supported yet. Python prototype (for reference only): distanceTransformWithLabels(src, distanceType, maskSize[, dst[, labels[, labelType]]]) -&gt; dst, labels","ref":"Evision.html#distanceTransformWithLabels/3","title":"Evision.distanceTransformWithLabels/3","type":"function"},{"doc":"Calculates the distance to the closest zero pixel for each pixel of the source image. Positional Arguments src : Evision.Mat.t() . 8-bit, single-channel (binary) source image. distanceType : int . Type of distance, see #DistanceTypes maskSize : int . Size of the distance transform mask, see #DistanceTransformMasks. #DIST_MASK_PRECISE is not supported by this variant. In case of the #DIST_L1 or #DIST_C distance type, the parameter is forced to 3 because a \\f$3\\times 3\\f$ mask gives the same result as \\f$5\\times 5\\f$ or any larger aperture. Keyword Arguments labelType : int . Type of the label array to build, see #DistanceTransformLabelTypes. Return dst : Evision.Mat.t() . Output image with calculated distances. It is a 8-bit or 32-bit floating-point, single-channel image of the same size as src. labels : Evision.Mat.t() . Output 2D array of labels (the discrete Voronoi diagram). It has the type CV_32SC1 and the same size as src. The function cv::distanceTransform calculates the approximate or precise distance from every binary image pixel to the nearest zero pixel. For zero image pixels, the distance will obviously be zero. When maskSize == #DIST_MASK_PRECISE and distanceType == #DIST_L2 , the function runs the algorithm described in @cite Felzenszwalb04 . This algorithm is parallelized with the TBB library. In other cases, the algorithm @cite Borgefors86 is used. This means that for a pixel the function finds the shortest path to the nearest zero pixel consisting of basic shifts: horizontal, vertical, diagonal, or knight's move (the latest is available for a \\f$5\\times 5\\f$ mask). The overall distance is calculated as a sum of these basic distances. Since the distance function should be symmetric, all of the horizontal and vertical shifts must have the same cost (denoted as a ), all the diagonal shifts must have the same cost (denoted as b ), and all knight's moves must have the same cost (denoted as c ). For the #DIST_C and #DIST_L1 types, the distance is calculated precisely, whereas for #DIST_L2 (Euclidean distance) the distance can be calculated only with a relative error (a \\f$5\\times 5\\f$ mask gives more accurate results). For a , b , and c , OpenCV uses the values suggested in the original paper: DIST_L1: a = 1, b = 2 DIST_L2: 3 x 3 : a=0.955, b=1.3693 5 x 5 : a=1, b=1.4, c=2.1969 DIST_C: a = 1, b = 1 Typically, for a fast, coarse distance estimation #DIST_L2, a \\f$3\\times 3\\f$ mask is used. For a more accurate distance estimation #DIST_L2, a \\f$5\\times 5\\f$ mask or the precise algorithm is used. Note that both the precise and the approximate algorithms are linear on the number of pixels. This variant of the function does not only compute the minimum distance for each pixel \\f$(x, y)\\f$ but also identifies the nearest connected component consisting of zero pixels (labelType==#DIST_LABEL_CCOMP) or the nearest zero pixel (labelType==#DIST_LABEL_PIXEL). Index of the component/pixel is stored in labels(x, y) . When labelType==#DIST_LABEL_CCOMP, the function automatically finds connected components of zero pixels in the input image and marks them with distinct labels. When labelType==#DIST_LABEL_PIXEL, the function scans through the input image and marks all the zero pixels with distinct labels. In this mode, the complexity is still linear. That is, the function provides a very fast way to compute the Voronoi diagram for a binary image. Currently, the second variant can use only the approximate distance transform algorithm, i.e. maskSize=#DIST_MASK_PRECISE is not supported yet. Python prototype (for reference only): distanceTransformWithLabels(src, distanceType, maskSize[, dst[, labels[, labelType]]]) -&gt; dst, labels","ref":"Evision.html#distanceTransformWithLabels/4","title":"Evision.distanceTransformWithLabels/4","type":"function"},{"doc":"Variant 1: divide Positional Arguments scale : double src2 : Evision.Mat.t() Keyword Arguments dtype : int . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): divide(scale, src2[, dst[, dtype]]) -&gt; dst Variant 2: Performs per-element division of two arrays or a scalar by an array. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size and type as src1. Keyword Arguments scale : double . scalar factor. dtype : int . optional depth of the output array; if -1, dst will have depth src2.depth(), but in case of an array-by-array division, you can only pass -1 when src1.depth()==src2.depth(). Return dst : Evision.Mat.t() . output array of the same size and type as src2. The function cv::divide divides one array by another: \\f[\\texttt{dst(I) = saturate(src1(I)*scale/src2(I))}\\f] or a scalar by an array when there is no src1 : \\f[\\texttt{dst(I) = saturate(scale/src2(I))}\\f] Different channels of multi-channel arrays are processed independently. For integer types when src2(I) is zero, dst(I) will also be zero. Note : In case of floating point data there is no special defined behavior for zero src2(I) values. Regular floating-point division is used. Expect correct IEEE-754 behaviour for floating-point data (with NaN, Inf result values). Note : Saturation is not applied when the output array has the depth CV_32S. You may even get result of an incorrect sign in the case of overflow. @sa multiply, add, subtract Python prototype (for reference only): divide(src1, src2[, dst[, scale[, dtype]]]) -&gt; dst","ref":"Evision.html#divide/2","title":"Evision.divide/2","type":"function"},{"doc":"Variant 1: divide Positional Arguments scale : double src2 : Evision.Mat.t() Keyword Arguments dtype : int . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): divide(scale, src2[, dst[, dtype]]) -&gt; dst Variant 2: Performs per-element division of two arrays or a scalar by an array. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size and type as src1. Keyword Arguments scale : double . scalar factor. dtype : int . optional depth of the output array; if -1, dst will have depth src2.depth(), but in case of an array-by-array division, you can only pass -1 when src1.depth()==src2.depth(). Return dst : Evision.Mat.t() . output array of the same size and type as src2. The function cv::divide divides one array by another: \\f[\\texttt{dst(I) = saturate(src1(I)*scale/src2(I))}\\f] or a scalar by an array when there is no src1 : \\f[\\texttt{dst(I) = saturate(scale/src2(I))}\\f] Different channels of multi-channel arrays are processed independently. For integer types when src2(I) is zero, dst(I) will also be zero. Note : In case of floating point data there is no special defined behavior for zero src2(I) values. Regular floating-point division is used. Expect correct IEEE-754 behaviour for floating-point data (with NaN, Inf result values). Note : Saturation is not applied when the output array has the depth CV_32S. You may even get result of an incorrect sign in the case of overflow. @sa multiply, add, subtract Python prototype (for reference only): divide(src1, src2[, dst[, scale[, dtype]]]) -&gt; dst","ref":"Evision.html#divide/3","title":"Evision.divide/3","type":"function"},{"doc":"Performs the per-element division of the first Fourier spectrum by the second Fourier spectrum. Positional Arguments a : Evision.Mat.t() . first input array. b : Evision.Mat.t() . second input array of the same size and type as src1 . flags : int . operation flags; currently, the only supported flag is cv::DFT_ROWS, which indicates that each row of src1 and src2 is an independent 1D Fourier spectrum. If you do not want to use this flag, then simply add a 0 as value. Keyword Arguments conjB : bool . optional flag that conjugates the second input array before the multiplication (true) or not (false). Return c : Evision.Mat.t() . output array of the same size and type as src1 . The function cv::divSpectrums performs the per-element division of the first array by the second array. The arrays are CCS-packed or complex matrices that are results of a real or complex Fourier transform. Python prototype (for reference only): divSpectrums(a, b, flags[, c[, conjB]]) -&gt; c","ref":"Evision.html#divSpectrums/3","title":"Evision.divSpectrums/3","type":"function"},{"doc":"Performs the per-element division of the first Fourier spectrum by the second Fourier spectrum. Positional Arguments a : Evision.Mat.t() . first input array. b : Evision.Mat.t() . second input array of the same size and type as src1 . flags : int . operation flags; currently, the only supported flag is cv::DFT_ROWS, which indicates that each row of src1 and src2 is an independent 1D Fourier spectrum. If you do not want to use this flag, then simply add a 0 as value. Keyword Arguments conjB : bool . optional flag that conjugates the second input array before the multiplication (true) or not (false). Return c : Evision.Mat.t() . output array of the same size and type as src1 . The function cv::divSpectrums performs the per-element division of the first array by the second array. The arrays are CCS-packed or complex matrices that are results of a real or complex Fourier transform. Python prototype (for reference only): divSpectrums(a, b, flags[, c[, conjB]]) -&gt; c","ref":"Evision.html#divSpectrums/4","title":"Evision.divSpectrums/4","type":"function"},{"doc":"Renders the detected chessboard corners. Positional Arguments patternSize : Size . Number of inner corners per a chessboard row and column (patternSize = cv::Size(points_per_row,points_per_column)). corners : Evision.Mat.t() . Array of detected corners, the output of #findChessboardCorners. patternWasFound : bool . Parameter indicating whether the complete board was found or not. The return value of #findChessboardCorners should be passed here. Return image : Evision.Mat.t() . Destination image. It must be an 8-bit color image. The function draws individual chessboard corners detected either as red circles if the board was not found, or as colored corners connected with lines if the board was found. Python prototype (for reference only): drawChessboardCorners(image, patternSize, corners, patternWasFound) -&gt; image","ref":"Evision.html#drawChessboardCorners/4","title":"Evision.drawChessboardCorners/4","type":"function"},{"doc":"Draws contours outlines or filled contours. Positional Arguments contours : [Evision.Mat] . All the input contours. Each contour is stored as a point vector. contourIdx : int . Parameter indicating a contour to draw. If it is negative, all the contours are drawn. color : Scalar . Color of the contours. Keyword Arguments thickness : int . Thickness of lines the contours are drawn with. If it is negative (for example, thickness=#FILLED ), the contour interiors are drawn. lineType : int . Line connectivity. See #LineTypes hierarchy : Evision.Mat.t() . Optional information about hierarchy. It is only needed if you want to draw only some of the contours (see maxLevel ). maxLevel : int . Maximal level for drawn contours. If it is 0, only the specified contour is drawn. If it is 1, the function draws the contour(s) and all the nested contours. If it is 2, the function draws the contours, all the nested contours, all the nested-to-nested contours, and so on. This parameter is only taken into account when there is hierarchy available. offset : Point . Optional contour shift parameter. Shift all the drawn contours by the specified \\f$\\texttt{offset}=(dx,dy)\\f$ . Return image : Evision.Mat.t() . Destination image. The function draws contour outlines in the image if \\f$\\texttt{thickness} \\ge 0\\f$ or fills the area bounded by the contours if \\f$\\texttt{thickness}&lt;0\\f$ . The example below shows how to retrieve connected components from the binary image and label them: : @include snippets/imgproc_drawContours.cpp Note : When thickness=#FILLED, the function is designed to handle connected components with holes correctly even when no hierarchy data is provided. This is done by analyzing all the outlines together using even-odd rule. This may give incorrect results if you have a joint collection of separately retrieved contours. In order to solve this problem, you need to call #drawContours separately for each sub-group of contours, or iterate over the collection using contourIdx parameter. Python prototype (for reference only): drawContours(image, contours, contourIdx, color[, thickness[, lineType[, hierarchy[, maxLevel[, offset]]]]]) -&gt; image","ref":"Evision.html#drawContours/4","title":"Evision.drawContours/4","type":"function"},{"doc":"Draws contours outlines or filled contours. Positional Arguments contours : [Evision.Mat] . All the input contours. Each contour is stored as a point vector. contourIdx : int . Parameter indicating a contour to draw. If it is negative, all the contours are drawn. color : Scalar . Color of the contours. Keyword Arguments thickness : int . Thickness of lines the contours are drawn with. If it is negative (for example, thickness=#FILLED ), the contour interiors are drawn. lineType : int . Line connectivity. See #LineTypes hierarchy : Evision.Mat.t() . Optional information about hierarchy. It is only needed if you want to draw only some of the contours (see maxLevel ). maxLevel : int . Maximal level for drawn contours. If it is 0, only the specified contour is drawn. If it is 1, the function draws the contour(s) and all the nested contours. If it is 2, the function draws the contours, all the nested contours, all the nested-to-nested contours, and so on. This parameter is only taken into account when there is hierarchy available. offset : Point . Optional contour shift parameter. Shift all the drawn contours by the specified \\f$\\texttt{offset}=(dx,dy)\\f$ . Return image : Evision.Mat.t() . Destination image. The function draws contour outlines in the image if \\f$\\texttt{thickness} \\ge 0\\f$ or fills the area bounded by the contours if \\f$\\texttt{thickness}&lt;0\\f$ . The example below shows how to retrieve connected components from the binary image and label them: : @include snippets/imgproc_drawContours.cpp Note : When thickness=#FILLED, the function is designed to handle connected components with holes correctly even when no hierarchy data is provided. This is done by analyzing all the outlines together using even-odd rule. This may give incorrect results if you have a joint collection of separately retrieved contours. In order to solve this problem, you need to call #drawContours separately for each sub-group of contours, or iterate over the collection using contourIdx parameter. Python prototype (for reference only): drawContours(image, contours, contourIdx, color[, thickness[, lineType[, hierarchy[, maxLevel[, offset]]]]]) -&gt; image","ref":"Evision.html#drawContours/5","title":"Evision.drawContours/5","type":"function"},{"doc":"Draw axes of the world/object coordinate system from pose estimation. @sa solvePnP Positional Arguments cameraMatrix : Evision.Mat.t() . Input 3x3 floating-point matrix of camera intrinsic parameters. \\f$\\cameramatrix{A}\\f$ distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is empty, the zero distortion coefficients are assumed. rvec : Evision.Mat.t() . Rotation vector (see @ref Rodrigues ) that, together with tvec, brings points from the model coordinate system to the camera coordinate system. tvec : Evision.Mat.t() . Translation vector. length : float . Length of the painted axes in the same unit than tvec (usually in meters). Keyword Arguments thickness : int . Line thickness of the painted axes. Return image : Evision.Mat.t() . Input/output image. It must have 1 or 3 channels. The number of channels is not altered. This function draws the axes of the world/object coordinate system w.r.t. to the camera frame. OX is drawn in red, OY in green and OZ in blue. Python prototype (for reference only): drawFrameAxes(image, cameraMatrix, distCoeffs, rvec, tvec, length[, thickness]) -&gt; image","ref":"Evision.html#drawFrameAxes/6","title":"Evision.drawFrameAxes/6","type":"function"},{"doc":"Draw axes of the world/object coordinate system from pose estimation. @sa solvePnP Positional Arguments cameraMatrix : Evision.Mat.t() . Input 3x3 floating-point matrix of camera intrinsic parameters. \\f$\\cameramatrix{A}\\f$ distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is empty, the zero distortion coefficients are assumed. rvec : Evision.Mat.t() . Rotation vector (see @ref Rodrigues ) that, together with tvec, brings points from the model coordinate system to the camera coordinate system. tvec : Evision.Mat.t() . Translation vector. length : float . Length of the painted axes in the same unit than tvec (usually in meters). Keyword Arguments thickness : int . Line thickness of the painted axes. Return image : Evision.Mat.t() . Input/output image. It must have 1 or 3 channels. The number of channels is not altered. This function draws the axes of the world/object coordinate system w.r.t. to the camera frame. OX is drawn in red, OY in green and OZ in blue. Python prototype (for reference only): drawFrameAxes(image, cameraMatrix, distCoeffs, rvec, tvec, length[, thickness]) -&gt; image","ref":"Evision.html#drawFrameAxes/7","title":"Evision.drawFrameAxes/7","type":"function"},{"doc":"Draws keypoints. Positional Arguments image : Evision.Mat.t() . Source image. keypoints : [Evision.KeyPoint] . Keypoints from the source image. Keyword Arguments color : Scalar . Color of keypoints. flags : DrawMatchesFlags . Flags setting drawing features. Possible flags bit values are defined by DrawMatchesFlags. See details above in drawMatches . Return outImage : Evision.Mat.t() . Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below. Note : For Python API, flags are modified as cv.DRAW_MATCHES_FLAGS_DEFAULT, cv.DRAW_MATCHES_FLAGS_DRAW_RICH_KEYPOINTS, cv.DRAW_MATCHES_FLAGS_DRAW_OVER_OUTIMG, cv.DRAW_MATCHES_FLAGS_NOT_DRAW_SINGLE_POINTS Python prototype (for reference only): drawKeypoints(image, keypoints, outImage[, color[, flags]]) -&gt; outImage","ref":"Evision.html#drawKeypoints/3","title":"Evision.drawKeypoints/3","type":"function"},{"doc":"Draws keypoints. Positional Arguments image : Evision.Mat.t() . Source image. keypoints : [Evision.KeyPoint] . Keypoints from the source image. Keyword Arguments color : Scalar . Color of keypoints. flags : DrawMatchesFlags . Flags setting drawing features. Possible flags bit values are defined by DrawMatchesFlags. See details above in drawMatches . Return outImage : Evision.Mat.t() . Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below. Note : For Python API, flags are modified as cv.DRAW_MATCHES_FLAGS_DEFAULT, cv.DRAW_MATCHES_FLAGS_DRAW_RICH_KEYPOINTS, cv.DRAW_MATCHES_FLAGS_DRAW_OVER_OUTIMG, cv.DRAW_MATCHES_FLAGS_NOT_DRAW_SINGLE_POINTS Python prototype (for reference only): drawKeypoints(image, keypoints, outImage[, color[, flags]]) -&gt; outImage","ref":"Evision.html#drawKeypoints/4","title":"Evision.drawKeypoints/4","type":"function"},{"doc":"Draws a marker on a predefined position in an image. Positional Arguments position : Point . The point where the crosshair is positioned. color : Scalar . Line color. Keyword Arguments markerType : int . The specific type of marker you want to use, see #MarkerTypes markerSize : int . The length of the marker axis [default = 20 pixels] thickness : int . Line thickness. line_type : int . Type of the line, See #LineTypes Return img : Evision.Mat.t() . Image. The function cv::drawMarker draws a marker on a given position in the image. For the moment several marker types are supported, see #MarkerTypes for more information. Python prototype (for reference only): drawMarker(img, position, color[, markerType[, markerSize[, thickness[, line_type]]]]) -&gt; img","ref":"Evision.html#drawMarker/3","title":"Evision.drawMarker/3","type":"function"},{"doc":"Draws a marker on a predefined position in an image. Positional Arguments position : Point . The point where the crosshair is positioned. color : Scalar . Line color. Keyword Arguments markerType : int . The specific type of marker you want to use, see #MarkerTypes markerSize : int . The length of the marker axis [default = 20 pixels] thickness : int . Line thickness. line_type : int . Type of the line, See #LineTypes Return img : Evision.Mat.t() . Image. The function cv::drawMarker draws a marker on a given position in the image. For the moment several marker types are supported, see #MarkerTypes for more information. Python prototype (for reference only): drawMarker(img, position, color[, markerType[, markerSize[, thickness[, line_type]]]]) -&gt; img","ref":"Evision.html#drawMarker/4","title":"Evision.drawMarker/4","type":"function"},{"doc":"Draws the found matches of keypoints from two images. Positional Arguments img1 : Evision.Mat.t() . First source image. keypoints1 : [Evision.KeyPoint] . Keypoints from the first source image. img2 : Evision.Mat.t() . Second source image. keypoints2 : [Evision.KeyPoint] . Keypoints from the second source image. matches1to2 : [Evision.DMatch] . Matches from the first image to the second one, which means that keypoints1[i] has a corresponding point in keypoints2[matches[i]] . Keyword Arguments matchColor : Scalar . Color of matches (lines and connected keypoints). If matchColor==Scalar::all(-1) , the color is generated randomly. singlePointColor : Scalar . Color of single keypoints (circles), which means that keypoints do not have the matches. If singlePointColor==Scalar::all(-1) , the color is generated randomly. matchesMask : [char] . Mask determining which matches are drawn. If the mask is empty, all matches are drawn. flags : DrawMatchesFlags . Flags setting drawing features. Possible flags bit values are defined by DrawMatchesFlags. Return outImg : Evision.Mat.t() . Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below. This function draws matches of keypoints from two images in the output image. Match is a line connecting two keypoints (circles). See cv::DrawMatchesFlags. Python prototype (for reference only): drawMatches(img1, keypoints1, img2, keypoints2, matches1to2, outImg[, matchColor[, singlePointColor[, matchesMask[, flags]]]]) -&gt; outImg","ref":"Evision.html#drawMatches/6","title":"Evision.drawMatches/6","type":"function"},{"doc":"Variant 1: drawMatches Positional Arguments img1 : Evision.Mat.t() keypoints1 : [Evision.KeyPoint] img2 : Evision.Mat.t() keypoints2 : [Evision.KeyPoint] matches1to2 : [Evision.DMatch] matchesThickness : int Keyword Arguments matchColor : Scalar . singlePointColor : Scalar . matchesMask : [char] . flags : DrawMatchesFlags . Return outImg : Evision.Mat.t() Has overloading in C++ Python prototype (for reference only): drawMatches(img1, keypoints1, img2, keypoints2, matches1to2, outImg, matchesThickness[, matchColor[, singlePointColor[, matchesMask[, flags]]]]) -&gt; outImg Variant 2: Draws the found matches of keypoints from two images. Positional Arguments img1 : Evision.Mat.t() . First source image. keypoints1 : [Evision.KeyPoint] . Keypoints from the first source image. img2 : Evision.Mat.t() . Second source image. keypoints2 : [Evision.KeyPoint] . Keypoints from the second source image. matches1to2 : [Evision.DMatch] . Matches from the first image to the second one, which means that keypoints1[i] has a corresponding point in keypoints2[matches[i]] . Keyword Arguments matchColor : Scalar . Color of matches (lines and connected keypoints). If matchColor==Scalar::all(-1) , the color is generated randomly. singlePointColor : Scalar . Color of single keypoints (circles), which means that keypoints do not have the matches. If singlePointColor==Scalar::all(-1) , the color is generated randomly. matchesMask : [char] . Mask determining which matches are drawn. If the mask is empty, all matches are drawn. flags : DrawMatchesFlags . Flags setting drawing features. Possible flags bit values are defined by DrawMatchesFlags. Return outImg : Evision.Mat.t() . Output image. Its content depends on the flags value defining what is drawn in the output image. See possible flags bit values below. This function draws matches of keypoints from two images in the output image. Match is a line connecting two keypoints (circles). See cv::DrawMatchesFlags. Python prototype (for reference only): drawMatches(img1, keypoints1, img2, keypoints2, matches1to2, outImg[, matchColor[, singlePointColor[, matchesMask[, flags]]]]) -&gt; outImg","ref":"Evision.html#drawMatches/7","title":"Evision.drawMatches/7","type":"function"},{"doc":"drawMatches Positional Arguments img1 : Evision.Mat.t() keypoints1 : [Evision.KeyPoint] img2 : Evision.Mat.t() keypoints2 : [Evision.KeyPoint] matches1to2 : [Evision.DMatch] matchesThickness : int Keyword Arguments matchColor : Scalar . singlePointColor : Scalar . matchesMask : [char] . flags : DrawMatchesFlags . Return outImg : Evision.Mat.t() Has overloading in C++ Python prototype (for reference only): drawMatches(img1, keypoints1, img2, keypoints2, matches1to2, outImg, matchesThickness[, matchColor[, singlePointColor[, matchesMask[, flags]]]]) -&gt; outImg","ref":"Evision.html#drawMatches/8","title":"Evision.drawMatches/8","type":"function"},{"doc":"drawMatchesKnn Positional Arguments img1 : Evision.Mat.t() keypoints1 : [Evision.KeyPoint] img2 : Evision.Mat.t() keypoints2 : [Evision.KeyPoint] matches1to2 : [[Evision.DMatch]] Keyword Arguments matchColor : Scalar . singlePointColor : Scalar . matchesMask : [[char]] . flags : DrawMatchesFlags . Return outImg : Evision.Mat.t() Python prototype (for reference only): drawMatchesKnn(img1, keypoints1, img2, keypoints2, matches1to2, outImg[, matchColor[, singlePointColor[, matchesMask[, flags]]]]) -&gt; outImg","ref":"Evision.html#drawMatchesKnn/6","title":"Evision.drawMatchesKnn/6","type":"function"},{"doc":"drawMatchesKnn Positional Arguments img1 : Evision.Mat.t() keypoints1 : [Evision.KeyPoint] img2 : Evision.Mat.t() keypoints2 : [Evision.KeyPoint] matches1to2 : [[Evision.DMatch]] Keyword Arguments matchColor : Scalar . singlePointColor : Scalar . matchesMask : [[char]] . flags : DrawMatchesFlags . Return outImg : Evision.Mat.t() Python prototype (for reference only): drawMatchesKnn(img1, keypoints1, img2, keypoints2, matches1to2, outImg[, matchColor[, singlePointColor[, matchesMask[, flags]]]]) -&gt; outImg","ref":"Evision.html#drawMatchesKnn/7","title":"Evision.drawMatchesKnn/7","type":"function"},{"doc":"Filtering is the fundamental operation in image and video processing. Edge-preserving smoothing filters are used in many different applications @cite EM11 . Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Keyword Arguments flags : int . Edge preserving filters: cv::RECURS_FILTER or cv::NORMCONV_FILTER sigma_s : float . %Range between 0 to 200. sigma_r : float . %Range between 0 to 1. Return dst : Evision.Mat.t() . Output 8-bit 3-channel image. Python prototype (for reference only): edgePreservingFilter(src[, dst[, flags[, sigma_s[, sigma_r]]]]) -&gt; dst","ref":"Evision.html#edgePreservingFilter/1","title":"Evision.edgePreservingFilter/1","type":"function"},{"doc":"Filtering is the fundamental operation in image and video processing. Edge-preserving smoothing filters are used in many different applications @cite EM11 . Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Keyword Arguments flags : int . Edge preserving filters: cv::RECURS_FILTER or cv::NORMCONV_FILTER sigma_s : float . %Range between 0 to 200. sigma_r : float . %Range between 0 to 1. Return dst : Evision.Mat.t() . Output 8-bit 3-channel image. Python prototype (for reference only): edgePreservingFilter(src[, dst[, flags[, sigma_s[, sigma_r]]]]) -&gt; dst","ref":"Evision.html#edgePreservingFilter/2","title":"Evision.edgePreservingFilter/2","type":"function"},{"doc":"Calculates eigenvalues and eigenvectors of a symmetric matrix. Positional Arguments src : Evision.Mat.t() . input matrix that must have CV_32FC1 or CV_64FC1 type, square size and be symmetrical (src ^T^ == src). Return retval : bool eigenvalues : Evision.Mat.t() . output vector of eigenvalues of the same type as src; the eigenvalues are stored in the descending order. eigenvectors : Evision.Mat.t() . output matrix of eigenvectors; it has the same size and type as src; the eigenvectors are stored as subsequent matrix rows, in the same order as the corresponding eigenvalues. The function cv::eigen calculates just eigenvalues, or eigenvalues and eigenvectors of the symmetric matrix src: src * eigenvectors . row ( i ) . t ( ) = eigenvalues . at &lt; srcType &gt; ( i ) * eigenvectors . row ( i ) . t ( ) Note : Use cv::eigenNonSymmetric for calculation of real eigenvalues and eigenvectors of non-symmetric matrix. @sa eigenNonSymmetric, completeSymm , PCA Python prototype (for reference only): eigen(src[, eigenvalues[, eigenvectors]]) -&gt; retval, eigenvalues, eigenvectors","ref":"Evision.html#eigen/1","title":"Evision.eigen/1","type":"function"},{"doc":"Calculates eigenvalues and eigenvectors of a symmetric matrix. Positional Arguments src : Evision.Mat.t() . input matrix that must have CV_32FC1 or CV_64FC1 type, square size and be symmetrical (src ^T^ == src). Return retval : bool eigenvalues : Evision.Mat.t() . output vector of eigenvalues of the same type as src; the eigenvalues are stored in the descending order. eigenvectors : Evision.Mat.t() . output matrix of eigenvectors; it has the same size and type as src; the eigenvectors are stored as subsequent matrix rows, in the same order as the corresponding eigenvalues. The function cv::eigen calculates just eigenvalues, or eigenvalues and eigenvectors of the symmetric matrix src: src * eigenvectors . row ( i ) . t ( ) = eigenvalues . at &lt; srcType &gt; ( i ) * eigenvectors . row ( i ) . t ( ) Note : Use cv::eigenNonSymmetric for calculation of real eigenvalues and eigenvectors of non-symmetric matrix. @sa eigenNonSymmetric, completeSymm , PCA Python prototype (for reference only): eigen(src[, eigenvalues[, eigenvectors]]) -&gt; retval, eigenvalues, eigenvectors","ref":"Evision.html#eigen/2","title":"Evision.eigen/2","type":"function"},{"doc":"Calculates eigenvalues and eigenvectors of a non-symmetric matrix (real eigenvalues only). Positional Arguments src : Evision.Mat.t() . input matrix (CV_32FC1 or CV_64FC1 type). Return eigenvalues : Evision.Mat.t() . output vector of eigenvalues (type is the same type as src). eigenvectors : Evision.Mat.t() . output matrix of eigenvectors (type is the same type as src). The eigenvectors are stored as subsequent matrix rows, in the same order as the corresponding eigenvalues. Note : Assumes real eigenvalues. The function calculates eigenvalues and eigenvectors (optional) of the square matrix src: src * eigenvectors . row ( i ) . t ( ) = eigenvalues . at &lt; srcType &gt; ( i ) * eigenvectors . row ( i ) . t ( ) @sa eigen Python prototype (for reference only): eigenNonSymmetric(src[, eigenvalues[, eigenvectors]]) -&gt; eigenvalues, eigenvectors","ref":"Evision.html#eigenNonSymmetric/1","title":"Evision.eigenNonSymmetric/1","type":"function"},{"doc":"Calculates eigenvalues and eigenvectors of a non-symmetric matrix (real eigenvalues only). Positional Arguments src : Evision.Mat.t() . input matrix (CV_32FC1 or CV_64FC1 type). Return eigenvalues : Evision.Mat.t() . output vector of eigenvalues (type is the same type as src). eigenvectors : Evision.Mat.t() . output matrix of eigenvectors (type is the same type as src). The eigenvectors are stored as subsequent matrix rows, in the same order as the corresponding eigenvalues. Note : Assumes real eigenvalues. The function calculates eigenvalues and eigenvectors (optional) of the square matrix src: src * eigenvectors . row ( i ) . t ( ) = eigenvalues . at &lt; srcType &gt; ( i ) * eigenvectors . row ( i ) . t ( ) @sa eigen Python prototype (for reference only): eigenNonSymmetric(src[, eigenvalues[, eigenvectors]]) -&gt; eigenvalues, eigenvectors","ref":"Evision.html#eigenNonSymmetric/2","title":"Evision.eigenNonSymmetric/2","type":"function"},{"doc":"Approximates an elliptic arc with a polyline. Positional Arguments center : Point . Center of the arc. axes : Size . Half of the size of the ellipse main axes. See #ellipse for details. angle : int . Rotation angle of the ellipse in degrees. See #ellipse for details. arcStart : int . Starting angle of the elliptic arc in degrees. arcEnd : int . Ending angle of the elliptic arc in degrees. delta : int . Angle between the subsequent polyline vertices. It defines the approximation accuracy. Return pts : [Point] . Output vector of polyline vertices. The function ellipse2Poly computes the vertices of a polyline that approximates the specified elliptic arc. It is used by #ellipse. If arcStart is greater than arcEnd , they are swapped. Python prototype (for reference only): ellipse2Poly(center, axes, angle, arcStart, arcEnd, delta) -&gt; pts","ref":"Evision.html#ellipse2Poly/6","title":"Evision.ellipse2Poly/6","type":"function"},{"doc":"ellipse Positional Arguments box : {centre={x, y}, size={s1, s2}, angle} . Alternative ellipse representation via RotatedRect. This means that the function draws an ellipse inscribed in the rotated rectangle. color : Scalar . Ellipse color. Keyword Arguments thickness : int . Thickness of the ellipse arc outline, if positive. Otherwise, this indicates that a filled ellipse sector is to be drawn. lineType : int . Type of the ellipse boundary. See #LineTypes Return img : Evision.Mat.t() . Image. Has overloading in C++ Python prototype (for reference only): ellipse(img, box, color[, thickness[, lineType]]) -&gt; img","ref":"Evision.html#ellipse/3","title":"Evision.ellipse/3","type":"function"},{"doc":"ellipse Positional Arguments box : {centre={x, y}, size={s1, s2}, angle} . Alternative ellipse representation via RotatedRect. This means that the function draws an ellipse inscribed in the rotated rectangle. color : Scalar . Ellipse color. Keyword Arguments thickness : int . Thickness of the ellipse arc outline, if positive. Otherwise, this indicates that a filled ellipse sector is to be drawn. lineType : int . Type of the ellipse boundary. See #LineTypes Return img : Evision.Mat.t() . Image. Has overloading in C++ Python prototype (for reference only): ellipse(img, box, color[, thickness[, lineType]]) -&gt; img","ref":"Evision.html#ellipse/4","title":"Evision.ellipse/4","type":"function"},{"doc":"Draws a simple or thick elliptic arc or fills an ellipse sector. Positional Arguments center : Point . Center of the ellipse. axes : Size . Half of the size of the ellipse main axes. angle : double . Ellipse rotation angle in degrees. startAngle : double . Starting angle of the elliptic arc in degrees. endAngle : double . Ending angle of the elliptic arc in degrees. color : Scalar . Ellipse color. Keyword Arguments thickness : int . Thickness of the ellipse arc outline, if positive. Otherwise, this indicates that a filled ellipse sector is to be drawn. lineType : int . Type of the ellipse boundary. See #LineTypes shift : int . Number of fractional bits in the coordinates of the center and values of axes. Return img : Evision.Mat.t() . Image. The function cv::ellipse with more parameters draws an ellipse outline, a filled ellipse, an elliptic arc, or a filled ellipse sector. The drawing code uses general parametric form. A piecewise-linear curve is used to approximate the elliptic arc boundary. If you need more control of the ellipse rendering, you can retrieve the curve using #ellipse2Poly and then render it with #polylines or fill it with #fillPoly. If you use the first variant of the function and want to draw the whole ellipse, not an arc, pass startAngle=0 and endAngle=360 . If startAngle is greater than endAngle , they are swapped. The figure below explains the meaning of the parameters to draw the blue arc. Python prototype (for reference only): ellipse(img, center, axes, angle, startAngle, endAngle, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#ellipse/7","title":"Evision.ellipse/7","type":"function"},{"doc":"Draws a simple or thick elliptic arc or fills an ellipse sector. Positional Arguments center : Point . Center of the ellipse. axes : Size . Half of the size of the ellipse main axes. angle : double . Ellipse rotation angle in degrees. startAngle : double . Starting angle of the elliptic arc in degrees. endAngle : double . Ending angle of the elliptic arc in degrees. color : Scalar . Ellipse color. Keyword Arguments thickness : int . Thickness of the ellipse arc outline, if positive. Otherwise, this indicates that a filled ellipse sector is to be drawn. lineType : int . Type of the ellipse boundary. See #LineTypes shift : int . Number of fractional bits in the coordinates of the center and values of axes. Return img : Evision.Mat.t() . Image. The function cv::ellipse with more parameters draws an ellipse outline, a filled ellipse, an elliptic arc, or a filled ellipse sector. The drawing code uses general parametric form. A piecewise-linear curve is used to approximate the elliptic arc boundary. If you need more control of the ellipse rendering, you can retrieve the curve using #ellipse2Poly and then render it with #polylines or fill it with #fillPoly. If you use the first variant of the function and want to draw the whole ellipse, not an arc, pass startAngle=0 and endAngle=360 . If startAngle is greater than endAngle , they are swapped. The figure below explains the meaning of the parameters to draw the blue arc. Python prototype (for reference only): ellipse(img, center, axes, angle, startAngle, endAngle, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#ellipse/8","title":"Evision.ellipse/8","type":"function"},{"doc":"Computes the &quot;minimal work&quot; distance between two weighted point configurations. Positional Arguments signature1 : Evision.Mat.t() . First signature, a \\f$\\texttt{size1}\\times \\texttt{dims}+1\\f$ floating-point matrix. Each row stores the point weight followed by the point coordinates. The matrix is allowed to have a single column (weights only) if the user-defined cost matrix is used. The weights must be non-negative and have at least one non-zero value. signature2 : Evision.Mat.t() . Second signature of the same format as signature1 , though the number of rows may be different. The total weights may be different. In this case an extra &quot;dummy&quot; point is added to either signature1 or signature2. The weights must be non-negative and have at least one non-zero value. distType : int . Used metric. See #DistanceTypes. Keyword Arguments cost : Evision.Mat.t() . User-defined \\f$\\texttt{size1}\\times \\texttt{size2}\\f$ cost matrix. Also, if a cost matrix is used, lower boundary lowerBound cannot be calculated because it needs a metric function. Return retval : float lowerBound : float . Optional input/output parameter: lower boundary of a distance between the two signatures that is a distance between mass centers. The lower boundary may not be calculated if the user-defined cost matrix is used, the total weights of point configurations are not equal, or if the signatures consist of weights only (the signature matrices have a single column). You must * initialize \\ lowerBound . If the calculated distance between mass centers is greater or equal to *lowerBound (it means that the signatures are far enough), the function does not calculate EMD. In any case *lowerBound is set to the calculated distance between mass centers on return. Thus, if you want to calculate both distance between mass centers and EMD, *lowerBound should be set to 0. flow : Evision.Mat.t() . Resultant \\f$\\texttt{size1} \\times \\texttt{size2}\\f$ flow matrix: \\f$\\texttt{flow}_{i,j}\\f$ is a flow from \\f$i\\f$ -th point of signature1 to \\f$j\\f$ -th point of signature2 . The function computes the earth mover distance and/or a lower boundary of the distance between the two weighted point configurations. One of the applications described in @cite RubnerSept98, @cite Rubner2000 is multi-dimensional histogram comparison for image retrieval. EMD is a transportation problem that is solved using some modification of a simplex algorithm, thus the complexity is exponential in the worst case, though, on average it is much faster. In the case of a real metric the lower boundary can be calculated even faster (using linear-time algorithm) and it can be used to determine roughly whether the two signatures are far enough so that they cannot relate to the same object. Python prototype (for reference only): EMD(signature1, signature2, distType[, cost[, lowerBound[, flow]]]) -&gt; retval, lowerBound, flow","ref":"Evision.html#emd/3","title":"Evision.emd/3","type":"function"},{"doc":"Computes the &quot;minimal work&quot; distance between two weighted point configurations. Positional Arguments signature1 : Evision.Mat.t() . First signature, a \\f$\\texttt{size1}\\times \\texttt{dims}+1\\f$ floating-point matrix. Each row stores the point weight followed by the point coordinates. The matrix is allowed to have a single column (weights only) if the user-defined cost matrix is used. The weights must be non-negative and have at least one non-zero value. signature2 : Evision.Mat.t() . Second signature of the same format as signature1 , though the number of rows may be different. The total weights may be different. In this case an extra &quot;dummy&quot; point is added to either signature1 or signature2. The weights must be non-negative and have at least one non-zero value. distType : int . Used metric. See #DistanceTypes. Keyword Arguments cost : Evision.Mat.t() . User-defined \\f$\\texttt{size1}\\times \\texttt{size2}\\f$ cost matrix. Also, if a cost matrix is used, lower boundary lowerBound cannot be calculated because it needs a metric function. Return retval : float lowerBound : float . Optional input/output parameter: lower boundary of a distance between the two signatures that is a distance between mass centers. The lower boundary may not be calculated if the user-defined cost matrix is used, the total weights of point configurations are not equal, or if the signatures consist of weights only (the signature matrices have a single column). You must * initialize \\ lowerBound . If the calculated distance between mass centers is greater or equal to *lowerBound (it means that the signatures are far enough), the function does not calculate EMD. In any case *lowerBound is set to the calculated distance between mass centers on return. Thus, if you want to calculate both distance between mass centers and EMD, *lowerBound should be set to 0. flow : Evision.Mat.t() . Resultant \\f$\\texttt{size1} \\times \\texttt{size2}\\f$ flow matrix: \\f$\\texttt{flow}_{i,j}\\f$ is a flow from \\f$i\\f$ -th point of signature1 to \\f$j\\f$ -th point of signature2 . The function computes the earth mover distance and/or a lower boundary of the distance between the two weighted point configurations. One of the applications described in @cite RubnerSept98, @cite Rubner2000 is multi-dimensional histogram comparison for image retrieval. EMD is a transportation problem that is solved using some modification of a simplex algorithm, thus the complexity is exponential in the worst case, though, on average it is much faster. In the case of a real metric the lower boundary can be calculated even faster (using linear-time algorithm) and it can be used to determine roughly whether the two signatures are far enough so that they cannot relate to the same object. Python prototype (for reference only): EMD(signature1, signature2, distType[, cost[, lowerBound[, flow]]]) -&gt; retval, lowerBound, flow","ref":"Evision.html#emd/4","title":"Evision.emd/4","type":"function"},{"doc":"return a list of enabled modules in this build","ref":"Evision.html#enabled_modules/0","title":"Evision.enabled_modules/0","type":"function"},{"doc":"Equalizes the histogram of a grayscale image. Positional Arguments src : Evision.Mat.t() . Source 8-bit single channel image. Return dst : Evision.Mat.t() . Destination image of the same size and type as src . The function equalizes the histogram of the input image using the following algorithm: Calculate the histogram \\f$H\\f$ for src . Normalize the histogram so that the sum of histogram bins is 255. Compute the integral of the histogram: \\f[H'_i = \\sum _{0 \\le j &lt; i} H(j)\\f] Transform the image using \\f$H'\\f$ as a look-up table: \\f$\\texttt{dst}(x,y) = H'(\\texttt{src}(x,y))\\f$ The algorithm normalizes the brightness and increases the contrast of the image. Python prototype (for reference only): equalizeHist(src[, dst]) -&gt; dst","ref":"Evision.html#equalizeHist/1","title":"Evision.equalizeHist/1","type":"function"},{"doc":"Equalizes the histogram of a grayscale image. Positional Arguments src : Evision.Mat.t() . Source 8-bit single channel image. Return dst : Evision.Mat.t() . Destination image of the same size and type as src . The function equalizes the histogram of the input image using the following algorithm: Calculate the histogram \\f$H\\f$ for src . Normalize the histogram so that the sum of histogram bins is 255. Compute the integral of the histogram: \\f[H'_i = \\sum _{0 \\le j &lt; i} H(j)\\f] Transform the image using \\f$H'\\f$ as a look-up table: \\f$\\texttt{dst}(x,y) = H'(\\texttt{src}(x,y))\\f$ The algorithm normalizes the brightness and increases the contrast of the image. Python prototype (for reference only): equalizeHist(src[, dst]) -&gt; dst","ref":"Evision.html#equalizeHist/2","title":"Evision.equalizeHist/2","type":"function"},{"doc":"Erodes an image by using a specific structuring element. Positional Arguments src : Evision.Mat.t() . input image; the number of channels can be arbitrary, but the depth should be one of CV_8U, CV_16U, CV_16S, CV_32F or CV_64F. kernel : Evision.Mat.t() . structuring element used for erosion; if element=Mat() , a 3 x 3 rectangular structuring element is used. Kernel can be created using #getStructuringElement. Keyword Arguments anchor : Point . position of the anchor within the element; default value (-1, -1) means that the anchor is at the element center. iterations : int . number of times erosion is applied. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. borderValue : Scalar . border value in case of a constant border Return dst : Evision.Mat.t() . output image of the same size and type as src. The function erodes the source image using the specified structuring element that determines the shape of a pixel neighborhood over which the minimum is taken: \\f[\\texttt{dst} (x,y) = \\min _{(x',y'): \\, \\texttt{element} (x',y') \\ne0 } \\texttt{src} (x+x',y+y')\\f] The function supports the in-place mode. Erosion can be applied several ( iterations ) times. In case of multi-channel images, each channel is processed independently. @sa dilate, morphologyEx, getStructuringElement Python prototype (for reference only): erode(src, kernel[, dst[, anchor[, iterations[, borderType[, borderValue]]]]]) -&gt; dst","ref":"Evision.html#erode/2","title":"Evision.erode/2","type":"function"},{"doc":"Erodes an image by using a specific structuring element. Positional Arguments src : Evision.Mat.t() . input image; the number of channels can be arbitrary, but the depth should be one of CV_8U, CV_16U, CV_16S, CV_32F or CV_64F. kernel : Evision.Mat.t() . structuring element used for erosion; if element=Mat() , a 3 x 3 rectangular structuring element is used. Kernel can be created using #getStructuringElement. Keyword Arguments anchor : Point . position of the anchor within the element; default value (-1, -1) means that the anchor is at the element center. iterations : int . number of times erosion is applied. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. borderValue : Scalar . border value in case of a constant border Return dst : Evision.Mat.t() . output image of the same size and type as src. The function erodes the source image using the specified structuring element that determines the shape of a pixel neighborhood over which the minimum is taken: \\f[\\texttt{dst} (x,y) = \\min _{(x',y'): \\, \\texttt{element} (x',y') \\ne0 } \\texttt{src} (x+x',y+y')\\f] The function supports the in-place mode. Erosion can be applied several ( iterations ) times. In case of multi-channel images, each channel is processed independently. @sa dilate, morphologyEx, getStructuringElement Python prototype (for reference only): erode(src, kernel[, dst[, anchor[, iterations[, borderType[, borderValue]]]]]) -&gt; dst","ref":"Evision.html#erode/3","title":"Evision.erode/3","type":"function"},{"doc":"Computes an optimal affine transformation between two 2D point sets. Positional Arguments from : Evision.Mat.t() . First input 2D point set containing \\f$(X,Y)\\f$. to : Evision.Mat.t() . Second input 2D point set containing \\f$(x,y)\\f$. Keyword Arguments method : int . Robust method used to compute transformation. The following methods are possible: @ref RANSAC - RANSAC-based robust method @ref LMEDS - Least-Median robust method RANSAC is the default method. ransacReprojThreshold : double . Maximum reprojection error in the RANSAC algorithm to consider a point as an inlier. Applies only to RANSAC. maxIters : size_t . The maximum number of robust method iterations. confidence : double . Confidence level, between 0 and 1, for the estimated transformation. Anything between 0.95 and 0.99 is usually good enough. Values too close to 1 can slow down the estimation significantly. Values lower than 0.8-0.9 can result in an incorrectly estimated transformation. refineIters : size_t . Maximum number of iterations of refining algorithm (Levenberg-Marquardt). Passing 0 will disable refining, so the output matrix will be output of robust method. Return retval : Evision.Mat.t() inliers : Evision.Mat.t() . Output vector indicating which points are inliers (1-inlier, 0-outlier). It computes \\f[ \\begin{bmatrix} x\\\\ y\\\\ \\end{bmatrix} \\begin{bmatrix} a_{11} &amp; a_{12}\\\\ a_{21} &amp; a_{22}\\\\ \\end{bmatrix} \\begin{bmatrix} X\\\\ Y\\\\ \\end{bmatrix} + \\begin{bmatrix} b_1\\\\ b_2\\\\ \\end{bmatrix} \\f] @return Output 2D affine transformation matrix \\f$2 \\times 3\\f$ or empty matrix if transformation could not be estimated. The returned matrix has the following form: \\f[ \\begin{bmatrix} a_{11} &amp; a_{12} &amp; b_1\\\\ a_{21} &amp; a_{22} &amp; b_2\\\\ \\end{bmatrix} \\f] The function estimates an optimal 2D affine transformation between two 2D point sets using the selected robust algorithm. The computed transformation is then refined further (using only inliers) with the Levenberg-Marquardt method to reduce the re-projection error even more. Note : The RANSAC method can handle practically any ratio of outliers but needs a threshold to distinguish inliers from outliers. The method LMeDS does not need any threshold but it works correctly only when there are more than 50% of inliers. @sa estimateAffinePartial2D, getAffineTransform Python prototype (for reference only): estimateAffine2D(from, to[, inliers[, method[, ransacReprojThreshold[, maxIters[, confidence[, refineIters]]]]]]) -&gt; retval, inliers","ref":"Evision.html#estimateAffine2D/2","title":"Evision.estimateAffine2D/2","type":"function"},{"doc":"Variant 1: estimateAffine2D Positional Arguments pts1 : Evision.Mat.t() pts2 : Evision.Mat.t() params : Evision.UsacParams.t() Return retval : Evision.Mat.t() inliers : Evision.Mat.t() . Python prototype (for reference only): estimateAffine2D(pts1, pts2, params[, inliers]) -&gt; retval, inliers Variant 2: Computes an optimal affine transformation between two 2D point sets. Positional Arguments from : Evision.Mat.t() . First input 2D point set containing \\f$(X,Y)\\f$. to : Evision.Mat.t() . Second input 2D point set containing \\f$(x,y)\\f$. Keyword Arguments method : int . Robust method used to compute transformation. The following methods are possible: @ref RANSAC - RANSAC-based robust method @ref LMEDS - Least-Median robust method RANSAC is the default method. ransacReprojThreshold : double . Maximum reprojection error in the RANSAC algorithm to consider a point as an inlier. Applies only to RANSAC. maxIters : size_t . The maximum number of robust method iterations. confidence : double . Confidence level, between 0 and 1, for the estimated transformation. Anything between 0.95 and 0.99 is usually good enough. Values too close to 1 can slow down the estimation significantly. Values lower than 0.8-0.9 can result in an incorrectly estimated transformation. refineIters : size_t . Maximum number of iterations of refining algorithm (Levenberg-Marquardt). Passing 0 will disable refining, so the output matrix will be output of robust method. Return retval : Evision.Mat.t() inliers : Evision.Mat.t() . Output vector indicating which points are inliers (1-inlier, 0-outlier). It computes \\f[ \\begin{bmatrix} x\\\\ y\\\\ \\end{bmatrix} \\begin{bmatrix} a_{11} &amp; a_{12}\\\\ a_{21} &amp; a_{22}\\\\ \\end{bmatrix} \\begin{bmatrix} X\\\\ Y\\\\ \\end{bmatrix} + \\begin{bmatrix} b_1\\\\ b_2\\\\ \\end{bmatrix} \\f] @return Output 2D affine transformation matrix \\f$2 \\times 3\\f$ or empty matrix if transformation could not be estimated. The returned matrix has the following form: \\f[ \\begin{bmatrix} a_{11} &amp; a_{12} &amp; b_1\\\\ a_{21} &amp; a_{22} &amp; b_2\\\\ \\end{bmatrix} \\f] The function estimates an optimal 2D affine transformation between two 2D point sets using the selected robust algorithm. The computed transformation is then refined further (using only inliers) with the Levenberg-Marquardt method to reduce the re-projection error even more. Note : The RANSAC method can handle practically any ratio of outliers but needs a threshold to distinguish inliers from outliers. The method LMeDS does not need any threshold but it works correctly only when there are more than 50% of inliers. @sa estimateAffinePartial2D, getAffineTransform Python prototype (for reference only): estimateAffine2D(from, to[, inliers[, method[, ransacReprojThreshold[, maxIters[, confidence[, refineIters]]]]]]) -&gt; retval, inliers","ref":"Evision.html#estimateAffine2D/3","title":"Evision.estimateAffine2D/3","type":"function"},{"doc":"estimateAffine2D Positional Arguments pts1 : Evision.Mat.t() pts2 : Evision.Mat.t() params : Evision.UsacParams.t() Return retval : Evision.Mat.t() inliers : Evision.Mat.t() . Python prototype (for reference only): estimateAffine2D(pts1, pts2, params[, inliers]) -&gt; retval, inliers","ref":"Evision.html#estimateAffine2D/4","title":"Evision.estimateAffine2D/4","type":"function"},{"doc":"Computes an optimal affine transformation between two 3D point sets. Positional Arguments src : Evision.Mat.t() . First input 3D point set. dst : Evision.Mat.t() . Second input 3D point set. Keyword Arguments force_rotation : bool . If true, the returned rotation will never be a reflection. This might be unwanted, e.g. when optimizing a transform between a right- and a left-handed coordinate system. Return retval : Evision.Mat.t() scale : double* . If null is passed, the scale parameter c will be assumed to be 1.0. Else the pointed-to variable will be set to the optimal scale. It computes \\f$R,s,t\\f$ minimizing \\f$\\sum{i} dst_i - c \\cdot R \\cdot src_i \\f$ where \\f$R\\f$ is a 3x3 rotation matrix, \\f$t\\f$ is a 3x1 translation vector and \\f$s\\f$ is a scalar size value. This is an implementation of the algorithm by Umeyama \\cite umeyama1991least . The estimated affine transform has a homogeneous scale which is a subclass of affine transformations with 7 degrees of freedom. The paired point sets need to comprise at least 3 points each. @return 3D affine transformation matrix \\f$3 \\times 4\\f$ of the form \\f[T = \\begin{bmatrix} R &amp; t\\\\ \\end{bmatrix} \\f] Python prototype (for reference only): estimateAffine3D(src, dst[, force_rotation]) -&gt; retval, scale","ref":"Evision.html#estimateAffine3D/2","title":"Evision.estimateAffine3D/2","type":"function"},{"doc":"Computes an optimal affine transformation between two 3D point sets. Positional Arguments src : Evision.Mat.t() . First input 3D point set. dst : Evision.Mat.t() . Second input 3D point set. Keyword Arguments force_rotation : bool . If true, the returned rotation will never be a reflection. This might be unwanted, e.g. when optimizing a transform between a right- and a left-handed coordinate system. Return retval : Evision.Mat.t() scale : double* . If null is passed, the scale parameter c will be assumed to be 1.0. Else the pointed-to variable will be set to the optimal scale. It computes \\f$R,s,t\\f$ minimizing \\f$\\sum{i} dst_i - c \\cdot R \\cdot src_i \\f$ where \\f$R\\f$ is a 3x3 rotation matrix, \\f$t\\f$ is a 3x1 translation vector and \\f$s\\f$ is a scalar size value. This is an implementation of the algorithm by Umeyama \\cite umeyama1991least . The estimated affine transform has a homogeneous scale which is a subclass of affine transformations with 7 degrees of freedom. The paired point sets need to comprise at least 3 points each. @return 3D affine transformation matrix \\f$3 \\times 4\\f$ of the form \\f[T = \\begin{bmatrix} R &amp; t\\\\ \\end{bmatrix} \\f] Python prototype (for reference only): estimateAffine3D(src, dst[, force_rotation]) -&gt; retval, scale","ref":"Evision.html#estimateAffine3D/3","title":"Evision.estimateAffine3D/3","type":"function"},{"doc":"Computes an optimal limited affine transformation with 4 degrees of freedom between two 2D point sets. Positional Arguments from : Evision.Mat.t() . First input 2D point set. to : Evision.Mat.t() . Second input 2D point set. Keyword Arguments method : int . Robust method used to compute transformation. The following methods are possible: @ref RANSAC - RANSAC-based robust method @ref LMEDS - Least-Median robust method RANSAC is the default method. ransacReprojThreshold : double . Maximum reprojection error in the RANSAC algorithm to consider a point as an inlier. Applies only to RANSAC. maxIters : size_t . The maximum number of robust method iterations. confidence : double . Confidence level, between 0 and 1, for the estimated transformation. Anything between 0.95 and 0.99 is usually good enough. Values too close to 1 can slow down the estimation significantly. Values lower than 0.8-0.9 can result in an incorrectly estimated transformation. refineIters : size_t . Maximum number of iterations of refining algorithm (Levenberg-Marquardt). Passing 0 will disable refining, so the output matrix will be output of robust method. Return retval : Evision.Mat.t() inliers : Evision.Mat.t() . Output vector indicating which points are inliers. @return Output 2D affine transformation (4 degrees of freedom) matrix \\f$2 \\times 3\\f$ or empty matrix if transformation could not be estimated. The function estimates an optimal 2D affine transformation with 4 degrees of freedom limited to combinations of translation, rotation, and uniform scaling. Uses the selected algorithm for robust estimation. The computed transformation is then refined further (using only inliers) with the Levenberg-Marquardt method to reduce the re-projection error even more. Estimated transformation matrix is: \\f[ \\begin{bmatrix} \\cos(\\theta) \\cdot s &amp; -\\sin(\\theta) \\cdot s &amp; t_x \\\\ \\sin(\\theta) \\cdot s &amp; \\cos(\\theta) \\cdot s &amp; t_y \\end{bmatrix} \\f] Where \\f$ \\theta \\f$ is the rotation angle, \\f$ s \\f$ the scaling factor and \\f$ t_x, t_y \\f$ are translations in \\f$ x, y \\f$ axes respectively. Note : The RANSAC method can handle practically any ratio of outliers but need a threshold to distinguish inliers from outliers. The method LMeDS does not need any threshold but it works correctly only when there are more than 50% of inliers. @sa estimateAffine2D, getAffineTransform Python prototype (for reference only): estimateAffinePartial2D(from, to[, inliers[, method[, ransacReprojThreshold[, maxIters[, confidence[, refineIters]]]]]]) -&gt; retval, inliers","ref":"Evision.html#estimateAffinePartial2D/2","title":"Evision.estimateAffinePartial2D/2","type":"function"},{"doc":"Computes an optimal limited affine transformation with 4 degrees of freedom between two 2D point sets. Positional Arguments from : Evision.Mat.t() . First input 2D point set. to : Evision.Mat.t() . Second input 2D point set. Keyword Arguments method : int . Robust method used to compute transformation. The following methods are possible: @ref RANSAC - RANSAC-based robust method @ref LMEDS - Least-Median robust method RANSAC is the default method. ransacReprojThreshold : double . Maximum reprojection error in the RANSAC algorithm to consider a point as an inlier. Applies only to RANSAC. maxIters : size_t . The maximum number of robust method iterations. confidence : double . Confidence level, between 0 and 1, for the estimated transformation. Anything between 0.95 and 0.99 is usually good enough. Values too close to 1 can slow down the estimation significantly. Values lower than 0.8-0.9 can result in an incorrectly estimated transformation. refineIters : size_t . Maximum number of iterations of refining algorithm (Levenberg-Marquardt). Passing 0 will disable refining, so the output matrix will be output of robust method. Return retval : Evision.Mat.t() inliers : Evision.Mat.t() . Output vector indicating which points are inliers. @return Output 2D affine transformation (4 degrees of freedom) matrix \\f$2 \\times 3\\f$ or empty matrix if transformation could not be estimated. The function estimates an optimal 2D affine transformation with 4 degrees of freedom limited to combinations of translation, rotation, and uniform scaling. Uses the selected algorithm for robust estimation. The computed transformation is then refined further (using only inliers) with the Levenberg-Marquardt method to reduce the re-projection error even more. Estimated transformation matrix is: \\f[ \\begin{bmatrix} \\cos(\\theta) \\cdot s &amp; -\\sin(\\theta) \\cdot s &amp; t_x \\\\ \\sin(\\theta) \\cdot s &amp; \\cos(\\theta) \\cdot s &amp; t_y \\end{bmatrix} \\f] Where \\f$ \\theta \\f$ is the rotation angle, \\f$ s \\f$ the scaling factor and \\f$ t_x, t_y \\f$ are translations in \\f$ x, y \\f$ axes respectively. Note : The RANSAC method can handle practically any ratio of outliers but need a threshold to distinguish inliers from outliers. The method LMeDS does not need any threshold but it works correctly only when there are more than 50% of inliers. @sa estimateAffine2D, getAffineTransform Python prototype (for reference only): estimateAffinePartial2D(from, to[, inliers[, method[, ransacReprojThreshold[, maxIters[, confidence[, refineIters]]]]]]) -&gt; retval, inliers","ref":"Evision.html#estimateAffinePartial2D/3","title":"Evision.estimateAffinePartial2D/3","type":"function"},{"doc":"Estimates the sharpness of a detected chessboard. Positional Arguments image : Evision.Mat.t() . Gray image used to find chessboard corners patternSize : Size . Size of a found chessboard pattern corners : Evision.Mat.t() . Corners found by #findChessboardCornersSB Keyword Arguments rise_distance : float . Rise distance 0.8 means 10% ... 90% of the final signal strength vertical : bool . By default edge responses for horizontal lines are calculated Return retval : Scalar sharpness : Evision.Mat.t() . Optional output array with a sharpness value for calculated edge responses (see description) Image sharpness, as well as brightness, are a critical parameter for accuracte camera calibration. For accessing these parameters for filtering out problematic calibraiton images, this method calculates edge profiles by traveling from black to white chessboard cell centers. Based on this, the number of pixels is calculated required to transit from black to white. This width of the transition area is a good indication of how sharp the chessboard is imaged and should be below ~3.0 pixels. The optional sharpness array is of type CV_32FC1 and has for each calculated profile one row with the following five entries: 0 = x coordinate of the underlying edge in the image 1 = y coordinate of the underlying edge in the image 2 = width of the transition area (sharpness) 3 = signal strength in the black cell (min brightness) 4 = signal strength in the white cell (max brightness) @return Scalar(average sharpness, average min brightness, average max brightness,0) Python prototype (for reference only): estimateChessboardSharpness(image, patternSize, corners[, rise_distance[, vertical[, sharpness]]]) -&gt; retval, sharpness","ref":"Evision.html#estimateChessboardSharpness/3","title":"Evision.estimateChessboardSharpness/3","type":"function"},{"doc":"Estimates the sharpness of a detected chessboard. Positional Arguments image : Evision.Mat.t() . Gray image used to find chessboard corners patternSize : Size . Size of a found chessboard pattern corners : Evision.Mat.t() . Corners found by #findChessboardCornersSB Keyword Arguments rise_distance : float . Rise distance 0.8 means 10% ... 90% of the final signal strength vertical : bool . By default edge responses for horizontal lines are calculated Return retval : Scalar sharpness : Evision.Mat.t() . Optional output array with a sharpness value for calculated edge responses (see description) Image sharpness, as well as brightness, are a critical parameter for accuracte camera calibration. For accessing these parameters for filtering out problematic calibraiton images, this method calculates edge profiles by traveling from black to white chessboard cell centers. Based on this, the number of pixels is calculated required to transit from black to white. This width of the transition area is a good indication of how sharp the chessboard is imaged and should be below ~3.0 pixels. The optional sharpness array is of type CV_32FC1 and has for each calculated profile one row with the following five entries: 0 = x coordinate of the underlying edge in the image 1 = y coordinate of the underlying edge in the image 2 = width of the transition area (sharpness) 3 = signal strength in the black cell (min brightness) 4 = signal strength in the white cell (max brightness) @return Scalar(average sharpness, average min brightness, average max brightness,0) Python prototype (for reference only): estimateChessboardSharpness(image, patternSize, corners[, rise_distance[, vertical[, sharpness]]]) -&gt; retval, sharpness","ref":"Evision.html#estimateChessboardSharpness/4","title":"Evision.estimateChessboardSharpness/4","type":"function"},{"doc":"Computes an optimal translation between two 3D point sets. Positional Arguments src : Evision.Mat.t() . First input 3D point set containing \\f$(X,Y,Z)\\f$. dst : Evision.Mat.t() . Second input 3D point set containing \\f$(x,y,z)\\f$. Keyword Arguments ransacThreshold : double . Maximum reprojection error in the RANSAC algorithm to consider a point as an inlier. confidence : double . Confidence level, between 0 and 1, for the estimated transformation. Anything between 0.95 and 0.99 is usually good enough. Values too close to 1 can slow down the estimation significantly. Values lower than 0.8-0.9 can result in an incorrectly estimated transformation. Return retval : int out : Evision.Mat.t() . Output 3D translation vector \\f$3 \\times 1\\f$ of the form \\f[ \\begin{bmatrix} b_1 \\\\ b_2 \\\\ b_3 \\\\ \\end{bmatrix} \\f] inliers : Evision.Mat.t() . Output vector indicating which points are inliers (1-inlier, 0-outlier). It computes \\f[ \\begin{bmatrix} x\\\\ y\\\\ z\\\\ \\end{bmatrix} \\begin{bmatrix} X\\\\ Y\\\\ Z\\\\ \\end{bmatrix} + \\begin{bmatrix} b_1\\\\ b_2\\\\ b_3\\\\ \\end{bmatrix} \\f] The function estimates an optimal 3D translation between two 3D point sets using the RANSAC algorithm. Python prototype (for reference only): estimateTranslation3D(src, dst[, out[, inliers[, ransacThreshold[, confidence]]]]) -&gt; retval, out, inliers","ref":"Evision.html#estimateTranslation3D/2","title":"Evision.estimateTranslation3D/2","type":"function"},{"doc":"Computes an optimal translation between two 3D point sets. Positional Arguments src : Evision.Mat.t() . First input 3D point set containing \\f$(X,Y,Z)\\f$. dst : Evision.Mat.t() . Second input 3D point set containing \\f$(x,y,z)\\f$. Keyword Arguments ransacThreshold : double . Maximum reprojection error in the RANSAC algorithm to consider a point as an inlier. confidence : double . Confidence level, between 0 and 1, for the estimated transformation. Anything between 0.95 and 0.99 is usually good enough. Values too close to 1 can slow down the estimation significantly. Values lower than 0.8-0.9 can result in an incorrectly estimated transformation. Return retval : int out : Evision.Mat.t() . Output 3D translation vector \\f$3 \\times 1\\f$ of the form \\f[ \\begin{bmatrix} b_1 \\\\ b_2 \\\\ b_3 \\\\ \\end{bmatrix} \\f] inliers : Evision.Mat.t() . Output vector indicating which points are inliers (1-inlier, 0-outlier). It computes \\f[ \\begin{bmatrix} x\\\\ y\\\\ z\\\\ \\end{bmatrix} \\begin{bmatrix} X\\\\ Y\\\\ Z\\\\ \\end{bmatrix} + \\begin{bmatrix} b_1\\\\ b_2\\\\ b_3\\\\ \\end{bmatrix} \\f] The function estimates an optimal 3D translation between two 3D point sets using the RANSAC algorithm. Python prototype (for reference only): estimateTranslation3D(src, dst[, out[, inliers[, ransacThreshold[, confidence]]]]) -&gt; retval, out, inliers","ref":"Evision.html#estimateTranslation3D/3","title":"Evision.estimateTranslation3D/3","type":"function"},{"doc":"Calculates the exponent of every array element. Positional Arguments src : Evision.Mat.t() . input array. Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::exp calculates the exponent of every element of the input array: \\f[\\texttt{dst} [I] = e^{ src(I) }\\f] The maximum relative error is about 7e-6 for single-precision input and less than 1e-10 for double-precision input. Currently, the function converts denormalized values to zeros on output. Special values (NaN, Inf) are not handled. @sa log , cartToPolar , polarToCart , phase , pow , sqrt , magnitude Python prototype (for reference only): exp(src[, dst]) -&gt; dst","ref":"Evision.html#exp/1","title":"Evision.exp/1","type":"function"},{"doc":"Calculates the exponent of every array element. Positional Arguments src : Evision.Mat.t() . input array. Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::exp calculates the exponent of every element of the input array: \\f[\\texttt{dst} [I] = e^{ src(I) }\\f] The maximum relative error is about 7e-6 for single-precision input and less than 1e-10 for double-precision input. Currently, the function converts denormalized values to zeros on output. Special values (NaN, Inf) are not handled. @sa log , cartToPolar , polarToCart , phase , pow , sqrt , magnitude Python prototype (for reference only): exp(src[, dst]) -&gt; dst","ref":"Evision.html#exp/2","title":"Evision.exp/2","type":"function"},{"doc":"Extracts a single channel from src (coi is 0-based index) Positional Arguments src : Evision.Mat.t() . input array coi : int . index of channel to extract Return dst : Evision.Mat.t() . output array @sa mixChannels, split Python prototype (for reference only): extractChannel(src, coi[, dst]) -&gt; dst","ref":"Evision.html#extractChannel/2","title":"Evision.extractChannel/2","type":"function"},{"doc":"Extracts a single channel from src (coi is 0-based index) Positional Arguments src : Evision.Mat.t() . input array coi : int . index of channel to extract Return dst : Evision.Mat.t() . output array @sa mixChannels, split Python prototype (for reference only): extractChannel(src, coi[, dst]) -&gt; dst","ref":"Evision.html#extractChannel/3","title":"Evision.extractChannel/3","type":"function"},{"doc":"Calculates the angle of a 2D vector in degrees. Positional Arguments y : float . y-coordinate of the vector. x : float . x-coordinate of the vector. Return retval : float The function fastAtan2 calculates the full-range angle of an input 2D vector. The angle is measured in degrees and varies from 0 to 360 degrees. The accuracy is about 0.3 degrees. Python prototype (for reference only): fastAtan2(y, x) -&gt; retval","ref":"Evision.html#fastAtan2/2","title":"Evision.fastAtan2/2","type":"function"},{"doc":"Perform image denoising using Non-local Means Denoising algorithm http://www.ipol.im/pub/algo/bcm_non_local_means_denoising/ with several computational optimizations. Noise expected to be a gaussian white noise Positional Arguments src : Evision.Mat.t() . Input 8-bit 1-channel, 2-channel, 3-channel or 4-channel image. Keyword Arguments h : float . Parameter regulating filter strength. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels Return dst : Evision.Mat.t() . Output image with the same size and type as src . This function expected to be applied to grayscale images. For colored images look at fastNlMeansDenoisingColored. Advanced usage of this functions can be manual denoising of colored image in different colorspaces. Such approach is used in fastNlMeansDenoisingColored by converting image to CIELAB colorspace and then separately denoise L and AB components with different h parameter. Python prototype (for reference only): fastNlMeansDenoising(src[, dst[, h[, templateWindowSize[, searchWindowSize]]]]) -&gt; dst","ref":"Evision.html#fastNlMeansDenoising/1","title":"Evision.fastNlMeansDenoising/1","type":"function"},{"doc":"Variant 1: Perform image denoising using Non-local Means Denoising algorithm http://www.ipol.im/pub/algo/bcm_non_local_means_denoising/ with several computational optimizations. Noise expected to be a gaussian white noise Positional Arguments src : Evision.Mat.t() . Input 8-bit or 16-bit (only with NORM_L1) 1-channel, 2-channel, 3-channel or 4-channel image. h : [float] . Array of parameters regulating filter strength, either one parameter applied to all channels or one per channel in dst. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise Keyword Arguments templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels normType : int . Type of norm used for weight calculation. Can be either NORM_L2 or NORM_L1 Return dst : Evision.Mat.t() . Output image with the same size and type as src . This function expected to be applied to grayscale images. For colored images look at fastNlMeansDenoisingColored. Advanced usage of this functions can be manual denoising of colored image in different colorspaces. Such approach is used in fastNlMeansDenoisingColored by converting image to CIELAB colorspace and then separately denoise L and AB components with different h parameter. Python prototype (for reference only): fastNlMeansDenoising(src, h[, dst[, templateWindowSize[, searchWindowSize[, normType]]]]) -&gt; dst Variant 2: Perform image denoising using Non-local Means Denoising algorithm http://www.ipol.im/pub/algo/bcm_non_local_means_denoising/ with several computational optimizations. Noise expected to be a gaussian white noise Positional Arguments src : Evision.Mat.t() . Input 8-bit 1-channel, 2-channel, 3-channel or 4-channel image. Keyword Arguments h : float . Parameter regulating filter strength. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels Return dst : Evision.Mat.t() . Output image with the same size and type as src . This function expected to be applied to grayscale images. For colored images look at fastNlMeansDenoisingColored. Advanced usage of this functions can be manual denoising of colored image in different colorspaces. Such approach is used in fastNlMeansDenoisingColored by converting image to CIELAB colorspace and then separately denoise L and AB components with different h parameter. Python prototype (for reference only): fastNlMeansDenoising(src[, dst[, h[, templateWindowSize[, searchWindowSize]]]]) -&gt; dst","ref":"Evision.html#fastNlMeansDenoising/2","title":"Evision.fastNlMeansDenoising/2","type":"function"},{"doc":"Perform image denoising using Non-local Means Denoising algorithm http://www.ipol.im/pub/algo/bcm_non_local_means_denoising/ with several computational optimizations. Noise expected to be a gaussian white noise Positional Arguments src : Evision.Mat.t() . Input 8-bit or 16-bit (only with NORM_L1) 1-channel, 2-channel, 3-channel or 4-channel image. h : [float] . Array of parameters regulating filter strength, either one parameter applied to all channels or one per channel in dst. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise Keyword Arguments templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels normType : int . Type of norm used for weight calculation. Can be either NORM_L2 or NORM_L1 Return dst : Evision.Mat.t() . Output image with the same size and type as src . This function expected to be applied to grayscale images. For colored images look at fastNlMeansDenoisingColored. Advanced usage of this functions can be manual denoising of colored image in different colorspaces. Such approach is used in fastNlMeansDenoisingColored by converting image to CIELAB colorspace and then separately denoise L and AB components with different h parameter. Python prototype (for reference only): fastNlMeansDenoising(src, h[, dst[, templateWindowSize[, searchWindowSize[, normType]]]]) -&gt; dst","ref":"Evision.html#fastNlMeansDenoising/3","title":"Evision.fastNlMeansDenoising/3","type":"function"},{"doc":"Modification of fastNlMeansDenoising function for colored images Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Keyword Arguments h : float . Parameter regulating filter strength for luminance component. Bigger h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise hColor : float . The same as h but for color components. For most images value equals 10 will be enough to remove colored noise and do not distort colors templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels Return dst : Evision.Mat.t() . Output image with the same size and type as src . The function converts image to CIELAB colorspace and then separately denoise L and AB components with given h parameters using fastNlMeansDenoising function. Python prototype (for reference only): fastNlMeansDenoisingColored(src[, dst[, h[, hColor[, templateWindowSize[, searchWindowSize]]]]]) -&gt; dst","ref":"Evision.html#fastNlMeansDenoisingColored/1","title":"Evision.fastNlMeansDenoisingColored/1","type":"function"},{"doc":"Modification of fastNlMeansDenoising function for colored images Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Keyword Arguments h : float . Parameter regulating filter strength for luminance component. Bigger h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise hColor : float . The same as h but for color components. For most images value equals 10 will be enough to remove colored noise and do not distort colors templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels Return dst : Evision.Mat.t() . Output image with the same size and type as src . The function converts image to CIELAB colorspace and then separately denoise L and AB components with given h parameters using fastNlMeansDenoising function. Python prototype (for reference only): fastNlMeansDenoisingColored(src[, dst[, h[, hColor[, templateWindowSize[, searchWindowSize]]]]]) -&gt; dst","ref":"Evision.html#fastNlMeansDenoisingColored/2","title":"Evision.fastNlMeansDenoisingColored/2","type":"function"},{"doc":"Modification of fastNlMeansDenoisingMulti function for colored images sequences Positional Arguments srcImgs : [Evision.Mat] . Input 8-bit 3-channel images sequence. All images should have the same type and size. imgToDenoiseIndex : int . Target image to denoise index in srcImgs sequence temporalWindowSize : int . Number of surrounding images to use for target image denoising. Should be odd. Images from imgToDenoiseIndex - temporalWindowSize / 2 to imgToDenoiseIndex - temporalWindowSize / 2 from srcImgs will be used to denoise srcImgs[imgToDenoiseIndex] image. Keyword Arguments h : float . Parameter regulating filter strength for luminance component. Bigger h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise. hColor : float . The same as h but for color components. templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels Return dst : Evision.Mat.t() . Output image with the same size and type as srcImgs images. The function converts images to CIELAB colorspace and then separately denoise L and AB components with given h parameters using fastNlMeansDenoisingMulti function. Python prototype (for reference only): fastNlMeansDenoisingColoredMulti(srcImgs, imgToDenoiseIndex, temporalWindowSize[, dst[, h[, hColor[, templateWindowSize[, searchWindowSize]]]]]) -&gt; dst","ref":"Evision.html#fastNlMeansDenoisingColoredMulti/3","title":"Evision.fastNlMeansDenoisingColoredMulti/3","type":"function"},{"doc":"Modification of fastNlMeansDenoisingMulti function for colored images sequences Positional Arguments srcImgs : [Evision.Mat] . Input 8-bit 3-channel images sequence. All images should have the same type and size. imgToDenoiseIndex : int . Target image to denoise index in srcImgs sequence temporalWindowSize : int . Number of surrounding images to use for target image denoising. Should be odd. Images from imgToDenoiseIndex - temporalWindowSize / 2 to imgToDenoiseIndex - temporalWindowSize / 2 from srcImgs will be used to denoise srcImgs[imgToDenoiseIndex] image. Keyword Arguments h : float . Parameter regulating filter strength for luminance component. Bigger h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise. hColor : float . The same as h but for color components. templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels Return dst : Evision.Mat.t() . Output image with the same size and type as srcImgs images. The function converts images to CIELAB colorspace and then separately denoise L and AB components with given h parameters using fastNlMeansDenoisingMulti function. Python prototype (for reference only): fastNlMeansDenoisingColoredMulti(srcImgs, imgToDenoiseIndex, temporalWindowSize[, dst[, h[, hColor[, templateWindowSize[, searchWindowSize]]]]]) -&gt; dst","ref":"Evision.html#fastNlMeansDenoisingColoredMulti/4","title":"Evision.fastNlMeansDenoisingColoredMulti/4","type":"function"},{"doc":"Modification of fastNlMeansDenoising function for images sequence where consecutive images have been captured in small period of time. For example video. This version of the function is for grayscale images or for manual manipulation with colorspaces. For more details see http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.131.6394 Positional Arguments srcImgs : [Evision.Mat] . Input 8-bit 1-channel, 2-channel, 3-channel or 4-channel images sequence. All images should have the same type and size. imgToDenoiseIndex : int . Target image to denoise index in srcImgs sequence temporalWindowSize : int . Number of surrounding images to use for target image denoising. Should be odd. Images from imgToDenoiseIndex - temporalWindowSize / 2 to imgToDenoiseIndex - temporalWindowSize / 2 from srcImgs will be used to denoise srcImgs[imgToDenoiseIndex] image. Keyword Arguments h : float . Parameter regulating filter strength. Bigger h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels Return dst : Evision.Mat.t() . Output image with the same size and type as srcImgs images. Python prototype (for reference only): fastNlMeansDenoisingMulti(srcImgs, imgToDenoiseIndex, temporalWindowSize[, dst[, h[, templateWindowSize[, searchWindowSize]]]]) -&gt; dst","ref":"Evision.html#fastNlMeansDenoisingMulti/3","title":"Evision.fastNlMeansDenoisingMulti/3","type":"function"},{"doc":"Variant 1: Modification of fastNlMeansDenoising function for images sequence where consecutive images have been captured in small period of time. For example video. This version of the function is for grayscale images or for manual manipulation with colorspaces. For more details see http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.131.6394 Positional Arguments srcImgs : [Evision.Mat] . Input 8-bit or 16-bit (only with NORM_L1) 1-channel, 2-channel, 3-channel or 4-channel images sequence. All images should have the same type and size. imgToDenoiseIndex : int . Target image to denoise index in srcImgs sequence temporalWindowSize : int . Number of surrounding images to use for target image denoising. Should be odd. Images from imgToDenoiseIndex - temporalWindowSize / 2 to imgToDenoiseIndex - temporalWindowSize / 2 from srcImgs will be used to denoise srcImgs[imgToDenoiseIndex] image. h : [float] . Array of parameters regulating filter strength, either one parameter applied to all channels or one per channel in dst. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise Keyword Arguments templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels normType : int . Type of norm used for weight calculation. Can be either NORM_L2 or NORM_L1 Return dst : Evision.Mat.t() . Output image with the same size and type as srcImgs images. Python prototype (for reference only): fastNlMeansDenoisingMulti(srcImgs, imgToDenoiseIndex, temporalWindowSize, h[, dst[, templateWindowSize[, searchWindowSize[, normType]]]]) -&gt; dst Variant 2: Modification of fastNlMeansDenoising function for images sequence where consecutive images have been captured in small period of time. For example video. This version of the function is for grayscale images or for manual manipulation with colorspaces. For more details see http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.131.6394 Positional Arguments srcImgs : [Evision.Mat] . Input 8-bit 1-channel, 2-channel, 3-channel or 4-channel images sequence. All images should have the same type and size. imgToDenoiseIndex : int . Target image to denoise index in srcImgs sequence temporalWindowSize : int . Number of surrounding images to use for target image denoising. Should be odd. Images from imgToDenoiseIndex - temporalWindowSize / 2 to imgToDenoiseIndex - temporalWindowSize / 2 from srcImgs will be used to denoise srcImgs[imgToDenoiseIndex] image. Keyword Arguments h : float . Parameter regulating filter strength. Bigger h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels Return dst : Evision.Mat.t() . Output image with the same size and type as srcImgs images. Python prototype (for reference only): fastNlMeansDenoisingMulti(srcImgs, imgToDenoiseIndex, temporalWindowSize[, dst[, h[, templateWindowSize[, searchWindowSize]]]]) -&gt; dst","ref":"Evision.html#fastNlMeansDenoisingMulti/4","title":"Evision.fastNlMeansDenoisingMulti/4","type":"function"},{"doc":"Modification of fastNlMeansDenoising function for images sequence where consecutive images have been captured in small period of time. For example video. This version of the function is for grayscale images or for manual manipulation with colorspaces. For more details see http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.131.6394 Positional Arguments srcImgs : [Evision.Mat] . Input 8-bit or 16-bit (only with NORM_L1) 1-channel, 2-channel, 3-channel or 4-channel images sequence. All images should have the same type and size. imgToDenoiseIndex : int . Target image to denoise index in srcImgs sequence temporalWindowSize : int . Number of surrounding images to use for target image denoising. Should be odd. Images from imgToDenoiseIndex - temporalWindowSize / 2 to imgToDenoiseIndex - temporalWindowSize / 2 from srcImgs will be used to denoise srcImgs[imgToDenoiseIndex] image. h : [float] . Array of parameters regulating filter strength, either one parameter applied to all channels or one per channel in dst. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise Keyword Arguments templateWindowSize : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels searchWindowSize : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater searchWindowsSize - greater denoising time. Recommended value 21 pixels normType : int . Type of norm used for weight calculation. Can be either NORM_L2 or NORM_L1 Return dst : Evision.Mat.t() . Output image with the same size and type as srcImgs images. Python prototype (for reference only): fastNlMeansDenoisingMulti(srcImgs, imgToDenoiseIndex, temporalWindowSize, h[, dst[, templateWindowSize[, searchWindowSize[, normType]]]]) -&gt; dst","ref":"Evision.html#fastNlMeansDenoisingMulti/5","title":"Evision.fastNlMeansDenoisingMulti/5","type":"function"},{"doc":"Fills a convex polygon. Positional Arguments points : Evision.Mat.t() . Polygon vertices. color : Scalar . Polygon color. Keyword Arguments lineType : int . Type of the polygon boundaries. See #LineTypes shift : int . Number of fractional bits in the vertex coordinates. Return img : Evision.Mat.t() . Image. The function cv::fillConvexPoly draws a filled convex polygon. This function is much faster than the function #fillPoly . It can fill not only convex polygons but any monotonic polygon without self-intersections, that is, a polygon whose contour intersects every horizontal line (scan line) twice at the most (though, its top-most and/or the bottom edge could be horizontal). Python prototype (for reference only): fillConvexPoly(img, points, color[, lineType[, shift]]) -&gt; img","ref":"Evision.html#fillConvexPoly/3","title":"Evision.fillConvexPoly/3","type":"function"},{"doc":"Fills a convex polygon. Positional Arguments points : Evision.Mat.t() . Polygon vertices. color : Scalar . Polygon color. Keyword Arguments lineType : int . Type of the polygon boundaries. See #LineTypes shift : int . Number of fractional bits in the vertex coordinates. Return img : Evision.Mat.t() . Image. The function cv::fillConvexPoly draws a filled convex polygon. This function is much faster than the function #fillPoly . It can fill not only convex polygons but any monotonic polygon without self-intersections, that is, a polygon whose contour intersects every horizontal line (scan line) twice at the most (though, its top-most and/or the bottom edge could be horizontal). Python prototype (for reference only): fillConvexPoly(img, points, color[, lineType[, shift]]) -&gt; img","ref":"Evision.html#fillConvexPoly/4","title":"Evision.fillConvexPoly/4","type":"function"},{"doc":"Fills the area bounded by one or more polygons. Positional Arguments pts : [Evision.Mat] . Array of polygons where each polygon is represented as an array of points. color : Scalar . Polygon color. Keyword Arguments lineType : int . Type of the polygon boundaries. See #LineTypes shift : int . Number of fractional bits in the vertex coordinates. offset : Point . Optional offset of all points of the contours. Return img : Evision.Mat.t() . Image. The function cv::fillPoly fills an area bounded by several polygonal contours. The function can fill complex areas, for example, areas with holes, contours with self-intersections (some of their parts), and so forth. Python prototype (for reference only): fillPoly(img, pts, color[, lineType[, shift[, offset]]]) -&gt; img","ref":"Evision.html#fillPoly/3","title":"Evision.fillPoly/3","type":"function"},{"doc":"Fills the area bounded by one or more polygons. Positional Arguments pts : [Evision.Mat] . Array of polygons where each polygon is represented as an array of points. color : Scalar . Polygon color. Keyword Arguments lineType : int . Type of the polygon boundaries. See #LineTypes shift : int . Number of fractional bits in the vertex coordinates. offset : Point . Optional offset of all points of the contours. Return img : Evision.Mat.t() . Image. The function cv::fillPoly fills an area bounded by several polygonal contours. The function can fill complex areas, for example, areas with holes, contours with self-intersections (some of their parts), and so forth. Python prototype (for reference only): fillPoly(img, pts, color[, lineType[, shift[, offset]]]) -&gt; img","ref":"Evision.html#fillPoly/4","title":"Evision.fillPoly/4","type":"function"},{"doc":"Convolves an image with the kernel. Positional Arguments src : Evision.Mat.t() . input image. ddepth : int . desired depth of the destination image, see @ref filter_depths &quot;combinations&quot; kernel : Evision.Mat.t() . convolution kernel (or rather a correlation kernel), a single-channel floating point matrix; if you want to apply different kernels to different channels, split the image into separate color planes using split and process them individually. Keyword Arguments anchor : Point . anchor of the kernel that indicates the relative position of a filtered point within the kernel; the anchor should lie within the kernel; default value (-1,-1) means that the anchor is at the kernel center. delta : double . optional value added to the filtered pixels before storing them in dst. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and the same number of channels as src. The function applies an arbitrary linear filter to an image. In-place operation is supported. When the aperture is partially outside the image, the function interpolates outlier pixel values according to the specified border mode. The function does actually compute correlation, not the convolution: \\f[\\texttt{dst} (x,y) = \\sum _{ \\substack{0\\leq x' &lt; \\texttt{kernel.cols}\\\\{0\\leq y' &lt; \\texttt{kernel.rows}}}} \\texttt{kernel} (x',y')* \\texttt{src} (x+x'- \\texttt{anchor.x} ,y+y'- \\texttt{anchor.y} )\\f] That is, the kernel is not mirrored around the anchor point. If you need a real convolution, flip the kernel using #flip and set the new anchor to (kernel.cols - anchor.x - 1, kernel.rows - anchor.y - 1) . The function uses the DFT-based algorithm in case of sufficiently large kernels (~ 11 x 11 or larger) and the direct algorithm for small kernels. @sa sepFilter2D, dft, matchTemplate Python prototype (for reference only): filter2D(src, ddepth, kernel[, dst[, anchor[, delta[, borderType]]]]) -&gt; dst","ref":"Evision.html#filter2D/3","title":"Evision.filter2D/3","type":"function"},{"doc":"Convolves an image with the kernel. Positional Arguments src : Evision.Mat.t() . input image. ddepth : int . desired depth of the destination image, see @ref filter_depths &quot;combinations&quot; kernel : Evision.Mat.t() . convolution kernel (or rather a correlation kernel), a single-channel floating point matrix; if you want to apply different kernels to different channels, split the image into separate color planes using split and process them individually. Keyword Arguments anchor : Point . anchor of the kernel that indicates the relative position of a filtered point within the kernel; the anchor should lie within the kernel; default value (-1,-1) means that the anchor is at the kernel center. delta : double . optional value added to the filtered pixels before storing them in dst. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and the same number of channels as src. The function applies an arbitrary linear filter to an image. In-place operation is supported. When the aperture is partially outside the image, the function interpolates outlier pixel values according to the specified border mode. The function does actually compute correlation, not the convolution: \\f[\\texttt{dst} (x,y) = \\sum _{ \\substack{0\\leq x' &lt; \\texttt{kernel.cols}\\\\{0\\leq y' &lt; \\texttt{kernel.rows}}}} \\texttt{kernel} (x',y')* \\texttt{src} (x+x'- \\texttt{anchor.x} ,y+y'- \\texttt{anchor.y} )\\f] That is, the kernel is not mirrored around the anchor point. If you need a real convolution, flip the kernel using #flip and set the new anchor to (kernel.cols - anchor.x - 1, kernel.rows - anchor.y - 1) . The function uses the DFT-based algorithm in case of sufficiently large kernels (~ 11 x 11 or larger) and the direct algorithm for small kernels. @sa sepFilter2D, dft, matchTemplate Python prototype (for reference only): filter2D(src, ddepth, kernel[, dst[, anchor[, delta[, borderType]]]]) -&gt; dst","ref":"Evision.html#filter2D/4","title":"Evision.filter2D/4","type":"function"},{"doc":"Filters homography decompositions based on additional information. Positional Arguments rotations : [Evision.Mat] . Vector of rotation matrices. normals : [Evision.Mat] . Vector of plane normal matrices. beforePoints : Evision.Mat.t() . Vector of (rectified) visible reference points before the homography is applied afterPoints : Evision.Mat.t() . Vector of (rectified) visible reference points after the homography is applied Keyword Arguments pointsMask : Evision.Mat.t() . optional Mat/Vector of 8u type representing the mask for the inliers as given by the #findHomography function Return possibleSolutions : Evision.Mat.t() . Vector of int indices representing the viable solution set after filtering This function is intended to filter the output of the #decomposeHomographyMat based on additional information as described in @cite Malis2007 . The summary of the method: the #decomposeHomographyMat function returns 2 unique solutions and their &quot;opposites&quot; for a total of 4 solutions. If we have access to the sets of points visible in the camera frame before and after the homography transformation is applied, we can determine which are the true potential solutions and which are the opposites by verifying which homographies are consistent with all visible reference points being in front of the camera. The inputs are left unchanged; the filtered solution set is returned as indices into the existing one. Python prototype (for reference only): filterHomographyDecompByVisibleRefpoints(rotations, normals, beforePoints, afterPoints[, possibleSolutions[, pointsMask]]) -&gt; possibleSolutions","ref":"Evision.html#filterHomographyDecompByVisibleRefpoints/4","title":"Evision.filterHomographyDecompByVisibleRefpoints/4","type":"function"},{"doc":"Filters homography decompositions based on additional information. Positional Arguments rotations : [Evision.Mat] . Vector of rotation matrices. normals : [Evision.Mat] . Vector of plane normal matrices. beforePoints : Evision.Mat.t() . Vector of (rectified) visible reference points before the homography is applied afterPoints : Evision.Mat.t() . Vector of (rectified) visible reference points after the homography is applied Keyword Arguments pointsMask : Evision.Mat.t() . optional Mat/Vector of 8u type representing the mask for the inliers as given by the #findHomography function Return possibleSolutions : Evision.Mat.t() . Vector of int indices representing the viable solution set after filtering This function is intended to filter the output of the #decomposeHomographyMat based on additional information as described in @cite Malis2007 . The summary of the method: the #decomposeHomographyMat function returns 2 unique solutions and their &quot;opposites&quot; for a total of 4 solutions. If we have access to the sets of points visible in the camera frame before and after the homography transformation is applied, we can determine which are the true potential solutions and which are the opposites by verifying which homographies are consistent with all visible reference points being in front of the camera. The inputs are left unchanged; the filtered solution set is returned as indices into the existing one. Python prototype (for reference only): filterHomographyDecompByVisibleRefpoints(rotations, normals, beforePoints, afterPoints[, possibleSolutions[, pointsMask]]) -&gt; possibleSolutions","ref":"Evision.html#filterHomographyDecompByVisibleRefpoints/5","title":"Evision.filterHomographyDecompByVisibleRefpoints/5","type":"function"},{"doc":"Filters off small noise blobs (speckles) in the disparity map Positional Arguments newVal : double . The disparity value used to paint-off the speckles maxSpeckleSize : int . The maximum speckle size to consider it a speckle. Larger blobs are not affected by the algorithm maxDiff : double . Maximum difference between neighbor disparity pixels to put them into the same blob. Note that since StereoBM, StereoSGBM and may be other algorithms return a fixed-point disparity map, where disparity values are multiplied by 16, this scale factor should be taken into account when specifying this parameter value. Return img : Evision.Mat.t() . The input 16-bit signed disparity image buf : Evision.Mat.t() . The optional temporary buffer to avoid memory allocation within the function. Python prototype (for reference only): filterSpeckles(img, newVal, maxSpeckleSize, maxDiff[, buf]) -&gt; img, buf","ref":"Evision.html#filterSpeckles/4","title":"Evision.filterSpeckles/4","type":"function"},{"doc":"Filters off small noise blobs (speckles) in the disparity map Positional Arguments newVal : double . The disparity value used to paint-off the speckles maxSpeckleSize : int . The maximum speckle size to consider it a speckle. Larger blobs are not affected by the algorithm maxDiff : double . Maximum difference between neighbor disparity pixels to put them into the same blob. Note that since StereoBM, StereoSGBM and may be other algorithms return a fixed-point disparity map, where disparity values are multiplied by 16, this scale factor should be taken into account when specifying this parameter value. Return img : Evision.Mat.t() . The input 16-bit signed disparity image buf : Evision.Mat.t() . The optional temporary buffer to avoid memory allocation within the function. Python prototype (for reference only): filterSpeckles(img, newVal, maxSpeckleSize, maxDiff[, buf]) -&gt; img, buf","ref":"Evision.html#filterSpeckles/5","title":"Evision.filterSpeckles/5","type":"function"},{"doc":"find4QuadCornerSubpix Positional Arguments img : Evision.Mat.t() region_size : Size Return retval : bool corners : Evision.Mat.t() Python prototype (for reference only): find4QuadCornerSubpix(img, corners, region_size) -&gt; retval, corners","ref":"Evision.html#find4QuadCornerSubpix/3","title":"Evision.find4QuadCornerSubpix/3","type":"function"},{"doc":"Finds the positions of internal corners of the chessboard. Positional Arguments image : Evision.Mat.t() . Source chessboard view. It must be an 8-bit grayscale or color image. patternSize : Size . Number of inner corners per a chessboard row and column ( patternSize = cv::Size(points_per_row,points_per_colum) = cv::Size(columns,rows) ). Keyword Arguments flags : int .Various operation flags that can be zero or a combination of the following values: @ref CALIB_CB_ADAPTIVE_THRESH Use adaptive thresholding to convert the image to black and white, rather than a fixed threshold level (computed from the average image brightness). @ref CALIB_CB_NORMALIZE_IMAGE Normalize the image gamma with #equalizeHist before applying fixed or adaptive thresholding. @ref CALIB_CB_FILTER_QUADS Use additional criteria (like contour area, perimeter, square-like shape) to filter out false quads extracted at the contour retrieval stage. @ref CALIB_CB_FAST_CHECK Run a fast check on the image that looks for chessboard corners, and shortcut the call if none is found. This can drastically speed up the call in the degenerate condition when no chessboard is observed. Return retval : bool corners : Evision.Mat.t() . Output array of detected corners. The function attempts to determine whether the input image is a view of the chessboard pattern and locate the internal chessboard corners. The function returns a non-zero value if all of the corners are found and they are placed in a certain order (row by row, left to right in every row). Otherwise, if the function fails to find all the corners or reorder them, it returns 0. For example, a regular chessboard has 8 x 8 squares and 7 x 7 internal corners, that is, points where the black squares touch each other. The detected coordinates are approximate, and to determine their positions more accurately, the function calls #cornerSubPix. You also may use the function #cornerSubPix with different parameters if returned coordinates are not accurate enough. Sample usage of detecting and drawing chessboard corners: : Size patternsize ( 8 , 6 ) ; // interior number of corners Mat gray = ... . ; // source image vector &lt; Point2f &gt; corners ; // this will be filled by the detected corners // CALIB_CB_FAST_CHECK saves a lot of time on images // that do not contain any chessboard corners bool patternfound = findChessboardCorners ( gray , patternsize , corners , CALIB_CB_ADAPTIVE_THRESH + CALIB_CB_NORMALIZE_IMAGE + CALIB_CB_FAST_CHECK ) ; if ( patternfound ) cornerSubPix ( gray , corners , Size ( 11 , 11 ) , Size ( - 1 , - 1 ) , TermCriteria ( CV_TERMCRIT_EPS + CV_TERMCRIT_ITER , 30 , 0.1 ) ) ; drawChessboardCorners ( img , patternsize , Mat ( corners ) , patternfound ) ; Note : The function requires white space (like a square-thick border, the wider the better) around the board to make the detection more robust in various environments. Otherwise, if there is no border and the background is dark, the outer black squares cannot be segmented properly and so the square grouping and ordering algorithm fails. Use gen_pattern.py (@ref tutorial_camera_calibration_pattern) to create checkerboard. Python prototype (for reference only): findChessboardCorners(image, patternSize[, corners[, flags]]) -&gt; retval, corners","ref":"Evision.html#findChessboardCorners/2","title":"Evision.findChessboardCorners/2","type":"function"},{"doc":"Finds the positions of internal corners of the chessboard. Positional Arguments image : Evision.Mat.t() . Source chessboard view. It must be an 8-bit grayscale or color image. patternSize : Size . Number of inner corners per a chessboard row and column ( patternSize = cv::Size(points_per_row,points_per_colum) = cv::Size(columns,rows) ). Keyword Arguments flags : int .Various operation flags that can be zero or a combination of the following values: @ref CALIB_CB_ADAPTIVE_THRESH Use adaptive thresholding to convert the image to black and white, rather than a fixed threshold level (computed from the average image brightness). @ref CALIB_CB_NORMALIZE_IMAGE Normalize the image gamma with #equalizeHist before applying fixed or adaptive thresholding. @ref CALIB_CB_FILTER_QUADS Use additional criteria (like contour area, perimeter, square-like shape) to filter out false quads extracted at the contour retrieval stage. @ref CALIB_CB_FAST_CHECK Run a fast check on the image that looks for chessboard corners, and shortcut the call if none is found. This can drastically speed up the call in the degenerate condition when no chessboard is observed. Return retval : bool corners : Evision.Mat.t() . Output array of detected corners. The function attempts to determine whether the input image is a view of the chessboard pattern and locate the internal chessboard corners. The function returns a non-zero value if all of the corners are found and they are placed in a certain order (row by row, left to right in every row). Otherwise, if the function fails to find all the corners or reorder them, it returns 0. For example, a regular chessboard has 8 x 8 squares and 7 x 7 internal corners, that is, points where the black squares touch each other. The detected coordinates are approximate, and to determine their positions more accurately, the function calls #cornerSubPix. You also may use the function #cornerSubPix with different parameters if returned coordinates are not accurate enough. Sample usage of detecting and drawing chessboard corners: : Size patternsize ( 8 , 6 ) ; // interior number of corners Mat gray = ... . ; // source image vector &lt; Point2f &gt; corners ; // this will be filled by the detected corners // CALIB_CB_FAST_CHECK saves a lot of time on images // that do not contain any chessboard corners bool patternfound = findChessboardCorners ( gray , patternsize , corners , CALIB_CB_ADAPTIVE_THRESH + CALIB_CB_NORMALIZE_IMAGE + CALIB_CB_FAST_CHECK ) ; if ( patternfound ) cornerSubPix ( gray , corners , Size ( 11 , 11 ) , Size ( - 1 , - 1 ) , TermCriteria ( CV_TERMCRIT_EPS + CV_TERMCRIT_ITER , 30 , 0.1 ) ) ; drawChessboardCorners ( img , patternsize , Mat ( corners ) , patternfound ) ; Note : The function requires white space (like a square-thick border, the wider the better) around the board to make the detection more robust in various environments. Otherwise, if there is no border and the background is dark, the outer black squares cannot be segmented properly and so the square grouping and ordering algorithm fails. Use gen_pattern.py (@ref tutorial_camera_calibration_pattern) to create checkerboard. Python prototype (for reference only): findChessboardCorners(image, patternSize[, corners[, flags]]) -&gt; retval, corners","ref":"Evision.html#findChessboardCorners/3","title":"Evision.findChessboardCorners/3","type":"function"},{"doc":"findChessboardCornersSB Positional Arguments image : Evision.Mat.t() patternSize : Size Keyword Arguments flags : int . Return retval : bool corners : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findChessboardCornersSB(image, patternSize[, corners[, flags]]) -&gt; retval, corners","ref":"Evision.html#findChessboardCornersSB/2","title":"Evision.findChessboardCornersSB/2","type":"function"},{"doc":"findChessboardCornersSB Positional Arguments image : Evision.Mat.t() patternSize : Size Keyword Arguments flags : int . Return retval : bool corners : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findChessboardCornersSB(image, patternSize[, corners[, flags]]) -&gt; retval, corners","ref":"Evision.html#findChessboardCornersSB/3","title":"Evision.findChessboardCornersSB/3","type":"function"},{"doc":"Finds the positions of internal corners of the chessboard using a sector based approach. Positional Arguments image : Evision.Mat.t() . Source chessboard view. It must be an 8-bit grayscale or color image. patternSize : Size . Number of inner corners per a chessboard row and column ( patternSize = cv::Size(points_per_row,points_per_colum) = cv::Size(columns,rows) ). flags : int . Various operation flags that can be zero or a combination of the following values: @ref CALIB_CB_NORMALIZE_IMAGE Normalize the image gamma with equalizeHist before detection. @ref CALIB_CB_EXHAUSTIVE Run an exhaustive search to improve detection rate. @ref CALIB_CB_ACCURACY Up sample input image to improve sub-pixel accuracy due to aliasing effects. @ref CALIB_CB_LARGER The detected pattern is allowed to be larger than patternSize (see description). @ref CALIB_CB_MARKER The detected pattern must have a marker (see description). This should be used if an accurate camera calibration is required. Return retval : bool corners : Evision.Mat.t() . Output array of detected corners. meta : Evision.Mat.t() . Optional output arrray of detected corners (CV_8UC1 and size = cv::Size(columns,rows)). Each entry stands for one corner of the pattern and can have one of the following values: 0 = no meta data attached 1 = left-top corner of a black cell 2 = left-top corner of a white cell 3 = left-top corner of a black cell with a white marker dot 4 = left-top corner of a white cell with a black marker dot (pattern origin in case of markers otherwise first corner) The function is analog to #findChessboardCorners but uses a localized radon transformation approximated by box filters being more robust to all sort of noise, faster on larger images and is able to directly return the sub-pixel position of the internal chessboard corners. The Method is based on the paper @cite duda2018 &quot;Accurate Detection and Localization of Checkerboard Corners for Calibration&quot; demonstrating that the returned sub-pixel positions are more accurate than the one returned by cornerSubPix allowing a precise camera calibration for demanding applications. In the case, the flags @ref CALIB_CB_LARGER or @ref CALIB_CB_MARKER are given, the result can be recovered from the optional meta array. Both flags are helpful to use calibration patterns exceeding the field of view of the camera. These oversized patterns allow more accurate calibrations as corners can be utilized, which are as close as possible to the image borders. For a consistent coordinate system across all images, the optional marker (see image below) can be used to move the origin of the board to the location where the black circle is located. Note : The function requires a white boarder with roughly the same width as one of the checkerboard fields around the whole board to improve the detection in various environments. In addition, because of the localized radon transformation it is beneficial to use round corners for the field corners which are located on the outside of the board. The following figure illustrates a sample checkerboard optimized for the detection. However, any other checkerboard can be used as well. Use gen_pattern.py (@ref tutorial_camera_calibration_pattern) to create checkerboard. Python prototype (for reference only): findChessboardCornersSBWithMeta(image, patternSize, flags[, corners[, meta]]) -&gt; retval, corners, meta","ref":"Evision.html#findChessboardCornersSBWithMeta/3","title":"Evision.findChessboardCornersSBWithMeta/3","type":"function"},{"doc":"Finds the positions of internal corners of the chessboard using a sector based approach. Positional Arguments image : Evision.Mat.t() . Source chessboard view. It must be an 8-bit grayscale or color image. patternSize : Size . Number of inner corners per a chessboard row and column ( patternSize = cv::Size(points_per_row,points_per_colum) = cv::Size(columns,rows) ). flags : int . Various operation flags that can be zero or a combination of the following values: @ref CALIB_CB_NORMALIZE_IMAGE Normalize the image gamma with equalizeHist before detection. @ref CALIB_CB_EXHAUSTIVE Run an exhaustive search to improve detection rate. @ref CALIB_CB_ACCURACY Up sample input image to improve sub-pixel accuracy due to aliasing effects. @ref CALIB_CB_LARGER The detected pattern is allowed to be larger than patternSize (see description). @ref CALIB_CB_MARKER The detected pattern must have a marker (see description). This should be used if an accurate camera calibration is required. Return retval : bool corners : Evision.Mat.t() . Output array of detected corners. meta : Evision.Mat.t() . Optional output arrray of detected corners (CV_8UC1 and size = cv::Size(columns,rows)). Each entry stands for one corner of the pattern and can have one of the following values: 0 = no meta data attached 1 = left-top corner of a black cell 2 = left-top corner of a white cell 3 = left-top corner of a black cell with a white marker dot 4 = left-top corner of a white cell with a black marker dot (pattern origin in case of markers otherwise first corner) The function is analog to #findChessboardCorners but uses a localized radon transformation approximated by box filters being more robust to all sort of noise, faster on larger images and is able to directly return the sub-pixel position of the internal chessboard corners. The Method is based on the paper @cite duda2018 &quot;Accurate Detection and Localization of Checkerboard Corners for Calibration&quot; demonstrating that the returned sub-pixel positions are more accurate than the one returned by cornerSubPix allowing a precise camera calibration for demanding applications. In the case, the flags @ref CALIB_CB_LARGER or @ref CALIB_CB_MARKER are given, the result can be recovered from the optional meta array. Both flags are helpful to use calibration patterns exceeding the field of view of the camera. These oversized patterns allow more accurate calibrations as corners can be utilized, which are as close as possible to the image borders. For a consistent coordinate system across all images, the optional marker (see image below) can be used to move the origin of the board to the location where the black circle is located. Note : The function requires a white boarder with roughly the same width as one of the checkerboard fields around the whole board to improve the detection in various environments. In addition, because of the localized radon transformation it is beneficial to use round corners for the field corners which are located on the outside of the board. The following figure illustrates a sample checkerboard optimized for the detection. However, any other checkerboard can be used as well. Use gen_pattern.py (@ref tutorial_camera_calibration_pattern) to create checkerboard. Python prototype (for reference only): findChessboardCornersSBWithMeta(image, patternSize, flags[, corners[, meta]]) -&gt; retval, corners, meta","ref":"Evision.html#findChessboardCornersSBWithMeta/4","title":"Evision.findChessboardCornersSBWithMeta/4","type":"function"},{"doc":"findCirclesGrid Positional Arguments image : Evision.Mat.t() patternSize : Size Keyword Arguments flags : int . blobDetector : FeatureDetector . Return retval : bool centers : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findCirclesGrid(image, patternSize[, centers[, flags[, blobDetector]]]) -&gt; retval, centers","ref":"Evision.html#findCirclesGrid/2","title":"Evision.findCirclesGrid/2","type":"function"},{"doc":"findCirclesGrid Positional Arguments image : Evision.Mat.t() patternSize : Size Keyword Arguments flags : int . blobDetector : FeatureDetector . Return retval : bool centers : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findCirclesGrid(image, patternSize[, centers[, flags[, blobDetector]]]) -&gt; retval, centers","ref":"Evision.html#findCirclesGrid/3","title":"Evision.findCirclesGrid/3","type":"function"},{"doc":"Finds centers in the grid of circles. Positional Arguments image : Evision.Mat.t() . grid view of input circles; it must be an 8-bit grayscale or color image. patternSize : Size . number of circles per row and column ( patternSize = Size(points_per_row, points_per_colum) ). flags : int . various operation flags that can be one of the following values: @ref CALIB_CB_SYMMETRIC_GRID uses symmetric pattern of circles. @ref CALIB_CB_ASYMMETRIC_GRID uses asymmetric pattern of circles. @ref CALIB_CB_CLUSTERING uses a special algorithm for grid detection. It is more robust to perspective distortions but much more sensitive to background clutter. blobDetector : FeatureDetector . feature detector that finds blobs like dark circles on light background. If blobDetector is NULL then image represents Point2f array of candidates. parameters : Evision.CirclesGridFinderParameters.t() . struct for finding circles in a grid pattern. Return retval : bool centers : Evision.Mat.t() . output array of detected centers. The function attempts to determine whether the input image contains a grid of circles. If it is, the function locates centers of the circles. The function returns a non-zero value if all of the centers have been found and they have been placed in a certain order (row by row, left to right in every row). Otherwise, if the function fails to find all the corners or reorder them, it returns 0. Sample usage of detecting and drawing the centers of circles: : Size patternsize ( 7 , 7 ) ; // number of centers Mat gray = ... ; // source image vector &lt; Point2f &gt; centers ; // this will be filled by the detected centers bool patternfound = findCirclesGrid ( gray , patternsize , centers ) ; drawChessboardCorners ( img , patternsize , Mat ( centers ) , patternfound ) ; Note : The function requires white space (like a square-thick border, the wider the better) around the board to make the detection more robust in various environments. Python prototype (for reference only): findCirclesGrid(image, patternSize, flags, blobDetector, parameters[, centers]) -&gt; retval, centers","ref":"Evision.html#findCirclesGrid/5","title":"Evision.findCirclesGrid/5","type":"function"},{"doc":"Finds centers in the grid of circles. Positional Arguments image : Evision.Mat.t() . grid view of input circles; it must be an 8-bit grayscale or color image. patternSize : Size . number of circles per row and column ( patternSize = Size(points_per_row, points_per_colum) ). flags : int . various operation flags that can be one of the following values: @ref CALIB_CB_SYMMETRIC_GRID uses symmetric pattern of circles. @ref CALIB_CB_ASYMMETRIC_GRID uses asymmetric pattern of circles. @ref CALIB_CB_CLUSTERING uses a special algorithm for grid detection. It is more robust to perspective distortions but much more sensitive to background clutter. blobDetector : FeatureDetector . feature detector that finds blobs like dark circles on light background. If blobDetector is NULL then image represents Point2f array of candidates. parameters : Evision.CirclesGridFinderParameters.t() . struct for finding circles in a grid pattern. Return retval : bool centers : Evision.Mat.t() . output array of detected centers. The function attempts to determine whether the input image contains a grid of circles. If it is, the function locates centers of the circles. The function returns a non-zero value if all of the centers have been found and they have been placed in a certain order (row by row, left to right in every row). Otherwise, if the function fails to find all the corners or reorder them, it returns 0. Sample usage of detecting and drawing the centers of circles: : Size patternsize ( 7 , 7 ) ; // number of centers Mat gray = ... ; // source image vector &lt; Point2f &gt; centers ; // this will be filled by the detected centers bool patternfound = findCirclesGrid ( gray , patternsize , centers ) ; drawChessboardCorners ( img , patternsize , Mat ( centers ) , patternfound ) ; Note : The function requires white space (like a square-thick border, the wider the better) around the board to make the detection more robust in various environments. Python prototype (for reference only): findCirclesGrid(image, patternSize, flags, blobDetector, parameters[, centers]) -&gt; retval, centers","ref":"Evision.html#findCirclesGrid/6","title":"Evision.findCirclesGrid/6","type":"function"},{"doc":"Finds contours in a binary image. Positional Arguments image : Evision.Mat.t() . Source, an 8-bit single-channel image. Non-zero pixels are treated as 1's. Zero pixels remain 0's, so the image is treated as binary . You can use #compare, #inRange, #threshold , #adaptiveThreshold, #Canny, and others to create a binary image out of a grayscale or color one. If mode equals to #RETR_CCOMP or #RETR_FLOODFILL, the input can also be a 32-bit integer image of labels (CV_32SC1). mode : int . Contour retrieval mode, see #RetrievalModes method : int . Contour approximation method, see #ContourApproximationModes Keyword Arguments offset : Point . Optional offset by which every contour point is shifted. This is useful if the contours are extracted from the image ROI and then they should be analyzed in the whole image context. Return contours : [Evision.Mat] . Detected contours. Each contour is stored as a vector of points (e.g. std::vector&lt;std::vector&lt;cv::Point&gt; &gt;). hierarchy : Evision.Mat.t() . Optional output vector (e.g. std::vector&lt;cv::Vec4i&gt;), containing information about the image topology. It has as many elements as the number of contours. For each i-th contour contours[i], the elements hierarchy[i][0] , hierarchy[i][1] , hierarchy[i][2] , and hierarchy[i][3] are set to 0-based indices in contours of the next and previous contours at the same hierarchical level, the first child contour and the parent contour, respectively. If for the contour i there are no next, previous, parent, or nested contours, the corresponding elements of hierarchy[i] will be negative. The function retrieves contours from the binary image using the algorithm @cite Suzuki85 . The contours are a useful tool for shape analysis and object detection and recognition. See squares.cpp in the OpenCV sample directory. Note : Since opencv 3.2 source image is not modified by this function. Note : In Python, hierarchy is nested inside a top level array. Use hierarchy[0][i] to access hierarchical elements of i-th contour. Python prototype (for reference only): findContours(image, mode, method[, contours[, hierarchy[, offset]]]) -&gt; contours, hierarchy","ref":"Evision.html#findContours/3","title":"Evision.findContours/3","type":"function"},{"doc":"Finds contours in a binary image. Positional Arguments image : Evision.Mat.t() . Source, an 8-bit single-channel image. Non-zero pixels are treated as 1's. Zero pixels remain 0's, so the image is treated as binary . You can use #compare, #inRange, #threshold , #adaptiveThreshold, #Canny, and others to create a binary image out of a grayscale or color one. If mode equals to #RETR_CCOMP or #RETR_FLOODFILL, the input can also be a 32-bit integer image of labels (CV_32SC1). mode : int . Contour retrieval mode, see #RetrievalModes method : int . Contour approximation method, see #ContourApproximationModes Keyword Arguments offset : Point . Optional offset by which every contour point is shifted. This is useful if the contours are extracted from the image ROI and then they should be analyzed in the whole image context. Return contours : [Evision.Mat] . Detected contours. Each contour is stored as a vector of points (e.g. std::vector&lt;std::vector&lt;cv::Point&gt; &gt;). hierarchy : Evision.Mat.t() . Optional output vector (e.g. std::vector&lt;cv::Vec4i&gt;), containing information about the image topology. It has as many elements as the number of contours. For each i-th contour contours[i], the elements hierarchy[i][0] , hierarchy[i][1] , hierarchy[i][2] , and hierarchy[i][3] are set to 0-based indices in contours of the next and previous contours at the same hierarchical level, the first child contour and the parent contour, respectively. If for the contour i there are no next, previous, parent, or nested contours, the corresponding elements of hierarchy[i] will be negative. The function retrieves contours from the binary image using the algorithm @cite Suzuki85 . The contours are a useful tool for shape analysis and object detection and recognition. See squares.cpp in the OpenCV sample directory. Note : Since opencv 3.2 source image is not modified by this function. Note : In Python, hierarchy is nested inside a top level array. Use hierarchy[0][i] to access hierarchical elements of i-th contour. Python prototype (for reference only): findContours(image, mode, method[, contours[, hierarchy[, offset]]]) -&gt; contours, hierarchy","ref":"Evision.html#findContours/4","title":"Evision.findContours/4","type":"function"},{"doc":"findEssentialMat Positional Arguments points1 : Evision.Mat.t() . Array of N (N &gt;= 5) 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . Keyword Arguments focal : double . focal length of the camera. Note that this function assumes that points1 and points2 are feature points from cameras with same focal length and principal point. pp : Point2d . principal point of the camera. method : int . Method for computing a fundamental matrix. @ref RANSAC for the RANSAC algorithm. @ref LMEDS for the LMedS algorithm. prob : double . Parameter used for the RANSAC or LMedS methods only. It specifies a desirable level of confidence (probability) that the estimated matrix is correct. threshold : double . Parameter used for RANSAC. It is the maximum distance from a point to an epipolar line in pixels, beyond which the point is considered an outlier and is not used for computing the final fundamental matrix. It can be set to something like 1-3, depending on the accuracy of the point localization, image resolution, and the image noise. maxIters : int . The maximum number of robust method iterations. Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Output array of N elements, every element of which is set to 0 for outliers and to 1 for the other points. The array is computed only in the RANSAC and LMedS methods. Has overloading in C++ This function differs from the one above that it computes camera intrinsic matrix from focal length and principal point: \\f[A = \\begin{bmatrix} f &amp; 0 &amp; x_{pp} \\\\ 0 &amp; f &amp; y_{pp} \\\\ 0 &amp; 0 &amp; 1 \\end{bmatrix}\\f] Python prototype (for reference only): findEssentialMat(points1, points2[, focal[, pp[, method[, prob[, threshold[, maxIters[, mask]]]]]]]) -&gt; retval, mask","ref":"Evision.html#findEssentialMat/2","title":"Evision.findEssentialMat/2","type":"function"},{"doc":"Variant 1: Calculates an essential matrix from the corresponding points in two images. Positional Arguments points1 : Evision.Mat.t() . Array of N (N &gt;= 5) 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . cameraMatrix : Evision.Mat.t() . Camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . Note that this function assumes that points1 and points2 are feature points from cameras with the same camera intrinsic matrix. If this assumption does not hold for your use case, use #undistortPoints with P = cv::NoArray() for both cameras to transform image points to normalized image coordinates, which are valid for the identity camera intrinsic matrix. When passing these coordinates, pass the identity matrix for this parameter. Keyword Arguments method : int . Method for computing an essential matrix. @ref RANSAC for the RANSAC algorithm. @ref LMEDS for the LMedS algorithm. prob : double . Parameter used for the RANSAC or LMedS methods only. It specifies a desirable level of confidence (probability) that the estimated matrix is correct. threshold : double . Parameter used for RANSAC. It is the maximum distance from a point to an epipolar line in pixels, beyond which the point is considered an outlier and is not used for computing the final fundamental matrix. It can be set to something like 1-3, depending on the accuracy of the point localization, image resolution, and the image noise. maxIters : int . The maximum number of robust method iterations. Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Output array of N elements, every element of which is set to 0 for outliers and to 1 for the other points. The array is computed only in the RANSAC and LMedS methods. This function estimates essential matrix based on the five-point algorithm solver in @cite Nister03 . @cite SteweniusCFS is also a related. The epipolar geometry is described by the following equation: \\f[[p_2; 1]^T K^{-T} E K^{-1} [p_1; 1] = 0\\f] where \\f$E\\f$ is an essential matrix, \\f$p_1\\f$ and \\f$p_2\\f$ are corresponding points in the first and the second images, respectively. The result of this function may be passed further to #decomposeEssentialMat or #recoverPose to recover the relative pose between cameras. Python prototype (for reference only): findEssentialMat(points1, points2, cameraMatrix[, method[, prob[, threshold[, maxIters[, mask]]]]]) -&gt; retval, mask Variant 2: findEssentialMat Positional Arguments points1 : Evision.Mat.t() . Array of N (N &gt;= 5) 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . Keyword Arguments focal : double . focal length of the camera. Note that this function assumes that points1 and points2 are feature points from cameras with same focal length and principal point. pp : Point2d . principal point of the camera. method : int . Method for computing a fundamental matrix. @ref RANSAC for the RANSAC algorithm. @ref LMEDS for the LMedS algorithm. prob : double . Parameter used for the RANSAC or LMedS methods only. It specifies a desirable level of confidence (probability) that the estimated matrix is correct. threshold : double . Parameter used for RANSAC. It is the maximum distance from a point to an epipolar line in pixels, beyond which the point is considered an outlier and is not used for computing the final fundamental matrix. It can be set to something like 1-3, depending on the accuracy of the point localization, image resolution, and the image noise. maxIters : int . The maximum number of robust method iterations. Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Output array of N elements, every element of which is set to 0 for outliers and to 1 for the other points. The array is computed only in the RANSAC and LMedS methods. Has overloading in C++ This function differs from the one above that it computes camera intrinsic matrix from focal length and principal point: \\f[A = \\begin{bmatrix} f &amp; 0 &amp; x_{pp} \\\\ 0 &amp; f &amp; y_{pp} \\\\ 0 &amp; 0 &amp; 1 \\end{bmatrix}\\f] Python prototype (for reference only): findEssentialMat(points1, points2[, focal[, pp[, method[, prob[, threshold[, maxIters[, mask]]]]]]]) -&gt; retval, mask","ref":"Evision.html#findEssentialMat/3","title":"Evision.findEssentialMat/3","type":"function"},{"doc":"Calculates an essential matrix from the corresponding points in two images. Positional Arguments points1 : Evision.Mat.t() . Array of N (N &gt;= 5) 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . cameraMatrix : Evision.Mat.t() . Camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . Note that this function assumes that points1 and points2 are feature points from cameras with the same camera intrinsic matrix. If this assumption does not hold for your use case, use #undistortPoints with P = cv::NoArray() for both cameras to transform image points to normalized image coordinates, which are valid for the identity camera intrinsic matrix. When passing these coordinates, pass the identity matrix for this parameter. Keyword Arguments method : int . Method for computing an essential matrix. @ref RANSAC for the RANSAC algorithm. @ref LMEDS for the LMedS algorithm. prob : double . Parameter used for the RANSAC or LMedS methods only. It specifies a desirable level of confidence (probability) that the estimated matrix is correct. threshold : double . Parameter used for RANSAC. It is the maximum distance from a point to an epipolar line in pixels, beyond which the point is considered an outlier and is not used for computing the final fundamental matrix. It can be set to something like 1-3, depending on the accuracy of the point localization, image resolution, and the image noise. maxIters : int . The maximum number of robust method iterations. Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Output array of N elements, every element of which is set to 0 for outliers and to 1 for the other points. The array is computed only in the RANSAC and LMedS methods. This function estimates essential matrix based on the five-point algorithm solver in @cite Nister03 . @cite SteweniusCFS is also a related. The epipolar geometry is described by the following equation: \\f[[p_2; 1]^T K^{-T} E K^{-1} [p_1; 1] = 0\\f] where \\f$E\\f$ is an essential matrix, \\f$p_1\\f$ and \\f$p_2\\f$ are corresponding points in the first and the second images, respectively. The result of this function may be passed further to #decomposeEssentialMat or #recoverPose to recover the relative pose between cameras. Python prototype (for reference only): findEssentialMat(points1, points2, cameraMatrix[, method[, prob[, threshold[, maxIters[, mask]]]]]) -&gt; retval, mask","ref":"Evision.html#findEssentialMat/4","title":"Evision.findEssentialMat/4","type":"function"},{"doc":"Calculates an essential matrix from the corresponding points in two images from potentially two different cameras. Positional Arguments points1 : Evision.Mat.t() . Array of N (N &gt;= 5) 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . cameraMatrix1 : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . Note that this function assumes that points1 and points2 are feature points from cameras with the same camera matrix. If this assumption does not hold for your use case, use #undistortPoints with P = cv::NoArray() for both cameras to transform image points to normalized image coordinates, which are valid for the identity camera matrix. When passing these coordinates, pass the identity matrix for this parameter. distCoeffs1 : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. cameraMatrix2 : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . Note that this function assumes that points1 and points2 are feature points from cameras with the same camera matrix. If this assumption does not hold for your use case, use #undistortPoints with P = cv::NoArray() for both cameras to transform image points to normalized image coordinates, which are valid for the identity camera matrix. When passing these coordinates, pass the identity matrix for this parameter. distCoeffs2 : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments method : int . Method for computing an essential matrix. @ref RANSAC for the RANSAC algorithm. @ref LMEDS for the LMedS algorithm. prob : double . Parameter used for the RANSAC or LMedS methods only. It specifies a desirable level of confidence (probability) that the estimated matrix is correct. threshold : double . Parameter used for RANSAC. It is the maximum distance from a point to an epipolar line in pixels, beyond which the point is considered an outlier and is not used for computing the final fundamental matrix. It can be set to something like 1-3, depending on the accuracy of the point localization, image resolution, and the image noise. Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Output array of N elements, every element of which is set to 0 for outliers and to 1 for the other points. The array is computed only in the RANSAC and LMedS methods. This function estimates essential matrix based on the five-point algorithm solver in @cite Nister03 . @cite SteweniusCFS is also a related. The epipolar geometry is described by the following equation: \\f[[p_2; 1]^T K^{-T} E K^{-1} [p_1; 1] = 0\\f] where \\f$E\\f$ is an essential matrix, \\f$p_1\\f$ and \\f$p_2\\f$ are corresponding points in the first and the second images, respectively. The result of this function may be passed further to #decomposeEssentialMat or #recoverPose to recover the relative pose between cameras. Python prototype (for reference only): findEssentialMat(points1, points2, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2[, method[, prob[, threshold[, mask]]]]) -&gt; retval, mask","ref":"Evision.html#findEssentialMat/6","title":"Evision.findEssentialMat/6","type":"function"},{"doc":"Variant 1: findEssentialMat Positional Arguments points1 : Evision.Mat.t() points2 : Evision.Mat.t() cameraMatrix1 : Evision.Mat.t() cameraMatrix2 : Evision.Mat.t() dist_coeff1 : Evision.Mat.t() dist_coeff2 : Evision.Mat.t() params : Evision.UsacParams.t() Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Python prototype (for reference only): findEssentialMat(points1, points2, cameraMatrix1, cameraMatrix2, dist_coeff1, dist_coeff2, params[, mask]) -&gt; retval, mask Variant 2: Calculates an essential matrix from the corresponding points in two images from potentially two different cameras. Positional Arguments points1 : Evision.Mat.t() . Array of N (N &gt;= 5) 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . cameraMatrix1 : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . Note that this function assumes that points1 and points2 are feature points from cameras with the same camera matrix. If this assumption does not hold for your use case, use #undistortPoints with P = cv::NoArray() for both cameras to transform image points to normalized image coordinates, which are valid for the identity camera matrix. When passing these coordinates, pass the identity matrix for this parameter. distCoeffs1 : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. cameraMatrix2 : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . Note that this function assumes that points1 and points2 are feature points from cameras with the same camera matrix. If this assumption does not hold for your use case, use #undistortPoints with P = cv::NoArray() for both cameras to transform image points to normalized image coordinates, which are valid for the identity camera matrix. When passing these coordinates, pass the identity matrix for this parameter. distCoeffs2 : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments method : int . Method for computing an essential matrix. @ref RANSAC for the RANSAC algorithm. @ref LMEDS for the LMedS algorithm. prob : double . Parameter used for the RANSAC or LMedS methods only. It specifies a desirable level of confidence (probability) that the estimated matrix is correct. threshold : double . Parameter used for RANSAC. It is the maximum distance from a point to an epipolar line in pixels, beyond which the point is considered an outlier and is not used for computing the final fundamental matrix. It can be set to something like 1-3, depending on the accuracy of the point localization, image resolution, and the image noise. Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Output array of N elements, every element of which is set to 0 for outliers and to 1 for the other points. The array is computed only in the RANSAC and LMedS methods. This function estimates essential matrix based on the five-point algorithm solver in @cite Nister03 . @cite SteweniusCFS is also a related. The epipolar geometry is described by the following equation: \\f[[p_2; 1]^T K^{-T} E K^{-1} [p_1; 1] = 0\\f] where \\f$E\\f$ is an essential matrix, \\f$p_1\\f$ and \\f$p_2\\f$ are corresponding points in the first and the second images, respectively. The result of this function may be passed further to #decomposeEssentialMat or #recoverPose to recover the relative pose between cameras. Python prototype (for reference only): findEssentialMat(points1, points2, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2[, method[, prob[, threshold[, mask]]]]) -&gt; retval, mask","ref":"Evision.html#findEssentialMat/7","title":"Evision.findEssentialMat/7","type":"function"},{"doc":"findEssentialMat Positional Arguments points1 : Evision.Mat.t() points2 : Evision.Mat.t() cameraMatrix1 : Evision.Mat.t() cameraMatrix2 : Evision.Mat.t() dist_coeff1 : Evision.Mat.t() dist_coeff2 : Evision.Mat.t() params : Evision.UsacParams.t() Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Python prototype (for reference only): findEssentialMat(points1, points2, cameraMatrix1, cameraMatrix2, dist_coeff1, dist_coeff2, params[, mask]) -&gt; retval, mask","ref":"Evision.html#findEssentialMat/8","title":"Evision.findEssentialMat/8","type":"function"},{"doc":"findFundamentalMat Positional Arguments points1 : Evision.Mat.t() points2 : Evision.Mat.t() Keyword Arguments method : int . ransacReprojThreshold : double . confidence : double . Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findFundamentalMat(points1, points2[, method[, ransacReprojThreshold[, confidence[, mask]]]]) -&gt; retval, mask","ref":"Evision.html#findFundamentalMat/2","title":"Evision.findFundamentalMat/2","type":"function"},{"doc":"Variant 1: findFundamentalMat Positional Arguments points1 : Evision.Mat.t() points2 : Evision.Mat.t() params : Evision.UsacParams.t() Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findFundamentalMat(points1, points2, params[, mask]) -&gt; retval, mask Variant 2: findFundamentalMat Positional Arguments points1 : Evision.Mat.t() points2 : Evision.Mat.t() Keyword Arguments method : int . ransacReprojThreshold : double . confidence : double . Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findFundamentalMat(points1, points2[, method[, ransacReprojThreshold[, confidence[, mask]]]]) -&gt; retval, mask","ref":"Evision.html#findFundamentalMat/3","title":"Evision.findFundamentalMat/3","type":"function"},{"doc":"findFundamentalMat Positional Arguments points1 : Evision.Mat.t() points2 : Evision.Mat.t() params : Evision.UsacParams.t() Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findFundamentalMat(points1, points2, params[, mask]) -&gt; retval, mask","ref":"Evision.html#findFundamentalMat/4","title":"Evision.findFundamentalMat/4","type":"function"},{"doc":"Calculates a fundamental matrix from the corresponding points in two images. Positional Arguments points1 : Evision.Mat.t() . Array of N points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . method : int . Method for computing a fundamental matrix. @ref FM_7POINT for a 7-point algorithm. \\f$N = 7\\f$ @ref FM_8POINT for an 8-point algorithm. \\f$N \\ge 8\\f$ @ref FM_RANSAC for the RANSAC algorithm. \\f$N \\ge 8\\f$ @ref FM_LMEDS for the LMedS algorithm. \\f$N \\ge 8\\f$ ransacReprojThreshold : double . Parameter used only for RANSAC. It is the maximum distance from a point to an epipolar line in pixels, beyond which the point is considered an outlier and is not used for computing the final fundamental matrix. It can be set to something like 1-3, depending on the accuracy of the point localization, image resolution, and the image noise. confidence : double . Parameter used for the RANSAC and LMedS methods only. It specifies a desirable level of confidence (probability) that the estimated matrix is correct. maxIters : int . The maximum number of robust method iterations. Return retval : Evision.Mat.t() mask : Evision.Mat.t() . optional output mask The epipolar geometry is described by the following equation: \\f[[p_2; 1]^T F [p_1; 1] = 0\\f] where \\f$F\\f$ is a fundamental matrix, \\f$p_1\\f$ and \\f$p_2\\f$ are corresponding points in the first and the second images, respectively. The function calculates the fundamental matrix using one of four methods listed above and returns the found fundamental matrix. Normally just one matrix is found. But in case of the 7-point algorithm, the function may return up to 3 solutions ( \\f$9 \\times 3\\f$ matrix that stores all 3 matrices sequentially). The calculated fundamental matrix may be passed further to #computeCorrespondEpilines that finds the epipolar lines corresponding to the specified points. It can also be passed to #stereoRectifyUncalibrated to compute the rectification transformation. : // Example . Estimation of fundamental matrix using the RANSAC algorithm int point_count = 100 ; vector &lt; Point2f &gt; points1 ( point_count ) ; vector &lt; Point2f &gt; points2 ( point_count ) ; // initialize the points here ... for ( int i = 0 ; i &lt; point_count ; i ++ ) { points1 [ i ] = ... ; points2 [ i ] = ... ; } Mat fundamental_matrix = findFundamentalMat ( points1 , points2 , FM_RANSAC , 3 , 0.99 ) ; Python prototype (for reference only): findFundamentalMat(points1, points2, method, ransacReprojThreshold, confidence, maxIters[, mask]) -&gt; retval, mask","ref":"Evision.html#findFundamentalMat/6","title":"Evision.findFundamentalMat/6","type":"function"},{"doc":"Calculates a fundamental matrix from the corresponding points in two images. Positional Arguments points1 : Evision.Mat.t() . Array of N points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . method : int . Method for computing a fundamental matrix. @ref FM_7POINT for a 7-point algorithm. \\f$N = 7\\f$ @ref FM_8POINT for an 8-point algorithm. \\f$N \\ge 8\\f$ @ref FM_RANSAC for the RANSAC algorithm. \\f$N \\ge 8\\f$ @ref FM_LMEDS for the LMedS algorithm. \\f$N \\ge 8\\f$ ransacReprojThreshold : double . Parameter used only for RANSAC. It is the maximum distance from a point to an epipolar line in pixels, beyond which the point is considered an outlier and is not used for computing the final fundamental matrix. It can be set to something like 1-3, depending on the accuracy of the point localization, image resolution, and the image noise. confidence : double . Parameter used for the RANSAC and LMedS methods only. It specifies a desirable level of confidence (probability) that the estimated matrix is correct. maxIters : int . The maximum number of robust method iterations. Return retval : Evision.Mat.t() mask : Evision.Mat.t() . optional output mask The epipolar geometry is described by the following equation: \\f[[p_2; 1]^T F [p_1; 1] = 0\\f] where \\f$F\\f$ is a fundamental matrix, \\f$p_1\\f$ and \\f$p_2\\f$ are corresponding points in the first and the second images, respectively. The function calculates the fundamental matrix using one of four methods listed above and returns the found fundamental matrix. Normally just one matrix is found. But in case of the 7-point algorithm, the function may return up to 3 solutions ( \\f$9 \\times 3\\f$ matrix that stores all 3 matrices sequentially). The calculated fundamental matrix may be passed further to #computeCorrespondEpilines that finds the epipolar lines corresponding to the specified points. It can also be passed to #stereoRectifyUncalibrated to compute the rectification transformation. : // Example . Estimation of fundamental matrix using the RANSAC algorithm int point_count = 100 ; vector &lt; Point2f &gt; points1 ( point_count ) ; vector &lt; Point2f &gt; points2 ( point_count ) ; // initialize the points here ... for ( int i = 0 ; i &lt; point_count ; i ++ ) { points1 [ i ] = ... ; points2 [ i ] = ... ; } Mat fundamental_matrix = findFundamentalMat ( points1 , points2 , FM_RANSAC , 3 , 0.99 ) ; Python prototype (for reference only): findFundamentalMat(points1, points2, method, ransacReprojThreshold, confidence, maxIters[, mask]) -&gt; retval, mask","ref":"Evision.html#findFundamentalMat/7","title":"Evision.findFundamentalMat/7","type":"function"},{"doc":"Finds a perspective transformation between two planes. Positional Arguments srcPoints : Evision.Mat.t() . Coordinates of the points in the original plane, a matrix of the type CV_32FC2 or vector\\&lt;Point2f&gt; . dstPoints : Evision.Mat.t() . Coordinates of the points in the target plane, a matrix of the type CV_32FC2 or a vector\\&lt;Point2f&gt; . Keyword Arguments method : int . Method used to compute a homography matrix. The following methods are possible: 0 - a regular method using all the points, i.e., the least squares method @ref RANSAC - RANSAC-based robust method @ref LMEDS - Least-Median robust method @ref RHO - PROSAC-based robust method ransacReprojThreshold : double . Maximum allowed reprojection error to treat a point pair as an inlier (used in the RANSAC and RHO methods only). That is, if \\f[\\| \\texttt{dstPoints} _i - \\texttt{convertPointsHomogeneous} ( \\texttt{H} \\cdot \\texttt{srcPoints} _i) \\|_2 &gt; \\texttt{ransacReprojThreshold}\\f] then the point \\f$i\\f$ is considered as an outlier. If srcPoints and dstPoints are measured in pixels, it usually makes sense to set this parameter somewhere in the range of 1 to 10. maxIters : int . The maximum number of RANSAC iterations. confidence : double . Confidence level, between 0 and 1. Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Optional output mask set by a robust method ( RANSAC or LMeDS ). Note that the input mask values are ignored. The function finds and returns the perspective transformation \\f$H\\f$ between the source and the destination planes: \\f[s_i \\vecthree{x'_i}{y'_i}{1} \\sim H \\vecthree{x_i}{y_i}{1}\\f] so that the back-projection error \\f[\\sum _i \\left ( x'_i- \\frac{h_{11} x_i + h_{12} y_i + h_{13}}{h_{31} x_i + h_{32} y_i + h_{33}} \\right )^2+ \\left ( y'_i- \\frac{h_{21} x_i + h_{22} y_i + h_{23}}{h_{31} x_i + h_{32} y_i + h_{33}} \\right )^2\\f] is minimized. If the parameter method is set to the default value 0, the function uses all the point pairs to compute an initial homography estimate with a simple least-squares scheme. However, if not all of the point pairs ( \\f$srcPoints_i\\f$, \\f$dstPoints_i\\f$ ) fit the rigid perspective transformation (that is, there are some outliers), this initial estimate will be poor. In this case, you can use one of the three robust methods. The methods RANSAC, LMeDS and RHO try many different random subsets of the corresponding point pairs (of four pairs each, collinear pairs are discarded), estimate the homography matrix using this subset and a simple least-squares algorithm, and then compute the quality/goodness of the computed homography (which is the number of inliers for RANSAC or the least median re-projection error for LMeDS). The best subset is then used to produce the initial estimate of the homography matrix and the mask of inliers/outliers. Regardless of the method, robust or not, the computed homography matrix is refined further (using inliers only in case of a robust method) with the Levenberg-Marquardt method to reduce the re-projection error even more. The methods RANSAC and RHO can handle practically any ratio of outliers but need a threshold to distinguish inliers from outliers. The method LMeDS does not need any threshold but it works correctly only when there are more than 50% of inliers. Finally, if there are no outliers and the noise is rather small, use the default method (method=0). The function is used to find initial intrinsic and extrinsic matrices. Homography matrix is determined up to a scale. Thus, it is normalized so that \\f$h_{33}=1\\f$. Note that whenever an \\f$H\\f$ matrix cannot be estimated, an empty one will be returned. @sa getAffineTransform, estimateAffine2D, estimateAffinePartial2D, getPerspectiveTransform, warpPerspective, perspectiveTransform Python prototype (for reference only): findHomography(srcPoints, dstPoints[, method[, ransacReprojThreshold[, mask[, maxIters[, confidence]]]]]) -&gt; retval, mask","ref":"Evision.html#findHomography/2","title":"Evision.findHomography/2","type":"function"},{"doc":"Variant 1: findHomography Positional Arguments srcPoints : Evision.Mat.t() dstPoints : Evision.Mat.t() params : Evision.UsacParams.t() Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findHomography(srcPoints, dstPoints, params[, mask]) -&gt; retval, mask Variant 2: Finds a perspective transformation between two planes. Positional Arguments srcPoints : Evision.Mat.t() . Coordinates of the points in the original plane, a matrix of the type CV_32FC2 or vector\\&lt;Point2f&gt; . dstPoints : Evision.Mat.t() . Coordinates of the points in the target plane, a matrix of the type CV_32FC2 or a vector\\&lt;Point2f&gt; . Keyword Arguments method : int . Method used to compute a homography matrix. The following methods are possible: 0 - a regular method using all the points, i.e., the least squares method @ref RANSAC - RANSAC-based robust method @ref LMEDS - Least-Median robust method @ref RHO - PROSAC-based robust method ransacReprojThreshold : double . Maximum allowed reprojection error to treat a point pair as an inlier (used in the RANSAC and RHO methods only). That is, if \\f[\\| \\texttt{dstPoints} _i - \\texttt{convertPointsHomogeneous} ( \\texttt{H} \\cdot \\texttt{srcPoints} _i) \\|_2 &gt; \\texttt{ransacReprojThreshold}\\f] then the point \\f$i\\f$ is considered as an outlier. If srcPoints and dstPoints are measured in pixels, it usually makes sense to set this parameter somewhere in the range of 1 to 10. maxIters : int . The maximum number of RANSAC iterations. confidence : double . Confidence level, between 0 and 1. Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Optional output mask set by a robust method ( RANSAC or LMeDS ). Note that the input mask values are ignored. The function finds and returns the perspective transformation \\f$H\\f$ between the source and the destination planes: \\f[s_i \\vecthree{x'_i}{y'_i}{1} \\sim H \\vecthree{x_i}{y_i}{1}\\f] so that the back-projection error \\f[\\sum _i \\left ( x'_i- \\frac{h_{11} x_i + h_{12} y_i + h_{13}}{h_{31} x_i + h_{32} y_i + h_{33}} \\right )^2+ \\left ( y'_i- \\frac{h_{21} x_i + h_{22} y_i + h_{23}}{h_{31} x_i + h_{32} y_i + h_{33}} \\right )^2\\f] is minimized. If the parameter method is set to the default value 0, the function uses all the point pairs to compute an initial homography estimate with a simple least-squares scheme. However, if not all of the point pairs ( \\f$srcPoints_i\\f$, \\f$dstPoints_i\\f$ ) fit the rigid perspective transformation (that is, there are some outliers), this initial estimate will be poor. In this case, you can use one of the three robust methods. The methods RANSAC, LMeDS and RHO try many different random subsets of the corresponding point pairs (of four pairs each, collinear pairs are discarded), estimate the homography matrix using this subset and a simple least-squares algorithm, and then compute the quality/goodness of the computed homography (which is the number of inliers for RANSAC or the least median re-projection error for LMeDS). The best subset is then used to produce the initial estimate of the homography matrix and the mask of inliers/outliers. Regardless of the method, robust or not, the computed homography matrix is refined further (using inliers only in case of a robust method) with the Levenberg-Marquardt method to reduce the re-projection error even more. The methods RANSAC and RHO can handle practically any ratio of outliers but need a threshold to distinguish inliers from outliers. The method LMeDS does not need any threshold but it works correctly only when there are more than 50% of inliers. Finally, if there are no outliers and the noise is rather small, use the default method (method=0). The function is used to find initial intrinsic and extrinsic matrices. Homography matrix is determined up to a scale. Thus, it is normalized so that \\f$h_{33}=1\\f$. Note that whenever an \\f$H\\f$ matrix cannot be estimated, an empty one will be returned. @sa getAffineTransform, estimateAffine2D, estimateAffinePartial2D, getPerspectiveTransform, warpPerspective, perspectiveTransform Python prototype (for reference only): findHomography(srcPoints, dstPoints[, method[, ransacReprojThreshold[, mask[, maxIters[, confidence]]]]]) -&gt; retval, mask","ref":"Evision.html#findHomography/3","title":"Evision.findHomography/3","type":"function"},{"doc":"findHomography Positional Arguments srcPoints : Evision.Mat.t() dstPoints : Evision.Mat.t() params : Evision.UsacParams.t() Return retval : Evision.Mat.t() mask : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findHomography(srcPoints, dstPoints, params[, mask]) -&gt; retval, mask","ref":"Evision.html#findHomography/4","title":"Evision.findHomography/4","type":"function"},{"doc":"Returns the list of locations of non-zero pixels Positional Arguments src : Evision.Mat.t() . single-channel array Return idx : Evision.Mat.t() . the output array, type of cv::Mat or std::vector&lt;Point&gt;, corresponding to non-zero indices in the input Given a binary matrix (likely returned from an operation such as threshold(), compare(), &gt;, ==, etc, return all of the non-zero indices as a cv::Mat or std::vector&lt;cv::Point&gt; (x,y) For example: cv::Mat binaryImage; // input, binary image cv::Mat locations; // output, locations of non-zero pixels cv::findNonZero(binaryImage, locations); // access pixel coordinates Point pnt = locations.at&lt;Point&gt;(i); or cv::Mat binaryImage; // input, binary image vector&lt;Point&gt; locations; // output, locations of non-zero pixels cv::findNonZero(binaryImage, locations); // access pixel coordinates Point pnt = locations[i]; Python prototype (for reference only): findNonZero(src[, idx]) -&gt; idx","ref":"Evision.html#findNonZero/1","title":"Evision.findNonZero/1","type":"function"},{"doc":"Returns the list of locations of non-zero pixels Positional Arguments src : Evision.Mat.t() . single-channel array Return idx : Evision.Mat.t() . the output array, type of cv::Mat or std::vector&lt;Point&gt;, corresponding to non-zero indices in the input Given a binary matrix (likely returned from an operation such as threshold(), compare(), &gt;, ==, etc, return all of the non-zero indices as a cv::Mat or std::vector&lt;cv::Point&gt; (x,y) For example: cv::Mat binaryImage; // input, binary image cv::Mat locations; // output, locations of non-zero pixels cv::findNonZero(binaryImage, locations); // access pixel coordinates Point pnt = locations.at&lt;Point&gt;(i); or cv::Mat binaryImage; // input, binary image vector&lt;Point&gt; locations; // output, locations of non-zero pixels cv::findNonZero(binaryImage, locations); // access pixel coordinates Point pnt = locations[i]; Python prototype (for reference only): findNonZero(src[, idx]) -&gt; idx","ref":"Evision.html#findNonZero/2","title":"Evision.findNonZero/2","type":"function"},{"doc":"findTransformECC Positional Arguments templateImage : Evision.Mat.t() inputImage : Evision.Mat.t() Keyword Arguments motionType : int . criteria : TermCriteria . inputMask : Evision.Mat.t() . Return retval : double warpMatrix : Evision.Mat.t() Has overloading in C++ Python prototype (for reference only): findTransformECC(templateImage, inputImage, warpMatrix[, motionType[, criteria[, inputMask]]]) -&gt; retval, warpMatrix","ref":"Evision.html#findTransformECC/3","title":"Evision.findTransformECC/3","type":"function"},{"doc":"findTransformECC Positional Arguments templateImage : Evision.Mat.t() inputImage : Evision.Mat.t() Keyword Arguments motionType : int . criteria : TermCriteria . inputMask : Evision.Mat.t() . Return retval : double warpMatrix : Evision.Mat.t() Has overloading in C++ Python prototype (for reference only): findTransformECC(templateImage, inputImage, warpMatrix[, motionType[, criteria[, inputMask]]]) -&gt; retval, warpMatrix","ref":"Evision.html#findTransformECC/4","title":"Evision.findTransformECC/4","type":"function"},{"doc":"Finds the geometric transform (warp) between two images in terms of the ECC criterion @cite EP08 . Positional Arguments templateImage : Evision.Mat.t() . single-channel template image; CV_8U or CV_32F array. inputImage : Evision.Mat.t() . single-channel input image which should be warped with the final warpMatrix in order to provide an image similar to templateImage, same type as templateImage. motionType : int . parameter, specifying the type of motion: MOTION_TRANSLATION sets a translational motion model; warpMatrix is \\f$2\\times 3\\f$ with the first \\f$2\\times 2\\f$ part being the unity matrix and the rest two parameters being estimated. MOTION_EUCLIDEAN sets a Euclidean (rigid) transformation as motion model; three parameters are estimated; warpMatrix is \\f$2\\times 3\\f$. MOTION_AFFINE sets an affine motion model (DEFAULT); six parameters are estimated; warpMatrix is \\f$2\\times 3\\f$. MOTION_HOMOGRAPHY sets a homography as a motion model; eight parameters are estimated;`warpMatrix` is \\f$3\\times 3\\f$. criteria : TermCriteria . parameter, specifying the termination criteria of the ECC algorithm; criteria.epsilon defines the threshold of the increment in the correlation coefficient between two iterations (a negative criteria.epsilon makes criteria.maxcount the only termination criterion). Default values are shown in the declaration above. inputMask : Evision.Mat.t() . An optional mask to indicate valid values of inputImage. gaussFiltSize : int . An optional value indicating size of gaussian blur filter; (DEFAULT: 5) Return retval : double warpMatrix : Evision.Mat.t() . floating-point \\f$2\\times 3\\f$ or \\f$3\\times 3\\f$ mapping matrix (warp). The function estimates the optimum transformation (warpMatrix) with respect to ECC criterion (@cite EP08), that is \\f[\\texttt{warpMatrix} = \\arg\\max_{W} \\texttt{ECC}(\\texttt{templateImage}(x,y),\\texttt{inputImage}(x',y'))\\f] where \\f[\\begin{bmatrix} x' \\\\ y' \\end{bmatrix} = W \\cdot \\begin{bmatrix} x \\\\ y \\\\ 1 \\end{bmatrix}\\f] (the equation holds with homogeneous coordinates for homography). It returns the final enhanced correlation coefficient, that is the correlation coefficient between the template image and the final warped input image. When a \\f$3\\times 3\\f$ matrix is given with motionType =0, 1 or 2, the third row is ignored. Unlike findHomography and estimateRigidTransform, the function findTransformECC implements an area-based alignment that builds on intensity similarities. In essence, the function updates the initial transformation that roughly aligns the images. If this information is missing, the identity warp (unity matrix) is used as an initialization. Note that if images undergo strong displacements/rotations, an initial transformation that roughly aligns the images is necessary (e.g., a simple euclidean/similarity transform that allows for the images showing the same image content approximately). Use inverse warping in the second image to take an image close to the first one, i.e. use the flag WARP_INVERSE_MAP with warpAffine or warpPerspective. See also the OpenCV sample image_alignment.cpp that demonstrates the use of the function. Note that the function throws an exception if algorithm does not converges. @sa computeECC, estimateAffine2D, estimateAffinePartial2D, findHomography Python prototype (for reference only): findTransformECC(templateImage, inputImage, warpMatrix, motionType, criteria, inputMask, gaussFiltSize) -&gt; retval, warpMatrix","ref":"Evision.html#findTransformECC/7","title":"Evision.findTransformECC/7","type":"function"},{"doc":"Fits an ellipse around a set of 2D points. Positional Arguments points : Evision.Mat.t() . Input 2D point set, stored in std::vector\\&lt;&gt; or Mat Return retval : {centre={x, y}, size={s1, s2}, angle} The function calculates the ellipse that fits (in a least-squares sense) a set of 2D points best of all. It returns the rotated rectangle in which the ellipse is inscribed. The first algorithm described by @cite Fitzgibbon95 is used. Developer should keep in mind that it is possible that the returned ellipse/rotatedRect data contains negative indices, due to the data points being close to the border of the containing Mat element. Python prototype (for reference only): fitEllipse(points) -&gt; retval","ref":"Evision.html#fitEllipse/1","title":"Evision.fitEllipse/1","type":"function"},{"doc":"Fits an ellipse around a set of 2D points. Positional Arguments points : Evision.Mat.t() . Input 2D point set, stored in std::vector\\&lt;&gt; or Mat Return retval : {centre={x, y}, size={s1, s2}, angle} The function calculates the ellipse that fits a set of 2D points. It returns the rotated rectangle in which the ellipse is inscribed. The Approximate Mean Square (AMS) proposed by @cite Taubin1991 is used. For an ellipse, this basis set is \\f$ \\chi= \\left(x^2, x y, y^2, x, y, 1\\right) \\f$, which is a set of six free coefficients \\f$ A^T=\\left\\{A_{\\text{xx}},A_{\\text{xy}},A_{\\text{yy}},A_x,A_y,A_0\\right\\} \\f$. However, to specify an ellipse, all that is needed is five numbers; the major and minor axes lengths \\f$ (a,b) \\f$, the position \\f$ (x_0,y_0) \\f$, and the orientation \\f$ \\theta \\f$. This is because the basis set includes lines, quadratics, parabolic and hyperbolic functions as well as elliptical functions as possible fits. If the fit is found to be a parabolic or hyperbolic function then the standard #fitEllipse method is used. The AMS method restricts the fit to parabolic, hyperbolic and elliptical curves by imposing the condition that \\f$ A^T ( D_x^T D_x + D_y^T D_y) A = 1 \\f$ where the matrices \\f$ Dx \\f$ and \\f$ Dy \\f$ are the partial derivatives of the design matrix \\f$ D \\f$ with respect to x and y. The matrices are formed row by row applying the following to each of the points in the set: \\f{align }{ D(i,:)&amp;=\\left{x_i^2, x_i y_i, y_i^2, x_i, y_i, 1\\right} &amp; D_x(i,:)&amp;=\\left{2 x_i,y_i,0,1,0,0\\right} &amp; D_y(i,:)&amp;=\\left{0,x_i,2 y_i,0,1,0\\right} \\f} The AMS method minimizes the cost function \\f{equation }{ \\epsilon ^2=\\frac{ A^T D^T D A }{ A^T (D_x^T D_x + D_y^T D_y) A^T } \\f} The minimum cost is found by solving the generalized eigenvalue problem. \\f{equation*}{ D^T D A = \\lambda \\left( D_x^T D_x + D_y^T D_y\\right) A \\f} Python prototype (for reference only): fitEllipseAMS(points) -&gt; retval","ref":"Evision.html#fitEllipseAMS/1","title":"Evision.fitEllipseAMS/1","type":"function"},{"doc":"Fits an ellipse around a set of 2D points. Positional Arguments points : Evision.Mat.t() . Input 2D point set, stored in std::vector\\&lt;&gt; or Mat Return retval : {centre={x, y}, size={s1, s2}, angle} The function calculates the ellipse that fits a set of 2D points. It returns the rotated rectangle in which the ellipse is inscribed. The Direct least square (Direct) method by @cite Fitzgibbon1999 is used. For an ellipse, this basis set is \\f$ \\chi= \\left(x^2, x y, y^2, x, y, 1\\right) \\f$, which is a set of six free coefficients \\f$ A^T=\\left\\{A_{\\text{xx}},A_{\\text{xy}},A_{\\text{yy}},A_x,A_y,A_0\\right\\} \\f$. However, to specify an ellipse, all that is needed is five numbers; the major and minor axes lengths \\f$ (a,b) \\f$, the position \\f$ (x_0,y_0) \\f$, and the orientation \\f$ \\theta \\f$. This is because the basis set includes lines, quadratics, parabolic and hyperbolic functions as well as elliptical functions as possible fits. The Direct method confines the fit to ellipses by ensuring that \\f$ 4 A_{xx} A_{yy}- A_{xy}^2 &gt; 0 \\f$. The condition imposed is that \\f$ 4 A_{xx} A_{yy}- A_{xy}^2=1 \\f$ which satisfies the inequality and as the coefficients can be arbitrarily scaled is not overly restrictive. \\f{equation }{ \\epsilon ^2= A^T D^T D A \\quad \\text{with} \\quad A^T C A =1 \\quad \\text{and} \\quad C=\\left(\\begin{matrix} 0 &amp; 0 &amp; 2 &amp; 0 &amp; 0 &amp; 0 \\\\ 0 &amp; -1 &amp; 0 &amp; 0 &amp; 0 &amp; 0 \\\\ 2 &amp; 0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 \\\\ 0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 \\\\ 0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 \\\\ 0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 &amp; 0 \\end{matrix} \\right) \\f} The minimum cost is found by solving the generalized eigenvalue problem. \\f{equation }{ D^T D A = \\lambda \\left( C\\right) A \\f} The system produces only one positive eigenvalue \\f$ \\lambda\\f$ which is chosen as the solution with its eigenvector \\f$\\mathbf{u}\\f$. These are used to find the coefficients \\f{equation*}{ A = \\sqrt{\\frac{1}{\\mathbf{u}^T C \\mathbf{u}}} \\mathbf{u} \\f} The scaling factor guarantees that \\f$A^T C A =1\\f$. Python prototype (for reference only): fitEllipseDirect(points) -&gt; retval","ref":"Evision.html#fitEllipseDirect/1","title":"Evision.fitEllipseDirect/1","type":"function"},{"doc":"Fits a line to a 2D or 3D point set. Positional Arguments points : Evision.Mat.t() . Input vector of 2D or 3D points, stored in std::vector\\&lt;&gt; or Mat. distType : int . Distance used by the M-estimator, see #DistanceTypes param : double . Numerical parameter ( C ) for some types of distances. If it is 0, an optimal value is chosen. reps : double . Sufficient accuracy for the radius (distance between the coordinate origin and the line). aeps : double . Sufficient accuracy for the angle. 0.01 would be a good default value for reps and aeps. Return line : Evision.Mat.t() . Output line parameters. In case of 2D fitting, it should be a vector of 4 elements (like Vec4f) - (vx, vy, x0, y0), where (vx, vy) is a normalized vector collinear to the line and (x0, y0) is a point on the line. In case of 3D fitting, it should be a vector of 6 elements (like Vec6f) - (vx, vy, vz, x0, y0, z0), where (vx, vy, vz) is a normalized vector collinear to the line and (x0, y0, z0) is a point on the line. The function fitLine fits a line to a 2D or 3D point set by minimizing \\f$\\sum_i \\rho(r_i)\\f$ where \\f$r_i\\f$ is a distance between the \\f$i^{th}\\f$ point, the line and \\f$\\rho(r)\\f$ is a distance function, one of the following: DIST_L2 \\f[\\rho (r) = r^2/2 \\quad \\text{(the simplest and the fastest least-squares method)}\\f] DIST_L1 \\f[\\rho (r) = r\\f] DIST_L12 \\f[\\rho (r) = 2 \\cdot ( \\sqrt{1 + \\frac{r^2}{2}} - 1)\\f] DIST_FAIR \\f[\\rho \\left (r \\right ) = C^2 \\cdot \\left ( \\frac{r}{C} - \\log{\\left(1 + \\frac{r}{C}\\right)} \\right ) \\quad \\text{where} \\quad C=1.3998\\f] DIST_WELSCH \\f[\\rho \\left (r \\right ) = \\frac{C^2}{2} \\cdot \\left ( 1 - \\exp{\\left(-\\left(\\frac{r}{C}\\right)^2\\right)} \\right ) \\quad \\text{where} \\quad C=2.9846\\f] DIST_HUBER \\f[\\rho (r) = \\fork{r^2/2}{if (r &lt; C)}{C \\cdot (r-C/2)}{otherwise} \\quad \\text{where} \\quad C=1.345\\f] The algorithm is based on the M-estimator ( http://en.wikipedia.org/wiki/M-estimator ) technique that iteratively fits the line using the weighted least-squares algorithm. After each iteration the weights \\f$w_i\\f$ are adjusted to be inversely proportional to \\f$\\rho(r_i)\\f$ . Python prototype (for reference only): fitLine(points, distType, param, reps, aeps[, line]) -&gt; line","ref":"Evision.html#fitLine/5","title":"Evision.fitLine/5","type":"function"},{"doc":"Fits a line to a 2D or 3D point set. Positional Arguments points : Evision.Mat.t() . Input vector of 2D or 3D points, stored in std::vector\\&lt;&gt; or Mat. distType : int . Distance used by the M-estimator, see #DistanceTypes param : double . Numerical parameter ( C ) for some types of distances. If it is 0, an optimal value is chosen. reps : double . Sufficient accuracy for the radius (distance between the coordinate origin and the line). aeps : double . Sufficient accuracy for the angle. 0.01 would be a good default value for reps and aeps. Return line : Evision.Mat.t() . Output line parameters. In case of 2D fitting, it should be a vector of 4 elements (like Vec4f) - (vx, vy, x0, y0), where (vx, vy) is a normalized vector collinear to the line and (x0, y0) is a point on the line. In case of 3D fitting, it should be a vector of 6 elements (like Vec6f) - (vx, vy, vz, x0, y0, z0), where (vx, vy, vz) is a normalized vector collinear to the line and (x0, y0, z0) is a point on the line. The function fitLine fits a line to a 2D or 3D point set by minimizing \\f$\\sum_i \\rho(r_i)\\f$ where \\f$r_i\\f$ is a distance between the \\f$i^{th}\\f$ point, the line and \\f$\\rho(r)\\f$ is a distance function, one of the following: DIST_L2 \\f[\\rho (r) = r^2/2 \\quad \\text{(the simplest and the fastest least-squares method)}\\f] DIST_L1 \\f[\\rho (r) = r\\f] DIST_L12 \\f[\\rho (r) = 2 \\cdot ( \\sqrt{1 + \\frac{r^2}{2}} - 1)\\f] DIST_FAIR \\f[\\rho \\left (r \\right ) = C^2 \\cdot \\left ( \\frac{r}{C} - \\log{\\left(1 + \\frac{r}{C}\\right)} \\right ) \\quad \\text{where} \\quad C=1.3998\\f] DIST_WELSCH \\f[\\rho \\left (r \\right ) = \\frac{C^2}{2} \\cdot \\left ( 1 - \\exp{\\left(-\\left(\\frac{r}{C}\\right)^2\\right)} \\right ) \\quad \\text{where} \\quad C=2.9846\\f] DIST_HUBER \\f[\\rho (r) = \\fork{r^2/2}{if (r &lt; C)}{C \\cdot (r-C/2)}{otherwise} \\quad \\text{where} \\quad C=1.345\\f] The algorithm is based on the M-estimator ( http://en.wikipedia.org/wiki/M-estimator ) technique that iteratively fits the line using the weighted least-squares algorithm. After each iteration the weights \\f$w_i\\f$ are adjusted to be inversely proportional to \\f$\\rho(r_i)\\f$ . Python prototype (for reference only): fitLine(points, distType, param, reps, aeps[, line]) -&gt; line","ref":"Evision.html#fitLine/6","title":"Evision.fitLine/6","type":"function"},{"doc":"Flips a 2D array around vertical, horizontal, or both axes. Positional Arguments src : Evision.Mat.t() . input array. flipCode : int . a flag to specify how to flip the array; 0 means flipping around the x-axis and positive value (for example, 1) means flipping around y-axis. Negative value (for example, -1) means flipping around both axes. Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::flip flips the array in one of three different ways (row and column indices are 0-based): \\f[\\texttt{dst} _{ij} = \\left\\{ \\begin{array}{l l} \\texttt{src} _{\\texttt{src.rows}-i-1,j} &amp; if\\; \\texttt{flipCode} = 0 \\\\ \\texttt{src} _{i, \\texttt{src.cols} -j-1} &amp; if\\; \\texttt{flipCode} &gt; 0 \\\\ \\texttt{src} _{ \\texttt{src.rows} -i-1, \\texttt{src.cols} -j-1} &amp; if\\; \\texttt{flipCode} &lt; 0 \\\\ \\end{array} \\right.\\f] The example scenarios of using the function are the following: Vertical flipping of the image (flipCode == 0) to switch between top-left and bottom-left image origin. This is a typical operation in video processing on Microsoft Windows* OS. Horizontal flipping of the image with the subsequent horizontal shift and absolute difference calculation to check for a vertical-axis symmetry (flipCode &gt; 0). Simultaneous horizontal and vertical flipping of the image with the subsequent shift and absolute difference calculation to check for a central symmetry (flipCode \\&lt; 0). Reversing the order of point arrays (flipCode &gt; 0 or flipCode == 0). @sa transpose , repeat , completeSymm Python prototype (for reference only): flip(src, flipCode[, dst]) -&gt; dst","ref":"Evision.html#flip/2","title":"Evision.flip/2","type":"function"},{"doc":"Flips a 2D array around vertical, horizontal, or both axes. Positional Arguments src : Evision.Mat.t() . input array. flipCode : int . a flag to specify how to flip the array; 0 means flipping around the x-axis and positive value (for example, 1) means flipping around y-axis. Negative value (for example, -1) means flipping around both axes. Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::flip flips the array in one of three different ways (row and column indices are 0-based): \\f[\\texttt{dst} _{ij} = \\left\\{ \\begin{array}{l l} \\texttt{src} _{\\texttt{src.rows}-i-1,j} &amp; if\\; \\texttt{flipCode} = 0 \\\\ \\texttt{src} _{i, \\texttt{src.cols} -j-1} &amp; if\\; \\texttt{flipCode} &gt; 0 \\\\ \\texttt{src} _{ \\texttt{src.rows} -i-1, \\texttt{src.cols} -j-1} &amp; if\\; \\texttt{flipCode} &lt; 0 \\\\ \\end{array} \\right.\\f] The example scenarios of using the function are the following: Vertical flipping of the image (flipCode == 0) to switch between top-left and bottom-left image origin. This is a typical operation in video processing on Microsoft Windows* OS. Horizontal flipping of the image with the subsequent horizontal shift and absolute difference calculation to check for a vertical-axis symmetry (flipCode &gt; 0). Simultaneous horizontal and vertical flipping of the image with the subsequent shift and absolute difference calculation to check for a central symmetry (flipCode \\&lt; 0). Reversing the order of point arrays (flipCode &gt; 0 or flipCode == 0). @sa transpose , repeat , completeSymm Python prototype (for reference only): flip(src, flipCode[, dst]) -&gt; dst","ref":"Evision.html#flip/3","title":"Evision.flip/3","type":"function"},{"doc":"Flips a n-dimensional at given axis Positional Arguments src : Evision.Mat.t() . input array axis : int . axis that performs a flip on. 0 &lt;= axis &lt; src.dims. Return dst : Evision.Mat.t() . output array that has the same shape of src Python prototype (for reference only): flipND(src, axis[, dst]) -&gt; dst","ref":"Evision.html#flipND/2","title":"Evision.flipND/2","type":"function"},{"doc":"Flips a n-dimensional at given axis Positional Arguments src : Evision.Mat.t() . input array axis : int . axis that performs a flip on. 0 &lt;= axis &lt; src.dims. Return dst : Evision.Mat.t() . output array that has the same shape of src Python prototype (for reference only): flipND(src, axis[, dst]) -&gt; dst","ref":"Evision.html#flipND/3","title":"Evision.flipND/3","type":"function"},{"doc":"Fills a connected component with the given color. Positional Arguments seedPoint : Point . Starting point. newVal : Scalar . New value of the repainted domain pixels. Keyword Arguments loDiff : Scalar . Maximal lower brightness/color difference between the currently observed pixel and one of its neighbors belonging to the component, or a seed pixel being added to the component. upDiff : Scalar . Maximal upper brightness/color difference between the currently observed pixel and one of its neighbors belonging to the component, or a seed pixel being added to the component. flags : int . Operation flags. The first 8 bits contain a connectivity value. The default value of 4 means that only the four nearest neighbor pixels (those that share an edge) are considered. A connectivity value of 8 means that the eight nearest neighbor pixels (those that share a corner) will be considered. The next 8 bits (8-16) contain a value between 1 and 255 with which to fill the mask (the default value is 1). For example, 4 | ( 255 \\&lt;\\&lt; 8 ) will consider 4 nearest neighbours and fill the mask with a value of 255. The following additional options occupy higher bits and therefore may be further combined with the connectivity and mask fill values using bit-wise or (|), see #FloodFillFlags. Return retval : int image : Evision.Mat.t() . Input/output 1- or 3-channel, 8-bit, or floating-point image. It is modified by the function unless the #FLOODFILL_MASK_ONLY flag is set in the second variant of the function. See the details below. mask : Evision.Mat.t() . Operation mask that should be a single-channel 8-bit image, 2 pixels wider and 2 pixels taller than image. If an empty Mat is passed it will be created automatically. Since this is both an input and output parameter, you must take responsibility of initializing it. Flood-filling cannot go across non-zero pixels in the input mask. For example, an edge detector output can be used as a mask to stop filling at edges. On output, pixels in the mask corresponding to filled pixels in the image are set to 1 or to the specified value in flags as described below. Additionally, the function fills the border of the mask with ones to simplify internal processing. It is therefore possible to use the same mask in multiple calls to the function to make sure the filled areas do not overlap. rect : Rect* . Optional output parameter set by the function to the minimum bounding rectangle of the repainted domain. The function cv::floodFill fills a connected component starting from the seed point with the specified color. The connectivity is determined by the color/brightness closeness of the neighbor pixels. The pixel at \\f$(x,y)\\f$ is considered to belong to the repainted domain if: in case of a grayscale image and floating range \\f[\\texttt{src} (x',y')- \\texttt{loDiff} \\leq \\texttt{src} (x,y) \\leq \\texttt{src} (x',y')+ \\texttt{upDiff}\\f] in case of a grayscale image and fixed range \\f[\\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)- \\texttt{loDiff} \\leq \\texttt{src} (x,y) \\leq \\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)+ \\texttt{upDiff}\\f] in case of a color image and floating range \\f[\\texttt{src} (x',y')_r- \\texttt{loDiff} _r \\leq \\texttt{src} (x,y)_r \\leq \\texttt{src} (x',y')_r+ \\texttt{upDiff} _r,\\f] \\f[\\texttt{src} (x',y')_g- \\texttt{loDiff} _g \\leq \\texttt{src} (x,y)_g \\leq \\texttt{src} (x',y')_g+ \\texttt{upDiff} _g\\f] and \\f[\\texttt{src} (x',y')_b- \\texttt{loDiff} _b \\leq \\texttt{src} (x,y)_b \\leq \\texttt{src} (x',y')_b+ \\texttt{upDiff} _b\\f] in case of a color image and fixed range \\f[\\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_r- \\texttt{loDiff} _r \\leq \\texttt{src} (x,y)_r \\leq \\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_r+ \\texttt{upDiff} _r,\\f] \\f[\\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_g- \\texttt{loDiff} _g \\leq \\texttt{src} (x,y)_g \\leq \\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_g+ \\texttt{upDiff} _g\\f] and \\f[\\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_b- \\texttt{loDiff} _b \\leq \\texttt{src} (x,y)_b \\leq \\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_b+ \\texttt{upDiff} _b\\f] where \\f$src(x',y')\\f$ is the value of one of pixel neighbors that is already known to belong to the component. That is, to be added to the connected component, a color/brightness of the pixel should be close enough to: Color/brightness of one of its neighbors that already belong to the connected component in case of a floating range. Color/brightness of the seed point in case of a fixed range. Use these functions to either mark a connected component with the specified color in-place, or build a mask and then extract the contour, or copy the region to another image, and so on. Note : Since the mask is larger than the filled image, a pixel \\f$(x, y)\\f$ in image corresponds to the pixel \\f$(x+1, y+1)\\f$ in the mask . @sa findContours Python prototype (for reference only): floodFill(image, mask, seedPoint, newVal[, loDiff[, upDiff[, flags]]]) -&gt; retval, image, mask, rect","ref":"Evision.html#floodFill/4","title":"Evision.floodFill/4","type":"function"},{"doc":"Fills a connected component with the given color. Positional Arguments seedPoint : Point . Starting point. newVal : Scalar . New value of the repainted domain pixels. Keyword Arguments loDiff : Scalar . Maximal lower brightness/color difference between the currently observed pixel and one of its neighbors belonging to the component, or a seed pixel being added to the component. upDiff : Scalar . Maximal upper brightness/color difference between the currently observed pixel and one of its neighbors belonging to the component, or a seed pixel being added to the component. flags : int . Operation flags. The first 8 bits contain a connectivity value. The default value of 4 means that only the four nearest neighbor pixels (those that share an edge) are considered. A connectivity value of 8 means that the eight nearest neighbor pixels (those that share a corner) will be considered. The next 8 bits (8-16) contain a value between 1 and 255 with which to fill the mask (the default value is 1). For example, 4 | ( 255 \\&lt;\\&lt; 8 ) will consider 4 nearest neighbours and fill the mask with a value of 255. The following additional options occupy higher bits and therefore may be further combined with the connectivity and mask fill values using bit-wise or (|), see #FloodFillFlags. Return retval : int image : Evision.Mat.t() . Input/output 1- or 3-channel, 8-bit, or floating-point image. It is modified by the function unless the #FLOODFILL_MASK_ONLY flag is set in the second variant of the function. See the details below. mask : Evision.Mat.t() . Operation mask that should be a single-channel 8-bit image, 2 pixels wider and 2 pixels taller than image. If an empty Mat is passed it will be created automatically. Since this is both an input and output parameter, you must take responsibility of initializing it. Flood-filling cannot go across non-zero pixels in the input mask. For example, an edge detector output can be used as a mask to stop filling at edges. On output, pixels in the mask corresponding to filled pixels in the image are set to 1 or to the specified value in flags as described below. Additionally, the function fills the border of the mask with ones to simplify internal processing. It is therefore possible to use the same mask in multiple calls to the function to make sure the filled areas do not overlap. rect : Rect* . Optional output parameter set by the function to the minimum bounding rectangle of the repainted domain. The function cv::floodFill fills a connected component starting from the seed point with the specified color. The connectivity is determined by the color/brightness closeness of the neighbor pixels. The pixel at \\f$(x,y)\\f$ is considered to belong to the repainted domain if: in case of a grayscale image and floating range \\f[\\texttt{src} (x',y')- \\texttt{loDiff} \\leq \\texttt{src} (x,y) \\leq \\texttt{src} (x',y')+ \\texttt{upDiff}\\f] in case of a grayscale image and fixed range \\f[\\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)- \\texttt{loDiff} \\leq \\texttt{src} (x,y) \\leq \\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)+ \\texttt{upDiff}\\f] in case of a color image and floating range \\f[\\texttt{src} (x',y')_r- \\texttt{loDiff} _r \\leq \\texttt{src} (x,y)_r \\leq \\texttt{src} (x',y')_r+ \\texttt{upDiff} _r,\\f] \\f[\\texttt{src} (x',y')_g- \\texttt{loDiff} _g \\leq \\texttt{src} (x,y)_g \\leq \\texttt{src} (x',y')_g+ \\texttt{upDiff} _g\\f] and \\f[\\texttt{src} (x',y')_b- \\texttt{loDiff} _b \\leq \\texttt{src} (x,y)_b \\leq \\texttt{src} (x',y')_b+ \\texttt{upDiff} _b\\f] in case of a color image and fixed range \\f[\\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_r- \\texttt{loDiff} _r \\leq \\texttt{src} (x,y)_r \\leq \\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_r+ \\texttt{upDiff} _r,\\f] \\f[\\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_g- \\texttt{loDiff} _g \\leq \\texttt{src} (x,y)_g \\leq \\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_g+ \\texttt{upDiff} _g\\f] and \\f[\\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_b- \\texttt{loDiff} _b \\leq \\texttt{src} (x,y)_b \\leq \\texttt{src} ( \\texttt{seedPoint} .x, \\texttt{seedPoint} .y)_b+ \\texttt{upDiff} _b\\f] where \\f$src(x',y')\\f$ is the value of one of pixel neighbors that is already known to belong to the component. That is, to be added to the connected component, a color/brightness of the pixel should be close enough to: Color/brightness of one of its neighbors that already belong to the connected component in case of a floating range. Color/brightness of the seed point in case of a fixed range. Use these functions to either mark a connected component with the specified color in-place, or build a mask and then extract the contour, or copy the region to another image, and so on. Note : Since the mask is larger than the filled image, a pixel \\f$(x, y)\\f$ in image corresponds to the pixel \\f$(x+1, y+1)\\f$ in the mask . @sa findContours Python prototype (for reference only): floodFill(image, mask, seedPoint, newVal[, loDiff[, upDiff[, flags]]]) -&gt; retval, image, mask, rect","ref":"Evision.html#floodFill/5","title":"Evision.floodFill/5","type":"function"},{"doc":"Blurs an image using a Gaussian filter. Positional Arguments src : Evision.Mat.t() . input image; the image can have any number of channels, which are processed independently, but the depth should be CV_8U, CV_16U, CV_16S, CV_32F or CV_64F. ksize : Size . Gaussian kernel size. ksize.width and ksize.height can differ but they both must be positive and odd. Or, they can be zero's and then they are computed from sigma. sigmaX : double . Gaussian kernel standard deviation in X direction. Keyword Arguments sigmaY : double . Gaussian kernel standard deviation in Y direction; if sigmaY is zero, it is set to be equal to sigmaX, if both sigmas are zeros, they are computed from ksize.width and ksize.height, respectively (see #getGaussianKernel for details); to fully control the result regardless of possible future modifications of all this semantics, it is recommended to specify all of ksize, sigmaX, and sigmaY. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and type as src. The function convolves the source image with the specified Gaussian kernel. In-place filtering is supported. @sa sepFilter2D, filter2D, blur, boxFilter, bilateralFilter, medianBlur Python prototype (for reference only): GaussianBlur(src, ksize, sigmaX[, dst[, sigmaY[, borderType]]]) -&gt; dst","ref":"Evision.html#gaussianBlur/3","title":"Evision.gaussianBlur/3","type":"function"},{"doc":"Blurs an image using a Gaussian filter. Positional Arguments src : Evision.Mat.t() . input image; the image can have any number of channels, which are processed independently, but the depth should be CV_8U, CV_16U, CV_16S, CV_32F or CV_64F. ksize : Size . Gaussian kernel size. ksize.width and ksize.height can differ but they both must be positive and odd. Or, they can be zero's and then they are computed from sigma. sigmaX : double . Gaussian kernel standard deviation in X direction. Keyword Arguments sigmaY : double . Gaussian kernel standard deviation in Y direction; if sigmaY is zero, it is set to be equal to sigmaX, if both sigmas are zeros, they are computed from ksize.width and ksize.height, respectively (see #getGaussianKernel for details); to fully control the result regardless of possible future modifications of all this semantics, it is recommended to specify all of ksize, sigmaX, and sigmaY. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and type as src. The function convolves the source image with the specified Gaussian kernel. In-place filtering is supported. @sa sepFilter2D, filter2D, blur, boxFilter, bilateralFilter, medianBlur Python prototype (for reference only): GaussianBlur(src, ksize, sigmaX[, dst[, sigmaY[, borderType]]]) -&gt; dst","ref":"Evision.html#gaussianBlur/4","title":"Evision.gaussianBlur/4","type":"function"},{"doc":"Performs generalized matrix multiplication. Positional Arguments src1 : Evision.Mat.t() . first multiplied input matrix that could be real(CV_32FC1, CV_64FC1) or complex(CV_32FC2, CV_64FC2). src2 : Evision.Mat.t() . second multiplied input matrix of the same type as src1. alpha : double . weight of the matrix product. src3 : Evision.Mat.t() . third optional delta matrix added to the matrix product; it should have the same type as src1 and src2. beta : double . weight of src3. Keyword Arguments flags : int . operation flags (cv::GemmFlags) Return dst : Evision.Mat.t() . output matrix; it has the proper size and the same type as input matrices. The function cv::gemm performs generalized matrix multiplication similar to the gemm functions in BLAS level 3. For example, gemm(src1, src2, alpha, src3, beta, dst, GEMM_1_T + GEMM_3_T) corresponds to \\f[\\texttt{dst} = \\texttt{alpha} \\cdot \\texttt{src1} ^T \\cdot \\texttt{src2} + \\texttt{beta} \\cdot \\texttt{src3} ^T\\f] In case of complex (two-channel) data, performed a complex matrix multiplication. The function can be replaced with a matrix expression. For example, the above call can be replaced with: dst = alpha*src1.t()*src2 + beta*src3.t(); @sa mulTransposed , transform Python prototype (for reference only): gemm(src1, src2, alpha, src3, beta[, dst[, flags]]) -&gt; dst","ref":"Evision.html#gemm/5","title":"Evision.gemm/5","type":"function"},{"doc":"Performs generalized matrix multiplication. Positional Arguments src1 : Evision.Mat.t() . first multiplied input matrix that could be real(CV_32FC1, CV_64FC1) or complex(CV_32FC2, CV_64FC2). src2 : Evision.Mat.t() . second multiplied input matrix of the same type as src1. alpha : double . weight of the matrix product. src3 : Evision.Mat.t() . third optional delta matrix added to the matrix product; it should have the same type as src1 and src2. beta : double . weight of src3. Keyword Arguments flags : int . operation flags (cv::GemmFlags) Return dst : Evision.Mat.t() . output matrix; it has the proper size and the same type as input matrices. The function cv::gemm performs generalized matrix multiplication similar to the gemm functions in BLAS level 3. For example, gemm(src1, src2, alpha, src3, beta, dst, GEMM_1_T + GEMM_3_T) corresponds to \\f[\\texttt{dst} = \\texttt{alpha} \\cdot \\texttt{src1} ^T \\cdot \\texttt{src2} + \\texttt{beta} \\cdot \\texttt{src3} ^T\\f] In case of complex (two-channel) data, performed a complex matrix multiplication. The function can be replaced with a matrix expression. For example, the above call can be replaced with: dst = alpha*src1.t()*src2 + beta*src3.t(); @sa mulTransposed , transform Python prototype (for reference only): gemm(src1, src2, alpha, src3, beta[, dst[, flags]]) -&gt; dst","ref":"Evision.html#gemm/6","title":"Evision.gemm/6","type":"function"},{"doc":"getAffineTransform Positional Arguments src : Evision.Mat.t() dst : Evision.Mat.t() Return retval : Evision.Mat.t() Has overloading in C++ Python prototype (for reference only): getAffineTransform(src, dst) -&gt; retval","ref":"Evision.html#getAffineTransform/2","title":"Evision.getAffineTransform/2","type":"function"},{"doc":"Returns full configuration time cmake output. Return retval : String Returned value is raw cmake output including version control system revision, compiler version, compiler flags, enabled modules and third party libraries, etc. Output format depends on target architecture. Python prototype (for reference only): getBuildInformation() -&gt; retval","ref":"Evision.html#getBuildInformation/0","title":"Evision.getBuildInformation/0","type":"function"},{"doc":"Returns list of CPU features enabled during compilation. Return retval : string Returned value is a string containing space separated list of CPU features with following markers: no markers - baseline features prefix * - features enabled in dispatcher suffix ? - features enabled but not available in HW Example: SSE SSE2 SSE3 *SSE4.1 *SSE4.2 *FP16 *AVX *AVX2 *AVX512-SKX? Python prototype (for reference only): getCPUFeaturesLine() -&gt; retval","ref":"Evision.html#getCPUFeaturesLine/0","title":"Evision.getCPUFeaturesLine/0","type":"function"},{"doc":"Returns the number of CPU ticks. Return retval : int64 The function returns the current number of CPU ticks on some architectures (such as x86, x64, PowerPC). On other platforms the function is equivalent to getTickCount. It can also be used for very accurate time measurements, as well as for RNG initialization. Note that in case of multi-CPU systems a thread, from which getCPUTickCount is called, can be suspended and resumed at another CPU with its own counter. So, theoretically (and practically) the subsequent calls to the function do not necessary return the monotonously increasing values. Also, since a modern CPU varies the CPU frequency depending on the load, the number of CPU clocks spent in some code cannot be directly converted to time units. Therefore, getTickCount is generally a preferable solution for measuring execution time. Python prototype (for reference only): getCPUTickCount() -&gt; retval","ref":"Evision.html#getCPUTickCount/0","title":"Evision.getCPUTickCount/0","type":"function"},{"doc":"Returns the default new camera matrix. Positional Arguments cameraMatrix : Evision.Mat.t() . Input camera matrix. Keyword Arguments imgsize : Size . Camera view image size in pixels. centerPrincipalPoint : bool . Location of the principal point in the new camera matrix. The parameter indicates whether this location should be at the image center or not. Return retval : Evision.Mat.t() The function returns the camera matrix that is either an exact copy of the input cameraMatrix (when centerPrinicipalPoint=false ), or the modified one (when centerPrincipalPoint=true). In the latter case, the new camera matrix will be: \\f[\\begin{bmatrix} f_x &amp;&amp; 0 &amp;&amp; ( \\texttt{imgSize.width} -1)*0.5 \\\\ 0 &amp;&amp; f_y &amp;&amp; ( \\texttt{imgSize.height} -1)*0.5 \\\\ 0 &amp;&amp; 0 &amp;&amp; 1 \\end{bmatrix} ,\\f] where \\f$f_x\\f$ and \\f$f_y\\f$ are \\f$(0,0)\\f$ and \\f$(1,1)\\f$ elements of cameraMatrix, respectively. By default, the undistortion functions in OpenCV (see #initUndistortRectifyMap, #undistort) do not move the principal point. However, when you work with stereo, it is important to move the principal points in both views to the same y-coordinate (which is required by most of stereo correspondence algorithms), and may be to the same x-coordinate too. So, you can form the new camera matrix for each view where the principal points are located at the center. Python prototype (for reference only): getDefaultNewCameraMatrix(cameraMatrix[, imgsize[, centerPrincipalPoint]]) -&gt; retval","ref":"Evision.html#getDefaultNewCameraMatrix/1","title":"Evision.getDefaultNewCameraMatrix/1","type":"function"},{"doc":"Returns the default new camera matrix. Positional Arguments cameraMatrix : Evision.Mat.t() . Input camera matrix. Keyword Arguments imgsize : Size . Camera view image size in pixels. centerPrincipalPoint : bool . Location of the principal point in the new camera matrix. The parameter indicates whether this location should be at the image center or not. Return retval : Evision.Mat.t() The function returns the camera matrix that is either an exact copy of the input cameraMatrix (when centerPrinicipalPoint=false ), or the modified one (when centerPrincipalPoint=true). In the latter case, the new camera matrix will be: \\f[\\begin{bmatrix} f_x &amp;&amp; 0 &amp;&amp; ( \\texttt{imgSize.width} -1)*0.5 \\\\ 0 &amp;&amp; f_y &amp;&amp; ( \\texttt{imgSize.height} -1)*0.5 \\\\ 0 &amp;&amp; 0 &amp;&amp; 1 \\end{bmatrix} ,\\f] where \\f$f_x\\f$ and \\f$f_y\\f$ are \\f$(0,0)\\f$ and \\f$(1,1)\\f$ elements of cameraMatrix, respectively. By default, the undistortion functions in OpenCV (see #initUndistortRectifyMap, #undistort) do not move the principal point. However, when you work with stereo, it is important to move the principal points in both views to the same y-coordinate (which is required by most of stereo correspondence algorithms), and may be to the same x-coordinate too. So, you can form the new camera matrix for each view where the principal points are located at the center. Python prototype (for reference only): getDefaultNewCameraMatrix(cameraMatrix[, imgsize[, centerPrincipalPoint]]) -&gt; retval","ref":"Evision.html#getDefaultNewCameraMatrix/2","title":"Evision.getDefaultNewCameraMatrix/2","type":"function"},{"doc":"Returns filter coefficients for computing spatial image derivatives. Positional Arguments dx : int . Derivative order in respect of x. dy : int . Derivative order in respect of y. ksize : int . Aperture size. It can be FILTER_SCHARR, 1, 3, 5, or 7. Keyword Arguments normalize : bool . Flag indicating whether to normalize (scale down) the filter coefficients or not. Theoretically, the coefficients should have the denominator \\f$=2^{ksize*2-dx-dy-2}\\f$. If you are going to filter floating-point images, you are likely to use the normalized kernels. But if you compute derivatives of an 8-bit image, store the results in a 16-bit image, and wish to preserve all the fractional bits, you may want to set normalize=false . ktype : int . Type of filter coefficients. It can be CV_32f or CV_64F . Return kx : Evision.Mat.t() . Output matrix of row filter coefficients. It has the type ktype . ky : Evision.Mat.t() . Output matrix of column filter coefficients. It has the type ktype . The function computes and returns the filter coefficients for spatial image derivatives. When ksize=FILTER_SCHARR , the Scharr \\f$3 \\times 3\\f$ kernels are generated (see #Scharr). Otherwise, Sobel kernels are generated (see #Sobel). The filters are normally passed to #sepFilter2D or to Python prototype (for reference only): getDerivKernels(dx, dy, ksize[, kx[, ky[, normalize[, ktype]]]]) -&gt; kx, ky","ref":"Evision.html#getDerivKernels/3","title":"Evision.getDerivKernels/3","type":"function"},{"doc":"Returns filter coefficients for computing spatial image derivatives. Positional Arguments dx : int . Derivative order in respect of x. dy : int . Derivative order in respect of y. ksize : int . Aperture size. It can be FILTER_SCHARR, 1, 3, 5, or 7. Keyword Arguments normalize : bool . Flag indicating whether to normalize (scale down) the filter coefficients or not. Theoretically, the coefficients should have the denominator \\f$=2^{ksize*2-dx-dy-2}\\f$. If you are going to filter floating-point images, you are likely to use the normalized kernels. But if you compute derivatives of an 8-bit image, store the results in a 16-bit image, and wish to preserve all the fractional bits, you may want to set normalize=false . ktype : int . Type of filter coefficients. It can be CV_32f or CV_64F . Return kx : Evision.Mat.t() . Output matrix of row filter coefficients. It has the type ktype . ky : Evision.Mat.t() . Output matrix of column filter coefficients. It has the type ktype . The function computes and returns the filter coefficients for spatial image derivatives. When ksize=FILTER_SCHARR , the Scharr \\f$3 \\times 3\\f$ kernels are generated (see #Scharr). Otherwise, Sobel kernels are generated (see #Sobel). The filters are normally passed to #sepFilter2D or to Python prototype (for reference only): getDerivKernels(dx, dy, ksize[, kx[, ky[, normalize[, ktype]]]]) -&gt; kx, ky","ref":"Evision.html#getDerivKernels/4","title":"Evision.getDerivKernels/4","type":"function"},{"doc":"Calculates the font-specific size to use to achieve a given height in pixels. Positional Arguments fontFace : int . Font to use, see cv::HersheyFonts. pixelHeight : int . Pixel height to compute the fontScale for Keyword Arguments thickness : int . Thickness of lines used to render the text.See putText for details. Return retval : double @return The fontSize to use for cv::putText @see cv::putText Python prototype (for reference only): getFontScaleFromHeight(fontFace, pixelHeight[, thickness]) -&gt; retval","ref":"Evision.html#getFontScaleFromHeight/2","title":"Evision.getFontScaleFromHeight/2","type":"function"},{"doc":"Calculates the font-specific size to use to achieve a given height in pixels. Positional Arguments fontFace : int . Font to use, see cv::HersheyFonts. pixelHeight : int . Pixel height to compute the fontScale for Keyword Arguments thickness : int . Thickness of lines used to render the text.See putText for details. Return retval : double @return The fontSize to use for cv::putText @see cv::putText Python prototype (for reference only): getFontScaleFromHeight(fontFace, pixelHeight[, thickness]) -&gt; retval","ref":"Evision.html#getFontScaleFromHeight/3","title":"Evision.getFontScaleFromHeight/3","type":"function"},{"doc":"Returns Gabor filter coefficients. Positional Arguments ksize : Size . Size of the filter returned. sigma : double . Standard deviation of the gaussian envelope. theta : double . Orientation of the normal to the parallel stripes of a Gabor function. lambd : double . Wavelength of the sinusoidal factor. gamma : double . Spatial aspect ratio. Keyword Arguments psi : double . Phase offset. ktype : int . Type of filter coefficients. It can be CV_32F or CV_64F . Return retval : Evision.Mat.t() For more details about gabor filter equations and parameters, see: Gabor Filter . Python prototype (for reference only): getGaborKernel(ksize, sigma, theta, lambd, gamma[, psi[, ktype]]) -&gt; retval","ref":"Evision.html#getGaborKernel/5","title":"Evision.getGaborKernel/5","type":"function"},{"doc":"Returns Gabor filter coefficients. Positional Arguments ksize : Size . Size of the filter returned. sigma : double . Standard deviation of the gaussian envelope. theta : double . Orientation of the normal to the parallel stripes of a Gabor function. lambd : double . Wavelength of the sinusoidal factor. gamma : double . Spatial aspect ratio. Keyword Arguments psi : double . Phase offset. ktype : int . Type of filter coefficients. It can be CV_32F or CV_64F . Return retval : Evision.Mat.t() For more details about gabor filter equations and parameters, see: Gabor Filter . Python prototype (for reference only): getGaborKernel(ksize, sigma, theta, lambd, gamma[, psi[, ktype]]) -&gt; retval","ref":"Evision.html#getGaborKernel/6","title":"Evision.getGaborKernel/6","type":"function"},{"doc":"Returns Gaussian filter coefficients. Positional Arguments ksize : int . Aperture size. It should be odd ( \\f$\\texttt{ksize} \\mod 2 = 1\\f$ ) and positive. sigma : double . Gaussian standard deviation. If it is non-positive, it is computed from ksize as sigma = 0.3*((ksize-1)*0.5 - 1) + 0.8 . Keyword Arguments ktype : int . Type of filter coefficients. It can be CV_32F or CV_64F . Return retval : Evision.Mat.t() The function computes and returns the \\f$\\texttt{ksize} \\times 1\\f$ matrix of Gaussian filter coefficients: \\f[G_i= \\alpha *e^{-(i-( \\texttt{ksize} -1)/2)^2/(2* \\texttt{sigma}^2)},\\f] where \\f$i=0..\\texttt{ksize}-1\\f$ and \\f$\\alpha\\f$ is the scale factor chosen so that \\f$\\sum_i G_i=1\\f$. Two of such generated kernels can be passed to sepFilter2D. Those functions automatically recognize smoothing kernels (a symmetrical kernel with sum of weights equal to 1) and handle them accordingly. You may also use the higher-level GaussianBlur. @sa sepFilter2D, getDerivKernels, getStructuringElement, GaussianBlur Python prototype (for reference only): getGaussianKernel(ksize, sigma[, ktype]) -&gt; retval","ref":"Evision.html#getGaussianKernel/2","title":"Evision.getGaussianKernel/2","type":"function"},{"doc":"Returns Gaussian filter coefficients. Positional Arguments ksize : int . Aperture size. It should be odd ( \\f$\\texttt{ksize} \\mod 2 = 1\\f$ ) and positive. sigma : double . Gaussian standard deviation. If it is non-positive, it is computed from ksize as sigma = 0.3*((ksize-1)*0.5 - 1) + 0.8 . Keyword Arguments ktype : int . Type of filter coefficients. It can be CV_32F or CV_64F . Return retval : Evision.Mat.t() The function computes and returns the \\f$\\texttt{ksize} \\times 1\\f$ matrix of Gaussian filter coefficients: \\f[G_i= \\alpha *e^{-(i-( \\texttt{ksize} -1)/2)^2/(2* \\texttt{sigma}^2)},\\f] where \\f$i=0..\\texttt{ksize}-1\\f$ and \\f$\\alpha\\f$ is the scale factor chosen so that \\f$\\sum_i G_i=1\\f$. Two of such generated kernels can be passed to sepFilter2D. Those functions automatically recognize smoothing kernels (a symmetrical kernel with sum of weights equal to 1) and handle them accordingly. You may also use the higher-level GaussianBlur. @sa sepFilter2D, getDerivKernels, getStructuringElement, GaussianBlur Python prototype (for reference only): getGaussianKernel(ksize, sigma[, ktype]) -&gt; retval","ref":"Evision.html#getGaussianKernel/3","title":"Evision.getGaussianKernel/3","type":"function"},{"doc":"Returns feature name by ID Positional Arguments feature : int Return retval : String Returns empty string if feature is not defined Python prototype (for reference only): getHardwareFeatureName(feature) -&gt; retval","ref":"Evision.html#getHardwareFeatureName/1","title":"Evision.getHardwareFeatureName/1","type":"function"},{"doc":"getLogLevel Return retval : int Python prototype (for reference only): getLogLevel() -&gt; retval","ref":"Evision.html#getLogLevel/0","title":"Evision.getLogLevel/0","type":"function"},{"doc":"Returns the number of logical CPUs available for the process. Return retval : int Python prototype (for reference only): getNumberOfCPUs() -&gt; retval","ref":"Evision.html#getNumberOfCPUs/0","title":"Evision.getNumberOfCPUs/0","type":"function"},{"doc":"Returns the number of threads used by OpenCV for parallel regions. Return retval : int Always returns 1 if OpenCV is built without threading support. The exact meaning of return value depends on the threading framework used by OpenCV library: TBB - The number of threads, that OpenCV will try to use for parallel regions. If there is any tbb::thread_scheduler_init in user code conflicting with OpenCV, then function returns default number of threads used by TBB library. OpenMP - An upper bound on the number of threads that could be used to form a new team. Concurrency - The number of threads, that OpenCV will try to use for parallel regions. GCD - Unsupported; returns the GCD thread pool limit (512) for compatibility. C= - The number of threads, that OpenCV will try to use for parallel regions, if before called setNumThreads with threads &gt; 0, otherwise returns the number of logical CPUs, available for the process. @sa setNumThreads, getThreadNum Python prototype (for reference only): getNumThreads() -&gt; retval","ref":"Evision.html#getNumThreads/0","title":"Evision.getNumThreads/0","type":"function"},{"doc":"Returns the optimal DFT size for a given vector size. Positional Arguments vecsize : int . vector size. Return retval : int DFT performance is not a monotonic function of a vector size. Therefore, when you calculate convolution of two arrays or perform the spectral analysis of an array, it usually makes sense to pad the input data with zeros to get a bit larger array that can be transformed much faster than the original one. Arrays whose size is a power-of-two (2, 4, 8, 16, 32, ...) are the fastest to process. Though, the arrays whose size is a product of 2's, 3's, and 5's (for example, 300 = 5*5*3*2*2) are also processed quite efficiently. The function cv::getOptimalDFTSize returns the minimum number N that is greater than or equal to vecsize so that the DFT of a vector of size N can be processed efficiently. In the current implementation N = 2 ^p^ * 3 ^q^ * 5 ^r^ for some integer p, q, r. The function returns a negative number if vecsize is too large (very close to INT_MAX ). While the function cannot be used directly to estimate the optimal vector size for DCT transform (since the current DCT implementation supports only even-size vectors), it can be easily processed as getOptimalDFTSize((vecsize+1)/2)*2. @sa dft , dct , idft , idct , mulSpectrums Python prototype (for reference only): getOptimalDFTSize(vecsize) -&gt; retval","ref":"Evision.html#getOptimalDFTSize/1","title":"Evision.getOptimalDFTSize/1","type":"function"},{"doc":"Returns the new camera intrinsic matrix based on the free scaling parameter. Positional Arguments cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix. distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. imageSize : Size . Original image size. alpha : double . Free scaling parameter between 0 (when all the pixels in the undistorted image are valid) and 1 (when all the source image pixels are retained in the undistorted image). See #stereoRectify for details. Keyword Arguments newImgSize : Size . Image size after rectification. By default, it is set to imageSize . centerPrincipalPoint : bool . Optional flag that indicates whether in the new camera intrinsic matrix the principal point should be at the image center or not. By default, the principal point is chosen to best fit a subset of the source image (determined by alpha) to the corrected image. Return retval : Evision.Mat.t() validPixROI : Rect* . Optional output rectangle that outlines all-good-pixels region in the undistorted image. See roi1, roi2 description in #stereoRectify . @return new_camera_matrix Output new camera intrinsic matrix. The function computes and returns the optimal new camera intrinsic matrix based on the free scaling parameter. By varying this parameter, you may retrieve only sensible pixels alpha=0 , keep all the original image pixels if there is valuable information in the corners alpha=1 , or get something in between. When alpha&gt;0 , the undistorted result is likely to have some black pixels corresponding to &quot;virtual&quot; pixels outside of the captured distorted image. The original camera intrinsic matrix, distortion coefficients, the computed new camera intrinsic matrix, and newImageSize should be passed to #initUndistortRectifyMap to produce the maps for #remap . Python prototype (for reference only): getOptimalNewCameraMatrix(cameraMatrix, distCoeffs, imageSize, alpha[, newImgSize[, centerPrincipalPoint]]) -&gt; retval, validPixROI","ref":"Evision.html#getOptimalNewCameraMatrix/4","title":"Evision.getOptimalNewCameraMatrix/4","type":"function"},{"doc":"Returns the new camera intrinsic matrix based on the free scaling parameter. Positional Arguments cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix. distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. imageSize : Size . Original image size. alpha : double . Free scaling parameter between 0 (when all the pixels in the undistorted image are valid) and 1 (when all the source image pixels are retained in the undistorted image). See #stereoRectify for details. Keyword Arguments newImgSize : Size . Image size after rectification. By default, it is set to imageSize . centerPrincipalPoint : bool . Optional flag that indicates whether in the new camera intrinsic matrix the principal point should be at the image center or not. By default, the principal point is chosen to best fit a subset of the source image (determined by alpha) to the corrected image. Return retval : Evision.Mat.t() validPixROI : Rect* . Optional output rectangle that outlines all-good-pixels region in the undistorted image. See roi1, roi2 description in #stereoRectify . @return new_camera_matrix Output new camera intrinsic matrix. The function computes and returns the optimal new camera intrinsic matrix based on the free scaling parameter. By varying this parameter, you may retrieve only sensible pixels alpha=0 , keep all the original image pixels if there is valuable information in the corners alpha=1 , or get something in between. When alpha&gt;0 , the undistorted result is likely to have some black pixels corresponding to &quot;virtual&quot; pixels outside of the captured distorted image. The original camera intrinsic matrix, distortion coefficients, the computed new camera intrinsic matrix, and newImageSize should be passed to #initUndistortRectifyMap to produce the maps for #remap . Python prototype (for reference only): getOptimalNewCameraMatrix(cameraMatrix, distCoeffs, imageSize, alpha[, newImgSize[, centerPrincipalPoint]]) -&gt; retval, validPixROI","ref":"Evision.html#getOptimalNewCameraMatrix/5","title":"Evision.getOptimalNewCameraMatrix/5","type":"function"},{"doc":"Calculates a perspective transform from four pairs of the corresponding points. Positional Arguments src : Evision.Mat.t() . Coordinates of quadrangle vertices in the source image. dst : Evision.Mat.t() . Coordinates of the corresponding quadrangle vertices in the destination image. Keyword Arguments solveMethod : int . method passed to cv::solve (#DecompTypes) Return retval : Evision.Mat.t() The function calculates the \\f$3 \\times 3\\f$ matrix of a perspective transform so that: \\f[\\begin{bmatrix} t_i x'_i \\\\ t_i y'_i \\\\ t_i \\end{bmatrix} = \\texttt{map_matrix} \\cdot \\begin{bmatrix} x_i \\\\ y_i \\\\ 1 \\end{bmatrix}\\f] where \\f[dst(i)=(x'_i,y'_i), src(i)=(x_i, y_i), i=0,1,2,3\\f] @sa findHomography, warpPerspective, perspectiveTransform Python prototype (for reference only): getPerspectiveTransform(src, dst[, solveMethod]) -&gt; retval","ref":"Evision.html#getPerspectiveTransform/2","title":"Evision.getPerspectiveTransform/2","type":"function"},{"doc":"Calculates a perspective transform from four pairs of the corresponding points. Positional Arguments src : Evision.Mat.t() . Coordinates of quadrangle vertices in the source image. dst : Evision.Mat.t() . Coordinates of the corresponding quadrangle vertices in the destination image. Keyword Arguments solveMethod : int . method passed to cv::solve (#DecompTypes) Return retval : Evision.Mat.t() The function calculates the \\f$3 \\times 3\\f$ matrix of a perspective transform so that: \\f[\\begin{bmatrix} t_i x'_i \\\\ t_i y'_i \\\\ t_i \\end{bmatrix} = \\texttt{map_matrix} \\cdot \\begin{bmatrix} x_i \\\\ y_i \\\\ 1 \\end{bmatrix}\\f] where \\f[dst(i)=(x'_i,y'_i), src(i)=(x_i, y_i), i=0,1,2,3\\f] @sa findHomography, warpPerspective, perspectiveTransform Python prototype (for reference only): getPerspectiveTransform(src, dst[, solveMethod]) -&gt; retval","ref":"Evision.html#getPerspectiveTransform/3","title":"Evision.getPerspectiveTransform/3","type":"function"},{"doc":"Retrieves a pixel rectangle from an image with sub-pixel accuracy. Positional Arguments image : Evision.Mat.t() . Source image. patchSize : Size . Size of the extracted patch. center : Point2f . Floating point coordinates of the center of the extracted rectangle within the source image. The center must be inside the image. Keyword Arguments patchType : int . Depth of the extracted pixels. By default, they have the same depth as src . Return patch : Evision.Mat.t() . Extracted patch that has the size patchSize and the same number of channels as src . The function getRectSubPix extracts pixels from src: \\f[patch(x, y) = src(x + \\texttt{center.x} - ( \\texttt{dst.cols} -1)*0.5, y + \\texttt{center.y} - ( \\texttt{dst.rows} -1)*0.5)\\f] where the values of the pixels at non-integer coordinates are retrieved using bilinear interpolation. Every channel of multi-channel images is processed independently. Also the image should be a single channel or three channel image. While the center of the rectangle must be inside the image, parts of the rectangle may be outside. @sa warpAffine, warpPerspective Python prototype (for reference only): getRectSubPix(image, patchSize, center[, patch[, patchType]]) -&gt; patch","ref":"Evision.html#getRectSubPix/3","title":"Evision.getRectSubPix/3","type":"function"},{"doc":"Retrieves a pixel rectangle from an image with sub-pixel accuracy. Positional Arguments image : Evision.Mat.t() . Source image. patchSize : Size . Size of the extracted patch. center : Point2f . Floating point coordinates of the center of the extracted rectangle within the source image. The center must be inside the image. Keyword Arguments patchType : int . Depth of the extracted pixels. By default, they have the same depth as src . Return patch : Evision.Mat.t() . Extracted patch that has the size patchSize and the same number of channels as src . The function getRectSubPix extracts pixels from src: \\f[patch(x, y) = src(x + \\texttt{center.x} - ( \\texttt{dst.cols} -1)*0.5, y + \\texttt{center.y} - ( \\texttt{dst.rows} -1)*0.5)\\f] where the values of the pixels at non-integer coordinates are retrieved using bilinear interpolation. Every channel of multi-channel images is processed independently. Also the image should be a single channel or three channel image. While the center of the rectangle must be inside the image, parts of the rectangle may be outside. @sa warpAffine, warpPerspective Python prototype (for reference only): getRectSubPix(image, patchSize, center[, patch[, patchType]]) -&gt; patch","ref":"Evision.html#getRectSubPix/4","title":"Evision.getRectSubPix/4","type":"function"},{"doc":"Calculates an affine matrix of 2D rotation. Positional Arguments center : Point2f . Center of the rotation in the source image. angle : double . Rotation angle in degrees. Positive values mean counter-clockwise rotation (the coordinate origin is assumed to be the top-left corner). scale : double . Isotropic scale factor. Return retval : Evision.Mat.t() The function calculates the following matrix: \\f[\\begin{bmatrix} \\alpha &amp; \\beta &amp; (1- \\alpha ) \\cdot \\texttt{center.x} - \\beta \\cdot \\texttt{center.y} \\\\ - \\beta &amp; \\alpha &amp; \\beta \\cdot \\texttt{center.x} + (1- \\alpha ) \\cdot \\texttt{center.y} \\end{bmatrix}\\f] where \\f[\\begin{array}{l} \\alpha = \\texttt{scale} \\cdot \\cos \\texttt{angle} , \\\\ \\beta = \\texttt{scale} \\cdot \\sin \\texttt{angle} \\end{array}\\f] The transformation maps the rotation center to itself. If this is not the target, adjust the shift. @sa getAffineTransform, warpAffine, transform Python prototype (for reference only): getRotationMatrix2D(center, angle, scale) -&gt; retval","ref":"Evision.html#getRotationMatrix2D/3","title":"Evision.getRotationMatrix2D/3","type":"function"},{"doc":"Returns a structuring element of the specified size and shape for morphological operations. Positional Arguments shape : int . Element shape that could be one of #MorphShapes ksize : Size . Size of the structuring element. Keyword Arguments anchor : Point . Anchor position within the element. The default value \\f$(-1, -1)\\f$ means that the anchor is at the center. Note that only the shape of a cross-shaped element depends on the anchor position. In other cases the anchor just regulates how much the result of the morphological operation is shifted. Return retval : Evision.Mat.t() The function constructs and returns the structuring element that can be further passed to #erode, #dilate or #morphologyEx. But you can also construct an arbitrary binary mask yourself and use it as the structuring element. Python prototype (for reference only): getStructuringElement(shape, ksize[, anchor]) -&gt; retval","ref":"Evision.html#getStructuringElement/2","title":"Evision.getStructuringElement/2","type":"function"},{"doc":"Returns a structuring element of the specified size and shape for morphological operations. Positional Arguments shape : int . Element shape that could be one of #MorphShapes ksize : Size . Size of the structuring element. Keyword Arguments anchor : Point . Anchor position within the element. The default value \\f$(-1, -1)\\f$ means that the anchor is at the center. Note that only the shape of a cross-shaped element depends on the anchor position. In other cases the anchor just regulates how much the result of the morphological operation is shifted. Return retval : Evision.Mat.t() The function constructs and returns the structuring element that can be further passed to #erode, #dilate or #morphologyEx. But you can also construct an arbitrary binary mask yourself and use it as the structuring element. Python prototype (for reference only): getStructuringElement(shape, ksize[, anchor]) -&gt; retval","ref":"Evision.html#getStructuringElement/3","title":"Evision.getStructuringElement/3","type":"function"},{"doc":"Calculates the width and height of a text string. Positional Arguments text : String . Input text string. fontFace : int . Font to use, see #HersheyFonts. fontScale : double . Font scale factor that is multiplied by the font-specific base size. thickness : int . Thickness of lines used to render the text. See #putText for details. Return retval : Size baseLine : int* . y-coordinate of the baseline relative to the bottom-most text point. The function cv::getTextSize calculates and returns the size of a box that contains the specified text. That is, the following code renders some text, the tight box surrounding it, and the baseline: : String text = &quot;Funny text inside the box&quot; ; int fontFace = FONT_HERSHEY_SCRIPT_SIMPLEX ; double fontScale = 2 ; int thickness = 3 ; Mat img ( 600 , 800 , CV_8UC3 , Scalar :: all ( 0 ) ) ; int baseline = 0 ; Size textSize = getTextSize ( text , fontFace , fontScale , thickness , &amp; baseline ) ; baseline + = thickness ; // center the text Point textOrg ( ( img . cols - textSize . width ) / 2 , ( img . rows + textSize . height ) / 2 ) ; // draw the box rectangle ( img , textOrg + Point ( 0 , baseline ) , textOrg + Point ( textSize . width , - textSize . height ) , Scalar ( 0 , 0 , 255 ) ) ; // ... and the baseline first line ( img , textOrg + Point ( 0 , thickness ) , textOrg + Point ( textSize . width , thickness ) , Scalar ( 0 , 0 , 255 ) ) ; // then put the text itself putText ( img , text , textOrg , fontFace , fontScale , Scalar :: all ( 255 ) , thickness , 8 ) ; @return The size of a box that contains the specified text. @see putText Python prototype (for reference only): getTextSize(text, fontFace, fontScale, thickness) -&gt; retval, baseLine","ref":"Evision.html#getTextSize/4","title":"Evision.getTextSize/4","type":"function"},{"doc":"Returns the index of the currently executed thread within the current parallel region. Always returns 0 if called outside of parallel region. Return retval : int @deprecated Current implementation doesn't corresponding to this documentation. The exact meaning of the return value depends on the threading framework used by OpenCV library: TBB - Unsupported with current 4.1 TBB release. Maybe will be supported in future. OpenMP - The thread number, within the current team, of the calling thread. Concurrency - An ID for the virtual processor that the current context is executing on (0 for master thread and unique number for others, but not necessary 1,2,3,...). GCD - System calling thread's ID. Never returns 0 inside parallel region. C= - The index of the current parallel task. @sa setNumThreads, getNumThreads Python prototype (for reference only): getThreadNum() -&gt; retval","ref":"Evision.html#getThreadNum/0","title":"Evision.getThreadNum/0","type":"function"},{"doc":"Returns the number of ticks. Return retval : int64 The function returns the number of ticks after the certain event (for example, when the machine was turned on). It can be used to initialize RNG or to measure a function execution time by reading the tick count before and after the function call. @sa getTickFrequency, TickMeter Python prototype (for reference only): getTickCount() -&gt; retval","ref":"Evision.html#getTickCount/0","title":"Evision.getTickCount/0","type":"function"},{"doc":"Returns the number of ticks per second. Return retval : double The function returns the number of ticks per second. That is, the following code computes the execution time in seconds: double t = ( double ) getTickCount ( ) ; // do something ... t = ( ( double ) getTickCount ( ) - t ) / getTickFrequency ( ) ; @sa getTickCount, TickMeter Python prototype (for reference only): getTickFrequency() -&gt; retval","ref":"Evision.html#getTickFrequency/0","title":"Evision.getTickFrequency/0","type":"function"},{"doc":"Returns the trackbar position. Positional Arguments trackbarname : String . Name of the trackbar. winname : String . Name of the window that is the parent of the trackbar. Return retval : int The function returns the current position of the specified trackbar. Note : [ Qt Backend Only ] winname can be empty if the trackbar is attached to the control panel. Python prototype (for reference only): getTrackbarPos(trackbarname, winname) -&gt; retval","ref":"Evision.html#getTrackbarPos/2","title":"Evision.getTrackbarPos/2","type":"function"},{"doc":"getValidDisparityROI Positional Arguments roi1 : Rect roi2 : Rect minDisparity : int numberOfDisparities : int blockSize : int Return retval : Rect Python prototype (for reference only): getValidDisparityROI(roi1, roi2, minDisparity, numberOfDisparities, blockSize) -&gt; retval","ref":"Evision.html#getValidDisparityROI/5","title":"Evision.getValidDisparityROI/5","type":"function"},{"doc":"Returns major library version Return retval : int Python prototype (for reference only): getVersionMajor() -&gt; retval","ref":"Evision.html#getVersionMajor/0","title":"Evision.getVersionMajor/0","type":"function"},{"doc":"Returns minor library version Return retval : int Python prototype (for reference only): getVersionMinor() -&gt; retval","ref":"Evision.html#getVersionMinor/0","title":"Evision.getVersionMinor/0","type":"function"},{"doc":"Returns revision field of the library version Return retval : int Python prototype (for reference only): getVersionRevision() -&gt; retval","ref":"Evision.html#getVersionRevision/0","title":"Evision.getVersionRevision/0","type":"function"},{"doc":"Returns library version string Return retval : String For example &quot;3.4.1-dev&quot;. @sa getMajorVersion, getMinorVersion, getRevisionVersion Python prototype (for reference only): getVersionString() -&gt; retval","ref":"Evision.html#getVersionString/0","title":"Evision.getVersionString/0","type":"function"},{"doc":"Provides rectangle of image in the window. Positional Arguments winname : String . Name of the window. Return retval : Rect The function getWindowImageRect returns the client screen coordinates, width and height of the image rendering area. @sa resizeWindow moveWindow Python prototype (for reference only): getWindowImageRect(winname) -&gt; retval","ref":"Evision.html#getWindowImageRect/1","title":"Evision.getWindowImageRect/1","type":"function"},{"doc":"Provides parameters of a window. Positional Arguments winname : String . Name of the window. prop_id : int . Window property to retrieve. The following operation flags are available: (cv::WindowPropertyFlags) Return retval : double The function getWindowProperty returns properties of a window. @sa setWindowProperty Python prototype (for reference only): getWindowProperty(winname, prop_id) -&gt; retval","ref":"Evision.html#getWindowProperty/2","title":"Evision.getWindowProperty/2","type":"function"},{"doc":"Determines strong corners on an image. Positional Arguments image : Evision.Mat.t() . Input 8-bit or floating-point 32-bit, single-channel image. maxCorners : int . Maximum number of corners to return. If there are more corners than are found, the strongest of them is returned. maxCorners &lt;= 0 implies that no limit on the maximum is set and all detected corners are returned. qualityLevel : double . Parameter characterizing the minimal accepted quality of image corners. The parameter value is multiplied by the best corner quality measure, which is the minimal eigenvalue (see #cornerMinEigenVal ) or the Harris function response (see #cornerHarris ). The corners with the quality measure less than the product are rejected. For example, if the best corner has the quality measure = 1500, and the qualityLevel=0.01 , then all the corners with the quality measure less than 15 are rejected. minDistance : double . Minimum possible Euclidean distance between the returned corners. Keyword Arguments mask : Evision.Mat.t() . Optional region of interest. If the image is not empty (it needs to have the type CV_8UC1 and the same size as image ), it specifies the region in which the corners are detected. blockSize : int . Size of an average block for computing a derivative covariation matrix over each pixel neighborhood. See cornerEigenValsAndVecs . useHarrisDetector : bool . Parameter indicating whether to use a Harris detector (see #cornerHarris) or #cornerMinEigenVal. k : double . Free parameter of the Harris detector. Return corners : Evision.Mat.t() . Output vector of detected corners. The function finds the most prominent corners in the image or in the specified image region, as described in @cite Shi94 Function calculates the corner quality measure at every source image pixel using the #cornerMinEigenVal or #cornerHarris . Function performs a non-maximum suppression (the local maximums in 3 x 3 neighborhood are retained). The corners with the minimal eigenvalue less than \\f$\\texttt{qualityLevel} \\cdot \\max_{x,y} qualityMeasureMap(x,y)\\f$ are rejected. The remaining corners are sorted by the quality measure in the descending order. Function throws away each corner for which there is a stronger corner at a distance less than maxDistance. The function can be used to initialize a point-based tracker of an object. Note : If the function is called with different values A and B of the parameter qualityLevel , and A &gt; B, the vector of returned corners with qualityLevel=A will be the prefix of the output vector with qualityLevel=B . @sa cornerMinEigenVal, cornerHarris, calcOpticalFlowPyrLK, estimateRigidTransform, Python prototype (for reference only): goodFeaturesToTrack(image, maxCorners, qualityLevel, minDistance[, corners[, mask[, blockSize[, useHarrisDetector[, k]]]]]) -&gt; corners","ref":"Evision.html#goodFeaturesToTrack/4","title":"Evision.goodFeaturesToTrack/4","type":"function"},{"doc":"Determines strong corners on an image. Positional Arguments image : Evision.Mat.t() . Input 8-bit or floating-point 32-bit, single-channel image. maxCorners : int . Maximum number of corners to return. If there are more corners than are found, the strongest of them is returned. maxCorners &lt;= 0 implies that no limit on the maximum is set and all detected corners are returned. qualityLevel : double . Parameter characterizing the minimal accepted quality of image corners. The parameter value is multiplied by the best corner quality measure, which is the minimal eigenvalue (see #cornerMinEigenVal ) or the Harris function response (see #cornerHarris ). The corners with the quality measure less than the product are rejected. For example, if the best corner has the quality measure = 1500, and the qualityLevel=0.01 , then all the corners with the quality measure less than 15 are rejected. minDistance : double . Minimum possible Euclidean distance between the returned corners. Keyword Arguments mask : Evision.Mat.t() . Optional region of interest. If the image is not empty (it needs to have the type CV_8UC1 and the same size as image ), it specifies the region in which the corners are detected. blockSize : int . Size of an average block for computing a derivative covariation matrix over each pixel neighborhood. See cornerEigenValsAndVecs . useHarrisDetector : bool . Parameter indicating whether to use a Harris detector (see #cornerHarris) or #cornerMinEigenVal. k : double . Free parameter of the Harris detector. Return corners : Evision.Mat.t() . Output vector of detected corners. The function finds the most prominent corners in the image or in the specified image region, as described in @cite Shi94 Function calculates the corner quality measure at every source image pixel using the #cornerMinEigenVal or #cornerHarris . Function performs a non-maximum suppression (the local maximums in 3 x 3 neighborhood are retained). The corners with the minimal eigenvalue less than \\f$\\texttt{qualityLevel} \\cdot \\max_{x,y} qualityMeasureMap(x,y)\\f$ are rejected. The remaining corners are sorted by the quality measure in the descending order. Function throws away each corner for which there is a stronger corner at a distance less than maxDistance. The function can be used to initialize a point-based tracker of an object. Note : If the function is called with different values A and B of the parameter qualityLevel , and A &gt; B, the vector of returned corners with qualityLevel=A will be the prefix of the output vector with qualityLevel=B . @sa cornerMinEigenVal, cornerHarris, calcOpticalFlowPyrLK, estimateRigidTransform, Python prototype (for reference only): goodFeaturesToTrack(image, maxCorners, qualityLevel, minDistance[, corners[, mask[, blockSize[, useHarrisDetector[, k]]]]]) -&gt; corners","ref":"Evision.html#goodFeaturesToTrack/5","title":"Evision.goodFeaturesToTrack/5","type":"function"},{"doc":"goodFeaturesToTrack Positional Arguments image : Evision.Mat.t() maxCorners : int qualityLevel : double minDistance : double mask : Evision.Mat.t() blockSize : int gradientSize : int Keyword Arguments useHarrisDetector : bool . k : double . Return corners : Evision.Mat.t() . Python prototype (for reference only): goodFeaturesToTrack(image, maxCorners, qualityLevel, minDistance, mask, blockSize, gradientSize[, corners[, useHarrisDetector[, k]]]) -&gt; corners","ref":"Evision.html#goodFeaturesToTrack/7","title":"Evision.goodFeaturesToTrack/7","type":"function"},{"doc":"goodFeaturesToTrack Positional Arguments image : Evision.Mat.t() maxCorners : int qualityLevel : double minDistance : double mask : Evision.Mat.t() blockSize : int gradientSize : int Keyword Arguments useHarrisDetector : bool . k : double . Return corners : Evision.Mat.t() . Python prototype (for reference only): goodFeaturesToTrack(image, maxCorners, qualityLevel, minDistance, mask, blockSize, gradientSize[, corners[, useHarrisDetector[, k]]]) -&gt; corners","ref":"Evision.html#goodFeaturesToTrack/8","title":"Evision.goodFeaturesToTrack/8","type":"function"},{"doc":"Same as above, but returns also quality measure of the detected corners. Positional Arguments image : Evision.Mat.t() . Input 8-bit or floating-point 32-bit, single-channel image. maxCorners : int . Maximum number of corners to return. If there are more corners than are found, the strongest of them is returned. maxCorners &lt;= 0 implies that no limit on the maximum is set and all detected corners are returned. qualityLevel : double . Parameter characterizing the minimal accepted quality of image corners. The parameter value is multiplied by the best corner quality measure, which is the minimal eigenvalue (see #cornerMinEigenVal ) or the Harris function response (see #cornerHarris ). The corners with the quality measure less than the product are rejected. For example, if the best corner has the quality measure = 1500, and the qualityLevel=0.01 , then all the corners with the quality measure less than 15 are rejected. minDistance : double . Minimum possible Euclidean distance between the returned corners. mask : Evision.Mat.t() . Region of interest. If the image is not empty (it needs to have the type CV_8UC1 and the same size as image ), it specifies the region in which the corners are detected. Keyword Arguments blockSize : int . Size of an average block for computing a derivative covariation matrix over each pixel neighborhood. See cornerEigenValsAndVecs . gradientSize : int . Aperture parameter for the Sobel operator used for derivatives computation. See cornerEigenValsAndVecs . useHarrisDetector : bool . Parameter indicating whether to use a Harris detector (see #cornerHarris) or #cornerMinEigenVal. k : double . Free parameter of the Harris detector. Return corners : Evision.Mat.t() . Output vector of detected corners. cornersQuality : Evision.Mat.t() . Output vector of quality measure of the detected corners. Python prototype (for reference only): goodFeaturesToTrackWithQuality(image, maxCorners, qualityLevel, minDistance, mask[, corners[, cornersQuality[, blockSize[, gradientSize[, useHarrisDetector[, k]]]]]]) -&gt; corners, cornersQuality","ref":"Evision.html#goodFeaturesToTrackWithQuality/5","title":"Evision.goodFeaturesToTrackWithQuality/5","type":"function"},{"doc":"Same as above, but returns also quality measure of the detected corners. Positional Arguments image : Evision.Mat.t() . Input 8-bit or floating-point 32-bit, single-channel image. maxCorners : int . Maximum number of corners to return. If there are more corners than are found, the strongest of them is returned. maxCorners &lt;= 0 implies that no limit on the maximum is set and all detected corners are returned. qualityLevel : double . Parameter characterizing the minimal accepted quality of image corners. The parameter value is multiplied by the best corner quality measure, which is the minimal eigenvalue (see #cornerMinEigenVal ) or the Harris function response (see #cornerHarris ). The corners with the quality measure less than the product are rejected. For example, if the best corner has the quality measure = 1500, and the qualityLevel=0.01 , then all the corners with the quality measure less than 15 are rejected. minDistance : double . Minimum possible Euclidean distance between the returned corners. mask : Evision.Mat.t() . Region of interest. If the image is not empty (it needs to have the type CV_8UC1 and the same size as image ), it specifies the region in which the corners are detected. Keyword Arguments blockSize : int . Size of an average block for computing a derivative covariation matrix over each pixel neighborhood. See cornerEigenValsAndVecs . gradientSize : int . Aperture parameter for the Sobel operator used for derivatives computation. See cornerEigenValsAndVecs . useHarrisDetector : bool . Parameter indicating whether to use a Harris detector (see #cornerHarris) or #cornerMinEigenVal. k : double . Free parameter of the Harris detector. Return corners : Evision.Mat.t() . Output vector of detected corners. cornersQuality : Evision.Mat.t() . Output vector of quality measure of the detected corners. Python prototype (for reference only): goodFeaturesToTrackWithQuality(image, maxCorners, qualityLevel, minDistance, mask[, corners[, cornersQuality[, blockSize[, gradientSize[, useHarrisDetector[, k]]]]]]) -&gt; corners, cornersQuality","ref":"Evision.html#goodFeaturesToTrackWithQuality/6","title":"Evision.goodFeaturesToTrackWithQuality/6","type":"function"},{"doc":"Runs the GrabCut algorithm. Positional Arguments img : Evision.Mat.t() . Input 8-bit 3-channel image. rect : Rect . ROI containing a segmented object. The pixels outside of the ROI are marked as &quot;obvious background&quot;. The parameter is only used when mode==#GC_INIT_WITH_RECT . iterCount : int . Number of iterations the algorithm should make before returning the result. Note that the result can be refined with further calls with mode==#GC_INIT_WITH_MASK or mode==GC_EVAL . Keyword Arguments mode : int . Operation mode that could be one of the #GrabCutModes Return mask : Evision.Mat.t() . Input/output 8-bit single-channel mask. The mask is initialized by the function when mode is set to #GC_INIT_WITH_RECT. Its elements may have one of the #GrabCutClasses. bgdModel : Evision.Mat.t() . Temporary array for the background model. Do not modify it while you are processing the same image. fgdModel : Evision.Mat.t() . Temporary arrays for the foreground model. Do not modify it while you are processing the same image. The function implements the GrabCut image segmentation algorithm . Python prototype (for reference only): grabCut(img, mask, rect, bgdModel, fgdModel, iterCount[, mode]) -&gt; mask, bgdModel, fgdModel","ref":"Evision.html#grabCut/6","title":"Evision.grabCut/6","type":"function"},{"doc":"Runs the GrabCut algorithm. Positional Arguments img : Evision.Mat.t() . Input 8-bit 3-channel image. rect : Rect . ROI containing a segmented object. The pixels outside of the ROI are marked as &quot;obvious background&quot;. The parameter is only used when mode==#GC_INIT_WITH_RECT . iterCount : int . Number of iterations the algorithm should make before returning the result. Note that the result can be refined with further calls with mode==#GC_INIT_WITH_MASK or mode==GC_EVAL . Keyword Arguments mode : int . Operation mode that could be one of the #GrabCutModes Return mask : Evision.Mat.t() . Input/output 8-bit single-channel mask. The mask is initialized by the function when mode is set to #GC_INIT_WITH_RECT. Its elements may have one of the #GrabCutClasses. bgdModel : Evision.Mat.t() . Temporary array for the background model. Do not modify it while you are processing the same image. fgdModel : Evision.Mat.t() . Temporary arrays for the foreground model. Do not modify it while you are processing the same image. The function implements the GrabCut image segmentation algorithm . Python prototype (for reference only): grabCut(img, mask, rect, bgdModel, fgdModel, iterCount[, mode]) -&gt; mask, bgdModel, fgdModel","ref":"Evision.html#grabCut/7","title":"Evision.grabCut/7","type":"function"},{"doc":"groupRectangles Positional Arguments groupThreshold : int Keyword Arguments eps : double . Return rectList : [Rect] weights : [int] Has overloading in C++ Python prototype (for reference only): groupRectangles(rectList, groupThreshold[, eps]) -&gt; rectList, weights","ref":"Evision.html#groupRectangles/2","title":"Evision.groupRectangles/2","type":"function"},{"doc":"groupRectangles Positional Arguments groupThreshold : int Keyword Arguments eps : double . Return rectList : [Rect] weights : [int] Has overloading in C++ Python prototype (for reference only): groupRectangles(rectList, groupThreshold[, eps]) -&gt; rectList, weights","ref":"Evision.html#groupRectangles/3","title":"Evision.groupRectangles/3","type":"function"},{"doc":"Returns true if the specified image can be decoded by OpenCV Positional Arguments filename : String . File name of the image Return retval : bool Python prototype (for reference only): haveImageReader(filename) -&gt; retval","ref":"Evision.html#haveImageReader/1","title":"Evision.haveImageReader/1","type":"function"},{"doc":"Returns true if an image with the specified filename can be encoded by OpenCV Positional Arguments filename : String . File name of the image Return retval : bool Python prototype (for reference only): haveImageWriter(filename) -&gt; retval","ref":"Evision.html#haveImageWriter/1","title":"Evision.haveImageWriter/1","type":"function"},{"doc":"haveOpenVX Return retval : bool Python prototype (for reference only): haveOpenVX() -&gt; retval","ref":"Evision.html#haveOpenVX/0","title":"Evision.haveOpenVX/0","type":"function"},{"doc":"hconcat Positional Arguments src : [Evision.Mat] . input array or vector of matrices. all of the matrices must have the same number of rows and the same depth. Return dst : Evision.Mat.t() . output array. It has the same number of rows and depth as the src, and the sum of cols of the src. same depth. Has overloading in C++ std::vector&lt;cv::Mat&gt; matrices = { cv::Mat(4, 1, CV_8UC1, cv::Scalar(1)), cv::Mat(4, 1, CV_8UC1, cv::Scalar(2)), cv::Mat(4, 1, CV_8UC1, cv::Scalar(3)),}; cv::Mat out; cv::hconcat( matrices, out ); //out: //[1, 2, 3; // 1, 2, 3; // 1, 2, 3; // 1, 2, 3] Python prototype (for reference only): hconcat(src[, dst]) -&gt; dst","ref":"Evision.html#hconcat/1","title":"Evision.hconcat/1","type":"function"},{"doc":"hconcat Positional Arguments src : [Evision.Mat] . input array or vector of matrices. all of the matrices must have the same number of rows and the same depth. Return dst : Evision.Mat.t() . output array. It has the same number of rows and depth as the src, and the sum of cols of the src. same depth. Has overloading in C++ std::vector&lt;cv::Mat&gt; matrices = { cv::Mat(4, 1, CV_8UC1, cv::Scalar(1)), cv::Mat(4, 1, CV_8UC1, cv::Scalar(2)), cv::Mat(4, 1, CV_8UC1, cv::Scalar(3)),}; cv::Mat out; cv::hconcat( matrices, out ); //out: //[1, 2, 3; // 1, 2, 3; // 1, 2, 3; // 1, 2, 3] Python prototype (for reference only): hconcat(src[, dst]) -&gt; dst","ref":"Evision.html#hconcat/2","title":"Evision.hconcat/2","type":"function"},{"doc":"Finds circles in a grayscale image using the Hough transform. Positional Arguments image : Evision.Mat.t() . 8-bit, single-channel, grayscale input image. method : int . Detection method, see #HoughModes. The available methods are #HOUGH_GRADIENT and #HOUGH_GRADIENT_ALT. dp : double . Inverse ratio of the accumulator resolution to the image resolution. For example, if dp=1 , the accumulator has the same resolution as the input image. If dp=2 , the accumulator has half as big width and height. For #HOUGH_GRADIENT_ALT the recommended value is dp=1.5, unless some small very circles need to be detected. minDist : double . Minimum distance between the centers of the detected circles. If the parameter is too small, multiple neighbor circles may be falsely detected in addition to a true one. If it is too large, some circles may be missed. Keyword Arguments param1 : double . First method-specific parameter. In case of #HOUGH_GRADIENT and #HOUGH_GRADIENT_ALT, it is the higher threshold of the two passed to the Canny edge detector (the lower one is twice smaller). Note that #HOUGH_GRADIENT_ALT uses #Scharr algorithm to compute image derivatives, so the threshold value shough normally be higher, such as 300 or normally exposed and contrasty images. param2 : double . Second method-specific parameter. In case of #HOUGH_GRADIENT, it is the accumulator threshold for the circle centers at the detection stage. The smaller it is, the more false circles may be detected. Circles, corresponding to the larger accumulator values, will be returned first. In the case of #HOUGH_GRADIENT_ALT algorithm, this is the circle &quot;perfectness&quot; measure. The closer it to 1, the better shaped circles algorithm selects. In most cases 0.9 should be fine. If you want get better detection of small circles, you may decrease it to 0.85, 0.8 or even less. But then also try to limit the search range [minRadius, maxRadius] to avoid many false circles. minRadius : int . Minimum circle radius. maxRadius : int . Maximum circle radius. If &lt;= 0, uses the maximum image dimension. If &lt; 0, #HOUGH_GRADIENT returns centers without finding the radius. #HOUGH_GRADIENT_ALT always computes circle radiuses. Return circles : Evision.Mat.t() . Output vector of found circles. Each vector is encoded as 3 or 4 element floating-point vector \\f$(x, y, radius)\\f$ or \\f$(x, y, radius, votes)\\f$ . The function finds circles in a grayscale image using a modification of the Hough transform. Example: : @include snippets/imgproc_HoughLinesCircles.cpp Note : Usually the function detects the centers of circles well. However, it may fail to find correct radii. You can assist to the function by specifying the radius range ( minRadius and maxRadius ) if you know it. Or, in the case of #HOUGH_GRADIENT method you may set maxRadius to a negative number to return centers only without radius search, and find the correct radius using an additional procedure. It also helps to smooth image a bit unless it's already soft. For example, GaussianBlur() with 7x7 kernel and 1.5x1.5 sigma or similar blurring may help. @sa fitEllipse, minEnclosingCircle Python prototype (for reference only): HoughCircles(image, method, dp, minDist[, circles[, param1[, param2[, minRadius[, maxRadius]]]]]) -&gt; circles","ref":"Evision.html#houghCircles/4","title":"Evision.houghCircles/4","type":"function"},{"doc":"Finds circles in a grayscale image using the Hough transform. Positional Arguments image : Evision.Mat.t() . 8-bit, single-channel, grayscale input image. method : int . Detection method, see #HoughModes. The available methods are #HOUGH_GRADIENT and #HOUGH_GRADIENT_ALT. dp : double . Inverse ratio of the accumulator resolution to the image resolution. For example, if dp=1 , the accumulator has the same resolution as the input image. If dp=2 , the accumulator has half as big width and height. For #HOUGH_GRADIENT_ALT the recommended value is dp=1.5, unless some small very circles need to be detected. minDist : double . Minimum distance between the centers of the detected circles. If the parameter is too small, multiple neighbor circles may be falsely detected in addition to a true one. If it is too large, some circles may be missed. Keyword Arguments param1 : double . First method-specific parameter. In case of #HOUGH_GRADIENT and #HOUGH_GRADIENT_ALT, it is the higher threshold of the two passed to the Canny edge detector (the lower one is twice smaller). Note that #HOUGH_GRADIENT_ALT uses #Scharr algorithm to compute image derivatives, so the threshold value shough normally be higher, such as 300 or normally exposed and contrasty images. param2 : double . Second method-specific parameter. In case of #HOUGH_GRADIENT, it is the accumulator threshold for the circle centers at the detection stage. The smaller it is, the more false circles may be detected. Circles, corresponding to the larger accumulator values, will be returned first. In the case of #HOUGH_GRADIENT_ALT algorithm, this is the circle &quot;perfectness&quot; measure. The closer it to 1, the better shaped circles algorithm selects. In most cases 0.9 should be fine. If you want get better detection of small circles, you may decrease it to 0.85, 0.8 or even less. But then also try to limit the search range [minRadius, maxRadius] to avoid many false circles. minRadius : int . Minimum circle radius. maxRadius : int . Maximum circle radius. If &lt;= 0, uses the maximum image dimension. If &lt; 0, #HOUGH_GRADIENT returns centers without finding the radius. #HOUGH_GRADIENT_ALT always computes circle radiuses. Return circles : Evision.Mat.t() . Output vector of found circles. Each vector is encoded as 3 or 4 element floating-point vector \\f$(x, y, radius)\\f$ or \\f$(x, y, radius, votes)\\f$ . The function finds circles in a grayscale image using a modification of the Hough transform. Example: : @include snippets/imgproc_HoughLinesCircles.cpp Note : Usually the function detects the centers of circles well. However, it may fail to find correct radii. You can assist to the function by specifying the radius range ( minRadius and maxRadius ) if you know it. Or, in the case of #HOUGH_GRADIENT method you may set maxRadius to a negative number to return centers only without radius search, and find the correct radius using an additional procedure. It also helps to smooth image a bit unless it's already soft. For example, GaussianBlur() with 7x7 kernel and 1.5x1.5 sigma or similar blurring may help. @sa fitEllipse, minEnclosingCircle Python prototype (for reference only): HoughCircles(image, method, dp, minDist[, circles[, param1[, param2[, minRadius[, maxRadius]]]]]) -&gt; circles","ref":"Evision.html#houghCircles/5","title":"Evision.houghCircles/5","type":"function"},{"doc":"Finds lines in a binary image using the standard Hough transform. Positional Arguments image : Evision.Mat.t() . 8-bit, single-channel binary source image. The image may be modified by the function. rho : double . Distance resolution of the accumulator in pixels. theta : double . Angle resolution of the accumulator in radians. threshold : int . %Accumulator threshold parameter. Only those lines are returned that get enough votes ( \\f$&gt;\\texttt{threshold}\\f$ ). Keyword Arguments srn : double . For the multi-scale Hough transform, it is a divisor for the distance resolution rho. The coarse accumulator distance resolution is rho and the accurate accumulator resolution is rho/srn. If both srn=0 and stn=0, the classical Hough transform is used. Otherwise, both these parameters should be positive. stn : double . For the multi-scale Hough transform, it is a divisor for the distance resolution theta. min_theta : double . For standard and multi-scale Hough transform, minimum angle to check for lines. Must fall between 0 and max_theta. max_theta : double . For standard and multi-scale Hough transform, an upper bound for the angle. Must fall between min_theta and CV_PI. The actual maximum angle in the accumulator may be slightly less than max_theta, depending on the parameters min_theta and theta. Return lines : Evision.Mat.t() . Output vector of lines. Each line is represented by a 2 or 3 element vector \\f$(\\rho, \\theta)\\f$ or \\f$(\\rho, \\theta, \\textrm{votes})\\f$, where \\f$\\rho\\f$ is the distance from the coordinate origin \\f$(0,0)\\f$ (top-left corner of the image), \\f$\\theta\\f$ is the line rotation angle in radians ( \\f$0 \\sim \\textrm{vertical line}, \\pi/2 \\sim \\textrm{horizontal line}\\f$ ), and \\f$\\textrm{votes}\\f$ is the value of accumulator. The function implements the standard or standard multi-scale Hough transform algorithm for line detection. See http://homepages.inf.ed.ac.uk/rbf/HIPR2/hough.htm for a good explanation of Hough transform. Python prototype (for reference only): HoughLines(image, rho, theta, threshold[, lines[, srn[, stn[, min_theta[, max_theta]]]]]) -&gt; lines","ref":"Evision.html#houghLines/4","title":"Evision.houghLines/4","type":"function"},{"doc":"Finds lines in a binary image using the standard Hough transform. Positional Arguments image : Evision.Mat.t() . 8-bit, single-channel binary source image. The image may be modified by the function. rho : double . Distance resolution of the accumulator in pixels. theta : double . Angle resolution of the accumulator in radians. threshold : int . %Accumulator threshold parameter. Only those lines are returned that get enough votes ( \\f$&gt;\\texttt{threshold}\\f$ ). Keyword Arguments srn : double . For the multi-scale Hough transform, it is a divisor for the distance resolution rho. The coarse accumulator distance resolution is rho and the accurate accumulator resolution is rho/srn. If both srn=0 and stn=0, the classical Hough transform is used. Otherwise, both these parameters should be positive. stn : double . For the multi-scale Hough transform, it is a divisor for the distance resolution theta. min_theta : double . For standard and multi-scale Hough transform, minimum angle to check for lines. Must fall between 0 and max_theta. max_theta : double . For standard and multi-scale Hough transform, an upper bound for the angle. Must fall between min_theta and CV_PI. The actual maximum angle in the accumulator may be slightly less than max_theta, depending on the parameters min_theta and theta. Return lines : Evision.Mat.t() . Output vector of lines. Each line is represented by a 2 or 3 element vector \\f$(\\rho, \\theta)\\f$ or \\f$(\\rho, \\theta, \\textrm{votes})\\f$, where \\f$\\rho\\f$ is the distance from the coordinate origin \\f$(0,0)\\f$ (top-left corner of the image), \\f$\\theta\\f$ is the line rotation angle in radians ( \\f$0 \\sim \\textrm{vertical line}, \\pi/2 \\sim \\textrm{horizontal line}\\f$ ), and \\f$\\textrm{votes}\\f$ is the value of accumulator. The function implements the standard or standard multi-scale Hough transform algorithm for line detection. See http://homepages.inf.ed.ac.uk/rbf/HIPR2/hough.htm for a good explanation of Hough transform. Python prototype (for reference only): HoughLines(image, rho, theta, threshold[, lines[, srn[, stn[, min_theta[, max_theta]]]]]) -&gt; lines","ref":"Evision.html#houghLines/5","title":"Evision.houghLines/5","type":"function"},{"doc":"Finds line segments in a binary image using the probabilistic Hough transform. Positional Arguments image : Evision.Mat.t() . 8-bit, single-channel binary source image. The image may be modified by the function. rho : double . Distance resolution of the accumulator in pixels. theta : double . Angle resolution of the accumulator in radians. threshold : int . %Accumulator threshold parameter. Only those lines are returned that get enough votes ( \\f$&gt;\\texttt{threshold}\\f$ ). Keyword Arguments minLineLength : double . Minimum line length. Line segments shorter than that are rejected. maxLineGap : double . Maximum allowed gap between points on the same line to link them. Return lines : Evision.Mat.t() . Output vector of lines. Each line is represented by a 4-element vector \\f$(x_1, y_1, x_2, y_2)\\f$ , where \\f$(x_1,y_1)\\f$ and \\f$(x_2, y_2)\\f$ are the ending points of each detected line segment. The function implements the probabilistic Hough transform algorithm for line detection, described in @cite Matas00 See the line detection example below: @include snippets/imgproc_HoughLinesP.cpp This is a sample picture the function parameters have been tuned for: And this is the output of the above program in case of the probabilistic Hough transform: @sa LineSegmentDetector Python prototype (for reference only): HoughLinesP(image, rho, theta, threshold[, lines[, minLineLength[, maxLineGap]]]) -&gt; lines","ref":"Evision.html#houghLinesP/4","title":"Evision.houghLinesP/4","type":"function"},{"doc":"Finds line segments in a binary image using the probabilistic Hough transform. Positional Arguments image : Evision.Mat.t() . 8-bit, single-channel binary source image. The image may be modified by the function. rho : double . Distance resolution of the accumulator in pixels. theta : double . Angle resolution of the accumulator in radians. threshold : int . %Accumulator threshold parameter. Only those lines are returned that get enough votes ( \\f$&gt;\\texttt{threshold}\\f$ ). Keyword Arguments minLineLength : double . Minimum line length. Line segments shorter than that are rejected. maxLineGap : double . Maximum allowed gap between points on the same line to link them. Return lines : Evision.Mat.t() . Output vector of lines. Each line is represented by a 4-element vector \\f$(x_1, y_1, x_2, y_2)\\f$ , where \\f$(x_1,y_1)\\f$ and \\f$(x_2, y_2)\\f$ are the ending points of each detected line segment. The function implements the probabilistic Hough transform algorithm for line detection, described in @cite Matas00 See the line detection example below: @include snippets/imgproc_HoughLinesP.cpp This is a sample picture the function parameters have been tuned for: And this is the output of the above program in case of the probabilistic Hough transform: @sa LineSegmentDetector Python prototype (for reference only): HoughLinesP(image, rho, theta, threshold[, lines[, minLineLength[, maxLineGap]]]) -&gt; lines","ref":"Evision.html#houghLinesP/5","title":"Evision.houghLinesP/5","type":"function"},{"doc":"Finds lines in a set of points using the standard Hough transform. Positional Arguments point : Evision.Mat.t() . Input vector of points. Each vector must be encoded as a Point vector \\f$(x,y)\\f$. Type must be CV_32FC2 or CV_32SC2. lines_max : int . Max count of Hough lines. threshold : int . %Accumulator threshold parameter. Only those lines are returned that get enough votes ( \\f$&gt;\\texttt{threshold}\\f$ ). min_rho : double . Minimum value for \\f$\\rho\\f$ for the accumulator (Note: \\f$\\rho\\f$ can be negative. The absolute value \\f$|\\rho|\\f$ is the distance of a line to the origin.). max_rho : double . Maximum value for \\f$\\rho\\f$ for the accumulator. rho_step : double . Distance resolution of the accumulator. min_theta : double . Minimum angle value of the accumulator in radians. max_theta : double . Upper bound for the angle value of the accumulator in radians. The actual maximum angle may be slightly less than max_theta, depending on the parameters min_theta and theta_step. theta_step : double . Angle resolution of the accumulator in radians. Return lines : Evision.Mat.t() . Output vector of found lines. Each vector is encoded as a vector&lt;Vec3d&gt; \\f$(votes, rho, theta)\\f$. The larger the value of 'votes', the higher the reliability of the Hough line. The function finds lines in a set of points using a modification of the Hough transform. @include snippets/imgproc_HoughLinesPointSet.cpp Python prototype (for reference only): HoughLinesPointSet(point, lines_max, threshold, min_rho, max_rho, rho_step, min_theta, max_theta, theta_step[, lines]) -&gt; lines","ref":"Evision.html#houghLinesPointSet/9","title":"Evision.houghLinesPointSet/9","type":"function"},{"doc":"Finds lines in a set of points using the standard Hough transform. Positional Arguments point : Evision.Mat.t() . Input vector of points. Each vector must be encoded as a Point vector \\f$(x,y)\\f$. Type must be CV_32FC2 or CV_32SC2. lines_max : int . Max count of Hough lines. threshold : int . %Accumulator threshold parameter. Only those lines are returned that get enough votes ( \\f$&gt;\\texttt{threshold}\\f$ ). min_rho : double . Minimum value for \\f$\\rho\\f$ for the accumulator (Note: \\f$\\rho\\f$ can be negative. The absolute value \\f$|\\rho|\\f$ is the distance of a line to the origin.). max_rho : double . Maximum value for \\f$\\rho\\f$ for the accumulator. rho_step : double . Distance resolution of the accumulator. min_theta : double . Minimum angle value of the accumulator in radians. max_theta : double . Upper bound for the angle value of the accumulator in radians. The actual maximum angle may be slightly less than max_theta, depending on the parameters min_theta and theta_step. theta_step : double . Angle resolution of the accumulator in radians. Return lines : Evision.Mat.t() . Output vector of found lines. Each vector is encoded as a vector&lt;Vec3d&gt; \\f$(votes, rho, theta)\\f$. The larger the value of 'votes', the higher the reliability of the Hough line. The function finds lines in a set of points using a modification of the Hough transform. @include snippets/imgproc_HoughLinesPointSet.cpp Python prototype (for reference only): HoughLinesPointSet(point, lines_max, threshold, min_rho, max_rho, rho_step, min_theta, max_theta, theta_step[, lines]) -&gt; lines","ref":"Evision.html#houghLinesPointSet/10","title":"Evision.houghLinesPointSet/10","type":"function"},{"doc":"Finds lines in a binary image using the standard Hough transform and get accumulator. Positional Arguments image : Evision.Mat.t() rho : double theta : double threshold : int Keyword Arguments srn : double . stn : double . min_theta : double . max_theta : double . Return lines : Evision.Mat.t() . Note : This function is for bindings use only. Use original function in C++ code @sa HoughLines Python prototype (for reference only): HoughLinesWithAccumulator(image, rho, theta, threshold[, lines[, srn[, stn[, min_theta[, max_theta]]]]]) -&gt; lines","ref":"Evision.html#houghLinesWithAccumulator/4","title":"Evision.houghLinesWithAccumulator/4","type":"function"},{"doc":"Finds lines in a binary image using the standard Hough transform and get accumulator. Positional Arguments image : Evision.Mat.t() rho : double theta : double threshold : int Keyword Arguments srn : double . stn : double . min_theta : double . max_theta : double . Return lines : Evision.Mat.t() . Note : This function is for bindings use only. Use original function in C++ code @sa HoughLines Python prototype (for reference only): HoughLinesWithAccumulator(image, rho, theta, threshold[, lines[, srn[, stn[, min_theta[, max_theta]]]]]) -&gt; lines","ref":"Evision.html#houghLinesWithAccumulator/5","title":"Evision.houghLinesWithAccumulator/5","type":"function"},{"doc":"HuMoments Positional Arguments m : Moments Return hu : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): HuMoments(m[, hu]) -&gt; hu","ref":"Evision.html#huMoments/1","title":"Evision.huMoments/1","type":"function"},{"doc":"HuMoments Positional Arguments m : Moments Return hu : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): HuMoments(m[, hu]) -&gt; hu","ref":"Evision.html#huMoments/2","title":"Evision.huMoments/2","type":"function"},{"doc":"Calculates the inverse Discrete Cosine Transform of a 1D or 2D array. Positional Arguments src : Evision.Mat.t() . input floating-point single-channel array. Keyword Arguments flags : int . operation flags. Return dst : Evision.Mat.t() . output array of the same size and type as src. idct(src, dst, flags) is equivalent to dct(src, dst, flags | DCT_INVERSE). @sa dct, dft, idft, getOptimalDFTSize Python prototype (for reference only): idct(src[, dst[, flags]]) -&gt; dst","ref":"Evision.html#idct/1","title":"Evision.idct/1","type":"function"},{"doc":"Calculates the inverse Discrete Cosine Transform of a 1D or 2D array. Positional Arguments src : Evision.Mat.t() . input floating-point single-channel array. Keyword Arguments flags : int . operation flags. Return dst : Evision.Mat.t() . output array of the same size and type as src. idct(src, dst, flags) is equivalent to dct(src, dst, flags | DCT_INVERSE). @sa dct, dft, idft, getOptimalDFTSize Python prototype (for reference only): idct(src[, dst[, flags]]) -&gt; dst","ref":"Evision.html#idct/2","title":"Evision.idct/2","type":"function"},{"doc":"Calculates the inverse Discrete Fourier Transform of a 1D or 2D array. Positional Arguments src : Evision.Mat.t() . input floating-point real or complex array. Keyword Arguments flags : int . operation flags (see dft and #DftFlags). nonzeroRows : int . number of dst rows to process; the rest of the rows have undefined content (see the convolution sample in dft description. Return dst : Evision.Mat.t() . output array whose size and type depend on the flags. idft(src, dst, flags) is equivalent to dft(src, dst, flags | #DFT_INVERSE) . Note : None of dft and idft scales the result by default. So, you should pass #DFT_SCALE to one of dft or idft explicitly to make these transforms mutually inverse. @sa dft, dct, idct, mulSpectrums, getOptimalDFTSize Python prototype (for reference only): idft(src[, dst[, flags[, nonzeroRows]]]) -&gt; dst","ref":"Evision.html#idft/1","title":"Evision.idft/1","type":"function"},{"doc":"Calculates the inverse Discrete Fourier Transform of a 1D or 2D array. Positional Arguments src : Evision.Mat.t() . input floating-point real or complex array. Keyword Arguments flags : int . operation flags (see dft and #DftFlags). nonzeroRows : int . number of dst rows to process; the rest of the rows have undefined content (see the convolution sample in dft description. Return dst : Evision.Mat.t() . output array whose size and type depend on the flags. idft(src, dst, flags) is equivalent to dft(src, dst, flags | #DFT_INVERSE) . Note : None of dft and idft scales the result by default. So, you should pass #DFT_SCALE to one of dft or idft explicitly to make these transforms mutually inverse. @sa dft, dct, idct, mulSpectrums, getOptimalDFTSize Python prototype (for reference only): idft(src[, dst[, flags[, nonzeroRows]]]) -&gt; dst","ref":"Evision.html#idft/2","title":"Evision.idft/2","type":"function"},{"doc":"Applying an appropriate non-linear transformation to the gradient field inside the selection and then integrating back with a Poisson solver, modifies locally the apparent illumination of an image. Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. mask : Evision.Mat.t() . Input 8-bit 1 or 3-channel image. Keyword Arguments alpha : float . Value ranges between 0-2. beta : float . Value ranges between 0-2. Return dst : Evision.Mat.t() . Output image with the same size and type as src. This is useful to highlight under-exposed foreground objects or to reduce specular reflections. Python prototype (for reference only): illuminationChange(src, mask[, dst[, alpha[, beta]]]) -&gt; dst","ref":"Evision.html#illuminationChange/2","title":"Evision.illuminationChange/2","type":"function"},{"doc":"Applying an appropriate non-linear transformation to the gradient field inside the selection and then integrating back with a Poisson solver, modifies locally the apparent illumination of an image. Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. mask : Evision.Mat.t() . Input 8-bit 1 or 3-channel image. Keyword Arguments alpha : float . Value ranges between 0-2. beta : float . Value ranges between 0-2. Return dst : Evision.Mat.t() . Output image with the same size and type as src. This is useful to highlight under-exposed foreground objects or to reduce specular reflections. Python prototype (for reference only): illuminationChange(src, mask[, dst[, alpha[, beta]]]) -&gt; dst","ref":"Evision.html#illuminationChange/3","title":"Evision.illuminationChange/3","type":"function"},{"doc":"Returns the number of images inside the give file Positional Arguments filename : String . Name of file to be loaded. Keyword Arguments flags : int . Flag that can take values of cv::ImreadModes, default with cv::IMREAD_ANYCOLOR. Return retval : size_t The function imcount will return the number of pages in a multi-page image, or 1 for single-page images Python prototype (for reference only): imcount(filename[, flags]) -&gt; retval","ref":"Evision.html#imcount/1","title":"Evision.imcount/1","type":"function"},{"doc":"Returns the number of images inside the give file Positional Arguments filename : String . Name of file to be loaded. Keyword Arguments flags : int . Flag that can take values of cv::ImreadModes, default with cv::IMREAD_ANYCOLOR. Return retval : size_t The function imcount will return the number of pages in a multi-page image, or 1 for single-page images Python prototype (for reference only): imcount(filename[, flags]) -&gt; retval","ref":"Evision.html#imcount/2","title":"Evision.imcount/2","type":"function"},{"doc":"","ref":"Evision.html#imdecode/2","title":"Evision.imdecode/2","type":"function"},{"doc":"Reads a multi-page image from a buffer in memory. Positional Arguments buf : Evision.Mat.t() . Input array or vector of bytes. flags : int . The same flags as in cv::imread, see cv::ImreadModes. Return retval : bool mats : [Evision.Mat] . A vector of Mat objects holding each page, if more than one. The function imdecodemulti reads a multi-page image from the specified buffer in the memory. If the buffer is too short or contains invalid data, the function returns false. See cv::imreadmulti for the list of supported formats and flags description. Note : In the case of color images, the decoded images will have the channels stored in B G R order. Python prototype (for reference only): imdecodemulti(buf, flags[, mats]) -&gt; retval, mats","ref":"Evision.html#imdecodemulti/2","title":"Evision.imdecodemulti/2","type":"function"},{"doc":"Reads a multi-page image from a buffer in memory. Positional Arguments buf : Evision.Mat.t() . Input array or vector of bytes. flags : int . The same flags as in cv::imread, see cv::ImreadModes. Return retval : bool mats : [Evision.Mat] . A vector of Mat objects holding each page, if more than one. The function imdecodemulti reads a multi-page image from the specified buffer in the memory. If the buffer is too short or contains invalid data, the function returns false. See cv::imreadmulti for the list of supported formats and flags description. Note : In the case of color images, the decoded images will have the channels stored in B G R order. Python prototype (for reference only): imdecodemulti(buf, flags[, mats]) -&gt; retval, mats","ref":"Evision.html#imdecodemulti/3","title":"Evision.imdecodemulti/3","type":"function"},{"doc":"Encodes an image into a memory buffer. Positional Arguments ext : String . File extension that defines the output format. Must include a leading period. img : Evision.Mat.t() . Image to be written. Keyword Arguments params : [int] . Format-specific parameters. See cv::imwrite and cv::ImwriteFlags. Return retval : bool buf : [uchar] . Output buffer resized to fit the compressed image. The function imencode compresses the image and stores it in the memory buffer that is resized to fit the result. See cv::imwrite for the list of supported formats and flags description. Python prototype (for reference only): imencode(ext, img[, params]) -&gt; retval, buf","ref":"Evision.html#imencode/2","title":"Evision.imencode/2","type":"function"},{"doc":"Encodes an image into a memory buffer. Positional Arguments ext : String . File extension that defines the output format. Must include a leading period. img : Evision.Mat.t() . Image to be written. Keyword Arguments params : [int] . Format-specific parameters. See cv::imwrite and cv::ImwriteFlags. Return retval : bool buf : [uchar] . Output buffer resized to fit the compressed image. The function imencode compresses the image and stores it in the memory buffer that is resized to fit the result. See cv::imwrite for the list of supported formats and flags description. Python prototype (for reference only): imencode(ext, img[, params]) -&gt; retval, buf","ref":"Evision.html#imencode/3","title":"Evision.imencode/3","type":"function"},{"doc":"Loads an image from a file. Positional Arguments filename : String . Name of file to be loaded. Keyword Arguments flags : int . Flag that can take values of cv::ImreadModes Return retval : Evision.Mat.t() @anchor imread The function imread loads an image from the specified file and returns it. If the image cannot be read (because of missing file, improper permissions, unsupported or invalid format), the function returns an empty matrix ( Mat::data==NULL ). Currently, the following file formats are supported: Windows bitmaps - *.bmp, *.dib (always supported) JPEG files - *.jpeg, *.jpg, *.jpe (see the Note section) JPEG 2000 files - *.jp2 (see the Note section) Portable Network Graphics - *.png (see the Note section) WebP - *.webp (see the Note section) Portable image format - *.pbm, *.pgm, *.ppm *.pxm, *.pnm (always supported) PFM files - *.pfm (see the Note section) Sun rasters - *.sr, *.ras (always supported) TIFF files - *.tiff, *.tif (see the Note section) OpenEXR Image files - *.exr (see the Note section) Radiance HDR - *.hdr, *.pic (always supported) Raster and Vector geospatial data supported by GDAL (see the Note section) Note : The function determines the type of an image by the content, not by the file extension. In the case of color images, the decoded images will have the channels stored in B G R order. When using IMREAD_GRAYSCALE, the codec's internal grayscale conversion will be used, if available. Results may differ to the output of cvtColor() On Microsoft Windows* OS and MacOSX*, the codecs shipped with an OpenCV image (libjpeg, libpng, libtiff, and libjasper) are used by default. So, OpenCV can always read JPEGs, PNGs, and TIFFs. On MacOSX, there is also an option to use native MacOSX image readers. But beware that currently these native image loaders give images with different pixel values because of the color management embedded into MacOSX. On Linux*, BSD flavors and other Unix-like open-source operating systems, OpenCV looks for codecs supplied with an OS image. Install the relevant packages (do not forget the development files, for example, &quot;libjpeg-dev&quot;, in Debian* and Ubuntu*) to get the codec support or turn on the OPENCV_BUILD_3RDPARTY_LIBS flag in CMake. In the case you set WITH_GDAL flag to true in CMake and @ref IMREAD_LOAD_GDAL to load the image, then the GDAL driver will be used in order to decode the image, supporting the following formats: Raster , Vector . If EXIF information is embedded in the image file, the EXIF orientation will be taken into account and thus the image will be rotated accordingly except if the flags @ref IMREAD_IGNORE_ORIENTATION or @ref IMREAD_UNCHANGED are passed. Use the IMREAD_UNCHANGED flag to keep the floating point values from PFM image. By default number of pixels must be less than 2^30. Limit can be set using system variable OPENCV_IO_MAX_IMAGE_PIXELS Python prototype (for reference only): imread(filename[, flags]) -&gt; retval","ref":"Evision.html#imread/1","title":"Evision.imread/1","type":"function"},{"doc":"Loads an image from a file. Positional Arguments filename : String . Name of file to be loaded. Keyword Arguments flags : int . Flag that can take values of cv::ImreadModes Return retval : Evision.Mat.t() @anchor imread The function imread loads an image from the specified file and returns it. If the image cannot be read (because of missing file, improper permissions, unsupported or invalid format), the function returns an empty matrix ( Mat::data==NULL ). Currently, the following file formats are supported: Windows bitmaps - *.bmp, *.dib (always supported) JPEG files - *.jpeg, *.jpg, *.jpe (see the Note section) JPEG 2000 files - *.jp2 (see the Note section) Portable Network Graphics - *.png (see the Note section) WebP - *.webp (see the Note section) Portable image format - *.pbm, *.pgm, *.ppm *.pxm, *.pnm (always supported) PFM files - *.pfm (see the Note section) Sun rasters - *.sr, *.ras (always supported) TIFF files - *.tiff, *.tif (see the Note section) OpenEXR Image files - *.exr (see the Note section) Radiance HDR - *.hdr, *.pic (always supported) Raster and Vector geospatial data supported by GDAL (see the Note section) Note : The function determines the type of an image by the content, not by the file extension. In the case of color images, the decoded images will have the channels stored in B G R order. When using IMREAD_GRAYSCALE, the codec's internal grayscale conversion will be used, if available. Results may differ to the output of cvtColor() On Microsoft Windows* OS and MacOSX*, the codecs shipped with an OpenCV image (libjpeg, libpng, libtiff, and libjasper) are used by default. So, OpenCV can always read JPEGs, PNGs, and TIFFs. On MacOSX, there is also an option to use native MacOSX image readers. But beware that currently these native image loaders give images with different pixel values because of the color management embedded into MacOSX. On Linux*, BSD flavors and other Unix-like open-source operating systems, OpenCV looks for codecs supplied with an OS image. Install the relevant packages (do not forget the development files, for example, &quot;libjpeg-dev&quot;, in Debian* and Ubuntu*) to get the codec support or turn on the OPENCV_BUILD_3RDPARTY_LIBS flag in CMake. In the case you set WITH_GDAL flag to true in CMake and @ref IMREAD_LOAD_GDAL to load the image, then the GDAL driver will be used in order to decode the image, supporting the following formats: Raster , Vector . If EXIF information is embedded in the image file, the EXIF orientation will be taken into account and thus the image will be rotated accordingly except if the flags @ref IMREAD_IGNORE_ORIENTATION or @ref IMREAD_UNCHANGED are passed. Use the IMREAD_UNCHANGED flag to keep the floating point values from PFM image. By default number of pixels must be less than 2^30. Limit can be set using system variable OPENCV_IO_MAX_IMAGE_PIXELS Python prototype (for reference only): imread(filename[, flags]) -&gt; retval","ref":"Evision.html#imread/2","title":"Evision.imread/2","type":"function"},{"doc":"Loads a multi-page image from a file. Positional Arguments filename : String . Name of file to be loaded. Keyword Arguments flags : int . Flag that can take values of cv::ImreadModes, default with cv::IMREAD_ANYCOLOR. Return retval : bool mats : [Evision.Mat] . A vector of Mat objects holding each page. The function imreadmulti loads a multi-page image from the specified file into a vector of Mat objects. @sa cv::imread Python prototype (for reference only): imreadmulti(filename[, mats[, flags]]) -&gt; retval, mats","ref":"Evision.html#imreadmulti/1","title":"Evision.imreadmulti/1","type":"function"},{"doc":"Loads a multi-page image from a file. Positional Arguments filename : String . Name of file to be loaded. Keyword Arguments flags : int . Flag that can take values of cv::ImreadModes, default with cv::IMREAD_ANYCOLOR. Return retval : bool mats : [Evision.Mat] . A vector of Mat objects holding each page. The function imreadmulti loads a multi-page image from the specified file into a vector of Mat objects. @sa cv::imread Python prototype (for reference only): imreadmulti(filename[, mats[, flags]]) -&gt; retval, mats","ref":"Evision.html#imreadmulti/2","title":"Evision.imreadmulti/2","type":"function"},{"doc":"Loads a of images of a multi-page image from a file. Positional Arguments filename : String . Name of file to be loaded. start : int . Start index of the image to load count : int . Count number of images to load Keyword Arguments flags : int . Flag that can take values of cv::ImreadModes, default with cv::IMREAD_ANYCOLOR. Return retval : bool mats : [Evision.Mat] . A vector of Mat objects holding each page. The function imreadmulti loads a specified range from a multi-page image from the specified file into a vector of Mat objects. @sa cv::imread Python prototype (for reference only): imreadmulti(filename, start, count[, mats[, flags]]) -&gt; retval, mats","ref":"Evision.html#imreadmulti/3","title":"Evision.imreadmulti/3","type":"function"},{"doc":"Loads a of images of a multi-page image from a file. Positional Arguments filename : String . Name of file to be loaded. start : int . Start index of the image to load count : int . Count number of images to load Keyword Arguments flags : int . Flag that can take values of cv::ImreadModes, default with cv::IMREAD_ANYCOLOR. Return retval : bool mats : [Evision.Mat] . A vector of Mat objects holding each page. The function imreadmulti loads a specified range from a multi-page image from the specified file into a vector of Mat objects. @sa cv::imread Python prototype (for reference only): imreadmulti(filename, start, count[, mats[, flags]]) -&gt; retval, mats","ref":"Evision.html#imreadmulti/4","title":"Evision.imreadmulti/4","type":"function"},{"doc":"Saves an image to a specified file. Positional Arguments filename : String . Name of the file. img : Evision.Mat.t() . (Mat or vector of Mat) Image or Images to be saved. Keyword Arguments params : [int] . Format-specific parameters encoded as pairs (paramId_1, paramValue_1, paramId_2, paramValue_2, ... .) see cv::ImwriteFlags Return retval : bool The function imwrite saves the image to the specified file. The image format is chosen based on the filename extension (see cv::imread for the list of extensions). In general, only 8-bit single-channel or 3-channel (with 'BGR' channel order) images can be saved using this function, with these exceptions: 16-bit unsigned (CV_16U) images can be saved in the case of PNG, JPEG 2000, and TIFF formats 32-bit float (CV_32F) images can be saved in PFM, TIFF, OpenEXR, and Radiance HDR formats; 3-channel (CV_32FC3) TIFF images will be saved using the LogLuv high dynamic range encoding (4 bytes per pixel) PNG images with an alpha channel can be saved using this function. To do this, create 8-bit (or 16-bit) 4-channel image BGRA, where the alpha channel goes last. Fully transparent pixels should have alpha set to 0, fully opaque pixels should have alpha set to 255/65535 (see the code sample below). Multiple images (vector of Mat) can be saved in TIFF format (see the code sample below). If the image format is not supported, the image will be converted to 8-bit unsigned (CV_8U) and saved that way. If the format, depth or channel order is different, use Mat::convertTo and cv::cvtColor to convert it before saving. Or, use the universal FileStorage I/O functions to save the image to XML or YAML format. The sample below shows how to create a BGRA image, how to set custom compression parameters and save it to a PNG file. It also demonstrates how to save multiple images in a TIFF file: @include snippets/imgcodecs_imwrite.cpp Python prototype (for reference only): imwrite(filename, img[, params]) -&gt; retval","ref":"Evision.html#imwrite/2","title":"Evision.imwrite/2","type":"function"},{"doc":"Saves an image to a specified file. Positional Arguments filename : String . Name of the file. img : Evision.Mat.t() . (Mat or vector of Mat) Image or Images to be saved. Keyword Arguments params : [int] . Format-specific parameters encoded as pairs (paramId_1, paramValue_1, paramId_2, paramValue_2, ... .) see cv::ImwriteFlags Return retval : bool The function imwrite saves the image to the specified file. The image format is chosen based on the filename extension (see cv::imread for the list of extensions). In general, only 8-bit single-channel or 3-channel (with 'BGR' channel order) images can be saved using this function, with these exceptions: 16-bit unsigned (CV_16U) images can be saved in the case of PNG, JPEG 2000, and TIFF formats 32-bit float (CV_32F) images can be saved in PFM, TIFF, OpenEXR, and Radiance HDR formats; 3-channel (CV_32FC3) TIFF images will be saved using the LogLuv high dynamic range encoding (4 bytes per pixel) PNG images with an alpha channel can be saved using this function. To do this, create 8-bit (or 16-bit) 4-channel image BGRA, where the alpha channel goes last. Fully transparent pixels should have alpha set to 0, fully opaque pixels should have alpha set to 255/65535 (see the code sample below). Multiple images (vector of Mat) can be saved in TIFF format (see the code sample below). If the image format is not supported, the image will be converted to 8-bit unsigned (CV_8U) and saved that way. If the format, depth or channel order is different, use Mat::convertTo and cv::cvtColor to convert it before saving. Or, use the universal FileStorage I/O functions to save the image to XML or YAML format. The sample below shows how to create a BGRA image, how to set custom compression parameters and save it to a PNG file. It also demonstrates how to save multiple images in a TIFF file: @include snippets/imgcodecs_imwrite.cpp Python prototype (for reference only): imwrite(filename, img[, params]) -&gt; retval","ref":"Evision.html#imwrite/3","title":"Evision.imwrite/3","type":"function"},{"doc":"imwritemulti Positional Arguments filename : String img : [Evision.Mat] Keyword Arguments params : [int] . Return retval : bool Python prototype (for reference only): imwritemulti(filename, img[, params]) -&gt; retval","ref":"Evision.html#imwritemulti/2","title":"Evision.imwritemulti/2","type":"function"},{"doc":"imwritemulti Positional Arguments filename : String img : [Evision.Mat] Keyword Arguments params : [int] . Return retval : bool Python prototype (for reference only): imwritemulti(filename, img[, params]) -&gt; retval","ref":"Evision.html#imwritemulti/3","title":"Evision.imwritemulti/3","type":"function"},{"doc":"Finds an initial camera intrinsic matrix from 3D-2D point correspondences. Positional Arguments objectPoints : [Evision.Mat] . Vector of vectors of the calibration pattern points in the calibration pattern coordinate space. In the old interface all the per-view vectors are concatenated. See #calibrateCamera for details. imagePoints : [Evision.Mat] . Vector of vectors of the projections of the calibration pattern points. In the old interface all the per-view vectors are concatenated. imageSize : Size . Image size in pixels used to initialize the principal point. Keyword Arguments aspectRatio : double . If it is zero or negative, both \\f$f_x\\f$ and \\f$f_y\\f$ are estimated independently. Otherwise, \\f$f_x = f_y \\cdot \\texttt{aspectRatio}\\f$ . Return retval : Evision.Mat.t() The function estimates and returns an initial camera intrinsic matrix for the camera calibration process. Currently, the function only supports planar calibration patterns, which are patterns where each object point has z-coordinate =0. Python prototype (for reference only): initCameraMatrix2D(objectPoints, imagePoints, imageSize[, aspectRatio]) -&gt; retval","ref":"Evision.html#initCameraMatrix2D/3","title":"Evision.initCameraMatrix2D/3","type":"function"},{"doc":"Finds an initial camera intrinsic matrix from 3D-2D point correspondences. Positional Arguments objectPoints : [Evision.Mat] . Vector of vectors of the calibration pattern points in the calibration pattern coordinate space. In the old interface all the per-view vectors are concatenated. See #calibrateCamera for details. imagePoints : [Evision.Mat] . Vector of vectors of the projections of the calibration pattern points. In the old interface all the per-view vectors are concatenated. imageSize : Size . Image size in pixels used to initialize the principal point. Keyword Arguments aspectRatio : double . If it is zero or negative, both \\f$f_x\\f$ and \\f$f_y\\f$ are estimated independently. Otherwise, \\f$f_x = f_y \\cdot \\texttt{aspectRatio}\\f$ . Return retval : Evision.Mat.t() The function estimates and returns an initial camera intrinsic matrix for the camera calibration process. Currently, the function only supports planar calibration patterns, which are patterns where each object point has z-coordinate =0. Python prototype (for reference only): initCameraMatrix2D(objectPoints, imagePoints, imageSize[, aspectRatio]) -&gt; retval","ref":"Evision.html#initCameraMatrix2D/4","title":"Evision.initCameraMatrix2D/4","type":"function"},{"doc":"Computes the projection and inverse-rectification transformation map. In essense, this is the inverse of #initUndistortRectifyMap to accomodate stereo-rectification of projectors ('inverse-cameras') in projector-camera pairs. Positional Arguments cameraMatrix : Evision.Mat.t() . Input camera matrix \\f$A=\\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. r : Evision.Mat.t() . Optional rectification transformation in the object space (3x3 matrix). R1 or R2, computed by #stereoRectify can be passed here. If the matrix is empty, the identity transformation is assumed. newCameraMatrix : Evision.Mat.t() . New camera matrix \\f$A'=\\vecthreethree{f_x'}{0}{c_x'}{0}{f_y'}{c_y'}{0}{0}{1}\\f$. size : Size . Distorted image size. m1type : int . Type of the first output map. Can be CV_32FC1, CV_32FC2 or CV_16SC2, see #convertMaps Return map1 : Evision.Mat.t() . The first output map for #remap. map2 : Evision.Mat.t() . The second output map for #remap. The function computes the joint projection and inverse rectification transformation and represents the result in the form of maps for #remap. The projected image looks like a distorted version of the original which, once projected by a projector, should visually match the original. In case of a monocular camera, newCameraMatrix is usually equal to cameraMatrix, or it can be computed by #getOptimalNewCameraMatrix for a better control over scaling. In case of a projector-camera pair, newCameraMatrix is normally set to P1 or P2 computed by #stereoRectify . The projector is oriented differently in the coordinate space, according to R. In case of projector-camera pairs, this helps align the projector (in the same manner as #initUndistortRectifyMap for the camera) to create a stereo-rectified pair. This allows epipolar lines on both images to become horizontal and have the same y-coordinate (in case of a horizontally aligned projector-camera pair). The function builds the maps for the inverse mapping algorithm that is used by #remap. That is, for each pixel \\f$(u, v)\\f$ in the destination (projected and inverse-rectified) image, the function computes the corresponding coordinates in the source image (that is, in the original digital image). The following process is applied: \\f[ \\begin{array}{l} \\text{newCameraMatrix}\\\\ x \\leftarrow (u - {c'}_x)/{f'}_x \\\\ y \\leftarrow (v - {c'}_y)/{f'}_y \\\\ \\\\\\text{Undistortion} \\\\\\scriptsize{\\textit{though equation shown is for radial undistortion, function implements cv::undistortPoints()}}\\\\ r^2 \\leftarrow x^2 + y^2 \\\\ \\theta \\leftarrow \\frac{1 + k_1 r^2 + k_2 r^4 + k_3 r^6}{1 + k_4 r^2 + k_5 r^4 + k_6 r^6}\\\\ x' \\leftarrow \\frac{x}{\\theta} \\\\ y' \\leftarrow \\frac{y}{\\theta} \\\\ \\\\\\text{Rectification}\\\\ {[X\\,Y\\,W]} ^T \\leftarrow R*[x' \\, y' \\, 1]^T \\\\ x'' \\leftarrow X/W \\\\ y'' \\leftarrow Y/W \\\\ \\\\\\text{cameraMatrix}\\\\ map_x(u,v) \\leftarrow x'' f_x + c_x \\\\ map_y(u,v) \\leftarrow y'' f_y + c_y \\end{array} \\f] where \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ are the distortion coefficients vector distCoeffs. In case of a stereo-rectified projector-camera pair, this function is called for the projector while #initUndistortRectifyMap is called for the camera head. This is done after #stereoRectify, which in turn is called after #stereoCalibrate. If the projector-camera pair is not calibrated, it is still possible to compute the rectification transformations directly from the fundamental matrix using #stereoRectifyUncalibrated. For the projector and camera, the function computes homography H as the rectification transformation in a pixel domain, not a rotation matrix R in 3D space. R can be computed from H as \\f[\\texttt{R} = \\texttt{cameraMatrix} ^{-1} \\cdot \\texttt{H} \\cdot \\texttt{cameraMatrix}\\f] where cameraMatrix can be chosen arbitrarily. Python prototype (for reference only): initInverseRectificationMap(cameraMatrix, distCoeffs, R, newCameraMatrix, size, m1type[, map1[, map2]]) -&gt; map1, map2","ref":"Evision.html#initInverseRectificationMap/6","title":"Evision.initInverseRectificationMap/6","type":"function"},{"doc":"Computes the projection and inverse-rectification transformation map. In essense, this is the inverse of #initUndistortRectifyMap to accomodate stereo-rectification of projectors ('inverse-cameras') in projector-camera pairs. Positional Arguments cameraMatrix : Evision.Mat.t() . Input camera matrix \\f$A=\\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. r : Evision.Mat.t() . Optional rectification transformation in the object space (3x3 matrix). R1 or R2, computed by #stereoRectify can be passed here. If the matrix is empty, the identity transformation is assumed. newCameraMatrix : Evision.Mat.t() . New camera matrix \\f$A'=\\vecthreethree{f_x'}{0}{c_x'}{0}{f_y'}{c_y'}{0}{0}{1}\\f$. size : Size . Distorted image size. m1type : int . Type of the first output map. Can be CV_32FC1, CV_32FC2 or CV_16SC2, see #convertMaps Return map1 : Evision.Mat.t() . The first output map for #remap. map2 : Evision.Mat.t() . The second output map for #remap. The function computes the joint projection and inverse rectification transformation and represents the result in the form of maps for #remap. The projected image looks like a distorted version of the original which, once projected by a projector, should visually match the original. In case of a monocular camera, newCameraMatrix is usually equal to cameraMatrix, or it can be computed by #getOptimalNewCameraMatrix for a better control over scaling. In case of a projector-camera pair, newCameraMatrix is normally set to P1 or P2 computed by #stereoRectify . The projector is oriented differently in the coordinate space, according to R. In case of projector-camera pairs, this helps align the projector (in the same manner as #initUndistortRectifyMap for the camera) to create a stereo-rectified pair. This allows epipolar lines on both images to become horizontal and have the same y-coordinate (in case of a horizontally aligned projector-camera pair). The function builds the maps for the inverse mapping algorithm that is used by #remap. That is, for each pixel \\f$(u, v)\\f$ in the destination (projected and inverse-rectified) image, the function computes the corresponding coordinates in the source image (that is, in the original digital image). The following process is applied: \\f[ \\begin{array}{l} \\text{newCameraMatrix}\\\\ x \\leftarrow (u - {c'}_x)/{f'}_x \\\\ y \\leftarrow (v - {c'}_y)/{f'}_y \\\\ \\\\\\text{Undistortion} \\\\\\scriptsize{\\textit{though equation shown is for radial undistortion, function implements cv::undistortPoints()}}\\\\ r^2 \\leftarrow x^2 + y^2 \\\\ \\theta \\leftarrow \\frac{1 + k_1 r^2 + k_2 r^4 + k_3 r^6}{1 + k_4 r^2 + k_5 r^4 + k_6 r^6}\\\\ x' \\leftarrow \\frac{x}{\\theta} \\\\ y' \\leftarrow \\frac{y}{\\theta} \\\\ \\\\\\text{Rectification}\\\\ {[X\\,Y\\,W]} ^T \\leftarrow R*[x' \\, y' \\, 1]^T \\\\ x'' \\leftarrow X/W \\\\ y'' \\leftarrow Y/W \\\\ \\\\\\text{cameraMatrix}\\\\ map_x(u,v) \\leftarrow x'' f_x + c_x \\\\ map_y(u,v) \\leftarrow y'' f_y + c_y \\end{array} \\f] where \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ are the distortion coefficients vector distCoeffs. In case of a stereo-rectified projector-camera pair, this function is called for the projector while #initUndistortRectifyMap is called for the camera head. This is done after #stereoRectify, which in turn is called after #stereoCalibrate. If the projector-camera pair is not calibrated, it is still possible to compute the rectification transformations directly from the fundamental matrix using #stereoRectifyUncalibrated. For the projector and camera, the function computes homography H as the rectification transformation in a pixel domain, not a rotation matrix R in 3D space. R can be computed from H as \\f[\\texttt{R} = \\texttt{cameraMatrix} ^{-1} \\cdot \\texttt{H} \\cdot \\texttt{cameraMatrix}\\f] where cameraMatrix can be chosen arbitrarily. Python prototype (for reference only): initInverseRectificationMap(cameraMatrix, distCoeffs, R, newCameraMatrix, size, m1type[, map1[, map2]]) -&gt; map1, map2","ref":"Evision.html#initInverseRectificationMap/7","title":"Evision.initInverseRectificationMap/7","type":"function"},{"doc":"Computes the undistortion and rectification transformation map. Positional Arguments cameraMatrix : Evision.Mat.t() . Input camera matrix \\f$A=\\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. r : Evision.Mat.t() . Optional rectification transformation in the object space (3x3 matrix). R1 or R2 , computed by #stereoRectify can be passed here. If the matrix is empty, the identity transformation is assumed. In #initUndistortRectifyMap R assumed to be an identity matrix. newCameraMatrix : Evision.Mat.t() . New camera matrix \\f$A'=\\vecthreethree{f_x'}{0}{c_x'}{0}{f_y'}{c_y'}{0}{0}{1}\\f$. size : Size . Undistorted image size. m1type : int . Type of the first output map that can be CV_32FC1, CV_32FC2 or CV_16SC2, see #convertMaps Return map1 : Evision.Mat.t() . The first output map. map2 : Evision.Mat.t() . The second output map. The function computes the joint undistortion and rectification transformation and represents the result in the form of maps for #remap. The undistorted image looks like original, as if it is captured with a camera using the camera matrix =newCameraMatrix and zero distortion. In case of a monocular camera, newCameraMatrix is usually equal to cameraMatrix, or it can be computed by #getOptimalNewCameraMatrix for a better control over scaling. In case of a stereo camera, newCameraMatrix is normally set to P1 or P2 computed by #stereoRectify . Also, this new camera is oriented differently in the coordinate space, according to R. That, for example, helps to align two heads of a stereo camera so that the epipolar lines on both images become horizontal and have the same y- coordinate (in case of a horizontally aligned stereo camera). The function actually builds the maps for the inverse mapping algorithm that is used by #remap. That is, for each pixel \\f$(u, v)\\f$ in the destination (corrected and rectified) image, the function computes the corresponding coordinates in the source image (that is, in the original image from camera). The following process is applied: \\f[ \\begin{array}{l} x \\leftarrow (u - {c'}_x)/{f'}_x \\\\ y \\leftarrow (v - {c'}_y)/{f'}_y \\\\ {[X\\,Y\\,W]} ^T \\leftarrow R^{-1}*[x \\, y \\, 1]^T \\\\ x' \\leftarrow X/W \\\\ y' \\leftarrow Y/W \\\\ r^2 \\leftarrow x'^2 + y'^2 \\\\ x'' \\leftarrow x' \\frac{1 + k_1 r^2 + k_2 r^4 + k_3 r^6}{1 + k_4 r^2 + k_5 r^4 + k_6 r^6} + 2p_1 x' y' + p_2(r^2 + 2 x'^2) + s_1 r^2 + s_2 r^4\\\\ y'' \\leftarrow y' \\frac{1 + k_1 r^2 + k_2 r^4 + k_3 r^6}{1 + k_4 r^2 + k_5 r^4 + k_6 r^6} + p_1 (r^2 + 2 y'^2) + 2 p_2 x' y' + s_3 r^2 + s_4 r^4 \\\\ s\\vecthree{x'''}{y'''}{1} = \\vecthreethree{R_{33}(\\tau_x, \\tau_y)}{0}{-R_{13}((\\tau_x, \\tau_y)} {0}{R_{33}(\\tau_x, \\tau_y)}{-R_{23}(\\tau_x, \\tau_y)} {0}{0}{1} R(\\tau_x, \\tau_y) \\vecthree{x''}{y''}{1}\\\\ map_x(u,v) \\leftarrow x''' f_x + c_x \\\\ map_y(u,v) \\leftarrow y''' f_y + c_y \\end{array} \\f] where \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ are the distortion coefficients. In case of a stereo camera, this function is called twice: once for each camera head, after #stereoRectify, which in its turn is called after #stereoCalibrate. But if the stereo camera was not calibrated, it is still possible to compute the rectification transformations directly from the fundamental matrix using #stereoRectifyUncalibrated. For each camera, the function computes homography H as the rectification transformation in a pixel domain, not a rotation matrix R in 3D space. R can be computed from H as \\f[\\texttt{R} = \\texttt{cameraMatrix} ^{-1} \\cdot \\texttt{H} \\cdot \\texttt{cameraMatrix}\\f] where cameraMatrix can be chosen arbitrarily. Python prototype (for reference only): initUndistortRectifyMap(cameraMatrix, distCoeffs, R, newCameraMatrix, size, m1type[, map1[, map2]]) -&gt; map1, map2","ref":"Evision.html#initUndistortRectifyMap/6","title":"Evision.initUndistortRectifyMap/6","type":"function"},{"doc":"Computes the undistortion and rectification transformation map. Positional Arguments cameraMatrix : Evision.Mat.t() . Input camera matrix \\f$A=\\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. r : Evision.Mat.t() . Optional rectification transformation in the object space (3x3 matrix). R1 or R2 , computed by #stereoRectify can be passed here. If the matrix is empty, the identity transformation is assumed. In #initUndistortRectifyMap R assumed to be an identity matrix. newCameraMatrix : Evision.Mat.t() . New camera matrix \\f$A'=\\vecthreethree{f_x'}{0}{c_x'}{0}{f_y'}{c_y'}{0}{0}{1}\\f$. size : Size . Undistorted image size. m1type : int . Type of the first output map that can be CV_32FC1, CV_32FC2 or CV_16SC2, see #convertMaps Return map1 : Evision.Mat.t() . The first output map. map2 : Evision.Mat.t() . The second output map. The function computes the joint undistortion and rectification transformation and represents the result in the form of maps for #remap. The undistorted image looks like original, as if it is captured with a camera using the camera matrix =newCameraMatrix and zero distortion. In case of a monocular camera, newCameraMatrix is usually equal to cameraMatrix, or it can be computed by #getOptimalNewCameraMatrix for a better control over scaling. In case of a stereo camera, newCameraMatrix is normally set to P1 or P2 computed by #stereoRectify . Also, this new camera is oriented differently in the coordinate space, according to R. That, for example, helps to align two heads of a stereo camera so that the epipolar lines on both images become horizontal and have the same y- coordinate (in case of a horizontally aligned stereo camera). The function actually builds the maps for the inverse mapping algorithm that is used by #remap. That is, for each pixel \\f$(u, v)\\f$ in the destination (corrected and rectified) image, the function computes the corresponding coordinates in the source image (that is, in the original image from camera). The following process is applied: \\f[ \\begin{array}{l} x \\leftarrow (u - {c'}_x)/{f'}_x \\\\ y \\leftarrow (v - {c'}_y)/{f'}_y \\\\ {[X\\,Y\\,W]} ^T \\leftarrow R^{-1}*[x \\, y \\, 1]^T \\\\ x' \\leftarrow X/W \\\\ y' \\leftarrow Y/W \\\\ r^2 \\leftarrow x'^2 + y'^2 \\\\ x'' \\leftarrow x' \\frac{1 + k_1 r^2 + k_2 r^4 + k_3 r^6}{1 + k_4 r^2 + k_5 r^4 + k_6 r^6} + 2p_1 x' y' + p_2(r^2 + 2 x'^2) + s_1 r^2 + s_2 r^4\\\\ y'' \\leftarrow y' \\frac{1 + k_1 r^2 + k_2 r^4 + k_3 r^6}{1 + k_4 r^2 + k_5 r^4 + k_6 r^6} + p_1 (r^2 + 2 y'^2) + 2 p_2 x' y' + s_3 r^2 + s_4 r^4 \\\\ s\\vecthree{x'''}{y'''}{1} = \\vecthreethree{R_{33}(\\tau_x, \\tau_y)}{0}{-R_{13}((\\tau_x, \\tau_y)} {0}{R_{33}(\\tau_x, \\tau_y)}{-R_{23}(\\tau_x, \\tau_y)} {0}{0}{1} R(\\tau_x, \\tau_y) \\vecthree{x''}{y''}{1}\\\\ map_x(u,v) \\leftarrow x''' f_x + c_x \\\\ map_y(u,v) \\leftarrow y''' f_y + c_y \\end{array} \\f] where \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ are the distortion coefficients. In case of a stereo camera, this function is called twice: once for each camera head, after #stereoRectify, which in its turn is called after #stereoCalibrate. But if the stereo camera was not calibrated, it is still possible to compute the rectification transformations directly from the fundamental matrix using #stereoRectifyUncalibrated. For each camera, the function computes homography H as the rectification transformation in a pixel domain, not a rotation matrix R in 3D space. R can be computed from H as \\f[\\texttt{R} = \\texttt{cameraMatrix} ^{-1} \\cdot \\texttt{H} \\cdot \\texttt{cameraMatrix}\\f] where cameraMatrix can be chosen arbitrarily. Python prototype (for reference only): initUndistortRectifyMap(cameraMatrix, distCoeffs, R, newCameraMatrix, size, m1type[, map1[, map2]]) -&gt; map1, map2","ref":"Evision.html#initUndistortRectifyMap/7","title":"Evision.initUndistortRectifyMap/7","type":"function"},{"doc":"Restores the selected region in an image using the region neighborhood. Positional Arguments src : Evision.Mat.t() . Input 8-bit, 16-bit unsigned or 32-bit float 1-channel or 8-bit 3-channel image. inpaintMask : Evision.Mat.t() . Inpainting mask, 8-bit 1-channel image. Non-zero pixels indicate the area that needs to be inpainted. inpaintRadius : double . Radius of a circular neighborhood of each point inpainted that is considered by the algorithm. flags : int . Inpainting method that could be cv::INPAINT_NS or cv::INPAINT_TELEA Return dst : Evision.Mat.t() . Output image with the same size and type as src . The function reconstructs the selected image area from the pixel near the area boundary. The function may be used to remove dust and scratches from a scanned photo, or to remove undesirable objects from still images or video. See http://en.wikipedia.org/wiki/Inpainting for more details. Note : An example using the inpainting technique can be found at opencv_source_code/samples/cpp/inpaint.cpp (Python) An example using the inpainting technique can be found at opencv_source_code/samples/python/inpaint.py Python prototype (for reference only): inpaint(src, inpaintMask, inpaintRadius, flags[, dst]) -&gt; dst","ref":"Evision.html#inpaint/4","title":"Evision.inpaint/4","type":"function"},{"doc":"Restores the selected region in an image using the region neighborhood. Positional Arguments src : Evision.Mat.t() . Input 8-bit, 16-bit unsigned or 32-bit float 1-channel or 8-bit 3-channel image. inpaintMask : Evision.Mat.t() . Inpainting mask, 8-bit 1-channel image. Non-zero pixels indicate the area that needs to be inpainted. inpaintRadius : double . Radius of a circular neighborhood of each point inpainted that is considered by the algorithm. flags : int . Inpainting method that could be cv::INPAINT_NS or cv::INPAINT_TELEA Return dst : Evision.Mat.t() . Output image with the same size and type as src . The function reconstructs the selected image area from the pixel near the area boundary. The function may be used to remove dust and scratches from a scanned photo, or to remove undesirable objects from still images or video. See http://en.wikipedia.org/wiki/Inpainting for more details. Note : An example using the inpainting technique can be found at opencv_source_code/samples/cpp/inpaint.cpp (Python) An example using the inpainting technique can be found at opencv_source_code/samples/python/inpaint.py Python prototype (for reference only): inpaint(src, inpaintMask, inpaintRadius, flags[, dst]) -&gt; dst","ref":"Evision.html#inpaint/5","title":"Evision.inpaint/5","type":"function"},{"doc":"Checks if array elements lie between the elements of two other arrays. Positional Arguments src : Evision.Mat.t() . first input array. lowerb : Evision.Mat.t() . inclusive lower boundary array or a scalar. upperb : Evision.Mat.t() . inclusive upper boundary array or a scalar. Return dst : Evision.Mat.t() . output array of the same size as src and CV_8U type. The function checks the range as follows: For every element of a single-channel input array: \\f[\\texttt{dst} (I)= \\texttt{lowerb} (I)_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb} (I)_0\\f] For two-channel arrays: \\f[\\texttt{dst} (I)= \\texttt{lowerb} (I)_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb} (I)_0 \\land \\texttt{lowerb} (I)_1 \\leq \\texttt{src} (I)_1 \\leq \\texttt{upperb} (I)_1\\f] and so forth. That is, dst (I) is set to 255 (all 1 -bits) if src (I) is within the specified 1D, 2D, 3D, ... box and 0 otherwise. When the lower and/or upper boundary parameters are scalars, the indexes (I) at lowerb and upperb in the above formulas should be omitted. Python prototype (for reference only): inRange(src, lowerb, upperb[, dst]) -&gt; dst","ref":"Evision.html#inRange/3","title":"Evision.inRange/3","type":"function"},{"doc":"Checks if array elements lie between the elements of two other arrays. Positional Arguments src : Evision.Mat.t() . first input array. lowerb : Evision.Mat.t() . inclusive lower boundary array or a scalar. upperb : Evision.Mat.t() . inclusive upper boundary array or a scalar. Return dst : Evision.Mat.t() . output array of the same size as src and CV_8U type. The function checks the range as follows: For every element of a single-channel input array: \\f[\\texttt{dst} (I)= \\texttt{lowerb} (I)_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb} (I)_0\\f] For two-channel arrays: \\f[\\texttt{dst} (I)= \\texttt{lowerb} (I)_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb} (I)_0 \\land \\texttt{lowerb} (I)_1 \\leq \\texttt{src} (I)_1 \\leq \\texttt{upperb} (I)_1\\f] and so forth. That is, dst (I) is set to 255 (all 1 -bits) if src (I) is within the specified 1D, 2D, 3D, ... box and 0 otherwise. When the lower and/or upper boundary parameters are scalars, the indexes (I) at lowerb and upperb in the above formulas should be omitted. Python prototype (for reference only): inRange(src, lowerb, upperb[, dst]) -&gt; dst","ref":"Evision.html#inRange/4","title":"Evision.inRange/4","type":"function"},{"doc":"Inserts a single channel to dst (coi is 0-based index) Positional Arguments src : Evision.Mat.t() . input array coi : int . index of channel for insertion Return dst : Evision.Mat.t() . output array @sa mixChannels, merge Python prototype (for reference only): insertChannel(src, dst, coi) -&gt; dst","ref":"Evision.html#insertChannel/3","title":"Evision.insertChannel/3","type":"function"},{"doc":"integral2 Positional Arguments src : Evision.Mat.t() Keyword Arguments sdepth : int . sqdepth : int . Return sum : Evision.Mat.t() . sqsum : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): integral2(src[, sum[, sqsum[, sdepth[, sqdepth]]]]) -&gt; sum, sqsum","ref":"Evision.html#integral2/1","title":"Evision.integral2/1","type":"function"},{"doc":"integral2 Positional Arguments src : Evision.Mat.t() Keyword Arguments sdepth : int . sqdepth : int . Return sum : Evision.Mat.t() . sqsum : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): integral2(src[, sum[, sqsum[, sdepth[, sqdepth]]]]) -&gt; sum, sqsum","ref":"Evision.html#integral2/2","title":"Evision.integral2/2","type":"function"},{"doc":"Calculates the integral of an image. Positional Arguments src : Evision.Mat.t() . input image as \\f$W \\times H\\f$, 8-bit or floating-point (32f or 64f). Keyword Arguments sdepth : int . desired depth of the integral and the tilted integral images, CV_32S, CV_32F, or CV_64F. sqdepth : int . desired depth of the integral image of squared pixel values, CV_32F or CV_64F. Return sum : Evision.Mat.t() . integral image as \\f$(W+1)\\times (H+1)\\f$ , 32-bit integer or floating-point (32f or 64f). sqsum : Evision.Mat.t() . integral image for squared pixel values; it is \\f$(W+1)\\times (H+1)\\f$, double-precision floating-point (64f) array. tilted : Evision.Mat.t() . integral for the image rotated by 45 degrees; it is \\f$(W+1)\\times (H+1)\\f$ array with the same data type as sum. The function calculates one or more integral images for the source image as follows: \\f[\\texttt{sum} (X,Y) = \\sum _{x&lt;X,y&lt;Y} \\texttt{image} (x,y)\\f] \\f[\\texttt{sqsum} (X,Y) = \\sum _{x&lt;X,y&lt;Y} \\texttt{image} (x,y)^2\\f] \\f[\\texttt{tilted} (X,Y) = \\sum _{y&lt;Y,abs(x-X+1) \\leq Y-y-1} \\texttt{image} (x,y)\\f] Using these integral images, you can calculate sum, mean, and standard deviation over a specific up-right or rotated rectangular region of the image in a constant time, for example: \\f[\\sum _{x_1 \\leq x &lt; x_2, \\, y_1 \\leq y &lt; y_2} \\texttt{image} (x,y) = \\texttt{sum} (x_2,y_2)- \\texttt{sum} (x_1,y_2)- \\texttt{sum} (x_2,y_1)+ \\texttt{sum} (x_1,y_1)\\f] It makes possible to do a fast blurring or fast block correlation with a variable window size, for example. In case of multi-channel images, sums for each channel are accumulated independently. As a practical example, the next figure shows the calculation of the integral of a straight rectangle Rect(4,4,3,2) and of a tilted rectangle Rect(5,1,2,3) . The selected pixels in the original image are shown, as well as the relative pixels in the integral images sum and tilted . Python prototype (for reference only): integral3(src[, sum[, sqsum[, tilted[, sdepth[, sqdepth]]]]]) -&gt; sum, sqsum, tilted","ref":"Evision.html#integral3/1","title":"Evision.integral3/1","type":"function"},{"doc":"Calculates the integral of an image. Positional Arguments src : Evision.Mat.t() . input image as \\f$W \\times H\\f$, 8-bit or floating-point (32f or 64f). Keyword Arguments sdepth : int . desired depth of the integral and the tilted integral images, CV_32S, CV_32F, or CV_64F. sqdepth : int . desired depth of the integral image of squared pixel values, CV_32F or CV_64F. Return sum : Evision.Mat.t() . integral image as \\f$(W+1)\\times (H+1)\\f$ , 32-bit integer or floating-point (32f or 64f). sqsum : Evision.Mat.t() . integral image for squared pixel values; it is \\f$(W+1)\\times (H+1)\\f$, double-precision floating-point (64f) array. tilted : Evision.Mat.t() . integral for the image rotated by 45 degrees; it is \\f$(W+1)\\times (H+1)\\f$ array with the same data type as sum. The function calculates one or more integral images for the source image as follows: \\f[\\texttt{sum} (X,Y) = \\sum _{x&lt;X,y&lt;Y} \\texttt{image} (x,y)\\f] \\f[\\texttt{sqsum} (X,Y) = \\sum _{x&lt;X,y&lt;Y} \\texttt{image} (x,y)^2\\f] \\f[\\texttt{tilted} (X,Y) = \\sum _{y&lt;Y,abs(x-X+1) \\leq Y-y-1} \\texttt{image} (x,y)\\f] Using these integral images, you can calculate sum, mean, and standard deviation over a specific up-right or rotated rectangular region of the image in a constant time, for example: \\f[\\sum _{x_1 \\leq x &lt; x_2, \\, y_1 \\leq y &lt; y_2} \\texttt{image} (x,y) = \\texttt{sum} (x_2,y_2)- \\texttt{sum} (x_1,y_2)- \\texttt{sum} (x_2,y_1)+ \\texttt{sum} (x_1,y_1)\\f] It makes possible to do a fast blurring or fast block correlation with a variable window size, for example. In case of multi-channel images, sums for each channel are accumulated independently. As a practical example, the next figure shows the calculation of the integral of a straight rectangle Rect(4,4,3,2) and of a tilted rectangle Rect(5,1,2,3) . The selected pixels in the original image are shown, as well as the relative pixels in the integral images sum and tilted . Python prototype (for reference only): integral3(src[, sum[, sqsum[, tilted[, sdepth[, sqdepth]]]]]) -&gt; sum, sqsum, tilted","ref":"Evision.html#integral3/2","title":"Evision.integral3/2","type":"function"},{"doc":"integral Positional Arguments src : Evision.Mat.t() Keyword Arguments sdepth : int . Return sum : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): integral(src[, sum[, sdepth]]) -&gt; sum","ref":"Evision.html#integral/1","title":"Evision.integral/1","type":"function"},{"doc":"integral Positional Arguments src : Evision.Mat.t() Keyword Arguments sdepth : int . Return sum : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): integral(src[, sum[, sdepth]]) -&gt; sum","ref":"Evision.html#integral/2","title":"Evision.integral/2","type":"function"},{"doc":"Finds intersection of two convex polygons Positional Arguments p1 : Evision.Mat.t() . First polygon p2 : Evision.Mat.t() . Second polygon Keyword Arguments handleNested : bool . When true, an intersection is found if one of the polygons is fully enclosed in the other. When false, no intersection is found. If the polygons share a side or the vertex of one polygon lies on an edge of the other, they are not considered nested and an intersection will be found regardless of the value of handleNested. Return retval : float p12 : Evision.Mat.t() . Output polygon describing the intersecting area @returns Absolute value of area of intersecting polygon Note : intersectConvexConvex doesn't confirm that both polygons are convex and will return invalid results if they aren't. Python prototype (for reference only): intersectConvexConvex(p1, p2[, p12[, handleNested]]) -&gt; retval, p12","ref":"Evision.html#intersectConvexConvex/2","title":"Evision.intersectConvexConvex/2","type":"function"},{"doc":"Finds intersection of two convex polygons Positional Arguments p1 : Evision.Mat.t() . First polygon p2 : Evision.Mat.t() . Second polygon Keyword Arguments handleNested : bool . When true, an intersection is found if one of the polygons is fully enclosed in the other. When false, no intersection is found. If the polygons share a side or the vertex of one polygon lies on an edge of the other, they are not considered nested and an intersection will be found regardless of the value of handleNested. Return retval : float p12 : Evision.Mat.t() . Output polygon describing the intersecting area @returns Absolute value of area of intersecting polygon Note : intersectConvexConvex doesn't confirm that both polygons are convex and will return invalid results if they aren't. Python prototype (for reference only): intersectConvexConvex(p1, p2[, p12[, handleNested]]) -&gt; retval, p12","ref":"Evision.html#intersectConvexConvex/3","title":"Evision.intersectConvexConvex/3","type":"function"},{"doc":"Finds the inverse or pseudo-inverse of a matrix. Positional Arguments src : Evision.Mat.t() . input floating-point M x N matrix. Keyword Arguments flags : int . inversion method (cv::DecompTypes) Return retval : double dst : Evision.Mat.t() . output matrix of N x M size and the same type as src. The function cv::invert inverts the matrix src and stores the result in dst . When the matrix src is singular or non-square, the function calculates the pseudo-inverse matrix (the dst matrix) so that norm(src*dst - I) is minimal, where I is an identity matrix. In case of the #DECOMP_LU method, the function returns non-zero value if the inverse has been successfully calculated and 0 if src is singular. In case of the #DECOMP_SVD method, the function returns the inverse condition number of src (the ratio of the smallest singular value to the largest singular value) and 0 if src is singular. The SVD method calculates a pseudo-inverse matrix if src is singular. Similarly to #DECOMP_LU, the method #DECOMP_CHOLESKY works only with non-singular square matrices that should also be symmetrical and positively defined. In this case, the function stores the inverted matrix in dst and returns non-zero. Otherwise, it returns 0. @sa solve, SVD Python prototype (for reference only): invert(src[, dst[, flags]]) -&gt; retval, dst","ref":"Evision.html#invert/1","title":"Evision.invert/1","type":"function"},{"doc":"Finds the inverse or pseudo-inverse of a matrix. Positional Arguments src : Evision.Mat.t() . input floating-point M x N matrix. Keyword Arguments flags : int . inversion method (cv::DecompTypes) Return retval : double dst : Evision.Mat.t() . output matrix of N x M size and the same type as src. The function cv::invert inverts the matrix src and stores the result in dst . When the matrix src is singular or non-square, the function calculates the pseudo-inverse matrix (the dst matrix) so that norm(src*dst - I) is minimal, where I is an identity matrix. In case of the #DECOMP_LU method, the function returns non-zero value if the inverse has been successfully calculated and 0 if src is singular. In case of the #DECOMP_SVD method, the function returns the inverse condition number of src (the ratio of the smallest singular value to the largest singular value) and 0 if src is singular. The SVD method calculates a pseudo-inverse matrix if src is singular. Similarly to #DECOMP_LU, the method #DECOMP_CHOLESKY works only with non-singular square matrices that should also be symmetrical and positively defined. In this case, the function stores the inverted matrix in dst and returns non-zero. Otherwise, it returns 0. @sa solve, SVD Python prototype (for reference only): invert(src[, dst[, flags]]) -&gt; retval, dst","ref":"Evision.html#invert/2","title":"Evision.invert/2","type":"function"},{"doc":"Inverts an affine transformation. Positional Arguments m : Evision.Mat.t() . Original affine transformation. Return iM : Evision.Mat.t() . Output reverse affine transformation. The function computes an inverse affine transformation represented by \\f$2 \\times 3\\f$ matrix M: \\f[\\begin{bmatrix} a_{11} &amp; a_{12} &amp; b_1 \\\\ a_{21} &amp; a_{22} &amp; b_2 \\end{bmatrix}\\f] The result is also a \\f$2 \\times 3\\f$ matrix of the same type as M. Python prototype (for reference only): invertAffineTransform(M[, iM]) -&gt; iM","ref":"Evision.html#invertAffineTransform/1","title":"Evision.invertAffineTransform/1","type":"function"},{"doc":"Inverts an affine transformation. Positional Arguments m : Evision.Mat.t() . Original affine transformation. Return iM : Evision.Mat.t() . Output reverse affine transformation. The function computes an inverse affine transformation represented by \\f$2 \\times 3\\f$ matrix M: \\f[\\begin{bmatrix} a_{11} &amp; a_{12} &amp; b_1 \\\\ a_{21} &amp; a_{22} &amp; b_2 \\end{bmatrix}\\f] The result is also a \\f$2 \\times 3\\f$ matrix of the same type as M. Python prototype (for reference only): invertAffineTransform(M[, iM]) -&gt; iM","ref":"Evision.html#invertAffineTransform/2","title":"Evision.invertAffineTransform/2","type":"function"},{"doc":"Tests a contour convexity. Positional Arguments contour : Evision.Mat.t() . Input vector of 2D points, stored in std::vector\\&lt;&gt; or Mat Return retval : bool The function tests whether the input contour is convex or not. The contour must be simple, that is, without self-intersections. Otherwise, the function output is undefined. Python prototype (for reference only): isContourConvex(contour) -&gt; retval","ref":"Evision.html#isContourConvex/1","title":"Evision.isContourConvex/1","type":"function"},{"doc":"Finds centers of clusters and groups input samples around the clusters. Positional Arguments data : Evision.Mat.t() . Data for clustering. An array of N-Dimensional points with float coordinates is needed. Examples of this array can be: Mat points(count, 2, CV_32F); Mat points(count, 1, CV_32FC2); Mat points(1, count, CV_32FC2); std::vector\\&lt;cv::Point2f&gt; points(sampleCount); k : int . Number of clusters to split the set by. criteria : TermCriteria . The algorithm termination criteria, that is, the maximum number of iterations and/or the desired accuracy. The accuracy is specified as criteria.epsilon. As soon as each of the cluster centers moves by less than criteria.epsilon on some iteration, the algorithm stops. attempts : int . Flag to specify the number of times the algorithm is executed using different initial labellings. The algorithm returns the labels that yield the best compactness (see the last function parameter). flags : int . Flag that can take values of cv::KmeansFlags Return retval : double bestLabels : Evision.Mat.t() . Input/output integer array that stores the cluster indices for every sample. centers : Evision.Mat.t() . Output matrix of the cluster centers, one row per each cluster center. The function kmeans implements a k-means algorithm that finds the centers of cluster_count clusters and groups the input samples around the clusters. As an output, \\f$\\texttt{bestLabels}_i\\f$ contains a 0-based cluster index for the sample stored in the \\f$i^{th}\\f$ row of the samples matrix. Note : (Python) An example on K-means clustering can be found at opencv_source_code/samples/python/kmeans.py @return The function returns the compactness measure that is computed as \\f[\\sum _i \\| \\texttt{samples} _i - \\texttt{centers} _{ \\texttt{labels} _i} \\| ^2\\f] after every attempt. The best (minimum) value is chosen and the corresponding labels and the compactness value are returned by the function. Basically, you can use only the core of the function, set the number of attempts to 1, initialize labels each time using a custom algorithm, pass them with the ( flags = #KMEANS_USE_INITIAL_LABELS ) flag, and then choose the best (most-compact) clustering. Python prototype (for reference only): kmeans(data, K, bestLabels, criteria, attempts, flags[, centers]) -&gt; retval, bestLabels, centers","ref":"Evision.html#kmeans/6","title":"Evision.kmeans/6","type":"function"},{"doc":"Finds centers of clusters and groups input samples around the clusters. Positional Arguments data : Evision.Mat.t() . Data for clustering. An array of N-Dimensional points with float coordinates is needed. Examples of this array can be: Mat points(count, 2, CV_32F); Mat points(count, 1, CV_32FC2); Mat points(1, count, CV_32FC2); std::vector\\&lt;cv::Point2f&gt; points(sampleCount); k : int . Number of clusters to split the set by. criteria : TermCriteria . The algorithm termination criteria, that is, the maximum number of iterations and/or the desired accuracy. The accuracy is specified as criteria.epsilon. As soon as each of the cluster centers moves by less than criteria.epsilon on some iteration, the algorithm stops. attempts : int . Flag to specify the number of times the algorithm is executed using different initial labellings. The algorithm returns the labels that yield the best compactness (see the last function parameter). flags : int . Flag that can take values of cv::KmeansFlags Return retval : double bestLabels : Evision.Mat.t() . Input/output integer array that stores the cluster indices for every sample. centers : Evision.Mat.t() . Output matrix of the cluster centers, one row per each cluster center. The function kmeans implements a k-means algorithm that finds the centers of cluster_count clusters and groups the input samples around the clusters. As an output, \\f$\\texttt{bestLabels}_i\\f$ contains a 0-based cluster index for the sample stored in the \\f$i^{th}\\f$ row of the samples matrix. Note : (Python) An example on K-means clustering can be found at opencv_source_code/samples/python/kmeans.py @return The function returns the compactness measure that is computed as \\f[\\sum _i \\| \\texttt{samples} _i - \\texttt{centers} _{ \\texttt{labels} _i} \\| ^2\\f] after every attempt. The best (minimum) value is chosen and the corresponding labels and the compactness value are returned by the function. Basically, you can use only the core of the function, set the number of attempts to 1, initialize labels each time using a custom algorithm, pass them with the ( flags = #KMEANS_USE_INITIAL_LABELS ) flag, and then choose the best (most-compact) clustering. Python prototype (for reference only): kmeans(data, K, bestLabels, criteria, attempts, flags[, centers]) -&gt; retval, bestLabels, centers","ref":"Evision.html#kmeans/7","title":"Evision.kmeans/7","type":"function"},{"doc":"Calculates the Laplacian of an image. Positional Arguments src : Evision.Mat.t() . Source image. ddepth : int . Desired depth of the destination image, see @ref filter_depths &quot;combinations&quot;. Keyword Arguments ksize : int . Aperture size used to compute the second-derivative filters. See #getDerivKernels for details. The size must be positive and odd. scale : double . Optional scale factor for the computed Laplacian values. By default, no scaling is applied. See #getDerivKernels for details. delta : double . Optional delta value that is added to the results prior to storing them in dst . borderType : int . Pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Destination image of the same size and the same number of channels as src . The function calculates the Laplacian of the source image by adding up the second x and y derivatives calculated using the Sobel operator: \\f[\\texttt{dst} = \\Delta \\texttt{src} = \\frac{\\partial^2 \\texttt{src}}{\\partial x^2} + \\frac{\\partial^2 \\texttt{src}}{\\partial y^2}\\f] This is done when ksize &gt; 1 . When ksize == 1 , the Laplacian is computed by filtering the image with the following \\f$3 \\times 3\\f$ aperture: \\f[\\vecthreethree {0}{1}{0}{1}{-4}{1}{0}{1}{0}\\f] @sa Sobel, Scharr Python prototype (for reference only): Laplacian(src, ddepth[, dst[, ksize[, scale[, delta[, borderType]]]]]) -&gt; dst","ref":"Evision.html#laplacian/2","title":"Evision.laplacian/2","type":"function"},{"doc":"Calculates the Laplacian of an image. Positional Arguments src : Evision.Mat.t() . Source image. ddepth : int . Desired depth of the destination image, see @ref filter_depths &quot;combinations&quot;. Keyword Arguments ksize : int . Aperture size used to compute the second-derivative filters. See #getDerivKernels for details. The size must be positive and odd. scale : double . Optional scale factor for the computed Laplacian values. By default, no scaling is applied. See #getDerivKernels for details. delta : double . Optional delta value that is added to the results prior to storing them in dst . borderType : int . Pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Destination image of the same size and the same number of channels as src . The function calculates the Laplacian of the source image by adding up the second x and y derivatives calculated using the Sobel operator: \\f[\\texttt{dst} = \\Delta \\texttt{src} = \\frac{\\partial^2 \\texttt{src}}{\\partial x^2} + \\frac{\\partial^2 \\texttt{src}}{\\partial y^2}\\f] This is done when ksize &gt; 1 . When ksize == 1 , the Laplacian is computed by filtering the image with the following \\f$3 \\times 3\\f$ aperture: \\f[\\vecthreethree {0}{1}{0}{1}{-4}{1}{0}{1}{0}\\f] @sa Sobel, Scharr Python prototype (for reference only): Laplacian(src, ddepth[, dst[, ksize[, scale[, delta[, borderType]]]]]) -&gt; dst","ref":"Evision.html#laplacian/3","title":"Evision.laplacian/3","type":"function"},{"doc":"Draws a line segment connecting two points. Positional Arguments pt1 : Point . First point of the line segment. pt2 : Point . Second point of the line segment. color : Scalar . Line color. Keyword Arguments thickness : int . Line thickness. lineType : int . Type of the line. See #LineTypes. shift : int . Number of fractional bits in the point coordinates. Return img : Evision.Mat.t() . Image. The function line draws the line segment between pt1 and pt2 points in the image. The line is clipped by the image boundaries. For non-antialiased lines with integer coordinates, the 8-connected or 4-connected Bresenham algorithm is used. Thick lines are drawn with rounding endings. Antialiased lines are drawn using Gaussian filtering. Python prototype (for reference only): line(img, pt1, pt2, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#line/4","title":"Evision.line/4","type":"function"},{"doc":"Draws a line segment connecting two points. Positional Arguments pt1 : Point . First point of the line segment. pt2 : Point . Second point of the line segment. color : Scalar . Line color. Keyword Arguments thickness : int . Line thickness. lineType : int . Type of the line. See #LineTypes. shift : int . Number of fractional bits in the point coordinates. Return img : Evision.Mat.t() . Image. The function line draws the line segment between pt1 and pt2 points in the image. The line is clipped by the image boundaries. For non-antialiased lines with integer coordinates, the 8-connected or 4-connected Bresenham algorithm is used. Thick lines are drawn with rounding endings. Antialiased lines are drawn using Gaussian filtering. Python prototype (for reference only): line(img, pt1, pt2, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#line/5","title":"Evision.line/5","type":"function"},{"doc":"Remaps an image to polar coordinates space. Positional Arguments src : Evision.Mat.t() . Source image center : Point2f . The transformation center; maxRadius : double . The radius of the bounding circle to transform. It determines the inverse magnitude scale parameter too. flags : int . A combination of interpolation methods, see #InterpolationFlags Return dst : Evision.Mat.t() . Destination image. It will have same size and type as src. @deprecated This function produces same result as cv::warpPolar(src, dst, src.size(), center, maxRadius, flags) @internal Transform the source image using the following transformation (See @ref polar_remaps_reference_image &quot;Polar remaps reference image c)&quot;): \\f[\\begin{array}{l} dst( \\rho , \\phi ) = src(x,y) \\\\ dst.size() \\leftarrow src.size() \\end{array}\\f] where \\f[\\begin{array}{l} I = (dx,dy) = (x - center.x,y - center.y) \\\\ \\rho = Kmag \\cdot \\texttt{magnitude} (I) ,\\\\ \\phi = angle \\cdot \\texttt{angle} (I) \\end{array}\\f] and \\f[\\begin{array}{l} Kx = src.cols / maxRadius \\\\ Ky = src.rows / 2\\Pi \\end{array}\\f] Note : The function can not operate in-place. To calculate magnitude and angle in degrees #cartToPolar is used internally thus angles are measured from 0 to 360 with accuracy about 0.3 degrees. @sa cv::logPolar @endinternal Python prototype (for reference only): linearPolar(src, center, maxRadius, flags[, dst]) -&gt; dst","ref":"Evision.html#linearPolar/4","title":"Evision.linearPolar/4","type":"function"},{"doc":"Remaps an image to polar coordinates space. Positional Arguments src : Evision.Mat.t() . Source image center : Point2f . The transformation center; maxRadius : double . The radius of the bounding circle to transform. It determines the inverse magnitude scale parameter too. flags : int . A combination of interpolation methods, see #InterpolationFlags Return dst : Evision.Mat.t() . Destination image. It will have same size and type as src. @deprecated This function produces same result as cv::warpPolar(src, dst, src.size(), center, maxRadius, flags) @internal Transform the source image using the following transformation (See @ref polar_remaps_reference_image &quot;Polar remaps reference image c)&quot;): \\f[\\begin{array}{l} dst( \\rho , \\phi ) = src(x,y) \\\\ dst.size() \\leftarrow src.size() \\end{array}\\f] where \\f[\\begin{array}{l} I = (dx,dy) = (x - center.x,y - center.y) \\\\ \\rho = Kmag \\cdot \\texttt{magnitude} (I) ,\\\\ \\phi = angle \\cdot \\texttt{angle} (I) \\end{array}\\f] and \\f[\\begin{array}{l} Kx = src.cols / maxRadius \\\\ Ky = src.rows / 2\\Pi \\end{array}\\f] Note : The function can not operate in-place. To calculate magnitude and angle in degrees #cartToPolar is used internally thus angles are measured from 0 to 360 with accuracy about 0.3 degrees. @sa cv::logPolar @endinternal Python prototype (for reference only): linearPolar(src, center, maxRadius, flags[, dst]) -&gt; dst","ref":"Evision.html#linearPolar/5","title":"Evision.linearPolar/5","type":"function"},{"doc":"Calculates the natural logarithm of every array element. Positional Arguments src : Evision.Mat.t() . input array. Return dst : Evision.Mat.t() . output array of the same size and type as src . The function cv::log calculates the natural logarithm of every element of the input array: \\f[\\texttt{dst} (I) = \\log (\\texttt{src}(I)) \\f] Output on zero, negative and special (NaN, Inf) values is undefined. @sa exp, cartToPolar, polarToCart, phase, pow, sqrt, magnitude Python prototype (for reference only): log(src[, dst]) -&gt; dst","ref":"Evision.html#log/1","title":"Evision.log/1","type":"function"},{"doc":"Calculates the natural logarithm of every array element. Positional Arguments src : Evision.Mat.t() . input array. Return dst : Evision.Mat.t() . output array of the same size and type as src . The function cv::log calculates the natural logarithm of every element of the input array: \\f[\\texttt{dst} (I) = \\log (\\texttt{src}(I)) \\f] Output on zero, negative and special (NaN, Inf) values is undefined. @sa exp, cartToPolar, polarToCart, phase, pow, sqrt, magnitude Python prototype (for reference only): log(src[, dst]) -&gt; dst","ref":"Evision.html#log/2","title":"Evision.log/2","type":"function"},{"doc":"Remaps an image to semilog-polar coordinates space. Positional Arguments src : Evision.Mat.t() . Source image center : Point2f . The transformation center; where the output precision is maximal m : double . Magnitude scale parameter. It determines the radius of the bounding circle to transform too. flags : int . A combination of interpolation methods, see #InterpolationFlags Return dst : Evision.Mat.t() . Destination image. It will have same size and type as src. @deprecated This function produces same result as cv::warpPolar(src, dst, src.size(), center, maxRadius, flags+WARP_POLAR_LOG); @internal Transform the source image using the following transformation (See @ref polar_remaps_reference_image &quot;Polar remaps reference image d)&quot;): \\f[\\begin{array}{l} dst( \\rho , \\phi ) = src(x,y) \\\\ dst.size() \\leftarrow src.size() \\end{array}\\f] where \\f[\\begin{array}{l} I = (dx,dy) = (x - center.x,y - center.y) \\\\ \\rho = M \\cdot log_e(\\texttt{magnitude} (I)) ,\\\\ \\phi = Kangle \\cdot \\texttt{angle} (I) \\\\ \\end{array}\\f] and \\f[\\begin{array}{l} M = src.cols / log_e(maxRadius) \\\\ Kangle = src.rows / 2\\Pi \\\\ \\end{array}\\f] The function emulates the human &quot;foveal&quot; vision and can be used for fast scale and rotation-invariant template matching, for object tracking and so forth. Note : The function can not operate in-place. To calculate magnitude and angle in degrees #cartToPolar is used internally thus angles are measured from 0 to 360 with accuracy about 0.3 degrees. @sa cv::linearPolar @endinternal Python prototype (for reference only): logPolar(src, center, M, flags[, dst]) -&gt; dst","ref":"Evision.html#logPolar/4","title":"Evision.logPolar/4","type":"function"},{"doc":"Remaps an image to semilog-polar coordinates space. Positional Arguments src : Evision.Mat.t() . Source image center : Point2f . The transformation center; where the output precision is maximal m : double . Magnitude scale parameter. It determines the radius of the bounding circle to transform too. flags : int . A combination of interpolation methods, see #InterpolationFlags Return dst : Evision.Mat.t() . Destination image. It will have same size and type as src. @deprecated This function produces same result as cv::warpPolar(src, dst, src.size(), center, maxRadius, flags+WARP_POLAR_LOG); @internal Transform the source image using the following transformation (See @ref polar_remaps_reference_image &quot;Polar remaps reference image d)&quot;): \\f[\\begin{array}{l} dst( \\rho , \\phi ) = src(x,y) \\\\ dst.size() \\leftarrow src.size() \\end{array}\\f] where \\f[\\begin{array}{l} I = (dx,dy) = (x - center.x,y - center.y) \\\\ \\rho = M \\cdot log_e(\\texttt{magnitude} (I)) ,\\\\ \\phi = Kangle \\cdot \\texttt{angle} (I) \\\\ \\end{array}\\f] and \\f[\\begin{array}{l} M = src.cols / log_e(maxRadius) \\\\ Kangle = src.rows / 2\\Pi \\\\ \\end{array}\\f] The function emulates the human &quot;foveal&quot; vision and can be used for fast scale and rotation-invariant template matching, for object tracking and so forth. Note : The function can not operate in-place. To calculate magnitude and angle in degrees #cartToPolar is used internally thus angles are measured from 0 to 360 with accuracy about 0.3 degrees. @sa cv::linearPolar @endinternal Python prototype (for reference only): logPolar(src, center, M, flags[, dst]) -&gt; dst","ref":"Evision.html#logPolar/5","title":"Evision.logPolar/5","type":"function"},{"doc":"Performs a look-up table transform of an array. Positional Arguments src : Evision.Mat.t() . input array of 8-bit elements. lut : Evision.Mat.t() . look-up table of 256 elements; in case of multi-channel input array, the table should either have a single channel (in this case the same table is used for all channels) or the same number of channels as in the input array. Return dst : Evision.Mat.t() . output array of the same size and number of channels as src, and the same depth as lut. The function LUT fills the output array with values from the look-up table. Indices of the entries are taken from the input array. That is, the function processes each element of src as follows: \\f[\\texttt{dst} (I) \\leftarrow \\texttt{lut(src(I) + d)}\\f] where \\f[d = \\fork{0}{if (\\texttt{src}) has depth (\\texttt{CV_8U})}{128}{if (\\texttt{src}) has depth (\\texttt{CV_8S})}\\f] @sa convertScaleAbs, Mat::convertTo Python prototype (for reference only): LUT(src, lut[, dst]) -&gt; dst","ref":"Evision.html#lut/2","title":"Evision.lut/2","type":"function"},{"doc":"Performs a look-up table transform of an array. Positional Arguments src : Evision.Mat.t() . input array of 8-bit elements. lut : Evision.Mat.t() . look-up table of 256 elements; in case of multi-channel input array, the table should either have a single channel (in this case the same table is used for all channels) or the same number of channels as in the input array. Return dst : Evision.Mat.t() . output array of the same size and number of channels as src, and the same depth as lut. The function LUT fills the output array with values from the look-up table. Indices of the entries are taken from the input array. That is, the function processes each element of src as follows: \\f[\\texttt{dst} (I) \\leftarrow \\texttt{lut(src(I) + d)}\\f] where \\f[d = \\fork{0}{if (\\texttt{src}) has depth (\\texttt{CV_8U})}{128}{if (\\texttt{src}) has depth (\\texttt{CV_8S})}\\f] @sa convertScaleAbs, Mat::convertTo Python prototype (for reference only): LUT(src, lut[, dst]) -&gt; dst","ref":"Evision.html#lut/3","title":"Evision.lut/3","type":"function"},{"doc":"Calculates the magnitude of 2D vectors. Positional Arguments x : Evision.Mat.t() . floating-point array of x-coordinates of the vectors. y : Evision.Mat.t() . floating-point array of y-coordinates of the vectors; it must have the same size as x. Return magnitude : Evision.Mat.t() . output array of the same size and type as x. The function cv::magnitude calculates the magnitude of 2D vectors formed from the corresponding elements of x and y arrays: \\f[\\texttt{dst} (I) = \\sqrt{\\texttt{x}(I)^2 + \\texttt{y}(I)^2}\\f] @sa cartToPolar, polarToCart, phase, sqrt Python prototype (for reference only): magnitude(x, y[, magnitude]) -&gt; magnitude","ref":"Evision.html#magnitude/2","title":"Evision.magnitude/2","type":"function"},{"doc":"Calculates the magnitude of 2D vectors. Positional Arguments x : Evision.Mat.t() . floating-point array of x-coordinates of the vectors. y : Evision.Mat.t() . floating-point array of y-coordinates of the vectors; it must have the same size as x. Return magnitude : Evision.Mat.t() . output array of the same size and type as x. The function cv::magnitude calculates the magnitude of 2D vectors formed from the corresponding elements of x and y arrays: \\f[\\texttt{dst} (I) = \\sqrt{\\texttt{x}(I)^2 + \\texttt{y}(I)^2}\\f] @sa cartToPolar, polarToCart, phase, sqrt Python prototype (for reference only): magnitude(x, y[, magnitude]) -&gt; magnitude","ref":"Evision.html#magnitude/3","title":"Evision.magnitude/3","type":"function"},{"doc":"Calculates the Mahalanobis distance between two vectors. Positional Arguments v1 : Evision.Mat.t() . first 1D input vector. v2 : Evision.Mat.t() . second 1D input vector. icovar : Evision.Mat.t() . inverse covariance matrix. Return retval : double The function cv::Mahalanobis calculates and returns the weighted distance between two vectors: \\f[d( \\texttt{vec1} , \\texttt{vec2} )= \\sqrt{\\sum_{i,j}{\\texttt{icovar(i,j)}\\cdot(\\texttt{vec1}(I)-\\texttt{vec2}(I))\\cdot(\\texttt{vec1(j)}-\\texttt{vec2(j)})} }\\f] The covariance matrix may be calculated using the #calcCovarMatrix function and then inverted using the invert function (preferably using the #DECOMP_SVD method, as the most accurate). Python prototype (for reference only): Mahalanobis(v1, v2, icovar) -&gt; retval","ref":"Evision.html#mahalanobis/3","title":"Evision.mahalanobis/3","type":"function"},{"doc":"Compares two shapes. Positional Arguments contour1 : Evision.Mat.t() . First contour or grayscale image. contour2 : Evision.Mat.t() . Second contour or grayscale image. method : int . Comparison method, see #ShapeMatchModes parameter : double . Method-specific parameter (not supported now). Return retval : double The function compares two shapes. All three implemented methods use the Hu invariants (see #HuMoments) Python prototype (for reference only): matchShapes(contour1, contour2, method, parameter) -&gt; retval","ref":"Evision.html#matchShapes/4","title":"Evision.matchShapes/4","type":"function"},{"doc":"Compares a template against overlapped image regions. Positional Arguments image : Evision.Mat.t() . Image where the search is running. It must be 8-bit or 32-bit floating-point. templ : Evision.Mat.t() . Searched template. It must be not greater than the source image and have the same data type. method : int . Parameter specifying the comparison method, see #TemplateMatchModes Keyword Arguments mask : Evision.Mat.t() . Optional mask. It must have the same size as templ. It must either have the same number of channels as template or only one channel, which is then used for all template and image channels. If the data type is #CV_8U, the mask is interpreted as a binary mask, meaning only elements where mask is nonzero are used and are kept unchanged independent of the actual mask value (weight equals 1). For data tpye #CV_32F, the mask values are used as weights. The exact formulas are documented in #TemplateMatchModes. Return result : Evision.Mat.t() . Map of comparison results. It must be single-channel 32-bit floating-point. If image is \\f$W \\times H\\f$ and templ is \\f$w \\times h\\f$ , then result is \\f$(W-w+1) \\times (H-h+1)\\f$ . The function slides through image , compares the overlapped patches of size \\f$w \\times h\\f$ against templ using the specified method and stores the comparison results in result . #TemplateMatchModes describes the formulae for the available comparison methods ( \\f$I\\f$ denotes image, \\f$T\\f$ template, \\f$R\\f$ result, \\f$M\\f$ the optional mask ). The summation is done over template and/or the image patch: \\f$x' = 0...w-1, y' = 0...h-1\\f$ After the function finishes the comparison, the best matches can be found as global minimums (when #TM_SQDIFF was used) or maximums (when #TM_CCORR or #TM_CCOEFF was used) using the #minMaxLoc function. In case of a color image, template summation in the numerator and each sum in the denominator is done over all of the channels and separate mean values are used for each channel. That is, the function can take a color template and a color image. The result will still be a single-channel image, which is easier to analyze. Python prototype (for reference only): matchTemplate(image, templ, method[, result[, mask]]) -&gt; result","ref":"Evision.html#matchTemplate/3","title":"Evision.matchTemplate/3","type":"function"},{"doc":"Compares a template against overlapped image regions. Positional Arguments image : Evision.Mat.t() . Image where the search is running. It must be 8-bit or 32-bit floating-point. templ : Evision.Mat.t() . Searched template. It must be not greater than the source image and have the same data type. method : int . Parameter specifying the comparison method, see #TemplateMatchModes Keyword Arguments mask : Evision.Mat.t() . Optional mask. It must have the same size as templ. It must either have the same number of channels as template or only one channel, which is then used for all template and image channels. If the data type is #CV_8U, the mask is interpreted as a binary mask, meaning only elements where mask is nonzero are used and are kept unchanged independent of the actual mask value (weight equals 1). For data tpye #CV_32F, the mask values are used as weights. The exact formulas are documented in #TemplateMatchModes. Return result : Evision.Mat.t() . Map of comparison results. It must be single-channel 32-bit floating-point. If image is \\f$W \\times H\\f$ and templ is \\f$w \\times h\\f$ , then result is \\f$(W-w+1) \\times (H-h+1)\\f$ . The function slides through image , compares the overlapped patches of size \\f$w \\times h\\f$ against templ using the specified method and stores the comparison results in result . #TemplateMatchModes describes the formulae for the available comparison methods ( \\f$I\\f$ denotes image, \\f$T\\f$ template, \\f$R\\f$ result, \\f$M\\f$ the optional mask ). The summation is done over template and/or the image patch: \\f$x' = 0...w-1, y' = 0...h-1\\f$ After the function finishes the comparison, the best matches can be found as global minimums (when #TM_SQDIFF was used) or maximums (when #TM_CCORR or #TM_CCOEFF was used) using the #minMaxLoc function. In case of a color image, template summation in the numerator and each sum in the denominator is done over all of the channels and separate mean values are used for each channel. That is, the function can take a color template and a color image. The result will still be a single-channel image, which is easier to analyze. Python prototype (for reference only): matchTemplate(image, templ, method[, result[, mask]]) -&gt; result","ref":"Evision.html#matchTemplate/4","title":"Evision.matchTemplate/4","type":"function"},{"doc":"Computes partial derivatives of the matrix product for each multiplied matrix. Positional Arguments a : Evision.Mat.t() . First multiplied matrix. b : Evision.Mat.t() . Second multiplied matrix. Return dABdA : Evision.Mat.t() . First output derivative matrix d(A*B)/dA of size \\f$\\texttt{A.rows B.cols} \\times {A.rows A.cols}\\f$ . dABdB : Evision.Mat.t() . Second output derivative matrix d(A*B)/dB of size \\f$\\texttt{A.rows B.cols} \\times {B.rows B.cols}\\f$ . The function computes partial derivatives of the elements of the matrix product \\f$A*B\\f$ with regard to the elements of each of the two input matrices. The function is used to compute the Jacobian matrices in #stereoCalibrate but can also be used in any other similar optimization function. Python prototype (for reference only): matMulDeriv(A, B[, dABdA[, dABdB]]) -&gt; dABdA, dABdB","ref":"Evision.html#matMulDeriv/2","title":"Evision.matMulDeriv/2","type":"function"},{"doc":"Computes partial derivatives of the matrix product for each multiplied matrix. Positional Arguments a : Evision.Mat.t() . First multiplied matrix. b : Evision.Mat.t() . Second multiplied matrix. Return dABdA : Evision.Mat.t() . First output derivative matrix d(A*B)/dA of size \\f$\\texttt{A.rows B.cols} \\times {A.rows A.cols}\\f$ . dABdB : Evision.Mat.t() . Second output derivative matrix d(A*B)/dB of size \\f$\\texttt{A.rows B.cols} \\times {B.rows B.cols}\\f$ . The function computes partial derivatives of the elements of the matrix product \\f$A*B\\f$ with regard to the elements of each of the two input matrices. The function is used to compute the Jacobian matrices in #stereoCalibrate but can also be used in any other similar optimization function. Python prototype (for reference only): matMulDeriv(A, B[, dABdA[, dABdB]]) -&gt; dABdA, dABdB","ref":"Evision.html#matMulDeriv/3","title":"Evision.matMulDeriv/3","type":"function"},{"doc":"Calculates per-element maximum of two arrays or an array and a scalar. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size and type as src1 . Return dst : Evision.Mat.t() . output array of the same size and type as src1. The function cv::max calculates the per-element maximum of two arrays: \\f[\\texttt{dst} (I)= \\max ( \\texttt{src1} (I), \\texttt{src2} (I))\\f] or array and a scalar: \\f[\\texttt{dst} (I)= \\max ( \\texttt{src1} (I), \\texttt{value} )\\f] @sa min, compare, inRange, minMaxLoc, @ref MatrixExpressions Python prototype (for reference only): max(src1, src2[, dst]) -&gt; dst","ref":"Evision.html#max/2","title":"Evision.max/2","type":"function"},{"doc":"Calculates per-element maximum of two arrays or an array and a scalar. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size and type as src1 . Return dst : Evision.Mat.t() . output array of the same size and type as src1. The function cv::max calculates the per-element maximum of two arrays: \\f[\\texttt{dst} (I)= \\max ( \\texttt{src1} (I), \\texttt{src2} (I))\\f] or array and a scalar: \\f[\\texttt{dst} (I)= \\max ( \\texttt{src1} (I), \\texttt{value} )\\f] @sa min, compare, inRange, minMaxLoc, @ref MatrixExpressions Python prototype (for reference only): max(src1, src2[, dst]) -&gt; dst","ref":"Evision.html#max/3","title":"Evision.max/3","type":"function"},{"doc":"Calculates an average (mean) of array elements. Positional Arguments src : Evision.Mat.t() . input array that should have from 1 to 4 channels so that the result can be stored in Scalar_ . Keyword Arguments mask : Evision.Mat.t() . optional operation mask. Return retval : Scalar The function cv::mean calculates the mean value M of array elements, independently for each channel, and return it: \\f[\\begin{array}{l} N = \\sum _{I: \\; \\texttt{mask} (I) \\ne 0} 1 \\\\ M_c = \\left ( \\sum _{I: \\; \\texttt{mask} (I) \\ne 0}{ \\texttt{mtx} (I)_c} \\right )/N \\end{array}\\f] When all the mask elements are 0's, the function returns Scalar::all(0) @sa countNonZero, meanStdDev, norm, minMaxLoc Python prototype (for reference only): mean(src[, mask]) -&gt; retval","ref":"Evision.html#mean/1","title":"Evision.mean/1","type":"function"},{"doc":"Calculates an average (mean) of array elements. Positional Arguments src : Evision.Mat.t() . input array that should have from 1 to 4 channels so that the result can be stored in Scalar_ . Keyword Arguments mask : Evision.Mat.t() . optional operation mask. Return retval : Scalar The function cv::mean calculates the mean value M of array elements, independently for each channel, and return it: \\f[\\begin{array}{l} N = \\sum _{I: \\; \\texttt{mask} (I) \\ne 0} 1 \\\\ M_c = \\left ( \\sum _{I: \\; \\texttt{mask} (I) \\ne 0}{ \\texttt{mtx} (I)_c} \\right )/N \\end{array}\\f] When all the mask elements are 0's, the function returns Scalar::all(0) @sa countNonZero, meanStdDev, norm, minMaxLoc Python prototype (for reference only): mean(src[, mask]) -&gt; retval","ref":"Evision.html#mean/2","title":"Evision.mean/2","type":"function"},{"doc":"Finds an object on a back projection image. Positional Arguments probImage : Evision.Mat.t() . Back projection of the object histogram. See calcBackProject for details. criteria : TermCriteria . Stop criteria for the iterative search algorithm. returns : Number of iterations CAMSHIFT took to converge. The function implements the iterative object search algorithm. It takes the input back projection of an object and the initial position. The mass center in window of the back projection image is computed and the search window center shifts to the mass center. The procedure is repeated until the specified number of iterations criteria.maxCount is done or until the window center shifts by less than criteria.epsilon. The algorithm is used inside CamShift and, unlike CamShift , the search window size or orientation do not change during the search. You can simply pass the output of calcBackProject to this function. But better results can be obtained if you pre-filter the back projection and remove the noise. For example, you can do this by retrieving connected components with findContours , throwing away contours with small area ( contourArea ), and rendering the remaining contours with drawContours. Return retval : int window : Rect . Initial search window. Python prototype (for reference only): meanShift(probImage, window, criteria) -&gt; retval, window","ref":"Evision.html#meanShift/3","title":"Evision.meanShift/3","type":"function"},{"doc":"meanStdDev Positional Arguments src : Evision.Mat.t() . input array that should have from 1 to 4 channels so that the results can be stored in Scalar_ 's. Keyword Arguments mask : Evision.Mat.t() . optional operation mask. Return mean : Evision.Mat.t() . output parameter: calculated mean value. stddev : Evision.Mat.t() . output parameter: calculated standard deviation. Calculates a mean and standard deviation of array elements. The function cv::meanStdDev calculates the mean and the standard deviation M of array elements independently for each channel and returns it via the output parameters: \\f[\\begin{array}{l} N = \\sum _{I, \\texttt{mask} (I) \\ne 0} 1 \\\\ \\texttt{mean} _c = \\frac{\\sum_{ I: \\; \\texttt{mask}(I) \\ne 0} \\texttt{src} (I)_c}{N} \\\\ \\texttt{stddev} _c = \\sqrt{\\frac{\\sum_{ I: \\; \\texttt{mask}(I) \\ne 0} \\left ( \\texttt{src} (I)_c - \\texttt{mean} _c \\right )^2}{N}} \\end{array}\\f] When all the mask elements are 0's, the function returns mean=stddev=Scalar::all(0). Note : The calculated standard deviation is only the diagonal of the complete normalized covariance matrix. If the full matrix is needed, you can reshape the multi-channel array M x N to the single-channel array M*N x mtx.channels() (only possible when the matrix is continuous) and then pass the matrix to calcCovarMatrix . @sa countNonZero, mean, norm, minMaxLoc, calcCovarMatrix Python prototype (for reference only): meanStdDev(src[, mean[, stddev[, mask]]]) -&gt; mean, stddev","ref":"Evision.html#meanStdDev/1","title":"Evision.meanStdDev/1","type":"function"},{"doc":"meanStdDev Positional Arguments src : Evision.Mat.t() . input array that should have from 1 to 4 channels so that the results can be stored in Scalar_ 's. Keyword Arguments mask : Evision.Mat.t() . optional operation mask. Return mean : Evision.Mat.t() . output parameter: calculated mean value. stddev : Evision.Mat.t() . output parameter: calculated standard deviation. Calculates a mean and standard deviation of array elements. The function cv::meanStdDev calculates the mean and the standard deviation M of array elements independently for each channel and returns it via the output parameters: \\f[\\begin{array}{l} N = \\sum _{I, \\texttt{mask} (I) \\ne 0} 1 \\\\ \\texttt{mean} _c = \\frac{\\sum_{ I: \\; \\texttt{mask}(I) \\ne 0} \\texttt{src} (I)_c}{N} \\\\ \\texttt{stddev} _c = \\sqrt{\\frac{\\sum_{ I: \\; \\texttt{mask}(I) \\ne 0} \\left ( \\texttt{src} (I)_c - \\texttt{mean} _c \\right )^2}{N}} \\end{array}\\f] When all the mask elements are 0's, the function returns mean=stddev=Scalar::all(0). Note : The calculated standard deviation is only the diagonal of the complete normalized covariance matrix. If the full matrix is needed, you can reshape the multi-channel array M x N to the single-channel array M*N x mtx.channels() (only possible when the matrix is continuous) and then pass the matrix to calcCovarMatrix . @sa countNonZero, mean, norm, minMaxLoc, calcCovarMatrix Python prototype (for reference only): meanStdDev(src[, mean[, stddev[, mask]]]) -&gt; mean, stddev","ref":"Evision.html#meanStdDev/2","title":"Evision.meanStdDev/2","type":"function"},{"doc":"Blurs an image using the median filter. Positional Arguments src : Evision.Mat.t() . input 1-, 3-, or 4-channel image; when ksize is 3 or 5, the image depth should be CV_8U, CV_16U, or CV_32F, for larger aperture sizes, it can only be CV_8U. ksize : int . aperture linear size; it must be odd and greater than 1, for example: 3, 5, 7 ... Return dst : Evision.Mat.t() . destination array of the same size and type as src. The function smoothes an image using the median filter with the \\f$\\texttt{ksize} \\times \\texttt{ksize}\\f$ aperture. Each channel of a multi-channel image is processed independently. In-place operation is supported. Note : The median filter uses #BORDER_REPLICATE internally to cope with border pixels, see #BorderTypes @sa bilateralFilter, blur, boxFilter, GaussianBlur Python prototype (for reference only): medianBlur(src, ksize[, dst]) -&gt; dst","ref":"Evision.html#medianBlur/2","title":"Evision.medianBlur/2","type":"function"},{"doc":"Blurs an image using the median filter. Positional Arguments src : Evision.Mat.t() . input 1-, 3-, or 4-channel image; when ksize is 3 or 5, the image depth should be CV_8U, CV_16U, or CV_32F, for larger aperture sizes, it can only be CV_8U. ksize : int . aperture linear size; it must be odd and greater than 1, for example: 3, 5, 7 ... Return dst : Evision.Mat.t() . destination array of the same size and type as src. The function smoothes an image using the median filter with the \\f$\\texttt{ksize} \\times \\texttt{ksize}\\f$ aperture. Each channel of a multi-channel image is processed independently. In-place operation is supported. Note : The median filter uses #BORDER_REPLICATE internally to cope with border pixels, see #BorderTypes @sa bilateralFilter, blur, boxFilter, GaussianBlur Python prototype (for reference only): medianBlur(src, ksize[, dst]) -&gt; dst","ref":"Evision.html#medianBlur/3","title":"Evision.medianBlur/3","type":"function"},{"doc":"merge Positional Arguments mv : [Evision.Mat] . input vector of matrices to be merged; all the matrices in mv must have the same size and the same depth. Return dst : Evision.Mat.t() . output array of the same size and the same depth as mv[0]; The number of channels will be the total number of channels in the matrix array. Has overloading in C++ Python prototype (for reference only): merge(mv[, dst]) -&gt; dst","ref":"Evision.html#merge/1","title":"Evision.merge/1","type":"function"},{"doc":"merge Positional Arguments mv : [Evision.Mat] . input vector of matrices to be merged; all the matrices in mv must have the same size and the same depth. Return dst : Evision.Mat.t() . output array of the same size and the same depth as mv[0]; The number of channels will be the total number of channels in the matrix array. Has overloading in C++ Python prototype (for reference only): merge(mv[, dst]) -&gt; dst","ref":"Evision.html#merge/2","title":"Evision.merge/2","type":"function"},{"doc":"Calculates per-element minimum of two arrays or an array and a scalar. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size and type as src1. Return dst : Evision.Mat.t() . output array of the same size and type as src1. The function cv::min calculates the per-element minimum of two arrays: \\f[\\texttt{dst} (I)= \\min ( \\texttt{src1} (I), \\texttt{src2} (I))\\f] or array and a scalar: \\f[\\texttt{dst} (I)= \\min ( \\texttt{src1} (I), \\texttt{value} )\\f] @sa max, compare, inRange, minMaxLoc Python prototype (for reference only): min(src1, src2[, dst]) -&gt; dst","ref":"Evision.html#min/2","title":"Evision.min/2","type":"function"},{"doc":"Calculates per-element minimum of two arrays or an array and a scalar. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size and type as src1. Return dst : Evision.Mat.t() . output array of the same size and type as src1. The function cv::min calculates the per-element minimum of two arrays: \\f[\\texttt{dst} (I)= \\min ( \\texttt{src1} (I), \\texttt{src2} (I))\\f] or array and a scalar: \\f[\\texttt{dst} (I)= \\min ( \\texttt{src1} (I), \\texttt{value} )\\f] @sa max, compare, inRange, minMaxLoc Python prototype (for reference only): min(src1, src2[, dst]) -&gt; dst","ref":"Evision.html#min/3","title":"Evision.min/3","type":"function"},{"doc":"Finds a rotated rectangle of the minimum area enclosing the input 2D point set. Positional Arguments points : Evision.Mat.t() . Input vector of 2D points, stored in std::vector\\&lt;&gt; or Mat Return retval : {centre={x, y}, size={s1, s2}, angle} The function calculates and returns the minimum-area bounding rectangle (possibly rotated) for a specified point set. Developer should keep in mind that the returned RotatedRect can contain negative indices when data is close to the containing Mat element boundary. Python prototype (for reference only): minAreaRect(points) -&gt; retval","ref":"Evision.html#minAreaRect/1","title":"Evision.minAreaRect/1","type":"function"},{"doc":"Finds a circle of the minimum area enclosing a 2D point set. Positional Arguments points : Evision.Mat.t() . Input vector of 2D points, stored in std::vector\\&lt;&gt; or Mat Return center : Point2f . Output center of the circle. radius : float . Output radius of the circle. The function finds the minimal enclosing circle of a 2D point set using an iterative algorithm. Python prototype (for reference only): minEnclosingCircle(points) -&gt; center, radius","ref":"Evision.html#minEnclosingCircle/1","title":"Evision.minEnclosingCircle/1","type":"function"},{"doc":"Finds a triangle of minimum area enclosing a 2D point set and returns its area. Positional Arguments points : Evision.Mat.t() . Input vector of 2D points with depth CV_32S or CV_32F, stored in std::vector\\&lt;&gt; or Mat Return retval : double triangle : Evision.Mat.t() . Output vector of three 2D points defining the vertices of the triangle. The depth of the OutputArray must be CV_32F. The function finds a triangle of minimum area enclosing the given set of 2D points and returns its area. The output for a given 2D point set is shown in the image below. 2D points are depicted in red and the enclosing triangle in yellow*. The implementation of the algorithm is based on O'Rourke's @cite ORourke86 and Klee and Laskowski's @cite KleeLaskowski85 papers. O'Rourke provides a \\f$\\theta(n)\\f$ algorithm for finding the minimal enclosing triangle of a 2D convex polygon with n vertices. Since the #minEnclosingTriangle function takes a 2D point set as input an additional preprocessing step of computing the convex hull of the 2D point set is required. The complexity of the #convexHull function is \\f$O(n log(n))\\f$ which is higher than \\f$\\theta(n)\\f$. Thus the overall complexity of the function is \\f$O(n log(n))\\f$. Python prototype (for reference only): minEnclosingTriangle(points[, triangle]) -&gt; retval, triangle","ref":"Evision.html#minEnclosingTriangle/1","title":"Evision.minEnclosingTriangle/1","type":"function"},{"doc":"Finds a triangle of minimum area enclosing a 2D point set and returns its area. Positional Arguments points : Evision.Mat.t() . Input vector of 2D points with depth CV_32S or CV_32F, stored in std::vector\\&lt;&gt; or Mat Return retval : double triangle : Evision.Mat.t() . Output vector of three 2D points defining the vertices of the triangle. The depth of the OutputArray must be CV_32F. The function finds a triangle of minimum area enclosing the given set of 2D points and returns its area. The output for a given 2D point set is shown in the image below. 2D points are depicted in red and the enclosing triangle in yellow*. The implementation of the algorithm is based on O'Rourke's @cite ORourke86 and Klee and Laskowski's @cite KleeLaskowski85 papers. O'Rourke provides a \\f$\\theta(n)\\f$ algorithm for finding the minimal enclosing triangle of a 2D convex polygon with n vertices. Since the #minEnclosingTriangle function takes a 2D point set as input an additional preprocessing step of computing the convex hull of the 2D point set is required. The complexity of the #convexHull function is \\f$O(n log(n))\\f$ which is higher than \\f$\\theta(n)\\f$. Thus the overall complexity of the function is \\f$O(n log(n))\\f$. Python prototype (for reference only): minEnclosingTriangle(points[, triangle]) -&gt; retval, triangle","ref":"Evision.html#minEnclosingTriangle/2","title":"Evision.minEnclosingTriangle/2","type":"function"},{"doc":"Finds the global minimum and maximum in an array. Positional Arguments src : Evision.Mat.t() . input single-channel array. Keyword Arguments mask : Evision.Mat.t() . optional mask used to select a sub-array. Return minVal : double* . pointer to the returned minimum value; NULL is used if not required. maxVal : double* . pointer to the returned maximum value; NULL is used if not required. minLoc : Point* . pointer to the returned minimum location (in 2D case); NULL is used if not required. maxLoc : Point* . pointer to the returned maximum location (in 2D case); NULL is used if not required. The function cv::minMaxLoc finds the minimum and maximum element values and their positions. The extremums are searched across the whole array or, if mask is not an empty array, in the specified array region. The function do not work with multi-channel arrays. If you need to find minimum or maximum elements across all the channels, use Mat::reshape first to reinterpret the array as single-channel. Or you may extract the particular channel using either extractImageCOI , or mixChannels , or split . @sa max, min, reduceArgMin, reduceArgMax, compare, inRange, extractImageCOI, mixChannels, split, Mat::reshape Python prototype (for reference only): minMaxLoc(src[, mask]) -&gt; minVal, maxVal, minLoc, maxLoc","ref":"Evision.html#minMaxLoc/1","title":"Evision.minMaxLoc/1","type":"function"},{"doc":"Finds the global minimum and maximum in an array. Positional Arguments src : Evision.Mat.t() . input single-channel array. Keyword Arguments mask : Evision.Mat.t() . optional mask used to select a sub-array. Return minVal : double* . pointer to the returned minimum value; NULL is used if not required. maxVal : double* . pointer to the returned maximum value; NULL is used if not required. minLoc : Point* . pointer to the returned minimum location (in 2D case); NULL is used if not required. maxLoc : Point* . pointer to the returned maximum location (in 2D case); NULL is used if not required. The function cv::minMaxLoc finds the minimum and maximum element values and their positions. The extremums are searched across the whole array or, if mask is not an empty array, in the specified array region. The function do not work with multi-channel arrays. If you need to find minimum or maximum elements across all the channels, use Mat::reshape first to reinterpret the array as single-channel. Or you may extract the particular channel using either extractImageCOI , or mixChannels , or split . @sa max, min, reduceArgMin, reduceArgMax, compare, inRange, extractImageCOI, mixChannels, split, Mat::reshape Python prototype (for reference only): minMaxLoc(src[, mask]) -&gt; minVal, maxVal, minLoc, maxLoc","ref":"Evision.html#minMaxLoc/2","title":"Evision.minMaxLoc/2","type":"function"},{"doc":"mixChannels Positional Arguments src : [Evision.Mat] . input array or vector of matrices; all of the matrices must have the same size and the same depth. fromTo : [int] . array of index pairs specifying which channels are copied and where; fromTo[k*2] is a 0-based index of the input channel in src, fromTo[k*2+1] is an index of the output channel in dst; the continuous channel numbering is used: the first input image channels are indexed from 0 to src[0].channels()-1, the second input image channels are indexed from src[0].channels() to src[0].channels() + src[1].channels()-1, and so on, the same scheme is used for the output image channels; as a special case, when fromTo[k*2] is negative, the corresponding output channel is filled with zero . Return dst : [Evision.Mat] . output array or vector of matrices; all the matrices must be allocated ; their size and depth must be the same as in src[0]. Has overloading in C++ Python prototype (for reference only): mixChannels(src, dst, fromTo) -&gt; dst","ref":"Evision.html#mixChannels/3","title":"Evision.mixChannels/3","type":"function"},{"doc":"Calculates all of the moments up to the third order of a polygon or rasterized shape. Positional Arguments array : Evision.Mat.t() . Raster image (single-channel, 8-bit or floating-point 2D array) or an array ( \\f$1 \\times N\\f$ or \\f$N \\times 1\\f$ ) of 2D points (Point or Point2f ). Keyword Arguments binaryImage : bool . If it is true, all non-zero image pixels are treated as 1's. The parameter is used for images only. Return retval : Moments The function computes moments, up to the 3rd order, of a vector shape or a rasterized shape. The results are returned in the structure cv::Moments. @returns moments. Note : Only applicable to contour moments calculations from Python bindings: Note that the numpy type for the input array should be either np.int32 or np.float32. @sa contourArea, arcLength Python prototype (for reference only): moments(array[, binaryImage]) -&gt; retval","ref":"Evision.html#moments/1","title":"Evision.moments/1","type":"function"},{"doc":"Calculates all of the moments up to the third order of a polygon or rasterized shape. Positional Arguments array : Evision.Mat.t() . Raster image (single-channel, 8-bit or floating-point 2D array) or an array ( \\f$1 \\times N\\f$ or \\f$N \\times 1\\f$ ) of 2D points (Point or Point2f ). Keyword Arguments binaryImage : bool . If it is true, all non-zero image pixels are treated as 1's. The parameter is used for images only. Return retval : Moments The function computes moments, up to the 3rd order, of a vector shape or a rasterized shape. The results are returned in the structure cv::Moments. @returns moments. Note : Only applicable to contour moments calculations from Python bindings: Note that the numpy type for the input array should be either np.int32 or np.float32. @sa contourArea, arcLength Python prototype (for reference only): moments(array[, binaryImage]) -&gt; retval","ref":"Evision.html#moments/2","title":"Evision.moments/2","type":"function"},{"doc":"Performs advanced morphological transformations. Positional Arguments src : Evision.Mat.t() . Source image. The number of channels can be arbitrary. The depth should be one of CV_8U, CV_16U, CV_16S, CV_32F or CV_64F. op : int . Type of a morphological operation, see #MorphTypes kernel : Evision.Mat.t() . Structuring element. It can be created using #getStructuringElement. Keyword Arguments anchor : Point . Anchor position with the kernel. Negative values mean that the anchor is at the kernel center. iterations : int . Number of times erosion and dilation are applied. borderType : int . Pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. borderValue : Scalar . Border value in case of a constant border. The default value has a special meaning. Return dst : Evision.Mat.t() . Destination image of the same size and type as source image. The function cv::morphologyEx can perform advanced morphological transformations using an erosion and dilation as basic operations. Any of the operations can be done in-place. In case of multi-channel images, each channel is processed independently. @sa dilate, erode, getStructuringElement Note : The number of iterations is the number of times erosion or dilatation operation will be applied. For instance, an opening operation (#MORPH_OPEN) with two iterations is equivalent to apply successively: erode -&gt; erode -&gt; dilate -&gt; dilate (and not erode -&gt; dilate -&gt; erode -&gt; dilate). Python prototype (for reference only): morphologyEx(src, op, kernel[, dst[, anchor[, iterations[, borderType[, borderValue]]]]]) -&gt; dst","ref":"Evision.html#morphologyEx/3","title":"Evision.morphologyEx/3","type":"function"},{"doc":"Performs advanced morphological transformations. Positional Arguments src : Evision.Mat.t() . Source image. The number of channels can be arbitrary. The depth should be one of CV_8U, CV_16U, CV_16S, CV_32F or CV_64F. op : int . Type of a morphological operation, see #MorphTypes kernel : Evision.Mat.t() . Structuring element. It can be created using #getStructuringElement. Keyword Arguments anchor : Point . Anchor position with the kernel. Negative values mean that the anchor is at the kernel center. iterations : int . Number of times erosion and dilation are applied. borderType : int . Pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. borderValue : Scalar . Border value in case of a constant border. The default value has a special meaning. Return dst : Evision.Mat.t() . Destination image of the same size and type as source image. The function cv::morphologyEx can perform advanced morphological transformations using an erosion and dilation as basic operations. Any of the operations can be done in-place. In case of multi-channel images, each channel is processed independently. @sa dilate, erode, getStructuringElement Note : The number of iterations is the number of times erosion or dilatation operation will be applied. For instance, an opening operation (#MORPH_OPEN) with two iterations is equivalent to apply successively: erode -&gt; erode -&gt; dilate -&gt; dilate (and not erode -&gt; dilate -&gt; erode -&gt; dilate). Python prototype (for reference only): morphologyEx(src, op, kernel[, dst[, anchor[, iterations[, borderType[, borderValue]]]]]) -&gt; dst","ref":"Evision.html#morphologyEx/4","title":"Evision.morphologyEx/4","type":"function"},{"doc":"Moves the window to the specified position Positional Arguments winname : String . Name of the window. x : int . The new x-coordinate of the window. y : int . The new y-coordinate of the window. Python prototype (for reference only): moveWindow(winname, x, y) -&gt; None","ref":"Evision.html#moveWindow/3","title":"Evision.moveWindow/3","type":"function"},{"doc":"Performs the per-element multiplication of two Fourier spectrums. Positional Arguments a : Evision.Mat.t() . first input array. b : Evision.Mat.t() . second input array of the same size and type as src1 . flags : int . operation flags; currently, the only supported flag is cv::DFT_ROWS, which indicates that each row of src1 and src2 is an independent 1D Fourier spectrum. If you do not want to use this flag, then simply add a 0 as value. Keyword Arguments conjB : bool . optional flag that conjugates the second input array before the multiplication (true) or not (false). Return c : Evision.Mat.t() . output array of the same size and type as src1 . The function cv::mulSpectrums performs the per-element multiplication of the two CCS-packed or complex matrices that are results of a real or complex Fourier transform. The function, together with dft and idft , may be used to calculate convolution (pass conjB=false ) or correlation (pass conjB=true ) of two arrays rapidly. When the arrays are complex, they are simply multiplied (per element) with an optional conjugation of the second-array elements. When the arrays are real, they are assumed to be CCS-packed (see dft for details). Python prototype (for reference only): mulSpectrums(a, b, flags[, c[, conjB]]) -&gt; c","ref":"Evision.html#mulSpectrums/3","title":"Evision.mulSpectrums/3","type":"function"},{"doc":"Performs the per-element multiplication of two Fourier spectrums. Positional Arguments a : Evision.Mat.t() . first input array. b : Evision.Mat.t() . second input array of the same size and type as src1 . flags : int . operation flags; currently, the only supported flag is cv::DFT_ROWS, which indicates that each row of src1 and src2 is an independent 1D Fourier spectrum. If you do not want to use this flag, then simply add a 0 as value. Keyword Arguments conjB : bool . optional flag that conjugates the second input array before the multiplication (true) or not (false). Return c : Evision.Mat.t() . output array of the same size and type as src1 . The function cv::mulSpectrums performs the per-element multiplication of the two CCS-packed or complex matrices that are results of a real or complex Fourier transform. The function, together with dft and idft , may be used to calculate convolution (pass conjB=false ) or correlation (pass conjB=true ) of two arrays rapidly. When the arrays are complex, they are simply multiplied (per element) with an optional conjugation of the second-array elements. When the arrays are real, they are assumed to be CCS-packed (see dft for details). Python prototype (for reference only): mulSpectrums(a, b, flags[, c[, conjB]]) -&gt; c","ref":"Evision.html#mulSpectrums/4","title":"Evision.mulSpectrums/4","type":"function"},{"doc":"Calculates the product of a matrix and its transposition. Positional Arguments src : Evision.Mat.t() . input single-channel matrix. Note that unlike gemm, the function can multiply not only floating-point matrices. aTa : bool . Flag specifying the multiplication ordering. See the description below. Keyword Arguments delta : Evision.Mat.t() . Optional delta matrix subtracted from src before the multiplication. When the matrix is empty ( delta=noArray() ), it is assumed to be zero, that is, nothing is subtracted. If it has the same size as src , it is simply subtracted. Otherwise, it is &quot;repeated&quot; (see repeat ) to cover the full src and then subtracted. Type of the delta matrix, when it is not empty, must be the same as the type of created output matrix. See the dtype parameter description below. scale : double . Optional scale factor for the matrix product. dtype : int . Optional type of the output matrix. When it is negative, the output matrix will have the same type as src . Otherwise, it will be type=CV_MAT_DEPTH(dtype) that should be either CV_32F or CV_64F . Return dst : Evision.Mat.t() . output square matrix. The function cv::mulTransposed calculates the product of src and its transposition: \\f[\\texttt{dst} = \\texttt{scale} ( \\texttt{src} - \\texttt{delta} )^T ( \\texttt{src} - \\texttt{delta} )\\f] if aTa=true , and \\f[\\texttt{dst} = \\texttt{scale} ( \\texttt{src} - \\texttt{delta} ) ( \\texttt{src} - \\texttt{delta} )^T\\f] otherwise. The function is used to calculate the covariance matrix. With zero delta, it can be used as a faster substitute for general matrix product A*B when B=A' @sa calcCovarMatrix, gemm, repeat, reduce Python prototype (for reference only): mulTransposed(src, aTa[, dst[, delta[, scale[, dtype]]]]) -&gt; dst","ref":"Evision.html#mulTransposed/2","title":"Evision.mulTransposed/2","type":"function"},{"doc":"Calculates the product of a matrix and its transposition. Positional Arguments src : Evision.Mat.t() . input single-channel matrix. Note that unlike gemm, the function can multiply not only floating-point matrices. aTa : bool . Flag specifying the multiplication ordering. See the description below. Keyword Arguments delta : Evision.Mat.t() . Optional delta matrix subtracted from src before the multiplication. When the matrix is empty ( delta=noArray() ), it is assumed to be zero, that is, nothing is subtracted. If it has the same size as src , it is simply subtracted. Otherwise, it is &quot;repeated&quot; (see repeat ) to cover the full src and then subtracted. Type of the delta matrix, when it is not empty, must be the same as the type of created output matrix. See the dtype parameter description below. scale : double . Optional scale factor for the matrix product. dtype : int . Optional type of the output matrix. When it is negative, the output matrix will have the same type as src . Otherwise, it will be type=CV_MAT_DEPTH(dtype) that should be either CV_32F or CV_64F . Return dst : Evision.Mat.t() . output square matrix. The function cv::mulTransposed calculates the product of src and its transposition: \\f[\\texttt{dst} = \\texttt{scale} ( \\texttt{src} - \\texttt{delta} )^T ( \\texttt{src} - \\texttt{delta} )\\f] if aTa=true , and \\f[\\texttt{dst} = \\texttt{scale} ( \\texttt{src} - \\texttt{delta} ) ( \\texttt{src} - \\texttt{delta} )^T\\f] otherwise. The function is used to calculate the covariance matrix. With zero delta, it can be used as a faster substitute for general matrix product A*B when B=A' @sa calcCovarMatrix, gemm, repeat, reduce Python prototype (for reference only): mulTransposed(src, aTa[, dst[, delta[, scale[, dtype]]]]) -&gt; dst","ref":"Evision.html#mulTransposed/3","title":"Evision.mulTransposed/3","type":"function"},{"doc":"Calculates the per-element scaled product of two arrays. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size and the same type as src1. Keyword Arguments scale : double . optional scale factor. dtype : int . optional depth of the output array Return dst : Evision.Mat.t() . output array of the same size and type as src1. The function multiply calculates the per-element product of two arrays: \\f[\\texttt{dst} (I)= \\texttt{saturate} ( \\texttt{scale} \\cdot \\texttt{src1} (I) \\cdot \\texttt{src2} (I))\\f] There is also a @ref MatrixExpressions -friendly variant of the first function. See Mat::mul . For a not-per-element matrix product, see gemm . Note : Saturation is not applied when the output array has the depth CV_32S. You may even get result of an incorrect sign in the case of overflow. @sa add, subtract, divide, scaleAdd, addWeighted, accumulate, accumulateProduct, accumulateSquare, Mat::convertTo Python prototype (for reference only): multiply(src1, src2[, dst[, scale[, dtype]]]) -&gt; dst","ref":"Evision.html#multiply/2","title":"Evision.multiply/2","type":"function"},{"doc":"Calculates the per-element scaled product of two arrays. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size and the same type as src1. Keyword Arguments scale : double . optional scale factor. dtype : int . optional depth of the output array Return dst : Evision.Mat.t() . output array of the same size and type as src1. The function multiply calculates the per-element product of two arrays: \\f[\\texttt{dst} (I)= \\texttt{saturate} ( \\texttt{scale} \\cdot \\texttt{src1} (I) \\cdot \\texttt{src2} (I))\\f] There is also a @ref MatrixExpressions -friendly variant of the first function. See Mat::mul . For a not-per-element matrix product, see gemm . Note : Saturation is not applied when the output array has the depth CV_32S. You may even get result of an incorrect sign in the case of overflow. @sa add, subtract, divide, scaleAdd, addWeighted, accumulate, accumulateProduct, accumulateSquare, Mat::convertTo Python prototype (for reference only): multiply(src1, src2[, dst[, scale[, dtype]]]) -&gt; dst","ref":"Evision.html#multiply/3","title":"Evision.multiply/3","type":"function"},{"doc":"Creates a window. Positional Arguments winname : String . Name of the window in the window caption that may be used as a window identifier. Keyword Arguments flags : int . Flags of the window. The supported flags are: (cv::WindowFlags) The function namedWindow creates a window that can be used as a placeholder for images and trackbars. Created windows are referred to by their names. If a window with the same name already exists, the function does nothing. You can call cv::destroyWindow or cv::destroyAllWindows to close the window and de-allocate any associated memory usage. For a simple program, you do not really have to call these functions because all the resources and windows of the application are closed automatically by the operating system upon exit. Note : Qt backend supports additional flags: WINDOW_NORMAL or WINDOW_AUTOSIZE: WINDOW_NORMAL enables you to resize the window, whereas WINDOW_AUTOSIZE adjusts automatically the window size to fit the displayed image (see imshow ), and you cannot change the window size manually. WINDOW_FREERATIO or WINDOW_KEEPRATIO: WINDOW_FREERATIO adjusts the image with no respect to its ratio, whereas WINDOW_KEEPRATIO keeps the image ratio. WINDOW_GUI_NORMAL or WINDOW_GUI_EXPANDED: WINDOW_GUI_NORMAL is the old way to draw the window without statusbar and toolbar, whereas WINDOW_GUI_EXPANDED is a new enhanced GUI. By default, flags == WINDOW_AUTOSIZE | WINDOW_KEEPRATIO | WINDOW_GUI_EXPANDED Python prototype (for reference only): namedWindow(winname[, flags]) -&gt; None","ref":"Evision.html#namedWindow/1","title":"Evision.namedWindow/1","type":"function"},{"doc":"Creates a window. Positional Arguments winname : String . Name of the window in the window caption that may be used as a window identifier. Keyword Arguments flags : int . Flags of the window. The supported flags are: (cv::WindowFlags) The function namedWindow creates a window that can be used as a placeholder for images and trackbars. Created windows are referred to by their names. If a window with the same name already exists, the function does nothing. You can call cv::destroyWindow or cv::destroyAllWindows to close the window and de-allocate any associated memory usage. For a simple program, you do not really have to call these functions because all the resources and windows of the application are closed automatically by the operating system upon exit. Note : Qt backend supports additional flags: WINDOW_NORMAL or WINDOW_AUTOSIZE: WINDOW_NORMAL enables you to resize the window, whereas WINDOW_AUTOSIZE adjusts automatically the window size to fit the displayed image (see imshow ), and you cannot change the window size manually. WINDOW_FREERATIO or WINDOW_KEEPRATIO: WINDOW_FREERATIO adjusts the image with no respect to its ratio, whereas WINDOW_KEEPRATIO keeps the image ratio. WINDOW_GUI_NORMAL or WINDOW_GUI_EXPANDED: WINDOW_GUI_NORMAL is the old way to draw the window without statusbar and toolbar, whereas WINDOW_GUI_EXPANDED is a new enhanced GUI. By default, flags == WINDOW_AUTOSIZE | WINDOW_KEEPRATIO | WINDOW_GUI_EXPANDED Python prototype (for reference only): namedWindow(winname[, flags]) -&gt; None","ref":"Evision.html#namedWindow/2","title":"Evision.namedWindow/2","type":"function"},{"doc":"Calculates the absolute norm of an array. Positional Arguments src1 : Evision.Mat.t() . first input array. Keyword Arguments normType : int . type of the norm (see #NormTypes). mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : double This version of #norm calculates the absolute norm of src1. The type of norm to calculate is specified using #NormTypes. As example for one array consider the function \\f$r(x)= \\begin{pmatrix} x \\\\ 1-x \\end{pmatrix}, x \\in [-1;1]\\f$. The \\f$ L_{1}, L_{2} \\f$ and \\f$ L_{\\infty} \\f$ norm for the sample value \\f$r(-1) = \\begin{pmatrix} -1 \\\\ 2 \\end{pmatrix}\\f$ is calculated as follows \\f{align } \\| r(-1) \\| {L_1} &amp;= |-1| + |2| = 3 \\\\ \\| r(-1) \\| {L 2} &amp;= \\sqrt{(-1)^{2} + (2)^{2}} = \\sqrt{5} \\\\ \\| r(-1) \\| {L_\\infty} &amp;= \\max(|-1|,|2|) = 2 \\f} and for \\f$r(0.5) = \\begin{pmatrix} 0.5 \\\\ 0.5 \\end{pmatrix}\\f$ the calculation is \\f{align } \\| r(0.5) \\| {L_1} &amp;= |0.5| + |0.5| = 1 \\\\ \\| r(0.5) \\| {L 2} &amp;= \\sqrt{(0.5)^{2} + (0.5)^{2}} = \\sqrt{0.5} \\\\ \\| r(0.5) \\| {L \\infty} &amp;= \\max(|0.5|,|0.5|) = 0.5. \\f} The following graphic shows all values for the three norm functions \\f$\\| r(x) \\|\\ {L_1}, \\| r(x) \\|_{L_2}\\f$ and \\f$\\| r(x) \\|_{L_\\infty}\\f$. It is notable that the \\f$ L_{1} \\f$ norm forms the upper and the \\f$ L_{\\infty} \\f$ norm forms the lower border for the example function \\f$ r(x) \\f$. When the mask parameter is specified and it is not empty, the norm is If normType is not specified, #NORM_L2 is used. calculated only over the region specified by the mask. Multi-channel input arrays are treated as single-channel arrays, that is, the results for all channels are combined. Hamming norms can only be calculated with CV_8U depth arrays. Python prototype (for reference only): norm(src1[, normType[, mask]]) -&gt; retval","ref":"Evision.html#norm/1","title":"Evision.norm/1","type":"function"},{"doc":"Variant 1: Calculates an absolute difference norm or a relative difference norm. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size and the same type as src1. Keyword Arguments normType : int . type of the norm (see #NormTypes). mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : double This version of cv::norm calculates the absolute difference norm or the relative difference norm of arrays src1 and src2. The type of norm to calculate is specified using #NormTypes. Python prototype (for reference only): norm(src1, src2[, normType[, mask]]) -&gt; retval Variant 2: Calculates the absolute norm of an array. Positional Arguments src1 : Evision.Mat.t() . first input array. Keyword Arguments normType : int . type of the norm (see #NormTypes). mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : double This version of #norm calculates the absolute norm of src1. The type of norm to calculate is specified using #NormTypes. As example for one array consider the function \\f$r(x)= \\begin{pmatrix} x \\\\ 1-x \\end{pmatrix}, x \\in [-1;1]\\f$. The \\f$ L_{1}, L_{2} \\f$ and \\f$ L_{\\infty} \\f$ norm for the sample value \\f$r(-1) = \\begin{pmatrix} -1 \\\\ 2 \\end{pmatrix}\\f$ is calculated as follows \\f{align } \\| r(-1) \\| {L_1} &amp;= |-1| + |2| = 3 \\\\ \\| r(-1) \\| {L 2} &amp;= \\sqrt{(-1)^{2} + (2)^{2}} = \\sqrt{5} \\\\ \\| r(-1) \\| {L_\\infty} &amp;= \\max(|-1|,|2|) = 2 \\f} and for \\f$r(0.5) = \\begin{pmatrix} 0.5 \\\\ 0.5 \\end{pmatrix}\\f$ the calculation is \\f{align } \\| r(0.5) \\| {L_1} &amp;= |0.5| + |0.5| = 1 \\\\ \\| r(0.5) \\| {L 2} &amp;= \\sqrt{(0.5)^{2} + (0.5)^{2}} = \\sqrt{0.5} \\\\ \\| r(0.5) \\| {L \\infty} &amp;= \\max(|0.5|,|0.5|) = 0.5. \\f} The following graphic shows all values for the three norm functions \\f$\\| r(x) \\|\\ {L_1}, \\| r(x) \\|_{L_2}\\f$ and \\f$\\| r(x) \\|_{L_\\infty}\\f$. It is notable that the \\f$ L_{1} \\f$ norm forms the upper and the \\f$ L_{\\infty} \\f$ norm forms the lower border for the example function \\f$ r(x) \\f$. When the mask parameter is specified and it is not empty, the norm is If normType is not specified, #NORM_L2 is used. calculated only over the region specified by the mask. Multi-channel input arrays are treated as single-channel arrays, that is, the results for all channels are combined. Hamming norms can only be calculated with CV_8U depth arrays. Python prototype (for reference only): norm(src1[, normType[, mask]]) -&gt; retval","ref":"Evision.html#norm/2","title":"Evision.norm/2","type":"function"},{"doc":"Calculates an absolute difference norm or a relative difference norm. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size and the same type as src1. Keyword Arguments normType : int . type of the norm (see #NormTypes). mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : double This version of cv::norm calculates the absolute difference norm or the relative difference norm of arrays src1 and src2. The type of norm to calculate is specified using #NormTypes. Python prototype (for reference only): norm(src1, src2[, normType[, mask]]) -&gt; retval","ref":"Evision.html#norm/3","title":"Evision.norm/3","type":"function"},{"doc":"Normalizes the norm or value range of an array. Positional Arguments src : Evision.Mat.t() . input array. Keyword Arguments alpha : double . norm value to normalize to or the lower range boundary in case of the range normalization. beta : double . upper range boundary in case of the range normalization; it is not used for the norm normalization. norm_type : int . normalization type (see cv::NormTypes). dtype : int . when negative, the output array has the same type as src; otherwise, it has the same number of channels as src and the depth =CV_MAT_DEPTH(dtype). mask : Evision.Mat.t() . optional operation mask. Return dst : Evision.Mat.t() . output array of the same size as src . The function cv::normalize normalizes scale and shift the input array elements so that \\f[\\| \\texttt{dst} \\| _{L_p}= \\texttt{alpha}\\f] (where p=Inf, 1 or 2) when normType=NORM_INF, NORM_L1, or NORM_L2, respectively; or so that \\f[\\min _I \\texttt{dst} (I)= \\texttt{alpha} , \\, \\, \\max _I \\texttt{dst} (I)= \\texttt{beta}\\f] when normType=NORM_MINMAX (for dense arrays only). The optional mask specifies a sub-array to be normalized. This means that the norm or min-n-max are calculated over the sub-array, and then this sub-array is modified to be normalized. If you want to only use the mask to calculate the norm or min-max but modify the whole array, you can use norm and Mat::convertTo. In case of sparse matrices, only the non-zero values are analyzed and transformed. Because of this, the range transformation for sparse matrices is not allowed since it can shift the zero level. Possible usage with some positive example data: vector&lt;double&gt; positiveData = { 2.0, 8.0, 10.0 }; vector&lt;double&gt; normalizedData_l1, normalizedData_l2, normalizedData_inf, normalizedData_minmax; // Norm to probability (total count) // sum(numbers) = 20.0 // 2.0 0.1 (2.0/20.0) // 8.0 0.4 (8.0/20.0) // 10.0 0.5 (10.0/20.0) normalize(positiveData, normalizedData_l1, 1.0, 0.0, NORM_L1); // Norm to unit vector: ||positiveData|| = 1.0 // 2.0 0.15 // 8.0 0.62 // 10.0 0.77 normalize(positiveData, normalizedData_l2, 1.0, 0.0, NORM_L2); // Norm to max element // 2.0 0.2 (2.0/10.0) // 8.0 0.8 (8.0/10.0) // 10.0 1.0 (10.0/10.0) normalize(positiveData, normalizedData_inf, 1.0, 0.0, NORM_INF); // Norm to range [0.0;1.0] // 2.0 0.0 (shift to left border) // 8.0 0.75 (6.0/8.0) // 10.0 1.0 (shift to right border) normalize(positiveData, normalizedData_minmax, 1.0, 0.0, NORM_MINMAX); @sa norm, Mat::convertTo, SparseMat::convertTo Python prototype (for reference only): normalize(src, dst[, alpha[, beta[, norm_type[, dtype[, mask]]]]]) -&gt; dst","ref":"Evision.html#normalize/2","title":"Evision.normalize/2","type":"function"},{"doc":"Normalizes the norm or value range of an array. Positional Arguments src : Evision.Mat.t() . input array. Keyword Arguments alpha : double . norm value to normalize to or the lower range boundary in case of the range normalization. beta : double . upper range boundary in case of the range normalization; it is not used for the norm normalization. norm_type : int . normalization type (see cv::NormTypes). dtype : int . when negative, the output array has the same type as src; otherwise, it has the same number of channels as src and the depth =CV_MAT_DEPTH(dtype). mask : Evision.Mat.t() . optional operation mask. Return dst : Evision.Mat.t() . output array of the same size as src . The function cv::normalize normalizes scale and shift the input array elements so that \\f[\\| \\texttt{dst} \\| _{L_p}= \\texttt{alpha}\\f] (where p=Inf, 1 or 2) when normType=NORM_INF, NORM_L1, or NORM_L2, respectively; or so that \\f[\\min _I \\texttt{dst} (I)= \\texttt{alpha} , \\, \\, \\max _I \\texttt{dst} (I)= \\texttt{beta}\\f] when normType=NORM_MINMAX (for dense arrays only). The optional mask specifies a sub-array to be normalized. This means that the norm or min-n-max are calculated over the sub-array, and then this sub-array is modified to be normalized. If you want to only use the mask to calculate the norm or min-max but modify the whole array, you can use norm and Mat::convertTo. In case of sparse matrices, only the non-zero values are analyzed and transformed. Because of this, the range transformation for sparse matrices is not allowed since it can shift the zero level. Possible usage with some positive example data: vector&lt;double&gt; positiveData = { 2.0, 8.0, 10.0 }; vector&lt;double&gt; normalizedData_l1, normalizedData_l2, normalizedData_inf, normalizedData_minmax; // Norm to probability (total count) // sum(numbers) = 20.0 // 2.0 0.1 (2.0/20.0) // 8.0 0.4 (8.0/20.0) // 10.0 0.5 (10.0/20.0) normalize(positiveData, normalizedData_l1, 1.0, 0.0, NORM_L1); // Norm to unit vector: ||positiveData|| = 1.0 // 2.0 0.15 // 8.0 0.62 // 10.0 0.77 normalize(positiveData, normalizedData_l2, 1.0, 0.0, NORM_L2); // Norm to max element // 2.0 0.2 (2.0/10.0) // 8.0 0.8 (8.0/10.0) // 10.0 1.0 (10.0/10.0) normalize(positiveData, normalizedData_inf, 1.0, 0.0, NORM_INF); // Norm to range [0.0;1.0] // 2.0 0.0 (shift to left border) // 8.0 0.75 (6.0/8.0) // 10.0 1.0 (shift to right border) normalize(positiveData, normalizedData_minmax, 1.0, 0.0, NORM_MINMAX); @sa norm, Mat::convertTo, SparseMat::convertTo Python prototype (for reference only): normalize(src, dst[, alpha[, beta[, norm_type[, dtype[, mask]]]]]) -&gt; dst","ref":"Evision.html#normalize/3","title":"Evision.normalize/3","type":"function"},{"doc":"converts NaNs to the given number Keyword Arguments val : double . value to convert the NaNs Return a : Evision.Mat.t() . input/output matrix (CV_32F type). Python prototype (for reference only): patchNaNs(a[, val]) -&gt; a","ref":"Evision.html#patchNaNs/1","title":"Evision.patchNaNs/1","type":"function"},{"doc":"converts NaNs to the given number Keyword Arguments val : double . value to convert the NaNs Return a : Evision.Mat.t() . input/output matrix (CV_32F type). Python prototype (for reference only): patchNaNs(a[, val]) -&gt; a","ref":"Evision.html#patchNaNs/2","title":"Evision.patchNaNs/2","type":"function"},{"doc":"PCABackProject Positional Arguments data : Evision.Mat.t() mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() Return result : Evision.Mat.t() . wrap PCA::backProject Python prototype (for reference only): PCABackProject(data, mean, eigenvectors[, result]) -&gt; result","ref":"Evision.html#pcaBackProject/3","title":"Evision.pcaBackProject/3","type":"function"},{"doc":"PCABackProject Positional Arguments data : Evision.Mat.t() mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() Return result : Evision.Mat.t() . wrap PCA::backProject Python prototype (for reference only): PCABackProject(data, mean, eigenvectors[, result]) -&gt; result","ref":"Evision.html#pcaBackProject/4","title":"Evision.pcaBackProject/4","type":"function"},{"doc":"PCACompute2 Positional Arguments data : Evision.Mat.t() Keyword Arguments maxComponents : int . Return mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() . eigenvalues : Evision.Mat.t() . wrap PCA::operator() and add eigenvalues output parameter Python prototype (for reference only): PCACompute2(data, mean[, eigenvectors[, eigenvalues[, maxComponents]]]) -&gt; mean, eigenvectors, eigenvalues","ref":"Evision.html#pcaCompute2/2","title":"Evision.pcaCompute2/2","type":"function"},{"doc":"Variant 1: PCACompute2 Positional Arguments data : Evision.Mat.t() retainedVariance : double Return mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() . eigenvalues : Evision.Mat.t() . wrap PCA::operator() and add eigenvalues output parameter Python prototype (for reference only): PCACompute2(data, mean, retainedVariance[, eigenvectors[, eigenvalues]]) -&gt; mean, eigenvectors, eigenvalues Variant 2: PCACompute2 Positional Arguments data : Evision.Mat.t() Keyword Arguments maxComponents : int . Return mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() . eigenvalues : Evision.Mat.t() . wrap PCA::operator() and add eigenvalues output parameter Python prototype (for reference only): PCACompute2(data, mean[, eigenvectors[, eigenvalues[, maxComponents]]]) -&gt; mean, eigenvectors, eigenvalues","ref":"Evision.html#pcaCompute2/3","title":"Evision.pcaCompute2/3","type":"function"},{"doc":"PCACompute2 Positional Arguments data : Evision.Mat.t() retainedVariance : double Return mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() . eigenvalues : Evision.Mat.t() . wrap PCA::operator() and add eigenvalues output parameter Python prototype (for reference only): PCACompute2(data, mean, retainedVariance[, eigenvectors[, eigenvalues]]) -&gt; mean, eigenvectors, eigenvalues","ref":"Evision.html#pcaCompute2/4","title":"Evision.pcaCompute2/4","type":"function"},{"doc":"PCACompute Positional Arguments data : Evision.Mat.t() Keyword Arguments maxComponents : int . Return mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() . wrap PCA::operator() Python prototype (for reference only): PCACompute(data, mean[, eigenvectors[, maxComponents]]) -&gt; mean, eigenvectors","ref":"Evision.html#pcaCompute/2","title":"Evision.pcaCompute/2","type":"function"},{"doc":"Variant 1: PCACompute Positional Arguments data : Evision.Mat.t() retainedVariance : double Return mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() . wrap PCA::operator() Python prototype (for reference only): PCACompute(data, mean, retainedVariance[, eigenvectors]) -&gt; mean, eigenvectors Variant 2: PCACompute Positional Arguments data : Evision.Mat.t() Keyword Arguments maxComponents : int . Return mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() . wrap PCA::operator() Python prototype (for reference only): PCACompute(data, mean[, eigenvectors[, maxComponents]]) -&gt; mean, eigenvectors","ref":"Evision.html#pcaCompute/3","title":"Evision.pcaCompute/3","type":"function"},{"doc":"PCACompute Positional Arguments data : Evision.Mat.t() retainedVariance : double Return mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() . wrap PCA::operator() Python prototype (for reference only): PCACompute(data, mean, retainedVariance[, eigenvectors]) -&gt; mean, eigenvectors","ref":"Evision.html#pcaCompute/4","title":"Evision.pcaCompute/4","type":"function"},{"doc":"PCAProject Positional Arguments data : Evision.Mat.t() mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() Return result : Evision.Mat.t() . wrap PCA::project Python prototype (for reference only): PCAProject(data, mean, eigenvectors[, result]) -&gt; result","ref":"Evision.html#pcaProject/3","title":"Evision.pcaProject/3","type":"function"},{"doc":"PCAProject Positional Arguments data : Evision.Mat.t() mean : Evision.Mat.t() eigenvectors : Evision.Mat.t() Return result : Evision.Mat.t() . wrap PCA::project Python prototype (for reference only): PCAProject(data, mean, eigenvectors[, result]) -&gt; result","ref":"Evision.html#pcaProject/4","title":"Evision.pcaProject/4","type":"function"},{"doc":"Pencil-like non-photorealistic line drawing Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Keyword Arguments sigma_s : float . %Range between 0 to 200. sigma_r : float . %Range between 0 to 1. shade_factor : float . %Range between 0 to 0.1. Return dst1 : Evision.Mat.t() . Output 8-bit 1-channel image. dst2 : Evision.Mat.t() . Output image with the same size and type as src. Python prototype (for reference only): pencilSketch(src[, dst1[, dst2[, sigma_s[, sigma_r[, shade_factor]]]]]) -&gt; dst1, dst2","ref":"Evision.html#pencilSketch/1","title":"Evision.pencilSketch/1","type":"function"},{"doc":"Pencil-like non-photorealistic line drawing Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Keyword Arguments sigma_s : float . %Range between 0 to 200. sigma_r : float . %Range between 0 to 1. shade_factor : float . %Range between 0 to 0.1. Return dst1 : Evision.Mat.t() . Output 8-bit 1-channel image. dst2 : Evision.Mat.t() . Output image with the same size and type as src. Python prototype (for reference only): pencilSketch(src[, dst1[, dst2[, sigma_s[, sigma_r[, shade_factor]]]]]) -&gt; dst1, dst2","ref":"Evision.html#pencilSketch/2","title":"Evision.pencilSketch/2","type":"function"},{"doc":"Performs the perspective matrix transformation of vectors. Positional Arguments src : Evision.Mat.t() . input two-channel or three-channel floating-point array; each element is a 2D/3D vector to be transformed. m : Evision.Mat.t() . 3x3 or 4x4 floating-point transformation matrix. Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::perspectiveTransform transforms every element of src by treating it as a 2D or 3D vector, in the following way: \\f[(x, y, z) \\rightarrow (x'/w, y'/w, z'/w)\\f] where \\f[(x', y', z', w') = \\texttt{mat} \\cdot \\begin{bmatrix} x &amp; y &amp; z &amp; 1 \\end{bmatrix}\\f] and \\f[w = \\fork{w'}{if (w' \\ne 0)}{\\infty}{otherwise}\\f] Here a 3D vector transformation is shown. In case of a 2D vector transformation, the z component is omitted. Note : The function transforms a sparse set of 2D or 3D vectors. If you want to transform an image using perspective transformation, use warpPerspective . If you have an inverse problem, that is, you want to compute the most probable perspective transformation out of several pairs of corresponding points, you can use getPerspectiveTransform or findHomography . @sa transform, warpPerspective, getPerspectiveTransform, findHomography Python prototype (for reference only): perspectiveTransform(src, m[, dst]) -&gt; dst","ref":"Evision.html#perspectiveTransform/2","title":"Evision.perspectiveTransform/2","type":"function"},{"doc":"Performs the perspective matrix transformation of vectors. Positional Arguments src : Evision.Mat.t() . input two-channel or three-channel floating-point array; each element is a 2D/3D vector to be transformed. m : Evision.Mat.t() . 3x3 or 4x4 floating-point transformation matrix. Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::perspectiveTransform transforms every element of src by treating it as a 2D or 3D vector, in the following way: \\f[(x, y, z) \\rightarrow (x'/w, y'/w, z'/w)\\f] where \\f[(x', y', z', w') = \\texttt{mat} \\cdot \\begin{bmatrix} x &amp; y &amp; z &amp; 1 \\end{bmatrix}\\f] and \\f[w = \\fork{w'}{if (w' \\ne 0)}{\\infty}{otherwise}\\f] Here a 3D vector transformation is shown. In case of a 2D vector transformation, the z component is omitted. Note : The function transforms a sparse set of 2D or 3D vectors. If you want to transform an image using perspective transformation, use warpPerspective . If you have an inverse problem, that is, you want to compute the most probable perspective transformation out of several pairs of corresponding points, you can use getPerspectiveTransform or findHomography . @sa transform, warpPerspective, getPerspectiveTransform, findHomography Python prototype (for reference only): perspectiveTransform(src, m[, dst]) -&gt; dst","ref":"Evision.html#perspectiveTransform/3","title":"Evision.perspectiveTransform/3","type":"function"},{"doc":"Calculates the rotation angle of 2D vectors. Positional Arguments x : Evision.Mat.t() . input floating-point array of x-coordinates of 2D vectors. y : Evision.Mat.t() . input array of y-coordinates of 2D vectors; it must have the same size and the same type as x. Keyword Arguments angleInDegrees : bool . when true, the function calculates the angle in degrees, otherwise, they are measured in radians. Return angle : Evision.Mat.t() . output array of vector angles; it has the same size and same type as x . The function cv::phase calculates the rotation angle of each 2D vector that is formed from the corresponding elements of x and y : \\f[\\texttt{angle} (I) = \\texttt{atan2} ( \\texttt{y} (I), \\texttt{x} (I))\\f] The angle estimation accuracy is about 0.3 degrees. When x(I)=y(I)=0 , the corresponding angle(I) is set to 0. Python prototype (for reference only): phase(x, y[, angle[, angleInDegrees]]) -&gt; angle","ref":"Evision.html#phase/2","title":"Evision.phase/2","type":"function"},{"doc":"Calculates the rotation angle of 2D vectors. Positional Arguments x : Evision.Mat.t() . input floating-point array of x-coordinates of 2D vectors. y : Evision.Mat.t() . input array of y-coordinates of 2D vectors; it must have the same size and the same type as x. Keyword Arguments angleInDegrees : bool . when true, the function calculates the angle in degrees, otherwise, they are measured in radians. Return angle : Evision.Mat.t() . output array of vector angles; it has the same size and same type as x . The function cv::phase calculates the rotation angle of each 2D vector that is formed from the corresponding elements of x and y : \\f[\\texttt{angle} (I) = \\texttt{atan2} ( \\texttt{y} (I), \\texttt{x} (I))\\f] The angle estimation accuracy is about 0.3 degrees. When x(I)=y(I)=0 , the corresponding angle(I) is set to 0. Python prototype (for reference only): phase(x, y[, angle[, angleInDegrees]]) -&gt; angle","ref":"Evision.html#phase/3","title":"Evision.phase/3","type":"function"},{"doc":"The function is used to detect translational shifts that occur between two images. Positional Arguments src1 : Evision.Mat.t() . Source floating point array (CV_32FC1 or CV_64FC1) src2 : Evision.Mat.t() . Source floating point array (CV_32FC1 or CV_64FC1) Keyword Arguments window : Evision.Mat.t() . Floating point array with windowing coefficients to reduce edge effects (optional). Return retval : Point2d response : double* . Signal power within the 5x5 centroid around the peak, between 0 and 1 (optional). The operation takes advantage of the Fourier shift theorem for detecting the translational shift in the frequency domain. It can be used for fast image registration as well as motion estimation. For more information please see http://en.wikipedia.org/wiki/Phase_correlation Calculates the cross-power spectrum of two supplied source arrays. The arrays are padded if needed with getOptimalDFTSize. The function performs the following equations: First it applies a Hanning window (see http://en.wikipedia.org/wiki/Hann_function ) to each image to remove possible edge effects. This window is cached until the array size changes to speed up processing time. Next it computes the forward DFTs of each source array: \\f[\\mathbf{G}_a = \\mathcal{F}\\{src_1\\}, \\; \\mathbf{G}_b = \\mathcal{F}\\{src_2\\}\\f] where \\f$\\mathcal{F}\\f$ is the forward DFT. It then computes the cross-power spectrum of each frequency domain array: \\f[R = \\frac{ \\mathbf{G}_a \\mathbf{G}_b^*}{|\\mathbf{G}_a \\mathbf{G}_b^*|}\\f] Next the cross-correlation is converted back into the time domain via the inverse DFT: \\f[r = \\mathcal{F}^{-1}\\{R\\}\\f] Finally, it computes the peak location and computes a 5x5 weighted centroid around the peak to achieve sub-pixel accuracy. \\f[(\\Delta x, \\Delta y) = \\texttt{weightedCentroid} \\{\\arg \\max_{(x, y)}\\{r\\}\\}\\f] If non-zero, the response parameter is computed as the sum of the elements of r within the 5x5 centroid around the peak location. It is normalized to a maximum of 1 (meaning there is a single peak) and will be smaller when there are multiple peaks. @returns detected phase shift (sub-pixel) between the two arrays. @sa dft, getOptimalDFTSize, idft, mulSpectrums createHanningWindow Python prototype (for reference only): phaseCorrelate(src1, src2[, window]) -&gt; retval, response","ref":"Evision.html#phaseCorrelate/2","title":"Evision.phaseCorrelate/2","type":"function"},{"doc":"The function is used to detect translational shifts that occur between two images. Positional Arguments src1 : Evision.Mat.t() . Source floating point array (CV_32FC1 or CV_64FC1) src2 : Evision.Mat.t() . Source floating point array (CV_32FC1 or CV_64FC1) Keyword Arguments window : Evision.Mat.t() . Floating point array with windowing coefficients to reduce edge effects (optional). Return retval : Point2d response : double* . Signal power within the 5x5 centroid around the peak, between 0 and 1 (optional). The operation takes advantage of the Fourier shift theorem for detecting the translational shift in the frequency domain. It can be used for fast image registration as well as motion estimation. For more information please see http://en.wikipedia.org/wiki/Phase_correlation Calculates the cross-power spectrum of two supplied source arrays. The arrays are padded if needed with getOptimalDFTSize. The function performs the following equations: First it applies a Hanning window (see http://en.wikipedia.org/wiki/Hann_function ) to each image to remove possible edge effects. This window is cached until the array size changes to speed up processing time. Next it computes the forward DFTs of each source array: \\f[\\mathbf{G}_a = \\mathcal{F}\\{src_1\\}, \\; \\mathbf{G}_b = \\mathcal{F}\\{src_2\\}\\f] where \\f$\\mathcal{F}\\f$ is the forward DFT. It then computes the cross-power spectrum of each frequency domain array: \\f[R = \\frac{ \\mathbf{G}_a \\mathbf{G}_b^*}{|\\mathbf{G}_a \\mathbf{G}_b^*|}\\f] Next the cross-correlation is converted back into the time domain via the inverse DFT: \\f[r = \\mathcal{F}^{-1}\\{R\\}\\f] Finally, it computes the peak location and computes a 5x5 weighted centroid around the peak to achieve sub-pixel accuracy. \\f[(\\Delta x, \\Delta y) = \\texttt{weightedCentroid} \\{\\arg \\max_{(x, y)}\\{r\\}\\}\\f] If non-zero, the response parameter is computed as the sum of the elements of r within the 5x5 centroid around the peak location. It is normalized to a maximum of 1 (meaning there is a single peak) and will be smaller when there are multiple peaks. @returns detected phase shift (sub-pixel) between the two arrays. @sa dft, getOptimalDFTSize, idft, mulSpectrums createHanningWindow Python prototype (for reference only): phaseCorrelate(src1, src2[, window]) -&gt; retval, response","ref":"Evision.html#phaseCorrelate/3","title":"Evision.phaseCorrelate/3","type":"function"},{"doc":"Performs a point-in-contour test. Positional Arguments contour : Evision.Mat.t() . Input contour. pt : Point2f . Point tested against the contour. measureDist : bool . If true, the function estimates the signed distance from the point to the nearest contour edge. Otherwise, the function only checks if the point is inside a contour or not. Return retval : double The function determines whether the point is inside a contour, outside, or lies on an edge (or coincides with a vertex). It returns positive (inside), negative (outside), or zero (on an edge) value, correspondingly. When measureDist=false , the return value is +1, -1, and 0, respectively. Otherwise, the return value is a signed distance between the point and the nearest contour edge. See below a sample output of the function where each image pixel is tested against the contour: Python prototype (for reference only): pointPolygonTest(contour, pt, measureDist) -&gt; retval","ref":"Evision.html#pointPolygonTest/3","title":"Evision.pointPolygonTest/3","type":"function"},{"doc":"Calculates x and y coordinates of 2D vectors from their magnitude and angle. Positional Arguments magnitude : Evision.Mat.t() . input floating-point array of magnitudes of 2D vectors; it can be an empty matrix (=Mat()), in this case, the function assumes that all the magnitudes are =1; if it is not empty, it must have the same size and type as angle. angle : Evision.Mat.t() . input floating-point array of angles of 2D vectors. Keyword Arguments angleInDegrees : bool . when true, the input angles are measured in degrees, otherwise, they are measured in radians. Return x : Evision.Mat.t() . output array of x-coordinates of 2D vectors; it has the same size and type as angle. y : Evision.Mat.t() . output array of y-coordinates of 2D vectors; it has the same size and type as angle. The function cv::polarToCart calculates the Cartesian coordinates of each 2D vector represented by the corresponding elements of magnitude and angle: \\f[\\begin{array}{l} \\texttt{x} (I) = \\texttt{magnitude} (I) \\cos ( \\texttt{angle} (I)) \\\\ \\texttt{y} (I) = \\texttt{magnitude} (I) \\sin ( \\texttt{angle} (I)) \\\\ \\end{array}\\f] The relative accuracy of the estimated coordinates is about 1e-6. @sa cartToPolar, magnitude, phase, exp, log, pow, sqrt Python prototype (for reference only): polarToCart(magnitude, angle[, x[, y[, angleInDegrees]]]) -&gt; x, y","ref":"Evision.html#polarToCart/2","title":"Evision.polarToCart/2","type":"function"},{"doc":"Calculates x and y coordinates of 2D vectors from their magnitude and angle. Positional Arguments magnitude : Evision.Mat.t() . input floating-point array of magnitudes of 2D vectors; it can be an empty matrix (=Mat()), in this case, the function assumes that all the magnitudes are =1; if it is not empty, it must have the same size and type as angle. angle : Evision.Mat.t() . input floating-point array of angles of 2D vectors. Keyword Arguments angleInDegrees : bool . when true, the input angles are measured in degrees, otherwise, they are measured in radians. Return x : Evision.Mat.t() . output array of x-coordinates of 2D vectors; it has the same size and type as angle. y : Evision.Mat.t() . output array of y-coordinates of 2D vectors; it has the same size and type as angle. The function cv::polarToCart calculates the Cartesian coordinates of each 2D vector represented by the corresponding elements of magnitude and angle: \\f[\\begin{array}{l} \\texttt{x} (I) = \\texttt{magnitude} (I) \\cos ( \\texttt{angle} (I)) \\\\ \\texttt{y} (I) = \\texttt{magnitude} (I) \\sin ( \\texttt{angle} (I)) \\\\ \\end{array}\\f] The relative accuracy of the estimated coordinates is about 1e-6. @sa cartToPolar, magnitude, phase, exp, log, pow, sqrt Python prototype (for reference only): polarToCart(magnitude, angle[, x[, y[, angleInDegrees]]]) -&gt; x, y","ref":"Evision.html#polarToCart/3","title":"Evision.polarToCart/3","type":"function"},{"doc":"Polls for a pressed key. Return retval : int The function pollKey polls for a key event without waiting. It returns the code of the pressed key or -1 if no key was pressed since the last invocation. To wait until a key was pressed, use #waitKey. Note : The functions #waitKey and #pollKey are the only methods in HighGUI that can fetch and handle GUI events, so one of them needs to be called periodically for normal event processing unless HighGUI is used within an environment that takes care of event processing. Note : The function only works if there is at least one HighGUI window created and the window is active. If there are several HighGUI windows, any of them can be active. Python prototype (for reference only): pollKey() -&gt; retval","ref":"Evision.html#pollKey/0","title":"Evision.pollKey/0","type":"function"},{"doc":"Draws several polygonal curves. Positional Arguments pts : [Evision.Mat] . Array of polygonal curves. isClosed : bool . Flag indicating whether the drawn polylines are closed or not. If they are closed, the function draws a line from the last vertex of each curve to its first vertex. color : Scalar . Polyline color. Keyword Arguments thickness : int . Thickness of the polyline edges. lineType : int . Type of the line segments. See #LineTypes shift : int . Number of fractional bits in the vertex coordinates. Return img : Evision.Mat.t() . Image. The function cv::polylines draws one or more polygonal curves. Python prototype (for reference only): polylines(img, pts, isClosed, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#polylines/4","title":"Evision.polylines/4","type":"function"},{"doc":"Draws several polygonal curves. Positional Arguments pts : [Evision.Mat] . Array of polygonal curves. isClosed : bool . Flag indicating whether the drawn polylines are closed or not. If they are closed, the function draws a line from the last vertex of each curve to its first vertex. color : Scalar . Polyline color. Keyword Arguments thickness : int . Thickness of the polyline edges. lineType : int . Type of the line segments. See #LineTypes shift : int . Number of fractional bits in the vertex coordinates. Return img : Evision.Mat.t() . Image. The function cv::polylines draws one or more polygonal curves. Python prototype (for reference only): polylines(img, pts, isClosed, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#polylines/5","title":"Evision.polylines/5","type":"function"},{"doc":"Raises every array element to a power. Positional Arguments src : Evision.Mat.t() . input array. power : double . exponent of power. Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::pow raises every element of the input array to power : \\f[\\texttt{dst} (I) = \\fork{\\texttt{src}(I)^{power}}{if (\\texttt{power}) is integer}{|\\texttt{src}(I)|^{power}}{otherwise}\\f] So, for a non-integer power exponent, the absolute values of input array elements are used. However, it is possible to get true values for negative values using some extra operations. In the example below, computing the 5th root of array src shows: Mat mask = src &lt; 0; pow(src, 1./5, dst); subtract(Scalar::all(0), dst, dst, mask); For some values of power, such as integer values, 0.5 and -0.5, specialized faster algorithms are used. Special values (NaN, Inf) are not handled. @sa sqrt, exp, log, cartToPolar, polarToCart Python prototype (for reference only): pow(src, power[, dst]) -&gt; dst","ref":"Evision.html#pow/2","title":"Evision.pow/2","type":"function"},{"doc":"Raises every array element to a power. Positional Arguments src : Evision.Mat.t() . input array. power : double . exponent of power. Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::pow raises every element of the input array to power : \\f[\\texttt{dst} (I) = \\fork{\\texttt{src}(I)^{power}}{if (\\texttt{power}) is integer}{|\\texttt{src}(I)|^{power}}{otherwise}\\f] So, for a non-integer power exponent, the absolute values of input array elements are used. However, it is possible to get true values for negative values using some extra operations. In the example below, computing the 5th root of array src shows: Mat mask = src &lt; 0; pow(src, 1./5, dst); subtract(Scalar::all(0), dst, dst, mask); For some values of power, such as integer values, 0.5 and -0.5, specialized faster algorithms are used. Special values (NaN, Inf) are not handled. @sa sqrt, exp, log, cartToPolar, polarToCart Python prototype (for reference only): pow(src, power[, dst]) -&gt; dst","ref":"Evision.html#pow/3","title":"Evision.pow/3","type":"function"},{"doc":"Calculates a feature map for corner detection. Positional Arguments src : Evision.Mat.t() . Source single-channel 8-bit of floating-point image. ksize : int . %Aperture size of the Sobel . Keyword Arguments borderType : int . Pixel extrapolation method. See #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Output image that has the type CV_32F and the same size as src . The function calculates the complex spatial derivative-based function of the source image \\f[\\texttt{dst} = (D_x \\texttt{src} )^2 \\cdot D_{yy} \\texttt{src} + (D_y \\texttt{src} )^2 \\cdot D_{xx} \\texttt{src} - 2 D_x \\texttt{src} \\cdot D_y \\texttt{src} \\cdot D_{xy} \\texttt{src}\\f] where \\f$D_x\\f$,\\f$D_y\\f$ are the first image derivatives, \\f$D_{xx}\\f$,\\f$D_{yy}\\f$ are the second image derivatives, and \\f$D_{xy}\\f$ is the mixed derivative. The corners can be found as local maximums of the functions, as shown below: Mat corners , dilated_corners ; preCornerDetect ( image , corners , 3 ) ; // dilation with 3 x3 rectangular structuring element dilate ( corners , dilated_corners , Mat ( ) , 1 ) ; Mat corner_mask = corners == dilated_corners ; Python prototype (for reference only): preCornerDetect(src, ksize[, dst[, borderType]]) -&gt; dst","ref":"Evision.html#preCornerDetect/2","title":"Evision.preCornerDetect/2","type":"function"},{"doc":"Calculates a feature map for corner detection. Positional Arguments src : Evision.Mat.t() . Source single-channel 8-bit of floating-point image. ksize : int . %Aperture size of the Sobel . Keyword Arguments borderType : int . Pixel extrapolation method. See #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Output image that has the type CV_32F and the same size as src . The function calculates the complex spatial derivative-based function of the source image \\f[\\texttt{dst} = (D_x \\texttt{src} )^2 \\cdot D_{yy} \\texttt{src} + (D_y \\texttt{src} )^2 \\cdot D_{xx} \\texttt{src} - 2 D_x \\texttt{src} \\cdot D_y \\texttt{src} \\cdot D_{xy} \\texttt{src}\\f] where \\f$D_x\\f$,\\f$D_y\\f$ are the first image derivatives, \\f$D_{xx}\\f$,\\f$D_{yy}\\f$ are the second image derivatives, and \\f$D_{xy}\\f$ is the mixed derivative. The corners can be found as local maximums of the functions, as shown below: Mat corners , dilated_corners ; preCornerDetect ( image , corners , 3 ) ; // dilation with 3 x3 rectangular structuring element dilate ( corners , dilated_corners , Mat ( ) , 1 ) ; Mat corner_mask = corners == dilated_corners ; Python prototype (for reference only): preCornerDetect(src, ksize[, dst[, borderType]]) -&gt; dst","ref":"Evision.html#preCornerDetect/3","title":"Evision.preCornerDetect/3","type":"function"},{"doc":"Projects 3D points to an image plane. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points expressed wrt. the world coordinate frame. A 3xN/Nx3 1-channel or 1xN/Nx1 3-channel (or vector\\&lt;Point3f&gt; ), where N is the number of points in the view. rvec : Evision.Mat.t() . The rotation vector (@ref Rodrigues) that, together with tvec, performs a change of basis from world to camera coordinate system, see @ref calibrateCamera for details. tvec : Evision.Mat.t() . The translation vector, see parameter description above. cameraMatrix : Evision.Mat.t() . Camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$ . If the vector is empty, the zero distortion coefficients are assumed. Keyword Arguments aspectRatio : double . Optional &quot;fixed aspect ratio&quot; parameter. If the parameter is not 0, the function assumes that the aspect ratio (\\f$f_x / f_y\\f$) is fixed and correspondingly adjusts the jacobian matrix. Return imagePoints : Evision.Mat.t() . Output array of image points, 1xN/Nx1 2-channel, or vector\\&lt;Point2f&gt; . jacobian : Evision.Mat.t() . Optional output 2Nx(10+\\&lt;numDistCoeffs&gt;) jacobian matrix of derivatives of image points with respect to components of the rotation vector, translation vector, focal lengths, coordinates of the principal point and the distortion coefficients. In the old interface different components of the jacobian are returned via different output parameters. The function computes the 2D projections of 3D points to the image plane, given intrinsic and extrinsic camera parameters. Optionally, the function computes Jacobians -matrices of partial derivatives of image points coordinates (as functions of all the input parameters) with respect to the particular parameters, intrinsic and/or extrinsic. The Jacobians are used during the global optimization in @ref calibrateCamera, @ref solvePnP, and @ref stereoCalibrate. The function itself can also be used to compute a re-projection error, given the current intrinsic and extrinsic parameters. Note : By setting rvec = tvec = \\f$[0, 0, 0]\\f$, or by setting cameraMatrix to a 3x3 identity matrix, or by passing zero distortion coefficients, one can get various useful partial cases of the function. This means, one can compute the distorted coordinates for a sparse set of points or apply a perspective transformation (and also compute the derivatives) in the ideal zero-distortion setup. Python prototype (for reference only): projectPoints(objectPoints, rvec, tvec, cameraMatrix, distCoeffs[, imagePoints[, jacobian[, aspectRatio]]]) -&gt; imagePoints, jacobian","ref":"Evision.html#projectPoints/5","title":"Evision.projectPoints/5","type":"function"},{"doc":"Projects 3D points to an image plane. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points expressed wrt. the world coordinate frame. A 3xN/Nx3 1-channel or 1xN/Nx1 3-channel (or vector\\&lt;Point3f&gt; ), where N is the number of points in the view. rvec : Evision.Mat.t() . The rotation vector (@ref Rodrigues) that, together with tvec, performs a change of basis from world to camera coordinate system, see @ref calibrateCamera for details. tvec : Evision.Mat.t() . The translation vector, see parameter description above. cameraMatrix : Evision.Mat.t() . Camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$ . If the vector is empty, the zero distortion coefficients are assumed. Keyword Arguments aspectRatio : double . Optional &quot;fixed aspect ratio&quot; parameter. If the parameter is not 0, the function assumes that the aspect ratio (\\f$f_x / f_y\\f$) is fixed and correspondingly adjusts the jacobian matrix. Return imagePoints : Evision.Mat.t() . Output array of image points, 1xN/Nx1 2-channel, or vector\\&lt;Point2f&gt; . jacobian : Evision.Mat.t() . Optional output 2Nx(10+\\&lt;numDistCoeffs&gt;) jacobian matrix of derivatives of image points with respect to components of the rotation vector, translation vector, focal lengths, coordinates of the principal point and the distortion coefficients. In the old interface different components of the jacobian are returned via different output parameters. The function computes the 2D projections of 3D points to the image plane, given intrinsic and extrinsic camera parameters. Optionally, the function computes Jacobians -matrices of partial derivatives of image points coordinates (as functions of all the input parameters) with respect to the particular parameters, intrinsic and/or extrinsic. The Jacobians are used during the global optimization in @ref calibrateCamera, @ref solvePnP, and @ref stereoCalibrate. The function itself can also be used to compute a re-projection error, given the current intrinsic and extrinsic parameters. Note : By setting rvec = tvec = \\f$[0, 0, 0]\\f$, or by setting cameraMatrix to a 3x3 identity matrix, or by passing zero distortion coefficients, one can get various useful partial cases of the function. This means, one can compute the distorted coordinates for a sparse set of points or apply a perspective transformation (and also compute the derivatives) in the ideal zero-distortion setup. Python prototype (for reference only): projectPoints(objectPoints, rvec, tvec, cameraMatrix, distCoeffs[, imagePoints[, jacobian[, aspectRatio]]]) -&gt; imagePoints, jacobian","ref":"Evision.html#projectPoints/6","title":"Evision.projectPoints/6","type":"function"},{"doc":"Computes the Peak Signal-to-Noise Ratio (PSNR) image quality metric. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size as src1. Keyword Arguments r : double . the maximum pixel value (255 by default) Return retval : double This function calculates the Peak Signal-to-Noise Ratio (PSNR) image quality metric in decibels (dB), between two input arrays src1 and src2. The arrays must have the same type. The PSNR is calculated as follows: \\f[ \\texttt{PSNR} = 10 \\cdot \\log_{10}{\\left( \\frac{R^2}{MSE} \\right) } \\f] where R is the maximum integer value of depth (e.g. 255 in the case of CV_8U data) and MSE is the mean squared error between the two arrays. Python prototype (for reference only): PSNR(src1, src2[, R]) -&gt; retval","ref":"Evision.html#psnr/2","title":"Evision.psnr/2","type":"function"},{"doc":"Computes the Peak Signal-to-Noise Ratio (PSNR) image quality metric. Positional Arguments src1 : Evision.Mat.t() . first input array. src2 : Evision.Mat.t() . second input array of the same size as src1. Keyword Arguments r : double . the maximum pixel value (255 by default) Return retval : double This function calculates the Peak Signal-to-Noise Ratio (PSNR) image quality metric in decibels (dB), between two input arrays src1 and src2. The arrays must have the same type. The PSNR is calculated as follows: \\f[ \\texttt{PSNR} = 10 \\cdot \\log_{10}{\\left( \\frac{R^2}{MSE} \\right) } \\f] where R is the maximum integer value of depth (e.g. 255 in the case of CV_8U data) and MSE is the mean squared error between the two arrays. Python prototype (for reference only): PSNR(src1, src2[, R]) -&gt; retval","ref":"Evision.html#psnr/3","title":"Evision.psnr/3","type":"function"},{"doc":"Draws a text string. Positional Arguments text : String . Text string to be drawn. org : Point . Bottom-left corner of the text string in the image. fontFace : int . Font type, see #HersheyFonts. fontScale : double . Font scale factor that is multiplied by the font-specific base size. color : Scalar . Text color. Keyword Arguments thickness : int . Thickness of the lines used to draw a text. lineType : int . Line type. See #LineTypes bottomLeftOrigin : bool . When true, the image data origin is at the bottom-left corner. Otherwise, it is at the top-left corner. Return img : Evision.Mat.t() . Image. The function cv::putText renders the specified text string in the image. Symbols that cannot be rendered using the specified font are replaced by question marks. See #getTextSize for a text rendering code example. Python prototype (for reference only): putText(img, text, org, fontFace, fontScale, color[, thickness[, lineType[, bottomLeftOrigin]]]) -&gt; img","ref":"Evision.html#putText/6","title":"Evision.putText/6","type":"function"},{"doc":"Draws a text string. Positional Arguments text : String . Text string to be drawn. org : Point . Bottom-left corner of the text string in the image. fontFace : int . Font type, see #HersheyFonts. fontScale : double . Font scale factor that is multiplied by the font-specific base size. color : Scalar . Text color. Keyword Arguments thickness : int . Thickness of the lines used to draw a text. lineType : int . Line type. See #LineTypes bottomLeftOrigin : bool . When true, the image data origin is at the bottom-left corner. Otherwise, it is at the top-left corner. Return img : Evision.Mat.t() . Image. The function cv::putText renders the specified text string in the image. Symbols that cannot be rendered using the specified font are replaced by question marks. See #getTextSize for a text rendering code example. Python prototype (for reference only): putText(img, text, org, fontFace, fontScale, color[, thickness[, lineType[, bottomLeftOrigin]]]) -&gt; img","ref":"Evision.html#putText/7","title":"Evision.putText/7","type":"function"},{"doc":"Blurs an image and downsamples it. Positional Arguments src : Evision.Mat.t() . input image. Keyword Arguments dstsize : Size . size of the output image. borderType : int . Pixel extrapolation method, see #BorderTypes (#BORDER_CONSTANT isn't supported) Return dst : Evision.Mat.t() . output image; it has the specified size and the same type as src. By default, size of the output image is computed as Size((src.cols+1)/2, (src.rows+1)/2) , but in any case, the following conditions should be satisfied: \\f[\\begin{array}{l} | \\texttt{dstsize.width} *2-src.cols| \\leq 2 \\\\ | \\texttt{dstsize.height} *2-src.rows| \\leq 2 \\end{array}\\f] The function performs the downsampling step of the Gaussian pyramid construction. First, it convolves the source image with the kernel: \\f[\\frac{1}{256} \\begin{bmatrix} 1 &amp; 4 &amp; 6 &amp; 4 &amp; 1 \\\\ 4 &amp; 16 &amp; 24 &amp; 16 &amp; 4 \\\\ 6 &amp; 24 &amp; 36 &amp; 24 &amp; 6 \\\\ 4 &amp; 16 &amp; 24 &amp; 16 &amp; 4 \\\\ 1 &amp; 4 &amp; 6 &amp; 4 &amp; 1 \\end{bmatrix}\\f] Then, it downsamples the image by rejecting even rows and columns. Python prototype (for reference only): pyrDown(src[, dst[, dstsize[, borderType]]]) -&gt; dst","ref":"Evision.html#pyrDown/1","title":"Evision.pyrDown/1","type":"function"},{"doc":"Blurs an image and downsamples it. Positional Arguments src : Evision.Mat.t() . input image. Keyword Arguments dstsize : Size . size of the output image. borderType : int . Pixel extrapolation method, see #BorderTypes (#BORDER_CONSTANT isn't supported) Return dst : Evision.Mat.t() . output image; it has the specified size and the same type as src. By default, size of the output image is computed as Size((src.cols+1)/2, (src.rows+1)/2) , but in any case, the following conditions should be satisfied: \\f[\\begin{array}{l} | \\texttt{dstsize.width} *2-src.cols| \\leq 2 \\\\ | \\texttt{dstsize.height} *2-src.rows| \\leq 2 \\end{array}\\f] The function performs the downsampling step of the Gaussian pyramid construction. First, it convolves the source image with the kernel: \\f[\\frac{1}{256} \\begin{bmatrix} 1 &amp; 4 &amp; 6 &amp; 4 &amp; 1 \\\\ 4 &amp; 16 &amp; 24 &amp; 16 &amp; 4 \\\\ 6 &amp; 24 &amp; 36 &amp; 24 &amp; 6 \\\\ 4 &amp; 16 &amp; 24 &amp; 16 &amp; 4 \\\\ 1 &amp; 4 &amp; 6 &amp; 4 &amp; 1 \\end{bmatrix}\\f] Then, it downsamples the image by rejecting even rows and columns. Python prototype (for reference only): pyrDown(src[, dst[, dstsize[, borderType]]]) -&gt; dst","ref":"Evision.html#pyrDown/2","title":"Evision.pyrDown/2","type":"function"},{"doc":"Performs initial step of meanshift segmentation of an image. Positional Arguments src : Evision.Mat.t() . The source 8-bit, 3-channel image. sp : double . The spatial window radius. sr : double . The color window radius. Keyword Arguments maxLevel : int . Maximum level of the pyramid for the segmentation. termcrit : TermCriteria . Termination criteria: when to stop meanshift iterations. Return dst : Evision.Mat.t() . The destination image of the same format and the same size as the source. The function implements the filtering stage of meanshift segmentation, that is, the output of the function is the filtered &quot;posterized&quot; image with color gradients and fine-grain texture flattened. At every pixel (X,Y) of the input image (or down-sized input image, see below) the function executes meanshift iterations, that is, the pixel (X,Y) neighborhood in the joint space-color hyperspace is considered: \\f[(x,y): X- \\texttt{sp} \\le x \\le X+ \\texttt{sp} , Y- \\texttt{sp} \\le y \\le Y+ \\texttt{sp} , ||(R,G,B)-(r,g,b)|| \\le \\texttt{sr}\\f] where (R,G,B) and (r,g,b) are the vectors of color components at (X,Y) and (x,y), respectively (though, the algorithm does not depend on the color space used, so any 3-component color space can be used instead). Over the neighborhood the average spatial value (X',Y') and average color vector (R',G',B') are found and they act as the neighborhood center on the next iteration: \\f[(X,Y)~(X',Y'), (R,G,B)~(R',G',B').\\f] After the iterations over, the color components of the initial pixel (that is, the pixel from where the iterations started) are set to the final value (average color at the last iteration): \\f[I(X,Y) &lt;- (R*,G*,B*)\\f] When maxLevel &gt; 0, the gaussian pyramid of maxLevel+1 levels is built, and the above procedure is run on the smallest layer first. After that, the results are propagated to the larger layer and the iterations are run again only on those pixels where the layer colors differ by more than sr from the lower-resolution layer of the pyramid. That makes boundaries of color regions sharper. Note that the results will be actually different from the ones obtained by running the meanshift procedure on the whole original image (i.e. when maxLevel==0). Python prototype (for reference only): pyrMeanShiftFiltering(src, sp, sr[, dst[, maxLevel[, termcrit]]]) -&gt; dst","ref":"Evision.html#pyrMeanShiftFiltering/3","title":"Evision.pyrMeanShiftFiltering/3","type":"function"},{"doc":"Performs initial step of meanshift segmentation of an image. Positional Arguments src : Evision.Mat.t() . The source 8-bit, 3-channel image. sp : double . The spatial window radius. sr : double . The color window radius. Keyword Arguments maxLevel : int . Maximum level of the pyramid for the segmentation. termcrit : TermCriteria . Termination criteria: when to stop meanshift iterations. Return dst : Evision.Mat.t() . The destination image of the same format and the same size as the source. The function implements the filtering stage of meanshift segmentation, that is, the output of the function is the filtered &quot;posterized&quot; image with color gradients and fine-grain texture flattened. At every pixel (X,Y) of the input image (or down-sized input image, see below) the function executes meanshift iterations, that is, the pixel (X,Y) neighborhood in the joint space-color hyperspace is considered: \\f[(x,y): X- \\texttt{sp} \\le x \\le X+ \\texttt{sp} , Y- \\texttt{sp} \\le y \\le Y+ \\texttt{sp} , ||(R,G,B)-(r,g,b)|| \\le \\texttt{sr}\\f] where (R,G,B) and (r,g,b) are the vectors of color components at (X,Y) and (x,y), respectively (though, the algorithm does not depend on the color space used, so any 3-component color space can be used instead). Over the neighborhood the average spatial value (X',Y') and average color vector (R',G',B') are found and they act as the neighborhood center on the next iteration: \\f[(X,Y)~(X',Y'), (R,G,B)~(R',G',B').\\f] After the iterations over, the color components of the initial pixel (that is, the pixel from where the iterations started) are set to the final value (average color at the last iteration): \\f[I(X,Y) &lt;- (R*,G*,B*)\\f] When maxLevel &gt; 0, the gaussian pyramid of maxLevel+1 levels is built, and the above procedure is run on the smallest layer first. After that, the results are propagated to the larger layer and the iterations are run again only on those pixels where the layer colors differ by more than sr from the lower-resolution layer of the pyramid. That makes boundaries of color regions sharper. Note that the results will be actually different from the ones obtained by running the meanshift procedure on the whole original image (i.e. when maxLevel==0). Python prototype (for reference only): pyrMeanShiftFiltering(src, sp, sr[, dst[, maxLevel[, termcrit]]]) -&gt; dst","ref":"Evision.html#pyrMeanShiftFiltering/4","title":"Evision.pyrMeanShiftFiltering/4","type":"function"},{"doc":"Upsamples an image and then blurs it. Positional Arguments src : Evision.Mat.t() . input image. Keyword Arguments dstsize : Size . size of the output image. borderType : int . Pixel extrapolation method, see #BorderTypes (only #BORDER_DEFAULT is supported) Return dst : Evision.Mat.t() . output image. It has the specified size and the same type as src . By default, size of the output image is computed as Size(src.cols\\*2, (src.rows\\*2) , but in any case, the following conditions should be satisfied: \\f[\\begin{array}{l} | \\texttt{dstsize.width} -src.cols*2| \\leq ( \\texttt{dstsize.width} \\mod 2) \\\\ | \\texttt{dstsize.height} -src.rows*2| \\leq ( \\texttt{dstsize.height} \\mod 2) \\end{array}\\f] The function performs the upsampling step of the Gaussian pyramid construction, though it can actually be used to construct the Laplacian pyramid. First, it upsamples the source image by injecting even zero rows and columns and then convolves the result with the same kernel as in pyrDown multiplied by 4. Python prototype (for reference only): pyrUp(src[, dst[, dstsize[, borderType]]]) -&gt; dst","ref":"Evision.html#pyrUp/1","title":"Evision.pyrUp/1","type":"function"},{"doc":"Upsamples an image and then blurs it. Positional Arguments src : Evision.Mat.t() . input image. Keyword Arguments dstsize : Size . size of the output image. borderType : int . Pixel extrapolation method, see #BorderTypes (only #BORDER_DEFAULT is supported) Return dst : Evision.Mat.t() . output image. It has the specified size and the same type as src . By default, size of the output image is computed as Size(src.cols\\*2, (src.rows\\*2) , but in any case, the following conditions should be satisfied: \\f[\\begin{array}{l} | \\texttt{dstsize.width} -src.cols*2| \\leq ( \\texttt{dstsize.width} \\mod 2) \\\\ | \\texttt{dstsize.height} -src.rows*2| \\leq ( \\texttt{dstsize.height} \\mod 2) \\end{array}\\f] The function performs the upsampling step of the Gaussian pyramid construction, though it can actually be used to construct the Laplacian pyramid. First, it upsamples the source image by injecting even zero rows and columns and then convolves the result with the same kernel as in pyrDown multiplied by 4. Python prototype (for reference only): pyrUp(src[, dst[, dstsize[, borderType]]]) -&gt; dst","ref":"Evision.html#pyrUp/2","title":"Evision.pyrUp/2","type":"function"},{"doc":"Fills the array with normally distributed random numbers. Positional Arguments mean : Evision.Mat.t() . mean value (expectation) of the generated random numbers. stddev : Evision.Mat.t() . standard deviation of the generated random numbers; it can be either a vector (in which case a diagonal standard deviation matrix is assumed) or a square matrix. Return dst : Evision.Mat.t() . output array of random numbers; the array must be pre-allocated and have 1 to 4 channels. The function cv::randn fills the matrix dst with normally distributed random numbers with the specified mean vector and the standard deviation matrix. The generated random numbers are clipped to fit the value range of the output array data type. @sa RNG, randu Python prototype (for reference only): randn(dst, mean, stddev) -&gt; dst","ref":"Evision.html#randn/3","title":"Evision.randn/3","type":"function"},{"doc":"Shuffles the array elements randomly. Keyword Arguments iterFactor : double . scale factor that determines the number of random swap operations (see the details below). Return dst : Evision.Mat.t() . input/output numerical 1D array. The function cv::randShuffle shuffles the specified 1D array by randomly choosing pairs of elements and swapping them. The number of such swap operations will be dst.rows*dst.cols*iterFactor . @sa RNG, sort Python prototype (for reference only): randShuffle(dst[, iterFactor]) -&gt; dst","ref":"Evision.html#randShuffle/1","title":"Evision.randShuffle/1","type":"function"},{"doc":"Shuffles the array elements randomly. Keyword Arguments iterFactor : double . scale factor that determines the number of random swap operations (see the details below). Return dst : Evision.Mat.t() . input/output numerical 1D array. The function cv::randShuffle shuffles the specified 1D array by randomly choosing pairs of elements and swapping them. The number of such swap operations will be dst.rows*dst.cols*iterFactor . @sa RNG, sort Python prototype (for reference only): randShuffle(dst[, iterFactor]) -&gt; dst","ref":"Evision.html#randShuffle/2","title":"Evision.randShuffle/2","type":"function"},{"doc":"Generates a single uniformly-distributed random number or an array of random numbers. Positional Arguments low : Evision.Mat.t() . inclusive lower boundary of the generated random numbers. high : Evision.Mat.t() . exclusive upper boundary of the generated random numbers. Return dst : Evision.Mat.t() . output array of random numbers; the array must be pre-allocated. Non-template variant of the function fills the matrix dst with uniformly-distributed random numbers from the specified range: \\f[\\texttt{low} _c \\leq \\texttt{dst} (I)_c &lt; \\texttt{high} _c\\f] @sa RNG, randn, theRNG Python prototype (for reference only): randu(dst, low, high) -&gt; dst","ref":"Evision.html#randu/3","title":"Evision.randu/3","type":"function"},{"doc":"Read a .flo file Positional Arguments path : String . Path to the file to be loaded Return retval : Evision.Mat.t() The function readOpticalFlow loads a flow field from a file and returns it as a single matrix. Resulting Mat has a type CV_32FC2 - floating-point, 2-channel. First channel corresponds to the flow in the horizontal direction (u), second - vertical (v). Python prototype (for reference only): readOpticalFlow(path) -&gt; retval","ref":"Evision.html#readOpticalFlow/1","title":"Evision.readOpticalFlow/1","type":"function"},{"doc":"recoverPose Positional Arguments e : Evision.Mat.t() . The input essential matrix. points1 : Evision.Mat.t() . Array of N 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . Keyword Arguments focal : double . Focal length of the camera. Note that this function assumes that points1 and points2 are feature points from cameras with same focal length and principal point. pp : Point2d . principal point of the camera. Return retval : int r : Evision.Mat.t() . Output rotation matrix. Together with the translation vector, this matrix makes up a tuple that performs a change of basis from the first camera's coordinate system to the second camera's coordinate system. Note that, in general, t can not be used for this tuple, see the parameter description below. t : Evision.Mat.t() . Output translation vector. This vector is obtained by @ref decomposeEssentialMat and therefore is only known up to scale, i.e. t is the direction of the translation vector and has unit length. mask : Evision.Mat.t() . Input/output mask for inliers in points1 and points2. If it is not empty, then it marks inliers in points1 and points2 for the given essential matrix E. Only these inliers will be used to recover pose. In the output mask only inliers which pass the chirality check. Has overloading in C++ This function differs from the one above that it computes camera intrinsic matrix from focal length and principal point: \\f[A = \\begin{bmatrix} f &amp; 0 &amp; x_{pp} \\\\ 0 &amp; f &amp; y_{pp} \\\\ 0 &amp; 0 &amp; 1 \\end{bmatrix}\\f] Python prototype (for reference only): recoverPose(E, points1, points2[, R[, t[, focal[, pp[, mask]]]]]) -&gt; retval, R, t, mask","ref":"Evision.html#recoverPose/3","title":"Evision.recoverPose/3","type":"function"},{"doc":"Variant 1: Recovers the relative camera rotation and the translation from an estimated essential matrix and the corresponding points in two images, using chirality check. Returns the number of inliers that pass the check. Positional Arguments e : Evision.Mat.t() . The input essential matrix. points1 : Evision.Mat.t() . Array of N 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . cameraMatrix : Evision.Mat.t() . Camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . Note that this function assumes that points1 and points2 are feature points from cameras with the same camera intrinsic matrix. Return retval : int r : Evision.Mat.t() . Output rotation matrix. Together with the translation vector, this matrix makes up a tuple that performs a change of basis from the first camera's coordinate system to the second camera's coordinate system. Note that, in general, t can not be used for this tuple, see the parameter described below. t : Evision.Mat.t() . Output translation vector. This vector is obtained by @ref decomposeEssentialMat and therefore is only known up to scale, i.e. t is the direction of the translation vector and has unit length. mask : Evision.Mat.t() . Input/output mask for inliers in points1 and points2. If it is not empty, then it marks inliers in points1 and points2 for the given essential matrix E. Only these inliers will be used to recover pose. In the output mask only inliers which pass the chirality check. This function decomposes an essential matrix using @ref decomposeEssentialMat and then verifies possible pose hypotheses by doing chirality check. The chirality check means that the triangulated 3D points should have positive depth. Some details can be found in @cite Nister03. This function can be used to process the output E and mask from @ref findEssentialMat. In this scenario, points1 and points2 are the same input for #findEssentialMat : // Example . Estimation of fundamental matrix using the RANSAC algorithm int point_count = 100 ; vector &lt; Point2f &gt; points1 ( point_count ) ; vector &lt; Point2f &gt; points2 ( point_count ) ; // initialize the points here ... for ( int i = 0 ; i &lt; point_count ; i ++ ) { points1 [ i ] = ... ; points2 [ i ] = ... ; } // cametra matrix with both focal lengths = 1 , and principal point = ( 0 , 0 ) Mat cameraMatrix = Mat :: eye ( 3 , 3 , CV_64F ) ; Mat E , R , t , mask ; E = findEssentialMat ( points1 , points2 , cameraMatrix , RANSAC , 0.999 , 1.0 , mask ) ; recoverPose ( E , points1 , points2 , cameraMatrix , R , t , mask ) ; Python prototype (for reference only): recoverPose(E, points1, points2, cameraMatrix[, R[, t[, mask]]]) -&gt; retval, R, t, mask Variant 2: recoverPose Positional Arguments e : Evision.Mat.t() . The input essential matrix. points1 : Evision.Mat.t() . Array of N 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . Keyword Arguments focal : double . Focal length of the camera. Note that this function assumes that points1 and points2 are feature points from cameras with same focal length and principal point. pp : Point2d . principal point of the camera. Return retval : int r : Evision.Mat.t() . Output rotation matrix. Together with the translation vector, this matrix makes up a tuple that performs a change of basis from the first camera's coordinate system to the second camera's coordinate system. Note that, in general, t can not be used for this tuple, see the parameter description below. t : Evision.Mat.t() . Output translation vector. This vector is obtained by @ref decomposeEssentialMat and therefore is only known up to scale, i.e. t is the direction of the translation vector and has unit length. mask : Evision.Mat.t() . Input/output mask for inliers in points1 and points2. If it is not empty, then it marks inliers in points1 and points2 for the given essential matrix E. Only these inliers will be used to recover pose. In the output mask only inliers which pass the chirality check. Has overloading in C++ This function differs from the one above that it computes camera intrinsic matrix from focal length and principal point: \\f[A = \\begin{bmatrix} f &amp; 0 &amp; x_{pp} \\\\ 0 &amp; f &amp; y_{pp} \\\\ 0 &amp; 0 &amp; 1 \\end{bmatrix}\\f] Python prototype (for reference only): recoverPose(E, points1, points2[, R[, t[, focal[, pp[, mask]]]]]) -&gt; retval, R, t, mask","ref":"Evision.html#recoverPose/4","title":"Evision.recoverPose/4","type":"function"},{"doc":"Variant 1: recoverPose Positional Arguments e : Evision.Mat.t() . The input essential matrix. points1 : Evision.Mat.t() . Array of N 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1. cameraMatrix : Evision.Mat.t() . Camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . Note that this function assumes that points1 and points2 are feature points from cameras with the same camera intrinsic matrix. distanceThresh : double . threshold distance which is used to filter out far away points (i.e. infinite points). Return retval : int r : Evision.Mat.t() . Output rotation matrix. Together with the translation vector, this matrix makes up a tuple that performs a change of basis from the first camera's coordinate system to the second camera's coordinate system. Note that, in general, t can not be used for this tuple, see the parameter description below. t : Evision.Mat.t() . Output translation vector. This vector is obtained by @ref decomposeEssentialMat and therefore is only known up to scale, i.e. t is the direction of the translation vector and has unit length. mask : Evision.Mat.t() . Input/output mask for inliers in points1 and points2. If it is not empty, then it marks inliers in points1 and points2 for the given essential matrix E. Only these inliers will be used to recover pose. In the output mask only inliers which pass the chirality check. triangulatedPoints : Evision.Mat.t() . 3D points which were reconstructed by triangulation. Has overloading in C++ This function differs from the one above that it outputs the triangulated 3D point that are used for the chirality check. Python prototype (for reference only): recoverPose(E, points1, points2, cameraMatrix, distanceThresh[, R[, t[, mask[, triangulatedPoints]]]]) -&gt; retval, R, t, mask, triangulatedPoints Variant 2: Recovers the relative camera rotation and the translation from an estimated essential matrix and the corresponding points in two images, using chirality check. Returns the number of inliers that pass the check. Positional Arguments e : Evision.Mat.t() . The input essential matrix. points1 : Evision.Mat.t() . Array of N 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . cameraMatrix : Evision.Mat.t() . Camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . Note that this function assumes that points1 and points2 are feature points from cameras with the same camera intrinsic matrix. Return retval : int r : Evision.Mat.t() . Output rotation matrix. Together with the translation vector, this matrix makes up a tuple that performs a change of basis from the first camera's coordinate system to the second camera's coordinate system. Note that, in general, t can not be used for this tuple, see the parameter described below. t : Evision.Mat.t() . Output translation vector. This vector is obtained by @ref decomposeEssentialMat and therefore is only known up to scale, i.e. t is the direction of the translation vector and has unit length. mask : Evision.Mat.t() . Input/output mask for inliers in points1 and points2. If it is not empty, then it marks inliers in points1 and points2 for the given essential matrix E. Only these inliers will be used to recover pose. In the output mask only inliers which pass the chirality check. This function decomposes an essential matrix using @ref decomposeEssentialMat and then verifies possible pose hypotheses by doing chirality check. The chirality check means that the triangulated 3D points should have positive depth. Some details can be found in @cite Nister03. This function can be used to process the output E and mask from @ref findEssentialMat. In this scenario, points1 and points2 are the same input for #findEssentialMat : // Example . Estimation of fundamental matrix using the RANSAC algorithm int point_count = 100 ; vector &lt; Point2f &gt; points1 ( point_count ) ; vector &lt; Point2f &gt; points2 ( point_count ) ; // initialize the points here ... for ( int i = 0 ; i &lt; point_count ; i ++ ) { points1 [ i ] = ... ; points2 [ i ] = ... ; } // cametra matrix with both focal lengths = 1 , and principal point = ( 0 , 0 ) Mat cameraMatrix = Mat :: eye ( 3 , 3 , CV_64F ) ; Mat E , R , t , mask ; E = findEssentialMat ( points1 , points2 , cameraMatrix , RANSAC , 0.999 , 1.0 , mask ) ; recoverPose ( E , points1 , points2 , cameraMatrix , R , t , mask ) ; Python prototype (for reference only): recoverPose(E, points1, points2, cameraMatrix[, R[, t[, mask]]]) -&gt; retval, R, t, mask","ref":"Evision.html#recoverPose/5","title":"Evision.recoverPose/5","type":"function"},{"doc":"Variant 1: Recovers the relative camera rotation and the translation from corresponding points in two images from two different cameras, using cheirality check. Returns the number of inliers that pass the check. Positional Arguments points1 : Evision.Mat.t() . Array of N 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . cameraMatrix1 : Evision.Mat.t() . Input/output camera matrix for the first camera, the same as in distCoeffs1 : Evision.Mat.t() . Input/output vector of distortion coefficients, the same as in cameraMatrix2 : Evision.Mat.t() . Input/output camera matrix for the first camera, the same as in distCoeffs2 : Evision.Mat.t() . Input/output vector of distortion coefficients, the same as in Keyword Arguments method : int . Method for computing an essential matrix. @ref RANSAC for the RANSAC algorithm. @ref LMEDS for the LMedS algorithm. prob : double . Parameter used for the RANSAC or LMedS methods only. It specifies a desirable level of confidence (probability) that the estimated matrix is correct. threshold : double . Parameter used for RANSAC. It is the maximum distance from a point to an epipolar line in pixels, beyond which the point is considered an outlier and is not used for computing the final fundamental matrix. It can be set to something like 1-3, depending on the accuracy of the point localization, image resolution, and the image noise. Return retval : int e : Evision.Mat.t() . The output essential matrix. r : Evision.Mat.t() . Output rotation matrix. Together with the translation vector, this matrix makes up a tuple that performs a change of basis from the first camera's coordinate system to the second camera's coordinate system. Note that, in general, t can not be used for this tuple, see the parameter described below. t : Evision.Mat.t() . Output translation vector. This vector is obtained by @ref decomposeEssentialMat and therefore is only known up to scale, i.e. t is the direction of the translation vector and has unit length. mask : Evision.Mat.t() . Input/output mask for inliers in points1 and points2. If it is not empty, then it marks inliers in points1 and points2 for then given essential matrix E. Only these inliers will be used to recover pose. In the output mask only inliers which pass the cheirality check. @ref calibrateCamera. Furthermore, for the stereo case, additional flags may be used, see below. @ref calibrateCamera. @ref calibrateCamera. Furthermore, for the stereo case, additional flags may be used, see below. @ref calibrateCamera. This function decomposes an essential matrix using @ref decomposeEssentialMat and then verifies possible pose hypotheses by doing cheirality check. The cheirality check means that the triangulated 3D points should have positive depth. Some details can be found in @cite Nister03. This function can be used to process the output E and mask from @ref findEssentialMat. In this scenario, points1 and points2 are the same input for findEssentialMat.: // Example . Estimation of fundamental matrix using the RANSAC algorithm int point_count = 100 ; vector &lt; Point2f &gt; points1 ( point_count ) ; vector &lt; Point2f &gt; points2 ( point_count ) ; // initialize the points here ... for ( int i = 0 ; i &lt; point_count ; i ++ ) { points1 [ i ] = ... ; points2 [ i ] = ... ; } // Input : camera calibration of both cameras , for example using intrinsic chessboard calibration . Mat cameraMatrix1 , distCoeffs1 , cameraMatrix2 , distCoeffs2 ; // Output : Essential matrix , relative rotation and relative translation . Mat E , R , t , mask ; recoverPose ( points1 , points2 , cameraMatrix1 , distCoeffs1 , cameraMatrix2 , distCoeffs2 , E , R , t , mask ) ; Python prototype (for reference only): recoverPose(points1, points2, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2[, E[, R[, t[, method[, prob[, threshold[, mask]]]]]]]) -&gt; retval, E, R, t, mask Variant 2: recoverPose Positional Arguments e : Evision.Mat.t() . The input essential matrix. points1 : Evision.Mat.t() . Array of N 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1. cameraMatrix : Evision.Mat.t() . Camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . Note that this function assumes that points1 and points2 are feature points from cameras with the same camera intrinsic matrix. distanceThresh : double . threshold distance which is used to filter out far away points (i.e. infinite points). Return retval : int r : Evision.Mat.t() . Output rotation matrix. Together with the translation vector, this matrix makes up a tuple that performs a change of basis from the first camera's coordinate system to the second camera's coordinate system. Note that, in general, t can not be used for this tuple, see the parameter description below. t : Evision.Mat.t() . Output translation vector. This vector is obtained by @ref decomposeEssentialMat and therefore is only known up to scale, i.e. t is the direction of the translation vector and has unit length. mask : Evision.Mat.t() . Input/output mask for inliers in points1 and points2. If it is not empty, then it marks inliers in points1 and points2 for the given essential matrix E. Only these inliers will be used to recover pose. In the output mask only inliers which pass the chirality check. triangulatedPoints : Evision.Mat.t() . 3D points which were reconstructed by triangulation. Has overloading in C++ This function differs from the one above that it outputs the triangulated 3D point that are used for the chirality check. Python prototype (for reference only): recoverPose(E, points1, points2, cameraMatrix, distanceThresh[, R[, t[, mask[, triangulatedPoints]]]]) -&gt; retval, R, t, mask, triangulatedPoints","ref":"Evision.html#recoverPose/6","title":"Evision.recoverPose/6","type":"function"},{"doc":"Recovers the relative camera rotation and the translation from corresponding points in two images from two different cameras, using cheirality check. Returns the number of inliers that pass the check. Positional Arguments points1 : Evision.Mat.t() . Array of N 2D points from the first image. The point coordinates should be floating-point (single or double precision). points2 : Evision.Mat.t() . Array of the second image points of the same size and format as points1 . cameraMatrix1 : Evision.Mat.t() . Input/output camera matrix for the first camera, the same as in distCoeffs1 : Evision.Mat.t() . Input/output vector of distortion coefficients, the same as in cameraMatrix2 : Evision.Mat.t() . Input/output camera matrix for the first camera, the same as in distCoeffs2 : Evision.Mat.t() . Input/output vector of distortion coefficients, the same as in Keyword Arguments method : int . Method for computing an essential matrix. @ref RANSAC for the RANSAC algorithm. @ref LMEDS for the LMedS algorithm. prob : double . Parameter used for the RANSAC or LMedS methods only. It specifies a desirable level of confidence (probability) that the estimated matrix is correct. threshold : double . Parameter used for RANSAC. It is the maximum distance from a point to an epipolar line in pixels, beyond which the point is considered an outlier and is not used for computing the final fundamental matrix. It can be set to something like 1-3, depending on the accuracy of the point localization, image resolution, and the image noise. Return retval : int e : Evision.Mat.t() . The output essential matrix. r : Evision.Mat.t() . Output rotation matrix. Together with the translation vector, this matrix makes up a tuple that performs a change of basis from the first camera's coordinate system to the second camera's coordinate system. Note that, in general, t can not be used for this tuple, see the parameter described below. t : Evision.Mat.t() . Output translation vector. This vector is obtained by @ref decomposeEssentialMat and therefore is only known up to scale, i.e. t is the direction of the translation vector and has unit length. mask : Evision.Mat.t() . Input/output mask for inliers in points1 and points2. If it is not empty, then it marks inliers in points1 and points2 for then given essential matrix E. Only these inliers will be used to recover pose. In the output mask only inliers which pass the cheirality check. @ref calibrateCamera. Furthermore, for the stereo case, additional flags may be used, see below. @ref calibrateCamera. @ref calibrateCamera. Furthermore, for the stereo case, additional flags may be used, see below. @ref calibrateCamera. This function decomposes an essential matrix using @ref decomposeEssentialMat and then verifies possible pose hypotheses by doing cheirality check. The cheirality check means that the triangulated 3D points should have positive depth. Some details can be found in @cite Nister03. This function can be used to process the output E and mask from @ref findEssentialMat. In this scenario, points1 and points2 are the same input for findEssentialMat.: // Example . Estimation of fundamental matrix using the RANSAC algorithm int point_count = 100 ; vector &lt; Point2f &gt; points1 ( point_count ) ; vector &lt; Point2f &gt; points2 ( point_count ) ; // initialize the points here ... for ( int i = 0 ; i &lt; point_count ; i ++ ) { points1 [ i ] = ... ; points2 [ i ] = ... ; } // Input : camera calibration of both cameras , for example using intrinsic chessboard calibration . Mat cameraMatrix1 , distCoeffs1 , cameraMatrix2 , distCoeffs2 ; // Output : Essential matrix , relative rotation and relative translation . Mat E , R , t , mask ; recoverPose ( points1 , points2 , cameraMatrix1 , distCoeffs1 , cameraMatrix2 , distCoeffs2 , E , R , t , mask ) ; Python prototype (for reference only): recoverPose(points1, points2, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2[, E[, R[, t[, method[, prob[, threshold[, mask]]]]]]]) -&gt; retval, E, R, t, mask","ref":"Evision.html#recoverPose/7","title":"Evision.recoverPose/7","type":"function"},{"doc":"rectangle Positional Arguments rec : Rect color : Scalar Keyword Arguments thickness : int . lineType : int . shift : int . Return img : Evision.Mat.t() Has overloading in C++ use rec parameter as alternative specification of the drawn rectangle: r.tl() and r.br()-Point(1,1) are opposite corners Python prototype (for reference only): rectangle(img, rec, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#rectangle/3","title":"Evision.rectangle/3","type":"function"},{"doc":"Variant 1: Draws a simple, thick, or filled up-right rectangle. Positional Arguments pt1 : Point . Vertex of the rectangle. pt2 : Point . Vertex of the rectangle opposite to pt1 . color : Scalar . Rectangle color or brightness (grayscale image). Keyword Arguments thickness : int . Thickness of lines that make up the rectangle. Negative values, like #FILLED, mean that the function has to draw a filled rectangle. lineType : int . Type of the line. See #LineTypes shift : int . Number of fractional bits in the point coordinates. Return img : Evision.Mat.t() . Image. The function cv::rectangle draws a rectangle outline or a filled rectangle whose two opposite corners are pt1 and pt2. Python prototype (for reference only): rectangle(img, pt1, pt2, color[, thickness[, lineType[, shift]]]) -&gt; img Variant 2: rectangle Positional Arguments rec : Rect color : Scalar Keyword Arguments thickness : int . lineType : int . shift : int . Return img : Evision.Mat.t() Has overloading in C++ use rec parameter as alternative specification of the drawn rectangle: r.tl() and r.br()-Point(1,1) are opposite corners Python prototype (for reference only): rectangle(img, rec, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#rectangle/4","title":"Evision.rectangle/4","type":"function"},{"doc":"Draws a simple, thick, or filled up-right rectangle. Positional Arguments pt1 : Point . Vertex of the rectangle. pt2 : Point . Vertex of the rectangle opposite to pt1 . color : Scalar . Rectangle color or brightness (grayscale image). Keyword Arguments thickness : int . Thickness of lines that make up the rectangle. Negative values, like #FILLED, mean that the function has to draw a filled rectangle. lineType : int . Type of the line. See #LineTypes shift : int . Number of fractional bits in the point coordinates. Return img : Evision.Mat.t() . Image. The function cv::rectangle draws a rectangle outline or a filled rectangle whose two opposite corners are pt1 and pt2. Python prototype (for reference only): rectangle(img, pt1, pt2, color[, thickness[, lineType[, shift]]]) -&gt; img","ref":"Evision.html#rectangle/5","title":"Evision.rectangle/5","type":"function"},{"doc":"Finds out if there is any intersection between two rectangles Positional Arguments a : Rect2d b : Rect2d Return retval : double mainly useful for language bindings @return the area of the intersection Python prototype (for reference only): rectangleIntersectionArea(a, b) -&gt; retval","ref":"Evision.html#rectangleIntersectionArea/2","title":"Evision.rectangleIntersectionArea/2","type":"function"},{"doc":"rectify3Collinear Positional Arguments cameraMatrix1 : Evision.Mat.t() distCoeffs1 : Evision.Mat.t() cameraMatrix2 : Evision.Mat.t() distCoeffs2 : Evision.Mat.t() cameraMatrix3 : Evision.Mat.t() distCoeffs3 : Evision.Mat.t() imgpt1 : [Evision.Mat] imgpt3 : [Evision.Mat] imageSize : Size r12 : Evision.Mat.t() t12 : Evision.Mat.t() r13 : Evision.Mat.t() t13 : Evision.Mat.t() alpha : double newImgSize : Size flags : int Return retval : float r1 : Evision.Mat.t() . r2 : Evision.Mat.t() . r3 : Evision.Mat.t() . p1 : Evision.Mat.t() . p2 : Evision.Mat.t() . p3 : Evision.Mat.t() . q : Evision.Mat.t() . roi1 : Rect* roi2 : Rect* Python prototype (for reference only): rectify3Collinear(cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, cameraMatrix3, distCoeffs3, imgpt1, imgpt3, imageSize, R12, T12, R13, T13, alpha, newImgSize, flags[, R1[, R2[, R3[, P1[, P2[, P3[, Q]]]]]]]) -&gt; retval, R1, R2, R3, P1, P2, P3, Q, roi1, roi2","ref":"Evision.html#rectify3Collinear/16","title":"Evision.rectify3Collinear/16","type":"function"},{"doc":"rectify3Collinear Positional Arguments cameraMatrix1 : Evision.Mat.t() distCoeffs1 : Evision.Mat.t() cameraMatrix2 : Evision.Mat.t() distCoeffs2 : Evision.Mat.t() cameraMatrix3 : Evision.Mat.t() distCoeffs3 : Evision.Mat.t() imgpt1 : [Evision.Mat] imgpt3 : [Evision.Mat] imageSize : Size r12 : Evision.Mat.t() t12 : Evision.Mat.t() r13 : Evision.Mat.t() t13 : Evision.Mat.t() alpha : double newImgSize : Size flags : int Return retval : float r1 : Evision.Mat.t() . r2 : Evision.Mat.t() . r3 : Evision.Mat.t() . p1 : Evision.Mat.t() . p2 : Evision.Mat.t() . p3 : Evision.Mat.t() . q : Evision.Mat.t() . roi1 : Rect* roi2 : Rect* Python prototype (for reference only): rectify3Collinear(cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, cameraMatrix3, distCoeffs3, imgpt1, imgpt3, imageSize, R12, T12, R13, T13, alpha, newImgSize, flags[, R1[, R2[, R3[, P1[, P2[, P3[, Q]]]]]]]) -&gt; retval, R1, R2, R3, P1, P2, P3, Q, roi1, roi2","ref":"Evision.html#rectify3Collinear/17","title":"Evision.rectify3Collinear/17","type":"function"},{"doc":"Reduces a matrix to a vector. Positional Arguments src : Evision.Mat.t() . input 2D matrix. dim : int . dimension index along which the matrix is reduced. 0 means that the matrix is reduced to a single row. 1 means that the matrix is reduced to a single column. rtype : int . reduction operation that could be one of #ReduceTypes Keyword Arguments dtype : int . when negative, the output vector will have the same type as the input matrix, otherwise, its type will be CV_MAKE_TYPE(CV_MAT_DEPTH(dtype), src.channels()). Return dst : Evision.Mat.t() . output vector. Its size and type is defined by dim and dtype parameters. The function #reduce reduces the matrix to a vector by treating the matrix rows/columns as a set of 1D vectors and performing the specified operation on the vectors until a single row/column is obtained. For example, the function can be used to compute horizontal and vertical projections of a raster image. In case of #REDUCE_MAX and #REDUCE_MIN , the output image should have the same type as the source one. In case of #REDUCE_SUM and #REDUCE_AVG , the output may have a larger element bit-depth to preserve accuracy. And multi-channel arrays are also supported in these two reduction modes. The following code demonstrates its usage for a single channel matrix. @snippet snippets/core_reduce.cpp example And the following code demonstrates its usage for a two-channel matrix. @snippet snippets/core_reduce.cpp example2 @sa repeat, reduceArgMin, reduceArgMax Python prototype (for reference only): reduce(src, dim, rtype[, dst[, dtype]]) -&gt; dst","ref":"Evision.html#reduce/3","title":"Evision.reduce/3","type":"function"},{"doc":"Reduces a matrix to a vector. Positional Arguments src : Evision.Mat.t() . input 2D matrix. dim : int . dimension index along which the matrix is reduced. 0 means that the matrix is reduced to a single row. 1 means that the matrix is reduced to a single column. rtype : int . reduction operation that could be one of #ReduceTypes Keyword Arguments dtype : int . when negative, the output vector will have the same type as the input matrix, otherwise, its type will be CV_MAKE_TYPE(CV_MAT_DEPTH(dtype), src.channels()). Return dst : Evision.Mat.t() . output vector. Its size and type is defined by dim and dtype parameters. The function #reduce reduces the matrix to a vector by treating the matrix rows/columns as a set of 1D vectors and performing the specified operation on the vectors until a single row/column is obtained. For example, the function can be used to compute horizontal and vertical projections of a raster image. In case of #REDUCE_MAX and #REDUCE_MIN , the output image should have the same type as the source one. In case of #REDUCE_SUM and #REDUCE_AVG , the output may have a larger element bit-depth to preserve accuracy. And multi-channel arrays are also supported in these two reduction modes. The following code demonstrates its usage for a single channel matrix. @snippet snippets/core_reduce.cpp example And the following code demonstrates its usage for a two-channel matrix. @snippet snippets/core_reduce.cpp example2 @sa repeat, reduceArgMin, reduceArgMax Python prototype (for reference only): reduce(src, dim, rtype[, dst[, dtype]]) -&gt; dst","ref":"Evision.html#reduce/4","title":"Evision.reduce/4","type":"function"},{"doc":"Finds indices of max elements along provided axis Positional Arguments src : Evision.Mat.t() . input single-channel array. axis : int . axis to reduce along. Keyword Arguments lastIndex : bool . whether to get the index of first or last occurrence of max. Return dst : Evision.Mat.t() . output array of type CV_32SC1 with the same dimensionality as src, except for axis being reduced - it should be set to 1. Note : If input or output array is not continuous, this function will create an internal copy. NaN handling is left unspecified, see patchNaNs(). The returned index is always in bounds of input matrix. @sa reduceArgMin, minMaxLoc, min, max, compare, reduce Python prototype (for reference only): reduceArgMax(src, axis[, dst[, lastIndex]]) -&gt; dst","ref":"Evision.html#reduceArgMax/2","title":"Evision.reduceArgMax/2","type":"function"},{"doc":"Finds indices of max elements along provided axis Positional Arguments src : Evision.Mat.t() . input single-channel array. axis : int . axis to reduce along. Keyword Arguments lastIndex : bool . whether to get the index of first or last occurrence of max. Return dst : Evision.Mat.t() . output array of type CV_32SC1 with the same dimensionality as src, except for axis being reduced - it should be set to 1. Note : If input or output array is not continuous, this function will create an internal copy. NaN handling is left unspecified, see patchNaNs(). The returned index is always in bounds of input matrix. @sa reduceArgMin, minMaxLoc, min, max, compare, reduce Python prototype (for reference only): reduceArgMax(src, axis[, dst[, lastIndex]]) -&gt; dst","ref":"Evision.html#reduceArgMax/3","title":"Evision.reduceArgMax/3","type":"function"},{"doc":"Finds indices of min elements along provided axis Positional Arguments src : Evision.Mat.t() . input single-channel array. axis : int . axis to reduce along. Keyword Arguments lastIndex : bool . whether to get the index of first or last occurrence of min. Return dst : Evision.Mat.t() . output array of type CV_32SC1 with the same dimensionality as src, except for axis being reduced - it should be set to 1. Note : If input or output array is not continuous, this function will create an internal copy. NaN handling is left unspecified, see patchNaNs(). The returned index is always in bounds of input matrix. @sa reduceArgMax, minMaxLoc, min, max, compare, reduce Python prototype (for reference only): reduceArgMin(src, axis[, dst[, lastIndex]]) -&gt; dst","ref":"Evision.html#reduceArgMin/2","title":"Evision.reduceArgMin/2","type":"function"},{"doc":"Finds indices of min elements along provided axis Positional Arguments src : Evision.Mat.t() . input single-channel array. axis : int . axis to reduce along. Keyword Arguments lastIndex : bool . whether to get the index of first or last occurrence of min. Return dst : Evision.Mat.t() . output array of type CV_32SC1 with the same dimensionality as src, except for axis being reduced - it should be set to 1. Note : If input or output array is not continuous, this function will create an internal copy. NaN handling is left unspecified, see patchNaNs(). The returned index is always in bounds of input matrix. @sa reduceArgMax, minMaxLoc, min, max, compare, reduce Python prototype (for reference only): reduceArgMin(src, axis[, dst[, lastIndex]]) -&gt; dst","ref":"Evision.html#reduceArgMin/3","title":"Evision.reduceArgMin/3","type":"function"},{"doc":"Applies a generic geometrical transformation to an image. Positional Arguments src : Evision.Mat.t() . Source image. map1 : Evision.Mat.t() . The first map of either (x,y) points or just x values having the type CV_16SC2 , CV_32FC1, or CV_32FC2. See #convertMaps for details on converting a floating point representation to fixed-point for speed. map2 : Evision.Mat.t() . The second map of y values having the type CV_16UC1, CV_32FC1, or none (empty map if map1 is (x,y) points), respectively. interpolation : int . Interpolation method (see #InterpolationFlags). The methods #INTER_AREA and #INTER_LINEAR_EXACT are not supported by this function. Keyword Arguments borderMode : int . Pixel extrapolation method (see #BorderTypes). When borderMode=#BORDER_TRANSPARENT, it means that the pixels in the destination image that corresponds to the &quot;outliers&quot; in the source image are not modified by the function. borderValue : Scalar . Value used in case of a constant border. By default, it is 0. Return dst : Evision.Mat.t() . Destination image. It has the same size as map1 and the same type as src . The function remap transforms the source image using the specified map: \\f[\\texttt{dst} (x,y) = \\texttt{src} (map_x(x,y),map_y(x,y))\\f] where values of pixels with non-integer coordinates are computed using one of available interpolation methods. \\f$map_x\\f$ and \\f$map_y\\f$ can be encoded as separate floating-point maps in \\f$map_1\\f$ and \\f$map_2\\f$ respectively, or interleaved floating-point maps of \\f$(x,y)\\f$ in \\f$map_1\\f$, or fixed-point maps created by using #convertMaps. The reason you might want to convert from floating to fixed-point representations of a map is that they can yield much faster (\\~2x) remapping operations. In the converted case, \\f$map_1\\f$ contains pairs (cvFloor(x), cvFloor(y)) and \\f$map_2\\f$ contains indices in a table of interpolation coefficients. This function cannot operate in-place. Note : Due to current implementation limitations the size of an input and output images should be less than 32767x32767. Python prototype (for reference only): remap(src, map1, map2, interpolation[, dst[, borderMode[, borderValue]]]) -&gt; dst","ref":"Evision.html#remap/4","title":"Evision.remap/4","type":"function"},{"doc":"Applies a generic geometrical transformation to an image. Positional Arguments src : Evision.Mat.t() . Source image. map1 : Evision.Mat.t() . The first map of either (x,y) points or just x values having the type CV_16SC2 , CV_32FC1, or CV_32FC2. See #convertMaps for details on converting a floating point representation to fixed-point for speed. map2 : Evision.Mat.t() . The second map of y values having the type CV_16UC1, CV_32FC1, or none (empty map if map1 is (x,y) points), respectively. interpolation : int . Interpolation method (see #InterpolationFlags). The methods #INTER_AREA and #INTER_LINEAR_EXACT are not supported by this function. Keyword Arguments borderMode : int . Pixel extrapolation method (see #BorderTypes). When borderMode=#BORDER_TRANSPARENT, it means that the pixels in the destination image that corresponds to the &quot;outliers&quot; in the source image are not modified by the function. borderValue : Scalar . Value used in case of a constant border. By default, it is 0. Return dst : Evision.Mat.t() . Destination image. It has the same size as map1 and the same type as src . The function remap transforms the source image using the specified map: \\f[\\texttt{dst} (x,y) = \\texttt{src} (map_x(x,y),map_y(x,y))\\f] where values of pixels with non-integer coordinates are computed using one of available interpolation methods. \\f$map_x\\f$ and \\f$map_y\\f$ can be encoded as separate floating-point maps in \\f$map_1\\f$ and \\f$map_2\\f$ respectively, or interleaved floating-point maps of \\f$(x,y)\\f$ in \\f$map_1\\f$, or fixed-point maps created by using #convertMaps. The reason you might want to convert from floating to fixed-point representations of a map is that they can yield much faster (\\~2x) remapping operations. In the converted case, \\f$map_1\\f$ contains pairs (cvFloor(x), cvFloor(y)) and \\f$map_2\\f$ contains indices in a table of interpolation coefficients. This function cannot operate in-place. Note : Due to current implementation limitations the size of an input and output images should be less than 32767x32767. Python prototype (for reference only): remap(src, map1, map2, interpolation[, dst[, borderMode[, borderValue]]]) -&gt; dst","ref":"Evision.html#remap/5","title":"Evision.remap/5","type":"function"},{"doc":"Fills the output array with repeated copies of the input array. Positional Arguments src : Evision.Mat.t() . input array to replicate. ny : int . Flag to specify how many times the src is repeated along the vertical axis. nx : int . Flag to specify how many times the src is repeated along the horizontal axis. Return dst : Evision.Mat.t() . output array of the same type as src . The function cv::repeat duplicates the input array one or more times along each of the two axes: \\f[\\texttt{dst} _{ij}= \\texttt{src} _{i\\mod src.rows, \\; j\\mod src.cols }\\f] The second variant of the function is more convenient to use with @ref MatrixExpressions. @sa cv::reduce Python prototype (for reference only): repeat(src, ny, nx[, dst]) -&gt; dst","ref":"Evision.html#repeat/3","title":"Evision.repeat/3","type":"function"},{"doc":"Fills the output array with repeated copies of the input array. Positional Arguments src : Evision.Mat.t() . input array to replicate. ny : int . Flag to specify how many times the src is repeated along the vertical axis. nx : int . Flag to specify how many times the src is repeated along the horizontal axis. Return dst : Evision.Mat.t() . output array of the same type as src . The function cv::repeat duplicates the input array one or more times along each of the two axes: \\f[\\texttt{dst} _{ij}= \\texttt{src} _{i\\mod src.rows, \\; j\\mod src.cols }\\f] The second variant of the function is more convenient to use with @ref MatrixExpressions. @sa cv::reduce Python prototype (for reference only): repeat(src, ny, nx[, dst]) -&gt; dst","ref":"Evision.html#repeat/4","title":"Evision.repeat/4","type":"function"},{"doc":"Reprojects a disparity image to 3D space. Positional Arguments disparity : Evision.Mat.t() . Input single-channel 8-bit unsigned, 16-bit signed, 32-bit signed or 32-bit floating-point disparity image. The values of 8-bit / 16-bit signed formats are assumed to have no fractional bits. If the disparity is 16-bit signed format, as computed by @ref StereoBM or q : Evision.Mat.t() . \\f$4 \\times 4\\f$ perspective transformation matrix that can be obtained with Keyword Arguments handleMissingValues : bool . Indicates, whether the function should handle missing values (i.e. points where the disparity was not computed). If handleMissingValues=true, then pixels with the minimal disparity that corresponds to the outliers (see StereoMatcher::compute ) are transformed to 3D points with a very large Z value (currently set to 10000). ddepth : int . The optional output array depth. If it is -1, the output image will have CV_32F depth. ddepth can also be set to CV_16S, CV_32S or CV_32F. Return 3dImage : Evision.Mat.t() . Output 3-channel floating-point image of the same size as disparity. Each element of _3dImage(x,y) contains 3D coordinates of the point (x,y) computed from the disparity map. If one uses Q obtained by @ref stereoRectify, then the returned points are represented in the first camera's rectified coordinate system. @ref StereoSGBM and maybe other algorithms, it should be divided by 16 (and scaled to float) before being used here. @ref stereoRectify. The function transforms a single-channel disparity map to a 3-channel image representing a 3D surface. That is, for each pixel (x,y) and the corresponding disparity d=disparity(x,y) , it computes: \\f[\\begin{bmatrix} X \\\\ Y \\\\ Z \\\\ W \\end{bmatrix} = Q \\begin{bmatrix} x \\\\ y \\\\ \\texttt{disparity} (x,y) \\\\ z \\end{bmatrix}.\\f] @sa To reproject a sparse set of points {(x,y,d),...} to 3D space, use perspectiveTransform. Python prototype (for reference only): reprojectImageTo3D(disparity, Q[, _3dImage[, handleMissingValues[, ddepth]]]) -&gt; _3dImage","ref":"Evision.html#reprojectImageTo3D/2","title":"Evision.reprojectImageTo3D/2","type":"function"},{"doc":"Reprojects a disparity image to 3D space. Positional Arguments disparity : Evision.Mat.t() . Input single-channel 8-bit unsigned, 16-bit signed, 32-bit signed or 32-bit floating-point disparity image. The values of 8-bit / 16-bit signed formats are assumed to have no fractional bits. If the disparity is 16-bit signed format, as computed by @ref StereoBM or q : Evision.Mat.t() . \\f$4 \\times 4\\f$ perspective transformation matrix that can be obtained with Keyword Arguments handleMissingValues : bool . Indicates, whether the function should handle missing values (i.e. points where the disparity was not computed). If handleMissingValues=true, then pixels with the minimal disparity that corresponds to the outliers (see StereoMatcher::compute ) are transformed to 3D points with a very large Z value (currently set to 10000). ddepth : int . The optional output array depth. If it is -1, the output image will have CV_32F depth. ddepth can also be set to CV_16S, CV_32S or CV_32F. Return 3dImage : Evision.Mat.t() . Output 3-channel floating-point image of the same size as disparity. Each element of _3dImage(x,y) contains 3D coordinates of the point (x,y) computed from the disparity map. If one uses Q obtained by @ref stereoRectify, then the returned points are represented in the first camera's rectified coordinate system. @ref StereoSGBM and maybe other algorithms, it should be divided by 16 (and scaled to float) before being used here. @ref stereoRectify. The function transforms a single-channel disparity map to a 3-channel image representing a 3D surface. That is, for each pixel (x,y) and the corresponding disparity d=disparity(x,y) , it computes: \\f[\\begin{bmatrix} X \\\\ Y \\\\ Z \\\\ W \\end{bmatrix} = Q \\begin{bmatrix} x \\\\ y \\\\ \\texttt{disparity} (x,y) \\\\ z \\end{bmatrix}.\\f] @sa To reproject a sparse set of points {(x,y,d),...} to 3D space, use perspectiveTransform. Python prototype (for reference only): reprojectImageTo3D(disparity, Q[, _3dImage[, handleMissingValues[, ddepth]]]) -&gt; _3dImage","ref":"Evision.html#reprojectImageTo3D/3","title":"Evision.reprojectImageTo3D/3","type":"function"},{"doc":"Resizes an image. Positional Arguments src : Evision.Mat.t() . input image. dsize : Size . output image size; if it equals zero ( None in Python), it is computed as: \\f[\\texttt{dsize = Size(round(fx src.cols), round(fy src.rows))}\\f] Either dsize or both fx and fy must be non-zero. Keyword Arguments fx : double . scale factor along the horizontal axis; when it equals 0, it is computed as \\f[\\texttt{(double)dsize.width/src.cols}\\f] fy : double . scale factor along the vertical axis; when it equals 0, it is computed as \\f[\\texttt{(double)dsize.height/src.rows}\\f] interpolation : int . interpolation method, see #InterpolationFlags Return dst : Evision.Mat.t() . output image; it has the size dsize (when it is non-zero) or the size computed from src.size(), fx, and fy; the type of dst is the same as of src. The function resize resizes the image src down to or up to the specified size. Note that the initial dst type or size are not taken into account. Instead, the size and type are derived from the src , dsize , fx , and fy . If you want to resize src so that it fits the pre-created dst, you may call the function as follows: // explicitly specify dsize = dst . size ( ) ; fx and fy will be computed from that . resize ( src , dst , dst . size ( ) , 0 , 0 , interpolation ) ; If you want to decimate the image by factor of 2 in each direction, you can call the function this way: // specify fx and fy and let the function compute the destination image size . resize ( src , dst , Size ( ) , 0.5 , 0.5 , interpolation ) ; To shrink an image, it will generally look best with #INTER_AREA interpolation, whereas to enlarge an image, it will generally look best with #INTER_CUBIC (slow) or #INTER_LINEAR (faster but still looks OK). @sa warpAffine, warpPerspective, remap Python prototype (for reference only): resize(src, dsize[, dst[, fx[, fy[, interpolation]]]]) -&gt; dst","ref":"Evision.html#resize/2","title":"Evision.resize/2","type":"function"},{"doc":"Resizes an image. Positional Arguments src : Evision.Mat.t() . input image. dsize : Size . output image size; if it equals zero ( None in Python), it is computed as: \\f[\\texttt{dsize = Size(round(fx src.cols), round(fy src.rows))}\\f] Either dsize or both fx and fy must be non-zero. Keyword Arguments fx : double . scale factor along the horizontal axis; when it equals 0, it is computed as \\f[\\texttt{(double)dsize.width/src.cols}\\f] fy : double . scale factor along the vertical axis; when it equals 0, it is computed as \\f[\\texttt{(double)dsize.height/src.rows}\\f] interpolation : int . interpolation method, see #InterpolationFlags Return dst : Evision.Mat.t() . output image; it has the size dsize (when it is non-zero) or the size computed from src.size(), fx, and fy; the type of dst is the same as of src. The function resize resizes the image src down to or up to the specified size. Note that the initial dst type or size are not taken into account. Instead, the size and type are derived from the src , dsize , fx , and fy . If you want to resize src so that it fits the pre-created dst, you may call the function as follows: // explicitly specify dsize = dst . size ( ) ; fx and fy will be computed from that . resize ( src , dst , dst . size ( ) , 0 , 0 , interpolation ) ; If you want to decimate the image by factor of 2 in each direction, you can call the function this way: // specify fx and fy and let the function compute the destination image size . resize ( src , dst , Size ( ) , 0.5 , 0.5 , interpolation ) ; To shrink an image, it will generally look best with #INTER_AREA interpolation, whereas to enlarge an image, it will generally look best with #INTER_CUBIC (slow) or #INTER_LINEAR (faster but still looks OK). @sa warpAffine, warpPerspective, remap Python prototype (for reference only): resize(src, dsize[, dst[, fx[, fy[, interpolation]]]]) -&gt; dst","ref":"Evision.html#resize/3","title":"Evision.resize/3","type":"function"},{"doc":"resizeWindow Positional Arguments winname : String . Window name. size : Size . The new window size. Has overloading in C++ Python prototype (for reference only): resizeWindow(winname, size) -&gt; None","ref":"Evision.html#resizeWindow/2","title":"Evision.resizeWindow/2","type":"function"},{"doc":"Resizes the window to the specified size Positional Arguments winname : String . Window name. width : int . The new window width. height : int . The new window height. Note : The specified window size is for the image area. Toolbars are not counted. Only windows created without cv::WINDOW_AUTOSIZE flag can be resized. Python prototype (for reference only): resizeWindow(winname, width, height) -&gt; None","ref":"Evision.html#resizeWindow/3","title":"Evision.resizeWindow/3","type":"function"},{"doc":"Converts a rotation matrix to a rotation vector or vice versa. Positional Arguments src : Evision.Mat.t() . Input rotation vector (3x1 or 1x3) or rotation matrix (3x3). Return dst : Evision.Mat.t() . Output rotation matrix (3x3) or rotation vector (3x1 or 1x3), respectively. jacobian : Evision.Mat.t() . Optional output Jacobian matrix, 3x9 or 9x3, which is a matrix of partial derivatives of the output array components with respect to the input array components. \\f[\\begin{array}{l} \\theta \\leftarrow norm(r) \\\\ r \\leftarrow r/ \\theta \\\\ R = \\cos(\\theta) I + (1- \\cos{\\theta} ) r r^T + \\sin(\\theta) \\vecthreethree{0}{-r_z}{r_y}{r_z}{0}{-r_x}{-r_y}{r_x}{0} \\end{array}\\f] Inverse transformation can be also done easily, since \\f[\\sin ( \\theta ) \\vecthreethree{0}{-r_z}{r_y}{r_z}{0}{-r_x}{-r_y}{r_x}{0} = \\frac{R - R^T}{2}\\f] A rotation vector is a convenient and most compact representation of a rotation matrix (since any rotation matrix has just 3 degrees of freedom). The representation is used in the global 3D geometry optimization procedures like @ref calibrateCamera, @ref stereoCalibrate, or @ref solvePnP . Note : More information about the computation of the derivative of a 3D rotation matrix with respect to its exponential coordinate can be found in: A Compact Formula for the Derivative of a 3-D Rotation in Exponential Coordinates, Guillermo Gallego, Anthony J. Yezzi @cite Gallego2014ACF Note : Useful information on SE(3) and Lie Groups can be found in: A tutorial on SE(3) transformation parameterizations and on-manifold optimization, Jose-Luis Blanco @cite blanco2010tutorial Lie Groups for 2D and 3D Transformation, Ethan Eade @cite Eade17 A micro Lie theory for state estimation in robotics, Joan Solà, Jérémie Deray, Dinesh Atchuthan @cite Sol2018AML Python prototype (for reference only): Rodrigues(src[, dst[, jacobian]]) -&gt; dst, jacobian","ref":"Evision.html#rodrigues/1","title":"Evision.rodrigues/1","type":"function"},{"doc":"Converts a rotation matrix to a rotation vector or vice versa. Positional Arguments src : Evision.Mat.t() . Input rotation vector (3x1 or 1x3) or rotation matrix (3x3). Return dst : Evision.Mat.t() . Output rotation matrix (3x3) or rotation vector (3x1 or 1x3), respectively. jacobian : Evision.Mat.t() . Optional output Jacobian matrix, 3x9 or 9x3, which is a matrix of partial derivatives of the output array components with respect to the input array components. \\f[\\begin{array}{l} \\theta \\leftarrow norm(r) \\\\ r \\leftarrow r/ \\theta \\\\ R = \\cos(\\theta) I + (1- \\cos{\\theta} ) r r^T + \\sin(\\theta) \\vecthreethree{0}{-r_z}{r_y}{r_z}{0}{-r_x}{-r_y}{r_x}{0} \\end{array}\\f] Inverse transformation can be also done easily, since \\f[\\sin ( \\theta ) \\vecthreethree{0}{-r_z}{r_y}{r_z}{0}{-r_x}{-r_y}{r_x}{0} = \\frac{R - R^T}{2}\\f] A rotation vector is a convenient and most compact representation of a rotation matrix (since any rotation matrix has just 3 degrees of freedom). The representation is used in the global 3D geometry optimization procedures like @ref calibrateCamera, @ref stereoCalibrate, or @ref solvePnP . Note : More information about the computation of the derivative of a 3D rotation matrix with respect to its exponential coordinate can be found in: A Compact Formula for the Derivative of a 3-D Rotation in Exponential Coordinates, Guillermo Gallego, Anthony J. Yezzi @cite Gallego2014ACF Note : Useful information on SE(3) and Lie Groups can be found in: A tutorial on SE(3) transformation parameterizations and on-manifold optimization, Jose-Luis Blanco @cite blanco2010tutorial Lie Groups for 2D and 3D Transformation, Ethan Eade @cite Eade17 A micro Lie theory for state estimation in robotics, Joan Solà, Jérémie Deray, Dinesh Atchuthan @cite Sol2018AML Python prototype (for reference only): Rodrigues(src[, dst[, jacobian]]) -&gt; dst, jacobian","ref":"Evision.html#rodrigues/2","title":"Evision.rodrigues/2","type":"function"},{"doc":"Rotates a 2D array in multiples of 90 degrees. The function cv::rotate rotates the array in one of three different ways: Rotate by 90 degrees clockwise (rotateCode = ROTATE_90_CLOCKWISE). Rotate by 180 degrees clockwise (rotateCode = ROTATE_180). Rotate by 270 degrees clockwise (rotateCode = ROTATE_90_COUNTERCLOCKWISE). Positional Arguments src : Evision.Mat.t() . input array. rotateCode : int . an enum to specify how to rotate the array; see the enum #RotateFlags Return dst : Evision.Mat.t() . output array of the same type as src. The size is the same with ROTATE_180, and the rows and cols are switched for ROTATE_90_CLOCKWISE and ROTATE_90_COUNTERCLOCKWISE. @sa transpose , repeat , completeSymm, flip, RotateFlags Python prototype (for reference only): rotate(src, rotateCode[, dst]) -&gt; dst","ref":"Evision.html#rotate/2","title":"Evision.rotate/2","type":"function"},{"doc":"Rotates a 2D array in multiples of 90 degrees. The function cv::rotate rotates the array in one of three different ways: Rotate by 90 degrees clockwise (rotateCode = ROTATE_90_CLOCKWISE). Rotate by 180 degrees clockwise (rotateCode = ROTATE_180). Rotate by 270 degrees clockwise (rotateCode = ROTATE_90_COUNTERCLOCKWISE). Positional Arguments src : Evision.Mat.t() . input array. rotateCode : int . an enum to specify how to rotate the array; see the enum #RotateFlags Return dst : Evision.Mat.t() . output array of the same type as src. The size is the same with ROTATE_180, and the rows and cols are switched for ROTATE_90_CLOCKWISE and ROTATE_90_COUNTERCLOCKWISE. @sa transpose , repeat , completeSymm, flip, RotateFlags Python prototype (for reference only): rotate(src, rotateCode[, dst]) -&gt; dst","ref":"Evision.html#rotate/3","title":"Evision.rotate/3","type":"function"},{"doc":"Finds out if there is any intersection between two rotated rectangles. Positional Arguments rect1 : {centre={x, y}, size={s1, s2}, angle} . First rectangle rect2 : {centre={x, y}, size={s1, s2}, angle} . Second rectangle Return retval : int intersectingRegion : Evision.Mat.t() . The output array of the vertices of the intersecting region. It returns at most 8 vertices. Stored as std::vector\\&lt;cv::Point2f&gt; or cv::Mat as Mx1 of type CV_32FC2. If there is then the vertices of the intersecting region are returned as well. Below are some examples of intersection configurations. The hatched pattern indicates the intersecting region and the red vertices are returned by the function. @returns One of #RectanglesIntersectTypes Python prototype (for reference only): rotatedRectangleIntersection(rect1, rect2[, intersectingRegion]) -&gt; retval, intersectingRegion","ref":"Evision.html#rotatedRectangleIntersection/2","title":"Evision.rotatedRectangleIntersection/2","type":"function"},{"doc":"Finds out if there is any intersection between two rotated rectangles. Positional Arguments rect1 : {centre={x, y}, size={s1, s2}, angle} . First rectangle rect2 : {centre={x, y}, size={s1, s2}, angle} . Second rectangle Return retval : int intersectingRegion : Evision.Mat.t() . The output array of the vertices of the intersecting region. It returns at most 8 vertices. Stored as std::vector\\&lt;cv::Point2f&gt; or cv::Mat as Mx1 of type CV_32FC2. If there is then the vertices of the intersecting region are returned as well. Below are some examples of intersection configurations. The hatched pattern indicates the intersecting region and the red vertices are returned by the function. @returns One of #RectanglesIntersectTypes Python prototype (for reference only): rotatedRectangleIntersection(rect1, rect2[, intersectingRegion]) -&gt; retval, intersectingRegion","ref":"Evision.html#rotatedRectangleIntersection/3","title":"Evision.rotatedRectangleIntersection/3","type":"function"},{"doc":"Computes an RQ decomposition of 3x3 matrices. Positional Arguments src : Evision.Mat.t() . 3x3 input matrix. Return retval : Vec3d mtxR : Evision.Mat.t() . Output 3x3 upper-triangular matrix. mtxQ : Evision.Mat.t() . Output 3x3 orthogonal matrix. qx : Evision.Mat.t() . Optional output 3x3 rotation matrix around x-axis. qy : Evision.Mat.t() . Optional output 3x3 rotation matrix around y-axis. qz : Evision.Mat.t() . Optional output 3x3 rotation matrix around z-axis. The function computes a RQ decomposition using the given rotations. This function is used in #decomposeProjectionMatrix to decompose the left 3x3 submatrix of a projection matrix into a camera and a rotation matrix. It optionally returns three rotation matrices, one for each axis, and the three Euler angles in degrees (as the return value) that could be used in OpenGL. Note, there is always more than one sequence of rotations about the three principal axes that results in the same orientation of an object, e.g. see @cite Slabaugh . Returned tree rotation matrices and corresponding three Euler angles are only one of the possible solutions. Python prototype (for reference only): RQDecomp3x3(src[, mtxR[, mtxQ[, Qx[, Qy[, Qz]]]]]) -&gt; retval, mtxR, mtxQ, Qx, Qy, Qz","ref":"Evision.html#rqDecomp3x3/1","title":"Evision.rqDecomp3x3/1","type":"function"},{"doc":"Computes an RQ decomposition of 3x3 matrices. Positional Arguments src : Evision.Mat.t() . 3x3 input matrix. Return retval : Vec3d mtxR : Evision.Mat.t() . Output 3x3 upper-triangular matrix. mtxQ : Evision.Mat.t() . Output 3x3 orthogonal matrix. qx : Evision.Mat.t() . Optional output 3x3 rotation matrix around x-axis. qy : Evision.Mat.t() . Optional output 3x3 rotation matrix around y-axis. qz : Evision.Mat.t() . Optional output 3x3 rotation matrix around z-axis. The function computes a RQ decomposition using the given rotations. This function is used in #decomposeProjectionMatrix to decompose the left 3x3 submatrix of a projection matrix into a camera and a rotation matrix. It optionally returns three rotation matrices, one for each axis, and the three Euler angles in degrees (as the return value) that could be used in OpenGL. Note, there is always more than one sequence of rotations about the three principal axes that results in the same orientation of an object, e.g. see @cite Slabaugh . Returned tree rotation matrices and corresponding three Euler angles are only one of the possible solutions. Python prototype (for reference only): RQDecomp3x3(src[, mtxR[, mtxQ[, Qx[, Qy[, Qz]]]]]) -&gt; retval, mtxR, mtxQ, Qx, Qy, Qz","ref":"Evision.html#rqDecomp3x3/2","title":"Evision.rqDecomp3x3/2","type":"function"},{"doc":"Calculates the Sampson Distance between two points. Positional Arguments pt1 : Evision.Mat.t() . first homogeneous 2d point pt2 : Evision.Mat.t() . second homogeneous 2d point f : Evision.Mat.t() . fundamental matrix Return retval : double The function cv::sampsonDistance calculates and returns the first order approximation of the geometric error as: \\f[ sd( \\texttt{pt1} , \\texttt{pt2} )= \\frac{(\\texttt{pt2}^t \\cdot \\texttt{F} \\cdot \\texttt{pt1})^2} {((\\texttt{F} \\cdot \\texttt{pt1})(0))^2 + ((\\texttt{F} \\cdot \\texttt{pt1})(1))^2 + ((\\texttt{F}^t \\cdot \\texttt{pt2})(0))^2 + ((\\texttt{F}^t \\cdot \\texttt{pt2})(1))^2} \\f] The fundamental matrix may be calculated using the #findFundamentalMat function. See @cite HartleyZ00 11.4.3 for details. @return The computed Sampson distance. Python prototype (for reference only): sampsonDistance(pt1, pt2, F) -&gt; retval","ref":"Evision.html#sampsonDistance/3","title":"Evision.sampsonDistance/3","type":"function"},{"doc":"Calculates the sum of a scaled array and another array. Positional Arguments src1 : Evision.Mat.t() . first input array. alpha : double . scale factor for the first array. src2 : Evision.Mat.t() . second input array of the same size and type as src1. Return dst : Evision.Mat.t() . output array of the same size and type as src1. The function scaleAdd is one of the classical primitive linear algebra operations, known as DAXPY or SAXPY in BLAS . It calculates the sum of a scaled array and another array: \\f[\\texttt{dst} (I)= \\texttt{scale} \\cdot \\texttt{src1} (I) + \\texttt{src2} (I)\\f] The function can also be emulated with a matrix expression, for example: Mat A(3, 3, CV_64F); ... A.row(0) = A.row(1)*2 + A.row(2); @sa add, addWeighted, subtract, Mat::dot, Mat::convertTo Python prototype (for reference only): scaleAdd(src1, alpha, src2[, dst]) -&gt; dst","ref":"Evision.html#scaleAdd/3","title":"Evision.scaleAdd/3","type":"function"},{"doc":"Calculates the sum of a scaled array and another array. Positional Arguments src1 : Evision.Mat.t() . first input array. alpha : double . scale factor for the first array. src2 : Evision.Mat.t() . second input array of the same size and type as src1. Return dst : Evision.Mat.t() . output array of the same size and type as src1. The function scaleAdd is one of the classical primitive linear algebra operations, known as DAXPY or SAXPY in BLAS . It calculates the sum of a scaled array and another array: \\f[\\texttt{dst} (I)= \\texttt{scale} \\cdot \\texttt{src1} (I) + \\texttt{src2} (I)\\f] The function can also be emulated with a matrix expression, for example: Mat A(3, 3, CV_64F); ... A.row(0) = A.row(1)*2 + A.row(2); @sa add, addWeighted, subtract, Mat::dot, Mat::convertTo Python prototype (for reference only): scaleAdd(src1, alpha, src2[, dst]) -&gt; dst","ref":"Evision.html#scaleAdd/4","title":"Evision.scaleAdd/4","type":"function"},{"doc":"Calculates the first x- or y- image derivative using Scharr operator. Positional Arguments src : Evision.Mat.t() . input image. ddepth : int . output image depth, see @ref filter_depths &quot;combinations&quot; dx : int . order of the derivative x. dy : int . order of the derivative y. Keyword Arguments scale : double . optional scale factor for the computed derivative values; by default, no scaling is applied (see #getDerivKernels for details). delta : double . optional delta value that is added to the results prior to storing them in dst. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and the same number of channels as src. The function computes the first x- or y- spatial image derivative using the Scharr operator. The call \\f[\\texttt{Scharr(src, dst, ddepth, dx, dy, scale, delta, borderType)}\\f] is equivalent to \\f[\\texttt{Sobel(src, dst, ddepth, dx, dy, FILTER_SCHARR, scale, delta, borderType)} .\\f] @sa cartToPolar Python prototype (for reference only): Scharr(src, ddepth, dx, dy[, dst[, scale[, delta[, borderType]]]]) -&gt; dst","ref":"Evision.html#scharr/4","title":"Evision.scharr/4","type":"function"},{"doc":"Calculates the first x- or y- image derivative using Scharr operator. Positional Arguments src : Evision.Mat.t() . input image. ddepth : int . output image depth, see @ref filter_depths &quot;combinations&quot; dx : int . order of the derivative x. dy : int . order of the derivative y. Keyword Arguments scale : double . optional scale factor for the computed derivative values; by default, no scaling is applied (see #getDerivKernels for details). delta : double . optional delta value that is added to the results prior to storing them in dst. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and the same number of channels as src. The function computes the first x- or y- spatial image derivative using the Scharr operator. The call \\f[\\texttt{Scharr(src, dst, ddepth, dx, dy, scale, delta, borderType)}\\f] is equivalent to \\f[\\texttt{Sobel(src, dst, ddepth, dx, dy, FILTER_SCHARR, scale, delta, borderType)} .\\f] @sa cartToPolar Python prototype (for reference only): Scharr(src, ddepth, dx, dy[, dst[, scale[, delta[, borderType]]]]) -&gt; dst","ref":"Evision.html#scharr/5","title":"Evision.scharr/5","type":"function"},{"doc":"Image editing tasks concern either global changes (color/intensity corrections, filters, deformations) or local changes concerned to a selection. Here we are interested in achieving local changes, ones that are restricted to a region manually selected (ROI), in a seamless and effortless manner. The extent of the changes ranges from slight distortions to complete replacement by novel content @cite PM03 . Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. dst : Evision.Mat.t() . Input 8-bit 3-channel image. mask : Evision.Mat.t() . Input 8-bit 1 or 3-channel image. p : Point . Point in dst image where object is placed. flags : int . Cloning method that could be cv::NORMAL_CLONE, cv::MIXED_CLONE or cv::MONOCHROME_TRANSFER Return blend : Evision.Mat.t() . Output image with the same size and type as dst. Python prototype (for reference only): seamlessClone(src, dst, mask, p, flags[, blend]) -&gt; blend","ref":"Evision.html#seamlessClone/5","title":"Evision.seamlessClone/5","type":"function"},{"doc":"Image editing tasks concern either global changes (color/intensity corrections, filters, deformations) or local changes concerned to a selection. Here we are interested in achieving local changes, ones that are restricted to a region manually selected (ROI), in a seamless and effortless manner. The extent of the changes ranges from slight distortions to complete replacement by novel content @cite PM03 . Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. dst : Evision.Mat.t() . Input 8-bit 3-channel image. mask : Evision.Mat.t() . Input 8-bit 1 or 3-channel image. p : Point . Point in dst image where object is placed. flags : int . Cloning method that could be cv::NORMAL_CLONE, cv::MIXED_CLONE or cv::MONOCHROME_TRANSFER Return blend : Evision.Mat.t() . Output image with the same size and type as dst. Python prototype (for reference only): seamlessClone(src, dst, mask, p, flags[, blend]) -&gt; blend","ref":"Evision.html#seamlessClone/6","title":"Evision.seamlessClone/6","type":"function"},{"doc":"selectROI Positional Arguments img : Evision.Mat.t() Keyword Arguments showCrosshair : bool . fromCenter : bool . Return retval : Rect Has overloading in C++ Python prototype (for reference only): selectROI(img[, showCrosshair[, fromCenter]]) -&gt; retval","ref":"Evision.html#selectROI/1","title":"Evision.selectROI/1","type":"function"},{"doc":"Variant 1: Allows users to select a ROI on the given image. Positional Arguments windowName : String . name of the window where selection process will be shown. img : Evision.Mat.t() . image to select a ROI. Keyword Arguments showCrosshair : bool . if true crosshair of selection rectangle will be shown. fromCenter : bool . if true center of selection will match initial mouse position. In opposite case a corner of selection rectangle will correspont to the initial mouse position. Return retval : Rect The function creates a window and allows users to select a ROI using the mouse. Controls: use space or enter to finish selection, use key c to cancel selection (function will return the zero cv::Rect). @return selected ROI or empty rect if selection canceled. Note : The function sets it's own mouse callback for specified window using cv::setMouseCallback(windowName, ...). After finish of work an empty callback will be set for the used window. Python prototype (for reference only): selectROI(windowName, img[, showCrosshair[, fromCenter]]) -&gt; retval Variant 2: selectROI Positional Arguments img : Evision.Mat.t() Keyword Arguments showCrosshair : bool . fromCenter : bool . Return retval : Rect Has overloading in C++ Python prototype (for reference only): selectROI(img[, showCrosshair[, fromCenter]]) -&gt; retval","ref":"Evision.html#selectROI/2","title":"Evision.selectROI/2","type":"function"},{"doc":"Allows users to select a ROI on the given image. Positional Arguments windowName : String . name of the window where selection process will be shown. img : Evision.Mat.t() . image to select a ROI. Keyword Arguments showCrosshair : bool . if true crosshair of selection rectangle will be shown. fromCenter : bool . if true center of selection will match initial mouse position. In opposite case a corner of selection rectangle will correspont to the initial mouse position. Return retval : Rect The function creates a window and allows users to select a ROI using the mouse. Controls: use space or enter to finish selection, use key c to cancel selection (function will return the zero cv::Rect). @return selected ROI or empty rect if selection canceled. Note : The function sets it's own mouse callback for specified window using cv::setMouseCallback(windowName, ...). After finish of work an empty callback will be set for the used window. Python prototype (for reference only): selectROI(windowName, img[, showCrosshair[, fromCenter]]) -&gt; retval","ref":"Evision.html#selectROI/3","title":"Evision.selectROI/3","type":"function"},{"doc":"Allows users to select multiple ROIs on the given image. Positional Arguments windowName : String . name of the window where selection process will be shown. img : Evision.Mat.t() . image to select a ROI. Keyword Arguments showCrosshair : bool . if true crosshair of selection rectangle will be shown. fromCenter : bool . if true center of selection will match initial mouse position. In opposite case a corner of selection rectangle will correspont to the initial mouse position. Return boundingBoxes : [Rect] . selected ROIs. The function creates a window and allows users to select multiple ROIs using the mouse. Controls: use space or enter to finish current selection and start a new one, use esc to terminate multiple ROI selection process. Note : The function sets it's own mouse callback for specified window using cv::setMouseCallback(windowName, ...). After finish of work an empty callback will be set for the used window. Python prototype (for reference only): selectROIs(windowName, img[, showCrosshair[, fromCenter]]) -&gt; boundingBoxes","ref":"Evision.html#selectROIs/2","title":"Evision.selectROIs/2","type":"function"},{"doc":"Allows users to select multiple ROIs on the given image. Positional Arguments windowName : String . name of the window where selection process will be shown. img : Evision.Mat.t() . image to select a ROI. Keyword Arguments showCrosshair : bool . if true crosshair of selection rectangle will be shown. fromCenter : bool . if true center of selection will match initial mouse position. In opposite case a corner of selection rectangle will correspont to the initial mouse position. Return boundingBoxes : [Rect] . selected ROIs. The function creates a window and allows users to select multiple ROIs using the mouse. Controls: use space or enter to finish current selection and start a new one, use esc to terminate multiple ROI selection process. Note : The function sets it's own mouse callback for specified window using cv::setMouseCallback(windowName, ...). After finish of work an empty callback will be set for the used window. Python prototype (for reference only): selectROIs(windowName, img[, showCrosshair[, fromCenter]]) -&gt; boundingBoxes","ref":"Evision.html#selectROIs/3","title":"Evision.selectROIs/3","type":"function"},{"doc":"Applies a separable linear filter to an image. Positional Arguments src : Evision.Mat.t() . Source image. ddepth : int . Destination image depth, see @ref filter_depths &quot;combinations&quot; kernelX : Evision.Mat.t() . Coefficients for filtering each row. kernelY : Evision.Mat.t() . Coefficients for filtering each column. Keyword Arguments anchor : Point . Anchor position within the kernel. The default value \\f$(-1,-1)\\f$ means that the anchor is at the kernel center. delta : double . Value added to the filtered results before storing them. borderType : int . Pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Destination image of the same size and the same number of channels as src . The function applies a separable linear filter to the image. That is, first, every row of src is filtered with the 1D kernel kernelX. Then, every column of the result is filtered with the 1D kernel kernelY. The final result shifted by delta is stored in dst . @sa filter2D, Sobel, GaussianBlur, boxFilter, blur Python prototype (for reference only): sepFilter2D(src, ddepth, kernelX, kernelY[, dst[, anchor[, delta[, borderType]]]]) -&gt; dst","ref":"Evision.html#sepFilter2D/4","title":"Evision.sepFilter2D/4","type":"function"},{"doc":"Applies a separable linear filter to an image. Positional Arguments src : Evision.Mat.t() . Source image. ddepth : int . Destination image depth, see @ref filter_depths &quot;combinations&quot; kernelX : Evision.Mat.t() . Coefficients for filtering each row. kernelY : Evision.Mat.t() . Coefficients for filtering each column. Keyword Arguments anchor : Point . Anchor position within the kernel. The default value \\f$(-1,-1)\\f$ means that the anchor is at the kernel center. delta : double . Value added to the filtered results before storing them. borderType : int . Pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . Destination image of the same size and the same number of channels as src . The function applies a separable linear filter to the image. That is, first, every row of src is filtered with the 1D kernel kernelX. Then, every column of the result is filtered with the 1D kernel kernelY. The final result shifted by delta is stored in dst . @sa filter2D, Sobel, GaussianBlur, boxFilter, blur Python prototype (for reference only): sepFilter2D(src, ddepth, kernelX, kernelY[, dst[, anchor[, delta[, borderType]]]]) -&gt; dst","ref":"Evision.html#sepFilter2D/5","title":"Evision.sepFilter2D/5","type":"function"},{"doc":"Initializes a scaled identity matrix. Keyword Arguments s : Scalar . value to assign to diagonal elements. Return mtx : Evision.Mat.t() . matrix to initialize (not necessarily square). The function cv::setIdentity initializes a scaled identity matrix: \\f[\\texttt{mtx} (i,j)= \\fork{\\texttt{value}}{ if (i=j)}{0}{otherwise}\\f] The function can also be emulated using the matrix initializers and the matrix expressions: Mat A = Mat :: eye ( 4 , 3 , CV_32F ) * 5 ; // A will be set to [ [ 5 , 0 , 0 ] , [ 0 , 5 , 0 ] , [ 0 , 0 , 5 ] , [ 0 , 0 , 0 ] ] @sa Mat::zeros, Mat::ones, Mat::setTo, Mat::operator= Python prototype (for reference only): setIdentity(mtx[, s]) -&gt; mtx","ref":"Evision.html#setIdentity/1","title":"Evision.setIdentity/1","type":"function"},{"doc":"Initializes a scaled identity matrix. Keyword Arguments s : Scalar . value to assign to diagonal elements. Return mtx : Evision.Mat.t() . matrix to initialize (not necessarily square). The function cv::setIdentity initializes a scaled identity matrix: \\f[\\texttt{mtx} (i,j)= \\fork{\\texttt{value}}{ if (i=j)}{0}{otherwise}\\f] The function can also be emulated using the matrix initializers and the matrix expressions: Mat A = Mat :: eye ( 4 , 3 , CV_32F ) * 5 ; // A will be set to [ [ 5 , 0 , 0 ] , [ 0 , 5 , 0 ] , [ 0 , 0 , 5 ] , [ 0 , 0 , 0 ] ] @sa Mat::zeros, Mat::ones, Mat::setTo, Mat::operator= Python prototype (for reference only): setIdentity(mtx[, s]) -&gt; mtx","ref":"Evision.html#setIdentity/2","title":"Evision.setIdentity/2","type":"function"},{"doc":"setLogLevel Positional Arguments level : int Return retval : int Python prototype (for reference only): setLogLevel(level) -&gt; retval","ref":"Evision.html#setLogLevel/1","title":"Evision.setLogLevel/1","type":"function"},{"doc":"OpenCV will try to set the number of threads for the next parallel region. Positional Arguments nthreads : int . Number of threads used by OpenCV. If threads == 0, OpenCV will disable threading optimizations and run all it's functions sequentially. Passing threads \\&lt; 0 will reset threads number to system default. This function must be called outside of parallel region. OpenCV will try to run its functions with specified threads number, but some behaviour differs from framework: TBB - User-defined parallel constructions will run with the same threads number, if another is not specified. If later on user creates his own scheduler, OpenCV will use it. OpenMP - No special defined behaviour. Concurrency - If threads == 1, OpenCV will disable threading optimizations and run its functions sequentially. GCD - Supports only values \\&lt;= 0. C= - No special defined behaviour. @sa getNumThreads, getThreadNum Python prototype (for reference only): setNumThreads(nthreads) -&gt; None","ref":"Evision.html#setNumThreads/1","title":"Evision.setNumThreads/1","type":"function"},{"doc":"Sets state of default random number generator. Positional Arguments seed : int . new state for default random number generator The function cv::setRNGSeed sets state of default random number generator to custom value. @sa RNG, randu, randn Python prototype (for reference only): setRNGSeed(seed) -&gt; None","ref":"Evision.html#setRNGSeed/1","title":"Evision.setRNGSeed/1","type":"function"},{"doc":"Sets the trackbar maximum position. Positional Arguments trackbarname : String . Name of the trackbar. winname : String . Name of the window that is the parent of trackbar. maxval : int . New maximum position. The function sets the maximum position of the specified trackbar in the specified window. Note : [ Qt Backend Only ] winname can be empty if the trackbar is attached to the control panel. Python prototype (for reference only): setTrackbarMax(trackbarname, winname, maxval) -&gt; None","ref":"Evision.html#setTrackbarMax/3","title":"Evision.setTrackbarMax/3","type":"function"},{"doc":"Sets the trackbar minimum position. Positional Arguments trackbarname : String . Name of the trackbar. winname : String . Name of the window that is the parent of trackbar. minval : int . New minimum position. The function sets the minimum position of the specified trackbar in the specified window. Note : [ Qt Backend Only ] winname can be empty if the trackbar is attached to the control panel. Python prototype (for reference only): setTrackbarMin(trackbarname, winname, minval) -&gt; None","ref":"Evision.html#setTrackbarMin/3","title":"Evision.setTrackbarMin/3","type":"function"},{"doc":"Sets the trackbar position. Positional Arguments trackbarname : String . Name of the trackbar. winname : String . Name of the window that is the parent of trackbar. pos : int . New position. The function sets the position of the specified trackbar in the specified window. Note : [ Qt Backend Only ] winname can be empty if the trackbar is attached to the control panel. Python prototype (for reference only): setTrackbarPos(trackbarname, winname, pos) -&gt; None","ref":"Evision.html#setTrackbarPos/3","title":"Evision.setTrackbarPos/3","type":"function"},{"doc":"setUseOpenVX Positional Arguments flag : bool Python prototype (for reference only): setUseOpenVX(flag) -&gt; None","ref":"Evision.html#setUseOpenVX/1","title":"Evision.setUseOpenVX/1","type":"function"},{"doc":"Enables or disables the optimized code. Positional Arguments onoff : bool . The boolean flag specifying whether the optimized code should be used (onoff=true) or not (onoff=false). The function can be used to dynamically turn on and off optimized dispatched code (code that uses SSE4.2, AVX/AVX2, and other instructions on the platforms that support it). It sets a global flag that is further checked by OpenCV functions. Since the flag is not checked in the inner OpenCV loops, it is only safe to call the function on the very top level in your application where you can be sure that no other OpenCV function is currently executed. By default, the optimized code is enabled unless you disable it in CMake. The current status can be retrieved using useOptimized. Python prototype (for reference only): setUseOptimized(onoff) -&gt; None","ref":"Evision.html#setUseOptimized/1","title":"Evision.setUseOptimized/1","type":"function"},{"doc":"Changes parameters of a window dynamically. Positional Arguments winname : String . Name of the window. prop_id : int . Window property to edit. The supported operation flags are: (cv::WindowPropertyFlags) prop_value : double . New value of the window property. The supported flags are: (cv::WindowFlags) The function setWindowProperty enables changing properties of a window. Python prototype (for reference only): setWindowProperty(winname, prop_id, prop_value) -&gt; None","ref":"Evision.html#setWindowProperty/3","title":"Evision.setWindowProperty/3","type":"function"},{"doc":"Updates window title Positional Arguments winname : String . Name of the window. title : String . New title. Python prototype (for reference only): setWindowTitle(winname, title) -&gt; None","ref":"Evision.html#setWindowTitle/2","title":"Evision.setWindowTitle/2","type":"function"},{"doc":"Calculates the first, second, third, or mixed image derivatives using an extended Sobel operator. Positional Arguments src : Evision.Mat.t() . input image. ddepth : int . output image depth, see @ref filter_depths &quot;combinations&quot;; in the case of 8-bit input images it will result in truncated derivatives. dx : int . order of the derivative x. dy : int . order of the derivative y. Keyword Arguments ksize : int . size of the extended Sobel kernel; it must be 1, 3, 5, or 7. scale : double . optional scale factor for the computed derivative values; by default, no scaling is applied (see #getDerivKernels for details). delta : double . optional delta value that is added to the results prior to storing them in dst. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and the same number of channels as src . In all cases except one, the \\f$\\texttt{ksize} \\times \\texttt{ksize}\\f$ separable kernel is used to calculate the derivative. When \\f$\\texttt{ksize = 1}\\f$, the \\f$3 \\times 1\\f$ or \\f$1 \\times 3\\f$ kernel is used (that is, no Gaussian smoothing is done). ksize = 1 can only be used for the first or the second x- or y- derivatives. There is also the special value ksize = #FILTER_SCHARR (-1) that corresponds to the \\f$3\\times3\\f$ Scharr filter that may give more accurate results than the \\f$3\\times3\\f$ Sobel. The Scharr aperture is \\f[\\vecthreethree{-3}{0}{3}{-10}{0}{10}{-3}{0}{3}\\f] for the x-derivative, or transposed for the y-derivative. The function calculates an image derivative by convolving the image with the appropriate kernel: \\f[\\texttt{dst} = \\frac{\\partial^{xorder+yorder} \\texttt{src}}{\\partial x^{xorder} \\partial y^{yorder}}\\f] The Sobel operators combine Gaussian smoothing and differentiation, so the result is more or less resistant to the noise. Most often, the function is called with ( xorder = 1, yorder = 0, ksize = 3) or ( xorder = 0, yorder = 1, ksize = 3) to calculate the first x- or y- image derivative. The first case corresponds to a kernel of: \\f[\\vecthreethree{-1}{0}{1}{-2}{0}{2}{-1}{0}{1}\\f] The second case corresponds to a kernel of: \\f[\\vecthreethree{-1}{-2}{-1}{0}{0}{0}{1}{2}{1}\\f] @sa Scharr, Laplacian, sepFilter2D, filter2D, GaussianBlur, cartToPolar Python prototype (for reference only): Sobel(src, ddepth, dx, dy[, dst[, ksize[, scale[, delta[, borderType]]]]]) -&gt; dst","ref":"Evision.html#sobel/4","title":"Evision.sobel/4","type":"function"},{"doc":"Calculates the first, second, third, or mixed image derivatives using an extended Sobel operator. Positional Arguments src : Evision.Mat.t() . input image. ddepth : int . output image depth, see @ref filter_depths &quot;combinations&quot;; in the case of 8-bit input images it will result in truncated derivatives. dx : int . order of the derivative x. dy : int . order of the derivative y. Keyword Arguments ksize : int . size of the extended Sobel kernel; it must be 1, 3, 5, or 7. scale : double . optional scale factor for the computed derivative values; by default, no scaling is applied (see #getDerivKernels for details). delta : double . optional delta value that is added to the results prior to storing them in dst. borderType : int . pixel extrapolation method, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and the same number of channels as src . In all cases except one, the \\f$\\texttt{ksize} \\times \\texttt{ksize}\\f$ separable kernel is used to calculate the derivative. When \\f$\\texttt{ksize = 1}\\f$, the \\f$3 \\times 1\\f$ or \\f$1 \\times 3\\f$ kernel is used (that is, no Gaussian smoothing is done). ksize = 1 can only be used for the first or the second x- or y- derivatives. There is also the special value ksize = #FILTER_SCHARR (-1) that corresponds to the \\f$3\\times3\\f$ Scharr filter that may give more accurate results than the \\f$3\\times3\\f$ Sobel. The Scharr aperture is \\f[\\vecthreethree{-3}{0}{3}{-10}{0}{10}{-3}{0}{3}\\f] for the x-derivative, or transposed for the y-derivative. The function calculates an image derivative by convolving the image with the appropriate kernel: \\f[\\texttt{dst} = \\frac{\\partial^{xorder+yorder} \\texttt{src}}{\\partial x^{xorder} \\partial y^{yorder}}\\f] The Sobel operators combine Gaussian smoothing and differentiation, so the result is more or less resistant to the noise. Most often, the function is called with ( xorder = 1, yorder = 0, ksize = 3) or ( xorder = 0, yorder = 1, ksize = 3) to calculate the first x- or y- image derivative. The first case corresponds to a kernel of: \\f[\\vecthreethree{-1}{0}{1}{-2}{0}{2}{-1}{0}{1}\\f] The second case corresponds to a kernel of: \\f[\\vecthreethree{-1}{-2}{-1}{0}{0}{0}{1}{2}{1}\\f] @sa Scharr, Laplacian, sepFilter2D, filter2D, GaussianBlur, cartToPolar Python prototype (for reference only): Sobel(src, ddepth, dx, dy[, dst[, ksize[, scale[, delta[, borderType]]]]]) -&gt; dst","ref":"Evision.html#sobel/5","title":"Evision.sobel/5","type":"function"},{"doc":"Solves one or more linear systems or least-squares problems. Positional Arguments src1 : Evision.Mat.t() . input matrix on the left-hand side of the system. src2 : Evision.Mat.t() . input matrix on the right-hand side of the system. Keyword Arguments flags : int . solution (matrix inversion) method (#DecompTypes) Return retval : bool dst : Evision.Mat.t() . output solution. The function cv::solve solves a linear system or least-squares problem (the latter is possible with SVD or QR methods, or by specifying the flag #DECOMP_NORMAL ): \\f[\\texttt{dst} = \\arg \\min _X \\| \\texttt{src1} \\cdot \\texttt{X} - \\texttt{src2} \\|\\f] If #DECOMP_LU or #DECOMP_CHOLESKY method is used, the function returns 1 if src1 (or \\f$\\texttt{src1}^T\\texttt{src1}\\f$ ) is non-singular. Otherwise, it returns 0. In the latter case, dst is not valid. Other methods find a pseudo-solution in case of a singular left-hand side part. Note : If you want to find a unity-norm solution of an under-defined singular system \\f$\\texttt{src1}\\cdot\\texttt{dst}=0\\f$ , the function solve will not do the work. Use SVD::solveZ instead. @sa invert, SVD, eigen Python prototype (for reference only): solve(src1, src2[, dst[, flags]]) -&gt; retval, dst","ref":"Evision.html#solve/2","title":"Evision.solve/2","type":"function"},{"doc":"Solves one or more linear systems or least-squares problems. Positional Arguments src1 : Evision.Mat.t() . input matrix on the left-hand side of the system. src2 : Evision.Mat.t() . input matrix on the right-hand side of the system. Keyword Arguments flags : int . solution (matrix inversion) method (#DecompTypes) Return retval : bool dst : Evision.Mat.t() . output solution. The function cv::solve solves a linear system or least-squares problem (the latter is possible with SVD or QR methods, or by specifying the flag #DECOMP_NORMAL ): \\f[\\texttt{dst} = \\arg \\min _X \\| \\texttt{src1} \\cdot \\texttt{X} - \\texttt{src2} \\|\\f] If #DECOMP_LU or #DECOMP_CHOLESKY method is used, the function returns 1 if src1 (or \\f$\\texttt{src1}^T\\texttt{src1}\\f$ ) is non-singular. Otherwise, it returns 0. In the latter case, dst is not valid. Other methods find a pseudo-solution in case of a singular left-hand side part. Note : If you want to find a unity-norm solution of an under-defined singular system \\f$\\texttt{src1}\\cdot\\texttt{dst}=0\\f$ , the function solve will not do the work. Use SVD::solveZ instead. @sa invert, SVD, eigen Python prototype (for reference only): solve(src1, src2[, dst[, flags]]) -&gt; retval, dst","ref":"Evision.html#solve/3","title":"Evision.solve/3","type":"function"},{"doc":"Finds the real roots of a cubic equation. Positional Arguments coeffs : Evision.Mat.t() . equation coefficients, an array of 3 or 4 elements. Return retval : int roots : Evision.Mat.t() . output array of real roots that has 1 or 3 elements. The function solveCubic finds the real roots of a cubic equation: if coeffs is a 4-element vector: \\f[\\texttt{coeffs} [0] x^3 + \\texttt{coeffs} [1] x^2 + \\texttt{coeffs} [2] x + \\texttt{coeffs} [3] = 0\\f] if coeffs is a 3-element vector: \\f[x^3 + \\texttt{coeffs} [0] x^2 + \\texttt{coeffs} [1] x + \\texttt{coeffs} [2] = 0\\f] The roots are stored in the roots array. @return number of real roots. It can be 0, 1 or 2. Python prototype (for reference only): solveCubic(coeffs[, roots]) -&gt; retval, roots","ref":"Evision.html#solveCubic/1","title":"Evision.solveCubic/1","type":"function"},{"doc":"Finds the real roots of a cubic equation. Positional Arguments coeffs : Evision.Mat.t() . equation coefficients, an array of 3 or 4 elements. Return retval : int roots : Evision.Mat.t() . output array of real roots that has 1 or 3 elements. The function solveCubic finds the real roots of a cubic equation: if coeffs is a 4-element vector: \\f[\\texttt{coeffs} [0] x^3 + \\texttt{coeffs} [1] x^2 + \\texttt{coeffs} [2] x + \\texttt{coeffs} [3] = 0\\f] if coeffs is a 3-element vector: \\f[x^3 + \\texttt{coeffs} [0] x^2 + \\texttt{coeffs} [1] x + \\texttt{coeffs} [2] = 0\\f] The roots are stored in the roots array. @return number of real roots. It can be 0, 1 or 2. Python prototype (for reference only): solveCubic(coeffs[, roots]) -&gt; retval, roots","ref":"Evision.html#solveCubic/2","title":"Evision.solveCubic/2","type":"function"},{"doc":"Solve given (non-integer) linear programming problem using the Simplex Algorithm (Simplex Method). Positional Arguments func : Evision.Mat.t() . This row-vector corresponds to \\f$c\\f$ in the LP problem formulation (see above). It should contain 32- or 64-bit floating point numbers. As a convenience, column-vector may be also submitted, in the latter case it is understood to correspond to \\f$c^T\\f$. constr : Evision.Mat.t() . m -by- n+1 matrix, whose rightmost column corresponds to \\f$b\\f$ in formulation above and the remaining to \\f$A\\f$. It should contain 32- or 64-bit floating point numbers. Return retval : int z : Evision.Mat.t() . The solution will be returned here as a column-vector - it corresponds to \\f$c\\f$ in the formulation above. It will contain 64-bit floating point numbers. What we mean here by &quot;linear programming problem&quot; (or LP problem, for short) can be formulated as: \\f[\\mbox{Maximize } c\\cdot x\\\\ \\mbox{Subject to:}\\\\ Ax\\leq b\\\\ x\\geq 0\\f] Where \\f$c\\f$ is fixed 1 -by- n row-vector, \\f$A\\f$ is fixed m -by- n matrix, \\f$b\\f$ is fixed m -by- 1 column vector and \\f$x\\f$ is an arbitrary n -by- 1 column vector, which satisfies the constraints. Simplex algorithm is one of many algorithms that are designed to handle this sort of problems efficiently. Although it is not optimal in theoretical sense (there exist algorithms that can solve any problem written as above in polynomial time, while simplex method degenerates to exponential time for some special cases), it is well-studied, easy to implement and is shown to work well for real-life purposes. The particular implementation is taken almost verbatim from Introduction to Algorithms, third edition by T. H. Cormen, C. E. Leiserson, R. L. Rivest and Clifford Stein. In particular, the Bland's rule http://en.wikipedia.org/wiki/Bland%27s_rule is used to prevent cycling. @return One of cv::SolveLPResult Python prototype (for reference only): solveLP(Func, Constr[, z]) -&gt; retval, z","ref":"Evision.html#solveLP/2","title":"Evision.solveLP/2","type":"function"},{"doc":"Solve given (non-integer) linear programming problem using the Simplex Algorithm (Simplex Method). Positional Arguments func : Evision.Mat.t() . This row-vector corresponds to \\f$c\\f$ in the LP problem formulation (see above). It should contain 32- or 64-bit floating point numbers. As a convenience, column-vector may be also submitted, in the latter case it is understood to correspond to \\f$c^T\\f$. constr : Evision.Mat.t() . m -by- n+1 matrix, whose rightmost column corresponds to \\f$b\\f$ in formulation above and the remaining to \\f$A\\f$. It should contain 32- or 64-bit floating point numbers. Return retval : int z : Evision.Mat.t() . The solution will be returned here as a column-vector - it corresponds to \\f$c\\f$ in the formulation above. It will contain 64-bit floating point numbers. What we mean here by &quot;linear programming problem&quot; (or LP problem, for short) can be formulated as: \\f[\\mbox{Maximize } c\\cdot x\\\\ \\mbox{Subject to:}\\\\ Ax\\leq b\\\\ x\\geq 0\\f] Where \\f$c\\f$ is fixed 1 -by- n row-vector, \\f$A\\f$ is fixed m -by- n matrix, \\f$b\\f$ is fixed m -by- 1 column vector and \\f$x\\f$ is an arbitrary n -by- 1 column vector, which satisfies the constraints. Simplex algorithm is one of many algorithms that are designed to handle this sort of problems efficiently. Although it is not optimal in theoretical sense (there exist algorithms that can solve any problem written as above in polynomial time, while simplex method degenerates to exponential time for some special cases), it is well-studied, easy to implement and is shown to work well for real-life purposes. The particular implementation is taken almost verbatim from Introduction to Algorithms, third edition by T. H. Cormen, C. E. Leiserson, R. L. Rivest and Clifford Stein. In particular, the Bland's rule http://en.wikipedia.org/wiki/Bland%27s_rule is used to prevent cycling. @return One of cv::SolveLPResult Python prototype (for reference only): solveLP(Func, Constr[, z]) -&gt; retval, z","ref":"Evision.html#solveLP/3","title":"Evision.solveLP/3","type":"function"},{"doc":"Finds an object pose from 3 3D-2D point correspondences. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points in the object coordinate space, 3x3 1-channel or 1x3/3x1 3-channel. vector\\&lt;Point3f&gt; can be also passed here. imagePoints : Evision.Mat.t() . Array of corresponding image points, 3x2 1-channel or 1x3/3x1 2-channel. vector\\&lt;Point2f&gt; can be also passed here. cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. flags : int . Method for solving a P3P problem: @ref SOLVEPNP_P3P Method is based on the paper of X.S. Gao, X.-R. Hou, J. Tang, H.-F. Chang &quot;Complete Solution Classification for the Perspective-Three-Point Problem&quot; (@cite gao2003complete). @ref SOLVEPNP_AP3P Method is based on the paper of T. Ke and S. Roumeliotis. &quot;An Efficient Algebraic Solution to the Perspective-Three-Point Problem&quot; (@cite Ke17). Return retval : int rvecs : [Evision.Mat] . Output rotation vectors (see @ref Rodrigues ) that, together with tvecs, brings points from the model coordinate system to the camera coordinate system. A P3P problem has up to 4 solutions. tvecs : [Evision.Mat] . Output translation vectors. @see @ref calib3d_solvePnP The function estimates the object pose given 3 object points, their corresponding image projections, as well as the camera intrinsic matrix and the distortion coefficients. Note : The solutions are sorted by reprojection errors (lowest to highest). Python prototype (for reference only): solveP3P(objectPoints, imagePoints, cameraMatrix, distCoeffs, flags[, rvecs[, tvecs]]) -&gt; retval, rvecs, tvecs","ref":"Evision.html#solveP3P/5","title":"Evision.solveP3P/5","type":"function"},{"doc":"Finds an object pose from 3 3D-2D point correspondences. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points in the object coordinate space, 3x3 1-channel or 1x3/3x1 3-channel. vector\\&lt;Point3f&gt; can be also passed here. imagePoints : Evision.Mat.t() . Array of corresponding image points, 3x2 1-channel or 1x3/3x1 2-channel. vector\\&lt;Point2f&gt; can be also passed here. cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. flags : int . Method for solving a P3P problem: @ref SOLVEPNP_P3P Method is based on the paper of X.S. Gao, X.-R. Hou, J. Tang, H.-F. Chang &quot;Complete Solution Classification for the Perspective-Three-Point Problem&quot; (@cite gao2003complete). @ref SOLVEPNP_AP3P Method is based on the paper of T. Ke and S. Roumeliotis. &quot;An Efficient Algebraic Solution to the Perspective-Three-Point Problem&quot; (@cite Ke17). Return retval : int rvecs : [Evision.Mat] . Output rotation vectors (see @ref Rodrigues ) that, together with tvecs, brings points from the model coordinate system to the camera coordinate system. A P3P problem has up to 4 solutions. tvecs : [Evision.Mat] . Output translation vectors. @see @ref calib3d_solvePnP The function estimates the object pose given 3 object points, their corresponding image projections, as well as the camera intrinsic matrix and the distortion coefficients. Note : The solutions are sorted by reprojection errors (lowest to highest). Python prototype (for reference only): solveP3P(objectPoints, imagePoints, cameraMatrix, distCoeffs, flags[, rvecs[, tvecs]]) -&gt; retval, rvecs, tvecs","ref":"Evision.html#solveP3P/6","title":"Evision.solveP3P/6","type":"function"},{"doc":"Finds an object pose from 3D-2D point correspondences. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points in the object coordinate space, Nx3 1-channel or 1xN/Nx1 3-channel, where N is the number of points. vector\\&lt;Point3d&gt; can be also passed here. imagePoints : Evision.Mat.t() . Array of corresponding image points, Nx2 1-channel or 1xN/Nx1 2-channel, where N is the number of points. vector\\&lt;Point2d&gt; can be also passed here. cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments useExtrinsicGuess : bool . Parameter used for #SOLVEPNP_ITERATIVE. If true (1), the function uses the provided rvec and tvec values as initial approximations of the rotation and translation vectors, respectively, and further optimizes them. flags : int . Method for solving a PnP problem: see @ref calib3d_solvePnP_flags Return retval : bool rvec : Evision.Mat.t() . Output rotation vector (see @ref Rodrigues ) that, together with tvec, brings points from the model coordinate system to the camera coordinate system. tvec : Evision.Mat.t() . Output translation vector. @see @ref calib3d_solvePnP This function returns the rotation and the translation vectors that transform a 3D point expressed in the object coordinate frame to the camera coordinate frame, using different methods: P3P methods (@ref SOLVEPNP_P3P, @ref SOLVEPNP_AP3P): need 4 input points to return a unique solution. @ref SOLVEPNP_IPPE Input points must be &gt;= 4 and object points must be coplanar. @ref SOLVEPNP_IPPE_SQUARE Special case suitable for marker pose estimation. Number of input points must be 4. Object points must be defined in the following order: point 0: [-squareLength / 2, squareLength / 2, 0] point 1: [ squareLength / 2, squareLength / 2, 0] point 2: [ squareLength / 2, -squareLength / 2, 0] point 3: [-squareLength / 2, -squareLength / 2, 0] for all the other flags, number of input points must be &gt;= 4 and object points can be in any configuration. More information about Perspective-n-Points is described in @ref calib3d_solvePnP Note : An example of how to use solvePnP for planar augmented reality can be found at opencv_source_code/samples/python/plane_ar.py If you are using Python: Numpy array slices won't work as input because solvePnP requires contiguous arrays (enforced by the assertion using cv::Mat::checkVector() around line 55 of modules/calib3d/src/solvepnp.cpp version 2.4.9) The P3P algorithm requires image points to be in an array of shape (N,1,2) due to its calling of #undistortPoints (around line 75 of modules/calib3d/src/solvepnp.cpp version 2.4.9) which requires 2-channel information. Thus, given some data D = np.array(...) where D.shape = (N,M), in order to use a subset of it as, e.g., imagePoints, one must effectively copy it into a new array: imagePoints = np.ascontiguousarray(D[:,:2]).reshape((N,1,2)) The methods @ref SOLVEPNP_DLS and @ref SOLVEPNP_UPNP cannot be used as the current implementations are unstable and sometimes give completely wrong results. If you pass one of these two flags, @ref SOLVEPNP_EPNP method will be used instead. The minimum number of points is 4 in the general case. In the case of @ref SOLVEPNP_P3P and @ref SOLVEPNP_AP3P methods, it is required to use exactly 4 points (the first 3 points are used to estimate all the solutions of the P3P problem, the last one is used to retain the best solution that minimizes the reprojection error). With @ref SOLVEPNP_ITERATIVE method and useExtrinsicGuess=true , the minimum number of points is 3 (3 points are sufficient to compute a pose but there are up to 4 solutions). The initial solution should be close to the global solution to converge. With @ref SOLVEPNP_IPPE input points must be &gt;= 4 and object points must be coplanar. With @ref SOLVEPNP_IPPE_SQUARE this is a special case suitable for marker pose estimation. Number of input points must be 4. Object points must be defined in the following order: point 0: [-squareLength / 2, squareLength / 2, 0] point 1: [ squareLength / 2, squareLength / 2, 0] point 2: [ squareLength / 2, -squareLength / 2, 0] point 3: [-squareLength / 2, -squareLength / 2, 0] With @ref SOLVEPNP_SQPNP input points must be &gt;= 3 Python prototype (for reference only): solvePnP(objectPoints, imagePoints, cameraMatrix, distCoeffs[, rvec[, tvec[, useExtrinsicGuess[, flags]]]]) -&gt; retval, rvec, tvec","ref":"Evision.html#solvePnP/4","title":"Evision.solvePnP/4","type":"function"},{"doc":"Finds an object pose from 3D-2D point correspondences. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points in the object coordinate space, Nx3 1-channel or 1xN/Nx1 3-channel, where N is the number of points. vector\\&lt;Point3d&gt; can be also passed here. imagePoints : Evision.Mat.t() . Array of corresponding image points, Nx2 1-channel or 1xN/Nx1 2-channel, where N is the number of points. vector\\&lt;Point2d&gt; can be also passed here. cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments useExtrinsicGuess : bool . Parameter used for #SOLVEPNP_ITERATIVE. If true (1), the function uses the provided rvec and tvec values as initial approximations of the rotation and translation vectors, respectively, and further optimizes them. flags : int . Method for solving a PnP problem: see @ref calib3d_solvePnP_flags Return retval : bool rvec : Evision.Mat.t() . Output rotation vector (see @ref Rodrigues ) that, together with tvec, brings points from the model coordinate system to the camera coordinate system. tvec : Evision.Mat.t() . Output translation vector. @see @ref calib3d_solvePnP This function returns the rotation and the translation vectors that transform a 3D point expressed in the object coordinate frame to the camera coordinate frame, using different methods: P3P methods (@ref SOLVEPNP_P3P, @ref SOLVEPNP_AP3P): need 4 input points to return a unique solution. @ref SOLVEPNP_IPPE Input points must be &gt;= 4 and object points must be coplanar. @ref SOLVEPNP_IPPE_SQUARE Special case suitable for marker pose estimation. Number of input points must be 4. Object points must be defined in the following order: point 0: [-squareLength / 2, squareLength / 2, 0] point 1: [ squareLength / 2, squareLength / 2, 0] point 2: [ squareLength / 2, -squareLength / 2, 0] point 3: [-squareLength / 2, -squareLength / 2, 0] for all the other flags, number of input points must be &gt;= 4 and object points can be in any configuration. More information about Perspective-n-Points is described in @ref calib3d_solvePnP Note : An example of how to use solvePnP for planar augmented reality can be found at opencv_source_code/samples/python/plane_ar.py If you are using Python: Numpy array slices won't work as input because solvePnP requires contiguous arrays (enforced by the assertion using cv::Mat::checkVector() around line 55 of modules/calib3d/src/solvepnp.cpp version 2.4.9) The P3P algorithm requires image points to be in an array of shape (N,1,2) due to its calling of #undistortPoints (around line 75 of modules/calib3d/src/solvepnp.cpp version 2.4.9) which requires 2-channel information. Thus, given some data D = np.array(...) where D.shape = (N,M), in order to use a subset of it as, e.g., imagePoints, one must effectively copy it into a new array: imagePoints = np.ascontiguousarray(D[:,:2]).reshape((N,1,2)) The methods @ref SOLVEPNP_DLS and @ref SOLVEPNP_UPNP cannot be used as the current implementations are unstable and sometimes give completely wrong results. If you pass one of these two flags, @ref SOLVEPNP_EPNP method will be used instead. The minimum number of points is 4 in the general case. In the case of @ref SOLVEPNP_P3P and @ref SOLVEPNP_AP3P methods, it is required to use exactly 4 points (the first 3 points are used to estimate all the solutions of the P3P problem, the last one is used to retain the best solution that minimizes the reprojection error). With @ref SOLVEPNP_ITERATIVE method and useExtrinsicGuess=true , the minimum number of points is 3 (3 points are sufficient to compute a pose but there are up to 4 solutions). The initial solution should be close to the global solution to converge. With @ref SOLVEPNP_IPPE input points must be &gt;= 4 and object points must be coplanar. With @ref SOLVEPNP_IPPE_SQUARE this is a special case suitable for marker pose estimation. Number of input points must be 4. Object points must be defined in the following order: point 0: [-squareLength / 2, squareLength / 2, 0] point 1: [ squareLength / 2, squareLength / 2, 0] point 2: [ squareLength / 2, -squareLength / 2, 0] point 3: [-squareLength / 2, -squareLength / 2, 0] With @ref SOLVEPNP_SQPNP input points must be &gt;= 3 Python prototype (for reference only): solvePnP(objectPoints, imagePoints, cameraMatrix, distCoeffs[, rvec[, tvec[, useExtrinsicGuess[, flags]]]]) -&gt; retval, rvec, tvec","ref":"Evision.html#solvePnP/5","title":"Evision.solvePnP/5","type":"function"},{"doc":"Finds an object pose from 3D-2D point correspondences. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points in the object coordinate space, Nx3 1-channel or 1xN/Nx1 3-channel, where N is the number of points. vector\\&lt;Point3d&gt; can be also passed here. imagePoints : Evision.Mat.t() . Array of corresponding image points, Nx2 1-channel or 1xN/Nx1 2-channel, where N is the number of points. vector\\&lt;Point2d&gt; can be also passed here. cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments useExtrinsicGuess : bool . Parameter used for #SOLVEPNP_ITERATIVE. If true (1), the function uses the provided rvec and tvec values as initial approximations of the rotation and translation vectors, respectively, and further optimizes them. flags : SolvePnPMethod . Method for solving a PnP problem: see @ref calib3d_solvePnP_flags rvec : Evision.Mat.t() . Rotation vector used to initialize an iterative PnP refinement algorithm, when flag is @ref SOLVEPNP_ITERATIVE and useExtrinsicGuess is set to true. tvec : Evision.Mat.t() . Translation vector used to initialize an iterative PnP refinement algorithm, when flag is @ref SOLVEPNP_ITERATIVE and useExtrinsicGuess is set to true. Return retval : int rvecs : [Evision.Mat] . Vector of output rotation vectors (see @ref Rodrigues ) that, together with tvecs, brings points from the model coordinate system to the camera coordinate system. tvecs : [Evision.Mat] . Vector of output translation vectors. reprojectionError : Evision.Mat.t() . Optional vector of reprojection error, that is the RMS error (\\f$ \\text{RMSE} = \\sqrt{\\frac{\\sum_{i}^{N} \\left ( \\hat{y_i} - y_i \\right )^2}{N}} \\f$) between the input image points and the 3D object points projected with the estimated pose. @see @ref calib3d_solvePnP This function returns a list of all the possible solutions (a solution is a &lt;rotation vector, translation vector&gt; couple), depending on the number of input points and the chosen method: P3P methods (@ref SOLVEPNP_P3P, @ref SOLVEPNP_AP3P): 3 or 4 input points. Number of returned solutions can be between 0 and 4 with 3 input points. @ref SOLVEPNP_IPPE Input points must be &gt;= 4 and object points must be coplanar. Returns 2 solutions. @ref SOLVEPNP_IPPE_SQUARE Special case suitable for marker pose estimation. Number of input points must be 4 and 2 solutions are returned. Object points must be defined in the following order: point 0: [-squareLength / 2, squareLength / 2, 0] point 1: [ squareLength / 2, squareLength / 2, 0] point 2: [ squareLength / 2, -squareLength / 2, 0] point 3: [-squareLength / 2, -squareLength / 2, 0] for all the other flags, number of input points must be &gt;= 4 and object points can be in any configuration. Only 1 solution is returned. More information is described in @ref calib3d_solvePnP Note : An example of how to use solvePnP for planar augmented reality can be found at opencv_source_code/samples/python/plane_ar.py If you are using Python: Numpy array slices won't work as input because solvePnP requires contiguous arrays (enforced by the assertion using cv::Mat::checkVector() around line 55 of modules/calib3d/src/solvepnp.cpp version 2.4.9) The P3P algorithm requires image points to be in an array of shape (N,1,2) due to its calling of #undistortPoints (around line 75 of modules/calib3d/src/solvepnp.cpp version 2.4.9) which requires 2-channel information. Thus, given some data D = np.array(...) where D.shape = (N,M), in order to use a subset of it as, e.g., imagePoints, one must effectively copy it into a new array: imagePoints = np.ascontiguousarray(D[:,:2]).reshape((N,1,2)) The methods @ref SOLVEPNP_DLS and @ref SOLVEPNP_UPNP cannot be used as the current implementations are unstable and sometimes give completely wrong results. If you pass one of these two flags, @ref SOLVEPNP_EPNP method will be used instead. The minimum number of points is 4 in the general case. In the case of @ref SOLVEPNP_P3P and @ref SOLVEPNP_AP3P methods, it is required to use exactly 4 points (the first 3 points are used to estimate all the solutions of the P3P problem, the last one is used to retain the best solution that minimizes the reprojection error). With @ref SOLVEPNP_ITERATIVE method and useExtrinsicGuess=true , the minimum number of points is 3 (3 points are sufficient to compute a pose but there are up to 4 solutions). The initial solution should be close to the global solution to converge. With @ref SOLVEPNP_IPPE input points must be &gt;= 4 and object points must be coplanar. With @ref SOLVEPNP_IPPE_SQUARE this is a special case suitable for marker pose estimation. Number of input points must be 4. Object points must be defined in the following order: point 0: [-squareLength / 2, squareLength / 2, 0] point 1: [ squareLength / 2, squareLength / 2, 0] point 2: [ squareLength / 2, -squareLength / 2, 0] point 3: [-squareLength / 2, -squareLength / 2, 0] Python prototype (for reference only): solvePnPGeneric(objectPoints, imagePoints, cameraMatrix, distCoeffs[, rvecs[, tvecs[, useExtrinsicGuess[, flags[, rvec[, tvec[, reprojectionError]]]]]]]) -&gt; retval, rvecs, tvecs, reprojectionError","ref":"Evision.html#solvePnPGeneric/4","title":"Evision.solvePnPGeneric/4","type":"function"},{"doc":"Finds an object pose from 3D-2D point correspondences. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points in the object coordinate space, Nx3 1-channel or 1xN/Nx1 3-channel, where N is the number of points. vector\\&lt;Point3d&gt; can be also passed here. imagePoints : Evision.Mat.t() . Array of corresponding image points, Nx2 1-channel or 1xN/Nx1 2-channel, where N is the number of points. vector\\&lt;Point2d&gt; can be also passed here. cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments useExtrinsicGuess : bool . Parameter used for #SOLVEPNP_ITERATIVE. If true (1), the function uses the provided rvec and tvec values as initial approximations of the rotation and translation vectors, respectively, and further optimizes them. flags : SolvePnPMethod . Method for solving a PnP problem: see @ref calib3d_solvePnP_flags rvec : Evision.Mat.t() . Rotation vector used to initialize an iterative PnP refinement algorithm, when flag is @ref SOLVEPNP_ITERATIVE and useExtrinsicGuess is set to true. tvec : Evision.Mat.t() . Translation vector used to initialize an iterative PnP refinement algorithm, when flag is @ref SOLVEPNP_ITERATIVE and useExtrinsicGuess is set to true. Return retval : int rvecs : [Evision.Mat] . Vector of output rotation vectors (see @ref Rodrigues ) that, together with tvecs, brings points from the model coordinate system to the camera coordinate system. tvecs : [Evision.Mat] . Vector of output translation vectors. reprojectionError : Evision.Mat.t() . Optional vector of reprojection error, that is the RMS error (\\f$ \\text{RMSE} = \\sqrt{\\frac{\\sum_{i}^{N} \\left ( \\hat{y_i} - y_i \\right )^2}{N}} \\f$) between the input image points and the 3D object points projected with the estimated pose. @see @ref calib3d_solvePnP This function returns a list of all the possible solutions (a solution is a &lt;rotation vector, translation vector&gt; couple), depending on the number of input points and the chosen method: P3P methods (@ref SOLVEPNP_P3P, @ref SOLVEPNP_AP3P): 3 or 4 input points. Number of returned solutions can be between 0 and 4 with 3 input points. @ref SOLVEPNP_IPPE Input points must be &gt;= 4 and object points must be coplanar. Returns 2 solutions. @ref SOLVEPNP_IPPE_SQUARE Special case suitable for marker pose estimation. Number of input points must be 4 and 2 solutions are returned. Object points must be defined in the following order: point 0: [-squareLength / 2, squareLength / 2, 0] point 1: [ squareLength / 2, squareLength / 2, 0] point 2: [ squareLength / 2, -squareLength / 2, 0] point 3: [-squareLength / 2, -squareLength / 2, 0] for all the other flags, number of input points must be &gt;= 4 and object points can be in any configuration. Only 1 solution is returned. More information is described in @ref calib3d_solvePnP Note : An example of how to use solvePnP for planar augmented reality can be found at opencv_source_code/samples/python/plane_ar.py If you are using Python: Numpy array slices won't work as input because solvePnP requires contiguous arrays (enforced by the assertion using cv::Mat::checkVector() around line 55 of modules/calib3d/src/solvepnp.cpp version 2.4.9) The P3P algorithm requires image points to be in an array of shape (N,1,2) due to its calling of #undistortPoints (around line 75 of modules/calib3d/src/solvepnp.cpp version 2.4.9) which requires 2-channel information. Thus, given some data D = np.array(...) where D.shape = (N,M), in order to use a subset of it as, e.g., imagePoints, one must effectively copy it into a new array: imagePoints = np.ascontiguousarray(D[:,:2]).reshape((N,1,2)) The methods @ref SOLVEPNP_DLS and @ref SOLVEPNP_UPNP cannot be used as the current implementations are unstable and sometimes give completely wrong results. If you pass one of these two flags, @ref SOLVEPNP_EPNP method will be used instead. The minimum number of points is 4 in the general case. In the case of @ref SOLVEPNP_P3P and @ref SOLVEPNP_AP3P methods, it is required to use exactly 4 points (the first 3 points are used to estimate all the solutions of the P3P problem, the last one is used to retain the best solution that minimizes the reprojection error). With @ref SOLVEPNP_ITERATIVE method and useExtrinsicGuess=true , the minimum number of points is 3 (3 points are sufficient to compute a pose but there are up to 4 solutions). The initial solution should be close to the global solution to converge. With @ref SOLVEPNP_IPPE input points must be &gt;= 4 and object points must be coplanar. With @ref SOLVEPNP_IPPE_SQUARE this is a special case suitable for marker pose estimation. Number of input points must be 4. Object points must be defined in the following order: point 0: [-squareLength / 2, squareLength / 2, 0] point 1: [ squareLength / 2, squareLength / 2, 0] point 2: [ squareLength / 2, -squareLength / 2, 0] point 3: [-squareLength / 2, -squareLength / 2, 0] Python prototype (for reference only): solvePnPGeneric(objectPoints, imagePoints, cameraMatrix, distCoeffs[, rvecs[, tvecs[, useExtrinsicGuess[, flags[, rvec[, tvec[, reprojectionError]]]]]]]) -&gt; retval, rvecs, tvecs, reprojectionError","ref":"Evision.html#solvePnPGeneric/5","title":"Evision.solvePnPGeneric/5","type":"function"},{"doc":"solvePnPRansac Positional Arguments objectPoints : Evision.Mat.t() imagePoints : Evision.Mat.t() distCoeffs : Evision.Mat.t() Keyword Arguments params : Evision.UsacParams.t() . Return retval : bool cameraMatrix : Evision.Mat.t() rvec : Evision.Mat.t() . tvec : Evision.Mat.t() . inliers : Evision.Mat.t() . Python prototype (for reference only): solvePnPRansac(objectPoints, imagePoints, cameraMatrix, distCoeffs[, rvec[, tvec[, inliers[, params]]]]) -&gt; retval, cameraMatrix, rvec, tvec, inliers","ref":"Evision.html#solvePnPRansac/4","title":"Evision.solvePnPRansac/4","type":"function"},{"doc":"solvePnPRansac Positional Arguments objectPoints : Evision.Mat.t() imagePoints : Evision.Mat.t() distCoeffs : Evision.Mat.t() Keyword Arguments params : Evision.UsacParams.t() . Return retval : bool cameraMatrix : Evision.Mat.t() rvec : Evision.Mat.t() . tvec : Evision.Mat.t() . inliers : Evision.Mat.t() . Python prototype (for reference only): solvePnPRansac(objectPoints, imagePoints, cameraMatrix, distCoeffs[, rvec[, tvec[, inliers[, params]]]]) -&gt; retval, cameraMatrix, rvec, tvec, inliers","ref":"Evision.html#solvePnPRansac/5","title":"Evision.solvePnPRansac/5","type":"function"},{"doc":"Refine a pose (the translation and the rotation that transform a 3D point expressed in the object coordinate frame to the camera coordinate frame) from a 3D-2D point correspondences and starting from an initial solution. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points in the object coordinate space, Nx3 1-channel or 1xN/Nx1 3-channel, where N is the number of points. vector\\&lt;Point3d&gt; can also be passed here. imagePoints : Evision.Mat.t() . Array of corresponding image points, Nx2 1-channel or 1xN/Nx1 2-channel, where N is the number of points. vector\\&lt;Point2d&gt; can also be passed here. cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments criteria : TermCriteria . Criteria when to stop the Levenberg-Marquard iterative algorithm. Return rvec : Evision.Mat.t() . Input/Output rotation vector (see @ref Rodrigues ) that, together with tvec, brings points from the model coordinate system to the camera coordinate system. Input values are used as an initial solution. tvec : Evision.Mat.t() . Input/Output translation vector. Input values are used as an initial solution. @see @ref calib3d_solvePnP The function refines the object pose given at least 3 object points, their corresponding image projections, an initial solution for the rotation and translation vector, as well as the camera intrinsic matrix and the distortion coefficients. The function minimizes the projection error with respect to the rotation and the translation vectors, according to a Levenberg-Marquardt iterative minimization @cite Madsen04 @cite Eade13 process. Python prototype (for reference only): solvePnPRefineLM(objectPoints, imagePoints, cameraMatrix, distCoeffs, rvec, tvec[, criteria]) -&gt; rvec, tvec","ref":"Evision.html#solvePnPRefineLM/6","title":"Evision.solvePnPRefineLM/6","type":"function"},{"doc":"Refine a pose (the translation and the rotation that transform a 3D point expressed in the object coordinate frame to the camera coordinate frame) from a 3D-2D point correspondences and starting from an initial solution. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points in the object coordinate space, Nx3 1-channel or 1xN/Nx1 3-channel, where N is the number of points. vector\\&lt;Point3d&gt; can also be passed here. imagePoints : Evision.Mat.t() . Array of corresponding image points, Nx2 1-channel or 1xN/Nx1 2-channel, where N is the number of points. vector\\&lt;Point2d&gt; can also be passed here. cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments criteria : TermCriteria . Criteria when to stop the Levenberg-Marquard iterative algorithm. Return rvec : Evision.Mat.t() . Input/Output rotation vector (see @ref Rodrigues ) that, together with tvec, brings points from the model coordinate system to the camera coordinate system. Input values are used as an initial solution. tvec : Evision.Mat.t() . Input/Output translation vector. Input values are used as an initial solution. @see @ref calib3d_solvePnP The function refines the object pose given at least 3 object points, their corresponding image projections, an initial solution for the rotation and translation vector, as well as the camera intrinsic matrix and the distortion coefficients. The function minimizes the projection error with respect to the rotation and the translation vectors, according to a Levenberg-Marquardt iterative minimization @cite Madsen04 @cite Eade13 process. Python prototype (for reference only): solvePnPRefineLM(objectPoints, imagePoints, cameraMatrix, distCoeffs, rvec, tvec[, criteria]) -&gt; rvec, tvec","ref":"Evision.html#solvePnPRefineLM/7","title":"Evision.solvePnPRefineLM/7","type":"function"},{"doc":"Refine a pose (the translation and the rotation that transform a 3D point expressed in the object coordinate frame to the camera coordinate frame) from a 3D-2D point correspondences and starting from an initial solution. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points in the object coordinate space, Nx3 1-channel or 1xN/Nx1 3-channel, where N is the number of points. vector\\&lt;Point3d&gt; can also be passed here. imagePoints : Evision.Mat.t() . Array of corresponding image points, Nx2 1-channel or 1xN/Nx1 2-channel, where N is the number of points. vector\\&lt;Point2d&gt; can also be passed here. cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments criteria : TermCriteria . Criteria when to stop the Levenberg-Marquard iterative algorithm. vVSlambda : double . Gain for the virtual visual servoing control law, equivalent to the \\f$\\alpha\\f$ gain in the Damped Gauss-Newton formulation. Return rvec : Evision.Mat.t() . Input/Output rotation vector (see @ref Rodrigues ) that, together with tvec, brings points from the model coordinate system to the camera coordinate system. Input values are used as an initial solution. tvec : Evision.Mat.t() . Input/Output translation vector. Input values are used as an initial solution. @see @ref calib3d_solvePnP The function refines the object pose given at least 3 object points, their corresponding image projections, an initial solution for the rotation and translation vector, as well as the camera intrinsic matrix and the distortion coefficients. The function minimizes the projection error with respect to the rotation and the translation vectors, using a virtual visual servoing (VVS) @cite Chaumette06 @cite Marchand16 scheme. Python prototype (for reference only): solvePnPRefineVVS(objectPoints, imagePoints, cameraMatrix, distCoeffs, rvec, tvec[, criteria[, VVSlambda]]) -&gt; rvec, tvec","ref":"Evision.html#solvePnPRefineVVS/6","title":"Evision.solvePnPRefineVVS/6","type":"function"},{"doc":"Refine a pose (the translation and the rotation that transform a 3D point expressed in the object coordinate frame to the camera coordinate frame) from a 3D-2D point correspondences and starting from an initial solution. Positional Arguments objectPoints : Evision.Mat.t() . Array of object points in the object coordinate space, Nx3 1-channel or 1xN/Nx1 3-channel, where N is the number of points. vector\\&lt;Point3d&gt; can also be passed here. imagePoints : Evision.Mat.t() . Array of corresponding image points, Nx2 1-channel or 1xN/Nx1 2-channel, where N is the number of points. vector\\&lt;Point2d&gt; can also be passed here. cameraMatrix : Evision.Mat.t() . Input camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffs\\f$. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments criteria : TermCriteria . Criteria when to stop the Levenberg-Marquard iterative algorithm. vVSlambda : double . Gain for the virtual visual servoing control law, equivalent to the \\f$\\alpha\\f$ gain in the Damped Gauss-Newton formulation. Return rvec : Evision.Mat.t() . Input/Output rotation vector (see @ref Rodrigues ) that, together with tvec, brings points from the model coordinate system to the camera coordinate system. Input values are used as an initial solution. tvec : Evision.Mat.t() . Input/Output translation vector. Input values are used as an initial solution. @see @ref calib3d_solvePnP The function refines the object pose given at least 3 object points, their corresponding image projections, an initial solution for the rotation and translation vector, as well as the camera intrinsic matrix and the distortion coefficients. The function minimizes the projection error with respect to the rotation and the translation vectors, using a virtual visual servoing (VVS) @cite Chaumette06 @cite Marchand16 scheme. Python prototype (for reference only): solvePnPRefineVVS(objectPoints, imagePoints, cameraMatrix, distCoeffs, rvec, tvec[, criteria[, VVSlambda]]) -&gt; rvec, tvec","ref":"Evision.html#solvePnPRefineVVS/7","title":"Evision.solvePnPRefineVVS/7","type":"function"},{"doc":"Finds the real or complex roots of a polynomial equation. Positional Arguments coeffs : Evision.Mat.t() . array of polynomial coefficients. Keyword Arguments maxIters : int . maximum number of iterations the algorithm does. Return retval : double roots : Evision.Mat.t() . output (complex) array of roots. The function cv::solvePoly finds real and complex roots of a polynomial equation: \\f[\\texttt{coeffs} [n] x^{n} + \\texttt{coeffs} [n-1] x^{n-1} + ... + \\texttt{coeffs} [1] x + \\texttt{coeffs} [0] = 0\\f] Python prototype (for reference only): solvePoly(coeffs[, roots[, maxIters]]) -&gt; retval, roots","ref":"Evision.html#solvePoly/1","title":"Evision.solvePoly/1","type":"function"},{"doc":"Finds the real or complex roots of a polynomial equation. Positional Arguments coeffs : Evision.Mat.t() . array of polynomial coefficients. Keyword Arguments maxIters : int . maximum number of iterations the algorithm does. Return retval : double roots : Evision.Mat.t() . output (complex) array of roots. The function cv::solvePoly finds real and complex roots of a polynomial equation: \\f[\\texttt{coeffs} [n] x^{n} + \\texttt{coeffs} [n-1] x^{n-1} + ... + \\texttt{coeffs} [1] x + \\texttt{coeffs} [0] = 0\\f] Python prototype (for reference only): solvePoly(coeffs[, roots[, maxIters]]) -&gt; retval, roots","ref":"Evision.html#solvePoly/2","title":"Evision.solvePoly/2","type":"function"},{"doc":"Sorts each row or each column of a matrix. Positional Arguments src : Evision.Mat.t() . input single-channel array. flags : int . operation flags, a combination of #SortFlags Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::sort sorts each matrix row or each matrix column in ascending or descending order. So you should pass two operation flags to get desired behaviour. If you want to sort matrix rows or columns lexicographically, you can use STL std::sort generic function with the proper comparison predicate. @sa sortIdx, randShuffle Python prototype (for reference only): sort(src, flags[, dst]) -&gt; dst","ref":"Evision.html#sort/2","title":"Evision.sort/2","type":"function"},{"doc":"Sorts each row or each column of a matrix. Positional Arguments src : Evision.Mat.t() . input single-channel array. flags : int . operation flags, a combination of #SortFlags Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::sort sorts each matrix row or each matrix column in ascending or descending order. So you should pass two operation flags to get desired behaviour. If you want to sort matrix rows or columns lexicographically, you can use STL std::sort generic function with the proper comparison predicate. @sa sortIdx, randShuffle Python prototype (for reference only): sort(src, flags[, dst]) -&gt; dst","ref":"Evision.html#sort/3","title":"Evision.sort/3","type":"function"},{"doc":"Sorts each row or each column of a matrix. Positional Arguments src : Evision.Mat.t() . input single-channel array. flags : int . operation flags that could be a combination of cv::SortFlags Return dst : Evision.Mat.t() . output integer array of the same size as src. The function cv::sortIdx sorts each matrix row or each matrix column in the ascending or descending order. So you should pass two operation flags to get desired behaviour. Instead of reordering the elements themselves, it stores the indices of sorted elements in the output array. For example: Mat A = Mat :: eye ( 3 , 3 , CV_32F ) , B ; sortIdx ( A , B , SORT_EVERY_ROW + SORT_ASCENDING ) ; // B will probably contain // ( because of equal elements in A some permutations are possible ) : // [ [ 1 , 2 , 0 ] , [ 0 , 2 , 1 ] , [ 0 , 1 , 2 ] ] @sa sort, randShuffle Python prototype (for reference only): sortIdx(src, flags[, dst]) -&gt; dst","ref":"Evision.html#sortIdx/2","title":"Evision.sortIdx/2","type":"function"},{"doc":"Sorts each row or each column of a matrix. Positional Arguments src : Evision.Mat.t() . input single-channel array. flags : int . operation flags that could be a combination of cv::SortFlags Return dst : Evision.Mat.t() . output integer array of the same size as src. The function cv::sortIdx sorts each matrix row or each matrix column in the ascending or descending order. So you should pass two operation flags to get desired behaviour. Instead of reordering the elements themselves, it stores the indices of sorted elements in the output array. For example: Mat A = Mat :: eye ( 3 , 3 , CV_32F ) , B ; sortIdx ( A , B , SORT_EVERY_ROW + SORT_ASCENDING ) ; // B will probably contain // ( because of equal elements in A some permutations are possible ) : // [ [ 1 , 2 , 0 ] , [ 0 , 2 , 1 ] , [ 0 , 1 , 2 ] ] @sa sort, randShuffle Python prototype (for reference only): sortIdx(src, flags[, dst]) -&gt; dst","ref":"Evision.html#sortIdx/3","title":"Evision.sortIdx/3","type":"function"},{"doc":"Calculates the first order image derivative in both x and y using a Sobel operator Positional Arguments src : Evision.Mat.t() . input image. Keyword Arguments ksize : int . size of Sobel kernel. It must be 3. borderType : int . pixel extrapolation method, see #BorderTypes. Only #BORDER_DEFAULT=#BORDER_REFLECT_101 and #BORDER_REPLICATE are supported. Return dx : Evision.Mat.t() . output image with first-order derivative in x. dy : Evision.Mat.t() . output image with first-order derivative in y. Equivalent to calling: Sobel ( src , dx , CV_16SC1 , 1 , 0 , 3 ) ; Sobel ( src , dy , CV_16SC1 , 0 , 1 , 3 ) ; @sa Sobel Python prototype (for reference only): spatialGradient(src[, dx[, dy[, ksize[, borderType]]]]) -&gt; dx, dy","ref":"Evision.html#spatialGradient/1","title":"Evision.spatialGradient/1","type":"function"},{"doc":"Calculates the first order image derivative in both x and y using a Sobel operator Positional Arguments src : Evision.Mat.t() . input image. Keyword Arguments ksize : int . size of Sobel kernel. It must be 3. borderType : int . pixel extrapolation method, see #BorderTypes. Only #BORDER_DEFAULT=#BORDER_REFLECT_101 and #BORDER_REPLICATE are supported. Return dx : Evision.Mat.t() . output image with first-order derivative in x. dy : Evision.Mat.t() . output image with first-order derivative in y. Equivalent to calling: Sobel ( src , dx , CV_16SC1 , 1 , 0 , 3 ) ; Sobel ( src , dy , CV_16SC1 , 0 , 1 , 3 ) ; @sa Sobel Python prototype (for reference only): spatialGradient(src[, dx[, dy[, ksize[, borderType]]]]) -&gt; dx, dy","ref":"Evision.html#spatialGradient/2","title":"Evision.spatialGradient/2","type":"function"},{"doc":"split Positional Arguments m : Evision.Mat.t() . input multi-channel array. Return mv : [Evision.Mat] . output vector of arrays; the arrays themselves are reallocated, if needed. Has overloading in C++ Python prototype (for reference only): split(m[, mv]) -&gt; mv","ref":"Evision.html#split/1","title":"Evision.split/1","type":"function"},{"doc":"split Positional Arguments m : Evision.Mat.t() . input multi-channel array. Return mv : [Evision.Mat] . output vector of arrays; the arrays themselves are reallocated, if needed. Has overloading in C++ Python prototype (for reference only): split(m[, mv]) -&gt; mv","ref":"Evision.html#split/2","title":"Evision.split/2","type":"function"},{"doc":"Calculates the normalized sum of squares of the pixel values overlapping the filter. Positional Arguments src : Evision.Mat.t() . input image ddepth : int . the output image depth (-1 to use src.depth()) ksize : Size . kernel size Keyword Arguments anchor : Point . kernel anchor point. The default value of Point(-1, -1) denotes that the anchor is at the kernel center. normalize : bool . flag, specifying whether the kernel is to be normalized by it's area or not. borderType : int . border mode used to extrapolate pixels outside of the image, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and type as src For every pixel \\f$ (x, y) \\f$ in the source image, the function calculates the sum of squares of those neighboring pixel values which overlap the filter placed over the pixel \\f$ (x, y) \\f$. The unnormalized square box filter can be useful in computing local image statistics such as the local variance and standard deviation around the neighborhood of a pixel. @sa boxFilter Python prototype (for reference only): sqrBoxFilter(src, ddepth, ksize[, dst[, anchor[, normalize[, borderType]]]]) -&gt; dst","ref":"Evision.html#sqrBoxFilter/3","title":"Evision.sqrBoxFilter/3","type":"function"},{"doc":"Calculates the normalized sum of squares of the pixel values overlapping the filter. Positional Arguments src : Evision.Mat.t() . input image ddepth : int . the output image depth (-1 to use src.depth()) ksize : Size . kernel size Keyword Arguments anchor : Point . kernel anchor point. The default value of Point(-1, -1) denotes that the anchor is at the kernel center. normalize : bool . flag, specifying whether the kernel is to be normalized by it's area or not. borderType : int . border mode used to extrapolate pixels outside of the image, see #BorderTypes. #BORDER_WRAP is not supported. Return dst : Evision.Mat.t() . output image of the same size and type as src For every pixel \\f$ (x, y) \\f$ in the source image, the function calculates the sum of squares of those neighboring pixel values which overlap the filter placed over the pixel \\f$ (x, y) \\f$. The unnormalized square box filter can be useful in computing local image statistics such as the local variance and standard deviation around the neighborhood of a pixel. @sa boxFilter Python prototype (for reference only): sqrBoxFilter(src, ddepth, ksize[, dst[, anchor[, normalize[, borderType]]]]) -&gt; dst","ref":"Evision.html#sqrBoxFilter/4","title":"Evision.sqrBoxFilter/4","type":"function"},{"doc":"Calculates a square root of array elements. Positional Arguments src : Evision.Mat.t() . input floating-point array. Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::sqrt calculates a square root of each input array element. In case of multi-channel arrays, each channel is processed independently. The accuracy is approximately the same as of the built-in std::sqrt . Python prototype (for reference only): sqrt(src[, dst]) -&gt; dst","ref":"Evision.html#sqrt/1","title":"Evision.sqrt/1","type":"function"},{"doc":"Calculates a square root of array elements. Positional Arguments src : Evision.Mat.t() . input floating-point array. Return dst : Evision.Mat.t() . output array of the same size and type as src. The function cv::sqrt calculates a square root of each input array element. In case of multi-channel arrays, each channel is processed independently. The accuracy is approximately the same as of the built-in std::sqrt . Python prototype (for reference only): sqrt(src[, dst]) -&gt; dst","ref":"Evision.html#sqrt/2","title":"Evision.sqrt/2","type":"function"},{"doc":"Blurs an image using the stackBlur. Positional Arguments src : Evision.Mat.t() . input image. The number of channels can be arbitrary, but the depth should be one of CV_8U, CV_16U, CV_16S or CV_32F. ksize : Size . stack-blurring kernel size. The ksize.width and ksize.height can differ but they both must be positive and odd. Return dst : Evision.Mat.t() . output image of the same size and type as src. The function applies and stackBlur to an image. stackBlur can generate similar results as Gaussian blur, and the time consumption does not increase with the increase of kernel size. It creates a kind of moving stack of colors whilst scanning through the image. Thereby it just has to add one new block of color to the right side of the stack and remove the leftmost color. The remaining colors on the topmost layer of the stack are either added on or reduced by one, depending on if they are on the right or on the left side of the stack. The only supported borderType is BORDER_REPLICATE. Original paper was proposed by Mario Klingemann, which can be found http://underdestruction.com/2004/02/25/stackblur-2004 . Python prototype (for reference only): stackBlur(src, ksize[, dst]) -&gt; dst","ref":"Evision.html#stackBlur/2","title":"Evision.stackBlur/2","type":"function"},{"doc":"Blurs an image using the stackBlur. Positional Arguments src : Evision.Mat.t() . input image. The number of channels can be arbitrary, but the depth should be one of CV_8U, CV_16U, CV_16S or CV_32F. ksize : Size . stack-blurring kernel size. The ksize.width and ksize.height can differ but they both must be positive and odd. Return dst : Evision.Mat.t() . output image of the same size and type as src. The function applies and stackBlur to an image. stackBlur can generate similar results as Gaussian blur, and the time consumption does not increase with the increase of kernel size. It creates a kind of moving stack of colors whilst scanning through the image. Thereby it just has to add one new block of color to the right side of the stack and remove the leftmost color. The remaining colors on the topmost layer of the stack are either added on or reduced by one, depending on if they are on the right or on the left side of the stack. The only supported borderType is BORDER_REPLICATE. Original paper was proposed by Mario Klingemann, which can be found http://underdestruction.com/2004/02/25/stackblur-2004 . Python prototype (for reference only): stackBlur(src, ksize[, dst]) -&gt; dst","ref":"Evision.html#stackBlur/3","title":"Evision.stackBlur/3","type":"function"},{"doc":"startWindowThread Return retval : int Python prototype (for reference only): startWindowThread() -&gt; retval","ref":"Evision.html#startWindowThread/0","title":"Evision.startWindowThread/0","type":"function"},{"doc":"stereoCalibrate Positional Arguments objectPoints : [Evision.Mat] imagePoints1 : [Evision.Mat] imagePoints2 : [Evision.Mat] imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix1 : Evision.Mat.t() distCoeffs1 : Evision.Mat.t() cameraMatrix2 : Evision.Mat.t() distCoeffs2 : Evision.Mat.t() r : Evision.Mat.t() . t : Evision.Mat.t() . e : Evision.Mat.t() . f : Evision.Mat.t() . Python prototype (for reference only): stereoCalibrate(objectPoints, imagePoints1, imagePoints2, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, imageSize[, R[, T[, E[, F[, flags[, criteria]]]]]]) -&gt; retval, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, R, T, E, F","ref":"Evision.html#stereoCalibrate/8","title":"Evision.stereoCalibrate/8","type":"function"},{"doc":"stereoCalibrate Positional Arguments objectPoints : [Evision.Mat] imagePoints1 : [Evision.Mat] imagePoints2 : [Evision.Mat] imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix1 : Evision.Mat.t() distCoeffs1 : Evision.Mat.t() cameraMatrix2 : Evision.Mat.t() distCoeffs2 : Evision.Mat.t() r : Evision.Mat.t() . t : Evision.Mat.t() . e : Evision.Mat.t() . f : Evision.Mat.t() . Python prototype (for reference only): stereoCalibrate(objectPoints, imagePoints1, imagePoints2, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, imageSize[, R[, T[, E[, F[, flags[, criteria]]]]]]) -&gt; retval, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, R, T, E, F","ref":"Evision.html#stereoCalibrate/9","title":"Evision.stereoCalibrate/9","type":"function"},{"doc":"stereoCalibrate Positional Arguments objectPoints : [Evision.Mat] imagePoints1 : [Evision.Mat] imagePoints2 : [Evision.Mat] imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix1 : Evision.Mat.t() distCoeffs1 : Evision.Mat.t() cameraMatrix2 : Evision.Mat.t() distCoeffs2 : Evision.Mat.t() r : Evision.Mat.t() t : Evision.Mat.t() e : Evision.Mat.t() . f : Evision.Mat.t() . perViewErrors : Evision.Mat.t() . Python prototype (for reference only): stereoCalibrate(objectPoints, imagePoints1, imagePoints2, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, imageSize, R, T[, E[, F[, perViewErrors[, flags[, criteria]]]]]) -&gt; retval, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, R, T, E, F, perViewErrors","ref":"Evision.html#stereoCalibrate/10","title":"Evision.stereoCalibrate/10","type":"function"},{"doc":"stereoCalibrate Positional Arguments objectPoints : [Evision.Mat] imagePoints1 : [Evision.Mat] imagePoints2 : [Evision.Mat] imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix1 : Evision.Mat.t() distCoeffs1 : Evision.Mat.t() cameraMatrix2 : Evision.Mat.t() distCoeffs2 : Evision.Mat.t() r : Evision.Mat.t() t : Evision.Mat.t() e : Evision.Mat.t() . f : Evision.Mat.t() . perViewErrors : Evision.Mat.t() . Python prototype (for reference only): stereoCalibrate(objectPoints, imagePoints1, imagePoints2, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, imageSize, R, T[, E[, F[, perViewErrors[, flags[, criteria]]]]]) -&gt; retval, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, R, T, E, F, perViewErrors","ref":"Evision.html#stereoCalibrate/11","title":"Evision.stereoCalibrate/11","type":"function"},{"doc":"Calibrates a stereo camera set up. This function finds the intrinsic parameters for each of the two cameras and the extrinsic parameters between the two cameras. Positional Arguments objectPoints : [Evision.Mat] . Vector of vectors of the calibration pattern points. The same structure as in @ref calibrateCamera. For each pattern view, both cameras need to see the same object points. Therefore, objectPoints.size(), imagePoints1.size(), and imagePoints2.size() need to be equal as well as objectPoints[i].size(), imagePoints1[i].size(), and imagePoints2[i].size() need to be equal for each i. imagePoints1 : [Evision.Mat] . Vector of vectors of the projections of the calibration pattern points, observed by the first camera. The same structure as in @ref calibrateCamera. imagePoints2 : [Evision.Mat] . Vector of vectors of the projections of the calibration pattern points, observed by the second camera. The same structure as in @ref calibrateCamera. imageSize : Size . Size of the image used only to initialize the camera intrinsic matrices. Keyword Arguments flags : int . Different flags that may be zero or a combination of the following values: @ref CALIB_FIX_INTRINSIC Fix cameraMatrix? and distCoeffs? so that only R, T, E, and F matrices are estimated. @ref CALIB_USE_INTRINSIC_GUESS Optimize some or all of the intrinsic parameters according to the specified flags. Initial values are provided by the user. @ref CALIB_USE_EXTRINSIC_GUESS R and T contain valid initial values that are optimized further. Otherwise R and T are initialized to the median value of the pattern views (each dimension separately). @ref CALIB_FIX_PRINCIPAL_POINT Fix the principal points during the optimization. @ref CALIB_FIX_FOCAL_LENGTH Fix \\f$f^{(j)}_x\\f$ and \\f$f^{(j)}_y\\f$ . @ref CALIB_FIX_ASPECT_RATIO Optimize \\f$f^{(j)}_y\\f$ . Fix the ratio \\f$f^{(j)}_x/f^{(j)}_y\\f$ . @ref CALIB_SAME_FOCAL_LENGTH Enforce \\f$f^{(0)}_x=f^{(1)}_x\\f$ and \\f$f^{(0)}_y=f^{(1)}_y\\f$ . @ref CALIB_ZERO_TANGENT_DIST Set tangential distortion coefficients for each camera to zeros and fix there. @ref CALIB_FIX_K1,..., @ref CALIB_FIX_K6 Do not change the corresponding radial distortion coefficient during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. @ref CALIB_RATIONAL_MODEL Enable coefficients k4, k5, and k6. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the rational model and return 8 coefficients. If the flag is not set, the function computes and returns only 5 distortion coefficients. @ref CALIB_THIN_PRISM_MODEL Coefficients s1, s2, s3 and s4 are enabled. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the thin prism model and return 12 coefficients. If the flag is not set, the function computes and returns only 5 distortion coefficients. @ref CALIB_FIX_S1_S2_S3_S4 The thin prism distortion coefficients are not changed during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. @ref CALIB_TILTED_MODEL Coefficients tauX and tauY are enabled. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the tilted sensor model and return 14 coefficients. If the flag is not set, the function computes and returns only 5 distortion coefficients. @ref CALIB_FIX_TAUX_TAUY The coefficients of the tilted sensor model are not changed during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double cameraMatrix1 : Evision.Mat.t() . Input/output camera intrinsic matrix for the first camera, the same as in distCoeffs1 : Evision.Mat.t() . Input/output vector of distortion coefficients, the same as in cameraMatrix2 : Evision.Mat.t() . Input/output second camera intrinsic matrix for the second camera. See description for cameraMatrix1. distCoeffs2 : Evision.Mat.t() . Input/output lens distortion coefficients for the second camera. See description for distCoeffs1. r : Evision.Mat.t() . Output rotation matrix. Together with the translation vector T, this matrix brings points given in the first camera's coordinate system to points in the second camera's coordinate system. In more technical terms, the tuple of R and T performs a change of basis from the first camera's coordinate system to the second camera's coordinate system. Due to its duality, this tuple is equivalent to the position of the first camera with respect to the second camera coordinate system. t : Evision.Mat.t() . Output translation vector, see description above. e : Evision.Mat.t() . Output essential matrix. f : Evision.Mat.t() . Output fundamental matrix. rvecs : [Evision.Mat] . Output vector of rotation vectors ( @ref Rodrigues ) estimated for each pattern view in the coordinate system of the first camera of the stereo pair (e.g. std::vector&lt;cv::Mat&gt;). More in detail, each i-th rotation vector together with the corresponding i-th translation vector (see the next output parameter description) brings the calibration pattern from the object coordinate space (in which object points are specified) to the camera coordinate space of the first camera of the stereo pair. In more technical terms, the tuple of the i-th rotation and translation vector performs a change of basis from object coordinate space to camera coordinate space of the first camera of the stereo pair. tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view, see parameter description of previous output parameter ( rvecs ). perViewErrors : Evision.Mat.t() . Output vector of the RMS re-projection error estimated for each pattern view. @ref calibrateCamera. Furthermore, for the stereo case, additional flags may be used, see below. @ref calibrateCamera. The function estimates the transformation between two cameras making a stereo pair. If one computes the poses of an object relative to the first camera and to the second camera, ( \\f$R_1\\f$,\\f$T_1\\f$ ) and (\\f$R_2\\f$,\\f$T_2\\f$), respectively, for a stereo camera where the relative position and orientation between the two cameras are fixed, then those poses definitely relate to each other. This means, if the relative position and orientation (\\f$R\\f$,\\f$T\\f$) of the two cameras is known, it is possible to compute (\\f$R_2\\f$,\\f$T_2\\f$) when (\\f$R_1\\f$,\\f$T_1\\f$) is given. This is what the described function does. It computes (\\f$R\\f$,\\f$T\\f$) such that: \\f[R_2=R R_1\\f] \\f[T_2=R T_1 + T.\\f] Therefore, one can compute the coordinate representation of a 3D point for the second camera's coordinate system when given the point's coordinate representation in the first camera's coordinate system: \\f[\\begin{bmatrix} X_2 \\\\ Y_2 \\\\ Z_2 \\\\ 1 \\end{bmatrix} = \\begin{bmatrix} R &amp; T \\\\ 0 &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_1 \\\\ Y_1 \\\\ Z_1 \\\\ 1 \\end{bmatrix}.\\f] Optionally, it computes the essential matrix E: \\f[E= \\vecthreethree{0}{-T_2}{T_1}{T_2}{0}{-T_0}{-T_1}{T_0}{0} R\\f] where \\f$T_i\\f$ are components of the translation vector \\f$T\\f$ : \\f$T=[T_0, T_1, T_2]^T\\f$ . And the function can also compute the fundamental matrix F: \\f[F = cameraMatrix2^{-T}\\cdot E \\cdot cameraMatrix1^{-1}\\f] Besides the stereo-related information, the function can also perform a full calibration of each of the two cameras. However, due to the high dimensionality of the parameter space and noise in the input data, the function can diverge from the correct solution. If the intrinsic parameters can be estimated with high accuracy for each of the cameras individually (for example, using #calibrateCamera ), you are recommended to do so and then pass @ref CALIB_FIX_INTRINSIC flag to the function along with the computed intrinsic parameters. Otherwise, if all the parameters are estimated at once, it makes sense to restrict some parameters, for example, pass @ref CALIB_SAME_FOCAL_LENGTH and @ref CALIB_ZERO_TANGENT_DIST flags, which is usually a reasonable assumption. Similarly to #calibrateCamera, the function minimizes the total re-projection error for all the points in all the available views from both cameras. The function returns the final value of the re-projection error. Python prototype (for reference only): stereoCalibrateExtended(objectPoints, imagePoints1, imagePoints2, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, imageSize, R, T[, E[, F[, rvecs[, tvecs[, perViewErrors[, flags[, criteria]]]]]]]) -&gt; retval, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, R, T, E, F, rvecs, tvecs, perViewErrors","ref":"Evision.html#stereoCalibrateExtended/10","title":"Evision.stereoCalibrateExtended/10","type":"function"},{"doc":"Calibrates a stereo camera set up. This function finds the intrinsic parameters for each of the two cameras and the extrinsic parameters between the two cameras. Positional Arguments objectPoints : [Evision.Mat] . Vector of vectors of the calibration pattern points. The same structure as in @ref calibrateCamera. For each pattern view, both cameras need to see the same object points. Therefore, objectPoints.size(), imagePoints1.size(), and imagePoints2.size() need to be equal as well as objectPoints[i].size(), imagePoints1[i].size(), and imagePoints2[i].size() need to be equal for each i. imagePoints1 : [Evision.Mat] . Vector of vectors of the projections of the calibration pattern points, observed by the first camera. The same structure as in @ref calibrateCamera. imagePoints2 : [Evision.Mat] . Vector of vectors of the projections of the calibration pattern points, observed by the second camera. The same structure as in @ref calibrateCamera. imageSize : Size . Size of the image used only to initialize the camera intrinsic matrices. Keyword Arguments flags : int . Different flags that may be zero or a combination of the following values: @ref CALIB_FIX_INTRINSIC Fix cameraMatrix? and distCoeffs? so that only R, T, E, and F matrices are estimated. @ref CALIB_USE_INTRINSIC_GUESS Optimize some or all of the intrinsic parameters according to the specified flags. Initial values are provided by the user. @ref CALIB_USE_EXTRINSIC_GUESS R and T contain valid initial values that are optimized further. Otherwise R and T are initialized to the median value of the pattern views (each dimension separately). @ref CALIB_FIX_PRINCIPAL_POINT Fix the principal points during the optimization. @ref CALIB_FIX_FOCAL_LENGTH Fix \\f$f^{(j)}_x\\f$ and \\f$f^{(j)}_y\\f$ . @ref CALIB_FIX_ASPECT_RATIO Optimize \\f$f^{(j)}_y\\f$ . Fix the ratio \\f$f^{(j)}_x/f^{(j)}_y\\f$ . @ref CALIB_SAME_FOCAL_LENGTH Enforce \\f$f^{(0)}_x=f^{(1)}_x\\f$ and \\f$f^{(0)}_y=f^{(1)}_y\\f$ . @ref CALIB_ZERO_TANGENT_DIST Set tangential distortion coefficients for each camera to zeros and fix there. @ref CALIB_FIX_K1,..., @ref CALIB_FIX_K6 Do not change the corresponding radial distortion coefficient during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. @ref CALIB_RATIONAL_MODEL Enable coefficients k4, k5, and k6. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the rational model and return 8 coefficients. If the flag is not set, the function computes and returns only 5 distortion coefficients. @ref CALIB_THIN_PRISM_MODEL Coefficients s1, s2, s3 and s4 are enabled. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the thin prism model and return 12 coefficients. If the flag is not set, the function computes and returns only 5 distortion coefficients. @ref CALIB_FIX_S1_S2_S3_S4 The thin prism distortion coefficients are not changed during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. @ref CALIB_TILTED_MODEL Coefficients tauX and tauY are enabled. To provide the backward compatibility, this extra flag should be explicitly specified to make the calibration function use the tilted sensor model and return 14 coefficients. If the flag is not set, the function computes and returns only 5 distortion coefficients. @ref CALIB_FIX_TAUX_TAUY The coefficients of the tilted sensor model are not changed during the optimization. If @ref CALIB_USE_INTRINSIC_GUESS is set, the coefficient from the supplied distCoeffs matrix is used. Otherwise, it is set to 0. criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double cameraMatrix1 : Evision.Mat.t() . Input/output camera intrinsic matrix for the first camera, the same as in distCoeffs1 : Evision.Mat.t() . Input/output vector of distortion coefficients, the same as in cameraMatrix2 : Evision.Mat.t() . Input/output second camera intrinsic matrix for the second camera. See description for cameraMatrix1. distCoeffs2 : Evision.Mat.t() . Input/output lens distortion coefficients for the second camera. See description for distCoeffs1. r : Evision.Mat.t() . Output rotation matrix. Together with the translation vector T, this matrix brings points given in the first camera's coordinate system to points in the second camera's coordinate system. In more technical terms, the tuple of R and T performs a change of basis from the first camera's coordinate system to the second camera's coordinate system. Due to its duality, this tuple is equivalent to the position of the first camera with respect to the second camera coordinate system. t : Evision.Mat.t() . Output translation vector, see description above. e : Evision.Mat.t() . Output essential matrix. f : Evision.Mat.t() . Output fundamental matrix. rvecs : [Evision.Mat] . Output vector of rotation vectors ( @ref Rodrigues ) estimated for each pattern view in the coordinate system of the first camera of the stereo pair (e.g. std::vector&lt;cv::Mat&gt;). More in detail, each i-th rotation vector together with the corresponding i-th translation vector (see the next output parameter description) brings the calibration pattern from the object coordinate space (in which object points are specified) to the camera coordinate space of the first camera of the stereo pair. In more technical terms, the tuple of the i-th rotation and translation vector performs a change of basis from object coordinate space to camera coordinate space of the first camera of the stereo pair. tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view, see parameter description of previous output parameter ( rvecs ). perViewErrors : Evision.Mat.t() . Output vector of the RMS re-projection error estimated for each pattern view. @ref calibrateCamera. Furthermore, for the stereo case, additional flags may be used, see below. @ref calibrateCamera. The function estimates the transformation between two cameras making a stereo pair. If one computes the poses of an object relative to the first camera and to the second camera, ( \\f$R_1\\f$,\\f$T_1\\f$ ) and (\\f$R_2\\f$,\\f$T_2\\f$), respectively, for a stereo camera where the relative position and orientation between the two cameras are fixed, then those poses definitely relate to each other. This means, if the relative position and orientation (\\f$R\\f$,\\f$T\\f$) of the two cameras is known, it is possible to compute (\\f$R_2\\f$,\\f$T_2\\f$) when (\\f$R_1\\f$,\\f$T_1\\f$) is given. This is what the described function does. It computes (\\f$R\\f$,\\f$T\\f$) such that: \\f[R_2=R R_1\\f] \\f[T_2=R T_1 + T.\\f] Therefore, one can compute the coordinate representation of a 3D point for the second camera's coordinate system when given the point's coordinate representation in the first camera's coordinate system: \\f[\\begin{bmatrix} X_2 \\\\ Y_2 \\\\ Z_2 \\\\ 1 \\end{bmatrix} = \\begin{bmatrix} R &amp; T \\\\ 0 &amp; 1 \\end{bmatrix} \\begin{bmatrix} X_1 \\\\ Y_1 \\\\ Z_1 \\\\ 1 \\end{bmatrix}.\\f] Optionally, it computes the essential matrix E: \\f[E= \\vecthreethree{0}{-T_2}{T_1}{T_2}{0}{-T_0}{-T_1}{T_0}{0} R\\f] where \\f$T_i\\f$ are components of the translation vector \\f$T\\f$ : \\f$T=[T_0, T_1, T_2]^T\\f$ . And the function can also compute the fundamental matrix F: \\f[F = cameraMatrix2^{-T}\\cdot E \\cdot cameraMatrix1^{-1}\\f] Besides the stereo-related information, the function can also perform a full calibration of each of the two cameras. However, due to the high dimensionality of the parameter space and noise in the input data, the function can diverge from the correct solution. If the intrinsic parameters can be estimated with high accuracy for each of the cameras individually (for example, using #calibrateCamera ), you are recommended to do so and then pass @ref CALIB_FIX_INTRINSIC flag to the function along with the computed intrinsic parameters. Otherwise, if all the parameters are estimated at once, it makes sense to restrict some parameters, for example, pass @ref CALIB_SAME_FOCAL_LENGTH and @ref CALIB_ZERO_TANGENT_DIST flags, which is usually a reasonable assumption. Similarly to #calibrateCamera, the function minimizes the total re-projection error for all the points in all the available views from both cameras. The function returns the final value of the re-projection error. Python prototype (for reference only): stereoCalibrateExtended(objectPoints, imagePoints1, imagePoints2, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, imageSize, R, T[, E[, F[, rvecs[, tvecs[, perViewErrors[, flags[, criteria]]]]]]]) -&gt; retval, cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, R, T, E, F, rvecs, tvecs, perViewErrors","ref":"Evision.html#stereoCalibrateExtended/11","title":"Evision.stereoCalibrateExtended/11","type":"function"},{"doc":"Computes rectification transforms for each head of a calibrated stereo camera. Positional Arguments cameraMatrix1 : Evision.Mat.t() . First camera intrinsic matrix. distCoeffs1 : Evision.Mat.t() . First camera distortion parameters. cameraMatrix2 : Evision.Mat.t() . Second camera intrinsic matrix. distCoeffs2 : Evision.Mat.t() . Second camera distortion parameters. imageSize : Size . Size of the image used for stereo calibration. r : Evision.Mat.t() . Rotation matrix from the coordinate system of the first camera to the second camera, see @ref stereoCalibrate. t : Evision.Mat.t() . Translation vector from the coordinate system of the first camera to the second camera, see @ref stereoCalibrate. Keyword Arguments flags : int . Operation flags that may be zero or @ref CALIB_ZERO_DISPARITY . If the flag is set, the function makes the principal points of each camera have the same pixel coordinates in the rectified views. And if the flag is not set, the function may still shift the images in the horizontal or vertical direction (depending on the orientation of epipolar lines) to maximize the useful image area. alpha : double . Free scaling parameter. If it is -1 or absent, the function performs the default scaling. Otherwise, the parameter should be between 0 and 1. alpha=0 means that the rectified images are zoomed and shifted so that only valid pixels are visible (no black areas after rectification). alpha=1 means that the rectified image is decimated and shifted so that all the pixels from the original images from the cameras are retained in the rectified images (no source image pixels are lost). Any intermediate value yields an intermediate result between those two extreme cases. newImageSize : Size . New image resolution after rectification. The same size should be passed to #initUndistortRectifyMap (see the stereo_calib.cpp sample in OpenCV samples directory). When (0,0) is passed (default), it is set to the original imageSize . Setting it to a larger value can help you preserve details in the original image, especially when there is a big radial distortion. Return r1 : Evision.Mat.t() . Output 3x3 rectification transform (rotation matrix) for the first camera. This matrix brings points given in the unrectified first camera's coordinate system to points in the rectified first camera's coordinate system. In more technical terms, it performs a change of basis from the unrectified first camera's coordinate system to the rectified first camera's coordinate system. r2 : Evision.Mat.t() . Output 3x3 rectification transform (rotation matrix) for the second camera. This matrix brings points given in the unrectified second camera's coordinate system to points in the rectified second camera's coordinate system. In more technical terms, it performs a change of basis from the unrectified second camera's coordinate system to the rectified second camera's coordinate system. p1 : Evision.Mat.t() . Output 3x4 projection matrix in the new (rectified) coordinate systems for the first camera, i.e. it projects points given in the rectified first camera coordinate system into the rectified first camera's image. p2 : Evision.Mat.t() . Output 3x4 projection matrix in the new (rectified) coordinate systems for the second camera, i.e. it projects points given in the rectified first camera coordinate system into the rectified second camera's image. q : Evision.Mat.t() . Output \\f$4 \\times 4\\f$ disparity-to-depth mapping matrix (see @ref reprojectImageTo3D). validPixROI1 : Rect* . Optional output rectangles inside the rectified images where all the pixels are valid. If alpha=0 , the ROIs cover the whole images. Otherwise, they are likely to be smaller (see the picture below). validPixROI2 : Rect* . Optional output rectangles inside the rectified images where all the pixels are valid. If alpha=0 , the ROIs cover the whole images. Otherwise, they are likely to be smaller (see the picture below). The function computes the rotation matrices for each camera that (virtually) make both camera image planes the same plane. Consequently, this makes all the epipolar lines parallel and thus simplifies the dense stereo correspondence problem. The function takes the matrices computed by #stereoCalibrate as input. As output, it provides two rotation matrices and also two projection matrices in the new coordinates. The function distinguishes the following two cases: Horizontal stereo : the first and the second camera views are shifted relative to each other mainly along the x-axis (with possible small vertical shift). In the rectified images, the corresponding epipolar lines in the left and right cameras are horizontal and have the same y-coordinate. P1 and P2 look like: \\f[\\texttt{P1} = \\begin{bmatrix} f &amp; 0 &amp; cx_1 &amp; 0 \\\\ 0 &amp; f &amp; cy &amp; 0 \\\\ 0 &amp; 0 &amp; 1 &amp; 0 \\end{bmatrix}\\f] \\f[\\texttt{P2} = \\begin{bmatrix} f &amp; 0 &amp; cx_2 &amp; T_x \\cdot f \\\\ 0 &amp; f &amp; cy &amp; 0 \\\\ 0 &amp; 0 &amp; 1 &amp; 0 \\end{bmatrix} ,\\f] \\f[\\texttt{Q} = \\begin{bmatrix} 1 &amp; 0 &amp; 0 &amp; -cx_1 \\\\ 0 &amp; 1 &amp; 0 &amp; -cy \\\\ 0 &amp; 0 &amp; 0 &amp; f \\\\ 0 &amp; 0 &amp; -\\frac{1}{T_x} &amp; \\frac{cx_1 - cx_2}{T_x} \\end{bmatrix} \\f] where \\f$T_x\\f$ is a horizontal shift between the cameras and \\f$cx_1=cx_2\\f$ if @ref CALIB_ZERO_DISPARITY is set. Vertical stereo : the first and the second camera views are shifted relative to each other mainly in the vertical direction (and probably a bit in the horizontal direction too). The epipolar lines in the rectified images are vertical and have the same x-coordinate. P1 and P2 look like: \\f[\\texttt{P1} = \\begin{bmatrix} f &amp; 0 &amp; cx &amp; 0 \\\\ 0 &amp; f &amp; cy_1 &amp; 0 \\\\ 0 &amp; 0 &amp; 1 &amp; 0 \\end{bmatrix}\\f] \\f[\\texttt{P2} = \\begin{bmatrix} f &amp; 0 &amp; cx &amp; 0 \\\\ 0 &amp; f &amp; cy_2 &amp; T_y \\cdot f \\\\ 0 &amp; 0 &amp; 1 &amp; 0 \\end{bmatrix},\\f] \\f[\\texttt{Q} = \\begin{bmatrix} 1 &amp; 0 &amp; 0 &amp; -cx \\\\ 0 &amp; 1 &amp; 0 &amp; -cy_1 \\\\ 0 &amp; 0 &amp; 0 &amp; f \\\\ 0 &amp; 0 &amp; -\\frac{1}{T_y} &amp; \\frac{cy_1 - cy_2}{T_y} \\end{bmatrix} \\f] where \\f$T_y\\f$ is a vertical shift between the cameras and \\f$cy_1=cy_2\\f$ if @ref CALIB_ZERO_DISPARITY is set. As you can see, the first three columns of P1 and P2 will effectively be the new &quot;rectified&quot; camera matrices. The matrices, together with R1 and R2 , can then be passed to #initUndistortRectifyMap to initialize the rectification map for each camera. See below the screenshot from the stereo_calib.cpp sample. Some red horizontal lines pass through the corresponding image regions. This means that the images are well rectified, which is what most stereo correspondence algorithms rely on. The green rectangles are roi1 and roi2 . You see that their interiors are all valid pixels. Python prototype (for reference only): stereoRectify(cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, imageSize, R, T[, R1[, R2[, P1[, P2[, Q[, flags[, alpha[, newImageSize]]]]]]]]) -&gt; R1, R2, P1, P2, Q, validPixROI1, validPixROI2","ref":"Evision.html#stereoRectify/7","title":"Evision.stereoRectify/7","type":"function"},{"doc":"Computes rectification transforms for each head of a calibrated stereo camera. Positional Arguments cameraMatrix1 : Evision.Mat.t() . First camera intrinsic matrix. distCoeffs1 : Evision.Mat.t() . First camera distortion parameters. cameraMatrix2 : Evision.Mat.t() . Second camera intrinsic matrix. distCoeffs2 : Evision.Mat.t() . Second camera distortion parameters. imageSize : Size . Size of the image used for stereo calibration. r : Evision.Mat.t() . Rotation matrix from the coordinate system of the first camera to the second camera, see @ref stereoCalibrate. t : Evision.Mat.t() . Translation vector from the coordinate system of the first camera to the second camera, see @ref stereoCalibrate. Keyword Arguments flags : int . Operation flags that may be zero or @ref CALIB_ZERO_DISPARITY . If the flag is set, the function makes the principal points of each camera have the same pixel coordinates in the rectified views. And if the flag is not set, the function may still shift the images in the horizontal or vertical direction (depending on the orientation of epipolar lines) to maximize the useful image area. alpha : double . Free scaling parameter. If it is -1 or absent, the function performs the default scaling. Otherwise, the parameter should be between 0 and 1. alpha=0 means that the rectified images are zoomed and shifted so that only valid pixels are visible (no black areas after rectification). alpha=1 means that the rectified image is decimated and shifted so that all the pixels from the original images from the cameras are retained in the rectified images (no source image pixels are lost). Any intermediate value yields an intermediate result between those two extreme cases. newImageSize : Size . New image resolution after rectification. The same size should be passed to #initUndistortRectifyMap (see the stereo_calib.cpp sample in OpenCV samples directory). When (0,0) is passed (default), it is set to the original imageSize . Setting it to a larger value can help you preserve details in the original image, especially when there is a big radial distortion. Return r1 : Evision.Mat.t() . Output 3x3 rectification transform (rotation matrix) for the first camera. This matrix brings points given in the unrectified first camera's coordinate system to points in the rectified first camera's coordinate system. In more technical terms, it performs a change of basis from the unrectified first camera's coordinate system to the rectified first camera's coordinate system. r2 : Evision.Mat.t() . Output 3x3 rectification transform (rotation matrix) for the second camera. This matrix brings points given in the unrectified second camera's coordinate system to points in the rectified second camera's coordinate system. In more technical terms, it performs a change of basis from the unrectified second camera's coordinate system to the rectified second camera's coordinate system. p1 : Evision.Mat.t() . Output 3x4 projection matrix in the new (rectified) coordinate systems for the first camera, i.e. it projects points given in the rectified first camera coordinate system into the rectified first camera's image. p2 : Evision.Mat.t() . Output 3x4 projection matrix in the new (rectified) coordinate systems for the second camera, i.e. it projects points given in the rectified first camera coordinate system into the rectified second camera's image. q : Evision.Mat.t() . Output \\f$4 \\times 4\\f$ disparity-to-depth mapping matrix (see @ref reprojectImageTo3D). validPixROI1 : Rect* . Optional output rectangles inside the rectified images where all the pixels are valid. If alpha=0 , the ROIs cover the whole images. Otherwise, they are likely to be smaller (see the picture below). validPixROI2 : Rect* . Optional output rectangles inside the rectified images where all the pixels are valid. If alpha=0 , the ROIs cover the whole images. Otherwise, they are likely to be smaller (see the picture below). The function computes the rotation matrices for each camera that (virtually) make both camera image planes the same plane. Consequently, this makes all the epipolar lines parallel and thus simplifies the dense stereo correspondence problem. The function takes the matrices computed by #stereoCalibrate as input. As output, it provides two rotation matrices and also two projection matrices in the new coordinates. The function distinguishes the following two cases: Horizontal stereo : the first and the second camera views are shifted relative to each other mainly along the x-axis (with possible small vertical shift). In the rectified images, the corresponding epipolar lines in the left and right cameras are horizontal and have the same y-coordinate. P1 and P2 look like: \\f[\\texttt{P1} = \\begin{bmatrix} f &amp; 0 &amp; cx_1 &amp; 0 \\\\ 0 &amp; f &amp; cy &amp; 0 \\\\ 0 &amp; 0 &amp; 1 &amp; 0 \\end{bmatrix}\\f] \\f[\\texttt{P2} = \\begin{bmatrix} f &amp; 0 &amp; cx_2 &amp; T_x \\cdot f \\\\ 0 &amp; f &amp; cy &amp; 0 \\\\ 0 &amp; 0 &amp; 1 &amp; 0 \\end{bmatrix} ,\\f] \\f[\\texttt{Q} = \\begin{bmatrix} 1 &amp; 0 &amp; 0 &amp; -cx_1 \\\\ 0 &amp; 1 &amp; 0 &amp; -cy \\\\ 0 &amp; 0 &amp; 0 &amp; f \\\\ 0 &amp; 0 &amp; -\\frac{1}{T_x} &amp; \\frac{cx_1 - cx_2}{T_x} \\end{bmatrix} \\f] where \\f$T_x\\f$ is a horizontal shift between the cameras and \\f$cx_1=cx_2\\f$ if @ref CALIB_ZERO_DISPARITY is set. Vertical stereo : the first and the second camera views are shifted relative to each other mainly in the vertical direction (and probably a bit in the horizontal direction too). The epipolar lines in the rectified images are vertical and have the same x-coordinate. P1 and P2 look like: \\f[\\texttt{P1} = \\begin{bmatrix} f &amp; 0 &amp; cx &amp; 0 \\\\ 0 &amp; f &amp; cy_1 &amp; 0 \\\\ 0 &amp; 0 &amp; 1 &amp; 0 \\end{bmatrix}\\f] \\f[\\texttt{P2} = \\begin{bmatrix} f &amp; 0 &amp; cx &amp; 0 \\\\ 0 &amp; f &amp; cy_2 &amp; T_y \\cdot f \\\\ 0 &amp; 0 &amp; 1 &amp; 0 \\end{bmatrix},\\f] \\f[\\texttt{Q} = \\begin{bmatrix} 1 &amp; 0 &amp; 0 &amp; -cx \\\\ 0 &amp; 1 &amp; 0 &amp; -cy_1 \\\\ 0 &amp; 0 &amp; 0 &amp; f \\\\ 0 &amp; 0 &amp; -\\frac{1}{T_y} &amp; \\frac{cy_1 - cy_2}{T_y} \\end{bmatrix} \\f] where \\f$T_y\\f$ is a vertical shift between the cameras and \\f$cy_1=cy_2\\f$ if @ref CALIB_ZERO_DISPARITY is set. As you can see, the first three columns of P1 and P2 will effectively be the new &quot;rectified&quot; camera matrices. The matrices, together with R1 and R2 , can then be passed to #initUndistortRectifyMap to initialize the rectification map for each camera. See below the screenshot from the stereo_calib.cpp sample. Some red horizontal lines pass through the corresponding image regions. This means that the images are well rectified, which is what most stereo correspondence algorithms rely on. The green rectangles are roi1 and roi2 . You see that their interiors are all valid pixels. Python prototype (for reference only): stereoRectify(cameraMatrix1, distCoeffs1, cameraMatrix2, distCoeffs2, imageSize, R, T[, R1[, R2[, P1[, P2[, Q[, flags[, alpha[, newImageSize]]]]]]]]) -&gt; R1, R2, P1, P2, Q, validPixROI1, validPixROI2","ref":"Evision.html#stereoRectify/8","title":"Evision.stereoRectify/8","type":"function"},{"doc":"Computes a rectification transform for an uncalibrated stereo camera. Positional Arguments points1 : Evision.Mat.t() . Array of feature points in the first image. points2 : Evision.Mat.t() . The corresponding points in the second image. The same formats as in #findFundamentalMat are supported. f : Evision.Mat.t() . Input fundamental matrix. It can be computed from the same set of point pairs using #findFundamentalMat . imgSize : Size . Size of the image. Keyword Arguments threshold : double . Optional threshold used to filter out the outliers. If the parameter is greater than zero, all the point pairs that do not comply with the epipolar geometry (that is, the points for which \\f$|\\texttt{points2[i]}^T \\cdot \\texttt{F} \\cdot \\texttt{points1[i]}|&gt;\\texttt{threshold}\\f$ ) are rejected prior to computing the homographies. Otherwise, all the points are considered inliers. Return retval : bool h1 : Evision.Mat.t() . Output rectification homography matrix for the first image. h2 : Evision.Mat.t() . Output rectification homography matrix for the second image. The function computes the rectification transformations without knowing intrinsic parameters of the cameras and their relative position in the space, which explains the suffix &quot;uncalibrated&quot;. Another related difference from #stereoRectify is that the function outputs not the rectification transformations in the object (3D) space, but the planar perspective transformations encoded by the homography matrices H1 and H2 . The function implements the algorithm @cite Hartley99 . Note : While the algorithm does not need to know the intrinsic parameters of the cameras, it heavily depends on the epipolar geometry. Therefore, if the camera lenses have a significant distortion, it would be better to correct it before computing the fundamental matrix and calling this function. For example, distortion coefficients can be estimated for each head of stereo camera separately by using #calibrateCamera . Then, the images can be corrected using #undistort , or just the point coordinates can be corrected with #undistortPoints . Python prototype (for reference only): stereoRectifyUncalibrated(points1, points2, F, imgSize[, H1[, H2[, threshold]]]) -&gt; retval, H1, H2","ref":"Evision.html#stereoRectifyUncalibrated/4","title":"Evision.stereoRectifyUncalibrated/4","type":"function"},{"doc":"Computes a rectification transform for an uncalibrated stereo camera. Positional Arguments points1 : Evision.Mat.t() . Array of feature points in the first image. points2 : Evision.Mat.t() . The corresponding points in the second image. The same formats as in #findFundamentalMat are supported. f : Evision.Mat.t() . Input fundamental matrix. It can be computed from the same set of point pairs using #findFundamentalMat . imgSize : Size . Size of the image. Keyword Arguments threshold : double . Optional threshold used to filter out the outliers. If the parameter is greater than zero, all the point pairs that do not comply with the epipolar geometry (that is, the points for which \\f$|\\texttt{points2[i]}^T \\cdot \\texttt{F} \\cdot \\texttt{points1[i]}|&gt;\\texttt{threshold}\\f$ ) are rejected prior to computing the homographies. Otherwise, all the points are considered inliers. Return retval : bool h1 : Evision.Mat.t() . Output rectification homography matrix for the first image. h2 : Evision.Mat.t() . Output rectification homography matrix for the second image. The function computes the rectification transformations without knowing intrinsic parameters of the cameras and their relative position in the space, which explains the suffix &quot;uncalibrated&quot;. Another related difference from #stereoRectify is that the function outputs not the rectification transformations in the object (3D) space, but the planar perspective transformations encoded by the homography matrices H1 and H2 . The function implements the algorithm @cite Hartley99 . Note : While the algorithm does not need to know the intrinsic parameters of the cameras, it heavily depends on the epipolar geometry. Therefore, if the camera lenses have a significant distortion, it would be better to correct it before computing the fundamental matrix and calling this function. For example, distortion coefficients can be estimated for each head of stereo camera separately by using #calibrateCamera . Then, the images can be corrected using #undistort , or just the point coordinates can be corrected with #undistortPoints . Python prototype (for reference only): stereoRectifyUncalibrated(points1, points2, F, imgSize[, H1[, H2[, threshold]]]) -&gt; retval, H1, H2","ref":"Evision.html#stereoRectifyUncalibrated/5","title":"Evision.stereoRectifyUncalibrated/5","type":"function"},{"doc":"Stylization aims to produce digital imagery with a wide variety of effects not focused on photorealism. Edge-aware filters are ideal for stylization, as they can abstract regions of low contrast while preserving, or enhancing, high-contrast features. Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Keyword Arguments sigma_s : float . %Range between 0 to 200. sigma_r : float . %Range between 0 to 1. Return dst : Evision.Mat.t() . Output image with the same size and type as src. Python prototype (for reference only): stylization(src[, dst[, sigma_s[, sigma_r]]]) -&gt; dst","ref":"Evision.html#stylization/1","title":"Evision.stylization/1","type":"function"},{"doc":"Stylization aims to produce digital imagery with a wide variety of effects not focused on photorealism. Edge-aware filters are ideal for stylization, as they can abstract regions of low contrast while preserving, or enhancing, high-contrast features. Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. Keyword Arguments sigma_s : float . %Range between 0 to 200. sigma_r : float . %Range between 0 to 1. Return dst : Evision.Mat.t() . Output image with the same size and type as src. Python prototype (for reference only): stylization(src[, dst[, sigma_s[, sigma_r]]]) -&gt; dst","ref":"Evision.html#stylization/2","title":"Evision.stylization/2","type":"function"},{"doc":"Calculates the per-element difference between two arrays or array and a scalar. Positional Arguments src1 : Evision.Mat.t() . first input array or a scalar. src2 : Evision.Mat.t() . second input array or a scalar. Keyword Arguments mask : Evision.Mat.t() . optional operation mask; this is an 8-bit single channel array that specifies elements of the output array to be changed. dtype : int . optional depth of the output array Return dst : Evision.Mat.t() . output array of the same size and the same number of channels as the input array. The function subtract calculates: Difference between two arrays, when both input arrays have the same size and the same number of channels: \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1}(I) - \\texttt{src2}(I)) \\quad \\texttt{if mask}(I) \\ne0\\f] Difference between an array and a scalar, when src2 is constructed from Scalar or has the same number of elements as src1.channels() : \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1}(I) - \\texttt{src2} ) \\quad \\texttt{if mask}(I) \\ne0\\f] Difference between a scalar and an array, when src1 is constructed from Scalar or has the same number of elements as src2.channels() : \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1} - \\texttt{src2}(I) ) \\quad \\texttt{if mask}(I) \\ne0\\f] The reverse difference between a scalar and an array in the case of SubRS : \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src2} - \\texttt{src1}(I) ) \\quad \\texttt{if mask}(I) \\ne0\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. The first function in the list above can be replaced with matrix expressions: dst = src1 - src2; dst -= src1; // equivalent to subtract(dst, src1, dst); The input arrays and the output array can all have the same or different depths. For example, you can subtract to 8-bit unsigned arrays and store the difference in a 16-bit signed array. Depth of the output array is determined by dtype parameter. In the second and third cases above, as well as in the first case, when src1.depth() == src2.depth(), dtype can be set to the default -1. In this case the output array will have the same depth as the input array, be it src1, src2 or both. Note : Saturation is not applied when the output array has the depth CV_32S. You may even get result of an incorrect sign in the case of overflow. @sa add, addWeighted, scaleAdd, Mat::convertTo Python prototype (for reference only): subtract(src1, src2[, dst[, mask[, dtype]]]) -&gt; dst","ref":"Evision.html#subtract/2","title":"Evision.subtract/2","type":"function"},{"doc":"Calculates the per-element difference between two arrays or array and a scalar. Positional Arguments src1 : Evision.Mat.t() . first input array or a scalar. src2 : Evision.Mat.t() . second input array or a scalar. Keyword Arguments mask : Evision.Mat.t() . optional operation mask; this is an 8-bit single channel array that specifies elements of the output array to be changed. dtype : int . optional depth of the output array Return dst : Evision.Mat.t() . output array of the same size and the same number of channels as the input array. The function subtract calculates: Difference between two arrays, when both input arrays have the same size and the same number of channels: \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1}(I) - \\texttt{src2}(I)) \\quad \\texttt{if mask}(I) \\ne0\\f] Difference between an array and a scalar, when src2 is constructed from Scalar or has the same number of elements as src1.channels() : \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1}(I) - \\texttt{src2} ) \\quad \\texttt{if mask}(I) \\ne0\\f] Difference between a scalar and an array, when src1 is constructed from Scalar or has the same number of elements as src2.channels() : \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src1} - \\texttt{src2}(I) ) \\quad \\texttt{if mask}(I) \\ne0\\f] The reverse difference between a scalar and an array in the case of SubRS : \\f[\\texttt{dst}(I) = \\texttt{saturate} ( \\texttt{src2} - \\texttt{src1}(I) ) \\quad \\texttt{if mask}(I) \\ne0\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. The first function in the list above can be replaced with matrix expressions: dst = src1 - src2; dst -= src1; // equivalent to subtract(dst, src1, dst); The input arrays and the output array can all have the same or different depths. For example, you can subtract to 8-bit unsigned arrays and store the difference in a 16-bit signed array. Depth of the output array is determined by dtype parameter. In the second and third cases above, as well as in the first case, when src1.depth() == src2.depth(), dtype can be set to the default -1. In this case the output array will have the same depth as the input array, be it src1, src2 or both. Note : Saturation is not applied when the output array has the depth CV_32S. You may even get result of an incorrect sign in the case of overflow. @sa add, addWeighted, scaleAdd, Mat::convertTo Python prototype (for reference only): subtract(src1, src2[, dst[, mask[, dtype]]]) -&gt; dst","ref":"Evision.html#subtract/3","title":"Evision.subtract/3","type":"function"},{"doc":"Calculates the sum of array elements. Positional Arguments src : Evision.Mat.t() . input array that must have from 1 to 4 channels. Return retval : Scalar The function cv::sum calculates and returns the sum of array elements, independently for each channel. @sa countNonZero, mean, meanStdDev, norm, minMaxLoc, reduce Python prototype (for reference only): sumElems(src) -&gt; retval","ref":"Evision.html#sumElems/1","title":"Evision.sumElems/1","type":"function"},{"doc":"SVBackSubst Positional Arguments w : Evision.Mat.t() u : Evision.Mat.t() vt : Evision.Mat.t() rhs : Evision.Mat.t() Return dst : Evision.Mat.t() . wrap SVD::backSubst Python prototype (for reference only): SVBackSubst(w, u, vt, rhs[, dst]) -&gt; dst","ref":"Evision.html#svBackSubst/4","title":"Evision.svBackSubst/4","type":"function"},{"doc":"SVBackSubst Positional Arguments w : Evision.Mat.t() u : Evision.Mat.t() vt : Evision.Mat.t() rhs : Evision.Mat.t() Return dst : Evision.Mat.t() . wrap SVD::backSubst Python prototype (for reference only): SVBackSubst(w, u, vt, rhs[, dst]) -&gt; dst","ref":"Evision.html#svBackSubst/5","title":"Evision.svBackSubst/5","type":"function"},{"doc":"SVDecomp Positional Arguments src : Evision.Mat.t() Keyword Arguments flags : int . Return w : Evision.Mat.t() . u : Evision.Mat.t() . vt : Evision.Mat.t() . wrap SVD::compute Python prototype (for reference only): SVDecomp(src[, w[, u[, vt[, flags]]]]) -&gt; w, u, vt","ref":"Evision.html#svdDecomp/1","title":"Evision.svdDecomp/1","type":"function"},{"doc":"SVDecomp Positional Arguments src : Evision.Mat.t() Keyword Arguments flags : int . Return w : Evision.Mat.t() . u : Evision.Mat.t() . vt : Evision.Mat.t() . wrap SVD::compute Python prototype (for reference only): SVDecomp(src[, w[, u[, vt[, flags]]]]) -&gt; w, u, vt","ref":"Evision.html#svdDecomp/2","title":"Evision.svdDecomp/2","type":"function"},{"doc":"By retaining only the gradients at edge locations, before integrating with the Poisson solver, one washes out the texture of the selected region, giving its contents a flat aspect. Here Canny Edge %Detector is used. Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. mask : Evision.Mat.t() . Input 8-bit 1 or 3-channel image. Keyword Arguments low_threshold : float . %Range from 0 to 100. high_threshold : float . Value &gt; 100. kernel_size : int . The size of the Sobel kernel to be used. Return dst : Evision.Mat.t() . Output image with the same size and type as src. Note : The algorithm assumes that the color of the source image is close to that of the destination. This assumption means that when the colors don't match, the source image color gets tinted toward the color of the destination image. Python prototype (for reference only): textureFlattening(src, mask[, dst[, low_threshold[, high_threshold[, kernel_size]]]]) -&gt; dst","ref":"Evision.html#textureFlattening/2","title":"Evision.textureFlattening/2","type":"function"},{"doc":"By retaining only the gradients at edge locations, before integrating with the Poisson solver, one washes out the texture of the selected region, giving its contents a flat aspect. Here Canny Edge %Detector is used. Positional Arguments src : Evision.Mat.t() . Input 8-bit 3-channel image. mask : Evision.Mat.t() . Input 8-bit 1 or 3-channel image. Keyword Arguments low_threshold : float . %Range from 0 to 100. high_threshold : float . Value &gt; 100. kernel_size : int . The size of the Sobel kernel to be used. Return dst : Evision.Mat.t() . Output image with the same size and type as src. Note : The algorithm assumes that the color of the source image is close to that of the destination. This assumption means that when the colors don't match, the source image color gets tinted toward the color of the destination image. Python prototype (for reference only): textureFlattening(src, mask[, dst[, low_threshold[, high_threshold[, kernel_size]]]]) -&gt; dst","ref":"Evision.html#textureFlattening/3","title":"Evision.textureFlattening/3","type":"function"},{"doc":"Applies a fixed-level threshold to each array element. Positional Arguments src : Evision.Mat.t() . input array (multiple-channel, 8-bit or 32-bit floating point). thresh : double . threshold value. maxval : double . maximum value to use with the #THRESH_BINARY and #THRESH_BINARY_INV thresholding types. type : int . thresholding type (see #ThresholdTypes). Return retval : double dst : Evision.Mat.t() . output array of the same size and type and the same number of channels as src. The function applies fixed-level thresholding to a multiple-channel array. The function is typically used to get a bi-level (binary) image out of a grayscale image ( #compare could be also used for this purpose) or for removing a noise, that is, filtering out pixels with too small or too large values. There are several types of thresholding supported by the function. They are determined by type parameter. Also, the special values #THRESH_OTSU or #THRESH_TRIANGLE may be combined with one of the above values. In these cases, the function determines the optimal threshold value using the Otsu's or Triangle algorithm and uses it instead of the specified thresh. Note : Currently, the Otsu's and Triangle methods are implemented only for 8-bit single-channel images. @return the computed threshold value if Otsu's or Triangle methods used. @sa adaptiveThreshold, findContours, compare, min, max Python prototype (for reference only): threshold(src, thresh, maxval, type[, dst]) -&gt; retval, dst","ref":"Evision.html#threshold/4","title":"Evision.threshold/4","type":"function"},{"doc":"Applies a fixed-level threshold to each array element. Positional Arguments src : Evision.Mat.t() . input array (multiple-channel, 8-bit or 32-bit floating point). thresh : double . threshold value. maxval : double . maximum value to use with the #THRESH_BINARY and #THRESH_BINARY_INV thresholding types. type : int . thresholding type (see #ThresholdTypes). Return retval : double dst : Evision.Mat.t() . output array of the same size and type and the same number of channels as src. The function applies fixed-level thresholding to a multiple-channel array. The function is typically used to get a bi-level (binary) image out of a grayscale image ( #compare could be also used for this purpose) or for removing a noise, that is, filtering out pixels with too small or too large values. There are several types of thresholding supported by the function. They are determined by type parameter. Also, the special values #THRESH_OTSU or #THRESH_TRIANGLE may be combined with one of the above values. In these cases, the function determines the optimal threshold value using the Otsu's or Triangle algorithm and uses it instead of the specified thresh. Note : Currently, the Otsu's and Triangle methods are implemented only for 8-bit single-channel images. @return the computed threshold value if Otsu's or Triangle methods used. @sa adaptiveThreshold, findContours, compare, min, max Python prototype (for reference only): threshold(src, thresh, maxval, type[, dst]) -&gt; retval, dst","ref":"Evision.html#threshold/5","title":"Evision.threshold/5","type":"function"},{"doc":"Returns the trace of a matrix. Positional Arguments mtx : Evision.Mat.t() . input matrix. Return retval : Scalar The function cv::trace returns the sum of the diagonal elements of the matrix mtx . \\f[\\mathrm{tr} ( \\texttt{mtx} ) = \\sum _i \\texttt{mtx} (i,i)\\f] Python prototype (for reference only): trace(mtx) -&gt; retval","ref":"Evision.html#trace/1","title":"Evision.trace/1","type":"function"},{"doc":"Performs the matrix transformation of every array element. Positional Arguments src : Evision.Mat.t() . input array that must have as many channels (1 to 4) as m.cols or m.cols-1. m : Evision.Mat.t() . transformation 2x2 or 2x3 floating-point matrix. Return dst : Evision.Mat.t() . output array of the same size and depth as src; it has as many channels as m.rows. The function cv::transform performs the matrix transformation of every element of the array src and stores the results in dst : \\f[\\texttt{dst} (I) = \\texttt{m} \\cdot \\texttt{src} (I)\\f] (when m.cols=src.channels() ), or \\f[\\texttt{dst} (I) = \\texttt{m} \\cdot [ \\texttt{src} (I); 1]\\f] (when m.cols=src.channels()+1 ) Every element of the N -channel array src is interpreted as N -element vector that is transformed using the M x N or M x (N+1) matrix m to M-element vector - the corresponding element of the output array dst . The function may be used for geometrical transformation of N -dimensional points, arbitrary linear color space transformation (such as various kinds of RGB to YUV transforms), shuffling the image channels, and so forth. @sa perspectiveTransform, getAffineTransform, estimateAffine2D, warpAffine, warpPerspective Python prototype (for reference only): transform(src, m[, dst]) -&gt; dst","ref":"Evision.html#transform/2","title":"Evision.transform/2","type":"function"},{"doc":"Performs the matrix transformation of every array element. Positional Arguments src : Evision.Mat.t() . input array that must have as many channels (1 to 4) as m.cols or m.cols-1. m : Evision.Mat.t() . transformation 2x2 or 2x3 floating-point matrix. Return dst : Evision.Mat.t() . output array of the same size and depth as src; it has as many channels as m.rows. The function cv::transform performs the matrix transformation of every element of the array src and stores the results in dst : \\f[\\texttt{dst} (I) = \\texttt{m} \\cdot \\texttt{src} (I)\\f] (when m.cols=src.channels() ), or \\f[\\texttt{dst} (I) = \\texttt{m} \\cdot [ \\texttt{src} (I); 1]\\f] (when m.cols=src.channels()+1 ) Every element of the N -channel array src is interpreted as N -element vector that is transformed using the M x N or M x (N+1) matrix m to M-element vector - the corresponding element of the output array dst . The function may be used for geometrical transformation of N -dimensional points, arbitrary linear color space transformation (such as various kinds of RGB to YUV transforms), shuffling the image channels, and so forth. @sa perspectiveTransform, getAffineTransform, estimateAffine2D, warpAffine, warpPerspective Python prototype (for reference only): transform(src, m[, dst]) -&gt; dst","ref":"Evision.html#transform/3","title":"Evision.transform/3","type":"function"},{"doc":"Transposes a matrix. Positional Arguments src : Evision.Mat.t() . input array. Return dst : Evision.Mat.t() . output array of the same type as src. The function cv::transpose transposes the matrix src : \\f[\\texttt{dst} (i,j) = \\texttt{src} (j,i)\\f] Note : No complex conjugation is done in case of a complex matrix. It should be done separately if needed. Python prototype (for reference only): transpose(src[, dst]) -&gt; dst","ref":"Evision.html#transpose/1","title":"Evision.transpose/1","type":"function"},{"doc":"Transposes a matrix. Positional Arguments src : Evision.Mat.t() . input array. Return dst : Evision.Mat.t() . output array of the same type as src. The function cv::transpose transposes the matrix src : \\f[\\texttt{dst} (i,j) = \\texttt{src} (j,i)\\f] Note : No complex conjugation is done in case of a complex matrix. It should be done separately if needed. Python prototype (for reference only): transpose(src[, dst]) -&gt; dst","ref":"Evision.html#transpose/2","title":"Evision.transpose/2","type":"function"},{"doc":"Transpose for n-dimensional matrices. Positional Arguments src : Evision.Mat.t() . input array. order : [int] . a permutation of [0,1,..,N-1] where N is the number of axes of src. The i’th axis of dst will correspond to the axis numbered order[i] of the input. Return dst : Evision.Mat.t() . output array of the same type as src. Note : Input should be continuous single-channel matrix. Python prototype (for reference only): transposeND(src, order[, dst]) -&gt; dst","ref":"Evision.html#transposeND/2","title":"Evision.transposeND/2","type":"function"},{"doc":"Transpose for n-dimensional matrices. Positional Arguments src : Evision.Mat.t() . input array. order : [int] . a permutation of [0,1,..,N-1] where N is the number of axes of src. The i’th axis of dst will correspond to the axis numbered order[i] of the input. Return dst : Evision.Mat.t() . output array of the same type as src. Note : Input should be continuous single-channel matrix. Python prototype (for reference only): transposeND(src, order[, dst]) -&gt; dst","ref":"Evision.html#transposeND/3","title":"Evision.transposeND/3","type":"function"},{"doc":"This function reconstructs 3-dimensional points (in homogeneous coordinates) by using their observations with a stereo camera. Positional Arguments projMatr1 : Evision.Mat.t() . 3x4 projection matrix of the first camera, i.e. this matrix projects 3D points given in the world's coordinate system into the first image. projMatr2 : Evision.Mat.t() . 3x4 projection matrix of the second camera, i.e. this matrix projects 3D points given in the world's coordinate system into the second image. projPoints1 : Evision.Mat.t() . 2xN array of feature points in the first image. In the case of the c++ version, it can be also a vector of feature points or two-channel matrix of size 1xN or Nx1. projPoints2 : Evision.Mat.t() . 2xN array of corresponding points in the second image. In the case of the c++ version, it can be also a vector of feature points or two-channel matrix of size 1xN or Nx1. Return points4D : Evision.Mat.t() . 4xN array of reconstructed points in homogeneous coordinates. These points are returned in the world's coordinate system. Note : Keep in mind that all input data should be of float type in order for this function to work. Note : If the projection matrices from @ref stereoRectify are used, then the returned points are represented in the first camera's rectified coordinate system. @sa reprojectImageTo3D Python prototype (for reference only): triangulatePoints(projMatr1, projMatr2, projPoints1, projPoints2[, points4D]) -&gt; points4D","ref":"Evision.html#triangulatePoints/4","title":"Evision.triangulatePoints/4","type":"function"},{"doc":"This function reconstructs 3-dimensional points (in homogeneous coordinates) by using their observations with a stereo camera. Positional Arguments projMatr1 : Evision.Mat.t() . 3x4 projection matrix of the first camera, i.e. this matrix projects 3D points given in the world's coordinate system into the first image. projMatr2 : Evision.Mat.t() . 3x4 projection matrix of the second camera, i.e. this matrix projects 3D points given in the world's coordinate system into the second image. projPoints1 : Evision.Mat.t() . 2xN array of feature points in the first image. In the case of the c++ version, it can be also a vector of feature points or two-channel matrix of size 1xN or Nx1. projPoints2 : Evision.Mat.t() . 2xN array of corresponding points in the second image. In the case of the c++ version, it can be also a vector of feature points or two-channel matrix of size 1xN or Nx1. Return points4D : Evision.Mat.t() . 4xN array of reconstructed points in homogeneous coordinates. These points are returned in the world's coordinate system. Note : Keep in mind that all input data should be of float type in order for this function to work. Note : If the projection matrices from @ref stereoRectify are used, then the returned points are represented in the first camera's rectified coordinate system. @sa reprojectImageTo3D Python prototype (for reference only): triangulatePoints(projMatr1, projMatr2, projPoints1, projPoints2[, points4D]) -&gt; points4D","ref":"Evision.html#triangulatePoints/5","title":"Evision.triangulatePoints/5","type":"function"},{"doc":"Transforms an image to compensate for lens distortion. Positional Arguments src : Evision.Mat.t() . Input (distorted) image. cameraMatrix : Evision.Mat.t() . Input camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments newCameraMatrix : Evision.Mat.t() . Camera matrix of the distorted image. By default, it is the same as cameraMatrix but you may additionally scale and shift the result by using a different matrix. Return dst : Evision.Mat.t() . Output (corrected) image that has the same size and type as src . The function transforms an image to compensate radial and tangential lens distortion. The function is simply a combination of #initUndistortRectifyMap (with unity R ) and #remap (with bilinear interpolation). See the former function for details of the transformation being performed. Those pixels in the destination image, for which there is no correspondent pixels in the source image, are filled with zeros (black color). A particular subset of the source image that will be visible in the corrected image can be regulated by newCameraMatrix. You can use #getOptimalNewCameraMatrix to compute the appropriate newCameraMatrix depending on your requirements. The camera matrix and the distortion parameters can be determined using #calibrateCamera. If the resolution of images is different from the resolution used at the calibration stage, \\f$f_x, f_y, c_x\\f$ and \\f$c_y\\f$ need to be scaled accordingly, while the distortion coefficients remain the same. Python prototype (for reference only): undistort(src, cameraMatrix, distCoeffs[, dst[, newCameraMatrix]]) -&gt; dst","ref":"Evision.html#undistort/3","title":"Evision.undistort/3","type":"function"},{"doc":"Transforms an image to compensate for lens distortion. Positional Arguments src : Evision.Mat.t() . Input (distorted) image. cameraMatrix : Evision.Mat.t() . Input camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments newCameraMatrix : Evision.Mat.t() . Camera matrix of the distorted image. By default, it is the same as cameraMatrix but you may additionally scale and shift the result by using a different matrix. Return dst : Evision.Mat.t() . Output (corrected) image that has the same size and type as src . The function transforms an image to compensate radial and tangential lens distortion. The function is simply a combination of #initUndistortRectifyMap (with unity R ) and #remap (with bilinear interpolation). See the former function for details of the transformation being performed. Those pixels in the destination image, for which there is no correspondent pixels in the source image, are filled with zeros (black color). A particular subset of the source image that will be visible in the corrected image can be regulated by newCameraMatrix. You can use #getOptimalNewCameraMatrix to compute the appropriate newCameraMatrix depending on your requirements. The camera matrix and the distortion parameters can be determined using #calibrateCamera. If the resolution of images is different from the resolution used at the calibration stage, \\f$f_x, f_y, c_x\\f$ and \\f$c_y\\f$ need to be scaled accordingly, while the distortion coefficients remain the same. Python prototype (for reference only): undistort(src, cameraMatrix, distCoeffs[, dst[, newCameraMatrix]]) -&gt; dst","ref":"Evision.html#undistort/4","title":"Evision.undistort/4","type":"function"},{"doc":"Compute undistorted image points position Positional Arguments src : Evision.Mat.t() . Observed points position, 2xN/Nx2 1-channel or 1xN/Nx1 2-channel (CV_32FC2 or CV_64FC2) (or vector\\&lt;Point2f&gt; ). cameraMatrix : Evision.Mat.t() . Camera matrix \\f$\\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . distCoeffs : Evision.Mat.t() . Distortion coefficients Keyword Arguments arg1 : TermCriteria . Return dst : Evision.Mat.t() . Output undistorted points position (1xN/Nx1 2-channel or vector\\&lt;Point2f&gt; ). Python prototype (for reference only): undistortImagePoints(src, cameraMatrix, distCoeffs[, dst[, arg1]]) -&gt; dst","ref":"Evision.html#undistortImagePoints/3","title":"Evision.undistortImagePoints/3","type":"function"},{"doc":"Compute undistorted image points position Positional Arguments src : Evision.Mat.t() . Observed points position, 2xN/Nx2 1-channel or 1xN/Nx1 2-channel (CV_32FC2 or CV_64FC2) (or vector\\&lt;Point2f&gt; ). cameraMatrix : Evision.Mat.t() . Camera matrix \\f$\\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . distCoeffs : Evision.Mat.t() . Distortion coefficients Keyword Arguments arg1 : TermCriteria . Return dst : Evision.Mat.t() . Output undistorted points position (1xN/Nx1 2-channel or vector\\&lt;Point2f&gt; ). Python prototype (for reference only): undistortImagePoints(src, cameraMatrix, distCoeffs[, dst[, arg1]]) -&gt; dst","ref":"Evision.html#undistortImagePoints/4","title":"Evision.undistortImagePoints/4","type":"function"},{"doc":"Computes the ideal point coordinates from the observed point coordinates. Positional Arguments src : Evision.Mat.t() . Observed point coordinates, 2xN/Nx2 1-channel or 1xN/Nx1 2-channel (CV_32FC2 or CV_64FC2) (or vector\\&lt;Point2f&gt; ). cameraMatrix : Evision.Mat.t() . Camera matrix \\f$\\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments r : Evision.Mat.t() . Rectification transformation in the object space (3x3 matrix). R1 or R2 computed by #stereoRectify can be passed here. If the matrix is empty, the identity transformation is used. p : Evision.Mat.t() . New camera matrix (3x3) or new projection matrix (3x4) \\f$\\begin{bmatrix} {f'}_x &amp; 0 &amp; {c'}_x &amp; t_x \\\\ 0 &amp; {f'}_y &amp; {c'}_y &amp; t_y \\\\ 0 &amp; 0 &amp; 1 &amp; t_z \\end{bmatrix}\\f$. P1 or P2 computed by #stereoRectify can be passed here. If the matrix is empty, the identity new camera matrix is used. Return dst : Evision.Mat.t() . Output ideal point coordinates (1xN/Nx1 2-channel or vector\\&lt;Point2f&gt; ) after undistortion and reverse perspective transformation. If matrix P is identity or omitted, dst will contain normalized point coordinates. The function is similar to #undistort and #initUndistortRectifyMap but it operates on a sparse set of points instead of a raster image. Also the function performs a reverse transformation to #projectPoints. In case of a 3D object, it does not reconstruct its 3D coordinates, but for a planar object, it does, up to a translation vector, if the proper R is specified. For each observed point coordinate \\f$(u, v)\\f$ the function computes: \\f[ \\begin{array}{l} x^{&quot;} \\leftarrow (u - c_x)/f_x \\\\ y^{&quot;} \\leftarrow (v - c_y)/f_y \\\\ (x',y') = undistort(x^{&quot;},y^{&quot;}, \\texttt{distCoeffs}) \\\\ {[X\\,Y\\,W]} ^T \\leftarrow R*[x' \\, y' \\, 1]^T \\\\ x \\leftarrow X/W \\\\ y \\leftarrow Y/W \\\\ \\text{only performed if P is specified:} \\\\ u' \\leftarrow x {f'}_x + {c'}_x \\\\ v' \\leftarrow y {f'}_y + {c'}_y \\end{array} \\f] where undistort is an approximate iterative algorithm that estimates the normalized original point coordinates out of the normalized distorted point coordinates (&quot;normalized&quot; means that the coordinates do not depend on the camera matrix). The function can be used for both a stereo camera head or a monocular camera (when R is empty). Python prototype (for reference only): undistortPoints(src, cameraMatrix, distCoeffs[, dst[, R[, P]]]) -&gt; dst","ref":"Evision.html#undistortPoints/3","title":"Evision.undistortPoints/3","type":"function"},{"doc":"Computes the ideal point coordinates from the observed point coordinates. Positional Arguments src : Evision.Mat.t() . Observed point coordinates, 2xN/Nx2 1-channel or 1xN/Nx1 2-channel (CV_32FC2 or CV_64FC2) (or vector\\&lt;Point2f&gt; ). cameraMatrix : Evision.Mat.t() . Camera matrix \\f$\\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . distCoeffs : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6[, s_1, s_2, s_3, s_4[, \\tau_x, \\tau_y]]]])\\f$ of 4, 5, 8, 12 or 14 elements. If the vector is NULL/empty, the zero distortion coefficients are assumed. Keyword Arguments r : Evision.Mat.t() . Rectification transformation in the object space (3x3 matrix). R1 or R2 computed by #stereoRectify can be passed here. If the matrix is empty, the identity transformation is used. p : Evision.Mat.t() . New camera matrix (3x3) or new projection matrix (3x4) \\f$\\begin{bmatrix} {f'}_x &amp; 0 &amp; {c'}_x &amp; t_x \\\\ 0 &amp; {f'}_y &amp; {c'}_y &amp; t_y \\\\ 0 &amp; 0 &amp; 1 &amp; t_z \\end{bmatrix}\\f$. P1 or P2 computed by #stereoRectify can be passed here. If the matrix is empty, the identity new camera matrix is used. Return dst : Evision.Mat.t() . Output ideal point coordinates (1xN/Nx1 2-channel or vector\\&lt;Point2f&gt; ) after undistortion and reverse perspective transformation. If matrix P is identity or omitted, dst will contain normalized point coordinates. The function is similar to #undistort and #initUndistortRectifyMap but it operates on a sparse set of points instead of a raster image. Also the function performs a reverse transformation to #projectPoints. In case of a 3D object, it does not reconstruct its 3D coordinates, but for a planar object, it does, up to a translation vector, if the proper R is specified. For each observed point coordinate \\f$(u, v)\\f$ the function computes: \\f[ \\begin{array}{l} x^{&quot;} \\leftarrow (u - c_x)/f_x \\\\ y^{&quot;} \\leftarrow (v - c_y)/f_y \\\\ (x',y') = undistort(x^{&quot;},y^{&quot;}, \\texttt{distCoeffs}) \\\\ {[X\\,Y\\,W]} ^T \\leftarrow R*[x' \\, y' \\, 1]^T \\\\ x \\leftarrow X/W \\\\ y \\leftarrow Y/W \\\\ \\text{only performed if P is specified:} \\\\ u' \\leftarrow x {f'}_x + {c'}_x \\\\ v' \\leftarrow y {f'}_y + {c'}_y \\end{array} \\f] where undistort is an approximate iterative algorithm that estimates the normalized original point coordinates out of the normalized distorted point coordinates (&quot;normalized&quot; means that the coordinates do not depend on the camera matrix). The function can be used for both a stereo camera head or a monocular camera (when R is empty). Python prototype (for reference only): undistortPoints(src, cameraMatrix, distCoeffs[, dst[, R[, P]]]) -&gt; dst","ref":"Evision.html#undistortPoints/4","title":"Evision.undistortPoints/4","type":"function"},{"doc":"undistortPointsIter Positional Arguments src : Evision.Mat.t() cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() r : Evision.Mat.t() p : Evision.Mat.t() criteria : TermCriteria Return dst : Evision.Mat.t() . Has overloading in C++ Note : Default version of #undistortPoints does 5 iterations to compute undistorted points. Python prototype (for reference only): undistortPointsIter(src, cameraMatrix, distCoeffs, R, P, criteria[, dst]) -&gt; dst","ref":"Evision.html#undistortPointsIter/6","title":"Evision.undistortPointsIter/6","type":"function"},{"doc":"undistortPointsIter Positional Arguments src : Evision.Mat.t() cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() r : Evision.Mat.t() p : Evision.Mat.t() criteria : TermCriteria Return dst : Evision.Mat.t() . Has overloading in C++ Note : Default version of #undistortPoints does 5 iterations to compute undistorted points. Python prototype (for reference only): undistortPointsIter(src, cameraMatrix, distCoeffs, R, P, criteria[, dst]) -&gt; dst","ref":"Evision.html#undistortPointsIter/7","title":"Evision.undistortPointsIter/7","type":"function"},{"doc":"useOpenVX Return retval : bool Python prototype (for reference only): useOpenVX() -&gt; retval","ref":"Evision.html#useOpenVX/0","title":"Evision.useOpenVX/0","type":"function"},{"doc":"Returns the status of optimized code usage. Return retval : bool The function returns true if the optimized code is enabled. Otherwise, it returns false. Python prototype (for reference only): useOptimized() -&gt; retval","ref":"Evision.html#useOptimized/0","title":"Evision.useOptimized/0","type":"function"},{"doc":"validateDisparity Positional Arguments cost : Evision.Mat.t() minDisparity : int numberOfDisparities : int Keyword Arguments disp12MaxDisp : int . Return disparity : Evision.Mat.t() Python prototype (for reference only): validateDisparity(disparity, cost, minDisparity, numberOfDisparities[, disp12MaxDisp]) -&gt; disparity","ref":"Evision.html#validateDisparity/4","title":"Evision.validateDisparity/4","type":"function"},{"doc":"validateDisparity Positional Arguments cost : Evision.Mat.t() minDisparity : int numberOfDisparities : int Keyword Arguments disp12MaxDisp : int . Return disparity : Evision.Mat.t() Python prototype (for reference only): validateDisparity(disparity, cost, minDisparity, numberOfDisparities[, disp12MaxDisp]) -&gt; disparity","ref":"Evision.html#validateDisparity/5","title":"Evision.validateDisparity/5","type":"function"},{"doc":"vconcat Positional Arguments src : [Evision.Mat] . input array or vector of matrices. all of the matrices must have the same number of cols and the same depth Return dst : Evision.Mat.t() . output array. It has the same number of cols and depth as the src, and the sum of rows of the src. same depth. Has overloading in C++ std::vector&lt;cv::Mat&gt; matrices = { cv::Mat(1, 4, CV_8UC1, cv::Scalar(1)), cv::Mat(1, 4, CV_8UC1, cv::Scalar(2)), cv::Mat(1, 4, CV_8UC1, cv::Scalar(3)),}; cv::Mat out; cv::vconcat( matrices, out ); //out: //[1, 1, 1, 1; // 2, 2, 2, 2; // 3, 3, 3, 3] Python prototype (for reference only): vconcat(src[, dst]) -&gt; dst","ref":"Evision.html#vconcat/1","title":"Evision.vconcat/1","type":"function"},{"doc":"vconcat Positional Arguments src : [Evision.Mat] . input array or vector of matrices. all of the matrices must have the same number of cols and the same depth Return dst : Evision.Mat.t() . output array. It has the same number of cols and depth as the src, and the sum of rows of the src. same depth. Has overloading in C++ std::vector&lt;cv::Mat&gt; matrices = { cv::Mat(1, 4, CV_8UC1, cv::Scalar(1)), cv::Mat(1, 4, CV_8UC1, cv::Scalar(2)), cv::Mat(1, 4, CV_8UC1, cv::Scalar(3)),}; cv::Mat out; cv::vconcat( matrices, out ); //out: //[1, 1, 1, 1; // 2, 2, 2, 2; // 3, 3, 3, 3] Python prototype (for reference only): vconcat(src[, dst]) -&gt; dst","ref":"Evision.html#vconcat/2","title":"Evision.vconcat/2","type":"function"},{"doc":"Similar to #waitKey, but returns full key code. Keyword Arguments delay : int . Return retval : int Note : Key code is implementation specific and depends on used backend: QT/GTK/Win32/etc Python prototype (for reference only): waitKeyEx([, delay]) -&gt; retval","ref":"Evision.html#waitKeyEx/0","title":"Evision.waitKeyEx/0","type":"function"},{"doc":"Similar to #waitKey, but returns full key code. Keyword Arguments delay : int . Return retval : int Note : Key code is implementation specific and depends on used backend: QT/GTK/Win32/etc Python prototype (for reference only): waitKeyEx([, delay]) -&gt; retval","ref":"Evision.html#waitKeyEx/1","title":"Evision.waitKeyEx/1","type":"function"},{"doc":"Applies an affine transformation to an image. Positional Arguments src : Evision.Mat.t() . input image. m : Evision.Mat.t() . \\f$2\\times 3\\f$ transformation matrix. dsize : Size . size of the output image. Keyword Arguments flags : int . combination of interpolation methods (see #InterpolationFlags) and the optional flag #WARP_INVERSE_MAP that means that M is the inverse transformation ( \\f$\\texttt{dst}\\rightarrow\\texttt{src}\\f$ ). borderMode : int . pixel extrapolation method (see #BorderTypes); when borderMode=#BORDER_TRANSPARENT, it means that the pixels in the destination image corresponding to the &quot;outliers&quot; in the source image are not modified by the function. borderValue : Scalar . value used in case of a constant border; by default, it is 0. Return dst : Evision.Mat.t() . output image that has the size dsize and the same type as src . The function warpAffine transforms the source image using the specified matrix: \\f[\\texttt{dst} (x,y) = \\texttt{src} ( \\texttt{M} _{11} x + \\texttt{M} _{12} y + \\texttt{M} _{13}, \\texttt{M} _{21} x + \\texttt{M} _{22} y + \\texttt{M} _{23})\\f] when the flag #WARP_INVERSE_MAP is set. Otherwise, the transformation is first inverted with #invertAffineTransform and then put in the formula above instead of M. The function cannot operate in-place. @sa warpPerspective, resize, remap, getRectSubPix, transform Python prototype (for reference only): warpAffine(src, M, dsize[, dst[, flags[, borderMode[, borderValue]]]]) -&gt; dst","ref":"Evision.html#warpAffine/3","title":"Evision.warpAffine/3","type":"function"},{"doc":"Applies an affine transformation to an image. Positional Arguments src : Evision.Mat.t() . input image. m : Evision.Mat.t() . \\f$2\\times 3\\f$ transformation matrix. dsize : Size . size of the output image. Keyword Arguments flags : int . combination of interpolation methods (see #InterpolationFlags) and the optional flag #WARP_INVERSE_MAP that means that M is the inverse transformation ( \\f$\\texttt{dst}\\rightarrow\\texttt{src}\\f$ ). borderMode : int . pixel extrapolation method (see #BorderTypes); when borderMode=#BORDER_TRANSPARENT, it means that the pixels in the destination image corresponding to the &quot;outliers&quot; in the source image are not modified by the function. borderValue : Scalar . value used in case of a constant border; by default, it is 0. Return dst : Evision.Mat.t() . output image that has the size dsize and the same type as src . The function warpAffine transforms the source image using the specified matrix: \\f[\\texttt{dst} (x,y) = \\texttt{src} ( \\texttt{M} _{11} x + \\texttt{M} _{12} y + \\texttt{M} _{13}, \\texttt{M} _{21} x + \\texttt{M} _{22} y + \\texttt{M} _{23})\\f] when the flag #WARP_INVERSE_MAP is set. Otherwise, the transformation is first inverted with #invertAffineTransform and then put in the formula above instead of M. The function cannot operate in-place. @sa warpPerspective, resize, remap, getRectSubPix, transform Python prototype (for reference only): warpAffine(src, M, dsize[, dst[, flags[, borderMode[, borderValue]]]]) -&gt; dst","ref":"Evision.html#warpAffine/4","title":"Evision.warpAffine/4","type":"function"},{"doc":"Applies a perspective transformation to an image. Positional Arguments src : Evision.Mat.t() . input image. m : Evision.Mat.t() . \\f$3\\times 3\\f$ transformation matrix. dsize : Size . size of the output image. Keyword Arguments flags : int . combination of interpolation methods (#INTER_LINEAR or #INTER_NEAREST) and the optional flag #WARP_INVERSE_MAP, that sets M as the inverse transformation ( \\f$\\texttt{dst}\\rightarrow\\texttt{src}\\f$ ). borderMode : int . pixel extrapolation method (#BORDER_CONSTANT or #BORDER_REPLICATE). borderValue : Scalar . value used in case of a constant border; by default, it equals 0. Return dst : Evision.Mat.t() . output image that has the size dsize and the same type as src . The function warpPerspective transforms the source image using the specified matrix: \\f[\\texttt{dst} (x,y) = \\texttt{src} \\left ( \\frac{M_{11} x + M_{12} y + M_{13}}{M_{31} x + M_{32} y + M_{33}} , \\frac{M_{21} x + M_{22} y + M_{23}}{M_{31} x + M_{32} y + M_{33}} \\right )\\f] when the flag #WARP_INVERSE_MAP is set. Otherwise, the transformation is first inverted with invert and then put in the formula above instead of M. The function cannot operate in-place. @sa warpAffine, resize, remap, getRectSubPix, perspectiveTransform Python prototype (for reference only): warpPerspective(src, M, dsize[, dst[, flags[, borderMode[, borderValue]]]]) -&gt; dst","ref":"Evision.html#warpPerspective/3","title":"Evision.warpPerspective/3","type":"function"},{"doc":"Applies a perspective transformation to an image. Positional Arguments src : Evision.Mat.t() . input image. m : Evision.Mat.t() . \\f$3\\times 3\\f$ transformation matrix. dsize : Size . size of the output image. Keyword Arguments flags : int . combination of interpolation methods (#INTER_LINEAR or #INTER_NEAREST) and the optional flag #WARP_INVERSE_MAP, that sets M as the inverse transformation ( \\f$\\texttt{dst}\\rightarrow\\texttt{src}\\f$ ). borderMode : int . pixel extrapolation method (#BORDER_CONSTANT or #BORDER_REPLICATE). borderValue : Scalar . value used in case of a constant border; by default, it equals 0. Return dst : Evision.Mat.t() . output image that has the size dsize and the same type as src . The function warpPerspective transforms the source image using the specified matrix: \\f[\\texttt{dst} (x,y) = \\texttt{src} \\left ( \\frac{M_{11} x + M_{12} y + M_{13}}{M_{31} x + M_{32} y + M_{33}} , \\frac{M_{21} x + M_{22} y + M_{23}}{M_{31} x + M_{32} y + M_{33}} \\right )\\f] when the flag #WARP_INVERSE_MAP is set. Otherwise, the transformation is first inverted with invert and then put in the formula above instead of M. The function cannot operate in-place. @sa warpAffine, resize, remap, getRectSubPix, perspectiveTransform Python prototype (for reference only): warpPerspective(src, M, dsize[, dst[, flags[, borderMode[, borderValue]]]]) -&gt; dst","ref":"Evision.html#warpPerspective/4","title":"Evision.warpPerspective/4","type":"function"},{"doc":"warpPolar Positional Arguments src : Evision.Mat.t() . Source image. dsize : Size . The destination image size (see description for valid options). center : Point2f . The transformation center. maxRadius : double . The radius of the bounding circle to transform. It determines the inverse magnitude scale parameter too. flags : int . A combination of interpolation methods, #InterpolationFlags + #WarpPolarMode. Add #WARP_POLAR_LINEAR to select linear polar mapping (default) Add #WARP_POLAR_LOG to select semilog polar mapping Add #WARP_INVERSE_MAP for reverse mapping. Return dst : Evision.Mat.t() . Destination image. It will have same type as src. \\brief Remaps an image to polar or semilog-polar coordinates space @anchor polar_remaps_reference_image Transform the source image using the following transformation: \\f[ dst(\\rho , \\phi ) = src(x,y) \\f] where \\f[ \\begin{array}{l} \\vec{I} = (x - center.x, \\;y - center.y) \\\\ \\phi = Kangle \\cdot \\texttt{angle} (\\vec{I}) \\\\ \\rho = \\left\\{\\begin{matrix} Klin \\cdot \\texttt{magnitude} (\\vec{I}) &amp; default \\\\ Klog \\cdot log_e(\\texttt{magnitude} (\\vec{I})) &amp; if \\; semilog \\\\ \\end{matrix}\\right. \\end{array} \\f] and \\f[ \\begin{array}{l} Kangle = dsize.height / 2\\Pi \\\\ Klin = dsize.width / maxRadius \\\\ Klog = dsize.width / log_e(maxRadius) \\\\ \\end{array} \\f] \\par Linear vs semilog mapping Polar mapping can be linear or semi-log. Add one of #WarpPolarMode to flags to specify the polar mapping mode. Linear is the default mode. The semilog mapping emulates the human &quot;foveal&quot; vision that permit very high acuity on the line of sight (central vision) in contrast to peripheral vision where acuity is minor. \\par Option on dsize : if both values in dsize &lt;=0 (default), the destination image will have (almost) same area of source bounding circle: \\f[\\begin{array}{l} dsize.area \\leftarrow (maxRadius^2 \\cdot \\Pi) \\\\ dsize.width = \\texttt{cvRound}(maxRadius) \\\\ dsize.height = \\texttt{cvRound}(maxRadius \\cdot \\Pi) \\\\ \\end{array}\\f] if only dsize.height &lt;= 0 , the destination image area will be proportional to the bounding circle area but scaled by Kx * Kx : \\f[\\begin{array}{l} dsize.height = \\texttt{cvRound}(dsize.width \\cdot \\Pi) \\\\ \\end{array} \\f] if both values in dsize &gt; 0 , the destination image will have the given size therefore the area of the bounding circle will be scaled to dsize . \\par Reverse mapping You can get reverse mapping adding #WARP_INVERSE_MAP to flags \\snippet polar_transforms.cpp InverseMap In addiction, to calculate the original coordinate from a polar mapped coordinate \\f$(rho, phi)-&gt;(x, y)\\f$: \\snippet polar_transforms.cpp InverseCoordinate Note : The function can not operate in-place. To calculate magnitude and angle in degrees #cartToPolar is used internally thus angles are measured from 0 to 360 with accuracy about 0.3 degrees. This function uses #remap. Due to current implementation limitations the size of an input and output images should be less than 32767x32767. @sa cv::remap Python prototype (for reference only): warpPolar(src, dsize, center, maxRadius, flags[, dst]) -&gt; dst","ref":"Evision.html#warpPolar/5","title":"Evision.warpPolar/5","type":"function"},{"doc":"warpPolar Positional Arguments src : Evision.Mat.t() . Source image. dsize : Size . The destination image size (see description for valid options). center : Point2f . The transformation center. maxRadius : double . The radius of the bounding circle to transform. It determines the inverse magnitude scale parameter too. flags : int . A combination of interpolation methods, #InterpolationFlags + #WarpPolarMode. Add #WARP_POLAR_LINEAR to select linear polar mapping (default) Add #WARP_POLAR_LOG to select semilog polar mapping Add #WARP_INVERSE_MAP for reverse mapping. Return dst : Evision.Mat.t() . Destination image. It will have same type as src. \\brief Remaps an image to polar or semilog-polar coordinates space @anchor polar_remaps_reference_image Transform the source image using the following transformation: \\f[ dst(\\rho , \\phi ) = src(x,y) \\f] where \\f[ \\begin{array}{l} \\vec{I} = (x - center.x, \\;y - center.y) \\\\ \\phi = Kangle \\cdot \\texttt{angle} (\\vec{I}) \\\\ \\rho = \\left\\{\\begin{matrix} Klin \\cdot \\texttt{magnitude} (\\vec{I}) &amp; default \\\\ Klog \\cdot log_e(\\texttt{magnitude} (\\vec{I})) &amp; if \\; semilog \\\\ \\end{matrix}\\right. \\end{array} \\f] and \\f[ \\begin{array}{l} Kangle = dsize.height / 2\\Pi \\\\ Klin = dsize.width / maxRadius \\\\ Klog = dsize.width / log_e(maxRadius) \\\\ \\end{array} \\f] \\par Linear vs semilog mapping Polar mapping can be linear or semi-log. Add one of #WarpPolarMode to flags to specify the polar mapping mode. Linear is the default mode. The semilog mapping emulates the human &quot;foveal&quot; vision that permit very high acuity on the line of sight (central vision) in contrast to peripheral vision where acuity is minor. \\par Option on dsize : if both values in dsize &lt;=0 (default), the destination image will have (almost) same area of source bounding circle: \\f[\\begin{array}{l} dsize.area \\leftarrow (maxRadius^2 \\cdot \\Pi) \\\\ dsize.width = \\texttt{cvRound}(maxRadius) \\\\ dsize.height = \\texttt{cvRound}(maxRadius \\cdot \\Pi) \\\\ \\end{array}\\f] if only dsize.height &lt;= 0 , the destination image area will be proportional to the bounding circle area but scaled by Kx * Kx : \\f[\\begin{array}{l} dsize.height = \\texttt{cvRound}(dsize.width \\cdot \\Pi) \\\\ \\end{array} \\f] if both values in dsize &gt; 0 , the destination image will have the given size therefore the area of the bounding circle will be scaled to dsize . \\par Reverse mapping You can get reverse mapping adding #WARP_INVERSE_MAP to flags \\snippet polar_transforms.cpp InverseMap In addiction, to calculate the original coordinate from a polar mapped coordinate \\f$(rho, phi)-&gt;(x, y)\\f$: \\snippet polar_transforms.cpp InverseCoordinate Note : The function can not operate in-place. To calculate magnitude and angle in degrees #cartToPolar is used internally thus angles are measured from 0 to 360 with accuracy about 0.3 degrees. This function uses #remap. Due to current implementation limitations the size of an input and output images should be less than 32767x32767. @sa cv::remap Python prototype (for reference only): warpPolar(src, dsize, center, maxRadius, flags[, dst]) -&gt; dst","ref":"Evision.html#warpPolar/6","title":"Evision.warpPolar/6","type":"function"},{"doc":"Performs a marker-based image segmentation using the watershed algorithm. Positional Arguments image : Evision.Mat.t() . Input 8-bit 3-channel image. Return markers : Evision.Mat.t() . Input/output 32-bit single-channel image (map) of markers. It should have the same size as image . The function implements one of the variants of watershed, non-parametric marker-based segmentation algorithm, described in @cite Meyer92 . Before passing the image to the function, you have to roughly outline the desired regions in the image markers with positive (&gt;0) indices. So, every region is represented as one or more connected components with the pixel values 1, 2, 3, and so on. Such markers can be retrieved from a binary mask using #findContours and #drawContours (see the watershed.cpp demo). The markers are &quot;seeds&quot; of the future image regions. All the other pixels in markers , whose relation to the outlined regions is not known and should be defined by the algorithm, should be set to 0's. In the function output, each pixel in markers is set to a value of the &quot;seed&quot; components or to -1 at boundaries between the regions. Note : Any two neighbor connected components are not necessarily separated by a watershed boundary (-1's pixels); for example, they can touch each other in the initial marker image passed to the function. @sa findContours Python prototype (for reference only): watershed(image, markers) -&gt; markers","ref":"Evision.html#watershed/2","title":"Evision.watershed/2","type":"function"},{"doc":"Write a .flo to disk Positional Arguments path : String . Path to the file to be written flow : Evision.Mat.t() . Flow field to be stored Return retval : bool The function stores a flow field in a file, returns true on success, false otherwise. The flow field must be a 2-channel, floating-point matrix (CV_32FC2). First channel corresponds to the flow in the horizontal direction (u), second - vertical (v). Python prototype (for reference only): writeOpticalFlow(path, flow) -&gt; retval","ref":"Evision.html#writeOpticalFlow/2","title":"Evision.writeOpticalFlow/2","type":"function"},{"doc":"","ref":"Evision.AKAZE.html","title":"Evision.AKAZE","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.AKAZE.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AKAZE.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.AKAZE.html#compute/3","title":"Evision.AKAZE.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.AKAZE.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AKAZE.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.AKAZE.html#compute/4","title":"Evision.AKAZE.compute/4","type":"function"},{"doc":"The AKAZE constructor Keyword Arguments descriptor_type : AKAZE_DescriptorType . Type of the extracted descriptor: DESCRIPTOR_KAZE, DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT. descriptor_size : int . Size of the descriptor in bits. 0 -&gt; Full size descriptor_channels : int . Number of channels in the descriptor (1, 2, 3) threshold : float . Detector response threshold to accept point nOctaves : int . Maximum octave evolution of the image nOctaveLayers : int . Default number of sublevels per scale level diffusivity : KAZE_DiffusivityType . Diffusivity type. DIFF_PM_G1, DIFF_PM_G2, DIFF_WEICKERT or DIFF_CHARBONNIER Return retval : Evision.AKAZE.t() Python prototype (for reference only): create([, descriptor_type[, descriptor_size[, descriptor_channels[, threshold[, nOctaves[, nOctaveLayers[, diffusivity]]]]]]]) -&gt; retval","ref":"Evision.AKAZE.html#create/0","title":"Evision.AKAZE.create/0","type":"function"},{"doc":"The AKAZE constructor Keyword Arguments descriptor_type : AKAZE_DescriptorType . Type of the extracted descriptor: DESCRIPTOR_KAZE, DESCRIPTOR_KAZE_UPRIGHT, DESCRIPTOR_MLDB or DESCRIPTOR_MLDB_UPRIGHT. descriptor_size : int . Size of the descriptor in bits. 0 -&gt; Full size descriptor_channels : int . Number of channels in the descriptor (1, 2, 3) threshold : float . Detector response threshold to accept point nOctaves : int . Maximum octave evolution of the image nOctaveLayers : int . Default number of sublevels per scale level diffusivity : KAZE_DiffusivityType . Diffusivity type. DIFF_PM_G1, DIFF_PM_G2, DIFF_WEICKERT or DIFF_CHARBONNIER Return retval : Evision.AKAZE.t() Python prototype (for reference only): create([, descriptor_type[, descriptor_size[, descriptor_channels[, threshold[, nOctaves[, nOctaveLayers[, diffusivity]]]]]]]) -&gt; retval","ref":"Evision.AKAZE.html#create/1","title":"Evision.AKAZE.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.AKAZE.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.AKAZE.html#defaultNorm/1","title":"Evision.AKAZE.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.AKAZE.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.AKAZE.html#descriptorSize/1","title":"Evision.AKAZE.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.AKAZE.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.AKAZE.html#descriptorType/1","title":"Evision.AKAZE.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.AKAZE.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AKAZE.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.AKAZE.html#detect/2","title":"Evision.AKAZE.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.AKAZE.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AKAZE.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.AKAZE.html#detect/3","title":"Evision.AKAZE.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.AKAZE.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.AKAZE.html#detectAndCompute/3","title":"Evision.AKAZE.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.AKAZE.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.AKAZE.html#detectAndCompute/4","title":"Evision.AKAZE.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.AKAZE.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.AKAZE.html#empty/1","title":"Evision.AKAZE.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.AKAZE.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.AKAZE.html#getDefaultName/1","title":"Evision.AKAZE.getDefaultName/1","type":"function"},{"doc":"getDescriptorChannels Positional Arguments self : Evision.AKAZE.t() Return retval : int Python prototype (for reference only): getDescriptorChannels() -&gt; retval","ref":"Evision.AKAZE.html#getDescriptorChannels/1","title":"Evision.AKAZE.getDescriptorChannels/1","type":"function"},{"doc":"getDescriptorSize Positional Arguments self : Evision.AKAZE.t() Return retval : int Python prototype (for reference only): getDescriptorSize() -&gt; retval","ref":"Evision.AKAZE.html#getDescriptorSize/1","title":"Evision.AKAZE.getDescriptorSize/1","type":"function"},{"doc":"getDescriptorType Positional Arguments self : Evision.AKAZE.t() Return retval : AKAZE::DescriptorType Python prototype (for reference only): getDescriptorType() -&gt; retval","ref":"Evision.AKAZE.html#getDescriptorType/1","title":"Evision.AKAZE.getDescriptorType/1","type":"function"},{"doc":"getDiffusivity Positional Arguments self : Evision.AKAZE.t() Return retval : KAZE::DiffusivityType Python prototype (for reference only): getDiffusivity() -&gt; retval","ref":"Evision.AKAZE.html#getDiffusivity/1","title":"Evision.AKAZE.getDiffusivity/1","type":"function"},{"doc":"getNOctaveLayers Positional Arguments self : Evision.AKAZE.t() Return retval : int Python prototype (for reference only): getNOctaveLayers() -&gt; retval","ref":"Evision.AKAZE.html#getNOctaveLayers/1","title":"Evision.AKAZE.getNOctaveLayers/1","type":"function"},{"doc":"getNOctaves Positional Arguments self : Evision.AKAZE.t() Return retval : int Python prototype (for reference only): getNOctaves() -&gt; retval","ref":"Evision.AKAZE.html#getNOctaves/1","title":"Evision.AKAZE.getNOctaves/1","type":"function"},{"doc":"getThreshold Positional Arguments self : Evision.AKAZE.t() Return retval : double Python prototype (for reference only): getThreshold() -&gt; retval","ref":"Evision.AKAZE.html#getThreshold/1","title":"Evision.AKAZE.getThreshold/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.AKAZE.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.AKAZE.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.AKAZE.html#read/2","title":"Evision.AKAZE.read/2","type":"function"},{"doc":"setDescriptorChannels Positional Arguments self : Evision.AKAZE.t() dch : int Python prototype (for reference only): setDescriptorChannels(dch) -&gt; None","ref":"Evision.AKAZE.html#setDescriptorChannels/2","title":"Evision.AKAZE.setDescriptorChannels/2","type":"function"},{"doc":"setDescriptorSize Positional Arguments self : Evision.AKAZE.t() dsize : int Python prototype (for reference only): setDescriptorSize(dsize) -&gt; None","ref":"Evision.AKAZE.html#setDescriptorSize/2","title":"Evision.AKAZE.setDescriptorSize/2","type":"function"},{"doc":"setDescriptorType Positional Arguments self : Evision.AKAZE.t() dtype : AKAZE_DescriptorType Python prototype (for reference only): setDescriptorType(dtype) -&gt; None","ref":"Evision.AKAZE.html#setDescriptorType/2","title":"Evision.AKAZE.setDescriptorType/2","type":"function"},{"doc":"setDiffusivity Positional Arguments self : Evision.AKAZE.t() diff : KAZE_DiffusivityType Python prototype (for reference only): setDiffusivity(diff) -&gt; None","ref":"Evision.AKAZE.html#setDiffusivity/2","title":"Evision.AKAZE.setDiffusivity/2","type":"function"},{"doc":"setNOctaveLayers Positional Arguments self : Evision.AKAZE.t() octaveLayers : int Python prototype (for reference only): setNOctaveLayers(octaveLayers) -&gt; None","ref":"Evision.AKAZE.html#setNOctaveLayers/2","title":"Evision.AKAZE.setNOctaveLayers/2","type":"function"},{"doc":"setNOctaves Positional Arguments self : Evision.AKAZE.t() octaves : int Python prototype (for reference only): setNOctaves(octaves) -&gt; None","ref":"Evision.AKAZE.html#setNOctaves/2","title":"Evision.AKAZE.setNOctaves/2","type":"function"},{"doc":"setThreshold Positional Arguments self : Evision.AKAZE.t() threshold : double Python prototype (for reference only): setThreshold(threshold) -&gt; None","ref":"Evision.AKAZE.html#setThreshold/2","title":"Evision.AKAZE.setThreshold/2","type":"function"},{"doc":"write Positional Arguments self : Evision.AKAZE.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.AKAZE.html#write/2","title":"Evision.AKAZE.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.AKAZE.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.AKAZE.html#write/3","title":"Evision.AKAZE.write/3","type":"function"},{"doc":"Type that represents an AKAZE struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.AKAZE.html#t:t/0","title":"Evision.AKAZE.t/0","type":"type"},{"doc":"","ref":"Evision.AffineFeature.html","title":"Evision.AffineFeature","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.AffineFeature.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AffineFeature.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.AffineFeature.html#compute/3","title":"Evision.AffineFeature.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.AffineFeature.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AffineFeature.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.AffineFeature.html#compute/4","title":"Evision.AffineFeature.compute/4","type":"function"},{"doc":"create Positional Arguments backend : Evision.Feature2D.t() . The detector/extractor you want to use as backend. Keyword Arguments maxTilt : int . The highest power index of tilt factor. 5 is used in the paper as tilt sampling range n. minTilt : int . The lowest power index of tilt factor. 0 is used in the paper. tiltStep : float . Tilt sampling step \\f$\\delta_t\\f$ in Algorithm 1 in the paper. rotateStepBase : float . Rotation sampling step factor b in Algorithm 1 in the paper. Return retval : Evision.AffineFeature.t() Python prototype (for reference only): create(backend[, maxTilt[, minTilt[, tiltStep[, rotateStepBase]]]]) -&gt; retval","ref":"Evision.AffineFeature.html#create/1","title":"Evision.AffineFeature.create/1","type":"function"},{"doc":"create Positional Arguments backend : Evision.Feature2D.t() . The detector/extractor you want to use as backend. Keyword Arguments maxTilt : int . The highest power index of tilt factor. 5 is used in the paper as tilt sampling range n. minTilt : int . The lowest power index of tilt factor. 0 is used in the paper. tiltStep : float . Tilt sampling step \\f$\\delta_t\\f$ in Algorithm 1 in the paper. rotateStepBase : float . Rotation sampling step factor b in Algorithm 1 in the paper. Return retval : Evision.AffineFeature.t() Python prototype (for reference only): create(backend[, maxTilt[, minTilt[, tiltStep[, rotateStepBase]]]]) -&gt; retval","ref":"Evision.AffineFeature.html#create/2","title":"Evision.AffineFeature.create/2","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.AffineFeature.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.AffineFeature.html#defaultNorm/1","title":"Evision.AffineFeature.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.AffineFeature.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.AffineFeature.html#descriptorSize/1","title":"Evision.AffineFeature.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.AffineFeature.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.AffineFeature.html#descriptorType/1","title":"Evision.AffineFeature.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.AffineFeature.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AffineFeature.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.AffineFeature.html#detect/2","title":"Evision.AffineFeature.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.AffineFeature.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AffineFeature.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.AffineFeature.html#detect/3","title":"Evision.AffineFeature.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.AffineFeature.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.AffineFeature.html#detectAndCompute/3","title":"Evision.AffineFeature.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.AffineFeature.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.AffineFeature.html#detectAndCompute/4","title":"Evision.AffineFeature.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.AffineFeature.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.AffineFeature.html#empty/1","title":"Evision.AffineFeature.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.AffineFeature.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.AffineFeature.html#getDefaultName/1","title":"Evision.AffineFeature.getDefaultName/1","type":"function"},{"doc":"getViewParams Positional Arguments self : Evision.AffineFeature.t() tilts : [float] rolls : [float] Python prototype (for reference only): getViewParams(tilts, rolls) -&gt; None","ref":"Evision.AffineFeature.html#getViewParams/3","title":"Evision.AffineFeature.getViewParams/3","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.AffineFeature.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.AffineFeature.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.AffineFeature.html#read/2","title":"Evision.AffineFeature.read/2","type":"function"},{"doc":"setViewParams Positional Arguments self : Evision.AffineFeature.t() tilts : [float] rolls : [float] Python prototype (for reference only): setViewParams(tilts, rolls) -&gt; None","ref":"Evision.AffineFeature.html#setViewParams/3","title":"Evision.AffineFeature.setViewParams/3","type":"function"},{"doc":"write Positional Arguments self : Evision.AffineFeature.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.AffineFeature.html#write/2","title":"Evision.AffineFeature.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.AffineFeature.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.AffineFeature.html#write/3","title":"Evision.AffineFeature.write/3","type":"function"},{"doc":"Type that represents an AffineFeature struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.AffineFeature.html#t:t/0","title":"Evision.AffineFeature.t/0","type":"type"},{"doc":"","ref":"Evision.AffineTransformer.html","title":"Evision.AffineTransformer","type":"module"},{"doc":"getFullAffine Positional Arguments self : Evision.AffineTransformer.t() Return retval : bool Python prototype (for reference only): getFullAffine() -&gt; retval","ref":"Evision.AffineTransformer.html#getFullAffine/1","title":"Evision.AffineTransformer.getFullAffine/1","type":"function"},{"doc":"setFullAffine Positional Arguments self : Evision.AffineTransformer.t() fullAffine : bool Python prototype (for reference only): setFullAffine(fullAffine) -&gt; None","ref":"Evision.AffineTransformer.html#setFullAffine/2","title":"Evision.AffineTransformer.setFullAffine/2","type":"function"},{"doc":"Type that represents an AffineTransformer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.AffineTransformer.html#t:t/0","title":"Evision.AffineTransformer.t/0","type":"type"},{"doc":"","ref":"Evision.AgastFeatureDetector.html","title":"Evision.AgastFeatureDetector","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.AgastFeatureDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AgastFeatureDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.AgastFeatureDetector.html#compute/3","title":"Evision.AgastFeatureDetector.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.AgastFeatureDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AgastFeatureDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.AgastFeatureDetector.html#compute/4","title":"Evision.AgastFeatureDetector.compute/4","type":"function"},{"doc":"create Keyword Arguments threshold : int . nonmaxSuppression : bool . type : AgastFeatureDetector_DetectorType . Return retval : Evision.AgastFeatureDetector.t() Python prototype (for reference only): create([, threshold[, nonmaxSuppression[, type]]]) -&gt; retval","ref":"Evision.AgastFeatureDetector.html#create/0","title":"Evision.AgastFeatureDetector.create/0","type":"function"},{"doc":"create Keyword Arguments threshold : int . nonmaxSuppression : bool . type : AgastFeatureDetector_DetectorType . Return retval : Evision.AgastFeatureDetector.t() Python prototype (for reference only): create([, threshold[, nonmaxSuppression[, type]]]) -&gt; retval","ref":"Evision.AgastFeatureDetector.html#create/1","title":"Evision.AgastFeatureDetector.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.AgastFeatureDetector.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.AgastFeatureDetector.html#defaultNorm/1","title":"Evision.AgastFeatureDetector.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.AgastFeatureDetector.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.AgastFeatureDetector.html#descriptorSize/1","title":"Evision.AgastFeatureDetector.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.AgastFeatureDetector.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.AgastFeatureDetector.html#descriptorType/1","title":"Evision.AgastFeatureDetector.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.AgastFeatureDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AgastFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.AgastFeatureDetector.html#detect/2","title":"Evision.AgastFeatureDetector.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.AgastFeatureDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.AgastFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.AgastFeatureDetector.html#detect/3","title":"Evision.AgastFeatureDetector.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.AgastFeatureDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.AgastFeatureDetector.html#detectAndCompute/3","title":"Evision.AgastFeatureDetector.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.AgastFeatureDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.AgastFeatureDetector.html#detectAndCompute/4","title":"Evision.AgastFeatureDetector.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.AgastFeatureDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.AgastFeatureDetector.html#empty/1","title":"Evision.AgastFeatureDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.AgastFeatureDetector.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.AgastFeatureDetector.html#getDefaultName/1","title":"Evision.AgastFeatureDetector.getDefaultName/1","type":"function"},{"doc":"getNonmaxSuppression Positional Arguments self : Evision.AgastFeatureDetector.t() Return retval : bool Python prototype (for reference only): getNonmaxSuppression() -&gt; retval","ref":"Evision.AgastFeatureDetector.html#getNonmaxSuppression/1","title":"Evision.AgastFeatureDetector.getNonmaxSuppression/1","type":"function"},{"doc":"getThreshold Positional Arguments self : Evision.AgastFeatureDetector.t() Return retval : int Python prototype (for reference only): getThreshold() -&gt; retval","ref":"Evision.AgastFeatureDetector.html#getThreshold/1","title":"Evision.AgastFeatureDetector.getThreshold/1","type":"function"},{"doc":"getType Positional Arguments self : Evision.AgastFeatureDetector.t() Return retval : AgastFeatureDetector::DetectorType Python prototype (for reference only): getType() -&gt; retval","ref":"Evision.AgastFeatureDetector.html#getType/1","title":"Evision.AgastFeatureDetector.getType/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.AgastFeatureDetector.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.AgastFeatureDetector.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.AgastFeatureDetector.html#read/2","title":"Evision.AgastFeatureDetector.read/2","type":"function"},{"doc":"setNonmaxSuppression Positional Arguments self : Evision.AgastFeatureDetector.t() f : bool Python prototype (for reference only): setNonmaxSuppression(f) -&gt; None","ref":"Evision.AgastFeatureDetector.html#setNonmaxSuppression/2","title":"Evision.AgastFeatureDetector.setNonmaxSuppression/2","type":"function"},{"doc":"setThreshold Positional Arguments self : Evision.AgastFeatureDetector.t() threshold : int Python prototype (for reference only): setThreshold(threshold) -&gt; None","ref":"Evision.AgastFeatureDetector.html#setThreshold/2","title":"Evision.AgastFeatureDetector.setThreshold/2","type":"function"},{"doc":"setType Positional Arguments self : Evision.AgastFeatureDetector.t() type : AgastFeatureDetector_DetectorType Python prototype (for reference only): setType(type) -&gt; None","ref":"Evision.AgastFeatureDetector.html#setType/2","title":"Evision.AgastFeatureDetector.setType/2","type":"function"},{"doc":"write Positional Arguments self : Evision.AgastFeatureDetector.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.AgastFeatureDetector.html#write/2","title":"Evision.AgastFeatureDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.AgastFeatureDetector.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.AgastFeatureDetector.html#write/3","title":"Evision.AgastFeatureDetector.write/3","type":"function"},{"doc":"Type that represents an AgastFeatureDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.AgastFeatureDetector.html#t:t/0","title":"Evision.AgastFeatureDetector.t/0","type":"type"},{"doc":"","ref":"Evision.Algorithm.html","title":"Evision.Algorithm","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Algorithm.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Algorithm.html#clear/1","title":"Evision.Algorithm.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Algorithm.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Algorithm.html#empty/1","title":"Evision.Algorithm.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Algorithm.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Algorithm.html#getDefaultName/1","title":"Evision.Algorithm.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Algorithm.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Algorithm.html#read/2","title":"Evision.Algorithm.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Algorithm.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Algorithm.html#save/2","title":"Evision.Algorithm.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Algorithm.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Algorithm.html#write/2","title":"Evision.Algorithm.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Algorithm.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Algorithm.html#write/3","title":"Evision.Algorithm.write/3","type":"function"},{"doc":"Type that represents an Algorithm struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Algorithm.html#t:t/0","title":"Evision.Algorithm.t/0","type":"type"},{"doc":"","ref":"Evision.AlignExposures.html","title":"Evision.AlignExposures","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.AlignExposures.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.AlignExposures.html#clear/1","title":"Evision.AlignExposures.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.AlignExposures.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.AlignExposures.html#empty/1","title":"Evision.AlignExposures.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.AlignExposures.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.AlignExposures.html#getDefaultName/1","title":"Evision.AlignExposures.getDefaultName/1","type":"function"},{"doc":"Aligns images Positional Arguments self : Evision.AlignExposures.t() src : [Evision.Mat] . vector of input images dst : [Evision.Mat] . vector of aligned images times : Evision.Mat.t() . vector of exposure time values for each image response : Evision.Mat.t() . 256x1 matrix with inverse camera response function for each pixel value, it should have the same number of channels as images. Python prototype (for reference only): process(src, dst, times, response) -&gt; None","ref":"Evision.AlignExposures.html#process/5","title":"Evision.AlignExposures.process/5","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.AlignExposures.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.AlignExposures.html#read/2","title":"Evision.AlignExposures.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.AlignExposures.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.AlignExposures.html#save/2","title":"Evision.AlignExposures.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.AlignExposures.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.AlignExposures.html#write/2","title":"Evision.AlignExposures.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.AlignExposures.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.AlignExposures.html#write/3","title":"Evision.AlignExposures.write/3","type":"function"},{"doc":"Type that represents an AlignExposures struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.AlignExposures.html#t:t/0","title":"Evision.AlignExposures.t/0","type":"type"},{"doc":"","ref":"Evision.AlignMTB.html","title":"Evision.AlignMTB","type":"module"},{"doc":"Calculates shift between two images, i. e. how to shift the second image to correspond it with the first. Positional Arguments self : Evision.AlignMTB.t() img0 : Evision.Mat.t() . first image img1 : Evision.Mat.t() . second image Return retval : Point Python prototype (for reference only): calculateShift(img0, img1) -&gt; retval","ref":"Evision.AlignMTB.html#calculateShift/3","title":"Evision.AlignMTB.calculateShift/3","type":"function"},{"doc":"Computes median threshold and exclude bitmaps of given image. Positional Arguments self : Evision.AlignMTB.t() img : Evision.Mat.t() . input image Return tb : Evision.Mat.t() . median threshold bitmap eb : Evision.Mat.t() . exclude bitmap Python prototype (for reference only): computeBitmaps(img[, tb[, eb]]) -&gt; tb, eb","ref":"Evision.AlignMTB.html#computeBitmaps/2","title":"Evision.AlignMTB.computeBitmaps/2","type":"function"},{"doc":"Computes median threshold and exclude bitmaps of given image. Positional Arguments self : Evision.AlignMTB.t() img : Evision.Mat.t() . input image Return tb : Evision.Mat.t() . median threshold bitmap eb : Evision.Mat.t() . exclude bitmap Python prototype (for reference only): computeBitmaps(img[, tb[, eb]]) -&gt; tb, eb","ref":"Evision.AlignMTB.html#computeBitmaps/3","title":"Evision.AlignMTB.computeBitmaps/3","type":"function"},{"doc":"getCut Positional Arguments self : Evision.AlignMTB.t() Return retval : bool Python prototype (for reference only): getCut() -&gt; retval","ref":"Evision.AlignMTB.html#getCut/1","title":"Evision.AlignMTB.getCut/1","type":"function"},{"doc":"getExcludeRange Positional Arguments self : Evision.AlignMTB.t() Return retval : int Python prototype (for reference only): getExcludeRange() -&gt; retval","ref":"Evision.AlignMTB.html#getExcludeRange/1","title":"Evision.AlignMTB.getExcludeRange/1","type":"function"},{"doc":"getMaxBits Positional Arguments self : Evision.AlignMTB.t() Return retval : int Python prototype (for reference only): getMaxBits() -&gt; retval","ref":"Evision.AlignMTB.html#getMaxBits/1","title":"Evision.AlignMTB.getMaxBits/1","type":"function"},{"doc":"Short version of process, that doesn't take extra arguments. Positional Arguments self : Evision.AlignMTB.t() src : [Evision.Mat] . vector of input images dst : [Evision.Mat] . vector of aligned images Python prototype (for reference only): process(src, dst) -&gt; None","ref":"Evision.AlignMTB.html#process/3","title":"Evision.AlignMTB.process/3","type":"function"},{"doc":"process Positional Arguments self : Evision.AlignMTB.t() src : [Evision.Mat] dst : [Evision.Mat] times : Evision.Mat.t() response : Evision.Mat.t() Python prototype (for reference only): process(src, dst, times, response) -&gt; None","ref":"Evision.AlignMTB.html#process/5","title":"Evision.AlignMTB.process/5","type":"function"},{"doc":"setCut Positional Arguments self : Evision.AlignMTB.t() value : bool Python prototype (for reference only): setCut(value) -&gt; None","ref":"Evision.AlignMTB.html#setCut/2","title":"Evision.AlignMTB.setCut/2","type":"function"},{"doc":"setExcludeRange Positional Arguments self : Evision.AlignMTB.t() exclude_range : int Python prototype (for reference only): setExcludeRange(exclude_range) -&gt; None","ref":"Evision.AlignMTB.html#setExcludeRange/2","title":"Evision.AlignMTB.setExcludeRange/2","type":"function"},{"doc":"setMaxBits Positional Arguments self : Evision.AlignMTB.t() max_bits : int Python prototype (for reference only): setMaxBits(max_bits) -&gt; None","ref":"Evision.AlignMTB.html#setMaxBits/2","title":"Evision.AlignMTB.setMaxBits/2","type":"function"},{"doc":"Helper function, that shift Mat filling new regions with zeros. Positional Arguments self : Evision.AlignMTB.t() src : Evision.Mat.t() . input image shift : Point . shift value Return dst : Evision.Mat.t() . result image Python prototype (for reference only): shiftMat(src, shift[, dst]) -&gt; dst","ref":"Evision.AlignMTB.html#shiftMat/3","title":"Evision.AlignMTB.shiftMat/3","type":"function"},{"doc":"Helper function, that shift Mat filling new regions with zeros. Positional Arguments self : Evision.AlignMTB.t() src : Evision.Mat.t() . input image shift : Point . shift value Return dst : Evision.Mat.t() . result image Python prototype (for reference only): shiftMat(src, shift[, dst]) -&gt; dst","ref":"Evision.AlignMTB.html#shiftMat/4","title":"Evision.AlignMTB.shiftMat/4","type":"function"},{"doc":"Type that represents an AlignMTB struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.AlignMTB.html#t:t/0","title":"Evision.AlignMTB.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.html","title":"Evision.ArUco","type":"module"},{"doc":"It's the same function as #calibrateCameraAruco but without calibration error estimation. Positional Arguments corners : [Evision.Mat] ids : Evision.Mat.t() counter : Evision.Mat.t() board : Board imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() rvecs : [Evision.Mat] . tvecs : [Evision.Mat] . Has overloading in C++ Python prototype (for reference only): calibrateCameraAruco(corners, ids, counter, board, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, flags[, criteria]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs","ref":"Evision.ArUco.html#calibrateCameraAruco/7","title":"Evision.ArUco.calibrateCameraAruco/7","type":"function"},{"doc":"It's the same function as #calibrateCameraAruco but without calibration error estimation. Positional Arguments corners : [Evision.Mat] ids : Evision.Mat.t() counter : Evision.Mat.t() board : Board imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() rvecs : [Evision.Mat] . tvecs : [Evision.Mat] . Has overloading in C++ Python prototype (for reference only): calibrateCameraAruco(corners, ids, counter, board, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, flags[, criteria]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs","ref":"Evision.ArUco.html#calibrateCameraAruco/8","title":"Evision.ArUco.calibrateCameraAruco/8","type":"function"},{"doc":"Calibrate a camera using aruco markers Positional Arguments corners : [Evision.Mat] . vector of detected marker corners in all frames. The corners should have the same format returned by detectMarkers (see #detectMarkers). ids : Evision.Mat.t() . list of identifiers for each marker in corners counter : Evision.Mat.t() . number of markers in each frame so that corners and ids can be split board : Board . Marker Board layout imageSize : Size . Size of the image used only to initialize the intrinsic camera matrix. Keyword Arguments flags : int . flags Different flags for the calibration process (see #calibrateCamera for details). criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double cameraMatrix : Evision.Mat.t() . Output 3x3 floating-point camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . If CV_CALIB_USE_INTRINSIC_GUESS and/or CV_CALIB_FIX_ASPECT_RATIO are specified, some or all of fx, fy, cx, cy must be initialized before calling the function. distCoeffs : Evision.Mat.t() . Output vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6],[s_1, s_2, s_3, s_4]])\\f$ of 4, 5, 8 or 12 elements rvecs : [Evision.Mat] . Output vector of rotation vectors (see Rodrigues ) estimated for each board view (e.g. std::vector&lt;cv::Mat&gt;&gt;). That is, each k-th rotation vector together with the corresponding k-th translation vector (see the next output parameter description) brings the board pattern from the model coordinate space (in which object points are specified) to the world coordinate space, that is, a real position of the board pattern in the k-th pattern view (k=0.. M -1). tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view. stdDeviationsIntrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for intrinsic parameters. Order of deviations values: \\f$(f_x, f_y, c_x, c_y, k_1, k_2, p_1, p_2, k_3, k_4, k_5, k_6 , s_1, s_2, s_3, s_4, \\tau_x, \\tau_y)\\f$ If one of parameters is not estimated, it's deviation is equals to zero. stdDeviationsExtrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for extrinsic parameters. Order of deviations values: \\f$(R_1, T_1, \\dotsc , R_M, T_M)\\f$ where M is number of pattern views, \\f$R_i, T_i\\f$ are concatenated 1x3 vectors. perViewErrors : Evision.Mat.t() . Output vector of average re-projection errors estimated for each pattern view. This function calibrates a camera using an Aruco Board. The function receives a list of detected markers from several views of the Board. The process is similar to the chessboard calibration in calibrateCamera(). The function returns the final re-projection error. Python prototype (for reference only): calibrateCameraArucoExtended(corners, ids, counter, board, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, stdDeviationsIntrinsics[, stdDeviationsExtrinsics[, perViewErrors[, flags[, criteria]]]]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs, stdDeviationsIntrinsics, stdDeviationsExtrinsics, perViewErrors","ref":"Evision.ArUco.html#calibrateCameraArucoExtended/7","title":"Evision.ArUco.calibrateCameraArucoExtended/7","type":"function"},{"doc":"Calibrate a camera using aruco markers Positional Arguments corners : [Evision.Mat] . vector of detected marker corners in all frames. The corners should have the same format returned by detectMarkers (see #detectMarkers). ids : Evision.Mat.t() . list of identifiers for each marker in corners counter : Evision.Mat.t() . number of markers in each frame so that corners and ids can be split board : Board . Marker Board layout imageSize : Size . Size of the image used only to initialize the intrinsic camera matrix. Keyword Arguments flags : int . flags Different flags for the calibration process (see #calibrateCamera for details). criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double cameraMatrix : Evision.Mat.t() . Output 3x3 floating-point camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . If CV_CALIB_USE_INTRINSIC_GUESS and/or CV_CALIB_FIX_ASPECT_RATIO are specified, some or all of fx, fy, cx, cy must be initialized before calling the function. distCoeffs : Evision.Mat.t() . Output vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6],[s_1, s_2, s_3, s_4]])\\f$ of 4, 5, 8 or 12 elements rvecs : [Evision.Mat] . Output vector of rotation vectors (see Rodrigues ) estimated for each board view (e.g. std::vector&lt;cv::Mat&gt;&gt;). That is, each k-th rotation vector together with the corresponding k-th translation vector (see the next output parameter description) brings the board pattern from the model coordinate space (in which object points are specified) to the world coordinate space, that is, a real position of the board pattern in the k-th pattern view (k=0.. M -1). tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view. stdDeviationsIntrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for intrinsic parameters. Order of deviations values: \\f$(f_x, f_y, c_x, c_y, k_1, k_2, p_1, p_2, k_3, k_4, k_5, k_6 , s_1, s_2, s_3, s_4, \\tau_x, \\tau_y)\\f$ If one of parameters is not estimated, it's deviation is equals to zero. stdDeviationsExtrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for extrinsic parameters. Order of deviations values: \\f$(R_1, T_1, \\dotsc , R_M, T_M)\\f$ where M is number of pattern views, \\f$R_i, T_i\\f$ are concatenated 1x3 vectors. perViewErrors : Evision.Mat.t() . Output vector of average re-projection errors estimated for each pattern view. This function calibrates a camera using an Aruco Board. The function receives a list of detected markers from several views of the Board. The process is similar to the chessboard calibration in calibrateCamera(). The function returns the final re-projection error. Python prototype (for reference only): calibrateCameraArucoExtended(corners, ids, counter, board, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, stdDeviationsIntrinsics[, stdDeviationsExtrinsics[, perViewErrors[, flags[, criteria]]]]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs, stdDeviationsIntrinsics, stdDeviationsExtrinsics, perViewErrors","ref":"Evision.ArUco.html#calibrateCameraArucoExtended/8","title":"Evision.ArUco.calibrateCameraArucoExtended/8","type":"function"},{"doc":"It's the same function as #calibrateCameraCharuco but without calibration error estimation. Positional Arguments charucoCorners : [Evision.Mat] charucoIds : [Evision.Mat] board : Evision.ArUco.CharucoBoard.t() imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() rvecs : [Evision.Mat] . tvecs : [Evision.Mat] . Python prototype (for reference only): calibrateCameraCharuco(charucoCorners, charucoIds, board, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, flags[, criteria]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs","ref":"Evision.ArUco.html#calibrateCameraCharuco/6","title":"Evision.ArUco.calibrateCameraCharuco/6","type":"function"},{"doc":"It's the same function as #calibrateCameraCharuco but without calibration error estimation. Positional Arguments charucoCorners : [Evision.Mat] charucoIds : [Evision.Mat] board : Evision.ArUco.CharucoBoard.t() imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() rvecs : [Evision.Mat] . tvecs : [Evision.Mat] . Python prototype (for reference only): calibrateCameraCharuco(charucoCorners, charucoIds, board, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, flags[, criteria]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs","ref":"Evision.ArUco.html#calibrateCameraCharuco/7","title":"Evision.ArUco.calibrateCameraCharuco/7","type":"function"},{"doc":"Calibrate a camera using Charuco corners Positional Arguments charucoCorners : [Evision.Mat] . vector of detected charuco corners per frame charucoIds : [Evision.Mat] . list of identifiers for each corner in charucoCorners per frame board : Evision.ArUco.CharucoBoard.t() . Marker Board layout imageSize : Size . input image size Keyword Arguments flags : int . flags Different flags for the calibration process (see #calibrateCamera for details). criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double cameraMatrix : Evision.Mat.t() . Output 3x3 floating-point camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . If CV_CALIB_USE_INTRINSIC_GUESS and/or CV_CALIB_FIX_ASPECT_RATIO are specified, some or all of fx, fy, cx, cy must be initialized before calling the function. distCoeffs : Evision.Mat.t() . Output vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6],[s_1, s_2, s_3, s_4]])\\f$ of 4, 5, 8 or 12 elements rvecs : [Evision.Mat] . Output vector of rotation vectors (see Rodrigues ) estimated for each board view (e.g. std::vector&lt;cv::Mat&gt;&gt;). That is, each k-th rotation vector together with the corresponding k-th translation vector (see the next output parameter description) brings the board pattern from the model coordinate space (in which object points are specified) to the world coordinate space, that is, a real position of the board pattern in the k-th pattern view (k=0.. M -1). tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view. stdDeviationsIntrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for intrinsic parameters. Order of deviations values: \\f$(f_x, f_y, c_x, c_y, k_1, k_2, p_1, p_2, k_3, k_4, k_5, k_6 , s_1, s_2, s_3, s_4, \\tau_x, \\tau_y)\\f$ If one of parameters is not estimated, it's deviation is equals to zero. stdDeviationsExtrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for extrinsic parameters. Order of deviations values: \\f$(R_1, T_1, \\dotsc , R_M, T_M)\\f$ where M is number of pattern views, \\f$R_i, T_i\\f$ are concatenated 1x3 vectors. perViewErrors : Evision.Mat.t() . Output vector of average re-projection errors estimated for each pattern view. This function calibrates a camera using a set of corners of a Charuco Board. The function receives a list of detected corners and its identifiers from several views of the Board. The function returns the final re-projection error. Python prototype (for reference only): calibrateCameraCharucoExtended(charucoCorners, charucoIds, board, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, stdDeviationsIntrinsics[, stdDeviationsExtrinsics[, perViewErrors[, flags[, criteria]]]]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs, stdDeviationsIntrinsics, stdDeviationsExtrinsics, perViewErrors","ref":"Evision.ArUco.html#calibrateCameraCharucoExtended/6","title":"Evision.ArUco.calibrateCameraCharucoExtended/6","type":"function"},{"doc":"Calibrate a camera using Charuco corners Positional Arguments charucoCorners : [Evision.Mat] . vector of detected charuco corners per frame charucoIds : [Evision.Mat] . list of identifiers for each corner in charucoCorners per frame board : Evision.ArUco.CharucoBoard.t() . Marker Board layout imageSize : Size . input image size Keyword Arguments flags : int . flags Different flags for the calibration process (see #calibrateCamera for details). criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double cameraMatrix : Evision.Mat.t() . Output 3x3 floating-point camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ . If CV_CALIB_USE_INTRINSIC_GUESS and/or CV_CALIB_FIX_ASPECT_RATIO are specified, some or all of fx, fy, cx, cy must be initialized before calling the function. distCoeffs : Evision.Mat.t() . Output vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6],[s_1, s_2, s_3, s_4]])\\f$ of 4, 5, 8 or 12 elements rvecs : [Evision.Mat] . Output vector of rotation vectors (see Rodrigues ) estimated for each board view (e.g. std::vector&lt;cv::Mat&gt;&gt;). That is, each k-th rotation vector together with the corresponding k-th translation vector (see the next output parameter description) brings the board pattern from the model coordinate space (in which object points are specified) to the world coordinate space, that is, a real position of the board pattern in the k-th pattern view (k=0.. M -1). tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view. stdDeviationsIntrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for intrinsic parameters. Order of deviations values: \\f$(f_x, f_y, c_x, c_y, k_1, k_2, p_1, p_2, k_3, k_4, k_5, k_6 , s_1, s_2, s_3, s_4, \\tau_x, \\tau_y)\\f$ If one of parameters is not estimated, it's deviation is equals to zero. stdDeviationsExtrinsics : Evision.Mat.t() . Output vector of standard deviations estimated for extrinsic parameters. Order of deviations values: \\f$(R_1, T_1, \\dotsc , R_M, T_M)\\f$ where M is number of pattern views, \\f$R_i, T_i\\f$ are concatenated 1x3 vectors. perViewErrors : Evision.Mat.t() . Output vector of average re-projection errors estimated for each pattern view. This function calibrates a camera using a set of corners of a Charuco Board. The function receives a list of detected corners and its identifiers from several views of the Board. The function returns the final re-projection error. Python prototype (for reference only): calibrateCameraCharucoExtended(charucoCorners, charucoIds, board, imageSize, cameraMatrix, distCoeffs[, rvecs[, tvecs[, stdDeviationsIntrinsics[, stdDeviationsExtrinsics[, perViewErrors[, flags[, criteria]]]]]]]) -&gt; retval, cameraMatrix, distCoeffs, rvecs, tvecs, stdDeviationsIntrinsics, stdDeviationsExtrinsics, perViewErrors","ref":"Evision.ArUco.html#calibrateCameraCharucoExtended/7","title":"Evision.ArUco.calibrateCameraCharucoExtended/7","type":"function"},{"doc":"Detect ChArUco Diamond markers Positional Arguments image : Evision.Mat.t() . input image necessary for corner subpixel. markerCorners : [Evision.Mat] . list of detected marker corners from detectMarkers function. markerIds : Evision.Mat.t() . list of marker ids in markerCorners. squareMarkerLengthRate : float . rate between square and marker length: squareMarkerLengthRate = squareLength/markerLength. The real units are not necessary. Keyword Arguments cameraMatrix : Evision.Mat.t() . Optional camera calibration matrix. distCoeffs : Evision.Mat.t() . Optional camera distortion coefficients. dictionary : Dictionary . dictionary of markers indicating the type of markers. Return diamondCorners : [Evision.Mat] . output list of detected diamond corners (4 corners per diamond). The order is the same than in marker corners: top left, top right, bottom right and bottom left. Similar format than the corners returned by detectMarkers (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). diamondIds : Evision.Mat.t() . ids of the diamonds in diamondCorners. The id of each diamond is in fact of type Vec4i, so each diamond has 4 ids, which are the ids of the aruco markers composing the diamond. This function detects Diamond markers from the previous detected ArUco markers. The diamonds are returned in the diamondCorners and diamondIds parameters. If camera calibration parameters are provided, the diamond search is based on reprojection. If not, diamond search is based on homography. Homography is faster than reprojection, but less accurate. @deprecated Use CharucoDetector::detectDiamonds Python prototype (for reference only): detectCharucoDiamond(image, markerCorners, markerIds, squareMarkerLengthRate[, diamondCorners[, diamondIds[, cameraMatrix[, distCoeffs[, dictionary]]]]]) -&gt; diamondCorners, diamondIds","ref":"Evision.ArUco.html#detectCharucoDiamond/4","title":"Evision.ArUco.detectCharucoDiamond/4","type":"function"},{"doc":"Detect ChArUco Diamond markers Positional Arguments image : Evision.Mat.t() . input image necessary for corner subpixel. markerCorners : [Evision.Mat] . list of detected marker corners from detectMarkers function. markerIds : Evision.Mat.t() . list of marker ids in markerCorners. squareMarkerLengthRate : float . rate between square and marker length: squareMarkerLengthRate = squareLength/markerLength. The real units are not necessary. Keyword Arguments cameraMatrix : Evision.Mat.t() . Optional camera calibration matrix. distCoeffs : Evision.Mat.t() . Optional camera distortion coefficients. dictionary : Dictionary . dictionary of markers indicating the type of markers. Return diamondCorners : [Evision.Mat] . output list of detected diamond corners (4 corners per diamond). The order is the same than in marker corners: top left, top right, bottom right and bottom left. Similar format than the corners returned by detectMarkers (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). diamondIds : Evision.Mat.t() . ids of the diamonds in diamondCorners. The id of each diamond is in fact of type Vec4i, so each diamond has 4 ids, which are the ids of the aruco markers composing the diamond. This function detects Diamond markers from the previous detected ArUco markers. The diamonds are returned in the diamondCorners and diamondIds parameters. If camera calibration parameters are provided, the diamond search is based on reprojection. If not, diamond search is based on homography. Homography is faster than reprojection, but less accurate. @deprecated Use CharucoDetector::detectDiamonds Python prototype (for reference only): detectCharucoDiamond(image, markerCorners, markerIds, squareMarkerLengthRate[, diamondCorners[, diamondIds[, cameraMatrix[, distCoeffs[, dictionary]]]]]) -&gt; diamondCorners, diamondIds","ref":"Evision.ArUco.html#detectCharucoDiamond/5","title":"Evision.ArUco.detectCharucoDiamond/5","type":"function"},{"doc":"detect markers Positional Arguments image : Evision.Mat.t() dictionary : Dictionary Keyword Arguments parameters : DetectorParameters . Return corners : [Evision.Mat] . ids : Evision.Mat.t() . rejectedImgPoints : [Evision.Mat] . @deprecated Use class ArucoDetector::detectMarkers Python prototype (for reference only): detectMarkers(image, dictionary[, corners[, ids[, parameters[, rejectedImgPoints]]]]) -&gt; corners, ids, rejectedImgPoints","ref":"Evision.ArUco.html#detectMarkers/2","title":"Evision.ArUco.detectMarkers/2","type":"function"},{"doc":"detect markers Positional Arguments image : Evision.Mat.t() dictionary : Dictionary Keyword Arguments parameters : DetectorParameters . Return corners : [Evision.Mat] . ids : Evision.Mat.t() . rejectedImgPoints : [Evision.Mat] . @deprecated Use class ArucoDetector::detectMarkers Python prototype (for reference only): detectMarkers(image, dictionary[, corners[, ids[, parameters[, rejectedImgPoints]]]]) -&gt; corners, ids, rejectedImgPoints","ref":"Evision.ArUco.html#detectMarkers/3","title":"Evision.ArUco.detectMarkers/3","type":"function"},{"doc":"Draw a ChArUco Diamond marker Positional Arguments dictionary : Dictionary . dictionary of markers indicating the type of markers. ids : Vec4i . list of 4 ids for each ArUco marker in the ChArUco marker. squareLength : int . size of the chessboard squares in pixels. markerLength : int . size of the markers in pixels. Keyword Arguments marginSize : int . minimum margins (in pixels) of the marker in the output image borderBits : int . width of the marker borders. Return img : Evision.Mat.t() . output image with the marker. The size of this image will be 3 squareLength + 2 marginSize,. This function return the image of a ChArUco marker, ready to be printed. Python prototype (for reference only): drawCharucoDiamond(dictionary, ids, squareLength, markerLength[, img[, marginSize[, borderBits]]]) -&gt; img","ref":"Evision.ArUco.html#drawCharucoDiamond/4","title":"Evision.ArUco.drawCharucoDiamond/4","type":"function"},{"doc":"Draw a ChArUco Diamond marker Positional Arguments dictionary : Dictionary . dictionary of markers indicating the type of markers. ids : Vec4i . list of 4 ids for each ArUco marker in the ChArUco marker. squareLength : int . size of the chessboard squares in pixels. markerLength : int . size of the markers in pixels. Keyword Arguments marginSize : int . minimum margins (in pixels) of the marker in the output image borderBits : int . width of the marker borders. Return img : Evision.Mat.t() . output image with the marker. The size of this image will be 3 squareLength + 2 marginSize,. This function return the image of a ChArUco marker, ready to be printed. Python prototype (for reference only): drawCharucoDiamond(dictionary, ids, squareLength, markerLength[, img[, marginSize[, borderBits]]]) -&gt; img","ref":"Evision.ArUco.html#drawCharucoDiamond/5","title":"Evision.ArUco.drawCharucoDiamond/5","type":"function"},{"doc":"Draws a set of Charuco corners Positional Arguments charucoCorners : Evision.Mat.t() . vector of detected charuco corners Keyword Arguments charucoIds : Evision.Mat.t() . list of identifiers for each corner in charucoCorners cornerColor : Scalar . color of the square surrounding each corner Return image : Evision.Mat.t() . input/output image. It must have 1 or 3 channels. The number of channels is not altered. This function draws a set of detected Charuco corners. If identifiers vector is provided, it also draws the id of each corner. Python prototype (for reference only): drawDetectedCornersCharuco(image, charucoCorners[, charucoIds[, cornerColor]]) -&gt; image","ref":"Evision.ArUco.html#drawDetectedCornersCharuco/2","title":"Evision.ArUco.drawDetectedCornersCharuco/2","type":"function"},{"doc":"Draws a set of Charuco corners Positional Arguments charucoCorners : Evision.Mat.t() . vector of detected charuco corners Keyword Arguments charucoIds : Evision.Mat.t() . list of identifiers for each corner in charucoCorners cornerColor : Scalar . color of the square surrounding each corner Return image : Evision.Mat.t() . input/output image. It must have 1 or 3 channels. The number of channels is not altered. This function draws a set of detected Charuco corners. If identifiers vector is provided, it also draws the id of each corner. Python prototype (for reference only): drawDetectedCornersCharuco(image, charucoCorners[, charucoIds[, cornerColor]]) -&gt; image","ref":"Evision.ArUco.html#drawDetectedCornersCharuco/3","title":"Evision.ArUco.drawDetectedCornersCharuco/3","type":"function"},{"doc":"Draw a set of detected ChArUco Diamond markers Positional Arguments diamondCorners : [Evision.Mat] . positions of diamond corners in the same format returned by detectCharucoDiamond(). (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). For N detected markers, the dimensions of this array should be Nx4. The order of the corners should be clockwise. Keyword Arguments diamondIds : Evision.Mat.t() . vector of identifiers for diamonds in diamondCorners, in the same format returned by detectCharucoDiamond() (e.g. std::vector&lt;Vec4i&gt;). Optional, if not provided, ids are not painted. borderColor : Scalar . color of marker borders. Rest of colors (text color and first corner color) are calculated based on this one. Return image : Evision.Mat.t() . input/output image. It must have 1 or 3 channels. The number of channels is not altered. Given an array of detected diamonds, this functions draws them in the image. The marker borders are painted and the markers identifiers if provided. Useful for debugging purposes. Python prototype (for reference only): drawDetectedDiamonds(image, diamondCorners[, diamondIds[, borderColor]]) -&gt; image","ref":"Evision.ArUco.html#drawDetectedDiamonds/2","title":"Evision.ArUco.drawDetectedDiamonds/2","type":"function"},{"doc":"Draw a set of detected ChArUco Diamond markers Positional Arguments diamondCorners : [Evision.Mat] . positions of diamond corners in the same format returned by detectCharucoDiamond(). (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). For N detected markers, the dimensions of this array should be Nx4. The order of the corners should be clockwise. Keyword Arguments diamondIds : Evision.Mat.t() . vector of identifiers for diamonds in diamondCorners, in the same format returned by detectCharucoDiamond() (e.g. std::vector&lt;Vec4i&gt;). Optional, if not provided, ids are not painted. borderColor : Scalar . color of marker borders. Rest of colors (text color and first corner color) are calculated based on this one. Return image : Evision.Mat.t() . input/output image. It must have 1 or 3 channels. The number of channels is not altered. Given an array of detected diamonds, this functions draws them in the image. The marker borders are painted and the markers identifiers if provided. Useful for debugging purposes. Python prototype (for reference only): drawDetectedDiamonds(image, diamondCorners[, diamondIds[, borderColor]]) -&gt; image","ref":"Evision.ArUco.html#drawDetectedDiamonds/3","title":"Evision.ArUco.drawDetectedDiamonds/3","type":"function"},{"doc":"Draw detected markers in image Positional Arguments corners : [Evision.Mat] . positions of marker corners on input image. (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). For N detected markers, the dimensions of this array should be Nx4. The order of the corners should be clockwise. Keyword Arguments ids : Evision.Mat.t() . vector of identifiers for markers in markersCorners . Optional, if not provided, ids are not painted. borderColor : Scalar . color of marker borders. Rest of colors (text color and first corner color) are calculated based on this one to improve visualization. Return image : Evision.Mat.t() . input/output image. It must have 1 or 3 channels. The number of channels is not altered. Given an array of detected marker corners and its corresponding ids, this functions draws the markers in the image. The marker borders are painted and the markers identifiers if provided. Useful for debugging purposes. Python prototype (for reference only): drawDetectedMarkers(image, corners[, ids[, borderColor]]) -&gt; image","ref":"Evision.ArUco.html#drawDetectedMarkers/2","title":"Evision.ArUco.drawDetectedMarkers/2","type":"function"},{"doc":"Draw detected markers in image Positional Arguments corners : [Evision.Mat] . positions of marker corners on input image. (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). For N detected markers, the dimensions of this array should be Nx4. The order of the corners should be clockwise. Keyword Arguments ids : Evision.Mat.t() . vector of identifiers for markers in markersCorners . Optional, if not provided, ids are not painted. borderColor : Scalar . color of marker borders. Rest of colors (text color and first corner color) are calculated based on this one to improve visualization. Return image : Evision.Mat.t() . input/output image. It must have 1 or 3 channels. The number of channels is not altered. Given an array of detected marker corners and its corresponding ids, this functions draws the markers in the image. The marker borders are painted and the markers identifiers if provided. Useful for debugging purposes. Python prototype (for reference only): drawDetectedMarkers(image, corners[, ids[, borderColor]]) -&gt; image","ref":"Evision.ArUco.html#drawDetectedMarkers/3","title":"Evision.ArUco.drawDetectedMarkers/3","type":"function"},{"doc":"draw planar board Positional Arguments board : Board outSize : Size marginSize : int borderBits : int Return img : Evision.Mat.t() . @deprecated Use Board::generateImage Python prototype (for reference only): drawPlanarBoard(board, outSize, marginSize, borderBits[, img]) -&gt; img","ref":"Evision.ArUco.html#drawPlanarBoard/4","title":"Evision.ArUco.drawPlanarBoard/4","type":"function"},{"doc":"draw planar board Positional Arguments board : Board outSize : Size marginSize : int borderBits : int Return img : Evision.Mat.t() . @deprecated Use Board::generateImage Python prototype (for reference only): drawPlanarBoard(board, outSize, marginSize, borderBits[, img]) -&gt; img","ref":"Evision.ArUco.html#drawPlanarBoard/5","title":"Evision.ArUco.drawPlanarBoard/5","type":"function"},{"doc":"estimatePoseBoard Positional Arguments corners : [Evision.Mat] ids : Evision.Mat.t() board : Board cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() Keyword Arguments useExtrinsicGuess : bool . Return retval : int rvec : Evision.Mat.t() tvec : Evision.Mat.t() @deprecated Use cv::solvePnP Python prototype (for reference only): estimatePoseBoard(corners, ids, board, cameraMatrix, distCoeffs, rvec, tvec[, useExtrinsicGuess]) -&gt; retval, rvec, tvec","ref":"Evision.ArUco.html#estimatePoseBoard/7","title":"Evision.ArUco.estimatePoseBoard/7","type":"function"},{"doc":"estimatePoseBoard Positional Arguments corners : [Evision.Mat] ids : Evision.Mat.t() board : Board cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() Keyword Arguments useExtrinsicGuess : bool . Return retval : int rvec : Evision.Mat.t() tvec : Evision.Mat.t() @deprecated Use cv::solvePnP Python prototype (for reference only): estimatePoseBoard(corners, ids, board, cameraMatrix, distCoeffs, rvec, tvec[, useExtrinsicGuess]) -&gt; retval, rvec, tvec","ref":"Evision.ArUco.html#estimatePoseBoard/8","title":"Evision.ArUco.estimatePoseBoard/8","type":"function"},{"doc":"Pose estimation for a ChArUco board given some of their corners Positional Arguments charucoCorners : Evision.Mat.t() . vector of detected charuco corners charucoIds : Evision.Mat.t() . list of identifiers for each corner in charucoCorners board : Evision.ArUco.CharucoBoard.t() . layout of ChArUco board. cameraMatrix : Evision.Mat.t() . input 3x3 floating-point camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ distCoeffs : Evision.Mat.t() . vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6],[s_1, s_2, s_3, s_4]])\\f$ of 4, 5, 8 or 12 elements Keyword Arguments useExtrinsicGuess : bool . defines whether initial guess for \\b rvec and \\b tvec will be used or not. Return retval : bool rvec : Evision.Mat.t() . Output vector (e.g. cv::Mat) corresponding to the rotation vector of the board (see cv::Rodrigues). tvec : Evision.Mat.t() . Output vector (e.g. cv::Mat) corresponding to the translation vector of the board. This function estimates a Charuco board pose from some detected corners. The function checks if the input corners are enough and valid to perform pose estimation. If pose estimation is valid, returns true, else returns false. @sa use cv::drawFrameAxes to get world coordinate system axis for object points Python prototype (for reference only): estimatePoseCharucoBoard(charucoCorners, charucoIds, board, cameraMatrix, distCoeffs, rvec, tvec[, useExtrinsicGuess]) -&gt; retval, rvec, tvec","ref":"Evision.ArUco.html#estimatePoseCharucoBoard/7","title":"Evision.ArUco.estimatePoseCharucoBoard/7","type":"function"},{"doc":"Pose estimation for a ChArUco board given some of their corners Positional Arguments charucoCorners : Evision.Mat.t() . vector of detected charuco corners charucoIds : Evision.Mat.t() . list of identifiers for each corner in charucoCorners board : Evision.ArUco.CharucoBoard.t() . layout of ChArUco board. cameraMatrix : Evision.Mat.t() . input 3x3 floating-point camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ distCoeffs : Evision.Mat.t() . vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6],[s_1, s_2, s_3, s_4]])\\f$ of 4, 5, 8 or 12 elements Keyword Arguments useExtrinsicGuess : bool . defines whether initial guess for \\b rvec and \\b tvec will be used or not. Return retval : bool rvec : Evision.Mat.t() . Output vector (e.g. cv::Mat) corresponding to the rotation vector of the board (see cv::Rodrigues). tvec : Evision.Mat.t() . Output vector (e.g. cv::Mat) corresponding to the translation vector of the board. This function estimates a Charuco board pose from some detected corners. The function checks if the input corners are enough and valid to perform pose estimation. If pose estimation is valid, returns true, else returns false. @sa use cv::drawFrameAxes to get world coordinate system axis for object points Python prototype (for reference only): estimatePoseCharucoBoard(charucoCorners, charucoIds, board, cameraMatrix, distCoeffs, rvec, tvec[, useExtrinsicGuess]) -&gt; retval, rvec, tvec","ref":"Evision.ArUco.html#estimatePoseCharucoBoard/8","title":"Evision.ArUco.estimatePoseCharucoBoard/8","type":"function"},{"doc":"estimatePoseSingleMarkers Positional Arguments corners : [Evision.Mat] markerLength : float cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() Keyword Arguments estimateParameters : EstimateParameters . Return rvecs : Evision.Mat.t() . tvecs : Evision.Mat.t() . objPoints : Evision.Mat.t() . @deprecated Use cv::solvePnP Python prototype (for reference only): estimatePoseSingleMarkers(corners, markerLength, cameraMatrix, distCoeffs[, rvecs[, tvecs[, objPoints[, estimateParameters]]]]) -&gt; rvecs, tvecs, objPoints","ref":"Evision.ArUco.html#estimatePoseSingleMarkers/4","title":"Evision.ArUco.estimatePoseSingleMarkers/4","type":"function"},{"doc":"estimatePoseSingleMarkers Positional Arguments corners : [Evision.Mat] markerLength : float cameraMatrix : Evision.Mat.t() distCoeffs : Evision.Mat.t() Keyword Arguments estimateParameters : EstimateParameters . Return rvecs : Evision.Mat.t() . tvecs : Evision.Mat.t() . objPoints : Evision.Mat.t() . @deprecated Use cv::solvePnP Python prototype (for reference only): estimatePoseSingleMarkers(corners, markerLength, cameraMatrix, distCoeffs[, rvecs[, tvecs[, objPoints[, estimateParameters]]]]) -&gt; rvecs, tvecs, objPoints","ref":"Evision.ArUco.html#estimatePoseSingleMarkers/5","title":"Evision.ArUco.estimatePoseSingleMarkers/5","type":"function"},{"doc":"Extend base dictionary by new nMarkers Positional Arguments nMarkers : int . number of markers in the dictionary markerSize : int . number of bits per dimension of each markers Keyword Arguments baseDictionary : Dictionary . Include the markers in this dictionary at the beginning (optional) randomSeed : int . a user supplied seed for theRNG() Return retval : Dictionary This function creates a new dictionary composed by nMarkers markers and each markers composed by markerSize x markerSize bits. If baseDictionary is provided, its markers are directly included and the rest are generated based on them. If the size of baseDictionary is higher than nMarkers, only the first nMarkers in baseDictionary are taken and no new marker is added. Python prototype (for reference only): extendDictionary(nMarkers, markerSize[, baseDictionary[, randomSeed]]) -&gt; retval","ref":"Evision.ArUco.html#extendDictionary/2","title":"Evision.ArUco.extendDictionary/2","type":"function"},{"doc":"Extend base dictionary by new nMarkers Positional Arguments nMarkers : int . number of markers in the dictionary markerSize : int . number of bits per dimension of each markers Keyword Arguments baseDictionary : Dictionary . Include the markers in this dictionary at the beginning (optional) randomSeed : int . a user supplied seed for theRNG() Return retval : Dictionary This function creates a new dictionary composed by nMarkers markers and each markers composed by markerSize x markerSize bits. If baseDictionary is provided, its markers are directly included and the rest are generated based on them. If the size of baseDictionary is higher than nMarkers, only the first nMarkers in baseDictionary are taken and no new marker is added. Python prototype (for reference only): extendDictionary(nMarkers, markerSize[, baseDictionary[, randomSeed]]) -&gt; retval","ref":"Evision.ArUco.html#extendDictionary/3","title":"Evision.ArUco.extendDictionary/3","type":"function"},{"doc":"Generate a canonical marker image Positional Arguments dictionary : Dictionary . dictionary of markers indicating the type of markers id : int . identifier of the marker that will be returned. It has to be a valid id in the specified dictionary. sidePixels : int . size of the image in pixels Keyword Arguments borderBits : int . width of the marker border. Return img : Evision.Mat.t() . output image with the marker This function returns a marker image in its canonical form (i.e. ready to be printed) Python prototype (for reference only): generateImageMarker(dictionary, id, sidePixels[, img[, borderBits]]) -&gt; img","ref":"Evision.ArUco.html#generateImageMarker/3","title":"Evision.ArUco.generateImageMarker/3","type":"function"},{"doc":"Generate a canonical marker image Positional Arguments dictionary : Dictionary . dictionary of markers indicating the type of markers id : int . identifier of the marker that will be returned. It has to be a valid id in the specified dictionary. sidePixels : int . size of the image in pixels Keyword Arguments borderBits : int . width of the marker border. Return img : Evision.Mat.t() . output image with the marker This function returns a marker image in its canonical form (i.e. ready to be printed) Python prototype (for reference only): generateImageMarker(dictionary, id, sidePixels[, img[, borderBits]]) -&gt; img","ref":"Evision.ArUco.html#generateImageMarker/4","title":"Evision.ArUco.generateImageMarker/4","type":"function"},{"doc":"get board object and image points Positional Arguments board : Board detectedCorners : [Evision.Mat] detectedIds : Evision.Mat.t() Return objPoints : Evision.Mat.t() . imgPoints : Evision.Mat.t() . @deprecated Use Board::matchImagePoints Python prototype (for reference only): getBoardObjectAndImagePoints(board, detectedCorners, detectedIds[, objPoints[, imgPoints]]) -&gt; objPoints, imgPoints","ref":"Evision.ArUco.html#getBoardObjectAndImagePoints/3","title":"Evision.ArUco.getBoardObjectAndImagePoints/3","type":"function"},{"doc":"get board object and image points Positional Arguments board : Board detectedCorners : [Evision.Mat] detectedIds : Evision.Mat.t() Return objPoints : Evision.Mat.t() . imgPoints : Evision.Mat.t() . @deprecated Use Board::matchImagePoints Python prototype (for reference only): getBoardObjectAndImagePoints(board, detectedCorners, detectedIds[, objPoints[, imgPoints]]) -&gt; objPoints, imgPoints","ref":"Evision.ArUco.html#getBoardObjectAndImagePoints/4","title":"Evision.ArUco.getBoardObjectAndImagePoints/4","type":"function"},{"doc":"Returns one of the predefined dictionaries referenced by DICT_*. Positional Arguments dict : int Return retval : Dictionary Python prototype (for reference only): getPredefinedDictionary(dict) -&gt; retval","ref":"Evision.ArUco.html#getPredefinedDictionary/1","title":"Evision.ArUco.getPredefinedDictionary/1","type":"function"},{"doc":"Interpolate position of ChArUco board corners Positional Arguments markerCorners : [Evision.Mat] . vector of already detected markers corners. For each marker, its four corners are provided, (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). For N detected markers, the dimensions of this array should be Nx4. The order of the corners should be clockwise. markerIds : Evision.Mat.t() . list of identifiers for each marker in corners image : Evision.Mat.t() . input image necesary for corner refinement. Note that markers are not detected and should be sent in corners and ids parameters. board : Evision.ArUco.CharucoBoard.t() . layout of ChArUco board. Keyword Arguments cameraMatrix : Evision.Mat.t() . optional 3x3 floating-point camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ distCoeffs : Evision.Mat.t() . optional vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6],[s_1, s_2, s_3, s_4]])\\f$ of 4, 5, 8 or 12 elements minMarkers : int . number of adjacent markers that must be detected to return a charuco corner Return retval : int charucoCorners : Evision.Mat.t() . interpolated chessboard corners charucoIds : Evision.Mat.t() . interpolated chessboard corners identifiers This function receives the detected markers and returns the 2D position of the chessboard corners from a ChArUco board using the detected Aruco markers. If camera parameters are provided, the process is based in an approximated pose estimation, else it is based on local homography. Only visible corners are returned. For each corner, its corresponding identifier is also returned in charucoIds. The function returns the number of interpolated corners. @deprecated Use CharucoDetector::detectBoard Python prototype (for reference only): interpolateCornersCharuco(markerCorners, markerIds, image, board[, charucoCorners[, charucoIds[, cameraMatrix[, distCoeffs[, minMarkers]]]]]) -&gt; retval, charucoCorners, charucoIds","ref":"Evision.ArUco.html#interpolateCornersCharuco/4","title":"Evision.ArUco.interpolateCornersCharuco/4","type":"function"},{"doc":"Interpolate position of ChArUco board corners Positional Arguments markerCorners : [Evision.Mat] . vector of already detected markers corners. For each marker, its four corners are provided, (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). For N detected markers, the dimensions of this array should be Nx4. The order of the corners should be clockwise. markerIds : Evision.Mat.t() . list of identifiers for each marker in corners image : Evision.Mat.t() . input image necesary for corner refinement. Note that markers are not detected and should be sent in corners and ids parameters. board : Evision.ArUco.CharucoBoard.t() . layout of ChArUco board. Keyword Arguments cameraMatrix : Evision.Mat.t() . optional 3x3 floating-point camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ distCoeffs : Evision.Mat.t() . optional vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6],[s_1, s_2, s_3, s_4]])\\f$ of 4, 5, 8 or 12 elements minMarkers : int . number of adjacent markers that must be detected to return a charuco corner Return retval : int charucoCorners : Evision.Mat.t() . interpolated chessboard corners charucoIds : Evision.Mat.t() . interpolated chessboard corners identifiers This function receives the detected markers and returns the 2D position of the chessboard corners from a ChArUco board using the detected Aruco markers. If camera parameters are provided, the process is based in an approximated pose estimation, else it is based on local homography. Only visible corners are returned. For each corner, its corresponding identifier is also returned in charucoIds. The function returns the number of interpolated corners. @deprecated Use CharucoDetector::detectBoard Python prototype (for reference only): interpolateCornersCharuco(markerCorners, markerIds, image, board[, charucoCorners[, charucoIds[, cameraMatrix[, distCoeffs[, minMarkers]]]]]) -&gt; retval, charucoCorners, charucoIds","ref":"Evision.ArUco.html#interpolateCornersCharuco/5","title":"Evision.ArUco.interpolateCornersCharuco/5","type":"function"},{"doc":"refine detected markers Positional Arguments image : Evision.Mat.t() board : Board Keyword Arguments cameraMatrix : Evision.Mat.t() . distCoeffs : Evision.Mat.t() . minRepDistance : float . errorCorrectionRate : float . checkAllOrders : bool . parameters : DetectorParameters . Return detectedCorners : [Evision.Mat] detectedIds : Evision.Mat.t() rejectedCorners : [Evision.Mat] recoveredIdxs : Evision.Mat.t() . @deprecated Use class ArucoDetector::refineDetectedMarkers Python prototype (for reference only): refineDetectedMarkers(image, board, detectedCorners, detectedIds, rejectedCorners[, cameraMatrix[, distCoeffs[, minRepDistance[, errorCorrectionRate[, checkAllOrders[, recoveredIdxs[, parameters]]]]]]]) -&gt; detectedCorners, detectedIds, rejectedCorners, recoveredIdxs","ref":"Evision.ArUco.html#refineDetectedMarkers/5","title":"Evision.ArUco.refineDetectedMarkers/5","type":"function"},{"doc":"refine detected markers Positional Arguments image : Evision.Mat.t() board : Board Keyword Arguments cameraMatrix : Evision.Mat.t() . distCoeffs : Evision.Mat.t() . minRepDistance : float . errorCorrectionRate : float . checkAllOrders : bool . parameters : DetectorParameters . Return detectedCorners : [Evision.Mat] detectedIds : Evision.Mat.t() rejectedCorners : [Evision.Mat] recoveredIdxs : Evision.Mat.t() . @deprecated Use class ArucoDetector::refineDetectedMarkers Python prototype (for reference only): refineDetectedMarkers(image, board, detectedCorners, detectedIds, rejectedCorners[, cameraMatrix[, distCoeffs[, minRepDistance[, errorCorrectionRate[, checkAllOrders[, recoveredIdxs[, parameters]]]]]]]) -&gt; detectedCorners, detectedIds, rejectedCorners, recoveredIdxs","ref":"Evision.ArUco.html#refineDetectedMarkers/6","title":"Evision.ArUco.refineDetectedMarkers/6","type":"function"},{"doc":"testCharucoCornersCollinear Positional Arguments board : Evision.ArUco.CharucoBoard.t() charucoIds : Evision.Mat.t() Return retval : bool @deprecated Use CharucoBoard::checkCharucoCornersCollinear Python prototype (for reference only): testCharucoCornersCollinear(board, charucoIds) -&gt; retval","ref":"Evision.ArUco.html#testCharucoCornersCollinear/2","title":"Evision.ArUco.testCharucoCornersCollinear/2","type":"function"},{"doc":"Type that represents an ArUco struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.html#t:t/0","title":"Evision.ArUco.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.ArucoDetector.html","title":"Evision.ArUco.ArucoDetector","type":"module"},{"doc":"Basic ArucoDetector constructor Keyword Arguments dictionary : Dictionary . indicates the type of markers that will be searched detectorParams : DetectorParameters . marker detection parameters refineParams : RefineParameters . marker refine detection parameters Return self : Evision.ArUco.ArucoDetector.t() Python prototype (for reference only): ArucoDetector([, dictionary[, detectorParams[, refineParams]]]) -&gt; &lt;aruco_ArucoDetector object&gt;","ref":"Evision.ArUco.ArucoDetector.html#arucoDetector/0","title":"Evision.ArUco.ArucoDetector.arucoDetector/0","type":"function"},{"doc":"Basic ArucoDetector constructor Keyword Arguments dictionary : Dictionary . indicates the type of markers that will be searched detectorParams : DetectorParameters . marker detection parameters refineParams : RefineParameters . marker refine detection parameters Return self : Evision.ArUco.ArucoDetector.t() Python prototype (for reference only): ArucoDetector([, dictionary[, detectorParams[, refineParams]]]) -&gt; &lt;aruco_ArucoDetector object&gt;","ref":"Evision.ArUco.ArucoDetector.html#arucoDetector/1","title":"Evision.ArUco.ArucoDetector.arucoDetector/1","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ArUco.ArucoDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ArUco.ArucoDetector.html#clear/1","title":"Evision.ArUco.ArucoDetector.clear/1","type":"function"},{"doc":"Basic marker detection Positional Arguments self : Evision.ArUco.ArucoDetector.t() image : Evision.Mat.t() . input image Return corners : [Evision.Mat] . vector of detected marker corners. For each marker, its four corners are provided, (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). For N detected markers, the dimensions of this array is Nx4. The order of the corners is clockwise. ids : Evision.Mat.t() . vector of identifiers of the detected markers. The identifier is of type int (e.g. std::vector&lt;int&gt;). For N detected markers, the size of ids is also N. The identifiers have the same order than the markers in the imgPoints array. rejectedImgPoints : [Evision.Mat] . contains the imgPoints of those squares whose inner code has not a correct codification. Useful for debugging purposes. Performs marker detection in the input image. Only markers included in the specific dictionary are searched. For each detected marker, it returns the 2D position of its corner in the image and its corresponding identifier. Note that this function does not perform pose estimation. Note : The function does not correct lens distortion or takes it into account. It's recommended to undistort input image with corresponging camera model, if camera parameters are known @sa undistort, estimatePoseSingleMarkers, estimatePoseBoard Python prototype (for reference only): detectMarkers(image[, corners[, ids[, rejectedImgPoints]]]) -&gt; corners, ids, rejectedImgPoints","ref":"Evision.ArUco.ArucoDetector.html#detectMarkers/2","title":"Evision.ArUco.ArucoDetector.detectMarkers/2","type":"function"},{"doc":"Basic marker detection Positional Arguments self : Evision.ArUco.ArucoDetector.t() image : Evision.Mat.t() . input image Return corners : [Evision.Mat] . vector of detected marker corners. For each marker, its four corners are provided, (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). For N detected markers, the dimensions of this array is Nx4. The order of the corners is clockwise. ids : Evision.Mat.t() . vector of identifiers of the detected markers. The identifier is of type int (e.g. std::vector&lt;int&gt;). For N detected markers, the size of ids is also N. The identifiers have the same order than the markers in the imgPoints array. rejectedImgPoints : [Evision.Mat] . contains the imgPoints of those squares whose inner code has not a correct codification. Useful for debugging purposes. Performs marker detection in the input image. Only markers included in the specific dictionary are searched. For each detected marker, it returns the 2D position of its corner in the image and its corresponding identifier. Note that this function does not perform pose estimation. Note : The function does not correct lens distortion or takes it into account. It's recommended to undistort input image with corresponging camera model, if camera parameters are known @sa undistort, estimatePoseSingleMarkers, estimatePoseBoard Python prototype (for reference only): detectMarkers(image[, corners[, ids[, rejectedImgPoints]]]) -&gt; corners, ids, rejectedImgPoints","ref":"Evision.ArUco.ArucoDetector.html#detectMarkers/3","title":"Evision.ArUco.ArucoDetector.detectMarkers/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.ArUco.ArucoDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ArUco.ArucoDetector.html#empty/1","title":"Evision.ArUco.ArucoDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ArUco.ArucoDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ArUco.ArucoDetector.html#getDefaultName/1","title":"Evision.ArUco.ArucoDetector.getDefaultName/1","type":"function"},{"doc":"getDetectorParameters Positional Arguments self : Evision.ArUco.ArucoDetector.t() Return retval : DetectorParameters Python prototype (for reference only): getDetectorParameters() -&gt; retval","ref":"Evision.ArUco.ArucoDetector.html#getDetectorParameters/1","title":"Evision.ArUco.ArucoDetector.getDetectorParameters/1","type":"function"},{"doc":"getDictionary Positional Arguments self : Evision.ArUco.ArucoDetector.t() Return retval : Dictionary Python prototype (for reference only): getDictionary() -&gt; retval","ref":"Evision.ArUco.ArucoDetector.html#getDictionary/1","title":"Evision.ArUco.ArucoDetector.getDictionary/1","type":"function"},{"doc":"getRefineParameters Positional Arguments self : Evision.ArUco.ArucoDetector.t() Return retval : RefineParameters Python prototype (for reference only): getRefineParameters() -&gt; retval","ref":"Evision.ArUco.ArucoDetector.html#getRefineParameters/1","title":"Evision.ArUco.ArucoDetector.getRefineParameters/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ArUco.ArucoDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ArUco.ArucoDetector.html#read/2","title":"Evision.ArUco.ArucoDetector.read/2","type":"function"},{"doc":"Refind not detected markers based on the already detected and the board layout Positional Arguments self : Evision.ArUco.ArucoDetector.t() image : Evision.Mat.t() . input image board : Board . layout of markers in the board. Keyword Arguments cameraMatrix : Evision.Mat.t() . optional input 3x3 floating-point camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ distCoeffs : Evision.Mat.t() . optional vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6],[s_1, s_2, s_3, s_4]])\\f$ of 4, 5, 8 or 12 elements Return detectedCorners : [Evision.Mat] . vector of already detected marker corners. detectedIds : Evision.Mat.t() . vector of already detected marker identifiers. rejectedCorners : [Evision.Mat] . vector of rejected candidates during the marker detection process. recoveredIdxs : Evision.Mat.t() . Optional array to returns the indexes of the recovered candidates in the original rejectedCorners array. This function tries to find markers that were not detected in the basic detecMarkers function. First, based on the current detected marker and the board layout, the function interpolates the position of the missing markers. Then it tries to find correspondence between the reprojected markers and the rejected candidates based on the minRepDistance and errorCorrectionRate parameters. If camera parameters and distortion coefficients are provided, missing markers are reprojected using projectPoint function. If not, missing marker projections are interpolated using global homography, and all the marker corners in the board must have the same Z coordinate. Python prototype (for reference only): refineDetectedMarkers(image, board, detectedCorners, detectedIds, rejectedCorners[, cameraMatrix[, distCoeffs[, recoveredIdxs]]]) -&gt; detectedCorners, detectedIds, rejectedCorners, recoveredIdxs","ref":"Evision.ArUco.ArucoDetector.html#refineDetectedMarkers/6","title":"Evision.ArUco.ArucoDetector.refineDetectedMarkers/6","type":"function"},{"doc":"Refind not detected markers based on the already detected and the board layout Positional Arguments self : Evision.ArUco.ArucoDetector.t() image : Evision.Mat.t() . input image board : Board . layout of markers in the board. Keyword Arguments cameraMatrix : Evision.Mat.t() . optional input 3x3 floating-point camera matrix \\f$A = \\vecthreethree{f_x}{0}{c_x}{0}{f_y}{c_y}{0}{0}{1}\\f$ distCoeffs : Evision.Mat.t() . optional vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2[, k_3[, k_4, k_5, k_6],[s_1, s_2, s_3, s_4]])\\f$ of 4, 5, 8 or 12 elements Return detectedCorners : [Evision.Mat] . vector of already detected marker corners. detectedIds : Evision.Mat.t() . vector of already detected marker identifiers. rejectedCorners : [Evision.Mat] . vector of rejected candidates during the marker detection process. recoveredIdxs : Evision.Mat.t() . Optional array to returns the indexes of the recovered candidates in the original rejectedCorners array. This function tries to find markers that were not detected in the basic detecMarkers function. First, based on the current detected marker and the board layout, the function interpolates the position of the missing markers. Then it tries to find correspondence between the reprojected markers and the rejected candidates based on the minRepDistance and errorCorrectionRate parameters. If camera parameters and distortion coefficients are provided, missing markers are reprojected using projectPoint function. If not, missing marker projections are interpolated using global homography, and all the marker corners in the board must have the same Z coordinate. Python prototype (for reference only): refineDetectedMarkers(image, board, detectedCorners, detectedIds, rejectedCorners[, cameraMatrix[, distCoeffs[, recoveredIdxs]]]) -&gt; detectedCorners, detectedIds, rejectedCorners, recoveredIdxs","ref":"Evision.ArUco.ArucoDetector.html#refineDetectedMarkers/7","title":"Evision.ArUco.ArucoDetector.refineDetectedMarkers/7","type":"function"},{"doc":"save Positional Arguments self : Evision.ArUco.ArucoDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ArUco.ArucoDetector.html#save/2","title":"Evision.ArUco.ArucoDetector.save/2","type":"function"},{"doc":"setDetectorParameters Positional Arguments self : Evision.ArUco.ArucoDetector.t() detectorParameters : DetectorParameters Python prototype (for reference only): setDetectorParameters(detectorParameters) -&gt; None","ref":"Evision.ArUco.ArucoDetector.html#setDetectorParameters/2","title":"Evision.ArUco.ArucoDetector.setDetectorParameters/2","type":"function"},{"doc":"setDictionary Positional Arguments self : Evision.ArUco.ArucoDetector.t() dictionary : Dictionary Python prototype (for reference only): setDictionary(dictionary) -&gt; None","ref":"Evision.ArUco.ArucoDetector.html#setDictionary/2","title":"Evision.ArUco.ArucoDetector.setDictionary/2","type":"function"},{"doc":"setRefineParameters Positional Arguments self : Evision.ArUco.ArucoDetector.t() refineParameters : RefineParameters Python prototype (for reference only): setRefineParameters(refineParameters) -&gt; None","ref":"Evision.ArUco.ArucoDetector.html#setRefineParameters/2","title":"Evision.ArUco.ArucoDetector.setRefineParameters/2","type":"function"},{"doc":"simplified API for language bindings Positional Arguments self : Evision.ArUco.ArucoDetector.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ArUco.ArucoDetector.html#write/3","title":"Evision.ArUco.ArucoDetector.write/3","type":"function"},{"doc":"Type that represents an ArUco.ArucoDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.ArucoDetector.html#t:t/0","title":"Evision.ArUco.ArucoDetector.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.Board.html","title":"Evision.ArUco.Board","type":"module"},{"doc":"Common Board constructor Positional Arguments objPoints : [Evision.Mat] . array of object points of all the marker corners in the board dictionary : Dictionary . the dictionary of markers employed for this board ids : Evision.Mat.t() . vector of the identifiers of the markers in the board Return self : Board Python prototype (for reference only): Board(objPoints, dictionary, ids) -&gt; &lt;aruco_Board object&gt;","ref":"Evision.ArUco.Board.html#board/3","title":"Evision.ArUco.Board.board/3","type":"function"},{"doc":"Draw a planar board Positional Arguments self : Evision.ArUco.Board.t() outSize : Size . size of the output image in pixels. Keyword Arguments marginSize : int . minimum margins (in pixels) of the board in the output image borderBits : int . width of the marker borders. Return img : Evision.Mat.t() . output image with the board. The size of this image will be outSize and the board will be on the center, keeping the board proportions. This function return the image of the board, ready to be printed. Python prototype (for reference only): generateImage(outSize[, img[, marginSize[, borderBits]]]) -&gt; img","ref":"Evision.ArUco.Board.html#generateImage/2","title":"Evision.ArUco.Board.generateImage/2","type":"function"},{"doc":"Draw a planar board Positional Arguments self : Evision.ArUco.Board.t() outSize : Size . size of the output image in pixels. Keyword Arguments marginSize : int . minimum margins (in pixels) of the board in the output image borderBits : int . width of the marker borders. Return img : Evision.Mat.t() . output image with the board. The size of this image will be outSize and the board will be on the center, keeping the board proportions. This function return the image of the board, ready to be printed. Python prototype (for reference only): generateImage(outSize[, img[, marginSize[, borderBits]]]) -&gt; img","ref":"Evision.ArUco.Board.html#generateImage/3","title":"Evision.ArUco.Board.generateImage/3","type":"function"},{"doc":"return the Dictionary of markers employed for this board Positional Arguments self : Evision.ArUco.Board.t() Return retval : Dictionary Python prototype (for reference only): getDictionary() -&gt; retval","ref":"Evision.ArUco.Board.html#getDictionary/1","title":"Evision.ArUco.Board.getDictionary/1","type":"function"},{"doc":"vector of the identifiers of the markers in the board (should be the same size as objPoints) Positional Arguments self : Evision.ArUco.Board.t() Return retval : [int] @return vector of the identifiers of the markers Python prototype (for reference only): getIds() -&gt; retval","ref":"Evision.ArUco.Board.html#getIds/1","title":"Evision.ArUco.Board.getIds/1","type":"function"},{"doc":"return array of object points of all the marker corners in the board. Positional Arguments self : Evision.ArUco.Board.t() Return retval : [[Point3f]] Each marker include its 4 corners in this order: objPoints[i][0] - left-top point of i-th marker objPoints[i][1] - right-top point of i-th marker objPoints[i][2] - right-bottom point of i-th marker objPoints[i][3] - left-bottom point of i-th marker Markers are placed in a certain order - row by row, left to right in every row. For M markers, the size is Mx4. Python prototype (for reference only): getObjPoints() -&gt; retval","ref":"Evision.ArUco.Board.html#getObjPoints/1","title":"Evision.ArUco.Board.getObjPoints/1","type":"function"},{"doc":"get coordinate of the bottom right corner of the board, is set when calling the function create() Positional Arguments self : Evision.ArUco.Board.t() Return retval : Point3f Python prototype (for reference only): getRightBottomCorner() -&gt; retval","ref":"Evision.ArUco.Board.html#getRightBottomCorner/1","title":"Evision.ArUco.Board.getRightBottomCorner/1","type":"function"},{"doc":"Given a board configuration and a set of detected markers, returns the corresponding image points and object points to call solvePnP() Positional Arguments self : Evision.ArUco.Board.t() detectedCorners : [Evision.Mat] . List of detected marker corners of the board. For CharucoBoard class you can set list of charuco corners. detectedIds : Evision.Mat.t() . List of identifiers for each marker or list of charuco identifiers for each corner. For CharucoBoard class you can set list of charuco identifiers for each corner. Return objPoints : Evision.Mat.t() . Vector of vectors of board marker points in the board coordinate space. imgPoints : Evision.Mat.t() . Vector of vectors of the projections of board marker corner points. Python prototype (for reference only): matchImagePoints(detectedCorners, detectedIds[, objPoints[, imgPoints]]) -&gt; objPoints, imgPoints","ref":"Evision.ArUco.Board.html#matchImagePoints/3","title":"Evision.ArUco.Board.matchImagePoints/3","type":"function"},{"doc":"Given a board configuration and a set of detected markers, returns the corresponding image points and object points to call solvePnP() Positional Arguments self : Evision.ArUco.Board.t() detectedCorners : [Evision.Mat] . List of detected marker corners of the board. For CharucoBoard class you can set list of charuco corners. detectedIds : Evision.Mat.t() . List of identifiers for each marker or list of charuco identifiers for each corner. For CharucoBoard class you can set list of charuco identifiers for each corner. Return objPoints : Evision.Mat.t() . Vector of vectors of board marker points in the board coordinate space. imgPoints : Evision.Mat.t() . Vector of vectors of the projections of board marker corner points. Python prototype (for reference only): matchImagePoints(detectedCorners, detectedIds[, objPoints[, imgPoints]]) -&gt; objPoints, imgPoints","ref":"Evision.ArUco.Board.html#matchImagePoints/4","title":"Evision.ArUco.Board.matchImagePoints/4","type":"function"},{"doc":"Type that represents an ArUco.Board struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.Board.html#t:t/0","title":"Evision.ArUco.Board.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.CharucoBoard.html","title":"Evision.ArUco.CharucoBoard","type":"module"},{"doc":"CharucoBoard constructor Positional Arguments size : Size . number of chessboard squares in x and y directions squareLength : float . squareLength chessboard square side length (normally in meters) markerLength : float . marker side length (same unit than squareLength) dictionary : Dictionary . dictionary of markers indicating the type of markers Keyword Arguments ids : Evision.Mat.t() . array of id used markers The first markers in the dictionary are used to fill the white chessboard squares. Return self : Evision.ArUco.CharucoBoard.t() Python prototype (for reference only): CharucoBoard(size, squareLength, markerLength, dictionary[, ids]) -&gt; &lt;aruco_CharucoBoard object&gt;","ref":"Evision.ArUco.CharucoBoard.html#charucoBoard/4","title":"Evision.ArUco.CharucoBoard.charucoBoard/4","type":"function"},{"doc":"CharucoBoard constructor Positional Arguments size : Size . number of chessboard squares in x and y directions squareLength : float . squareLength chessboard square side length (normally in meters) markerLength : float . marker side length (same unit than squareLength) dictionary : Dictionary . dictionary of markers indicating the type of markers Keyword Arguments ids : Evision.Mat.t() . array of id used markers The first markers in the dictionary are used to fill the white chessboard squares. Return self : Evision.ArUco.CharucoBoard.t() Python prototype (for reference only): CharucoBoard(size, squareLength, markerLength, dictionary[, ids]) -&gt; &lt;aruco_CharucoBoard object&gt;","ref":"Evision.ArUco.CharucoBoard.html#charucoBoard/5","title":"Evision.ArUco.CharucoBoard.charucoBoard/5","type":"function"},{"doc":"check whether the ChArUco markers are collinear Positional Arguments self : Evision.ArUco.CharucoBoard.t() charucoIds : Evision.Mat.t() . list of identifiers for each corner in charucoCorners per frame. Return retval : bool @return bool value, 1 (true) if detected corners form a line, 0 (false) if they do not. solvePnP, calibration functions will fail if the corners are collinear (true). The number of ids in charucoIDs should be &lt;= the number of chessboard corners in the board. This functions checks whether the charuco corners are on a straight line (returns true, if so), or not (false). Axis parallel, as well as diagonal and other straight lines detected. Degenerate cases: for number of charucoIDs &lt;= 2,the function returns true. Python prototype (for reference only): checkCharucoCornersCollinear(charucoIds) -&gt; retval","ref":"Evision.ArUco.CharucoBoard.html#checkCharucoCornersCollinear/2","title":"Evision.ArUco.CharucoBoard.checkCharucoCornersCollinear/2","type":"function"},{"doc":"get CharucoBoard::chessboardCorners Positional Arguments self : Evision.ArUco.CharucoBoard.t() Return retval : [Point3f] Python prototype (for reference only): getChessboardCorners() -&gt; retval","ref":"Evision.ArUco.CharucoBoard.html#getChessboardCorners/1","title":"Evision.ArUco.CharucoBoard.getChessboardCorners/1","type":"function"},{"doc":"getChessboardSize Positional Arguments self : Evision.ArUco.CharucoBoard.t() Return retval : Size Python prototype (for reference only): getChessboardSize() -&gt; retval","ref":"Evision.ArUco.CharucoBoard.html#getChessboardSize/1","title":"Evision.ArUco.CharucoBoard.getChessboardSize/1","type":"function"},{"doc":"getMarkerLength Positional Arguments self : Evision.ArUco.CharucoBoard.t() Return retval : float Python prototype (for reference only): getMarkerLength() -&gt; retval","ref":"Evision.ArUco.CharucoBoard.html#getMarkerLength/1","title":"Evision.ArUco.CharucoBoard.getMarkerLength/1","type":"function"},{"doc":"getSquareLength Positional Arguments self : Evision.ArUco.CharucoBoard.t() Return retval : float Python prototype (for reference only): getSquareLength() -&gt; retval","ref":"Evision.ArUco.CharucoBoard.html#getSquareLength/1","title":"Evision.ArUco.CharucoBoard.getSquareLength/1","type":"function"},{"doc":"Type that represents an ArUco.CharucoBoard struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.CharucoBoard.html#t:t/0","title":"Evision.ArUco.CharucoBoard.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.CharucoDetector.html","title":"Evision.ArUco.CharucoDetector","type":"module"},{"doc":"Basic CharucoDetector constructor Positional Arguments board : Evision.ArUco.CharucoBoard.t() . ChAruco board Keyword Arguments charucoParams : CharucoParameters . charuco detection parameters detectorParams : DetectorParameters . marker detection parameters refineParams : RefineParameters . marker refine detection parameters Return self : CharucoDetector Python prototype (for reference only): CharucoDetector(board[, charucoParams[, detectorParams[, refineParams]]]) -&gt; &lt;aruco_CharucoDetector object&gt;","ref":"Evision.ArUco.CharucoDetector.html#charucoDetector/1","title":"Evision.ArUco.CharucoDetector.charucoDetector/1","type":"function"},{"doc":"Basic CharucoDetector constructor Positional Arguments board : Evision.ArUco.CharucoBoard.t() . ChAruco board Keyword Arguments charucoParams : CharucoParameters . charuco detection parameters detectorParams : DetectorParameters . marker detection parameters refineParams : RefineParameters . marker refine detection parameters Return self : CharucoDetector Python prototype (for reference only): CharucoDetector(board[, charucoParams[, detectorParams[, refineParams]]]) -&gt; &lt;aruco_CharucoDetector object&gt;","ref":"Evision.ArUco.CharucoDetector.html#charucoDetector/2","title":"Evision.ArUco.CharucoDetector.charucoDetector/2","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ArUco.CharucoDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ArUco.CharucoDetector.html#clear/1","title":"Evision.ArUco.CharucoDetector.clear/1","type":"function"},{"doc":"detect aruco markers and interpolate position of ChArUco board corners Positional Arguments self : Evision.ArUco.CharucoDetector.t() image : Evision.Mat.t() . input image necesary for corner refinement. Note that markers are not detected and should be sent in corners and ids parameters. Return charucoCorners : Evision.Mat.t() . interpolated chessboard corners. charucoIds : Evision.Mat.t() . interpolated chessboard corners identifiers. markerCorners : [Evision.Mat] . vector of already detected markers corners. For each marker, its four corners are provided, (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). For N detected markers, the dimensions of this array should be Nx4. The order of the corners should be clockwise. If markerCorners and markerCorners are empty, the function detect aruco markers and ids. markerIds : Evision.Mat.t() . list of identifiers for each marker in corners. If markerCorners and markerCorners are empty, the function detect aruco markers and ids. This function receives the detected markers and returns the 2D position of the chessboard corners from a ChArUco board using the detected Aruco markers. If markerCorners and markerCorners are empty, the detectMarkers() will run and detect aruco markers and ids. If camera parameters are provided, the process is based in an approximated pose estimation, else it is based on local homography. Only visible corners are returned. For each corner, its corresponding identifier is also returned in charucoIds. @sa findChessboardCorners Python prototype (for reference only): detectBoard(image[, charucoCorners[, charucoIds[, markerCorners[, markerIds]]]]) -&gt; charucoCorners, charucoIds, markerCorners, markerIds","ref":"Evision.ArUco.CharucoDetector.html#detectBoard/2","title":"Evision.ArUco.CharucoDetector.detectBoard/2","type":"function"},{"doc":"detect aruco markers and interpolate position of ChArUco board corners Positional Arguments self : Evision.ArUco.CharucoDetector.t() image : Evision.Mat.t() . input image necesary for corner refinement. Note that markers are not detected and should be sent in corners and ids parameters. Return charucoCorners : Evision.Mat.t() . interpolated chessboard corners. charucoIds : Evision.Mat.t() . interpolated chessboard corners identifiers. markerCorners : [Evision.Mat] . vector of already detected markers corners. For each marker, its four corners are provided, (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). For N detected markers, the dimensions of this array should be Nx4. The order of the corners should be clockwise. If markerCorners and markerCorners are empty, the function detect aruco markers and ids. markerIds : Evision.Mat.t() . list of identifiers for each marker in corners. If markerCorners and markerCorners are empty, the function detect aruco markers and ids. This function receives the detected markers and returns the 2D position of the chessboard corners from a ChArUco board using the detected Aruco markers. If markerCorners and markerCorners are empty, the detectMarkers() will run and detect aruco markers and ids. If camera parameters are provided, the process is based in an approximated pose estimation, else it is based on local homography. Only visible corners are returned. For each corner, its corresponding identifier is also returned in charucoIds. @sa findChessboardCorners Python prototype (for reference only): detectBoard(image[, charucoCorners[, charucoIds[, markerCorners[, markerIds]]]]) -&gt; charucoCorners, charucoIds, markerCorners, markerIds","ref":"Evision.ArUco.CharucoDetector.html#detectBoard/3","title":"Evision.ArUco.CharucoDetector.detectBoard/3","type":"function"},{"doc":"Detect ChArUco Diamond markers Positional Arguments self : Evision.ArUco.CharucoDetector.t() image : Evision.Mat.t() . input image necessary for corner subpixel. Return diamondCorners : [Evision.Mat] . output list of detected diamond corners (4 corners per diamond). The order is the same than in marker corners: top left, top right, bottom right and bottom left. Similar format than the corners returned by detectMarkers (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). diamondIds : Evision.Mat.t() . ids of the diamonds in diamondCorners. The id of each diamond is in fact of type Vec4i, so each diamond has 4 ids, which are the ids of the aruco markers composing the diamond. markerCorners : [Evision.Mat] . list of detected marker corners from detectMarkers function. If markerCorners and markerCorners are empty, the function detect aruco markers and ids. markerIds : [Evision.Mat] . list of marker ids in markerCorners. If markerCorners and markerCorners are empty, the function detect aruco markers and ids. This function detects Diamond markers from the previous detected ArUco markers. The diamonds are returned in the diamondCorners and diamondIds parameters. If camera calibration parameters are provided, the diamond search is based on reprojection. If not, diamond search is based on homography. Homography is faster than reprojection, but less accurate. Python prototype (for reference only): detectDiamonds(image[, diamondCorners[, diamondIds[, markerCorners[, markerIds]]]]) -&gt; diamondCorners, diamondIds, markerCorners, markerIds","ref":"Evision.ArUco.CharucoDetector.html#detectDiamonds/2","title":"Evision.ArUco.CharucoDetector.detectDiamonds/2","type":"function"},{"doc":"Detect ChArUco Diamond markers Positional Arguments self : Evision.ArUco.CharucoDetector.t() image : Evision.Mat.t() . input image necessary for corner subpixel. Return diamondCorners : [Evision.Mat] . output list of detected diamond corners (4 corners per diamond). The order is the same than in marker corners: top left, top right, bottom right and bottom left. Similar format than the corners returned by detectMarkers (e.g std::vector&lt;std::vector&lt;cv::Point2f&gt; &gt; ). diamondIds : Evision.Mat.t() . ids of the diamonds in diamondCorners. The id of each diamond is in fact of type Vec4i, so each diamond has 4 ids, which are the ids of the aruco markers composing the diamond. markerCorners : [Evision.Mat] . list of detected marker corners from detectMarkers function. If markerCorners and markerCorners are empty, the function detect aruco markers and ids. markerIds : [Evision.Mat] . list of marker ids in markerCorners. If markerCorners and markerCorners are empty, the function detect aruco markers and ids. This function detects Diamond markers from the previous detected ArUco markers. The diamonds are returned in the diamondCorners and diamondIds parameters. If camera calibration parameters are provided, the diamond search is based on reprojection. If not, diamond search is based on homography. Homography is faster than reprojection, but less accurate. Python prototype (for reference only): detectDiamonds(image[, diamondCorners[, diamondIds[, markerCorners[, markerIds]]]]) -&gt; diamondCorners, diamondIds, markerCorners, markerIds","ref":"Evision.ArUco.CharucoDetector.html#detectDiamonds/3","title":"Evision.ArUco.CharucoDetector.detectDiamonds/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.ArUco.CharucoDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ArUco.CharucoDetector.html#empty/1","title":"Evision.ArUco.CharucoDetector.empty/1","type":"function"},{"doc":"getBoard Positional Arguments self : Evision.ArUco.CharucoDetector.t() Return retval : Evision.ArUco.CharucoBoard.t() Python prototype (for reference only): getBoard() -&gt; retval","ref":"Evision.ArUco.CharucoDetector.html#getBoard/1","title":"Evision.ArUco.CharucoDetector.getBoard/1","type":"function"},{"doc":"getCharucoParameters Positional Arguments self : Evision.ArUco.CharucoDetector.t() Return retval : CharucoParameters Python prototype (for reference only): getCharucoParameters() -&gt; retval","ref":"Evision.ArUco.CharucoDetector.html#getCharucoParameters/1","title":"Evision.ArUco.CharucoDetector.getCharucoParameters/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ArUco.CharucoDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ArUco.CharucoDetector.html#getDefaultName/1","title":"Evision.ArUco.CharucoDetector.getDefaultName/1","type":"function"},{"doc":"getDetectorParameters Positional Arguments self : Evision.ArUco.CharucoDetector.t() Return retval : DetectorParameters Python prototype (for reference only): getDetectorParameters() -&gt; retval","ref":"Evision.ArUco.CharucoDetector.html#getDetectorParameters/1","title":"Evision.ArUco.CharucoDetector.getDetectorParameters/1","type":"function"},{"doc":"getRefineParameters Positional Arguments self : Evision.ArUco.CharucoDetector.t() Return retval : RefineParameters Python prototype (for reference only): getRefineParameters() -&gt; retval","ref":"Evision.ArUco.CharucoDetector.html#getRefineParameters/1","title":"Evision.ArUco.CharucoDetector.getRefineParameters/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ArUco.CharucoDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ArUco.CharucoDetector.html#read/2","title":"Evision.ArUco.CharucoDetector.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ArUco.CharucoDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ArUco.CharucoDetector.html#save/2","title":"Evision.ArUco.CharucoDetector.save/2","type":"function"},{"doc":"setBoard Positional Arguments self : Evision.ArUco.CharucoDetector.t() board : Evision.ArUco.CharucoBoard.t() Python prototype (for reference only): setBoard(board) -&gt; None","ref":"Evision.ArUco.CharucoDetector.html#setBoard/2","title":"Evision.ArUco.CharucoDetector.setBoard/2","type":"function"},{"doc":"setCharucoParameters Positional Arguments self : Evision.ArUco.CharucoDetector.t() charucoParameters : CharucoParameters Python prototype (for reference only): setCharucoParameters(charucoParameters) -&gt; None","ref":"Evision.ArUco.CharucoDetector.html#setCharucoParameters/2","title":"Evision.ArUco.CharucoDetector.setCharucoParameters/2","type":"function"},{"doc":"setDetectorParameters Positional Arguments self : Evision.ArUco.CharucoDetector.t() detectorParameters : DetectorParameters Python prototype (for reference only): setDetectorParameters(detectorParameters) -&gt; None","ref":"Evision.ArUco.CharucoDetector.html#setDetectorParameters/2","title":"Evision.ArUco.CharucoDetector.setDetectorParameters/2","type":"function"},{"doc":"setRefineParameters Positional Arguments self : Evision.ArUco.CharucoDetector.t() refineParameters : RefineParameters Python prototype (for reference only): setRefineParameters(refineParameters) -&gt; None","ref":"Evision.ArUco.CharucoDetector.html#setRefineParameters/2","title":"Evision.ArUco.CharucoDetector.setRefineParameters/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ArUco.CharucoDetector.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ArUco.CharucoDetector.html#write/2","title":"Evision.ArUco.CharucoDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ArUco.CharucoDetector.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ArUco.CharucoDetector.html#write/3","title":"Evision.ArUco.CharucoDetector.write/3","type":"function"},{"doc":"Type that represents an ArUco.CharucoDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.CharucoDetector.html#t:t/0","title":"Evision.ArUco.CharucoDetector.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.CharucoParameters.html","title":"Evision.ArUco.CharucoParameters","type":"module"},{"doc":"","ref":"Evision.ArUco.CharucoParameters.html#get_cameraMatrix/1","title":"Evision.ArUco.CharucoParameters.get_cameraMatrix/1","type":"function"},{"doc":"","ref":"Evision.ArUco.CharucoParameters.html#get_distCoeffs/1","title":"Evision.ArUco.CharucoParameters.get_distCoeffs/1","type":"function"},{"doc":"","ref":"Evision.ArUco.CharucoParameters.html#get_minMarkers/1","title":"Evision.ArUco.CharucoParameters.get_minMarkers/1","type":"function"},{"doc":"","ref":"Evision.ArUco.CharucoParameters.html#get_tryRefineMarkers/1","title":"Evision.ArUco.CharucoParameters.get_tryRefineMarkers/1","type":"function"},{"doc":"","ref":"Evision.ArUco.CharucoParameters.html#set_cameraMatrix/2","title":"Evision.ArUco.CharucoParameters.set_cameraMatrix/2","type":"function"},{"doc":"","ref":"Evision.ArUco.CharucoParameters.html#set_distCoeffs/2","title":"Evision.ArUco.CharucoParameters.set_distCoeffs/2","type":"function"},{"doc":"","ref":"Evision.ArUco.CharucoParameters.html#set_minMarkers/2","title":"Evision.ArUco.CharucoParameters.set_minMarkers/2","type":"function"},{"doc":"","ref":"Evision.ArUco.CharucoParameters.html#set_tryRefineMarkers/2","title":"Evision.ArUco.CharucoParameters.set_tryRefineMarkers/2","type":"function"},{"doc":"Type that represents an ArUco.CharucoParameters struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.CharucoParameters.html#t:t/0","title":"Evision.ArUco.CharucoParameters.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html","title":"Evision.ArUco.DetectorParameters","type":"module"},{"doc":"DetectorParameters Return self : DetectorParameters Python prototype (for reference only): DetectorParameters() -&gt; &lt;aruco_DetectorParameters object&gt;","ref":"Evision.ArUco.DetectorParameters.html#detectorParameters/0","title":"Evision.ArUco.DetectorParameters.detectorParameters/0","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_adaptiveThreshConstant/1","title":"Evision.ArUco.DetectorParameters.get_adaptiveThreshConstant/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_adaptiveThreshWinSizeMax/1","title":"Evision.ArUco.DetectorParameters.get_adaptiveThreshWinSizeMax/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_adaptiveThreshWinSizeMin/1","title":"Evision.ArUco.DetectorParameters.get_adaptiveThreshWinSizeMin/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_adaptiveThreshWinSizeStep/1","title":"Evision.ArUco.DetectorParameters.get_adaptiveThreshWinSizeStep/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_aprilTagCriticalRad/1","title":"Evision.ArUco.DetectorParameters.get_aprilTagCriticalRad/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_aprilTagDeglitch/1","title":"Evision.ArUco.DetectorParameters.get_aprilTagDeglitch/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_aprilTagMaxLineFitMse/1","title":"Evision.ArUco.DetectorParameters.get_aprilTagMaxLineFitMse/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_aprilTagMaxNmaxima/1","title":"Evision.ArUco.DetectorParameters.get_aprilTagMaxNmaxima/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_aprilTagMinClusterPixels/1","title":"Evision.ArUco.DetectorParameters.get_aprilTagMinClusterPixels/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_aprilTagMinWhiteBlackDiff/1","title":"Evision.ArUco.DetectorParameters.get_aprilTagMinWhiteBlackDiff/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_aprilTagQuadDecimate/1","title":"Evision.ArUco.DetectorParameters.get_aprilTagQuadDecimate/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_aprilTagQuadSigma/1","title":"Evision.ArUco.DetectorParameters.get_aprilTagQuadSigma/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_cornerRefinementMaxIterations/1","title":"Evision.ArUco.DetectorParameters.get_cornerRefinementMaxIterations/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_cornerRefinementMethod/1","title":"Evision.ArUco.DetectorParameters.get_cornerRefinementMethod/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_cornerRefinementMinAccuracy/1","title":"Evision.ArUco.DetectorParameters.get_cornerRefinementMinAccuracy/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_cornerRefinementWinSize/1","title":"Evision.ArUco.DetectorParameters.get_cornerRefinementWinSize/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_detectInvertedMarker/1","title":"Evision.ArUco.DetectorParameters.get_detectInvertedMarker/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_errorCorrectionRate/1","title":"Evision.ArUco.DetectorParameters.get_errorCorrectionRate/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_markerBorderBits/1","title":"Evision.ArUco.DetectorParameters.get_markerBorderBits/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_maxErroneousBitsInBorderRate/1","title":"Evision.ArUco.DetectorParameters.get_maxErroneousBitsInBorderRate/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_maxMarkerPerimeterRate/1","title":"Evision.ArUco.DetectorParameters.get_maxMarkerPerimeterRate/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_minCornerDistanceRate/1","title":"Evision.ArUco.DetectorParameters.get_minCornerDistanceRate/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_minDistanceToBorder/1","title":"Evision.ArUco.DetectorParameters.get_minDistanceToBorder/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_minMarkerDistanceRate/1","title":"Evision.ArUco.DetectorParameters.get_minMarkerDistanceRate/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_minMarkerLengthRatioOriginalImg/1","title":"Evision.ArUco.DetectorParameters.get_minMarkerLengthRatioOriginalImg/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_minMarkerPerimeterRate/1","title":"Evision.ArUco.DetectorParameters.get_minMarkerPerimeterRate/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_minOtsuStdDev/1","title":"Evision.ArUco.DetectorParameters.get_minOtsuStdDev/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_minSideLengthCanonicalImg/1","title":"Evision.ArUco.DetectorParameters.get_minSideLengthCanonicalImg/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_perspectiveRemoveIgnoredMarginPerCell/1","title":"Evision.ArUco.DetectorParameters.get_perspectiveRemoveIgnoredMarginPerCell/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_perspectiveRemovePixelPerCell/1","title":"Evision.ArUco.DetectorParameters.get_perspectiveRemovePixelPerCell/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_polygonalApproxAccuracyRate/1","title":"Evision.ArUco.DetectorParameters.get_polygonalApproxAccuracyRate/1","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#get_useAruco3Detection/1","title":"Evision.ArUco.DetectorParameters.get_useAruco3Detection/1","type":"function"},{"doc":"Read a new set of DetectorParameters from FileNode (use FileStorage.root()). Positional Arguments self : Evision.ArUco.DetectorParameters.t() fn_ : Evision.FileNode.t() Return retval : bool Python prototype (for reference only): readDetectorParameters(fn_) -&gt; retval","ref":"Evision.ArUco.DetectorParameters.html#readDetectorParameters/2","title":"Evision.ArUco.DetectorParameters.readDetectorParameters/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_adaptiveThreshConstant/2","title":"Evision.ArUco.DetectorParameters.set_adaptiveThreshConstant/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_adaptiveThreshWinSizeMax/2","title":"Evision.ArUco.DetectorParameters.set_adaptiveThreshWinSizeMax/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_adaptiveThreshWinSizeMin/2","title":"Evision.ArUco.DetectorParameters.set_adaptiveThreshWinSizeMin/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_adaptiveThreshWinSizeStep/2","title":"Evision.ArUco.DetectorParameters.set_adaptiveThreshWinSizeStep/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_aprilTagCriticalRad/2","title":"Evision.ArUco.DetectorParameters.set_aprilTagCriticalRad/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_aprilTagDeglitch/2","title":"Evision.ArUco.DetectorParameters.set_aprilTagDeglitch/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_aprilTagMaxLineFitMse/2","title":"Evision.ArUco.DetectorParameters.set_aprilTagMaxLineFitMse/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_aprilTagMaxNmaxima/2","title":"Evision.ArUco.DetectorParameters.set_aprilTagMaxNmaxima/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_aprilTagMinClusterPixels/2","title":"Evision.ArUco.DetectorParameters.set_aprilTagMinClusterPixels/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_aprilTagMinWhiteBlackDiff/2","title":"Evision.ArUco.DetectorParameters.set_aprilTagMinWhiteBlackDiff/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_aprilTagQuadDecimate/2","title":"Evision.ArUco.DetectorParameters.set_aprilTagQuadDecimate/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_aprilTagQuadSigma/2","title":"Evision.ArUco.DetectorParameters.set_aprilTagQuadSigma/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_cornerRefinementMaxIterations/2","title":"Evision.ArUco.DetectorParameters.set_cornerRefinementMaxIterations/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_cornerRefinementMethod/2","title":"Evision.ArUco.DetectorParameters.set_cornerRefinementMethod/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_cornerRefinementMinAccuracy/2","title":"Evision.ArUco.DetectorParameters.set_cornerRefinementMinAccuracy/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_cornerRefinementWinSize/2","title":"Evision.ArUco.DetectorParameters.set_cornerRefinementWinSize/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_detectInvertedMarker/2","title":"Evision.ArUco.DetectorParameters.set_detectInvertedMarker/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_errorCorrectionRate/2","title":"Evision.ArUco.DetectorParameters.set_errorCorrectionRate/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_markerBorderBits/2","title":"Evision.ArUco.DetectorParameters.set_markerBorderBits/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_maxErroneousBitsInBorderRate/2","title":"Evision.ArUco.DetectorParameters.set_maxErroneousBitsInBorderRate/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_maxMarkerPerimeterRate/2","title":"Evision.ArUco.DetectorParameters.set_maxMarkerPerimeterRate/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_minCornerDistanceRate/2","title":"Evision.ArUco.DetectorParameters.set_minCornerDistanceRate/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_minDistanceToBorder/2","title":"Evision.ArUco.DetectorParameters.set_minDistanceToBorder/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_minMarkerDistanceRate/2","title":"Evision.ArUco.DetectorParameters.set_minMarkerDistanceRate/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_minMarkerLengthRatioOriginalImg/2","title":"Evision.ArUco.DetectorParameters.set_minMarkerLengthRatioOriginalImg/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_minMarkerPerimeterRate/2","title":"Evision.ArUco.DetectorParameters.set_minMarkerPerimeterRate/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_minOtsuStdDev/2","title":"Evision.ArUco.DetectorParameters.set_minOtsuStdDev/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_minSideLengthCanonicalImg/2","title":"Evision.ArUco.DetectorParameters.set_minSideLengthCanonicalImg/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_perspectiveRemoveIgnoredMarginPerCell/2","title":"Evision.ArUco.DetectorParameters.set_perspectiveRemoveIgnoredMarginPerCell/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_perspectiveRemovePixelPerCell/2","title":"Evision.ArUco.DetectorParameters.set_perspectiveRemovePixelPerCell/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_polygonalApproxAccuracyRate/2","title":"Evision.ArUco.DetectorParameters.set_polygonalApproxAccuracyRate/2","type":"function"},{"doc":"","ref":"Evision.ArUco.DetectorParameters.html#set_useAruco3Detection/2","title":"Evision.ArUco.DetectorParameters.set_useAruco3Detection/2","type":"function"},{"doc":"Write a set of DetectorParameters to FileStorage Positional Arguments self : Evision.ArUco.DetectorParameters.t() fs : Evision.FileStorage.t() Keyword Arguments name : String . Return retval : bool Python prototype (for reference only): writeDetectorParameters(fs[, name]) -&gt; retval","ref":"Evision.ArUco.DetectorParameters.html#writeDetectorParameters/2","title":"Evision.ArUco.DetectorParameters.writeDetectorParameters/2","type":"function"},{"doc":"Write a set of DetectorParameters to FileStorage Positional Arguments self : Evision.ArUco.DetectorParameters.t() fs : Evision.FileStorage.t() Keyword Arguments name : String . Return retval : bool Python prototype (for reference only): writeDetectorParameters(fs[, name]) -&gt; retval","ref":"Evision.ArUco.DetectorParameters.html#writeDetectorParameters/3","title":"Evision.ArUco.DetectorParameters.writeDetectorParameters/3","type":"function"},{"doc":"Type that represents an ArUco.DetectorParameters struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.DetectorParameters.html#t:t/0","title":"Evision.ArUco.DetectorParameters.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.Dictionary.html","title":"Evision.ArUco.Dictionary","type":"module"},{"doc":"Dictionary Return self : Dictionary Python prototype (for reference only): Dictionary() -&gt; &lt;aruco_Dictionary object&gt;","ref":"Evision.ArUco.Dictionary.html#dictionary/0","title":"Evision.ArUco.Dictionary.dictionary/0","type":"function"},{"doc":"Dictionary Positional Arguments bytesList : Evision.Mat.t() markerSize : int Keyword Arguments maxcorr : int . Return self : Dictionary Python prototype (for reference only): Dictionary(bytesList, _markerSize[, maxcorr]) -&gt; &lt;aruco_Dictionary object&gt;","ref":"Evision.ArUco.Dictionary.html#dictionary/2","title":"Evision.ArUco.Dictionary.dictionary/2","type":"function"},{"doc":"Dictionary Positional Arguments bytesList : Evision.Mat.t() markerSize : int Keyword Arguments maxcorr : int . Return self : Dictionary Python prototype (for reference only): Dictionary(bytesList, _markerSize[, maxcorr]) -&gt; &lt;aruco_Dictionary object&gt;","ref":"Evision.ArUco.Dictionary.html#dictionary/3","title":"Evision.ArUco.Dictionary.dictionary/3","type":"function"},{"doc":"Generate a canonical marker image Positional Arguments self : Evision.ArUco.Dictionary.t() id : int sidePixels : int Keyword Arguments borderBits : int . Return img : Evision.Mat.t() . Python prototype (for reference only): generateImageMarker(id, sidePixels[, _img[, borderBits]]) -&gt; _img","ref":"Evision.ArUco.Dictionary.html#generateImageMarker/3","title":"Evision.ArUco.Dictionary.generateImageMarker/3","type":"function"},{"doc":"Generate a canonical marker image Positional Arguments self : Evision.ArUco.Dictionary.t() id : int sidePixels : int Keyword Arguments borderBits : int . Return img : Evision.Mat.t() . Python prototype (for reference only): generateImageMarker(id, sidePixels[, _img[, borderBits]]) -&gt; _img","ref":"Evision.ArUco.Dictionary.html#generateImageMarker/4","title":"Evision.ArUco.Dictionary.generateImageMarker/4","type":"function"},{"doc":"","ref":"Evision.ArUco.Dictionary.html#get_bytesList/1","title":"Evision.ArUco.Dictionary.get_bytesList/1","type":"function"},{"doc":"","ref":"Evision.ArUco.Dictionary.html#get_markerSize/1","title":"Evision.ArUco.Dictionary.get_markerSize/1","type":"function"},{"doc":"","ref":"Evision.ArUco.Dictionary.html#get_maxCorrectionBits/1","title":"Evision.ArUco.Dictionary.get_maxCorrectionBits/1","type":"function"},{"doc":"Transform list of bytes to matrix of bits Positional Arguments byteList : Evision.Mat.t() markerSize : int Return retval : Evision.Mat.t() Python prototype (for reference only): getBitsFromByteList(byteList, markerSize) -&gt; retval","ref":"Evision.ArUco.Dictionary.html#getBitsFromByteList/2","title":"Evision.ArUco.Dictionary.getBitsFromByteList/2","type":"function"},{"doc":"Transform matrix of bits to list of bytes in the 4 rotations Positional Arguments bits : Evision.Mat.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getByteListFromBits(bits) -&gt; retval","ref":"Evision.ArUco.Dictionary.html#getByteListFromBits/1","title":"Evision.ArUco.Dictionary.getByteListFromBits/1","type":"function"},{"doc":"Returns the distance of the input bits to the specific id. Positional Arguments self : Evision.ArUco.Dictionary.t() bits : Evision.Mat.t() id : int Keyword Arguments allRotations : bool . Return retval : int If allRotations is true, the four posible bits rotation are considered Python prototype (for reference only): getDistanceToId(bits, id[, allRotations]) -&gt; retval","ref":"Evision.ArUco.Dictionary.html#getDistanceToId/3","title":"Evision.ArUco.Dictionary.getDistanceToId/3","type":"function"},{"doc":"Returns the distance of the input bits to the specific id. Positional Arguments self : Evision.ArUco.Dictionary.t() bits : Evision.Mat.t() id : int Keyword Arguments allRotations : bool . Return retval : int If allRotations is true, the four posible bits rotation are considered Python prototype (for reference only): getDistanceToId(bits, id[, allRotations]) -&gt; retval","ref":"Evision.ArUco.Dictionary.html#getDistanceToId/4","title":"Evision.ArUco.Dictionary.getDistanceToId/4","type":"function"},{"doc":"Given a matrix of bits. Returns whether if marker is identified or not. Positional Arguments self : Evision.ArUco.Dictionary.t() onlyBits : Evision.Mat.t() maxCorrectionRate : double Return retval : bool idx : int rotation : int It returns by reference the correct id (if any) and the correct rotation Python prototype (for reference only): identify(onlyBits, maxCorrectionRate) -&gt; retval, idx, rotation","ref":"Evision.ArUco.Dictionary.html#identify/3","title":"Evision.ArUco.Dictionary.identify/3","type":"function"},{"doc":"Read a new dictionary from FileNode. Positional Arguments self : Evision.ArUco.Dictionary.t() fn_ : Evision.FileNode.t() Return retval : bool Dictionary format:\\n nmarkers: 35\\n markersize: 6\\n maxCorrectionBits: 5\\n marker_0: &quot;101011111011111001001001101100000000&quot;\\n ...\\n marker_34: &quot;011111010000111011111110110101100101&quot; Python prototype (for reference only): readDictionary(fn_) -&gt; retval","ref":"Evision.ArUco.Dictionary.html#readDictionary/2","title":"Evision.ArUco.Dictionary.readDictionary/2","type":"function"},{"doc":"","ref":"Evision.ArUco.Dictionary.html#set_bytesList/2","title":"Evision.ArUco.Dictionary.set_bytesList/2","type":"function"},{"doc":"","ref":"Evision.ArUco.Dictionary.html#set_markerSize/2","title":"Evision.ArUco.Dictionary.set_markerSize/2","type":"function"},{"doc":"","ref":"Evision.ArUco.Dictionary.html#set_maxCorrectionBits/2","title":"Evision.ArUco.Dictionary.set_maxCorrectionBits/2","type":"function"},{"doc":"Write a dictionary to FileStorage, format is the same as in readDictionary(). Positional Arguments self : Evision.ArUco.Dictionary.t() fs : Evision.FileStorage.t() Keyword Arguments name : String . Python prototype (for reference only): writeDictionary(fs[, name]) -&gt; None","ref":"Evision.ArUco.Dictionary.html#writeDictionary/2","title":"Evision.ArUco.Dictionary.writeDictionary/2","type":"function"},{"doc":"Write a dictionary to FileStorage, format is the same as in readDictionary(). Positional Arguments self : Evision.ArUco.Dictionary.t() fs : Evision.FileStorage.t() Keyword Arguments name : String . Python prototype (for reference only): writeDictionary(fs[, name]) -&gt; None","ref":"Evision.ArUco.Dictionary.html#writeDictionary/3","title":"Evision.ArUco.Dictionary.writeDictionary/3","type":"function"},{"doc":"Type that represents an ArUco.Dictionary struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.Dictionary.html#t:t/0","title":"Evision.ArUco.Dictionary.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.EstimateParameters.html","title":"Evision.ArUco.EstimateParameters","type":"module"},{"doc":"EstimateParameters Return self : EstimateParameters Python prototype (for reference only): EstimateParameters() -&gt; &lt;aruco_EstimateParameters object&gt;","ref":"Evision.ArUco.EstimateParameters.html#estimateParameters/0","title":"Evision.ArUco.EstimateParameters.estimateParameters/0","type":"function"},{"doc":"","ref":"Evision.ArUco.EstimateParameters.html#get_pattern/1","title":"Evision.ArUco.EstimateParameters.get_pattern/1","type":"function"},{"doc":"","ref":"Evision.ArUco.EstimateParameters.html#get_solvePnPMethod/1","title":"Evision.ArUco.EstimateParameters.get_solvePnPMethod/1","type":"function"},{"doc":"","ref":"Evision.ArUco.EstimateParameters.html#get_useExtrinsicGuess/1","title":"Evision.ArUco.EstimateParameters.get_useExtrinsicGuess/1","type":"function"},{"doc":"","ref":"Evision.ArUco.EstimateParameters.html#set_pattern/2","title":"Evision.ArUco.EstimateParameters.set_pattern/2","type":"function"},{"doc":"","ref":"Evision.ArUco.EstimateParameters.html#set_solvePnPMethod/2","title":"Evision.ArUco.EstimateParameters.set_solvePnPMethod/2","type":"function"},{"doc":"","ref":"Evision.ArUco.EstimateParameters.html#set_useExtrinsicGuess/2","title":"Evision.ArUco.EstimateParameters.set_useExtrinsicGuess/2","type":"function"},{"doc":"Type that represents an ArUco.EstimateParameters struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.EstimateParameters.html#t:t/0","title":"Evision.ArUco.EstimateParameters.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.GridBoard.html","title":"Evision.ArUco.GridBoard","type":"module"},{"doc":"getGridSize Positional Arguments self : Evision.ArUco.GridBoard.t() Return retval : Size Python prototype (for reference only): getGridSize() -&gt; retval","ref":"Evision.ArUco.GridBoard.html#getGridSize/1","title":"Evision.ArUco.GridBoard.getGridSize/1","type":"function"},{"doc":"getMarkerLength Positional Arguments self : Evision.ArUco.GridBoard.t() Return retval : float Python prototype (for reference only): getMarkerLength() -&gt; retval","ref":"Evision.ArUco.GridBoard.html#getMarkerLength/1","title":"Evision.ArUco.GridBoard.getMarkerLength/1","type":"function"},{"doc":"getMarkerSeparation Positional Arguments self : Evision.ArUco.GridBoard.t() Return retval : float Python prototype (for reference only): getMarkerSeparation() -&gt; retval","ref":"Evision.ArUco.GridBoard.html#getMarkerSeparation/1","title":"Evision.ArUco.GridBoard.getMarkerSeparation/1","type":"function"},{"doc":"GridBoard constructor Positional Arguments size : Size . number of markers in x and y directions markerLength : float . marker side length (normally in meters) markerSeparation : float . separation between two markers (same unit as markerLength) dictionary : Dictionary . dictionary of markers indicating the type of markers Keyword Arguments ids : Evision.Mat.t() . set of marker ids in dictionary to use on board. Return self : GridBoard Python prototype (for reference only): GridBoard(size, markerLength, markerSeparation, dictionary[, ids]) -&gt; &lt;aruco_GridBoard object&gt;","ref":"Evision.ArUco.GridBoard.html#gridBoard/4","title":"Evision.ArUco.GridBoard.gridBoard/4","type":"function"},{"doc":"GridBoard constructor Positional Arguments size : Size . number of markers in x and y directions markerLength : float . marker side length (normally in meters) markerSeparation : float . separation between two markers (same unit as markerLength) dictionary : Dictionary . dictionary of markers indicating the type of markers Keyword Arguments ids : Evision.Mat.t() . set of marker ids in dictionary to use on board. Return self : GridBoard Python prototype (for reference only): GridBoard(size, markerLength, markerSeparation, dictionary[, ids]) -&gt; &lt;aruco_GridBoard object&gt;","ref":"Evision.ArUco.GridBoard.html#gridBoard/5","title":"Evision.ArUco.GridBoard.gridBoard/5","type":"function"},{"doc":"Type that represents an ArUco.GridBoard struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.GridBoard.html#t:t/0","title":"Evision.ArUco.GridBoard.t/0","type":"type"},{"doc":"","ref":"Evision.ArUco.RefineParameters.html","title":"Evision.ArUco.RefineParameters","type":"module"},{"doc":"","ref":"Evision.ArUco.RefineParameters.html#get_checkAllOrders/1","title":"Evision.ArUco.RefineParameters.get_checkAllOrders/1","type":"function"},{"doc":"","ref":"Evision.ArUco.RefineParameters.html#get_errorCorrectionRate/1","title":"Evision.ArUco.RefineParameters.get_errorCorrectionRate/1","type":"function"},{"doc":"","ref":"Evision.ArUco.RefineParameters.html#get_minRepDistance/1","title":"Evision.ArUco.RefineParameters.get_minRepDistance/1","type":"function"},{"doc":"Read a new set of RefineParameters from FileNode (use FileStorage.root()). Positional Arguments self : Evision.ArUco.RefineParameters.t() fn_ : Evision.FileNode.t() Return retval : bool Python prototype (for reference only): readRefineParameters(fn_) -&gt; retval","ref":"Evision.ArUco.RefineParameters.html#readRefineParameters/2","title":"Evision.ArUco.RefineParameters.readRefineParameters/2","type":"function"},{"doc":"RefineParameters Keyword Arguments minRepDistance : float . errorCorrectionRate : float . checkAllOrders : bool . Return self : RefineParameters Python prototype (for reference only): RefineParameters([, minRepDistance[, errorCorrectionRate[, checkAllOrders]]]) -&gt; &lt;aruco_RefineParameters object&gt;","ref":"Evision.ArUco.RefineParameters.html#refineParameters/0","title":"Evision.ArUco.RefineParameters.refineParameters/0","type":"function"},{"doc":"RefineParameters Keyword Arguments minRepDistance : float . errorCorrectionRate : float . checkAllOrders : bool . Return self : RefineParameters Python prototype (for reference only): RefineParameters([, minRepDistance[, errorCorrectionRate[, checkAllOrders]]]) -&gt; &lt;aruco_RefineParameters object&gt;","ref":"Evision.ArUco.RefineParameters.html#refineParameters/1","title":"Evision.ArUco.RefineParameters.refineParameters/1","type":"function"},{"doc":"","ref":"Evision.ArUco.RefineParameters.html#set_checkAllOrders/2","title":"Evision.ArUco.RefineParameters.set_checkAllOrders/2","type":"function"},{"doc":"","ref":"Evision.ArUco.RefineParameters.html#set_errorCorrectionRate/2","title":"Evision.ArUco.RefineParameters.set_errorCorrectionRate/2","type":"function"},{"doc":"","ref":"Evision.ArUco.RefineParameters.html#set_minRepDistance/2","title":"Evision.ArUco.RefineParameters.set_minRepDistance/2","type":"function"},{"doc":"Write a set of RefineParameters to FileStorage Positional Arguments self : Evision.ArUco.RefineParameters.t() fs : Evision.FileStorage.t() Keyword Arguments name : String . Return retval : bool Python prototype (for reference only): writeRefineParameters(fs[, name]) -&gt; retval","ref":"Evision.ArUco.RefineParameters.html#writeRefineParameters/2","title":"Evision.ArUco.RefineParameters.writeRefineParameters/2","type":"function"},{"doc":"Write a set of RefineParameters to FileStorage Positional Arguments self : Evision.ArUco.RefineParameters.t() fs : Evision.FileStorage.t() Keyword Arguments name : String . Return retval : bool Python prototype (for reference only): writeRefineParameters(fs[, name]) -&gt; retval","ref":"Evision.ArUco.RefineParameters.html#writeRefineParameters/3","title":"Evision.ArUco.RefineParameters.writeRefineParameters/3","type":"function"},{"doc":"Type that represents an ArUco.RefineParameters struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ArUco.RefineParameters.html#t:t/0","title":"Evision.ArUco.RefineParameters.t/0","type":"type"},{"doc":"","ref":"Evision.AsyncArray.html","title":"Evision.AsyncArray","type":"module"},{"doc":"AsyncArray Return self : Evision.AsyncArray.t() Python prototype (for reference only): AsyncArray() -&gt; &lt;AsyncArray object&gt;","ref":"Evision.AsyncArray.html#asyncArray/0","title":"Evision.AsyncArray.asyncArray/0","type":"function"},{"doc":"get Positional Arguments self : Evision.AsyncArray.t() Return dst : Evision.Mat.t() . destination array Fetch the result. Waits for result until container has valid result. Throws exception if exception was stored as a result. Throws exception on invalid container state. Note : Result or stored exception can be fetched only once. Python prototype (for reference only): get([, dst]) -&gt; dst","ref":"Evision.AsyncArray.html#get/1","title":"Evision.AsyncArray.get/1","type":"function"},{"doc":"Variant 1: get Positional Arguments self : Evision.AsyncArray.t() timeoutNs : double . timeout in nanoseconds, -1 for infinite wait Return retval : bool dst : Evision.Mat.t() . destination array Retrieving the result with timeout @returns true if result is ready, false if the timeout has expired Note : Result or stored exception can be fetched only once. Python prototype (for reference only): get(timeoutNs[, dst]) -&gt; retval, dst Variant 2: get Positional Arguments self : Evision.AsyncArray.t() Return dst : Evision.Mat.t() . destination array Fetch the result. Waits for result until container has valid result. Throws exception if exception was stored as a result. Throws exception on invalid container state. Note : Result or stored exception can be fetched only once. Python prototype (for reference only): get([, dst]) -&gt; dst","ref":"Evision.AsyncArray.html#get/2","title":"Evision.AsyncArray.get/2","type":"function"},{"doc":"get Positional Arguments self : Evision.AsyncArray.t() timeoutNs : double . timeout in nanoseconds, -1 for infinite wait Return retval : bool dst : Evision.Mat.t() . destination array Retrieving the result with timeout @returns true if result is ready, false if the timeout has expired Note : Result or stored exception can be fetched only once. Python prototype (for reference only): get(timeoutNs[, dst]) -&gt; retval, dst","ref":"Evision.AsyncArray.html#get/3","title":"Evision.AsyncArray.get/3","type":"function"},{"doc":"release Positional Arguments self : Evision.AsyncArray.t() Python prototype (for reference only): release() -&gt; None","ref":"Evision.AsyncArray.html#release/1","title":"Evision.AsyncArray.release/1","type":"function"},{"doc":"valid Positional Arguments self : Evision.AsyncArray.t() Return retval : bool Python prototype (for reference only): valid() -&gt; retval","ref":"Evision.AsyncArray.html#valid/1","title":"Evision.AsyncArray.valid/1","type":"function"},{"doc":"wait_for Positional Arguments self : Evision.AsyncArray.t() timeoutNs : double Return retval : bool Python prototype (for reference only): wait_for(timeoutNs) -&gt; retval","ref":"Evision.AsyncArray.html#wait_for/2","title":"Evision.AsyncArray.wait_for/2","type":"function"},{"doc":"Type that represents an AsyncArray struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.AsyncArray.html#t:t/0","title":"Evision.AsyncArray.t/0","type":"type"},{"doc":"","ref":"Evision.BFMatcher.html","title":"Evision.BFMatcher","type":"module"},{"doc":"Adds descriptors to train a CPU(trainDescCollectionis) or GPU(utrainDescCollectionis) descriptor collection. Positional Arguments self : Evision.BFMatcher.t() descriptors : [Evision.Mat] . Descriptors to add. Each descriptors[i] is a set of descriptors from the same train image. If the collection is not empty, the new descriptors are added to existing train descriptors. Python prototype (for reference only): add(descriptors) -&gt; None","ref":"Evision.BFMatcher.html#add/2","title":"Evision.BFMatcher.add/2","type":"function"},{"doc":"Brute-force matcher constructor (obsolete). Please use BFMatcher.create() Keyword Arguments normType : int . crossCheck : bool . Return self : Evision.BFMatcher.t() Python prototype (for reference only): BFMatcher([, normType[, crossCheck]]) -&gt; &lt;BFMatcher object&gt;","ref":"Evision.BFMatcher.html#bfMatcher/0","title":"Evision.BFMatcher.bfMatcher/0","type":"function"},{"doc":"Brute-force matcher constructor (obsolete). Please use BFMatcher.create() Keyword Arguments normType : int . crossCheck : bool . Return self : Evision.BFMatcher.t() Python prototype (for reference only): BFMatcher([, normType[, crossCheck]]) -&gt; &lt;BFMatcher object&gt;","ref":"Evision.BFMatcher.html#bfMatcher/1","title":"Evision.BFMatcher.bfMatcher/1","type":"function"},{"doc":"Clears the train descriptor collections. Positional Arguments self : Evision.BFMatcher.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.BFMatcher.html#clear/1","title":"Evision.BFMatcher.clear/1","type":"function"},{"doc":"Clones the matcher. Positional Arguments self : Evision.BFMatcher.t() Keyword Arguments emptyTrainData : bool . If emptyTrainData is false, the method creates a deep copy of the object, that is, copies both parameters and train data. If emptyTrainData is true, the method creates an object copy with the current parameters but with empty train data. Return retval : Evision.DescriptorMatcher.t() Python prototype (for reference only): clone([, emptyTrainData]) -&gt; retval","ref":"Evision.BFMatcher.html#clone/1","title":"Evision.BFMatcher.clone/1","type":"function"},{"doc":"Clones the matcher. Positional Arguments self : Evision.BFMatcher.t() Keyword Arguments emptyTrainData : bool . If emptyTrainData is false, the method creates a deep copy of the object, that is, copies both parameters and train data. If emptyTrainData is true, the method creates an object copy with the current parameters but with empty train data. Return retval : Evision.DescriptorMatcher.t() Python prototype (for reference only): clone([, emptyTrainData]) -&gt; retval","ref":"Evision.BFMatcher.html#clone/2","title":"Evision.BFMatcher.clone/2","type":"function"},{"doc":"Brute-force matcher create method. Keyword Arguments normType : int . One of NORM_L1, NORM_L2, NORM_HAMMING, NORM_HAMMING2. L1 and L2 norms are preferable choices for SIFT and SURF descriptors, NORM_HAMMING should be used with ORB, BRISK and BRIEF, NORM_HAMMING2 should be used with ORB when WTA_K==3 or 4 (see ORB::ORB constructor description). crossCheck : bool . If it is false, this is will be default BFMatcher behaviour when it finds the k nearest neighbors for each query descriptor. If crossCheck==true, then the knnMatch() method with k=1 will only return pairs (i,j) such that for i-th query descriptor the j-th descriptor in the matcher's collection is the nearest and vice versa, i.e. the BFMatcher will only return consistent pairs. Such technique usually produces best results with minimal number of outliers when there are enough matches. This is alternative to the ratio test, used by D. Lowe in SIFT paper. Return retval : Evision.BFMatcher.t() Python prototype (for reference only): create([, normType[, crossCheck]]) -&gt; retval","ref":"Evision.BFMatcher.html#create/0","title":"Evision.BFMatcher.create/0","type":"function"},{"doc":"Brute-force matcher create method. Keyword Arguments normType : int . One of NORM_L1, NORM_L2, NORM_HAMMING, NORM_HAMMING2. L1 and L2 norms are preferable choices for SIFT and SURF descriptors, NORM_HAMMING should be used with ORB, BRISK and BRIEF, NORM_HAMMING2 should be used with ORB when WTA_K==3 or 4 (see ORB::ORB constructor description). crossCheck : bool . If it is false, this is will be default BFMatcher behaviour when it finds the k nearest neighbors for each query descriptor. If crossCheck==true, then the knnMatch() method with k=1 will only return pairs (i,j) such that for i-th query descriptor the j-th descriptor in the matcher's collection is the nearest and vice versa, i.e. the BFMatcher will only return consistent pairs. Such technique usually produces best results with minimal number of outliers when there are enough matches. This is alternative to the ratio test, used by D. Lowe in SIFT paper. Return retval : Evision.BFMatcher.t() Python prototype (for reference only): create([, normType[, crossCheck]]) -&gt; retval","ref":"Evision.BFMatcher.html#create/1","title":"Evision.BFMatcher.create/1","type":"function"},{"doc":"Returns true if there are no train descriptors in the both collections. Positional Arguments self : Evision.BFMatcher.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.BFMatcher.html#empty/1","title":"Evision.BFMatcher.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.BFMatcher.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.BFMatcher.html#getDefaultName/1","title":"Evision.BFMatcher.getDefaultName/1","type":"function"},{"doc":"Returns a constant link to the train descriptor collection trainDescCollection . Positional Arguments self : Evision.BFMatcher.t() Return retval : [Evision.Mat] Python prototype (for reference only): getTrainDescriptors() -&gt; retval","ref":"Evision.BFMatcher.html#getTrainDescriptors/1","title":"Evision.BFMatcher.getTrainDescriptors/1","type":"function"},{"doc":"Returns true if the descriptor matcher supports masking permissible matches. Positional Arguments self : Evision.BFMatcher.t() Return retval : bool Python prototype (for reference only): isMaskSupported() -&gt; retval","ref":"Evision.BFMatcher.html#isMaskSupported/1","title":"Evision.BFMatcher.isMaskSupported/1","type":"function"},{"doc":"knnMatch Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. Has overloading in C++ Python prototype (for reference only): knnMatch(queryDescriptors, k[, masks[, compactResult]]) -&gt; matches","ref":"Evision.BFMatcher.html#knnMatch/3","title":"Evision.BFMatcher.knnMatch/3","type":"function"},{"doc":"Variant 1: Finds the k best matches for each descriptor from a query set. Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. These extended variants of DescriptorMatcher::match methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::match for the details about query and train descriptors. Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches Variant 2: knnMatch Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. Has overloading in C++ Python prototype (for reference only): knnMatch(queryDescriptors, k[, masks[, compactResult]]) -&gt; matches","ref":"Evision.BFMatcher.html#knnMatch/4","title":"Evision.BFMatcher.knnMatch/4","type":"function"},{"doc":"Finds the k best matches for each descriptor from a query set. Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. These extended variants of DescriptorMatcher::match methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::match for the details about query and train descriptors. Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches","ref":"Evision.BFMatcher.html#knnMatch/5","title":"Evision.BFMatcher.knnMatch/5","type":"function"},{"doc":"match Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. Has overloading in C++ Python prototype (for reference only): match(queryDescriptors[, masks]) -&gt; matches","ref":"Evision.BFMatcher.html#match/2","title":"Evision.BFMatcher.match/2","type":"function"},{"doc":"Variant 1: Finds the best match for each descriptor from a query set. Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches Variant 2: match Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. Has overloading in C++ Python prototype (for reference only): match(queryDescriptors[, masks]) -&gt; matches","ref":"Evision.BFMatcher.html#match/3","title":"Evision.BFMatcher.match/3","type":"function"},{"doc":"Finds the best match for each descriptor from a query set. Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches","ref":"Evision.BFMatcher.html#match/4","title":"Evision.BFMatcher.match/4","type":"function"},{"doc":"radiusMatch Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. Has overloading in C++ Python prototype (for reference only): radiusMatch(queryDescriptors, maxDistance[, masks[, compactResult]]) -&gt; matches","ref":"Evision.BFMatcher.html#radiusMatch/3","title":"Evision.BFMatcher.radiusMatch/3","type":"function"},{"doc":"Variant 1: For each query descriptor, finds the training descriptors not farther than the specified distance. Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatch(queryDescriptors, trainDescriptors, maxDistance[, mask[, compactResult]]) -&gt; matches Variant 2: radiusMatch Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. Has overloading in C++ Python prototype (for reference only): radiusMatch(queryDescriptors, maxDistance[, masks[, compactResult]]) -&gt; matches","ref":"Evision.BFMatcher.html#radiusMatch/4","title":"Evision.BFMatcher.radiusMatch/4","type":"function"},{"doc":"For each query descriptor, finds the training descriptors not farther than the specified distance. Positional Arguments self : Evision.BFMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatch(queryDescriptors, trainDescriptors, maxDistance[, mask[, compactResult]]) -&gt; matches","ref":"Evision.BFMatcher.html#radiusMatch/5","title":"Evision.BFMatcher.radiusMatch/5","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.BFMatcher.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.BFMatcher.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.BFMatcher.html#read/2","title":"Evision.BFMatcher.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.BFMatcher.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.BFMatcher.html#save/2","title":"Evision.BFMatcher.save/2","type":"function"},{"doc":"Trains a descriptor matcher Positional Arguments self : Evision.BFMatcher.t() Trains a descriptor matcher (for example, the flann index). In all methods to match, the method train() is run every time before matching. Some descriptor matchers (for example, BruteForceMatcher) have an empty implementation of this method. Other matchers really train their inner structures (for example, FlannBasedMatcher trains flann::Index ). Python prototype (for reference only): train() -&gt; None","ref":"Evision.BFMatcher.html#train/1","title":"Evision.BFMatcher.train/1","type":"function"},{"doc":"write Positional Arguments self : Evision.BFMatcher.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.BFMatcher.html#write/2","title":"Evision.BFMatcher.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.BFMatcher.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.BFMatcher.html#write/3","title":"Evision.BFMatcher.write/3","type":"function"},{"doc":"Type that represents an BFMatcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BFMatcher.html#t:t/0","title":"Evision.BFMatcher.t/0","type":"type"},{"doc":"","ref":"Evision.BOWImgDescriptorExtractor.html","title":"Evision.BOWImgDescriptorExtractor","type":"module"},{"doc":"The constructor. Positional Arguments dextractor : DescriptorExtractor . Descriptor extractor that is used to compute descriptors for an input image and its keypoints. dmatcher : Evision.DescriptorMatcher.t() . Descriptor matcher that is used to find the nearest word of the trained vocabulary for each keypoint descriptor of the image. Return self : Evision.BOWImgDescriptorExtractor.t() Python prototype (for reference only): BOWImgDescriptorExtractor(dextractor, dmatcher) -&gt; &lt;BOWImgDescriptorExtractor object&gt;","ref":"Evision.BOWImgDescriptorExtractor.html#bowImgDescriptorExtractor/2","title":"Evision.BOWImgDescriptorExtractor.bowImgDescriptorExtractor/2","type":"function"},{"doc":"compute Positional Arguments self : Evision.BOWImgDescriptorExtractor.t() image : Evision.Mat.t() keypoints : [Evision.KeyPoint] Return imgDescriptor : Evision.Mat.t() . Computed output image descriptor. Has overloading in C++ Python prototype (for reference only): compute(image, keypoints[, imgDescriptor]) -&gt; imgDescriptor","ref":"Evision.BOWImgDescriptorExtractor.html#compute/3","title":"Evision.BOWImgDescriptorExtractor.compute/3","type":"function"},{"doc":"compute Positional Arguments self : Evision.BOWImgDescriptorExtractor.t() image : Evision.Mat.t() keypoints : [Evision.KeyPoint] Return imgDescriptor : Evision.Mat.t() . Computed output image descriptor. Has overloading in C++ Python prototype (for reference only): compute(image, keypoints[, imgDescriptor]) -&gt; imgDescriptor","ref":"Evision.BOWImgDescriptorExtractor.html#compute/4","title":"Evision.BOWImgDescriptorExtractor.compute/4","type":"function"},{"doc":"Returns an image descriptor size if the vocabulary is set. Otherwise, it returns 0. Positional Arguments self : Evision.BOWImgDescriptorExtractor.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.BOWImgDescriptorExtractor.html#descriptorSize/1","title":"Evision.BOWImgDescriptorExtractor.descriptorSize/1","type":"function"},{"doc":"Returns an image descriptor type. Positional Arguments self : Evision.BOWImgDescriptorExtractor.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.BOWImgDescriptorExtractor.html#descriptorType/1","title":"Evision.BOWImgDescriptorExtractor.descriptorType/1","type":"function"},{"doc":"Returns the set vocabulary. Positional Arguments self : Evision.BOWImgDescriptorExtractor.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getVocabulary() -&gt; retval","ref":"Evision.BOWImgDescriptorExtractor.html#getVocabulary/1","title":"Evision.BOWImgDescriptorExtractor.getVocabulary/1","type":"function"},{"doc":"Sets a visual vocabulary. Positional Arguments self : Evision.BOWImgDescriptorExtractor.t() vocabulary : Evision.Mat.t() . Vocabulary (can be trained using the inheritor of BOWTrainer ). Each row of the vocabulary is a visual word (cluster center). Python prototype (for reference only): setVocabulary(vocabulary) -&gt; None","ref":"Evision.BOWImgDescriptorExtractor.html#setVocabulary/2","title":"Evision.BOWImgDescriptorExtractor.setVocabulary/2","type":"function"},{"doc":"Type that represents an BOWImgDescriptorExtractor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BOWImgDescriptorExtractor.html#t:t/0","title":"Evision.BOWImgDescriptorExtractor.t/0","type":"type"},{"doc":"","ref":"Evision.BOWKMeansTrainer.html","title":"Evision.BOWKMeansTrainer","type":"module"},{"doc":"The constructor. Positional Arguments clusterCount : int Keyword Arguments termcrit : TermCriteria . attempts : int . flags : int . Return self : Evision.BOWKMeansTrainer.t() @see cv::kmeans Python prototype (for reference only): BOWKMeansTrainer(clusterCount[, termcrit[, attempts[, flags]]]) -&gt; &lt;BOWKMeansTrainer object&gt;","ref":"Evision.BOWKMeansTrainer.html#bowKMeansTrainer/1","title":"Evision.BOWKMeansTrainer.bowKMeansTrainer/1","type":"function"},{"doc":"The constructor. Positional Arguments clusterCount : int Keyword Arguments termcrit : TermCriteria . attempts : int . flags : int . Return self : Evision.BOWKMeansTrainer.t() @see cv::kmeans Python prototype (for reference only): BOWKMeansTrainer(clusterCount[, termcrit[, attempts[, flags]]]) -&gt; &lt;BOWKMeansTrainer object&gt;","ref":"Evision.BOWKMeansTrainer.html#bowKMeansTrainer/2","title":"Evision.BOWKMeansTrainer.bowKMeansTrainer/2","type":"function"},{"doc":"cluster Positional Arguments self : Evision.BOWKMeansTrainer.t() Return retval : Evision.Mat.t() Python prototype (for reference only): cluster() -&gt; retval","ref":"Evision.BOWKMeansTrainer.html#cluster/1","title":"Evision.BOWKMeansTrainer.cluster/1","type":"function"},{"doc":"cluster Positional Arguments self : Evision.BOWKMeansTrainer.t() descriptors : Evision.Mat.t() Return retval : Evision.Mat.t() Python prototype (for reference only): cluster(descriptors) -&gt; retval","ref":"Evision.BOWKMeansTrainer.html#cluster/2","title":"Evision.BOWKMeansTrainer.cluster/2","type":"function"},{"doc":"Type that represents an BOWKMeansTrainer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BOWKMeansTrainer.html#t:t/0","title":"Evision.BOWKMeansTrainer.t/0","type":"type"},{"doc":"","ref":"Evision.BOWTrainer.html","title":"Evision.BOWTrainer","type":"module"},{"doc":"Adds descriptors to a training set. Positional Arguments self : Evision.BOWTrainer.t() descriptors : Evision.Mat.t() . Descriptors to add to a training set. Each row of the descriptors matrix is a descriptor. The training set is clustered using clustermethod to construct the vocabulary. Python prototype (for reference only): add(descriptors) -&gt; None","ref":"Evision.BOWTrainer.html#add/2","title":"Evision.BOWTrainer.add/2","type":"function"},{"doc":"clear Positional Arguments self : Evision.BOWTrainer.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.BOWTrainer.html#clear/1","title":"Evision.BOWTrainer.clear/1","type":"function"},{"doc":"cluster Positional Arguments self : Evision.BOWTrainer.t() Return retval : Evision.Mat.t() Has overloading in C++ Python prototype (for reference only): cluster() -&gt; retval","ref":"Evision.BOWTrainer.html#cluster/1","title":"Evision.BOWTrainer.cluster/1","type":"function"},{"doc":"Clusters train descriptors. Positional Arguments self : Evision.BOWTrainer.t() descriptors : Evision.Mat.t() . Descriptors to cluster. Each row of the descriptors matrix is a descriptor. Descriptors are not added to the inner train descriptor set. Return retval : Evision.Mat.t() The vocabulary consists of cluster centers. So, this method returns the vocabulary. In the first variant of the method, train descriptors stored in the object are clustered. In the second variant, input descriptors are clustered. Python prototype (for reference only): cluster(descriptors) -&gt; retval","ref":"Evision.BOWTrainer.html#cluster/2","title":"Evision.BOWTrainer.cluster/2","type":"function"},{"doc":"Returns the count of all descriptors stored in the training set. Positional Arguments self : Evision.BOWTrainer.t() Return retval : int Python prototype (for reference only): descriptorsCount() -&gt; retval","ref":"Evision.BOWTrainer.html#descriptorsCount/1","title":"Evision.BOWTrainer.descriptorsCount/1","type":"function"},{"doc":"Returns a training set of descriptors. Positional Arguments self : Evision.BOWTrainer.t() Return retval : [Evision.Mat] Python prototype (for reference only): getDescriptors() -&gt; retval","ref":"Evision.BOWTrainer.html#getDescriptors/1","title":"Evision.BOWTrainer.getDescriptors/1","type":"function"},{"doc":"Type that represents an BOWTrainer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BOWTrainer.html#t:t/0","title":"Evision.BOWTrainer.t/0","type":"type"},{"doc":"","ref":"Evision.BRISK.html","title":"Evision.BRISK","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.BRISK.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.BRISK.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.BRISK.html#compute/3","title":"Evision.BRISK.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.BRISK.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.BRISK.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.BRISK.html#compute/4","title":"Evision.BRISK.compute/4","type":"function"},{"doc":"The BRISK constructor Keyword Arguments thresh : int . AGAST detection threshold score. octaves : int . detection octaves. Use 0 to do single scale. patternScale : float . apply this scale to the pattern used for sampling the neighbourhood of a keypoint. Return retval : Evision.BRISK.t() Python prototype (for reference only): create([, thresh[, octaves[, patternScale]]]) -&gt; retval","ref":"Evision.BRISK.html#create/0","title":"Evision.BRISK.create/0","type":"function"},{"doc":"The BRISK constructor Keyword Arguments thresh : int . AGAST detection threshold score. octaves : int . detection octaves. Use 0 to do single scale. patternScale : float . apply this scale to the pattern used for sampling the neighbourhood of a keypoint. Return retval : Evision.BRISK.t() Python prototype (for reference only): create([, thresh[, octaves[, patternScale]]]) -&gt; retval","ref":"Evision.BRISK.html#create/1","title":"Evision.BRISK.create/1","type":"function"},{"doc":"The BRISK constructor for a custom pattern Positional Arguments radiusList : [float] . defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1). numberList : [int] . defines the number of sampling points on the sampling circle. Must be the same size as radiusList.. Keyword Arguments dMax : float . threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1). dMin : float . threshold for the long pairings used for orientation determination (in pixels for keypoint scale 1). indexChange : [int] . index remapping of the bits. Return retval : Evision.BRISK.t() Python prototype (for reference only): create(radiusList, numberList[, dMax[, dMin[, indexChange]]]) -&gt; retval","ref":"Evision.BRISK.html#create/2","title":"Evision.BRISK.create/2","type":"function"},{"doc":"The BRISK constructor for a custom pattern Positional Arguments radiusList : [float] . defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1). numberList : [int] . defines the number of sampling points on the sampling circle. Must be the same size as radiusList.. Keyword Arguments dMax : float . threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1). dMin : float . threshold for the long pairings used for orientation determination (in pixels for keypoint scale 1). indexChange : [int] . index remapping of the bits. Return retval : Evision.BRISK.t() Python prototype (for reference only): create(radiusList, numberList[, dMax[, dMin[, indexChange]]]) -&gt; retval","ref":"Evision.BRISK.html#create/3","title":"Evision.BRISK.create/3","type":"function"},{"doc":"The BRISK constructor for a custom pattern, detection threshold and octaves Positional Arguments thresh : int . AGAST detection threshold score. octaves : int . detection octaves. Use 0 to do single scale. radiusList : [float] . defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1). numberList : [int] . defines the number of sampling points on the sampling circle. Must be the same size as radiusList.. Keyword Arguments dMax : float . threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1). dMin : float . threshold for the long pairings used for orientation determination (in pixels for keypoint scale 1). indexChange : [int] . index remapping of the bits. Return retval : Evision.BRISK.t() Python prototype (for reference only): create(thresh, octaves, radiusList, numberList[, dMax[, dMin[, indexChange]]]) -&gt; retval","ref":"Evision.BRISK.html#create/4","title":"Evision.BRISK.create/4","type":"function"},{"doc":"The BRISK constructor for a custom pattern, detection threshold and octaves Positional Arguments thresh : int . AGAST detection threshold score. octaves : int . detection octaves. Use 0 to do single scale. radiusList : [float] . defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1). numberList : [int] . defines the number of sampling points on the sampling circle. Must be the same size as radiusList.. Keyword Arguments dMax : float . threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1). dMin : float . threshold for the long pairings used for orientation determination (in pixels for keypoint scale 1). indexChange : [int] . index remapping of the bits. Return retval : Evision.BRISK.t() Python prototype (for reference only): create(thresh, octaves, radiusList, numberList[, dMax[, dMin[, indexChange]]]) -&gt; retval","ref":"Evision.BRISK.html#create/5","title":"Evision.BRISK.create/5","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.BRISK.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.BRISK.html#defaultNorm/1","title":"Evision.BRISK.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.BRISK.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.BRISK.html#descriptorSize/1","title":"Evision.BRISK.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.BRISK.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.BRISK.html#descriptorType/1","title":"Evision.BRISK.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.BRISK.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.BRISK.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.BRISK.html#detect/2","title":"Evision.BRISK.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.BRISK.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.BRISK.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.BRISK.html#detect/3","title":"Evision.BRISK.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.BRISK.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.BRISK.html#detectAndCompute/3","title":"Evision.BRISK.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.BRISK.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.BRISK.html#detectAndCompute/4","title":"Evision.BRISK.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.BRISK.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.BRISK.html#empty/1","title":"Evision.BRISK.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.BRISK.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.BRISK.html#getDefaultName/1","title":"Evision.BRISK.getDefaultName/1","type":"function"},{"doc":"getOctaves Positional Arguments self : Evision.BRISK.t() Return retval : int Python prototype (for reference only): getOctaves() -&gt; retval","ref":"Evision.BRISK.html#getOctaves/1","title":"Evision.BRISK.getOctaves/1","type":"function"},{"doc":"getPatternScale Positional Arguments self : Evision.BRISK.t() Return retval : float Python prototype (for reference only): getPatternScale() -&gt; retval","ref":"Evision.BRISK.html#getPatternScale/1","title":"Evision.BRISK.getPatternScale/1","type":"function"},{"doc":"getThreshold Positional Arguments self : Evision.BRISK.t() Return retval : int Python prototype (for reference only): getThreshold() -&gt; retval","ref":"Evision.BRISK.html#getThreshold/1","title":"Evision.BRISK.getThreshold/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.BRISK.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.BRISK.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.BRISK.html#read/2","title":"Evision.BRISK.read/2","type":"function"},{"doc":"Set detection octaves. Positional Arguments self : Evision.BRISK.t() octaves : int . detection octaves. Use 0 to do single scale. Python prototype (for reference only): setOctaves(octaves) -&gt; None","ref":"Evision.BRISK.html#setOctaves/2","title":"Evision.BRISK.setOctaves/2","type":"function"},{"doc":"Set detection patternScale. Positional Arguments self : Evision.BRISK.t() patternScale : float . apply this scale to the pattern used for sampling the neighbourhood of a keypoint. Python prototype (for reference only): setPatternScale(patternScale) -&gt; None","ref":"Evision.BRISK.html#setPatternScale/2","title":"Evision.BRISK.setPatternScale/2","type":"function"},{"doc":"Set detection threshold. Positional Arguments self : Evision.BRISK.t() threshold : int . AGAST detection threshold score. Python prototype (for reference only): setThreshold(threshold) -&gt; None","ref":"Evision.BRISK.html#setThreshold/2","title":"Evision.BRISK.setThreshold/2","type":"function"},{"doc":"write Positional Arguments self : Evision.BRISK.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.BRISK.html#write/2","title":"Evision.BRISK.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.BRISK.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.BRISK.html#write/3","title":"Evision.BRISK.write/3","type":"function"},{"doc":"Type that represents an BRISK struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BRISK.html#t:t/0","title":"Evision.BRISK.t/0","type":"type"},{"doc":"","ref":"Evision.Backend.html","title":"Evision.Backend","type":"module"},{"doc":"Tensor with constant values. Example Nx . tensor ( 1.0 , backend : Evision.Backend ) # Nx.Tensor &lt; f32 Evision.Backend 1.0 &gt;","ref":"Evision.Backend.html#constant/3","title":"Evision.Backend.constant/3","type":"function"},{"doc":"","ref":"Evision.BackgroundSubtractor.html","title":"Evision.BackgroundSubtractor","type":"module"},{"doc":"Computes a foreground mask. Positional Arguments self : Evision.BackgroundSubtractor.t() image : Evision.Mat.t() . Next video frame. Keyword Arguments learningRate : double . The value between 0 and 1 that indicates how fast the background model is learnt. Negative parameter value makes the algorithm to use some automatically chosen learning rate. 0 means that the background model is not updated at all, 1 means that the background model is completely reinitialized from the last frame. Return fgmask : Evision.Mat.t() . The output foreground mask as an 8-bit binary image. Python prototype (for reference only): apply(image[, fgmask[, learningRate]]) -&gt; fgmask","ref":"Evision.BackgroundSubtractor.html#apply/2","title":"Evision.BackgroundSubtractor.apply/2","type":"function"},{"doc":"Computes a foreground mask. Positional Arguments self : Evision.BackgroundSubtractor.t() image : Evision.Mat.t() . Next video frame. Keyword Arguments learningRate : double . The value between 0 and 1 that indicates how fast the background model is learnt. Negative parameter value makes the algorithm to use some automatically chosen learning rate. 0 means that the background model is not updated at all, 1 means that the background model is completely reinitialized from the last frame. Return fgmask : Evision.Mat.t() . The output foreground mask as an 8-bit binary image. Python prototype (for reference only): apply(image[, fgmask[, learningRate]]) -&gt; fgmask","ref":"Evision.BackgroundSubtractor.html#apply/3","title":"Evision.BackgroundSubtractor.apply/3","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.BackgroundSubtractor.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.BackgroundSubtractor.html#clear/1","title":"Evision.BackgroundSubtractor.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.BackgroundSubtractor.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.BackgroundSubtractor.html#empty/1","title":"Evision.BackgroundSubtractor.empty/1","type":"function"},{"doc":"Computes a background image. Positional Arguments self : Evision.BackgroundSubtractor.t() Return backgroundImage : Evision.Mat.t() . The output background image. Note : Sometimes the background image can be very blurry, as it contain the average background statistics. Python prototype (for reference only): getBackgroundImage([, backgroundImage]) -&gt; backgroundImage","ref":"Evision.BackgroundSubtractor.html#getBackgroundImage/1","title":"Evision.BackgroundSubtractor.getBackgroundImage/1","type":"function"},{"doc":"Computes a background image. Positional Arguments self : Evision.BackgroundSubtractor.t() Return backgroundImage : Evision.Mat.t() . The output background image. Note : Sometimes the background image can be very blurry, as it contain the average background statistics. Python prototype (for reference only): getBackgroundImage([, backgroundImage]) -&gt; backgroundImage","ref":"Evision.BackgroundSubtractor.html#getBackgroundImage/2","title":"Evision.BackgroundSubtractor.getBackgroundImage/2","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.BackgroundSubtractor.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.BackgroundSubtractor.html#getDefaultName/1","title":"Evision.BackgroundSubtractor.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.BackgroundSubtractor.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.BackgroundSubtractor.html#read/2","title":"Evision.BackgroundSubtractor.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.BackgroundSubtractor.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.BackgroundSubtractor.html#save/2","title":"Evision.BackgroundSubtractor.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.BackgroundSubtractor.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.BackgroundSubtractor.html#write/2","title":"Evision.BackgroundSubtractor.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.BackgroundSubtractor.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.BackgroundSubtractor.html#write/3","title":"Evision.BackgroundSubtractor.write/3","type":"function"},{"doc":"Type that represents an BackgroundSubtractor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BackgroundSubtractor.html#t:t/0","title":"Evision.BackgroundSubtractor.t/0","type":"type"},{"doc":"","ref":"Evision.BackgroundSubtractorKNN.html","title":"Evision.BackgroundSubtractorKNN","type":"module"},{"doc":"Returns the shadow detection flag Positional Arguments self : Evision.BackgroundSubtractorKNN.t() Return retval : bool If true, the algorithm detects shadows and marks them. See createBackgroundSubtractorKNN for details. Python prototype (for reference only): getDetectShadows() -&gt; retval","ref":"Evision.BackgroundSubtractorKNN.html#getDetectShadows/1","title":"Evision.BackgroundSubtractorKNN.getDetectShadows/1","type":"function"},{"doc":"Returns the threshold on the squared distance between the pixel and the sample Positional Arguments self : Evision.BackgroundSubtractorKNN.t() Return retval : double The threshold on the squared distance between the pixel and the sample to decide whether a pixel is close to a data sample. Python prototype (for reference only): getDist2Threshold() -&gt; retval","ref":"Evision.BackgroundSubtractorKNN.html#getDist2Threshold/1","title":"Evision.BackgroundSubtractorKNN.getDist2Threshold/1","type":"function"},{"doc":"Returns the number of last frames that affect the background model Positional Arguments self : Evision.BackgroundSubtractorKNN.t() Return retval : int Python prototype (for reference only): getHistory() -&gt; retval","ref":"Evision.BackgroundSubtractorKNN.html#getHistory/1","title":"Evision.BackgroundSubtractorKNN.getHistory/1","type":"function"},{"doc":"Returns the number of neighbours, the k in the kNN. Positional Arguments self : Evision.BackgroundSubtractorKNN.t() Return retval : int K is the number of samples that need to be within dist2Threshold in order to decide that that pixel is matching the kNN background model. Python prototype (for reference only): getkNNSamples() -&gt; retval","ref":"Evision.BackgroundSubtractorKNN.html#getkNNSamples/1","title":"Evision.BackgroundSubtractorKNN.getkNNSamples/1","type":"function"},{"doc":"Returns the number of data samples in the background model Positional Arguments self : Evision.BackgroundSubtractorKNN.t() Return retval : int Python prototype (for reference only): getNSamples() -&gt; retval","ref":"Evision.BackgroundSubtractorKNN.html#getNSamples/1","title":"Evision.BackgroundSubtractorKNN.getNSamples/1","type":"function"},{"doc":"Returns the shadow threshold Positional Arguments self : Evision.BackgroundSubtractorKNN.t() Return retval : double A shadow is detected if pixel is a darker version of the background. The shadow threshold (Tau in the paper) is a threshold defining how much darker the shadow can be. Tau= 0.5 means that if a pixel is more than twice darker then it is not shadow. See Prati, Mikic, Trivedi and Cucchiara, Detecting Moving Shadows...*, IEEE PAMI,2003. Python prototype (for reference only): getShadowThreshold() -&gt; retval","ref":"Evision.BackgroundSubtractorKNN.html#getShadowThreshold/1","title":"Evision.BackgroundSubtractorKNN.getShadowThreshold/1","type":"function"},{"doc":"Returns the shadow value Positional Arguments self : Evision.BackgroundSubtractorKNN.t() Return retval : int Shadow value is the value used to mark shadows in the foreground mask. Default value is 127. Value 0 in the mask always means background, 255 means foreground. Python prototype (for reference only): getShadowValue() -&gt; retval","ref":"Evision.BackgroundSubtractorKNN.html#getShadowValue/1","title":"Evision.BackgroundSubtractorKNN.getShadowValue/1","type":"function"},{"doc":"Enables or disables shadow detection Positional Arguments self : Evision.BackgroundSubtractorKNN.t() detectShadows : bool Python prototype (for reference only): setDetectShadows(detectShadows) -&gt; None","ref":"Evision.BackgroundSubtractorKNN.html#setDetectShadows/2","title":"Evision.BackgroundSubtractorKNN.setDetectShadows/2","type":"function"},{"doc":"Sets the threshold on the squared distance Positional Arguments self : Evision.BackgroundSubtractorKNN.t() dist2Threshold : double Python prototype (for reference only): setDist2Threshold(_dist2Threshold) -&gt; None","ref":"Evision.BackgroundSubtractorKNN.html#setDist2Threshold/2","title":"Evision.BackgroundSubtractorKNN.setDist2Threshold/2","type":"function"},{"doc":"Sets the number of last frames that affect the background model Positional Arguments self : Evision.BackgroundSubtractorKNN.t() history : int Python prototype (for reference only): setHistory(history) -&gt; None","ref":"Evision.BackgroundSubtractorKNN.html#setHistory/2","title":"Evision.BackgroundSubtractorKNN.setHistory/2","type":"function"},{"doc":"Sets the k in the kNN. How many nearest neighbours need to match. Positional Arguments self : Evision.BackgroundSubtractorKNN.t() nkNN : int Python prototype (for reference only): setkNNSamples(_nkNN) -&gt; None","ref":"Evision.BackgroundSubtractorKNN.html#setkNNSamples/2","title":"Evision.BackgroundSubtractorKNN.setkNNSamples/2","type":"function"},{"doc":"Sets the number of data samples in the background model. Positional Arguments self : Evision.BackgroundSubtractorKNN.t() nN : int The model needs to be reinitalized to reserve memory. Python prototype (for reference only): setNSamples(_nN) -&gt; None","ref":"Evision.BackgroundSubtractorKNN.html#setNSamples/2","title":"Evision.BackgroundSubtractorKNN.setNSamples/2","type":"function"},{"doc":"Sets the shadow threshold Positional Arguments self : Evision.BackgroundSubtractorKNN.t() threshold : double Python prototype (for reference only): setShadowThreshold(threshold) -&gt; None","ref":"Evision.BackgroundSubtractorKNN.html#setShadowThreshold/2","title":"Evision.BackgroundSubtractorKNN.setShadowThreshold/2","type":"function"},{"doc":"Sets the shadow value Positional Arguments self : Evision.BackgroundSubtractorKNN.t() value : int Python prototype (for reference only): setShadowValue(value) -&gt; None","ref":"Evision.BackgroundSubtractorKNN.html#setShadowValue/2","title":"Evision.BackgroundSubtractorKNN.setShadowValue/2","type":"function"},{"doc":"Type that represents an BackgroundSubtractorKNN struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BackgroundSubtractorKNN.html#t:t/0","title":"Evision.BackgroundSubtractorKNN.t/0","type":"type"},{"doc":"","ref":"Evision.BackgroundSubtractorMOG2.html","title":"Evision.BackgroundSubtractorMOG2","type":"module"},{"doc":"Computes a foreground mask. Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() image : Evision.Mat.t() . Next video frame. Floating point frame will be used without scaling and should be in range \\f$[0,255]\\f$. Keyword Arguments learningRate : double . The value between 0 and 1 that indicates how fast the background model is learnt. Negative parameter value makes the algorithm to use some automatically chosen learning rate. 0 means that the background model is not updated at all, 1 means that the background model is completely reinitialized from the last frame. Return fgmask : Evision.Mat.t() . The output foreground mask as an 8-bit binary image. Python prototype (for reference only): apply(image[, fgmask[, learningRate]]) -&gt; fgmask","ref":"Evision.BackgroundSubtractorMOG2.html#apply/2","title":"Evision.BackgroundSubtractorMOG2.apply/2","type":"function"},{"doc":"Computes a foreground mask. Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() image : Evision.Mat.t() . Next video frame. Floating point frame will be used without scaling and should be in range \\f$[0,255]\\f$. Keyword Arguments learningRate : double . The value between 0 and 1 that indicates how fast the background model is learnt. Negative parameter value makes the algorithm to use some automatically chosen learning rate. 0 means that the background model is not updated at all, 1 means that the background model is completely reinitialized from the last frame. Return fgmask : Evision.Mat.t() . The output foreground mask as an 8-bit binary image. Python prototype (for reference only): apply(image[, fgmask[, learningRate]]) -&gt; fgmask","ref":"Evision.BackgroundSubtractorMOG2.html#apply/3","title":"Evision.BackgroundSubtractorMOG2.apply/3","type":"function"},{"doc":"Returns the &quot;background ratio&quot; parameter of the algorithm Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : double If a foreground pixel keeps semi-constant value for about backgroundRatio*history frames, it's considered background and added to the model as a center of a new component. It corresponds to TB parameter in the paper. Python prototype (for reference only): getBackgroundRatio() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getBackgroundRatio/1","title":"Evision.BackgroundSubtractorMOG2.getBackgroundRatio/1","type":"function"},{"doc":"Returns the complexity reduction threshold Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : double This parameter defines the number of samples needed to accept to prove the component exists. CT=0.05 is a default value for all the samples. By setting CT=0 you get an algorithm very similar to the standard Stauffer&amp;Grimson algorithm. Python prototype (for reference only): getComplexityReductionThreshold() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getComplexityReductionThreshold/1","title":"Evision.BackgroundSubtractorMOG2.getComplexityReductionThreshold/1","type":"function"},{"doc":"Returns the shadow detection flag Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : bool If true, the algorithm detects shadows and marks them. See createBackgroundSubtractorMOG2 for details. Python prototype (for reference only): getDetectShadows() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getDetectShadows/1","title":"Evision.BackgroundSubtractorMOG2.getDetectShadows/1","type":"function"},{"doc":"Returns the number of last frames that affect the background model Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : int Python prototype (for reference only): getHistory() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getHistory/1","title":"Evision.BackgroundSubtractorMOG2.getHistory/1","type":"function"},{"doc":"Returns the number of gaussian components in the background model Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : int Python prototype (for reference only): getNMixtures() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getNMixtures/1","title":"Evision.BackgroundSubtractorMOG2.getNMixtures/1","type":"function"},{"doc":"Returns the shadow threshold Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : double A shadow is detected if pixel is a darker version of the background. The shadow threshold (Tau in the paper) is a threshold defining how much darker the shadow can be. Tau= 0.5 means that if a pixel is more than twice darker then it is not shadow. See Prati, Mikic, Trivedi and Cucchiara, Detecting Moving Shadows...*, IEEE PAMI,2003. Python prototype (for reference only): getShadowThreshold() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getShadowThreshold/1","title":"Evision.BackgroundSubtractorMOG2.getShadowThreshold/1","type":"function"},{"doc":"Returns the shadow value Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : int Shadow value is the value used to mark shadows in the foreground mask. Default value is 127. Value 0 in the mask always means background, 255 means foreground. Python prototype (for reference only): getShadowValue() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getShadowValue/1","title":"Evision.BackgroundSubtractorMOG2.getShadowValue/1","type":"function"},{"doc":"Returns the initial variance of each gaussian component Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : double Python prototype (for reference only): getVarInit() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getVarInit/1","title":"Evision.BackgroundSubtractorMOG2.getVarInit/1","type":"function"},{"doc":"getVarMax Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : double Python prototype (for reference only): getVarMax() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getVarMax/1","title":"Evision.BackgroundSubtractorMOG2.getVarMax/1","type":"function"},{"doc":"getVarMin Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : double Python prototype (for reference only): getVarMin() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getVarMin/1","title":"Evision.BackgroundSubtractorMOG2.getVarMin/1","type":"function"},{"doc":"Returns the variance threshold for the pixel-model match Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : double The main threshold on the squared Mahalanobis distance to decide if the sample is well described by the background model or not. Related to Cthr from the paper. Python prototype (for reference only): getVarThreshold() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getVarThreshold/1","title":"Evision.BackgroundSubtractorMOG2.getVarThreshold/1","type":"function"},{"doc":"Returns the variance threshold for the pixel-model match used for new mixture component generation Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() Return retval : double Threshold for the squared Mahalanobis distance that helps decide when a sample is close to the existing components (corresponds to Tg in the paper). If a pixel is not close to any component, it is considered foreground or added as a new component. 3 sigma =&gt; Tg=3*3=9 is default. A smaller Tg value generates more components. A higher Tg value may result in a small number of components but they can grow too large. Python prototype (for reference only): getVarThresholdGen() -&gt; retval","ref":"Evision.BackgroundSubtractorMOG2.html#getVarThresholdGen/1","title":"Evision.BackgroundSubtractorMOG2.getVarThresholdGen/1","type":"function"},{"doc":"Sets the &quot;background ratio&quot; parameter of the algorithm Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() ratio : double Python prototype (for reference only): setBackgroundRatio(ratio) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setBackgroundRatio/2","title":"Evision.BackgroundSubtractorMOG2.setBackgroundRatio/2","type":"function"},{"doc":"Sets the complexity reduction threshold Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() ct : double Python prototype (for reference only): setComplexityReductionThreshold(ct) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setComplexityReductionThreshold/2","title":"Evision.BackgroundSubtractorMOG2.setComplexityReductionThreshold/2","type":"function"},{"doc":"Enables or disables shadow detection Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() detectShadows : bool Python prototype (for reference only): setDetectShadows(detectShadows) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setDetectShadows/2","title":"Evision.BackgroundSubtractorMOG2.setDetectShadows/2","type":"function"},{"doc":"Sets the number of last frames that affect the background model Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() history : int Python prototype (for reference only): setHistory(history) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setHistory/2","title":"Evision.BackgroundSubtractorMOG2.setHistory/2","type":"function"},{"doc":"Sets the number of gaussian components in the background model. Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() nmixtures : int The model needs to be reinitalized to reserve memory. Python prototype (for reference only): setNMixtures(nmixtures) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setNMixtures/2","title":"Evision.BackgroundSubtractorMOG2.setNMixtures/2","type":"function"},{"doc":"Sets the shadow threshold Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() threshold : double Python prototype (for reference only): setShadowThreshold(threshold) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setShadowThreshold/2","title":"Evision.BackgroundSubtractorMOG2.setShadowThreshold/2","type":"function"},{"doc":"Sets the shadow value Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() value : int Python prototype (for reference only): setShadowValue(value) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setShadowValue/2","title":"Evision.BackgroundSubtractorMOG2.setShadowValue/2","type":"function"},{"doc":"Sets the initial variance of each gaussian component Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() varInit : double Python prototype (for reference only): setVarInit(varInit) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setVarInit/2","title":"Evision.BackgroundSubtractorMOG2.setVarInit/2","type":"function"},{"doc":"setVarMax Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() varMax : double Python prototype (for reference only): setVarMax(varMax) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setVarMax/2","title":"Evision.BackgroundSubtractorMOG2.setVarMax/2","type":"function"},{"doc":"setVarMin Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() varMin : double Python prototype (for reference only): setVarMin(varMin) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setVarMin/2","title":"Evision.BackgroundSubtractorMOG2.setVarMin/2","type":"function"},{"doc":"Sets the variance threshold for the pixel-model match Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() varThreshold : double Python prototype (for reference only): setVarThreshold(varThreshold) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setVarThreshold/2","title":"Evision.BackgroundSubtractorMOG2.setVarThreshold/2","type":"function"},{"doc":"Sets the variance threshold for the pixel-model match used for new mixture component generation Positional Arguments self : Evision.BackgroundSubtractorMOG2.t() varThresholdGen : double Python prototype (for reference only): setVarThresholdGen(varThresholdGen) -&gt; None","ref":"Evision.BackgroundSubtractorMOG2.html#setVarThresholdGen/2","title":"Evision.BackgroundSubtractorMOG2.setVarThresholdGen/2","type":"function"},{"doc":"Type that represents an BackgroundSubtractorMOG2 struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BackgroundSubtractorMOG2.html#t:t/0","title":"Evision.BackgroundSubtractorMOG2.t/0","type":"type"},{"doc":"","ref":"Evision.Barcode.html","title":"Evision.Barcode","type":"module"},{"doc":"Type that represents an Barcode struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Barcode.html#t:t/0","title":"Evision.Barcode.t/0","type":"type"},{"doc":"","ref":"Evision.Barcode.BarcodeDetector.html","title":"Evision.Barcode.BarcodeDetector","type":"module"},{"doc":"Initialize the BarcodeDetector. Keyword Arguments prototxt_path : string . prototxt file path for the super resolution model model_path : string . model file path for the super resolution model Return self : BarcodeDetector Python prototype (for reference only): BarcodeDetector([, prototxt_path[, model_path]]) -&gt; &lt;barcode_BarcodeDetector object&gt;","ref":"Evision.Barcode.BarcodeDetector.html#barcodeDetector/0","title":"Evision.Barcode.BarcodeDetector.barcodeDetector/0","type":"function"},{"doc":"Initialize the BarcodeDetector. Keyword Arguments prototxt_path : string . prototxt file path for the super resolution model model_path : string . model file path for the super resolution model Return self : BarcodeDetector Python prototype (for reference only): BarcodeDetector([, prototxt_path[, model_path]]) -&gt; &lt;barcode_BarcodeDetector object&gt;","ref":"Evision.Barcode.BarcodeDetector.html#barcodeDetector/1","title":"Evision.Barcode.BarcodeDetector.barcodeDetector/1","type":"function"},{"doc":"Decodes barcode in image once it's found by the detect() method. Positional Arguments self : Evision.Barcode.BarcodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing bar code. points : Evision.Mat.t() . vector of rotated rectangle vertices found by detect() method (or some other algorithm). For N detected barcodes, the dimensions of this array should be [N][4]. Order of four points in vector&lt;Point2f&gt; is bottomLeft, topLeft, topRight, bottomRight. Return retval : bool decoded_info : [string] . UTF8-encoded output vector of string or empty vector of string if the codes cannot be decoded. decoded_type : [BarcodeType] . vector of BarcodeType, specifies the type of these barcodes Python prototype (for reference only): decode(img, points) -&gt; retval, decoded_info, decoded_type","ref":"Evision.Barcode.BarcodeDetector.html#decode/3","title":"Evision.Barcode.BarcodeDetector.decode/3","type":"function"},{"doc":"Detects Barcode in image and returns the rectangle(s) containing the code. Positional Arguments self : Evision.Barcode.BarcodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing (or not) Barcode. Return retval : bool points : Evision.Mat.t() . Output vector of vector of vertices of the minimum-area rotated rectangle containing the codes. For N detected barcodes, the dimensions of this array should be [N][4]. Order of four points in vector&lt; Point2f&gt; is bottomLeft, topLeft, topRight, bottomRight. Python prototype (for reference only): detect(img[, points]) -&gt; retval, points","ref":"Evision.Barcode.BarcodeDetector.html#detect/2","title":"Evision.Barcode.BarcodeDetector.detect/2","type":"function"},{"doc":"Detects Barcode in image and returns the rectangle(s) containing the code. Positional Arguments self : Evision.Barcode.BarcodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing (or not) Barcode. Return retval : bool points : Evision.Mat.t() . Output vector of vector of vertices of the minimum-area rotated rectangle containing the codes. For N detected barcodes, the dimensions of this array should be [N][4]. Order of four points in vector&lt; Point2f&gt; is bottomLeft, topLeft, topRight, bottomRight. Python prototype (for reference only): detect(img[, points]) -&gt; retval, points","ref":"Evision.Barcode.BarcodeDetector.html#detect/3","title":"Evision.Barcode.BarcodeDetector.detect/3","type":"function"},{"doc":"Both detects and decodes barcode Positional Arguments self : Evision.Barcode.BarcodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing barcode. Return retval : bool decoded_info : [string] . UTF8-encoded output vector of string(s) or empty vector of string if the codes cannot be decoded. decoded_type : [BarcodeType] . vector of BarcodeType, specifies the type of these barcodes points : Evision.Mat.t() . optional output vector of vertices of the found barcode rectangle. Will be empty if not found. Python prototype (for reference only): detectAndDecode(img[, points]) -&gt; retval, decoded_info, decoded_type, points","ref":"Evision.Barcode.BarcodeDetector.html#detectAndDecode/2","title":"Evision.Barcode.BarcodeDetector.detectAndDecode/2","type":"function"},{"doc":"Both detects and decodes barcode Positional Arguments self : Evision.Barcode.BarcodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing barcode. Return retval : bool decoded_info : [string] . UTF8-encoded output vector of string(s) or empty vector of string if the codes cannot be decoded. decoded_type : [BarcodeType] . vector of BarcodeType, specifies the type of these barcodes points : Evision.Mat.t() . optional output vector of vertices of the found barcode rectangle. Will be empty if not found. Python prototype (for reference only): detectAndDecode(img[, points]) -&gt; retval, decoded_info, decoded_type, points","ref":"Evision.Barcode.BarcodeDetector.html#detectAndDecode/3","title":"Evision.Barcode.BarcodeDetector.detectAndDecode/3","type":"function"},{"doc":"Type that represents an Barcode.BarcodeDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Barcode.BarcodeDetector.html#t:t/0","title":"Evision.Barcode.BarcodeDetector.t/0","type":"type"},{"doc":"","ref":"Evision.BaseCascadeClassifier.html","title":"Evision.BaseCascadeClassifier","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.BaseCascadeClassifier.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.BaseCascadeClassifier.html#clear/1","title":"Evision.BaseCascadeClassifier.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.BaseCascadeClassifier.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.BaseCascadeClassifier.html#empty/1","title":"Evision.BaseCascadeClassifier.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.BaseCascadeClassifier.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.BaseCascadeClassifier.html#getDefaultName/1","title":"Evision.BaseCascadeClassifier.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.BaseCascadeClassifier.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.BaseCascadeClassifier.html#read/2","title":"Evision.BaseCascadeClassifier.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.BaseCascadeClassifier.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.BaseCascadeClassifier.html#save/2","title":"Evision.BaseCascadeClassifier.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.BaseCascadeClassifier.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.BaseCascadeClassifier.html#write/2","title":"Evision.BaseCascadeClassifier.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.BaseCascadeClassifier.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.BaseCascadeClassifier.html#write/3","title":"Evision.BaseCascadeClassifier.write/3","type":"function"},{"doc":"Type that represents an BaseCascadeClassifier struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BaseCascadeClassifier.html#t:t/0","title":"Evision.BaseCascadeClassifier.t/0","type":"type"},{"doc":"","ref":"Evision.BgSegm.html","title":"Evision.BgSegm","type":"module"},{"doc":"Creates a CNT Background Subtractor Keyword Arguments minPixelStability : int . number of frames with same pixel color to consider stable useHistory : bool . determines if we're giving a pixel credit for being stable for a long time maxPixelStability : int . maximum allowed credit for a pixel in history isParallel : bool . determines if we're parallelizing the algorithm Return retval : Evision.BgSegm.BackgroundSubtractorCNT.t() Python prototype (for reference only): createBackgroundSubtractorCNT([, minPixelStability[, useHistory[, maxPixelStability[, isParallel]]]]) -&gt; retval","ref":"Evision.BgSegm.html#createBackgroundSubtractorCNT/0","title":"Evision.BgSegm.createBackgroundSubtractorCNT/0","type":"function"},{"doc":"Creates a CNT Background Subtractor Keyword Arguments minPixelStability : int . number of frames with same pixel color to consider stable useHistory : bool . determines if we're giving a pixel credit for being stable for a long time maxPixelStability : int . maximum allowed credit for a pixel in history isParallel : bool . determines if we're parallelizing the algorithm Return retval : Evision.BgSegm.BackgroundSubtractorCNT.t() Python prototype (for reference only): createBackgroundSubtractorCNT([, minPixelStability[, useHistory[, maxPixelStability[, isParallel]]]]) -&gt; retval","ref":"Evision.BgSegm.html#createBackgroundSubtractorCNT/1","title":"Evision.BgSegm.createBackgroundSubtractorCNT/1","type":"function"},{"doc":"Creates a GMG Background Subtractor Keyword Arguments initializationFrames : int . number of frames used to initialize the background models. decisionThreshold : double . Threshold value, above which it is marked foreground, else background. Return retval : Evision.BgSegm.BackgroundSubtractorGMG.t() Python prototype (for reference only): createBackgroundSubtractorGMG([, initializationFrames[, decisionThreshold]]) -&gt; retval","ref":"Evision.BgSegm.html#createBackgroundSubtractorGMG/0","title":"Evision.BgSegm.createBackgroundSubtractorGMG/0","type":"function"},{"doc":"Creates a GMG Background Subtractor Keyword Arguments initializationFrames : int . number of frames used to initialize the background models. decisionThreshold : double . Threshold value, above which it is marked foreground, else background. Return retval : Evision.BgSegm.BackgroundSubtractorGMG.t() Python prototype (for reference only): createBackgroundSubtractorGMG([, initializationFrames[, decisionThreshold]]) -&gt; retval","ref":"Evision.BgSegm.html#createBackgroundSubtractorGMG/1","title":"Evision.BgSegm.createBackgroundSubtractorGMG/1","type":"function"},{"doc":"Creates an instance of BackgroundSubtractorGSOC algorithm. Keyword Arguments mc : int . Whether to use camera motion compensation. nSamples : int . Number of samples to maintain at each point of the frame. replaceRate : float . Probability of replacing the old sample - how fast the model will update itself. propagationRate : float . Probability of propagating to neighbors. hitsThreshold : int . How many positives the sample must get before it will be considered as a possible replacement. alpha : float . Scale coefficient for threshold. beta : float . Bias coefficient for threshold. blinkingSupressionDecay : float . Blinking supression decay factor. blinkingSupressionMultiplier : float . Blinking supression multiplier. noiseRemovalThresholdFacBG : float . Strength of the noise removal for background points. noiseRemovalThresholdFacFG : float . Strength of the noise removal for foreground points. Return retval : Evision.BgSegm.BackgroundSubtractorGSOC.t() Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper. Python prototype (for reference only): createBackgroundSubtractorGSOC([, mc[, nSamples[, replaceRate[, propagationRate[, hitsThreshold[, alpha[, beta[, blinkingSupressionDecay[, blinkingSupressionMultiplier[, noiseRemovalThresholdFacBG[, noiseRemovalThresholdFacFG]]]]]]]]]]]) -&gt; retval","ref":"Evision.BgSegm.html#createBackgroundSubtractorGSOC/0","title":"Evision.BgSegm.createBackgroundSubtractorGSOC/0","type":"function"},{"doc":"Creates an instance of BackgroundSubtractorGSOC algorithm. Keyword Arguments mc : int . Whether to use camera motion compensation. nSamples : int . Number of samples to maintain at each point of the frame. replaceRate : float . Probability of replacing the old sample - how fast the model will update itself. propagationRate : float . Probability of propagating to neighbors. hitsThreshold : int . How many positives the sample must get before it will be considered as a possible replacement. alpha : float . Scale coefficient for threshold. beta : float . Bias coefficient for threshold. blinkingSupressionDecay : float . Blinking supression decay factor. blinkingSupressionMultiplier : float . Blinking supression multiplier. noiseRemovalThresholdFacBG : float . Strength of the noise removal for background points. noiseRemovalThresholdFacFG : float . Strength of the noise removal for foreground points. Return retval : Evision.BgSegm.BackgroundSubtractorGSOC.t() Implementation of the different yet better algorithm which is called GSOC, as it was implemented during GSOC and was not originated from any paper. Python prototype (for reference only): createBackgroundSubtractorGSOC([, mc[, nSamples[, replaceRate[, propagationRate[, hitsThreshold[, alpha[, beta[, blinkingSupressionDecay[, blinkingSupressionMultiplier[, noiseRemovalThresholdFacBG[, noiseRemovalThresholdFacFG]]]]]]]]]]]) -&gt; retval","ref":"Evision.BgSegm.html#createBackgroundSubtractorGSOC/1","title":"Evision.BgSegm.createBackgroundSubtractorGSOC/1","type":"function"},{"doc":"Creates an instance of BackgroundSubtractorLSBP algorithm. Keyword Arguments mc : int . Whether to use camera motion compensation. nSamples : int . Number of samples to maintain at each point of the frame. lSBPRadius : int . LSBP descriptor radius. tlower : float . Lower bound for T-values. See @cite LGuo2016 for details. tupper : float . Upper bound for T-values. See @cite LGuo2016 for details. tinc : float . Increase step for T-values. See @cite LGuo2016 for details. tdec : float . Decrease step for T-values. See @cite LGuo2016 for details. rscale : float . Scale coefficient for threshold values. rincdec : float . Increase/Decrease step for threshold values. noiseRemovalThresholdFacBG : float . Strength of the noise removal for background points. noiseRemovalThresholdFacFG : float . Strength of the noise removal for foreground points. lSBPthreshold : int . Threshold for LSBP binary string. minCount : int . Minimal number of matches for sample to be considered as foreground. Return retval : Evision.BgSegm.BackgroundSubtractorLSBP.t() Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at @cite LGuo2016 Python prototype (for reference only): createBackgroundSubtractorLSBP([, mc[, nSamples[, LSBPRadius[, Tlower[, Tupper[, Tinc[, Tdec[, Rscale[, Rincdec[, noiseRemovalThresholdFacBG[, noiseRemovalThresholdFacFG[, LSBPthreshold[, minCount]]]]]]]]]]]]]) -&gt; retval","ref":"Evision.BgSegm.html#createBackgroundSubtractorLSBP/0","title":"Evision.BgSegm.createBackgroundSubtractorLSBP/0","type":"function"},{"doc":"Creates an instance of BackgroundSubtractorLSBP algorithm. Keyword Arguments mc : int . Whether to use camera motion compensation. nSamples : int . Number of samples to maintain at each point of the frame. lSBPRadius : int . LSBP descriptor radius. tlower : float . Lower bound for T-values. See @cite LGuo2016 for details. tupper : float . Upper bound for T-values. See @cite LGuo2016 for details. tinc : float . Increase step for T-values. See @cite LGuo2016 for details. tdec : float . Decrease step for T-values. See @cite LGuo2016 for details. rscale : float . Scale coefficient for threshold values. rincdec : float . Increase/Decrease step for threshold values. noiseRemovalThresholdFacBG : float . Strength of the noise removal for background points. noiseRemovalThresholdFacFG : float . Strength of the noise removal for foreground points. lSBPthreshold : int . Threshold for LSBP binary string. minCount : int . Minimal number of matches for sample to be considered as foreground. Return retval : Evision.BgSegm.BackgroundSubtractorLSBP.t() Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at @cite LGuo2016 Python prototype (for reference only): createBackgroundSubtractorLSBP([, mc[, nSamples[, LSBPRadius[, Tlower[, Tupper[, Tinc[, Tdec[, Rscale[, Rincdec[, noiseRemovalThresholdFacBG[, noiseRemovalThresholdFacFG[, LSBPthreshold[, minCount]]]]]]]]]]]]]) -&gt; retval","ref":"Evision.BgSegm.html#createBackgroundSubtractorLSBP/1","title":"Evision.BgSegm.createBackgroundSubtractorLSBP/1","type":"function"},{"doc":"Creates mixture-of-gaussian background subtractor Keyword Arguments history : int . Length of the history. nmixtures : int . Number of Gaussian mixtures. backgroundRatio : double . Background ratio. noiseSigma : double . Noise strength (standard deviation of the brightness or each color channel). 0 means some automatic value. Return retval : Evision.BgSegm.BackgroundSubtractorMOG.t() Python prototype (for reference only): createBackgroundSubtractorMOG([, history[, nmixtures[, backgroundRatio[, noiseSigma]]]]) -&gt; retval","ref":"Evision.BgSegm.html#createBackgroundSubtractorMOG/0","title":"Evision.BgSegm.createBackgroundSubtractorMOG/0","type":"function"},{"doc":"Creates mixture-of-gaussian background subtractor Keyword Arguments history : int . Length of the history. nmixtures : int . Number of Gaussian mixtures. backgroundRatio : double . Background ratio. noiseSigma : double . Noise strength (standard deviation of the brightness or each color channel). 0 means some automatic value. Return retval : Evision.BgSegm.BackgroundSubtractorMOG.t() Python prototype (for reference only): createBackgroundSubtractorMOG([, history[, nmixtures[, backgroundRatio[, noiseSigma]]]]) -&gt; retval","ref":"Evision.BgSegm.html#createBackgroundSubtractorMOG/1","title":"Evision.BgSegm.createBackgroundSubtractorMOG/1","type":"function"},{"doc":"Creates an instance of SyntheticSequenceGenerator. Positional Arguments background : Evision.Mat.t() . Background image for object. object : Evision.Mat.t() . Object image which will move slowly over the background. Keyword Arguments amplitude : double . Amplitude of wave distortion applied to background. wavelength : double . Length of waves in distortion applied to background. wavespeed : double . How fast waves will move. objspeed : double . How fast object will fly over background. Return retval : Evision.BgSegm.SyntheticSequenceGenerator.t() Python prototype (for reference only): createSyntheticSequenceGenerator(background, object[, amplitude[, wavelength[, wavespeed[, objspeed]]]]) -&gt; retval","ref":"Evision.BgSegm.html#createSyntheticSequenceGenerator/2","title":"Evision.BgSegm.createSyntheticSequenceGenerator/2","type":"function"},{"doc":"Creates an instance of SyntheticSequenceGenerator. Positional Arguments background : Evision.Mat.t() . Background image for object. object : Evision.Mat.t() . Object image which will move slowly over the background. Keyword Arguments amplitude : double . Amplitude of wave distortion applied to background. wavelength : double . Length of waves in distortion applied to background. wavespeed : double . How fast waves will move. objspeed : double . How fast object will fly over background. Return retval : Evision.BgSegm.SyntheticSequenceGenerator.t() Python prototype (for reference only): createSyntheticSequenceGenerator(background, object[, amplitude[, wavelength[, wavespeed[, objspeed]]]]) -&gt; retval","ref":"Evision.BgSegm.html#createSyntheticSequenceGenerator/3","title":"Evision.BgSegm.createSyntheticSequenceGenerator/3","type":"function"},{"doc":"Type that represents an BgSegm struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BgSegm.html#t:t/0","title":"Evision.BgSegm.t/0","type":"type"},{"doc":"","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html","title":"Evision.BgSegm.BackgroundSubtractorCNT","type":"module"},{"doc":"apply Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() image : Evision.Mat.t() Keyword Arguments learningRate : double . Return fgmask : Evision.Mat.t() . Python prototype (for reference only): apply(image[, fgmask[, learningRate]]) -&gt; fgmask","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#apply/2","title":"Evision.BgSegm.BackgroundSubtractorCNT.apply/2","type":"function"},{"doc":"apply Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() image : Evision.Mat.t() Keyword Arguments learningRate : double . Return fgmask : Evision.Mat.t() . Python prototype (for reference only): apply(image[, fgmask[, learningRate]]) -&gt; fgmask","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#apply/3","title":"Evision.BgSegm.BackgroundSubtractorCNT.apply/3","type":"function"},{"doc":"getBackgroundImage Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() Return backgroundImage : Evision.Mat.t() . Python prototype (for reference only): getBackgroundImage([, backgroundImage]) -&gt; backgroundImage","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#getBackgroundImage/1","title":"Evision.BgSegm.BackgroundSubtractorCNT.getBackgroundImage/1","type":"function"},{"doc":"getBackgroundImage Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() Return backgroundImage : Evision.Mat.t() . Python prototype (for reference only): getBackgroundImage([, backgroundImage]) -&gt; backgroundImage","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#getBackgroundImage/2","title":"Evision.BgSegm.BackgroundSubtractorCNT.getBackgroundImage/2","type":"function"},{"doc":"Returns if we're parallelizing the algorithm. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() Return retval : bool Python prototype (for reference only): getIsParallel() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#getIsParallel/1","title":"Evision.BgSegm.BackgroundSubtractorCNT.getIsParallel/1","type":"function"},{"doc":"Returns maximum allowed credit for a pixel in history. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() Return retval : int Python prototype (for reference only): getMaxPixelStability() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#getMaxPixelStability/1","title":"Evision.BgSegm.BackgroundSubtractorCNT.getMaxPixelStability/1","type":"function"},{"doc":"Returns number of frames with same pixel color to consider stable. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() Return retval : int Python prototype (for reference only): getMinPixelStability() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#getMinPixelStability/1","title":"Evision.BgSegm.BackgroundSubtractorCNT.getMinPixelStability/1","type":"function"},{"doc":"Returns if we're giving a pixel credit for being stable for a long time. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() Return retval : bool Python prototype (for reference only): getUseHistory() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#getUseHistory/1","title":"Evision.BgSegm.BackgroundSubtractorCNT.getUseHistory/1","type":"function"},{"doc":"Sets if we're parallelizing the algorithm. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() value : bool Python prototype (for reference only): setIsParallel(value) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#setIsParallel/2","title":"Evision.BgSegm.BackgroundSubtractorCNT.setIsParallel/2","type":"function"},{"doc":"Sets the maximum allowed credit for a pixel in history. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() value : int Python prototype (for reference only): setMaxPixelStability(value) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#setMaxPixelStability/2","title":"Evision.BgSegm.BackgroundSubtractorCNT.setMaxPixelStability/2","type":"function"},{"doc":"Sets the number of frames with same pixel color to consider stable. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() value : int Python prototype (for reference only): setMinPixelStability(value) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#setMinPixelStability/2","title":"Evision.BgSegm.BackgroundSubtractorCNT.setMinPixelStability/2","type":"function"},{"doc":"Sets if we're giving a pixel credit for being stable for a long time. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorCNT.t() value : bool Python prototype (for reference only): setUseHistory(value) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#setUseHistory/2","title":"Evision.BgSegm.BackgroundSubtractorCNT.setUseHistory/2","type":"function"},{"doc":"Type that represents an BgSegm.BackgroundSubtractorCNT struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BgSegm.BackgroundSubtractorCNT.html#t:t/0","title":"Evision.BgSegm.BackgroundSubtractorCNT.t/0","type":"type"},{"doc":"","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html","title":"Evision.BgSegm.BackgroundSubtractorGMG","type":"module"},{"doc":"Returns the prior probability that each individual pixel is a background pixel. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() Return retval : double Python prototype (for reference only): getBackgroundPrior() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#getBackgroundPrior/1","title":"Evision.BgSegm.BackgroundSubtractorGMG.getBackgroundPrior/1","type":"function"},{"doc":"Returns the value of decision threshold. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() Return retval : double Decision value is the value above which pixel is determined to be FG. Python prototype (for reference only): getDecisionThreshold() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#getDecisionThreshold/1","title":"Evision.BgSegm.BackgroundSubtractorGMG.getDecisionThreshold/1","type":"function"},{"doc":"Returns the learning rate of the algorithm. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() Return retval : double It lies between 0.0 and 1.0. It determines how quickly features are &quot;forgotten&quot; from histograms. Python prototype (for reference only): getDefaultLearningRate() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#getDefaultLearningRate/1","title":"Evision.BgSegm.BackgroundSubtractorGMG.getDefaultLearningRate/1","type":"function"},{"doc":"Returns total number of distinct colors to maintain in histogram. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() Return retval : int Python prototype (for reference only): getMaxFeatures() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#getMaxFeatures/1","title":"Evision.BgSegm.BackgroundSubtractorGMG.getMaxFeatures/1","type":"function"},{"doc":"Returns the maximum value taken on by pixels in image sequence. e.g. 1.0 or 255. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() Return retval : double Python prototype (for reference only): getMaxVal() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#getMaxVal/1","title":"Evision.BgSegm.BackgroundSubtractorGMG.getMaxVal/1","type":"function"},{"doc":"Returns the minimum value taken on by pixels in image sequence. Usually 0. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() Return retval : double Python prototype (for reference only): getMinVal() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#getMinVal/1","title":"Evision.BgSegm.BackgroundSubtractorGMG.getMinVal/1","type":"function"},{"doc":"Returns the number of frames used to initialize background model. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() Return retval : int Python prototype (for reference only): getNumFrames() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#getNumFrames/1","title":"Evision.BgSegm.BackgroundSubtractorGMG.getNumFrames/1","type":"function"},{"doc":"Returns the parameter used for quantization of color-space. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() Return retval : int It is the number of discrete levels in each channel to be used in histograms. Python prototype (for reference only): getQuantizationLevels() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#getQuantizationLevels/1","title":"Evision.BgSegm.BackgroundSubtractorGMG.getQuantizationLevels/1","type":"function"},{"doc":"Returns the kernel radius used for morphological operations Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() Return retval : int Python prototype (for reference only): getSmoothingRadius() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#getSmoothingRadius/1","title":"Evision.BgSegm.BackgroundSubtractorGMG.getSmoothingRadius/1","type":"function"},{"doc":"Returns the status of background model update Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() Return retval : bool Python prototype (for reference only): getUpdateBackgroundModel() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#getUpdateBackgroundModel/1","title":"Evision.BgSegm.BackgroundSubtractorGMG.getUpdateBackgroundModel/1","type":"function"},{"doc":"Sets the prior probability that each individual pixel is a background pixel. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() bgprior : double Python prototype (for reference only): setBackgroundPrior(bgprior) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#setBackgroundPrior/2","title":"Evision.BgSegm.BackgroundSubtractorGMG.setBackgroundPrior/2","type":"function"},{"doc":"Sets the value of decision threshold. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() thresh : double Python prototype (for reference only): setDecisionThreshold(thresh) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#setDecisionThreshold/2","title":"Evision.BgSegm.BackgroundSubtractorGMG.setDecisionThreshold/2","type":"function"},{"doc":"Sets the learning rate of the algorithm. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() lr : double Python prototype (for reference only): setDefaultLearningRate(lr) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#setDefaultLearningRate/2","title":"Evision.BgSegm.BackgroundSubtractorGMG.setDefaultLearningRate/2","type":"function"},{"doc":"Sets total number of distinct colors to maintain in histogram. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() maxFeatures : int Python prototype (for reference only): setMaxFeatures(maxFeatures) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#setMaxFeatures/2","title":"Evision.BgSegm.BackgroundSubtractorGMG.setMaxFeatures/2","type":"function"},{"doc":"Sets the maximum value taken on by pixels in image sequence. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() val : double Python prototype (for reference only): setMaxVal(val) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#setMaxVal/2","title":"Evision.BgSegm.BackgroundSubtractorGMG.setMaxVal/2","type":"function"},{"doc":"Sets the minimum value taken on by pixels in image sequence. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() val : double Python prototype (for reference only): setMinVal(val) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#setMinVal/2","title":"Evision.BgSegm.BackgroundSubtractorGMG.setMinVal/2","type":"function"},{"doc":"Sets the number of frames used to initialize background model. Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() nframes : int Python prototype (for reference only): setNumFrames(nframes) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#setNumFrames/2","title":"Evision.BgSegm.BackgroundSubtractorGMG.setNumFrames/2","type":"function"},{"doc":"Sets the parameter used for quantization of color-space Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() nlevels : int Python prototype (for reference only): setQuantizationLevels(nlevels) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#setQuantizationLevels/2","title":"Evision.BgSegm.BackgroundSubtractorGMG.setQuantizationLevels/2","type":"function"},{"doc":"Sets the kernel radius used for morphological operations Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() radius : int Python prototype (for reference only): setSmoothingRadius(radius) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#setSmoothingRadius/2","title":"Evision.BgSegm.BackgroundSubtractorGMG.setSmoothingRadius/2","type":"function"},{"doc":"Sets the status of background model update Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGMG.t() update : bool Python prototype (for reference only): setUpdateBackgroundModel(update) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#setUpdateBackgroundModel/2","title":"Evision.BgSegm.BackgroundSubtractorGMG.setUpdateBackgroundModel/2","type":"function"},{"doc":"Type that represents an BgSegm.BackgroundSubtractorGMG struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BgSegm.BackgroundSubtractorGMG.html#t:t/0","title":"Evision.BgSegm.BackgroundSubtractorGMG.t/0","type":"type"},{"doc":"","ref":"Evision.BgSegm.BackgroundSubtractorGSOC.html","title":"Evision.BgSegm.BackgroundSubtractorGSOC","type":"module"},{"doc":"apply Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGSOC.t() image : Evision.Mat.t() Keyword Arguments learningRate : double . Return fgmask : Evision.Mat.t() . Python prototype (for reference only): apply(image[, fgmask[, learningRate]]) -&gt; fgmask","ref":"Evision.BgSegm.BackgroundSubtractorGSOC.html#apply/2","title":"Evision.BgSegm.BackgroundSubtractorGSOC.apply/2","type":"function"},{"doc":"apply Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGSOC.t() image : Evision.Mat.t() Keyword Arguments learningRate : double . Return fgmask : Evision.Mat.t() . Python prototype (for reference only): apply(image[, fgmask[, learningRate]]) -&gt; fgmask","ref":"Evision.BgSegm.BackgroundSubtractorGSOC.html#apply/3","title":"Evision.BgSegm.BackgroundSubtractorGSOC.apply/3","type":"function"},{"doc":"getBackgroundImage Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGSOC.t() Return backgroundImage : Evision.Mat.t() . Python prototype (for reference only): getBackgroundImage([, backgroundImage]) -&gt; backgroundImage","ref":"Evision.BgSegm.BackgroundSubtractorGSOC.html#getBackgroundImage/1","title":"Evision.BgSegm.BackgroundSubtractorGSOC.getBackgroundImage/1","type":"function"},{"doc":"getBackgroundImage Positional Arguments self : Evision.BgSegm.BackgroundSubtractorGSOC.t() Return backgroundImage : Evision.Mat.t() . Python prototype (for reference only): getBackgroundImage([, backgroundImage]) -&gt; backgroundImage","ref":"Evision.BgSegm.BackgroundSubtractorGSOC.html#getBackgroundImage/2","title":"Evision.BgSegm.BackgroundSubtractorGSOC.getBackgroundImage/2","type":"function"},{"doc":"Type that represents an BgSegm.BackgroundSubtractorGSOC struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BgSegm.BackgroundSubtractorGSOC.html#t:t/0","title":"Evision.BgSegm.BackgroundSubtractorGSOC.t/0","type":"type"},{"doc":"","ref":"Evision.BgSegm.BackgroundSubtractorLSBP.html","title":"Evision.BgSegm.BackgroundSubtractorLSBP","type":"module"},{"doc":"apply Positional Arguments self : Evision.BgSegm.BackgroundSubtractorLSBP.t() image : Evision.Mat.t() Keyword Arguments learningRate : double . Return fgmask : Evision.Mat.t() . Python prototype (for reference only): apply(image[, fgmask[, learningRate]]) -&gt; fgmask","ref":"Evision.BgSegm.BackgroundSubtractorLSBP.html#apply/2","title":"Evision.BgSegm.BackgroundSubtractorLSBP.apply/2","type":"function"},{"doc":"apply Positional Arguments self : Evision.BgSegm.BackgroundSubtractorLSBP.t() image : Evision.Mat.t() Keyword Arguments learningRate : double . Return fgmask : Evision.Mat.t() . Python prototype (for reference only): apply(image[, fgmask[, learningRate]]) -&gt; fgmask","ref":"Evision.BgSegm.BackgroundSubtractorLSBP.html#apply/3","title":"Evision.BgSegm.BackgroundSubtractorLSBP.apply/3","type":"function"},{"doc":"getBackgroundImage Positional Arguments self : Evision.BgSegm.BackgroundSubtractorLSBP.t() Return backgroundImage : Evision.Mat.t() . Python prototype (for reference only): getBackgroundImage([, backgroundImage]) -&gt; backgroundImage","ref":"Evision.BgSegm.BackgroundSubtractorLSBP.html#getBackgroundImage/1","title":"Evision.BgSegm.BackgroundSubtractorLSBP.getBackgroundImage/1","type":"function"},{"doc":"getBackgroundImage Positional Arguments self : Evision.BgSegm.BackgroundSubtractorLSBP.t() Return backgroundImage : Evision.Mat.t() . Python prototype (for reference only): getBackgroundImage([, backgroundImage]) -&gt; backgroundImage","ref":"Evision.BgSegm.BackgroundSubtractorLSBP.html#getBackgroundImage/2","title":"Evision.BgSegm.BackgroundSubtractorLSBP.getBackgroundImage/2","type":"function"},{"doc":"Type that represents an BgSegm.BackgroundSubtractorLSBP struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BgSegm.BackgroundSubtractorLSBP.html#t:t/0","title":"Evision.BgSegm.BackgroundSubtractorLSBP.t/0","type":"type"},{"doc":"","ref":"Evision.BgSegm.BackgroundSubtractorMOG.html","title":"Evision.BgSegm.BackgroundSubtractorMOG","type":"module"},{"doc":"getBackgroundRatio Positional Arguments self : Evision.BgSegm.BackgroundSubtractorMOG.t() Return retval : double Python prototype (for reference only): getBackgroundRatio() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorMOG.html#getBackgroundRatio/1","title":"Evision.BgSegm.BackgroundSubtractorMOG.getBackgroundRatio/1","type":"function"},{"doc":"getHistory Positional Arguments self : Evision.BgSegm.BackgroundSubtractorMOG.t() Return retval : int Python prototype (for reference only): getHistory() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorMOG.html#getHistory/1","title":"Evision.BgSegm.BackgroundSubtractorMOG.getHistory/1","type":"function"},{"doc":"getNMixtures Positional Arguments self : Evision.BgSegm.BackgroundSubtractorMOG.t() Return retval : int Python prototype (for reference only): getNMixtures() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorMOG.html#getNMixtures/1","title":"Evision.BgSegm.BackgroundSubtractorMOG.getNMixtures/1","type":"function"},{"doc":"getNoiseSigma Positional Arguments self : Evision.BgSegm.BackgroundSubtractorMOG.t() Return retval : double Python prototype (for reference only): getNoiseSigma() -&gt; retval","ref":"Evision.BgSegm.BackgroundSubtractorMOG.html#getNoiseSigma/1","title":"Evision.BgSegm.BackgroundSubtractorMOG.getNoiseSigma/1","type":"function"},{"doc":"setBackgroundRatio Positional Arguments self : Evision.BgSegm.BackgroundSubtractorMOG.t() backgroundRatio : double Python prototype (for reference only): setBackgroundRatio(backgroundRatio) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorMOG.html#setBackgroundRatio/2","title":"Evision.BgSegm.BackgroundSubtractorMOG.setBackgroundRatio/2","type":"function"},{"doc":"setHistory Positional Arguments self : Evision.BgSegm.BackgroundSubtractorMOG.t() nframes : int Python prototype (for reference only): setHistory(nframes) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorMOG.html#setHistory/2","title":"Evision.BgSegm.BackgroundSubtractorMOG.setHistory/2","type":"function"},{"doc":"setNMixtures Positional Arguments self : Evision.BgSegm.BackgroundSubtractorMOG.t() nmix : int Python prototype (for reference only): setNMixtures(nmix) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorMOG.html#setNMixtures/2","title":"Evision.BgSegm.BackgroundSubtractorMOG.setNMixtures/2","type":"function"},{"doc":"setNoiseSigma Positional Arguments self : Evision.BgSegm.BackgroundSubtractorMOG.t() noiseSigma : double Python prototype (for reference only): setNoiseSigma(noiseSigma) -&gt; None","ref":"Evision.BgSegm.BackgroundSubtractorMOG.html#setNoiseSigma/2","title":"Evision.BgSegm.BackgroundSubtractorMOG.setNoiseSigma/2","type":"function"},{"doc":"Type that represents an BgSegm.BackgroundSubtractorMOG struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BgSegm.BackgroundSubtractorMOG.html#t:t/0","title":"Evision.BgSegm.BackgroundSubtractorMOG.t/0","type":"type"},{"doc":"","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html","title":"Evision.BgSegm.SyntheticSequenceGenerator","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.BgSegm.SyntheticSequenceGenerator.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#clear/1","title":"Evision.BgSegm.SyntheticSequenceGenerator.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.BgSegm.SyntheticSequenceGenerator.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#empty/1","title":"Evision.BgSegm.SyntheticSequenceGenerator.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.BgSegm.SyntheticSequenceGenerator.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#getDefaultName/1","title":"Evision.BgSegm.SyntheticSequenceGenerator.getDefaultName/1","type":"function"},{"doc":"Obtain the next frame in the sequence. Positional Arguments self : Evision.BgSegm.SyntheticSequenceGenerator.t() Return frame : Evision.Mat.t() . Output frame. gtMask : Evision.Mat.t() . Output ground-truth (reference) segmentation mask object/background. Python prototype (for reference only): getNextFrame([, frame[, gtMask]]) -&gt; frame, gtMask","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#getNextFrame/1","title":"Evision.BgSegm.SyntheticSequenceGenerator.getNextFrame/1","type":"function"},{"doc":"Obtain the next frame in the sequence. Positional Arguments self : Evision.BgSegm.SyntheticSequenceGenerator.t() Return frame : Evision.Mat.t() . Output frame. gtMask : Evision.Mat.t() . Output ground-truth (reference) segmentation mask object/background. Python prototype (for reference only): getNextFrame([, frame[, gtMask]]) -&gt; frame, gtMask","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#getNextFrame/2","title":"Evision.BgSegm.SyntheticSequenceGenerator.getNextFrame/2","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.BgSegm.SyntheticSequenceGenerator.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#read/2","title":"Evision.BgSegm.SyntheticSequenceGenerator.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.BgSegm.SyntheticSequenceGenerator.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#save/2","title":"Evision.BgSegm.SyntheticSequenceGenerator.save/2","type":"function"},{"doc":"Creates an instance of SyntheticSequenceGenerator. Positional Arguments background : Evision.Mat.t() . Background image for object. object : Evision.Mat.t() . Object image which will move slowly over the background. amplitude : double . Amplitude of wave distortion applied to background. wavelength : double . Length of waves in distortion applied to background. wavespeed : double . How fast waves will move. objspeed : double . How fast object will fly over background. Return self : Evision.BgSegm.SyntheticSequenceGenerator.t() Python prototype (for reference only): SyntheticSequenceGenerator(background, object, amplitude, wavelength, wavespeed, objspeed) -&gt; &lt;bgsegm_SyntheticSequenceGenerator object&gt;","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#syntheticSequenceGenerator/6","title":"Evision.BgSegm.SyntheticSequenceGenerator.syntheticSequenceGenerator/6","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.BgSegm.SyntheticSequenceGenerator.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#write/2","title":"Evision.BgSegm.SyntheticSequenceGenerator.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.BgSegm.SyntheticSequenceGenerator.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#write/3","title":"Evision.BgSegm.SyntheticSequenceGenerator.write/3","type":"function"},{"doc":"Type that represents an BgSegm.SyntheticSequenceGenerator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.BgSegm.SyntheticSequenceGenerator.html#t:t/0","title":"Evision.BgSegm.SyntheticSequenceGenerator.t/0","type":"type"},{"doc":"","ref":"Evision.Bioinspired.html","title":"Evision.Bioinspired","type":"module"},{"doc":"Type that represents an Bioinspired struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Bioinspired.html#t:t/0","title":"Evision.Bioinspired.t/0","type":"type"},{"doc":"","ref":"Evision.Bioinspired.Retina.html","title":"Evision.Bioinspired.Retina","type":"module"},{"doc":"Activate/desactivate the Parvocellular pathway processing (contours information extraction), by default, it is activated Positional Arguments self : Evision.Bioinspired.Retina.t() activate : bool . true if Parvocellular (contours information extraction) output should be activated, false if not... if activated, the Parvocellular output can be retrieved using the Retina::getParvo methods Python prototype (for reference only): activateContoursProcessing(activate) -&gt; None","ref":"Evision.Bioinspired.Retina.html#activateContoursProcessing/2","title":"Evision.Bioinspired.Retina.activateContoursProcessing/2","type":"function"},{"doc":"Activate/desactivate the Magnocellular pathway processing (motion information extraction), by default, it is activated Positional Arguments self : Evision.Bioinspired.Retina.t() activate : bool . true if Magnocellular output should be activated, false if not... if activated, the Magnocellular output can be retrieved using the getMagno methods Python prototype (for reference only): activateMovingContoursProcessing(activate) -&gt; None","ref":"Evision.Bioinspired.Retina.html#activateMovingContoursProcessing/2","title":"Evision.Bioinspired.Retina.activateMovingContoursProcessing/2","type":"function"},{"doc":"Method which processes an image in the aim to correct its luminance correct backlight problems, enhance details in shadows. Positional Arguments self : Evision.Bioinspired.Retina.t() inputImage : Evision.Mat.t() . the input image to process (should be coded in float format : CV_32F, CV_32FC1, CV_32F_C3, CV_32F_C4, the 4th channel won't be considered). Return outputToneMappedImage : Evision.Mat.t() . the output 8bit/channel tone mapped image (CV_8U or CV_8UC3 format). This method is designed to perform High Dynamic Range image tone mapping (compress &gt;8bit/pixel images to 8bit/pixel). This is a simplified version of the Retina Parvocellular model (simplified version of the run/getParvo methods call) since it does not include the spatio-temporal filter modelling the Outer Plexiform Layer of the retina that performs spectral whitening and many other stuff. However, it works great for tone mapping and in a faster way. Check the demos and experiments section to see examples and the way to perform tone mapping using the original retina model and the method. Python prototype (for reference only): applyFastToneMapping(inputImage[, outputToneMappedImage]) -&gt; outputToneMappedImage","ref":"Evision.Bioinspired.Retina.html#applyFastToneMapping/2","title":"Evision.Bioinspired.Retina.applyFastToneMapping/2","type":"function"},{"doc":"Method which processes an image in the aim to correct its luminance correct backlight problems, enhance details in shadows. Positional Arguments self : Evision.Bioinspired.Retina.t() inputImage : Evision.Mat.t() . the input image to process (should be coded in float format : CV_32F, CV_32FC1, CV_32F_C3, CV_32F_C4, the 4th channel won't be considered). Return outputToneMappedImage : Evision.Mat.t() . the output 8bit/channel tone mapped image (CV_8U or CV_8UC3 format). This method is designed to perform High Dynamic Range image tone mapping (compress &gt;8bit/pixel images to 8bit/pixel). This is a simplified version of the Retina Parvocellular model (simplified version of the run/getParvo methods call) since it does not include the spatio-temporal filter modelling the Outer Plexiform Layer of the retina that performs spectral whitening and many other stuff. However, it works great for tone mapping and in a faster way. Check the demos and experiments section to see examples and the way to perform tone mapping using the original retina model and the method. Python prototype (for reference only): applyFastToneMapping(inputImage[, outputToneMappedImage]) -&gt; outputToneMappedImage","ref":"Evision.Bioinspired.Retina.html#applyFastToneMapping/3","title":"Evision.Bioinspired.Retina.applyFastToneMapping/3","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Bioinspired.Retina.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Bioinspired.Retina.html#clear/1","title":"Evision.Bioinspired.Retina.clear/1","type":"function"},{"doc":"Clears all retina buffers Positional Arguments self : Evision.Bioinspired.Retina.t() (equivalent to opening the eyes after a long period of eye close ;o) whatchout the temporal transition occuring just after this method call. Python prototype (for reference only): clearBuffers() -&gt; None","ref":"Evision.Bioinspired.Retina.html#clearBuffers/1","title":"Evision.Bioinspired.Retina.clearBuffers/1","type":"function"},{"doc":"create Positional Arguments inputSize : Size Return retval : Retina Has overloading in C++ Python prototype (for reference only): create(inputSize) -&gt; retval","ref":"Evision.Bioinspired.Retina.html#create/1","title":"Evision.Bioinspired.Retina.create/1","type":"function"},{"doc":"Constructors from standardized interfaces : retreive a smart pointer to a Retina instance Positional Arguments inputSize : Size . the input frame size colorMode : bool . the chosen processing mode : with or without color processing Keyword Arguments colorSamplingMethod : int . specifies which kind of color sampling will be used : cv::bioinspired::RETINA_COLOR_RANDOM: each pixel position is either R, G or B in a random choice cv::bioinspired::RETINA_COLOR_DIAGONAL: color sampling is RGBRGBRGB..., line 2 BRGBRGBRG..., line 3, GBRGBRGBR... cv::bioinspired::RETINA_COLOR_BAYER: standard bayer sampling useRetinaLogSampling : bool . activate retina log sampling, if true, the 2 following parameters can be used reductionFactor : float . only usefull if param useRetinaLogSampling=true, specifies the reduction factor of the output frame (as the center (fovea) is high resolution and corners can be underscaled, then a reduction of the output is allowed without precision leak samplingStrength : float . only usefull if param useRetinaLogSampling=true, specifies the strength of the log scale that is applied Return retval : Retina Python prototype (for reference only): create(inputSize, colorMode[, colorSamplingMethod[, useRetinaLogSampling[, reductionFactor[, samplingStrength]]]]) -&gt; retval","ref":"Evision.Bioinspired.Retina.html#create/2","title":"Evision.Bioinspired.Retina.create/2","type":"function"},{"doc":"Constructors from standardized interfaces : retreive a smart pointer to a Retina instance Positional Arguments inputSize : Size . the input frame size colorMode : bool . the chosen processing mode : with or without color processing Keyword Arguments colorSamplingMethod : int . specifies which kind of color sampling will be used : cv::bioinspired::RETINA_COLOR_RANDOM: each pixel position is either R, G or B in a random choice cv::bioinspired::RETINA_COLOR_DIAGONAL: color sampling is RGBRGBRGB..., line 2 BRGBRGBRG..., line 3, GBRGBRGBR... cv::bioinspired::RETINA_COLOR_BAYER: standard bayer sampling useRetinaLogSampling : bool . activate retina log sampling, if true, the 2 following parameters can be used reductionFactor : float . only usefull if param useRetinaLogSampling=true, specifies the reduction factor of the output frame (as the center (fovea) is high resolution and corners can be underscaled, then a reduction of the output is allowed without precision leak samplingStrength : float . only usefull if param useRetinaLogSampling=true, specifies the strength of the log scale that is applied Return retval : Retina Python prototype (for reference only): create(inputSize, colorMode[, colorSamplingMethod[, useRetinaLogSampling[, reductionFactor[, samplingStrength]]]]) -&gt; retval","ref":"Evision.Bioinspired.Retina.html#create/3","title":"Evision.Bioinspired.Retina.create/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Bioinspired.Retina.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Bioinspired.Retina.html#empty/1","title":"Evision.Bioinspired.Retina.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Bioinspired.Retina.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Bioinspired.Retina.html#getDefaultName/1","title":"Evision.Bioinspired.Retina.getDefaultName/1","type":"function"},{"doc":"Retreive retina input buffer size Positional Arguments self : Evision.Bioinspired.Retina.t() Return retval : Size @return the retina input buffer size Python prototype (for reference only): getInputSize() -&gt; retval","ref":"Evision.Bioinspired.Retina.html#getInputSize/1","title":"Evision.Bioinspired.Retina.getInputSize/1","type":"function"},{"doc":"Accessor of the motion channel of the retina (models peripheral vision). Positional Arguments self : Evision.Bioinspired.Retina.t() Return retinaOutput_magno : Evision.Mat.t() .the output buffer (reallocated if necessary), format can be : a Mat, this output is rescaled for standard 8bits image processing use in OpenCV RAW methods actually return a 1D matrix (encoding is M1, M2,... Mn), this output is the original retina filter model output, without any quantification or rescaling. Warning, getMagnoRAW methods return buffers that are not rescaled within range [0;255] while the non RAW method allows a normalized matrix to be retrieved. @see getMagnoRAW Python prototype (for reference only): getMagno([, retinaOutput_magno]) -&gt; retinaOutput_magno","ref":"Evision.Bioinspired.Retina.html#getMagno/1","title":"Evision.Bioinspired.Retina.getMagno/1","type":"function"},{"doc":"Accessor of the motion channel of the retina (models peripheral vision). Positional Arguments self : Evision.Bioinspired.Retina.t() Return retinaOutput_magno : Evision.Mat.t() .the output buffer (reallocated if necessary), format can be : a Mat, this output is rescaled for standard 8bits image processing use in OpenCV RAW methods actually return a 1D matrix (encoding is M1, M2,... Mn), this output is the original retina filter model output, without any quantification or rescaling. Warning, getMagnoRAW methods return buffers that are not rescaled within range [0;255] while the non RAW method allows a normalized matrix to be retrieved. @see getMagnoRAW Python prototype (for reference only): getMagno([, retinaOutput_magno]) -&gt; retinaOutput_magno","ref":"Evision.Bioinspired.Retina.html#getMagno/2","title":"Evision.Bioinspired.Retina.getMagno/2","type":"function"},{"doc":"getMagnoRAW Positional Arguments self : Evision.Bioinspired.Retina.t() Return retval : Evision.Mat.t() Has overloading in C++ Python prototype (for reference only): getMagnoRAW() -&gt; retval","ref":"Evision.Bioinspired.Retina.html#getMagnoRAW/1","title":"Evision.Bioinspired.Retina.getMagnoRAW/1","type":"function"},{"doc":"Retreive retina output buffer size that can be different from the input if a spatial log transformation is applied Positional Arguments self : Evision.Bioinspired.Retina.t() Return retval : Size @return the retina output buffer size Python prototype (for reference only): getOutputSize() -&gt; retval","ref":"Evision.Bioinspired.Retina.html#getOutputSize/1","title":"Evision.Bioinspired.Retina.getOutputSize/1","type":"function"},{"doc":"Accessor of the details channel of the retina (models foveal vision). Positional Arguments self : Evision.Bioinspired.Retina.t() Return retinaOutput_parvo : Evision.Mat.t() .the output buffer (reallocated if necessary), format can be : a Mat, this output is rescaled for standard 8bits image processing use in OpenCV RAW methods actually return a 1D matrix (encoding is R1, R2, ... Rn, G1, G2, ..., Gn, B1, B2, ...Bn), this output is the original retina filter model output, without any quantification or rescaling. Warning, getParvoRAW methods return buffers that are not rescaled within range [0;255] while the non RAW method allows a normalized matrix to be retrieved. @see getParvoRAW Python prototype (for reference only): getParvo([, retinaOutput_parvo]) -&gt; retinaOutput_parvo","ref":"Evision.Bioinspired.Retina.html#getParvo/1","title":"Evision.Bioinspired.Retina.getParvo/1","type":"function"},{"doc":"Accessor of the details channel of the retina (models foveal vision). Positional Arguments self : Evision.Bioinspired.Retina.t() Return retinaOutput_parvo : Evision.Mat.t() .the output buffer (reallocated if necessary), format can be : a Mat, this output is rescaled for standard 8bits image processing use in OpenCV RAW methods actually return a 1D matrix (encoding is R1, R2, ... Rn, G1, G2, ..., Gn, B1, B2, ...Bn), this output is the original retina filter model output, without any quantification or rescaling. Warning, getParvoRAW methods return buffers that are not rescaled within range [0;255] while the non RAW method allows a normalized matrix to be retrieved. @see getParvoRAW Python prototype (for reference only): getParvo([, retinaOutput_parvo]) -&gt; retinaOutput_parvo","ref":"Evision.Bioinspired.Retina.html#getParvo/2","title":"Evision.Bioinspired.Retina.getParvo/2","type":"function"},{"doc":"getParvoRAW Positional Arguments self : Evision.Bioinspired.Retina.t() Return retval : Evision.Mat.t() Has overloading in C++ Python prototype (for reference only): getParvoRAW() -&gt; retval","ref":"Evision.Bioinspired.Retina.html#getParvoRAW/1","title":"Evision.Bioinspired.Retina.getParvoRAW/1","type":"function"},{"doc":"Outputs a string showing the used parameters setup Positional Arguments self : Evision.Bioinspired.Retina.t() Return retval : String @return a string which contains formated parameters information Python prototype (for reference only): printSetup() -&gt; retval","ref":"Evision.Bioinspired.Retina.html#printSetup/1","title":"Evision.Bioinspired.Retina.printSetup/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Bioinspired.Retina.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Bioinspired.Retina.html#read/2","title":"Evision.Bioinspired.Retina.read/2","type":"function"},{"doc":"Method which allows retina to be applied on an input image, Positional Arguments self : Evision.Bioinspired.Retina.t() inputImage : Evision.Mat.t() . the input Mat image to be processed, can be gray level or BGR coded in any format (from 8bit to 16bits) after run, encapsulated retina module is ready to deliver its outputs using dedicated acccessors, see getParvo and getMagno methods Python prototype (for reference only): run(inputImage) -&gt; None","ref":"Evision.Bioinspired.Retina.html#run/2","title":"Evision.Bioinspired.Retina.run/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Bioinspired.Retina.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Bioinspired.Retina.html#save/2","title":"Evision.Bioinspired.Retina.save/2","type":"function"},{"doc":"Activate color saturation as the final step of the color demultiplexing process -&gt; this saturation is a sigmoide function applied to each channel of the demultiplexed image. Positional Arguments self : Evision.Bioinspired.Retina.t() Keyword Arguments saturateColors : bool . boolean that activates color saturation (if true) or desactivate (if false) colorSaturationValue : float . the saturation factor : a simple factor applied on the chrominance buffers Python prototype (for reference only): setColorSaturation([, saturateColors[, colorSaturationValue]]) -&gt; None","ref":"Evision.Bioinspired.Retina.html#setColorSaturation/1","title":"Evision.Bioinspired.Retina.setColorSaturation/1","type":"function"},{"doc":"Activate color saturation as the final step of the color demultiplexing process -&gt; this saturation is a sigmoide function applied to each channel of the demultiplexed image. Positional Arguments self : Evision.Bioinspired.Retina.t() Keyword Arguments saturateColors : bool . boolean that activates color saturation (if true) or desactivate (if false) colorSaturationValue : float . the saturation factor : a simple factor applied on the chrominance buffers Python prototype (for reference only): setColorSaturation([, saturateColors[, colorSaturationValue]]) -&gt; None","ref":"Evision.Bioinspired.Retina.html#setColorSaturation/2","title":"Evision.Bioinspired.Retina.setColorSaturation/2","type":"function"},{"doc":"Try to open an XML retina parameters file to adjust current retina instance setup Positional Arguments self : Evision.Bioinspired.Retina.t() Keyword Arguments retinaParameterFile : String . the parameters filename applyDefaultSetupOnFailure : bool . set to true if an error must be thrown on error if the xml file does not exist, then default setup is applied warning, Exceptions are thrown if read XML file is not valid You can retrieve the current parameters structure using the method Retina::getParameters and update it before running method Retina::setup. Python prototype (for reference only): setup([, retinaParameterFile[, applyDefaultSetupOnFailure]]) -&gt; None","ref":"Evision.Bioinspired.Retina.html#setup/1","title":"Evision.Bioinspired.Retina.setup/1","type":"function"},{"doc":"Try to open an XML retina parameters file to adjust current retina instance setup Positional Arguments self : Evision.Bioinspired.Retina.t() Keyword Arguments retinaParameterFile : String . the parameters filename applyDefaultSetupOnFailure : bool . set to true if an error must be thrown on error if the xml file does not exist, then default setup is applied warning, Exceptions are thrown if read XML file is not valid You can retrieve the current parameters structure using the method Retina::getParameters and update it before running method Retina::setup. Python prototype (for reference only): setup([, retinaParameterFile[, applyDefaultSetupOnFailure]]) -&gt; None","ref":"Evision.Bioinspired.Retina.html#setup/2","title":"Evision.Bioinspired.Retina.setup/2","type":"function"},{"doc":"Set parameters values for the Inner Plexiform Layer (IPL) magnocellular channel Positional Arguments self : Evision.Bioinspired.Retina.t() Keyword Arguments normaliseOutput : bool . specifies if (true) output is rescaled between 0 and 255 of not (false) parasolCells_beta : float . the low pass filter gain used for local contrast adaptation at the IPL level of the retina (for ganglion cells local adaptation), typical value is 0 parasolCells_tau : float . the low pass filter time constant used for local contrast adaptation at the IPL level of the retina (for ganglion cells local adaptation), unit is frame, typical value is 0 (immediate response) parasolCells_k : float . the low pass filter spatial constant used for local contrast adaptation at the IPL level of the retina (for ganglion cells local adaptation), unit is pixels, typical value is 5 amacrinCellsTemporalCutFrequency : float . the time constant of the first order high pass fiter of the magnocellular way (motion information channel), unit is frames, typical value is 1.2 v0CompressionParameter : float . the compression strengh of the ganglion cells local adaptation output, set a value between 0.6 and 1 for best results, a high value increases more the low value sensitivity... and the output saturates faster, recommended value: 0.95 localAdaptintegration_tau : float . specifies the temporal constant of the low pas filter involved in the computation of the local &quot;motion mean&quot; for the local adaptation computation localAdaptintegration_k : float . specifies the spatial constant of the low pas filter involved in the computation of the local &quot;motion mean&quot; for the local adaptation computation this channel processes signals output from OPL processing stage in peripheral vision, it allows motion information enhancement. It is decorrelated from the details channel. See reference papers for more details. Python prototype (for reference only): setupIPLMagnoChannel([, normaliseOutput[, parasolCells_beta[, parasolCells_tau[, parasolCells_k[, amacrinCellsTemporalCutFrequency[, V0CompressionParameter[, localAdaptintegration_tau[, localAdaptintegration_k]]]]]]]]) -&gt; None","ref":"Evision.Bioinspired.Retina.html#setupIPLMagnoChannel/1","title":"Evision.Bioinspired.Retina.setupIPLMagnoChannel/1","type":"function"},{"doc":"Set parameters values for the Inner Plexiform Layer (IPL) magnocellular channel Positional Arguments self : Evision.Bioinspired.Retina.t() Keyword Arguments normaliseOutput : bool . specifies if (true) output is rescaled between 0 and 255 of not (false) parasolCells_beta : float . the low pass filter gain used for local contrast adaptation at the IPL level of the retina (for ganglion cells local adaptation), typical value is 0 parasolCells_tau : float . the low pass filter time constant used for local contrast adaptation at the IPL level of the retina (for ganglion cells local adaptation), unit is frame, typical value is 0 (immediate response) parasolCells_k : float . the low pass filter spatial constant used for local contrast adaptation at the IPL level of the retina (for ganglion cells local adaptation), unit is pixels, typical value is 5 amacrinCellsTemporalCutFrequency : float . the time constant of the first order high pass fiter of the magnocellular way (motion information channel), unit is frames, typical value is 1.2 v0CompressionParameter : float . the compression strengh of the ganglion cells local adaptation output, set a value between 0.6 and 1 for best results, a high value increases more the low value sensitivity... and the output saturates faster, recommended value: 0.95 localAdaptintegration_tau : float . specifies the temporal constant of the low pas filter involved in the computation of the local &quot;motion mean&quot; for the local adaptation computation localAdaptintegration_k : float . specifies the spatial constant of the low pas filter involved in the computation of the local &quot;motion mean&quot; for the local adaptation computation this channel processes signals output from OPL processing stage in peripheral vision, it allows motion information enhancement. It is decorrelated from the details channel. See reference papers for more details. Python prototype (for reference only): setupIPLMagnoChannel([, normaliseOutput[, parasolCells_beta[, parasolCells_tau[, parasolCells_k[, amacrinCellsTemporalCutFrequency[, V0CompressionParameter[, localAdaptintegration_tau[, localAdaptintegration_k]]]]]]]]) -&gt; None","ref":"Evision.Bioinspired.Retina.html#setupIPLMagnoChannel/2","title":"Evision.Bioinspired.Retina.setupIPLMagnoChannel/2","type":"function"},{"doc":"Setup the OPL and IPL parvo channels (see biologocal model) Positional Arguments self : Evision.Bioinspired.Retina.t() Keyword Arguments colorMode : bool . specifies if (true) color is processed of not (false) to then processing gray level image normaliseOutput : bool . specifies if (true) output is rescaled between 0 and 255 of not (false) photoreceptorsLocalAdaptationSensitivity : float . the photoreceptors sensitivity renage is 0-1 (more log compression effect when value increases) photoreceptorsTemporalConstant : float . the time constant of the first order low pass filter of the photoreceptors, use it to cut high temporal frequencies (noise or fast motion), unit is frames, typical value is 1 frame photoreceptorsSpatialConstant : float . the spatial constant of the first order low pass filter of the photoreceptors, use it to cut high spatial frequencies (noise or thick contours), unit is pixels, typical value is 1 pixel horizontalCellsGain : float . gain of the horizontal cells network, if 0, then the mean value of the output is zero, if the parameter is near 1, then, the luminance is not filtered and is still reachable at the output, typicall value is 0 hcellsTemporalConstant : float . the time constant of the first order low pass filter of the horizontal cells, use it to cut low temporal frequencies (local luminance variations), unit is frames, typical value is 1 frame, as the photoreceptors hcellsSpatialConstant : float . the spatial constant of the first order low pass filter of the horizontal cells, use it to cut low spatial frequencies (local luminance), unit is pixels, typical value is 5 pixel, this value is also used for local contrast computing when computing the local contrast adaptation at the ganglion cells level (Inner Plexiform Layer parvocellular channel model) ganglionCellsSensitivity : float . the compression strengh of the ganglion cells local adaptation output, set a value between 0.6 and 1 for best results, a high value increases more the low value sensitivity... and the output saturates faster, recommended value: 0.7 OPL is referred as Outer Plexiform Layer of the retina, it allows the spatio-temporal filtering which withens the spectrum and reduces spatio-temporal noise while attenuating global luminance (low frequency energy) IPL parvo is the OPL next processing stage, it refers to a part of the Inner Plexiform layer of the retina, it allows high contours sensitivity in foveal vision. See reference papers for more informations. for more informations, please have a look at the paper Benoit A., Caplier A., Durette B., Herault, J., &quot;USING HUMAN VISUAL SYSTEM MODELING FOR BIO-INSPIRED LOW LEVEL IMAGE PROCESSING&quot;, Elsevier, Computer Vision and Image Understanding 114 (2010), pp. 758-773, DOI: http://dx.doi.org/10.1016/j.cviu.2010.01.011 Python prototype (for reference only): setupOPLandIPLParvoChannel([, colorMode[, normaliseOutput[, photoreceptorsLocalAdaptationSensitivity[, photoreceptorsTemporalConstant[, photoreceptorsSpatialConstant[, horizontalCellsGain[, HcellsTemporalConstant[, HcellsSpatialConstant[, ganglionCellsSensitivity]]]]]]]]]) -&gt; None","ref":"Evision.Bioinspired.Retina.html#setupOPLandIPLParvoChannel/1","title":"Evision.Bioinspired.Retina.setupOPLandIPLParvoChannel/1","type":"function"},{"doc":"Setup the OPL and IPL parvo channels (see biologocal model) Positional Arguments self : Evision.Bioinspired.Retina.t() Keyword Arguments colorMode : bool . specifies if (true) color is processed of not (false) to then processing gray level image normaliseOutput : bool . specifies if (true) output is rescaled between 0 and 255 of not (false) photoreceptorsLocalAdaptationSensitivity : float . the photoreceptors sensitivity renage is 0-1 (more log compression effect when value increases) photoreceptorsTemporalConstant : float . the time constant of the first order low pass filter of the photoreceptors, use it to cut high temporal frequencies (noise or fast motion), unit is frames, typical value is 1 frame photoreceptorsSpatialConstant : float . the spatial constant of the first order low pass filter of the photoreceptors, use it to cut high spatial frequencies (noise or thick contours), unit is pixels, typical value is 1 pixel horizontalCellsGain : float . gain of the horizontal cells network, if 0, then the mean value of the output is zero, if the parameter is near 1, then, the luminance is not filtered and is still reachable at the output, typicall value is 0 hcellsTemporalConstant : float . the time constant of the first order low pass filter of the horizontal cells, use it to cut low temporal frequencies (local luminance variations), unit is frames, typical value is 1 frame, as the photoreceptors hcellsSpatialConstant : float . the spatial constant of the first order low pass filter of the horizontal cells, use it to cut low spatial frequencies (local luminance), unit is pixels, typical value is 5 pixel, this value is also used for local contrast computing when computing the local contrast adaptation at the ganglion cells level (Inner Plexiform Layer parvocellular channel model) ganglionCellsSensitivity : float . the compression strengh of the ganglion cells local adaptation output, set a value between 0.6 and 1 for best results, a high value increases more the low value sensitivity... and the output saturates faster, recommended value: 0.7 OPL is referred as Outer Plexiform Layer of the retina, it allows the spatio-temporal filtering which withens the spectrum and reduces spatio-temporal noise while attenuating global luminance (low frequency energy) IPL parvo is the OPL next processing stage, it refers to a part of the Inner Plexiform layer of the retina, it allows high contours sensitivity in foveal vision. See reference papers for more informations. for more informations, please have a look at the paper Benoit A., Caplier A., Durette B., Herault, J., &quot;USING HUMAN VISUAL SYSTEM MODELING FOR BIO-INSPIRED LOW LEVEL IMAGE PROCESSING&quot;, Elsevier, Computer Vision and Image Understanding 114 (2010), pp. 758-773, DOI: http://dx.doi.org/10.1016/j.cviu.2010.01.011 Python prototype (for reference only): setupOPLandIPLParvoChannel([, colorMode[, normaliseOutput[, photoreceptorsLocalAdaptationSensitivity[, photoreceptorsTemporalConstant[, photoreceptorsSpatialConstant[, horizontalCellsGain[, HcellsTemporalConstant[, HcellsSpatialConstant[, ganglionCellsSensitivity]]]]]]]]]) -&gt; None","ref":"Evision.Bioinspired.Retina.html#setupOPLandIPLParvoChannel/2","title":"Evision.Bioinspired.Retina.setupOPLandIPLParvoChannel/2","type":"function"},{"doc":"Write xml/yml formated parameters information Positional Arguments self : Evision.Bioinspired.Retina.t() fs : String . the filename of the xml file that will be open and writen with formatted parameters information Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Bioinspired.Retina.html#write/2","title":"Evision.Bioinspired.Retina.write/2","type":"function"},{"doc":"Type that represents an Bioinspired.Retina struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Bioinspired.Retina.html#t:t/0","title":"Evision.Bioinspired.Retina.t/0","type":"type"},{"doc":"","ref":"Evision.Bioinspired.RetinaFastToneMapping.html","title":"Evision.Bioinspired.RetinaFastToneMapping","type":"module"},{"doc":"applies a luminance correction (initially High Dynamic Range (HDR) tone mapping) Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() inputImage : Evision.Mat.t() . the input image to process RGB or gray levels Return outputToneMappedImage : Evision.Mat.t() . the output tone mapped image using only the 2 local adaptation stages of the retina parvocellular channel : photoreceptors level and ganlion cells level. Spatio temporal filtering is applied but limited to temporal smoothing and eventually high frequencies attenuation. This is a lighter method than the one available using the regular retina::run method. It is then faster but it does not include complete temporal filtering nor retina spectral whitening. Then, it can have a more limited effect on images with a very high dynamic range. This is an adptation of the original still image HDR tone mapping algorithm of David Alleyson, Sabine Susstruck and Laurence Meylan's work, please cite: -&gt; Meylan L., Alleysson D., and Susstrunk S., A Model of Retinal Local Adaptation for the Tone Mapping of Color Filter Array Images, Journal of Optical Society of America, A, Vol. 24, N 9, September, 1st, 2007, pp. 2807-2816 Python prototype (for reference only): applyFastToneMapping(inputImage[, outputToneMappedImage]) -&gt; outputToneMappedImage","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#applyFastToneMapping/2","title":"Evision.Bioinspired.RetinaFastToneMapping.applyFastToneMapping/2","type":"function"},{"doc":"applies a luminance correction (initially High Dynamic Range (HDR) tone mapping) Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() inputImage : Evision.Mat.t() . the input image to process RGB or gray levels Return outputToneMappedImage : Evision.Mat.t() . the output tone mapped image using only the 2 local adaptation stages of the retina parvocellular channel : photoreceptors level and ganlion cells level. Spatio temporal filtering is applied but limited to temporal smoothing and eventually high frequencies attenuation. This is a lighter method than the one available using the regular retina::run method. It is then faster but it does not include complete temporal filtering nor retina spectral whitening. Then, it can have a more limited effect on images with a very high dynamic range. This is an adptation of the original still image HDR tone mapping algorithm of David Alleyson, Sabine Susstruck and Laurence Meylan's work, please cite: -&gt; Meylan L., Alleysson D., and Susstrunk S., A Model of Retinal Local Adaptation for the Tone Mapping of Color Filter Array Images, Journal of Optical Society of America, A, Vol. 24, N 9, September, 1st, 2007, pp. 2807-2816 Python prototype (for reference only): applyFastToneMapping(inputImage[, outputToneMappedImage]) -&gt; outputToneMappedImage","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#applyFastToneMapping/3","title":"Evision.Bioinspired.RetinaFastToneMapping.applyFastToneMapping/3","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#clear/1","title":"Evision.Bioinspired.RetinaFastToneMapping.clear/1","type":"function"},{"doc":"create Positional Arguments inputSize : Size Return retval : RetinaFastToneMapping Python prototype (for reference only): create(inputSize) -&gt; retval","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#create/1","title":"Evision.Bioinspired.RetinaFastToneMapping.create/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#empty/1","title":"Evision.Bioinspired.RetinaFastToneMapping.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#getDefaultName/1","title":"Evision.Bioinspired.RetinaFastToneMapping.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#read/2","title":"Evision.Bioinspired.RetinaFastToneMapping.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#save/2","title":"Evision.Bioinspired.RetinaFastToneMapping.save/2","type":"function"},{"doc":"updates tone mapping behaviors by adjusing the local luminance computation area Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() Keyword Arguments photoreceptorsNeighborhoodRadius : float . the first stage local adaptation area ganglioncellsNeighborhoodRadius : float . the second stage local adaptation area meanLuminanceModulatorK : float . the factor applied to modulate the meanLuminance information (default is 1, see reference paper) Python prototype (for reference only): setup([, photoreceptorsNeighborhoodRadius[, ganglioncellsNeighborhoodRadius[, meanLuminanceModulatorK]]]) -&gt; None","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#setup/1","title":"Evision.Bioinspired.RetinaFastToneMapping.setup/1","type":"function"},{"doc":"updates tone mapping behaviors by adjusing the local luminance computation area Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() Keyword Arguments photoreceptorsNeighborhoodRadius : float . the first stage local adaptation area ganglioncellsNeighborhoodRadius : float . the second stage local adaptation area meanLuminanceModulatorK : float . the factor applied to modulate the meanLuminance information (default is 1, see reference paper) Python prototype (for reference only): setup([, photoreceptorsNeighborhoodRadius[, ganglioncellsNeighborhoodRadius[, meanLuminanceModulatorK]]]) -&gt; None","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#setup/2","title":"Evision.Bioinspired.RetinaFastToneMapping.setup/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#write/2","title":"Evision.Bioinspired.RetinaFastToneMapping.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Bioinspired.RetinaFastToneMapping.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#write/3","title":"Evision.Bioinspired.RetinaFastToneMapping.write/3","type":"function"},{"doc":"Type that represents an Bioinspired.RetinaFastToneMapping struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Bioinspired.RetinaFastToneMapping.html#t:t/0","title":"Evision.Bioinspired.RetinaFastToneMapping.t/0","type":"type"},{"doc":"","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html","title":"Evision.Bioinspired.TransientAreasSegmentationModule","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#clear/1","title":"Evision.Bioinspired.TransientAreasSegmentationModule.clear/1","type":"function"},{"doc":"cleans all the buffers of the instance Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() Python prototype (for reference only): clearAllBuffers() -&gt; None","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#clearAllBuffers/1","title":"Evision.Bioinspired.TransientAreasSegmentationModule.clearAllBuffers/1","type":"function"},{"doc":"allocator Positional Arguments inputSize : Size . : size of the images input to segment (output will be the same size) Return retval : TransientAreasSegmentationModule Python prototype (for reference only): create(inputSize) -&gt; retval","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#create/1","title":"Evision.Bioinspired.TransientAreasSegmentationModule.create/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#empty/1","title":"Evision.Bioinspired.TransientAreasSegmentationModule.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#getDefaultName/1","title":"Evision.Bioinspired.TransientAreasSegmentationModule.getDefaultName/1","type":"function"},{"doc":"access function return the last segmentation result: a boolean picture which is resampled between 0 and 255 for a display purpose Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() Return transientAreas : Evision.Mat.t() . Python prototype (for reference only): getSegmentationPicture([, transientAreas]) -&gt; transientAreas","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#getSegmentationPicture/1","title":"Evision.Bioinspired.TransientAreasSegmentationModule.getSegmentationPicture/1","type":"function"},{"doc":"access function return the last segmentation result: a boolean picture which is resampled between 0 and 255 for a display purpose Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() Return transientAreas : Evision.Mat.t() . Python prototype (for reference only): getSegmentationPicture([, transientAreas]) -&gt; transientAreas","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#getSegmentationPicture/2","title":"Evision.Bioinspired.TransientAreasSegmentationModule.getSegmentationPicture/2","type":"function"},{"doc":"return the sze of the manage input and output images Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() Return retval : Size Python prototype (for reference only): getSize() -&gt; retval","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#getSize/1","title":"Evision.Bioinspired.TransientAreasSegmentationModule.getSize/1","type":"function"},{"doc":"parameters setup display method Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() Return retval : String @return a string which contains formatted parameters information Python prototype (for reference only): printSetup() -&gt; retval","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#printSetup/1","title":"Evision.Bioinspired.TransientAreasSegmentationModule.printSetup/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#read/2","title":"Evision.Bioinspired.TransientAreasSegmentationModule.read/2","type":"function"},{"doc":"main processing method, get result using methods getSegmentationPicture() Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() inputToSegment : Evision.Mat.t() . : the image to process, it must match the instance buffer size ! Keyword Arguments channelIndex : int . : the channel to process in case of multichannel images Python prototype (for reference only): run(inputToSegment[, channelIndex]) -&gt; None","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#run/2","title":"Evision.Bioinspired.TransientAreasSegmentationModule.run/2","type":"function"},{"doc":"main processing method, get result using methods getSegmentationPicture() Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() inputToSegment : Evision.Mat.t() . : the image to process, it must match the instance buffer size ! Keyword Arguments channelIndex : int . : the channel to process in case of multichannel images Python prototype (for reference only): run(inputToSegment[, channelIndex]) -&gt; None","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#run/3","title":"Evision.Bioinspired.TransientAreasSegmentationModule.run/3","type":"function"},{"doc":"save Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#save/2","title":"Evision.Bioinspired.TransientAreasSegmentationModule.save/2","type":"function"},{"doc":"try to open an XML segmentation parameters file to adjust current segmentation instance setup Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() Keyword Arguments segmentationParameterFile : String . : the parameters filename applyDefaultSetupOnFailure : bool . : set to true if an error must be thrown on error if the xml file does not exist, then default setup is applied warning, Exceptions are thrown if read XML file is not valid Python prototype (for reference only): setup([, segmentationParameterFile[, applyDefaultSetupOnFailure]]) -&gt; None","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#setup/1","title":"Evision.Bioinspired.TransientAreasSegmentationModule.setup/1","type":"function"},{"doc":"try to open an XML segmentation parameters file to adjust current segmentation instance setup Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() Keyword Arguments segmentationParameterFile : String . : the parameters filename applyDefaultSetupOnFailure : bool . : set to true if an error must be thrown on error if the xml file does not exist, then default setup is applied warning, Exceptions are thrown if read XML file is not valid Python prototype (for reference only): setup([, segmentationParameterFile[, applyDefaultSetupOnFailure]]) -&gt; None","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#setup/2","title":"Evision.Bioinspired.TransientAreasSegmentationModule.setup/2","type":"function"},{"doc":"write xml/yml formated parameters information Positional Arguments self : Evision.Bioinspired.TransientAreasSegmentationModule.t() fs : String . : the filename of the xml file that will be open and writen with formatted parameters information Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#write/2","title":"Evision.Bioinspired.TransientAreasSegmentationModule.write/2","type":"function"},{"doc":"Type that represents an Bioinspired.TransientAreasSegmentationModule struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Bioinspired.TransientAreasSegmentationModule.html#t:t/0","title":"Evision.Bioinspired.TransientAreasSegmentationModule.t/0","type":"type"},{"doc":"","ref":"Evision.CCM.html","title":"Evision.CCM","type":"module"},{"doc":"Type that represents an CCM struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CCM.html#t:t/0","title":"Evision.CCM.t/0","type":"type"},{"doc":"","ref":"Evision.CCM.ColorCorrectionModel.html","title":"Evision.CCM.ColorCorrectionModel","type":"module"},{"doc":"Color Correction Model Positional Arguments src : Evision.Mat.t() . detected colors of ColorChecker patches;\\n the color type is RGB not BGR, and the color values are in [0, 1]; constcolor : CONST_COLOR . the Built-in color card Return self : ColorCorrectionModel Supported list of color cards: @ref COLORCHECKER_Macbeth, the Macbeth ColorChecker @ref COLORCHECKER_Vinyl, the DKK ColorChecker @ref COLORCHECKER_DigitalSG, the DigitalSG ColorChecker with 140 squares Python prototype (for reference only): ColorCorrectionModel(src, constcolor) -&gt; &lt;ccm_ColorCorrectionModel object&gt;","ref":"Evision.CCM.ColorCorrectionModel.html#colorCorrectionModel/2","title":"Evision.CCM.ColorCorrectionModel.colorCorrectionModel/2","type":"function"},{"doc":"Color Correction Model Positional Arguments src : Evision.Mat.t() . detected colors of ColorChecker patches;\\n the color type is RGB not BGR, and the color values are in [0, 1]; colors : Evision.Mat.t() . the reference color values, the color values are in [0, 1].\\n ref_cs : COLOR_SPACE . the corresponding color space If the color type is some RGB, the format is RGB not BGR;\\n Return self : ColorCorrectionModel Python prototype (for reference only): ColorCorrectionModel(src, colors, ref_cs) -&gt; &lt;ccm_ColorCorrectionModel object&gt;","ref":"Evision.CCM.ColorCorrectionModel.html#colorCorrectionModel/3","title":"Evision.CCM.ColorCorrectionModel.colorCorrectionModel/3","type":"function"},{"doc":"Color Correction Model Positional Arguments src : Evision.Mat.t() . detected colors of ColorChecker patches;\\n the color type is RGB not BGR, and the color values are in [0, 1]; colors : Evision.Mat.t() . the reference color values, the color values are in [0, 1]. ref_cs : COLOR_SPACE . the corresponding color space If the color type is some RGB, the format is RGB not BGR; colored : Evision.Mat.t() . mask of colored color Return self : ColorCorrectionModel Python prototype (for reference only): ColorCorrectionModel(src, colors, ref_cs, colored) -&gt; &lt;ccm_ColorCorrectionModel object&gt;","ref":"Evision.CCM.ColorCorrectionModel.html#colorCorrectionModel/4","title":"Evision.CCM.ColorCorrectionModel.colorCorrectionModel/4","type":"function"},{"doc":"get_dst_rgbl Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() Return retval : Evision.Mat.t() Python prototype (for reference only): get_dst_rgbl() -&gt; retval","ref":"Evision.CCM.ColorCorrectionModel.html#get_dst_rgbl/1","title":"Evision.CCM.ColorCorrectionModel.get_dst_rgbl/1","type":"function"},{"doc":"get_src_rgbl Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() Return retval : Evision.Mat.t() Python prototype (for reference only): get_src_rgbl() -&gt; retval","ref":"Evision.CCM.ColorCorrectionModel.html#get_src_rgbl/1","title":"Evision.CCM.ColorCorrectionModel.get_src_rgbl/1","type":"function"},{"doc":"getCCM Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getCCM() -&gt; retval","ref":"Evision.CCM.ColorCorrectionModel.html#getCCM/1","title":"Evision.CCM.ColorCorrectionModel.getCCM/1","type":"function"},{"doc":"getLoss Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() Return retval : double Python prototype (for reference only): getLoss() -&gt; retval","ref":"Evision.CCM.ColorCorrectionModel.html#getLoss/1","title":"Evision.CCM.ColorCorrectionModel.getLoss/1","type":"function"},{"doc":"getMask Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getMask() -&gt; retval","ref":"Evision.CCM.ColorCorrectionModel.html#getMask/1","title":"Evision.CCM.ColorCorrectionModel.getMask/1","type":"function"},{"doc":"getWeights Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getWeights() -&gt; retval","ref":"Evision.CCM.ColorCorrectionModel.html#getWeights/1","title":"Evision.CCM.ColorCorrectionModel.getWeights/1","type":"function"},{"doc":"Infer using fitting ccm. Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() img : Evision.Mat.t() . the input image. Keyword Arguments islinear : bool . default false. Return retval : Evision.Mat.t() @return the output array. Python prototype (for reference only): infer(img[, islinear]) -&gt; retval","ref":"Evision.CCM.ColorCorrectionModel.html#infer/2","title":"Evision.CCM.ColorCorrectionModel.infer/2","type":"function"},{"doc":"Infer using fitting ccm. Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() img : Evision.Mat.t() . the input image. Keyword Arguments islinear : bool . default false. Return retval : Evision.Mat.t() @return the output array. Python prototype (for reference only): infer(img[, islinear]) -&gt; retval","ref":"Evision.CCM.ColorCorrectionModel.html#infer/3","title":"Evision.CCM.ColorCorrectionModel.infer/3","type":"function"},{"doc":"make color correction Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() Python prototype (for reference only): run() -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#run/1","title":"Evision.CCM.ColorCorrectionModel.run/1","type":"function"},{"doc":"set ccm_type Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() ccm_type : CCM_TYPE . the shape of color correction matrix(CCM);\\n default: @ref CCM_3x3 Python prototype (for reference only): setCCM_TYPE(ccm_type) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setCCM_TYPE/2","title":"Evision.CCM.ColorCorrectionModel.setCCM_TYPE/2","type":"function"},{"doc":"set ColorSpace Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() cs : COLOR_SPACE . the absolute color space that detected colors convert to;\\n default: @ref COLOR_SPACE_sRGB Note : It should be some RGB color space; Supported list of color cards: @ref COLOR_SPACE_sRGB @ref COLOR_SPACE_AdobeRGB @ref COLOR_SPACE_WideGamutRGB @ref COLOR_SPACE_ProPhotoRGB @ref COLOR_SPACE_DCI_P3_RGB @ref COLOR_SPACE_AppleRGB @ref COLOR_SPACE_REC_709_RGB @ref COLOR_SPACE_REC_2020_RGB Python prototype (for reference only): setColorSpace(cs) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setColorSpace/2","title":"Evision.CCM.ColorCorrectionModel.setColorSpace/2","type":"function"},{"doc":"set Distance Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() distance : DISTANCE_TYPE . the type of color distance;\\n default: @ref DISTANCE_CIE2000 Python prototype (for reference only): setDistance(distance) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setDistance/2","title":"Evision.CCM.ColorCorrectionModel.setDistance/2","type":"function"},{"doc":"set Epsilon Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() epsilon : double . used in MinProblemSolver-DownhillSolver;\\n Terminal criteria to the algorithm;\\n default: 1e-4; Python prototype (for reference only): setEpsilon(epsilon) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setEpsilon/2","title":"Evision.CCM.ColorCorrectionModel.setEpsilon/2","type":"function"},{"doc":"set InitialMethod Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() initial_method_type : INITIAL_METHOD_TYPE . the method of calculating CCM initial value;\\n default: INITIAL_METHOD_LEAST_SQUARE Python prototype (for reference only): setInitialMethod(initial_method_type) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setInitialMethod/2","title":"Evision.CCM.ColorCorrectionModel.setInitialMethod/2","type":"function"},{"doc":"set Linear Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() linear_type : LINEAR_TYPE . the method of linearization;\\n default: @ref LINEARIZATION_GAMMA Python prototype (for reference only): setLinear(linear_type) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setLinear/2","title":"Evision.CCM.ColorCorrectionModel.setLinear/2","type":"function"},{"doc":"set degree Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() deg : int . the degree of linearization polynomial;\\n default: 3 Note : only valid when linear is set to @ref LINEARIZATION_COLORPOLYFIT @ref LINEARIZATION_GRAYPOLYFIT @ref LINEARIZATION_COLORLOGPOLYFIT @ref LINEARIZATION_GRAYLOGPOLYFIT Python prototype (for reference only): setLinearDegree(deg) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setLinearDegree/2","title":"Evision.CCM.ColorCorrectionModel.setLinearDegree/2","type":"function"},{"doc":"set Gamma Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() gamma : double . the gamma value of gamma correction;\\n default: 2.2; Note : only valid when linear is set to &quot;gamma&quot;;\\n Python prototype (for reference only): setLinearGamma(gamma) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setLinearGamma/2","title":"Evision.CCM.ColorCorrectionModel.setLinearGamma/2","type":"function"},{"doc":"set MaxCount Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() max_count : int . used in MinProblemSolver-DownhillSolver;\\n Terminal criteria to the algorithm;\\n default: 5000; Python prototype (for reference only): setMaxCount(max_count) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setMaxCount/2","title":"Evision.CCM.ColorCorrectionModel.setMaxCount/2","type":"function"},{"doc":"set SaturatedThreshold. The colors in the closed interval [lower, upper] are reserved to participate in the calculation of the loss function and initialization parameters Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() lower : double . the lower threshold to determine saturation;\\n default: 0; upper : double . the upper threshold to determine saturation;\\n default: 0 Python prototype (for reference only): setSaturatedThreshold(lower, upper) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setSaturatedThreshold/3","title":"Evision.CCM.ColorCorrectionModel.setSaturatedThreshold/3","type":"function"},{"doc":"set WeightCoeff Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() weights_coeff : double . the exponent number of L* component of the reference color in CIE Lab color space;\\n default: 0 Python prototype (for reference only): setWeightCoeff(weights_coeff) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setWeightCoeff/2","title":"Evision.CCM.ColorCorrectionModel.setWeightCoeff/2","type":"function"},{"doc":"set WeightsList Positional Arguments self : Evision.CCM.ColorCorrectionModel.t() weights_list : Evision.Mat.t() . the list of weight of each color;\\n default: empty array Python prototype (for reference only): setWeightsList(weights_list) -&gt; None","ref":"Evision.CCM.ColorCorrectionModel.html#setWeightsList/2","title":"Evision.CCM.ColorCorrectionModel.setWeightsList/2","type":"function"},{"doc":"Type that represents an CCM.ColorCorrectionModel struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CCM.ColorCorrectionModel.html#t:t/0","title":"Evision.CCM.ColorCorrectionModel.t/0","type":"type"},{"doc":"","ref":"Evision.CLAHE.html","title":"Evision.CLAHE","type":"module"},{"doc":"Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization. Positional Arguments self : Evision.CLAHE.t() src : Evision.Mat.t() . Source image of type CV_8UC1 or CV_16UC1. Return dst : Evision.Mat.t() . Destination image. Python prototype (for reference only): apply(src[, dst]) -&gt; dst","ref":"Evision.CLAHE.html#apply/2","title":"Evision.CLAHE.apply/2","type":"function"},{"doc":"Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization. Positional Arguments self : Evision.CLAHE.t() src : Evision.Mat.t() . Source image of type CV_8UC1 or CV_16UC1. Return dst : Evision.Mat.t() . Destination image. Python prototype (for reference only): apply(src[, dst]) -&gt; dst","ref":"Evision.CLAHE.html#apply/3","title":"Evision.CLAHE.apply/3","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CLAHE.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CLAHE.html#clear/1","title":"Evision.CLAHE.clear/1","type":"function"},{"doc":"collectGarbage Positional Arguments self : Evision.CLAHE.t() Python prototype (for reference only): collectGarbage() -&gt; None","ref":"Evision.CLAHE.html#collectGarbage/1","title":"Evision.CLAHE.collectGarbage/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CLAHE.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CLAHE.html#empty/1","title":"Evision.CLAHE.empty/1","type":"function"},{"doc":"getClipLimit Positional Arguments self : Evision.CLAHE.t() Return retval : double Python prototype (for reference only): getClipLimit() -&gt; retval","ref":"Evision.CLAHE.html#getClipLimit/1","title":"Evision.CLAHE.getClipLimit/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CLAHE.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CLAHE.html#getDefaultName/1","title":"Evision.CLAHE.getDefaultName/1","type":"function"},{"doc":"getTilesGridSize Positional Arguments self : Evision.CLAHE.t() Return retval : Size Python prototype (for reference only): getTilesGridSize() -&gt; retval","ref":"Evision.CLAHE.html#getTilesGridSize/1","title":"Evision.CLAHE.getTilesGridSize/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CLAHE.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CLAHE.html#read/2","title":"Evision.CLAHE.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CLAHE.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CLAHE.html#save/2","title":"Evision.CLAHE.save/2","type":"function"},{"doc":"Sets threshold for contrast limiting. Positional Arguments self : Evision.CLAHE.t() clipLimit : double . threshold value. Python prototype (for reference only): setClipLimit(clipLimit) -&gt; None","ref":"Evision.CLAHE.html#setClipLimit/2","title":"Evision.CLAHE.setClipLimit/2","type":"function"},{"doc":"Sets size of grid for histogram equalization. Input image will be divided into equally sized rectangular tiles. Positional Arguments self : Evision.CLAHE.t() tileGridSize : Size . defines the number of tiles in row and column. Python prototype (for reference only): setTilesGridSize(tileGridSize) -&gt; None","ref":"Evision.CLAHE.html#setTilesGridSize/2","title":"Evision.CLAHE.setTilesGridSize/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CLAHE.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CLAHE.html#write/2","title":"Evision.CLAHE.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CLAHE.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CLAHE.html#write/3","title":"Evision.CLAHE.write/3","type":"function"},{"doc":"Type that represents an CLAHE struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CLAHE.html#t:t/0","title":"Evision.CLAHE.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.html","title":"Evision.CUDA","type":"module"},{"doc":"Variant 1: Computes an absolute value of each matrix element. Positional Arguments src : Evision.Mat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . @sa abs Python prototype (for reference only): abs(src[, dst[, stream]]) -&gt; dst Variant 2: Computes an absolute value of each matrix element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . @sa abs Python prototype (for reference only): abs(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#abs/1","title":"Evision.CUDA.abs/1","type":"function"},{"doc":"Variant 1: Computes an absolute value of each matrix element. Positional Arguments src : Evision.Mat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . @sa abs Python prototype (for reference only): abs(src[, dst[, stream]]) -&gt; dst Variant 2: Computes an absolute value of each matrix element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . @sa abs Python prototype (for reference only): abs(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#abs/2","title":"Evision.CUDA.abs/2","type":"function"},{"doc":"Variant 1: Computes per-element absolute difference of two matrices (or of a matrix and scalar). Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and type as the input array(s). @sa absdiff Python prototype (for reference only): absdiff(src1, src2[, dst[, stream]]) -&gt; dst Variant 2: Computes per-element absolute difference of two matrices (or of a matrix and scalar). Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and type as the input array(s). @sa absdiff Python prototype (for reference only): absdiff(src1, src2[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#absdiff/2","title":"Evision.CUDA.absdiff/2","type":"function"},{"doc":"Variant 1: Computes per-element absolute difference of two matrices (or of a matrix and scalar). Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and type as the input array(s). @sa absdiff Python prototype (for reference only): absdiff(src1, src2[, dst[, stream]]) -&gt; dst Variant 2: Computes per-element absolute difference of two matrices (or of a matrix and scalar). Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and type as the input array(s). @sa absdiff Python prototype (for reference only): absdiff(src1, src2[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#absdiff/3","title":"Evision.CUDA.absdiff/3","type":"function"},{"doc":"Variant 1: Returns the sum of absolute values for matrix elements. Positional Arguments src : Evision.Mat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar Python prototype (for reference only): absSum(src[, mask]) -&gt; retval Variant 2: Returns the sum of absolute values for matrix elements. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.CUDA.GpuMat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar Python prototype (for reference only): absSum(src[, mask]) -&gt; retval","ref":"Evision.CUDA.html#absSum/1","title":"Evision.CUDA.absSum/1","type":"function"},{"doc":"Variant 1: Returns the sum of absolute values for matrix elements. Positional Arguments src : Evision.Mat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar Python prototype (for reference only): absSum(src[, mask]) -&gt; retval Variant 2: Returns the sum of absolute values for matrix elements. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.CUDA.GpuMat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar Python prototype (for reference only): absSum(src[, mask]) -&gt; retval","ref":"Evision.CUDA.html#absSum/2","title":"Evision.CUDA.absSum/2","type":"function"},{"doc":"Variant 1: Computes a matrix-matrix or matrix-scalar sum. Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Matrix should have the same size and type as src1 . Keyword Arguments mask : Evision.Mat.t() . Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa add Python prototype (for reference only): add(src1, src2[, dst[, mask[, dtype[, stream]]]]) -&gt; dst Variant 2: Computes a matrix-matrix or matrix-scalar sum. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Matrix should have the same size and type as src1 . Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa add Python prototype (for reference only): add(src1, src2[, dst[, mask[, dtype[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#add/2","title":"Evision.CUDA.add/2","type":"function"},{"doc":"Variant 1: Computes a matrix-matrix or matrix-scalar sum. Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Matrix should have the same size and type as src1 . Keyword Arguments mask : Evision.Mat.t() . Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa add Python prototype (for reference only): add(src1, src2[, dst[, mask[, dtype[, stream]]]]) -&gt; dst Variant 2: Computes a matrix-matrix or matrix-scalar sum. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Matrix should have the same size and type as src1 . Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa add Python prototype (for reference only): add(src1, src2[, dst[, mask[, dtype[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#add/3","title":"Evision.CUDA.add/3","type":"function"},{"doc":"Variant 1: Computes the weighted sum of two arrays. Positional Arguments src1 : Evision.Mat.t() . First source array. alpha : double . Weight for the first array elements. src2 : Evision.Mat.t() . Second source array of the same size and channel number as src1 . beta : double . Weight for the second array elements. gamma : double . Scalar added to each sum. Keyword Arguments dtype : int . Optional depth of the destination array. When both input arrays have the same depth, dtype can be set to -1, which will be equivalent to src1.depth(). stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination array that has the same size and number of channels as the input arrays. The function addWeighted calculates the weighted sum of two arrays as follows: \\f[\\texttt{dst} (I)= \\texttt{saturate} ( \\texttt{src1} (I)* \\texttt{alpha} + \\texttt{src2} (I)* \\texttt{beta} + \\texttt{gamma} )\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. @sa addWeighted Python prototype (for reference only): addWeighted(src1, alpha, src2, beta, gamma[, dst[, dtype[, stream]]]) -&gt; dst Variant 2: Computes the weighted sum of two arrays. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source array. alpha : double . Weight for the first array elements. src2 : Evision.CUDA.GpuMat.t() . Second source array of the same size and channel number as src1 . beta : double . Weight for the second array elements. gamma : double . Scalar added to each sum. Keyword Arguments dtype : int . Optional depth of the destination array. When both input arrays have the same depth, dtype can be set to -1, which will be equivalent to src1.depth(). stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination array that has the same size and number of channels as the input arrays. The function addWeighted calculates the weighted sum of two arrays as follows: \\f[\\texttt{dst} (I)= \\texttt{saturate} ( \\texttt{src1} (I)* \\texttt{alpha} + \\texttt{src2} (I)* \\texttt{beta} + \\texttt{gamma} )\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. @sa addWeighted Python prototype (for reference only): addWeighted(src1, alpha, src2, beta, gamma[, dst[, dtype[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#addWeighted/5","title":"Evision.CUDA.addWeighted/5","type":"function"},{"doc":"Variant 1: Computes the weighted sum of two arrays. Positional Arguments src1 : Evision.Mat.t() . First source array. alpha : double . Weight for the first array elements. src2 : Evision.Mat.t() . Second source array of the same size and channel number as src1 . beta : double . Weight for the second array elements. gamma : double . Scalar added to each sum. Keyword Arguments dtype : int . Optional depth of the destination array. When both input arrays have the same depth, dtype can be set to -1, which will be equivalent to src1.depth(). stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination array that has the same size and number of channels as the input arrays. The function addWeighted calculates the weighted sum of two arrays as follows: \\f[\\texttt{dst} (I)= \\texttt{saturate} ( \\texttt{src1} (I)* \\texttt{alpha} + \\texttt{src2} (I)* \\texttt{beta} + \\texttt{gamma} )\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. @sa addWeighted Python prototype (for reference only): addWeighted(src1, alpha, src2, beta, gamma[, dst[, dtype[, stream]]]) -&gt; dst Variant 2: Computes the weighted sum of two arrays. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source array. alpha : double . Weight for the first array elements. src2 : Evision.CUDA.GpuMat.t() . Second source array of the same size and channel number as src1 . beta : double . Weight for the second array elements. gamma : double . Scalar added to each sum. Keyword Arguments dtype : int . Optional depth of the destination array. When both input arrays have the same depth, dtype can be set to -1, which will be equivalent to src1.depth(). stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination array that has the same size and number of channels as the input arrays. The function addWeighted calculates the weighted sum of two arrays as follows: \\f[\\texttt{dst} (I)= \\texttt{saturate} ( \\texttt{src1} (I)* \\texttt{alpha} + \\texttt{src2} (I)* \\texttt{beta} + \\texttt{gamma} )\\f] where I is a multi-dimensional index of array elements. In case of multi-channel arrays, each channel is processed independently. @sa addWeighted Python prototype (for reference only): addWeighted(src1, alpha, src2, beta, gamma[, dst[, dtype[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#addWeighted/6","title":"Evision.CUDA.addWeighted/6","type":"function"},{"doc":"Variant 1: Composites two images using alpha opacity values contained in each image. Positional Arguments img1 : Evision.Mat.t() . First image. Supports CV_8UC4 , CV_16UC4 , CV_32SC4 and CV_32FC4 types. img2 : Evision.Mat.t() . Second image. Must have the same size and the same type as img1 . alpha_op : int . Flag specifying the alpha-blending operation: ALPHA_OVER ALPHA_IN ALPHA_OUT ALPHA_ATOP ALPHA_XOR ALPHA_PLUS ALPHA_OVER_PREMUL ALPHA_IN_PREMUL ALPHA_OUT_PREMUL ALPHA_ATOP_PREMUL ALPHA_XOR_PREMUL ALPHA_PLUS_PREMUL ALPHA_PREMUL Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. Note : An example demonstrating the use of alphaComp can be found at opencv_source_code/samples/gpu/alpha_comp.cpp Python prototype (for reference only): alphaComp(img1, img2, alpha_op[, dst[, stream]]) -&gt; dst Variant 2: Composites two images using alpha opacity values contained in each image. Positional Arguments img1 : Evision.CUDA.GpuMat.t() . First image. Supports CV_8UC4 , CV_16UC4 , CV_32SC4 and CV_32FC4 types. img2 : Evision.CUDA.GpuMat.t() . Second image. Must have the same size and the same type as img1 . alpha_op : int . Flag specifying the alpha-blending operation: ALPHA_OVER ALPHA_IN ALPHA_OUT ALPHA_ATOP ALPHA_XOR ALPHA_PLUS ALPHA_OVER_PREMUL ALPHA_IN_PREMUL ALPHA_OUT_PREMUL ALPHA_ATOP_PREMUL ALPHA_XOR_PREMUL ALPHA_PLUS_PREMUL ALPHA_PREMUL Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. Note : An example demonstrating the use of alphaComp can be found at opencv_source_code/samples/gpu/alpha_comp.cpp Python prototype (for reference only): alphaComp(img1, img2, alpha_op[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#alphaComp/3","title":"Evision.CUDA.alphaComp/3","type":"function"},{"doc":"Variant 1: Composites two images using alpha opacity values contained in each image. Positional Arguments img1 : Evision.Mat.t() . First image. Supports CV_8UC4 , CV_16UC4 , CV_32SC4 and CV_32FC4 types. img2 : Evision.Mat.t() . Second image. Must have the same size and the same type as img1 . alpha_op : int . Flag specifying the alpha-blending operation: ALPHA_OVER ALPHA_IN ALPHA_OUT ALPHA_ATOP ALPHA_XOR ALPHA_PLUS ALPHA_OVER_PREMUL ALPHA_IN_PREMUL ALPHA_OUT_PREMUL ALPHA_ATOP_PREMUL ALPHA_XOR_PREMUL ALPHA_PLUS_PREMUL ALPHA_PREMUL Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. Note : An example demonstrating the use of alphaComp can be found at opencv_source_code/samples/gpu/alpha_comp.cpp Python prototype (for reference only): alphaComp(img1, img2, alpha_op[, dst[, stream]]) -&gt; dst Variant 2: Composites two images using alpha opacity values contained in each image. Positional Arguments img1 : Evision.CUDA.GpuMat.t() . First image. Supports CV_8UC4 , CV_16UC4 , CV_32SC4 and CV_32FC4 types. img2 : Evision.CUDA.GpuMat.t() . Second image. Must have the same size and the same type as img1 . alpha_op : int . Flag specifying the alpha-blending operation: ALPHA_OVER ALPHA_IN ALPHA_OUT ALPHA_ATOP ALPHA_XOR ALPHA_PLUS ALPHA_OVER_PREMUL ALPHA_IN_PREMUL ALPHA_OUT_PREMUL ALPHA_ATOP_PREMUL ALPHA_XOR_PREMUL ALPHA_PLUS_PREMUL ALPHA_PREMUL Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. Note : An example demonstrating the use of alphaComp can be found at opencv_source_code/samples/gpu/alpha_comp.cpp Python prototype (for reference only): alphaComp(img1, img2, alpha_op[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#alphaComp/4","title":"Evision.CUDA.alphaComp/4","type":"function"},{"doc":"Variant 1: Performs bilateral filtering of passed image Positional Arguments src : Evision.Mat.t() . Source image. Supports only (channels != 2 &amp;&amp; depth() != CV_8S &amp;&amp; depth() != CV_32S &amp;&amp; depth() != CV_64F). kernel_size : int . Kernel window size. sigma_color : float . Filter sigma in the color space. sigma_spatial : float . Filter sigma in the coordinate space. Keyword Arguments borderMode : int . Border type. See borderInterpolate for details. BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination imagwe. @sa bilateralFilter Python prototype (for reference only): bilateralFilter(src, kernel_size, sigma_color, sigma_spatial[, dst[, borderMode[, stream]]]) -&gt; dst Variant 2: Performs bilateral filtering of passed image Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Supports only (channels != 2 &amp;&amp; depth() != CV_8S &amp;&amp; depth() != CV_32S &amp;&amp; depth() != CV_64F). kernel_size : int . Kernel window size. sigma_color : float . Filter sigma in the color space. sigma_spatial : float . Filter sigma in the coordinate space. Keyword Arguments borderMode : int . Border type. See borderInterpolate for details. BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination imagwe. @sa bilateralFilter Python prototype (for reference only): bilateralFilter(src, kernel_size, sigma_color, sigma_spatial[, dst[, borderMode[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#bilateralFilter/4","title":"Evision.CUDA.bilateralFilter/4","type":"function"},{"doc":"Variant 1: Performs bilateral filtering of passed image Positional Arguments src : Evision.Mat.t() . Source image. Supports only (channels != 2 &amp;&amp; depth() != CV_8S &amp;&amp; depth() != CV_32S &amp;&amp; depth() != CV_64F). kernel_size : int . Kernel window size. sigma_color : float . Filter sigma in the color space. sigma_spatial : float . Filter sigma in the coordinate space. Keyword Arguments borderMode : int . Border type. See borderInterpolate for details. BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination imagwe. @sa bilateralFilter Python prototype (for reference only): bilateralFilter(src, kernel_size, sigma_color, sigma_spatial[, dst[, borderMode[, stream]]]) -&gt; dst Variant 2: Performs bilateral filtering of passed image Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Supports only (channels != 2 &amp;&amp; depth() != CV_8S &amp;&amp; depth() != CV_32S &amp;&amp; depth() != CV_64F). kernel_size : int . Kernel window size. sigma_color : float . Filter sigma in the color space. sigma_spatial : float . Filter sigma in the coordinate space. Keyword Arguments borderMode : int . Border type. See borderInterpolate for details. BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination imagwe. @sa bilateralFilter Python prototype (for reference only): bilateralFilter(src, kernel_size, sigma_color, sigma_spatial[, dst[, borderMode[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#bilateralFilter/5","title":"Evision.CUDA.bilateralFilter/5","type":"function"},{"doc":"Variant 1: Performs linear blending of two images. Positional Arguments img1 : Evision.Mat.t() . First image. Supports only CV_8U and CV_32F depth. img2 : Evision.Mat.t() . Second image. Must have the same size and the same type as img1 . weights1 : Evision.Mat.t() . Weights for first image. Must have tha same size as img1 . Supports only CV_32F type. weights2 : Evision.Mat.t() . Weights for second image. Must have tha same size as img2 . Supports only CV_32F type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.Mat.t() . Destination image. Python prototype (for reference only): blendLinear(img1, img2, weights1, weights2[, result[, stream]]) -&gt; result Variant 2: Performs linear blending of two images. Positional Arguments img1 : Evision.CUDA.GpuMat.t() . First image. Supports only CV_8U and CV_32F depth. img2 : Evision.CUDA.GpuMat.t() . Second image. Must have the same size and the same type as img1 . weights1 : Evision.CUDA.GpuMat.t() . Weights for first image. Must have tha same size as img1 . Supports only CV_32F type. weights2 : Evision.CUDA.GpuMat.t() . Weights for second image. Must have tha same size as img2 . Supports only CV_32F type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.CUDA.GpuMat.t() . Destination image. Python prototype (for reference only): blendLinear(img1, img2, weights1, weights2[, result[, stream]]) -&gt; result","ref":"Evision.CUDA.html#blendLinear/4","title":"Evision.CUDA.blendLinear/4","type":"function"},{"doc":"Variant 1: Performs linear blending of two images. Positional Arguments img1 : Evision.Mat.t() . First image. Supports only CV_8U and CV_32F depth. img2 : Evision.Mat.t() . Second image. Must have the same size and the same type as img1 . weights1 : Evision.Mat.t() . Weights for first image. Must have tha same size as img1 . Supports only CV_32F type. weights2 : Evision.Mat.t() . Weights for second image. Must have tha same size as img2 . Supports only CV_32F type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.Mat.t() . Destination image. Python prototype (for reference only): blendLinear(img1, img2, weights1, weights2[, result[, stream]]) -&gt; result Variant 2: Performs linear blending of two images. Positional Arguments img1 : Evision.CUDA.GpuMat.t() . First image. Supports only CV_8U and CV_32F depth. img2 : Evision.CUDA.GpuMat.t() . Second image. Must have the same size and the same type as img1 . weights1 : Evision.CUDA.GpuMat.t() . Weights for first image. Must have tha same size as img1 . Supports only CV_32F type. weights2 : Evision.CUDA.GpuMat.t() . Weights for second image. Must have tha same size as img2 . Supports only CV_32F type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.CUDA.GpuMat.t() . Destination image. Python prototype (for reference only): blendLinear(img1, img2, weights1, weights2[, result[, stream]]) -&gt; result","ref":"Evision.CUDA.html#blendLinear/5","title":"Evision.CUDA.blendLinear/5","type":"function"},{"doc":"buildWarpAffineMaps Positional Arguments m : Evision.Mat.t() inverse : bool dsize : Size Keyword Arguments stream : Evision.CUDA.Stream.t() . Return xmap : Evision.CUDA.GpuMat.t() . ymap : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): buildWarpAffineMaps(M, inverse, dsize[, xmap[, ymap[, stream]]]) -&gt; xmap, ymap","ref":"Evision.CUDA.html#buildWarpAffineMaps/3","title":"Evision.CUDA.buildWarpAffineMaps/3","type":"function"},{"doc":"buildWarpAffineMaps Positional Arguments m : Evision.Mat.t() inverse : bool dsize : Size Keyword Arguments stream : Evision.CUDA.Stream.t() . Return xmap : Evision.CUDA.GpuMat.t() . ymap : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): buildWarpAffineMaps(M, inverse, dsize[, xmap[, ymap[, stream]]]) -&gt; xmap, ymap","ref":"Evision.CUDA.html#buildWarpAffineMaps/4","title":"Evision.CUDA.buildWarpAffineMaps/4","type":"function"},{"doc":"buildWarpPerspectiveMaps Positional Arguments m : Evision.Mat.t() inverse : bool dsize : Size Keyword Arguments stream : Evision.CUDA.Stream.t() . Return xmap : Evision.CUDA.GpuMat.t() . ymap : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): buildWarpPerspectiveMaps(M, inverse, dsize[, xmap[, ymap[, stream]]]) -&gt; xmap, ymap","ref":"Evision.CUDA.html#buildWarpPerspectiveMaps/3","title":"Evision.CUDA.buildWarpPerspectiveMaps/3","type":"function"},{"doc":"buildWarpPerspectiveMaps Positional Arguments m : Evision.Mat.t() inverse : bool dsize : Size Keyword Arguments stream : Evision.CUDA.Stream.t() . Return xmap : Evision.CUDA.GpuMat.t() . ymap : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): buildWarpPerspectiveMaps(M, inverse, dsize[, xmap[, ymap[, stream]]]) -&gt; xmap, ymap","ref":"Evision.CUDA.html#buildWarpPerspectiveMaps/4","title":"Evision.CUDA.buildWarpPerspectiveMaps/4","type":"function"},{"doc":"Variant 1: calcAbsSum Positional Arguments src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcAbsSum(src[, dst[, mask[, stream]]]) -&gt; dst Variant 2: calcAbsSum Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): calcAbsSum(src[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#calcAbsSum/1","title":"Evision.CUDA.calcAbsSum/1","type":"function"},{"doc":"Variant 1: calcAbsSum Positional Arguments src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcAbsSum(src[, dst[, mask[, stream]]]) -&gt; dst Variant 2: calcAbsSum Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): calcAbsSum(src[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#calcAbsSum/2","title":"Evision.CUDA.calcAbsSum/2","type":"function"},{"doc":"Variant 1: Calculates histogram for one channel 8-bit image. Positional Arguments src : Evision.Mat.t() . Source image with CV_8UC1 type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.Mat.t() . Destination histogram with one row, 256 columns, and the CV_32SC1 type. Python prototype (for reference only): calcHist(src[, hist[, stream]]) -&gt; hist Variant 2: Calculates histogram for one channel 8-bit image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image with CV_8UC1 type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.CUDA.GpuMat.t() . Destination histogram with one row, 256 columns, and the CV_32SC1 type. Python prototype (for reference only): calcHist(src[, hist[, stream]]) -&gt; hist","ref":"Evision.CUDA.html#calcHist/1","title":"Evision.CUDA.calcHist/1","type":"function"},{"doc":"Variant 1: Calculates histogram for one channel 8-bit image confined in given mask. Positional Arguments src : Evision.Mat.t() . Source image with CV_8UC1 type. mask : Evision.Mat.t() . A mask image same size as src and of type CV_8UC1. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.Mat.t() . Destination histogram with one row, 256 columns, and the CV_32SC1 type. Python prototype (for reference only): calcHist(src, mask[, hist[, stream]]) -&gt; hist Variant 2: Calculates histogram for one channel 8-bit image confined in given mask. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image with CV_8UC1 type. mask : Evision.CUDA.GpuMat.t() . A mask image same size as src and of type CV_8UC1. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.CUDA.GpuMat.t() . Destination histogram with one row, 256 columns, and the CV_32SC1 type. Python prototype (for reference only): calcHist(src, mask[, hist[, stream]]) -&gt; hist Variant 3: Calculates histogram for one channel 8-bit image. Positional Arguments src : Evision.Mat.t() . Source image with CV_8UC1 type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.Mat.t() . Destination histogram with one row, 256 columns, and the CV_32SC1 type. Python prototype (for reference only): calcHist(src[, hist[, stream]]) -&gt; hist Variant 4: Calculates histogram for one channel 8-bit image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image with CV_8UC1 type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.CUDA.GpuMat.t() . Destination histogram with one row, 256 columns, and the CV_32SC1 type. Python prototype (for reference only): calcHist(src[, hist[, stream]]) -&gt; hist","ref":"Evision.CUDA.html#calcHist/2","title":"Evision.CUDA.calcHist/2","type":"function"},{"doc":"Variant 1: Calculates histogram for one channel 8-bit image confined in given mask. Positional Arguments src : Evision.Mat.t() . Source image with CV_8UC1 type. mask : Evision.Mat.t() . A mask image same size as src and of type CV_8UC1. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.Mat.t() . Destination histogram with one row, 256 columns, and the CV_32SC1 type. Python prototype (for reference only): calcHist(src, mask[, hist[, stream]]) -&gt; hist Variant 2: Calculates histogram for one channel 8-bit image confined in given mask. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image with CV_8UC1 type. mask : Evision.CUDA.GpuMat.t() . A mask image same size as src and of type CV_8UC1. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.CUDA.GpuMat.t() . Destination histogram with one row, 256 columns, and the CV_32SC1 type. Python prototype (for reference only): calcHist(src, mask[, hist[, stream]]) -&gt; hist","ref":"Evision.CUDA.html#calcHist/3","title":"Evision.CUDA.calcHist/3","type":"function"},{"doc":"Variant 1: calcNorm Positional Arguments src : Evision.Mat.t() normType : int Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcNorm(src, normType[, dst[, mask[, stream]]]) -&gt; dst Variant 2: calcNorm Positional Arguments src : Evision.CUDA.GpuMat.t() normType : int Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): calcNorm(src, normType[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#calcNorm/2","title":"Evision.CUDA.calcNorm/2","type":"function"},{"doc":"Variant 1: calcNorm Positional Arguments src : Evision.Mat.t() normType : int Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcNorm(src, normType[, dst[, mask[, stream]]]) -&gt; dst Variant 2: calcNorm Positional Arguments src : Evision.CUDA.GpuMat.t() normType : int Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): calcNorm(src, normType[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#calcNorm/3","title":"Evision.CUDA.calcNorm/3","type":"function"},{"doc":"Variant 1: calcNormDiff Positional Arguments src1 : Evision.Mat.t() src2 : Evision.Mat.t() Keyword Arguments normType : int . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcNormDiff(src1, src2[, dst[, normType[, stream]]]) -&gt; dst Variant 2: calcNormDiff Positional Arguments src1 : Evision.CUDA.GpuMat.t() src2 : Evision.CUDA.GpuMat.t() Keyword Arguments normType : int . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): calcNormDiff(src1, src2[, dst[, normType[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#calcNormDiff/2","title":"Evision.CUDA.calcNormDiff/2","type":"function"},{"doc":"Variant 1: calcNormDiff Positional Arguments src1 : Evision.Mat.t() src2 : Evision.Mat.t() Keyword Arguments normType : int . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcNormDiff(src1, src2[, dst[, normType[, stream]]]) -&gt; dst Variant 2: calcNormDiff Positional Arguments src1 : Evision.CUDA.GpuMat.t() src2 : Evision.CUDA.GpuMat.t() Keyword Arguments normType : int . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): calcNormDiff(src1, src2[, dst[, normType[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#calcNormDiff/3","title":"Evision.CUDA.calcNormDiff/3","type":"function"},{"doc":"Variant 1: calcSqrSum Positional Arguments src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcSqrSum(src[, dst[, mask[, stream]]]) -&gt; dst Variant 2: calcSqrSum Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): calcSqrSum(src[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#calcSqrSum/1","title":"Evision.CUDA.calcSqrSum/1","type":"function"},{"doc":"Variant 1: calcSqrSum Positional Arguments src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcSqrSum(src[, dst[, mask[, stream]]]) -&gt; dst Variant 2: calcSqrSum Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): calcSqrSum(src[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#calcSqrSum/2","title":"Evision.CUDA.calcSqrSum/2","type":"function"},{"doc":"Variant 1: calcSum Positional Arguments src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcSum(src[, dst[, mask[, stream]]]) -&gt; dst Variant 2: calcSum Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): calcSum(src[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#calcSum/1","title":"Evision.CUDA.calcSum/1","type":"function"},{"doc":"Variant 1: calcSum Positional Arguments src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): calcSum(src[, dst[, mask[, stream]]]) -&gt; dst Variant 2: calcSum Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): calcSum(src[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#calcSum/2","title":"Evision.CUDA.calcSum/2","type":"function"},{"doc":"Variant 1: Converts Cartesian coordinates into polar. Positional Arguments x : Evision.Mat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.Mat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments angleInDegrees : bool . Flag for angles that must be evaluated in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.Mat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). angle : Evision.Mat.t() . Destination matrix of angles ( CV_32FC1 ). @sa cartToPolar Python prototype (for reference only): cartToPolar(x, y[, magnitude[, angle[, angleInDegrees[, stream]]]]) -&gt; magnitude, angle Variant 2: Converts Cartesian coordinates into polar. Positional Arguments x : Evision.CUDA.GpuMat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.CUDA.GpuMat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments angleInDegrees : bool . Flag for angles that must be evaluated in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.CUDA.GpuMat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). angle : Evision.CUDA.GpuMat.t() . Destination matrix of angles ( CV_32FC1 ). @sa cartToPolar Python prototype (for reference only): cartToPolar(x, y[, magnitude[, angle[, angleInDegrees[, stream]]]]) -&gt; magnitude, angle","ref":"Evision.CUDA.html#cartToPolar/2","title":"Evision.CUDA.cartToPolar/2","type":"function"},{"doc":"Variant 1: Converts Cartesian coordinates into polar. Positional Arguments x : Evision.Mat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.Mat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments angleInDegrees : bool . Flag for angles that must be evaluated in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.Mat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). angle : Evision.Mat.t() . Destination matrix of angles ( CV_32FC1 ). @sa cartToPolar Python prototype (for reference only): cartToPolar(x, y[, magnitude[, angle[, angleInDegrees[, stream]]]]) -&gt; magnitude, angle Variant 2: Converts Cartesian coordinates into polar. Positional Arguments x : Evision.CUDA.GpuMat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.CUDA.GpuMat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments angleInDegrees : bool . Flag for angles that must be evaluated in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.CUDA.GpuMat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). angle : Evision.CUDA.GpuMat.t() . Destination matrix of angles ( CV_32FC1 ). @sa cartToPolar Python prototype (for reference only): cartToPolar(x, y[, magnitude[, angle[, angleInDegrees[, stream]]]]) -&gt; magnitude, angle","ref":"Evision.CUDA.html#cartToPolar/3","title":"Evision.CUDA.cartToPolar/3","type":"function"},{"doc":"Variant 1: Compares elements of two matrices (or of a matrix and scalar). Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. cmpop : int . Flag specifying the relation between the elements to be checked: CMP_EQ: a(.) == b(.) CMP_GT: a(.) &gt; b(.) CMP_GE: a(.) &gt;= b(.) CMP_LT: a(.) \\&lt; b(.) CMP_LE: a(.) \\&lt;= b(.) CMP_NE: a(.) != b(.) Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size as the input array(s) and type CV_8U. @sa compare Python prototype (for reference only): compare(src1, src2, cmpop[, dst[, stream]]) -&gt; dst Variant 2: Compares elements of two matrices (or of a matrix and scalar). Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. cmpop : int . Flag specifying the relation between the elements to be checked: CMP_EQ: a(.) == b(.) CMP_GT: a(.) &gt; b(.) CMP_GE: a(.) &gt;= b(.) CMP_LT: a(.) \\&lt; b(.) CMP_LE: a(.) \\&lt;= b(.) CMP_NE: a(.) != b(.) Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size as the input array(s) and type CV_8U. @sa compare Python prototype (for reference only): compare(src1, src2, cmpop[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#compare/3","title":"Evision.CUDA.compare/3","type":"function"},{"doc":"Variant 1: Compares elements of two matrices (or of a matrix and scalar). Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. cmpop : int . Flag specifying the relation between the elements to be checked: CMP_EQ: a(.) == b(.) CMP_GT: a(.) &gt; b(.) CMP_GE: a(.) &gt;= b(.) CMP_LT: a(.) \\&lt; b(.) CMP_LE: a(.) \\&lt;= b(.) CMP_NE: a(.) != b(.) Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size as the input array(s) and type CV_8U. @sa compare Python prototype (for reference only): compare(src1, src2, cmpop[, dst[, stream]]) -&gt; dst Variant 2: Compares elements of two matrices (or of a matrix and scalar). Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. cmpop : int . Flag specifying the relation between the elements to be checked: CMP_EQ: a(.) == b(.) CMP_GT: a(.) &gt; b(.) CMP_GE: a(.) &gt;= b(.) CMP_LT: a(.) \\&lt; b(.) CMP_LE: a(.) \\&lt;= b(.) CMP_NE: a(.) != b(.) Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size as the input array(s) and type CV_8U. @sa compare Python prototype (for reference only): compare(src1, src2, cmpop[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#compare/4","title":"Evision.CUDA.compare/4","type":"function"},{"doc":"Variant 1: connectedComponents Positional Arguments image : Evision.Mat.t() . The 8-bit single-channel image to be labeled. Keyword Arguments connectivity : int . Connectivity to use for the labeling procedure. 8 for 8-way connectivity is supported. ltype : int . Output image label type. Currently CV_32S is supported. Return labels : Evision.Mat.t() . Destination labeled image. Has overloading in C++ Python prototype (for reference only): connectedComponents(image[, labels[, connectivity[, ltype]]]) -&gt; labels Variant 2: connectedComponents Positional Arguments image : Evision.CUDA.GpuMat.t() . The 8-bit single-channel image to be labeled. Keyword Arguments connectivity : int . Connectivity to use for the labeling procedure. 8 for 8-way connectivity is supported. ltype : int . Output image label type. Currently CV_32S is supported. Return labels : Evision.CUDA.GpuMat.t() . Destination labeled image. Has overloading in C++ Python prototype (for reference only): connectedComponents(image[, labels[, connectivity[, ltype]]]) -&gt; labels","ref":"Evision.CUDA.html#connectedComponents/1","title":"Evision.CUDA.connectedComponents/1","type":"function"},{"doc":"Variant 1: connectedComponents Positional Arguments image : Evision.Mat.t() . The 8-bit single-channel image to be labeled. Keyword Arguments connectivity : int . Connectivity to use for the labeling procedure. 8 for 8-way connectivity is supported. ltype : int . Output image label type. Currently CV_32S is supported. Return labels : Evision.Mat.t() . Destination labeled image. Has overloading in C++ Python prototype (for reference only): connectedComponents(image[, labels[, connectivity[, ltype]]]) -&gt; labels Variant 2: connectedComponents Positional Arguments image : Evision.CUDA.GpuMat.t() . The 8-bit single-channel image to be labeled. Keyword Arguments connectivity : int . Connectivity to use for the labeling procedure. 8 for 8-way connectivity is supported. ltype : int . Output image label type. Currently CV_32S is supported. Return labels : Evision.CUDA.GpuMat.t() . Destination labeled image. Has overloading in C++ Python prototype (for reference only): connectedComponents(image[, labels[, connectivity[, ltype]]]) -&gt; labels","ref":"Evision.CUDA.html#connectedComponents/2","title":"Evision.CUDA.connectedComponents/2","type":"function"},{"doc":"Variant 1: Computes the Connected Components Labeled image of a binary image. Positional Arguments image : Evision.Mat.t() . The 8-bit single-channel image to be labeled. connectivity : int . Connectivity to use for the labeling procedure. 8 for 8-way connectivity is supported. ltype : int . Output image label type. Currently CV_32S is supported. ccltype : cuda_ConnectedComponentsAlgorithmsTypes . Connected components algorithm type (see the #ConnectedComponentsAlgorithmsTypes). Return labels : Evision.Mat.t() . Destination labeled image. The function takes as input a binary image and performs Connected Components Labeling. The output is an image where each Connected Component is assigned a unique label (integer value). ltype specifies the output label image type, an important consideration based on the total number of labels or alternatively the total number of pixels in the source image. ccltype specifies the connected components labeling algorithm to use, currently BKE @cite Allegretti2019 is supported, see the #ConnectedComponentsAlgorithmsTypes for details. Note that labels in the output are not required to be sequential. Note : A sample program demonstrating Connected Components Labeling in CUDA can be found at\\n opencv_contrib_source_code/modules/cudaimgproc/samples/connected_components.cpp Python prototype (for reference only): connectedComponentsWithAlgorithm(image, connectivity, ltype, ccltype[, labels]) -&gt; labels Variant 2: Computes the Connected Components Labeled image of a binary image. Positional Arguments image : Evision.CUDA.GpuMat.t() . The 8-bit single-channel image to be labeled. connectivity : int . Connectivity to use for the labeling procedure. 8 for 8-way connectivity is supported. ltype : int . Output image label type. Currently CV_32S is supported. ccltype : cuda_ConnectedComponentsAlgorithmsTypes . Connected components algorithm type (see the #ConnectedComponentsAlgorithmsTypes). Return labels : Evision.CUDA.GpuMat.t() . Destination labeled image. The function takes as input a binary image and performs Connected Components Labeling. The output is an image where each Connected Component is assigned a unique label (integer value). ltype specifies the output label image type, an important consideration based on the total number of labels or alternatively the total number of pixels in the source image. ccltype specifies the connected components labeling algorithm to use, currently BKE @cite Allegretti2019 is supported, see the #ConnectedComponentsAlgorithmsTypes for details. Note that labels in the output are not required to be sequential. Note : A sample program demonstrating Connected Components Labeling in CUDA can be found at\\n opencv_contrib_source_code/modules/cudaimgproc/samples/connected_components.cpp Python prototype (for reference only): connectedComponentsWithAlgorithm(image, connectivity, ltype, ccltype[, labels]) -&gt; labels","ref":"Evision.CUDA.html#connectedComponentsWithAlgorithm/4","title":"Evision.CUDA.connectedComponentsWithAlgorithm/4","type":"function"},{"doc":"Variant 1: Computes the Connected Components Labeled image of a binary image. Positional Arguments image : Evision.Mat.t() . The 8-bit single-channel image to be labeled. connectivity : int . Connectivity to use for the labeling procedure. 8 for 8-way connectivity is supported. ltype : int . Output image label type. Currently CV_32S is supported. ccltype : cuda_ConnectedComponentsAlgorithmsTypes . Connected components algorithm type (see the #ConnectedComponentsAlgorithmsTypes). Return labels : Evision.Mat.t() . Destination labeled image. The function takes as input a binary image and performs Connected Components Labeling. The output is an image where each Connected Component is assigned a unique label (integer value). ltype specifies the output label image type, an important consideration based on the total number of labels or alternatively the total number of pixels in the source image. ccltype specifies the connected components labeling algorithm to use, currently BKE @cite Allegretti2019 is supported, see the #ConnectedComponentsAlgorithmsTypes for details. Note that labels in the output are not required to be sequential. Note : A sample program demonstrating Connected Components Labeling in CUDA can be found at\\n opencv_contrib_source_code/modules/cudaimgproc/samples/connected_components.cpp Python prototype (for reference only): connectedComponentsWithAlgorithm(image, connectivity, ltype, ccltype[, labels]) -&gt; labels Variant 2: Computes the Connected Components Labeled image of a binary image. Positional Arguments image : Evision.CUDA.GpuMat.t() . The 8-bit single-channel image to be labeled. connectivity : int . Connectivity to use for the labeling procedure. 8 for 8-way connectivity is supported. ltype : int . Output image label type. Currently CV_32S is supported. ccltype : cuda_ConnectedComponentsAlgorithmsTypes . Connected components algorithm type (see the #ConnectedComponentsAlgorithmsTypes). Return labels : Evision.CUDA.GpuMat.t() . Destination labeled image. The function takes as input a binary image and performs Connected Components Labeling. The output is an image where each Connected Component is assigned a unique label (integer value). ltype specifies the output label image type, an important consideration based on the total number of labels or alternatively the total number of pixels in the source image. ccltype specifies the connected components labeling algorithm to use, currently BKE @cite Allegretti2019 is supported, see the #ConnectedComponentsAlgorithmsTypes for details. Note that labels in the output are not required to be sequential. Note : A sample program demonstrating Connected Components Labeling in CUDA can be found at\\n opencv_contrib_source_code/modules/cudaimgproc/samples/connected_components.cpp Python prototype (for reference only): connectedComponentsWithAlgorithm(image, connectivity, ltype, ccltype[, labels]) -&gt; labels","ref":"Evision.CUDA.html#connectedComponentsWithAlgorithm/5","title":"Evision.CUDA.connectedComponentsWithAlgorithm/5","type":"function"},{"doc":"Variant 1: Forms a border around an image. Positional Arguments src : Evision.Mat.t() . Source image. CV_8UC1 , CV_8UC4 , CV_32SC1 , and CV_32FC1 types are supported. top : int . Number of top pixels bottom : int . Number of bottom pixels left : int . Number of left pixels right : int . Number of pixels in each direction from the source image rectangle to extrapolate. For example: top=1, bottom=1, left=1, right=1 mean that 1 pixel-wide border needs to be built. borderType : int . Border type. See borderInterpolate for details. BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. Keyword Arguments value : Scalar . Border value. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image with the same type as src. The size is Size(src.cols+left+right, src.rows+top+bottom) . Python prototype (for reference only): copyMakeBorder(src, top, bottom, left, right, borderType[, dst[, value[, stream]]]) -&gt; dst Variant 2: Forms a border around an image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. CV_8UC1 , CV_8UC4 , CV_32SC1 , and CV_32FC1 types are supported. top : int . Number of top pixels bottom : int . Number of bottom pixels left : int . Number of left pixels right : int . Number of pixels in each direction from the source image rectangle to extrapolate. For example: top=1, bottom=1, left=1, right=1 mean that 1 pixel-wide border needs to be built. borderType : int . Border type. See borderInterpolate for details. BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. Keyword Arguments value : Scalar . Border value. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image with the same type as src. The size is Size(src.cols+left+right, src.rows+top+bottom) . Python prototype (for reference only): copyMakeBorder(src, top, bottom, left, right, borderType[, dst[, value[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#copyMakeBorder/6","title":"Evision.CUDA.copyMakeBorder/6","type":"function"},{"doc":"Variant 1: Forms a border around an image. Positional Arguments src : Evision.Mat.t() . Source image. CV_8UC1 , CV_8UC4 , CV_32SC1 , and CV_32FC1 types are supported. top : int . Number of top pixels bottom : int . Number of bottom pixels left : int . Number of left pixels right : int . Number of pixels in each direction from the source image rectangle to extrapolate. For example: top=1, bottom=1, left=1, right=1 mean that 1 pixel-wide border needs to be built. borderType : int . Border type. See borderInterpolate for details. BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. Keyword Arguments value : Scalar . Border value. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image with the same type as src. The size is Size(src.cols+left+right, src.rows+top+bottom) . Python prototype (for reference only): copyMakeBorder(src, top, bottom, left, right, borderType[, dst[, value[, stream]]]) -&gt; dst Variant 2: Forms a border around an image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. CV_8UC1 , CV_8UC4 , CV_32SC1 , and CV_32FC1 types are supported. top : int . Number of top pixels bottom : int . Number of bottom pixels left : int . Number of left pixels right : int . Number of pixels in each direction from the source image rectangle to extrapolate. For example: top=1, bottom=1, left=1, right=1 mean that 1 pixel-wide border needs to be built. borderType : int . Border type. See borderInterpolate for details. BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. Keyword Arguments value : Scalar . Border value. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image with the same type as src. The size is Size(src.cols+left+right, src.rows+top+bottom) . Python prototype (for reference only): copyMakeBorder(src, top, bottom, left, right, borderType[, dst[, value[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#copyMakeBorder/7","title":"Evision.CUDA.copyMakeBorder/7","type":"function"},{"doc":"Variant 1: countNonZero Positional Arguments src : Evision.Mat.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): countNonZero(src[, dst[, stream]]) -&gt; dst Variant 2: countNonZero Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): countNonZero(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#countNonZero/1","title":"Evision.CUDA.countNonZero/1","type":"function"},{"doc":"Variant 1: countNonZero Positional Arguments src : Evision.Mat.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): countNonZero(src[, dst[, stream]]) -&gt; dst Variant 2: countNonZero Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): countNonZero(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#countNonZero/2","title":"Evision.CUDA.countNonZero/2","type":"function"},{"doc":"Creates MOG2 Background Subtractor Keyword Arguments history : int . Length of the history. varThreshold : double . Threshold on the squared Mahalanobis distance between the pixel and the model to decide whether a pixel is well described by the background model. This parameter does not affect the background update. detectShadows : bool . If true, the algorithm will detect shadows and mark them. It decreases the speed a bit, so if you do not need this feature, set the parameter to false. Return retval : Evision.CUDA.BackgroundSubtractorMOG2.t() Python prototype (for reference only): createBackgroundSubtractorMOG2([, history[, varThreshold[, detectShadows]]]) -&gt; retval","ref":"Evision.CUDA.html#createBackgroundSubtractorMOG2/0","title":"Evision.CUDA.createBackgroundSubtractorMOG2/0","type":"function"},{"doc":"Creates MOG2 Background Subtractor Keyword Arguments history : int . Length of the history. varThreshold : double . Threshold on the squared Mahalanobis distance between the pixel and the model to decide whether a pixel is well described by the background model. This parameter does not affect the background update. detectShadows : bool . If true, the algorithm will detect shadows and mark them. It decreases the speed a bit, so if you do not need this feature, set the parameter to false. Return retval : Evision.CUDA.BackgroundSubtractorMOG2.t() Python prototype (for reference only): createBackgroundSubtractorMOG2([, history[, varThreshold[, detectShadows]]]) -&gt; retval","ref":"Evision.CUDA.html#createBackgroundSubtractorMOG2/1","title":"Evision.CUDA.createBackgroundSubtractorMOG2/1","type":"function"},{"doc":"Creates mixture-of-gaussian background subtractor Keyword Arguments history : int . Length of the history. nmixtures : int . Number of Gaussian mixtures. backgroundRatio : double . Background ratio. noiseSigma : double . Noise strength (standard deviation of the brightness or each color channel). 0 means some automatic value. Return retval : Evision.CUDA.BackgroundSubtractorMOG.t() Python prototype (for reference only): createBackgroundSubtractorMOG([, history[, nmixtures[, backgroundRatio[, noiseSigma]]]]) -&gt; retval","ref":"Evision.CUDA.html#createBackgroundSubtractorMOG/0","title":"Evision.CUDA.createBackgroundSubtractorMOG/0","type":"function"},{"doc":"Creates mixture-of-gaussian background subtractor Keyword Arguments history : int . Length of the history. nmixtures : int . Number of Gaussian mixtures. backgroundRatio : double . Background ratio. noiseSigma : double . Noise strength (standard deviation of the brightness or each color channel). 0 means some automatic value. Return retval : Evision.CUDA.BackgroundSubtractorMOG.t() Python prototype (for reference only): createBackgroundSubtractorMOG([, history[, nmixtures[, backgroundRatio[, noiseSigma]]]]) -&gt; retval","ref":"Evision.CUDA.html#createBackgroundSubtractorMOG/1","title":"Evision.CUDA.createBackgroundSubtractorMOG/1","type":"function"},{"doc":"Creates a normalized 2D box filter. Positional Arguments srcType : int . Input image type. Only CV_8UC1, CV_8UC4 and CV_32FC1 are supported for now. dstType : int . Output image type. Only the same type as src is supported for now. ksize : Size . Kernel size. Keyword Arguments anchor : Point . Anchor point. The default value Point(-1, -1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter @sa boxFilter Python prototype (for reference only): createBoxFilter(srcType, dstType, ksize[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createBoxFilter/3","title":"Evision.CUDA.createBoxFilter/3","type":"function"},{"doc":"Creates a normalized 2D box filter. Positional Arguments srcType : int . Input image type. Only CV_8UC1, CV_8UC4 and CV_32FC1 are supported for now. dstType : int . Output image type. Only the same type as src is supported for now. ksize : Size . Kernel size. Keyword Arguments anchor : Point . Anchor point. The default value Point(-1, -1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter @sa boxFilter Python prototype (for reference only): createBoxFilter(srcType, dstType, ksize[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createBoxFilter/4","title":"Evision.CUDA.createBoxFilter/4","type":"function"},{"doc":"Creates the maximum filter. Positional Arguments srcType : int . Input/output image type. Only CV_8UC1 and CV_8UC4 are supported. ksize : Size . Kernel size. Keyword Arguments anchor : Point . Anchor point. The default value (-1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter Python prototype (for reference only): createBoxMaxFilter(srcType, ksize[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createBoxMaxFilter/2","title":"Evision.CUDA.createBoxMaxFilter/2","type":"function"},{"doc":"Creates the maximum filter. Positional Arguments srcType : int . Input/output image type. Only CV_8UC1 and CV_8UC4 are supported. ksize : Size . Kernel size. Keyword Arguments anchor : Point . Anchor point. The default value (-1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter Python prototype (for reference only): createBoxMaxFilter(srcType, ksize[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createBoxMaxFilter/3","title":"Evision.CUDA.createBoxMaxFilter/3","type":"function"},{"doc":"Creates the minimum filter. Positional Arguments srcType : int . Input/output image type. Only CV_8UC1 and CV_8UC4 are supported. ksize : Size . Kernel size. Keyword Arguments anchor : Point . Anchor point. The default value (-1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter Python prototype (for reference only): createBoxMinFilter(srcType, ksize[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createBoxMinFilter/2","title":"Evision.CUDA.createBoxMinFilter/2","type":"function"},{"doc":"Creates the minimum filter. Positional Arguments srcType : int . Input/output image type. Only CV_8UC1 and CV_8UC4 are supported. ksize : Size . Kernel size. Keyword Arguments anchor : Point . Anchor point. The default value (-1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter Python prototype (for reference only): createBoxMinFilter(srcType, ksize[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createBoxMinFilter/3","title":"Evision.CUDA.createBoxMinFilter/3","type":"function"},{"doc":"Creates implementation for cuda::CannyEdgeDetector . Positional Arguments low_thresh : double . First threshold for the hysteresis procedure. high_thresh : double . Second threshold for the hysteresis procedure. Keyword Arguments apperture_size : int . Aperture size for the Sobel operator. l2gradient : bool . Flag indicating whether a more accurate \\f$L_2\\f$ norm \\f$=\\sqrt{(dI/dx)^2 + (dI/dy)^2}\\f$ should be used to compute the image gradient magnitude ( L2gradient=true ), or a faster default \\f$L_1\\f$ norm \\f$=|dI/dx|+|dI/dy|\\f$ is enough ( L2gradient=false ). Return retval : CannyEdgeDetector Python prototype (for reference only): createCannyEdgeDetector(low_thresh, high_thresh[, apperture_size[, L2gradient]]) -&gt; retval","ref":"Evision.CUDA.html#createCannyEdgeDetector/2","title":"Evision.CUDA.createCannyEdgeDetector/2","type":"function"},{"doc":"Creates implementation for cuda::CannyEdgeDetector . Positional Arguments low_thresh : double . First threshold for the hysteresis procedure. high_thresh : double . Second threshold for the hysteresis procedure. Keyword Arguments apperture_size : int . Aperture size for the Sobel operator. l2gradient : bool . Flag indicating whether a more accurate \\f$L_2\\f$ norm \\f$=\\sqrt{(dI/dx)^2 + (dI/dy)^2}\\f$ should be used to compute the image gradient magnitude ( L2gradient=true ), or a faster default \\f$L_1\\f$ norm \\f$=|dI/dx|+|dI/dy|\\f$ is enough ( L2gradient=false ). Return retval : CannyEdgeDetector Python prototype (for reference only): createCannyEdgeDetector(low_thresh, high_thresh[, apperture_size[, L2gradient]]) -&gt; retval","ref":"Evision.CUDA.html#createCannyEdgeDetector/3","title":"Evision.CUDA.createCannyEdgeDetector/3","type":"function"},{"doc":"Creates implementation for cuda::CLAHE . Keyword Arguments clipLimit : double . Threshold for contrast limiting. tileGridSize : Size . Size of grid for histogram equalization. Input image will be divided into equally sized rectangular tiles. tileGridSize defines the number of tiles in row and column. Return retval : Evision.CUDA.CLAHE.t() Python prototype (for reference only): createCLAHE([, clipLimit[, tileGridSize]]) -&gt; retval","ref":"Evision.CUDA.html#createCLAHE/0","title":"Evision.CUDA.createCLAHE/0","type":"function"},{"doc":"Creates implementation for cuda::CLAHE . Keyword Arguments clipLimit : double . Threshold for contrast limiting. tileGridSize : Size . Size of grid for histogram equalization. Input image will be divided into equally sized rectangular tiles. tileGridSize defines the number of tiles in row and column. Return retval : Evision.CUDA.CLAHE.t() Python prototype (for reference only): createCLAHE([, clipLimit[, tileGridSize]]) -&gt; retval","ref":"Evision.CUDA.html#createCLAHE/1","title":"Evision.CUDA.createCLAHE/1","type":"function"},{"doc":"Creates a vertical 1D box filter. Positional Arguments srcType : int . Input image type. Only CV_8UC1 type is supported for now. dstType : int . Output image type. Only CV_32FC1 type is supported for now. ksize : int . Kernel size. Keyword Arguments anchor : int . Anchor point. The default value (-1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter Python prototype (for reference only): createColumnSumFilter(srcType, dstType, ksize[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createColumnSumFilter/3","title":"Evision.CUDA.createColumnSumFilter/3","type":"function"},{"doc":"Creates a vertical 1D box filter. Positional Arguments srcType : int . Input image type. Only CV_8UC1 type is supported for now. dstType : int . Output image type. Only CV_32FC1 type is supported for now. ksize : int . Kernel size. Keyword Arguments anchor : int . Anchor point. The default value (-1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter Python prototype (for reference only): createColumnSumFilter(srcType, dstType, ksize[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createColumnSumFilter/4","title":"Evision.CUDA.createColumnSumFilter/4","type":"function"},{"doc":"Creates a continuous matrix. Positional Arguments rows : int . Row count. cols : int . Column count. type : int . Type of the matrix. Return arr : Evision.Mat.t() . Destination matrix. This parameter changes only if it has a proper type and area ( \\f$\\texttt{rows} \\times \\texttt{cols}\\f$ ). Matrix is called continuous if its elements are stored continuously, that is, without gaps at the end of each row. Python prototype (for reference only): createContinuous(rows, cols, type[, arr]) -&gt; arr","ref":"Evision.CUDA.html#createContinuous/3","title":"Evision.CUDA.createContinuous/3","type":"function"},{"doc":"Creates a continuous matrix. Positional Arguments rows : int . Row count. cols : int . Column count. type : int . Type of the matrix. Return arr : Evision.Mat.t() . Destination matrix. This parameter changes only if it has a proper type and area ( \\f$\\texttt{rows} \\times \\texttt{cols}\\f$ ). Matrix is called continuous if its elements are stored continuously, that is, without gaps at the end of each row. Python prototype (for reference only): createContinuous(rows, cols, type[, arr]) -&gt; arr","ref":"Evision.CUDA.html#createContinuous/4","title":"Evision.CUDA.createContinuous/4","type":"function"},{"doc":"Creates implementation for cuda::Convolution . Keyword Arguments user_block_size : Size . Block size. If you leave default value Size(0,0) then automatic estimation of block size will be used (which is optimized for speed). By varying user_block_size you can reduce memory requirements at the cost of speed. Return retval : Convolution Python prototype (for reference only): createConvolution([, user_block_size]) -&gt; retval","ref":"Evision.CUDA.html#createConvolution/0","title":"Evision.CUDA.createConvolution/0","type":"function"},{"doc":"Creates implementation for cuda::Convolution . Keyword Arguments user_block_size : Size . Block size. If you leave default value Size(0,0) then automatic estimation of block size will be used (which is optimized for speed). By varying user_block_size you can reduce memory requirements at the cost of speed. Return retval : Convolution Python prototype (for reference only): createConvolution([, user_block_size]) -&gt; retval","ref":"Evision.CUDA.html#createConvolution/1","title":"Evision.CUDA.createConvolution/1","type":"function"},{"doc":"Creates a generalized Deriv operator. Positional Arguments srcType : int . Source image type. dstType : int . Destination array type. dx : int . Derivative order in respect of x. dy : int . Derivative order in respect of y. ksize : int . Aperture size. See getDerivKernels for details. Keyword Arguments normalize : bool . Flag indicating whether to normalize (scale down) the filter coefficients or not. See getDerivKernels for details. scale : double . Optional scale factor for the computed derivative values. By default, no scaling is applied. For details, see getDerivKernels . rowBorderMode : int . Pixel extrapolation method in the vertical direction. For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter Python prototype (for reference only): createDerivFilter(srcType, dstType, dx, dy, ksize[, normalize[, scale[, rowBorderMode[, columnBorderMode]]]]) -&gt; retval","ref":"Evision.CUDA.html#createDerivFilter/5","title":"Evision.CUDA.createDerivFilter/5","type":"function"},{"doc":"Creates a generalized Deriv operator. Positional Arguments srcType : int . Source image type. dstType : int . Destination array type. dx : int . Derivative order in respect of x. dy : int . Derivative order in respect of y. ksize : int . Aperture size. See getDerivKernels for details. Keyword Arguments normalize : bool . Flag indicating whether to normalize (scale down) the filter coefficients or not. See getDerivKernels for details. scale : double . Optional scale factor for the computed derivative values. By default, no scaling is applied. For details, see getDerivKernels . rowBorderMode : int . Pixel extrapolation method in the vertical direction. For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter Python prototype (for reference only): createDerivFilter(srcType, dstType, dx, dy, ksize[, normalize[, scale[, rowBorderMode[, columnBorderMode]]]]) -&gt; retval","ref":"Evision.CUDA.html#createDerivFilter/6","title":"Evision.CUDA.createDerivFilter/6","type":"function"},{"doc":"Creates implementation for cuda::DFT. Positional Arguments dft_size : Size . The image size. flags : int . Optional flags: DFT_ROWS transforms each individual row of the source matrix. DFT_SCALE scales the result: divide it by the number of elements in the transform (obtained from dft_size ). DFT_INVERSE inverts DFT. Use for complex-complex cases (real-complex and complex-real cases are always forward and inverse, respectively). DFT_COMPLEX_INPUT Specifies that inputs will be complex with 2 channels. DFT_REAL_OUTPUT specifies the output as real. The source matrix is the result of real-complex transform, so the destination matrix must be real. Return retval : DFT Python prototype (for reference only): createDFT(dft_size, flags) -&gt; retval","ref":"Evision.CUDA.html#createDFT/2","title":"Evision.CUDA.createDFT/2","type":"function"},{"doc":"Creates DisparityBilateralFilter object. Keyword Arguments ndisp : int . Number of disparities. radius : int . Filter radius. iters : int . Number of iterations. Return retval : Evision.CUDA.DisparityBilateralFilter.t() Python prototype (for reference only): createDisparityBilateralFilter([, ndisp[, radius[, iters]]]) -&gt; retval","ref":"Evision.CUDA.html#createDisparityBilateralFilter/0","title":"Evision.CUDA.createDisparityBilateralFilter/0","type":"function"},{"doc":"Creates DisparityBilateralFilter object. Keyword Arguments ndisp : int . Number of disparities. radius : int . Filter radius. iters : int . Number of iterations. Return retval : Evision.CUDA.DisparityBilateralFilter.t() Python prototype (for reference only): createDisparityBilateralFilter([, ndisp[, radius[, iters]]]) -&gt; retval","ref":"Evision.CUDA.html#createDisparityBilateralFilter/1","title":"Evision.CUDA.createDisparityBilateralFilter/1","type":"function"},{"doc":"Creates a Gaussian filter. Positional Arguments srcType : int . Source image type. dstType : int . Destination array type. ksize : Size . Aperture size. See getGaussianKernel for details. sigma1 : double . Gaussian sigma in the horizontal direction. See getGaussianKernel for details. Keyword Arguments sigma2 : double . Gaussian sigma in the vertical direction. If 0, then \\f$\\texttt{sigma2}\\leftarrow\\texttt{sigma1}\\f$ . rowBorderMode : int . Pixel extrapolation method in the vertical direction. For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter @sa GaussianBlur Python prototype (for reference only): createGaussianFilter(srcType, dstType, ksize, sigma1[, sigma2[, rowBorderMode[, columnBorderMode]]]) -&gt; retval","ref":"Evision.CUDA.html#createGaussianFilter/4","title":"Evision.CUDA.createGaussianFilter/4","type":"function"},{"doc":"Creates a Gaussian filter. Positional Arguments srcType : int . Source image type. dstType : int . Destination array type. ksize : Size . Aperture size. See getGaussianKernel for details. sigma1 : double . Gaussian sigma in the horizontal direction. See getGaussianKernel for details. Keyword Arguments sigma2 : double . Gaussian sigma in the vertical direction. If 0, then \\f$\\texttt{sigma2}\\leftarrow\\texttt{sigma1}\\f$ . rowBorderMode : int . Pixel extrapolation method in the vertical direction. For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter @sa GaussianBlur Python prototype (for reference only): createGaussianFilter(srcType, dstType, ksize, sigma1[, sigma2[, rowBorderMode[, columnBorderMode]]]) -&gt; retval","ref":"Evision.CUDA.html#createGaussianFilter/5","title":"Evision.CUDA.createGaussianFilter/5","type":"function"},{"doc":"Creates implementation for generalized hough transform from @cite Ballard1981 . Return retval : Evision.GeneralizedHoughBallard.t() Python prototype (for reference only): createGeneralizedHoughBallard() -&gt; retval","ref":"Evision.CUDA.html#createGeneralizedHoughBallard/0","title":"Evision.CUDA.createGeneralizedHoughBallard/0","type":"function"},{"doc":"Creates implementation for generalized hough transform from @cite Guil1999 . Return retval : Evision.GeneralizedHoughGuil.t() Python prototype (for reference only): createGeneralizedHoughGuil() -&gt; retval","ref":"Evision.CUDA.html#createGeneralizedHoughGuil/0","title":"Evision.CUDA.createGeneralizedHoughGuil/0","type":"function"},{"doc":"Creates implementation for cuda::CornersDetector . Positional Arguments srcType : int . Input source type. Only CV_8UC1 and CV_32FC1 are supported for now. Keyword Arguments maxCorners : int . Maximum number of corners to return. If there are more corners than are found, the strongest of them is returned. qualityLevel : double . Parameter characterizing the minimal accepted quality of image corners. The parameter value is multiplied by the best corner quality measure, which is the minimal eigenvalue (see cornerMinEigenVal ) or the Harris function response (see cornerHarris ). The corners with the quality measure less than the product are rejected. For example, if the best corner has the quality measure = 1500, and the qualityLevel=0.01 , then all the corners with the quality measure less than 15 are rejected. minDistance : double . Minimum possible Euclidean distance between the returned corners. blockSize : int . Size of an average block for computing a derivative covariation matrix over each pixel neighborhood. See cornerEigenValsAndVecs . useHarrisDetector : bool . Parameter indicating whether to use a Harris detector (see cornerHarris) or cornerMinEigenVal. harrisK : double . Free parameter of the Harris detector. Return retval : CornersDetector Python prototype (for reference only): createGoodFeaturesToTrackDetector(srcType[, maxCorners[, qualityLevel[, minDistance[, blockSize[, useHarrisDetector[, harrisK]]]]]]) -&gt; retval","ref":"Evision.CUDA.html#createGoodFeaturesToTrackDetector/1","title":"Evision.CUDA.createGoodFeaturesToTrackDetector/1","type":"function"},{"doc":"Creates implementation for cuda::CornersDetector . Positional Arguments srcType : int . Input source type. Only CV_8UC1 and CV_32FC1 are supported for now. Keyword Arguments maxCorners : int . Maximum number of corners to return. If there are more corners than are found, the strongest of them is returned. qualityLevel : double . Parameter characterizing the minimal accepted quality of image corners. The parameter value is multiplied by the best corner quality measure, which is the minimal eigenvalue (see cornerMinEigenVal ) or the Harris function response (see cornerHarris ). The corners with the quality measure less than the product are rejected. For example, if the best corner has the quality measure = 1500, and the qualityLevel=0.01 , then all the corners with the quality measure less than 15 are rejected. minDistance : double . Minimum possible Euclidean distance between the returned corners. blockSize : int . Size of an average block for computing a derivative covariation matrix over each pixel neighborhood. See cornerEigenValsAndVecs . useHarrisDetector : bool . Parameter indicating whether to use a Harris detector (see cornerHarris) or cornerMinEigenVal. harrisK : double . Free parameter of the Harris detector. Return retval : CornersDetector Python prototype (for reference only): createGoodFeaturesToTrackDetector(srcType[, maxCorners[, qualityLevel[, minDistance[, blockSize[, useHarrisDetector[, harrisK]]]]]]) -&gt; retval","ref":"Evision.CUDA.html#createGoodFeaturesToTrackDetector/2","title":"Evision.CUDA.createGoodFeaturesToTrackDetector/2","type":"function"},{"doc":"Creates implementation for Harris cornerness criteria. Positional Arguments srcType : int . Input source type. Only CV_8UC1 and CV_32FC1 are supported for now. blockSize : int . Neighborhood size. ksize : int . Aperture parameter for the Sobel operator. k : double . Harris detector free parameter. Keyword Arguments borderType : int . Pixel extrapolation method. Only BORDER_REFLECT101 and BORDER_REPLICATE are supported for now. Return retval : CornernessCriteria @sa cornerHarris Python prototype (for reference only): createHarrisCorner(srcType, blockSize, ksize, k[, borderType]) -&gt; retval","ref":"Evision.CUDA.html#createHarrisCorner/4","title":"Evision.CUDA.createHarrisCorner/4","type":"function"},{"doc":"Creates implementation for Harris cornerness criteria. Positional Arguments srcType : int . Input source type. Only CV_8UC1 and CV_32FC1 are supported for now. blockSize : int . Neighborhood size. ksize : int . Aperture parameter for the Sobel operator. k : double . Harris detector free parameter. Keyword Arguments borderType : int . Pixel extrapolation method. Only BORDER_REFLECT101 and BORDER_REPLICATE are supported for now. Return retval : CornernessCriteria @sa cornerHarris Python prototype (for reference only): createHarrisCorner(srcType, blockSize, ksize, k[, borderType]) -&gt; retval","ref":"Evision.CUDA.html#createHarrisCorner/5","title":"Evision.CUDA.createHarrisCorner/5","type":"function"},{"doc":"Creates implementation for cuda::HoughCirclesDetector . Positional Arguments dp : float . Inverse ratio of the accumulator resolution to the image resolution. For example, if dp=1 , the accumulator has the same resolution as the input image. If dp=2 , the accumulator has half as big width and height. minDist : float . Minimum distance between the centers of the detected circles. If the parameter is too small, multiple neighbor circles may be falsely detected in addition to a true one. If it is too large, some circles may be missed. cannyThreshold : int . The higher threshold of the two passed to Canny edge detector (the lower one is twice smaller). votesThreshold : int . The accumulator threshold for the circle centers at the detection stage. The smaller it is, the more false circles may be detected. minRadius : int . Minimum circle radius. maxRadius : int . Maximum circle radius. Keyword Arguments maxCircles : int . Maximum number of output circles. Return retval : HoughCirclesDetector Python prototype (for reference only): createHoughCirclesDetector(dp, minDist, cannyThreshold, votesThreshold, minRadius, maxRadius[, maxCircles]) -&gt; retval","ref":"Evision.CUDA.html#createHoughCirclesDetector/6","title":"Evision.CUDA.createHoughCirclesDetector/6","type":"function"},{"doc":"Creates implementation for cuda::HoughCirclesDetector . Positional Arguments dp : float . Inverse ratio of the accumulator resolution to the image resolution. For example, if dp=1 , the accumulator has the same resolution as the input image. If dp=2 , the accumulator has half as big width and height. minDist : float . Minimum distance between the centers of the detected circles. If the parameter is too small, multiple neighbor circles may be falsely detected in addition to a true one. If it is too large, some circles may be missed. cannyThreshold : int . The higher threshold of the two passed to Canny edge detector (the lower one is twice smaller). votesThreshold : int . The accumulator threshold for the circle centers at the detection stage. The smaller it is, the more false circles may be detected. minRadius : int . Minimum circle radius. maxRadius : int . Maximum circle radius. Keyword Arguments maxCircles : int . Maximum number of output circles. Return retval : HoughCirclesDetector Python prototype (for reference only): createHoughCirclesDetector(dp, minDist, cannyThreshold, votesThreshold, minRadius, maxRadius[, maxCircles]) -&gt; retval","ref":"Evision.CUDA.html#createHoughCirclesDetector/7","title":"Evision.CUDA.createHoughCirclesDetector/7","type":"function"},{"doc":"Creates implementation for cuda::HoughLinesDetector . Positional Arguments rho : float . Distance resolution of the accumulator in pixels. theta : float . Angle resolution of the accumulator in radians. threshold : int . Accumulator threshold parameter. Only those lines are returned that get enough votes ( \\f$&gt;\\texttt{threshold}\\f$ ). Keyword Arguments doSort : bool . Performs lines sort by votes. maxLines : int . Maximum number of output lines. Return retval : HoughLinesDetector Python prototype (for reference only): createHoughLinesDetector(rho, theta, threshold[, doSort[, maxLines]]) -&gt; retval","ref":"Evision.CUDA.html#createHoughLinesDetector/3","title":"Evision.CUDA.createHoughLinesDetector/3","type":"function"},{"doc":"Creates implementation for cuda::HoughLinesDetector . Positional Arguments rho : float . Distance resolution of the accumulator in pixels. theta : float . Angle resolution of the accumulator in radians. threshold : int . Accumulator threshold parameter. Only those lines are returned that get enough votes ( \\f$&gt;\\texttt{threshold}\\f$ ). Keyword Arguments doSort : bool . Performs lines sort by votes. maxLines : int . Maximum number of output lines. Return retval : HoughLinesDetector Python prototype (for reference only): createHoughLinesDetector(rho, theta, threshold[, doSort[, maxLines]]) -&gt; retval","ref":"Evision.CUDA.html#createHoughLinesDetector/4","title":"Evision.CUDA.createHoughLinesDetector/4","type":"function"},{"doc":"Creates implementation for cuda::HoughSegmentDetector . Positional Arguments rho : float . Distance resolution of the accumulator in pixels. theta : float . Angle resolution of the accumulator in radians. minLineLength : int . Minimum line length. Line segments shorter than that are rejected. maxLineGap : int . Maximum allowed gap between points on the same line to link them. Keyword Arguments maxLines : int . Maximum number of output lines. Return retval : HoughSegmentDetector Python prototype (for reference only): createHoughSegmentDetector(rho, theta, minLineLength, maxLineGap[, maxLines]) -&gt; retval","ref":"Evision.CUDA.html#createHoughSegmentDetector/4","title":"Evision.CUDA.createHoughSegmentDetector/4","type":"function"},{"doc":"Creates implementation for cuda::HoughSegmentDetector . Positional Arguments rho : float . Distance resolution of the accumulator in pixels. theta : float . Angle resolution of the accumulator in radians. minLineLength : int . Minimum line length. Line segments shorter than that are rejected. maxLineGap : int . Maximum allowed gap between points on the same line to link them. Keyword Arguments maxLines : int . Maximum number of output lines. Return retval : HoughSegmentDetector Python prototype (for reference only): createHoughSegmentDetector(rho, theta, minLineLength, maxLineGap[, maxLines]) -&gt; retval","ref":"Evision.CUDA.html#createHoughSegmentDetector/5","title":"Evision.CUDA.createHoughSegmentDetector/5","type":"function"},{"doc":"Creates a Laplacian operator. Positional Arguments srcType : int . Input image type. Supports CV_8U , CV_16U and CV_32F one and four channel image. dstType : int . Output image type. Only the same type as src is supported for now. Keyword Arguments ksize : int . Aperture size used to compute the second-derivative filters (see getDerivKernels). It must be positive and odd. Only ksize = 1 and ksize = 3 are supported. scale : double . Optional scale factor for the computed Laplacian values. By default, no scaling is applied (see getDerivKernels ). borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter @sa Laplacian Python prototype (for reference only): createLaplacianFilter(srcType, dstType[, ksize[, scale[, borderMode[, borderVal]]]]) -&gt; retval","ref":"Evision.CUDA.html#createLaplacianFilter/2","title":"Evision.CUDA.createLaplacianFilter/2","type":"function"},{"doc":"Creates a Laplacian operator. Positional Arguments srcType : int . Input image type. Supports CV_8U , CV_16U and CV_32F one and four channel image. dstType : int . Output image type. Only the same type as src is supported for now. Keyword Arguments ksize : int . Aperture size used to compute the second-derivative filters (see getDerivKernels). It must be positive and odd. Only ksize = 1 and ksize = 3 are supported. scale : double . Optional scale factor for the computed Laplacian values. By default, no scaling is applied (see getDerivKernels ). borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter @sa Laplacian Python prototype (for reference only): createLaplacianFilter(srcType, dstType[, ksize[, scale[, borderMode[, borderVal]]]]) -&gt; retval","ref":"Evision.CUDA.html#createLaplacianFilter/3","title":"Evision.CUDA.createLaplacianFilter/3","type":"function"},{"doc":"Variant 1: Creates a non-separable linear 2D filter. Positional Arguments srcType : int . Input image type. Supports CV_8U , CV_16U and CV_32F one and four channel image. dstType : int . Output image type. Only the same type as src is supported for now. kernel : Evision.Mat.t() . 2D array of filter coefficients. Keyword Arguments anchor : Point . Anchor point. The default value Point(-1, -1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter @sa filter2D Python prototype (for reference only): createLinearFilter(srcType, dstType, kernel[, anchor[, borderMode[, borderVal]]]) -&gt; retval Variant 2: Creates a non-separable linear 2D filter. Positional Arguments srcType : int . Input image type. Supports CV_8U , CV_16U and CV_32F one and four channel image. dstType : int . Output image type. Only the same type as src is supported for now. kernel : Evision.CUDA.GpuMat.t() . 2D array of filter coefficients. Keyword Arguments anchor : Point . Anchor point. The default value Point(-1, -1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter @sa filter2D Python prototype (for reference only): createLinearFilter(srcType, dstType, kernel[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createLinearFilter/3","title":"Evision.CUDA.createLinearFilter/3","type":"function"},{"doc":"Variant 1: Creates a non-separable linear 2D filter. Positional Arguments srcType : int . Input image type. Supports CV_8U , CV_16U and CV_32F one and four channel image. dstType : int . Output image type. Only the same type as src is supported for now. kernel : Evision.Mat.t() . 2D array of filter coefficients. Keyword Arguments anchor : Point . Anchor point. The default value Point(-1, -1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter @sa filter2D Python prototype (for reference only): createLinearFilter(srcType, dstType, kernel[, anchor[, borderMode[, borderVal]]]) -&gt; retval Variant 2: Creates a non-separable linear 2D filter. Positional Arguments srcType : int . Input image type. Supports CV_8U , CV_16U and CV_32F one and four channel image. dstType : int . Output image type. Only the same type as src is supported for now. kernel : Evision.CUDA.GpuMat.t() . 2D array of filter coefficients. Keyword Arguments anchor : Point . Anchor point. The default value Point(-1, -1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter @sa filter2D Python prototype (for reference only): createLinearFilter(srcType, dstType, kernel[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createLinearFilter/4","title":"Evision.CUDA.createLinearFilter/4","type":"function"},{"doc":"Variant 1: Creates implementation for cuda::LookUpTable . Positional Arguments lut : Evision.Mat.t() . Look-up table of 256 elements. It is a continuous CV_8U matrix. Return retval : LookUpTable Python prototype (for reference only): createLookUpTable(lut) -&gt; retval Variant 2: Creates implementation for cuda::LookUpTable . Positional Arguments lut : Evision.CUDA.GpuMat.t() . Look-up table of 256 elements. It is a continuous CV_8U matrix. Return retval : LookUpTable Python prototype (for reference only): createLookUpTable(lut) -&gt; retval","ref":"Evision.CUDA.html#createLookUpTable/1","title":"Evision.CUDA.createLookUpTable/1","type":"function"},{"doc":"Performs median filtering for each point of the source image. Positional Arguments srcType : int . type of of source image. Only CV_8UC1 images are supported for now. windowSize : int . Size of the kernerl used for the filtering. Uses a (windowSize x windowSize) filter. Keyword Arguments partition : int . Specifies the parallel granularity of the workload. This parameter should be used GPU experts when optimizing performance. Return retval : Filter Outputs an image that has been filtered using a median-filtering formulation. Details on this algorithm can be found in: Green, O., 2017. &quot;Efficient scalable median filtering using histogram-based operations&quot;, IEEE Transactions on Image Processing, 27(5), pp.2217-2228. Python prototype (for reference only): createMedianFilter(srcType, windowSize[, partition]) -&gt; retval","ref":"Evision.CUDA.html#createMedianFilter/2","title":"Evision.CUDA.createMedianFilter/2","type":"function"},{"doc":"Performs median filtering for each point of the source image. Positional Arguments srcType : int . type of of source image. Only CV_8UC1 images are supported for now. windowSize : int . Size of the kernerl used for the filtering. Uses a (windowSize x windowSize) filter. Keyword Arguments partition : int . Specifies the parallel granularity of the workload. This parameter should be used GPU experts when optimizing performance. Return retval : Filter Outputs an image that has been filtered using a median-filtering formulation. Details on this algorithm can be found in: Green, O., 2017. &quot;Efficient scalable median filtering using histogram-based operations&quot;, IEEE Transactions on Image Processing, 27(5), pp.2217-2228. Python prototype (for reference only): createMedianFilter(srcType, windowSize[, partition]) -&gt; retval","ref":"Evision.CUDA.html#createMedianFilter/3","title":"Evision.CUDA.createMedianFilter/3","type":"function"},{"doc":"Creates implementation for the minimum eigen value of a 2x2 derivative covariation matrix (the cornerness criteria). Positional Arguments srcType : int . Input source type. Only CV_8UC1 and CV_32FC1 are supported for now. blockSize : int . Neighborhood size. ksize : int . Aperture parameter for the Sobel operator. Keyword Arguments borderType : int . Pixel extrapolation method. Only BORDER_REFLECT101 and BORDER_REPLICATE are supported for now. Return retval : CornernessCriteria @sa cornerMinEigenVal Python prototype (for reference only): createMinEigenValCorner(srcType, blockSize, ksize[, borderType]) -&gt; retval","ref":"Evision.CUDA.html#createMinEigenValCorner/3","title":"Evision.CUDA.createMinEigenValCorner/3","type":"function"},{"doc":"Creates implementation for the minimum eigen value of a 2x2 derivative covariation matrix (the cornerness criteria). Positional Arguments srcType : int . Input source type. Only CV_8UC1 and CV_32FC1 are supported for now. blockSize : int . Neighborhood size. ksize : int . Aperture parameter for the Sobel operator. Keyword Arguments borderType : int . Pixel extrapolation method. Only BORDER_REFLECT101 and BORDER_REPLICATE are supported for now. Return retval : CornernessCriteria @sa cornerMinEigenVal Python prototype (for reference only): createMinEigenValCorner(srcType, blockSize, ksize[, borderType]) -&gt; retval","ref":"Evision.CUDA.html#createMinEigenValCorner/4","title":"Evision.CUDA.createMinEigenValCorner/4","type":"function"},{"doc":"Variant 1: Creates a 2D morphological filter. Positional Arguments op : int . Type of morphological operation. The following types are possible: MORPH_ERODE erode MORPH_DILATE dilate MORPH_OPEN opening MORPH_CLOSE closing MORPH_GRADIENT morphological gradient MORPH_TOPHAT &quot;top hat&quot; MORPH_BLACKHAT &quot;black hat&quot; srcType : int . Input/output image type. Only CV_8UC1, CV_8UC4, CV_32FC1 and CV_32FC4 are supported. kernel : Evision.Mat.t() . 2D 8-bit structuring element for the morphological operation. Keyword Arguments anchor : Point . Anchor position within the structuring element. Negative values mean that the anchor is at the center. iterations : int . Number of times erosion and dilation to be applied. Return retval : Filter @sa morphologyEx Python prototype (for reference only): createMorphologyFilter(op, srcType, kernel[, anchor[, iterations]]) -&gt; retval Variant 2: Creates a 2D morphological filter. Positional Arguments op : int . Type of morphological operation. The following types are possible: MORPH_ERODE erode MORPH_DILATE dilate MORPH_OPEN opening MORPH_CLOSE closing MORPH_GRADIENT morphological gradient MORPH_TOPHAT &quot;top hat&quot; MORPH_BLACKHAT &quot;black hat&quot; srcType : int . Input/output image type. Only CV_8UC1, CV_8UC4, CV_32FC1 and CV_32FC4 are supported. kernel : Evision.CUDA.GpuMat.t() . 2D 8-bit structuring element for the morphological operation. Keyword Arguments anchor : Point . Anchor position within the structuring element. Negative values mean that the anchor is at the center. iterations : int . Number of times erosion and dilation to be applied. Return retval : Filter @sa morphologyEx Python prototype (for reference only): createMorphologyFilter(op, srcType, kernel[, anchor[, iterations]]) -&gt; retval","ref":"Evision.CUDA.html#createMorphologyFilter/3","title":"Evision.CUDA.createMorphologyFilter/3","type":"function"},{"doc":"Variant 1: Creates a 2D morphological filter. Positional Arguments op : int . Type of morphological operation. The following types are possible: MORPH_ERODE erode MORPH_DILATE dilate MORPH_OPEN opening MORPH_CLOSE closing MORPH_GRADIENT morphological gradient MORPH_TOPHAT &quot;top hat&quot; MORPH_BLACKHAT &quot;black hat&quot; srcType : int . Input/output image type. Only CV_8UC1, CV_8UC4, CV_32FC1 and CV_32FC4 are supported. kernel : Evision.Mat.t() . 2D 8-bit structuring element for the morphological operation. Keyword Arguments anchor : Point . Anchor position within the structuring element. Negative values mean that the anchor is at the center. iterations : int . Number of times erosion and dilation to be applied. Return retval : Filter @sa morphologyEx Python prototype (for reference only): createMorphologyFilter(op, srcType, kernel[, anchor[, iterations]]) -&gt; retval Variant 2: Creates a 2D morphological filter. Positional Arguments op : int . Type of morphological operation. The following types are possible: MORPH_ERODE erode MORPH_DILATE dilate MORPH_OPEN opening MORPH_CLOSE closing MORPH_GRADIENT morphological gradient MORPH_TOPHAT &quot;top hat&quot; MORPH_BLACKHAT &quot;black hat&quot; srcType : int . Input/output image type. Only CV_8UC1, CV_8UC4, CV_32FC1 and CV_32FC4 are supported. kernel : Evision.CUDA.GpuMat.t() . 2D 8-bit structuring element for the morphological operation. Keyword Arguments anchor : Point . Anchor position within the structuring element. Negative values mean that the anchor is at the center. iterations : int . Number of times erosion and dilation to be applied. Return retval : Filter @sa morphologyEx Python prototype (for reference only): createMorphologyFilter(op, srcType, kernel[, anchor[, iterations]]) -&gt; retval","ref":"Evision.CUDA.html#createMorphologyFilter/4","title":"Evision.CUDA.createMorphologyFilter/4","type":"function"},{"doc":"Creates a horizontal 1D box filter. Positional Arguments srcType : int . Input image type. Only CV_8UC1 type is supported for now. dstType : int . Output image type. Only CV_32FC1 type is supported for now. ksize : int . Kernel size. Keyword Arguments anchor : int . Anchor point. The default value (-1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter Python prototype (for reference only): createRowSumFilter(srcType, dstType, ksize[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createRowSumFilter/3","title":"Evision.CUDA.createRowSumFilter/3","type":"function"},{"doc":"Creates a horizontal 1D box filter. Positional Arguments srcType : int . Input image type. Only CV_8UC1 type is supported for now. dstType : int . Output image type. Only CV_32FC1 type is supported for now. ksize : int . Kernel size. Keyword Arguments anchor : int . Anchor point. The default value (-1) means that the anchor is at the kernel center. borderMode : int . Pixel extrapolation method. For details, see borderInterpolate . borderVal : Scalar . Default border value. Return retval : Filter Python prototype (for reference only): createRowSumFilter(srcType, dstType, ksize[, anchor[, borderMode[, borderVal]]]) -&gt; retval","ref":"Evision.CUDA.html#createRowSumFilter/4","title":"Evision.CUDA.createRowSumFilter/4","type":"function"},{"doc":"Creates a vertical or horizontal Scharr operator. Positional Arguments srcType : int . Source image type. dstType : int . Destination array type. dx : int . Order of the derivative x. dy : int . Order of the derivative y. Keyword Arguments scale : double . Optional scale factor for the computed derivative values. By default, no scaling is applied. See getDerivKernels for details. rowBorderMode : int . Pixel extrapolation method in the vertical direction. For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter @sa Scharr Python prototype (for reference only): createScharrFilter(srcType, dstType, dx, dy[, scale[, rowBorderMode[, columnBorderMode]]]) -&gt; retval","ref":"Evision.CUDA.html#createScharrFilter/4","title":"Evision.CUDA.createScharrFilter/4","type":"function"},{"doc":"Creates a vertical or horizontal Scharr operator. Positional Arguments srcType : int . Source image type. dstType : int . Destination array type. dx : int . Order of the derivative x. dy : int . Order of the derivative y. Keyword Arguments scale : double . Optional scale factor for the computed derivative values. By default, no scaling is applied. See getDerivKernels for details. rowBorderMode : int . Pixel extrapolation method in the vertical direction. For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter @sa Scharr Python prototype (for reference only): createScharrFilter(srcType, dstType, dx, dy[, scale[, rowBorderMode[, columnBorderMode]]]) -&gt; retval","ref":"Evision.CUDA.html#createScharrFilter/5","title":"Evision.CUDA.createScharrFilter/5","type":"function"},{"doc":"Variant 1: Creates a separable linear filter. Positional Arguments srcType : int . Source array type. dstType : int . Destination array type. rowKernel : Evision.Mat.t() . Horizontal filter coefficients. Support kernels with size \\&lt;= 32 . columnKernel : Evision.Mat.t() . Vertical filter coefficients. Support kernels with size \\&lt;= 32 . Keyword Arguments anchor : Point . Anchor position within the kernel. Negative values mean that anchor is positioned at the aperture center. rowBorderMode : int . Pixel extrapolation method in the vertical direction For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter @sa sepFilter2D Python prototype (for reference only): createSeparableLinearFilter(srcType, dstType, rowKernel, columnKernel[, anchor[, rowBorderMode[, columnBorderMode]]]) -&gt; retval Variant 2: Creates a separable linear filter. Positional Arguments srcType : int . Source array type. dstType : int . Destination array type. rowKernel : Evision.CUDA.GpuMat.t() . Horizontal filter coefficients. Support kernels with size \\&lt;= 32 . columnKernel : Evision.CUDA.GpuMat.t() . Vertical filter coefficients. Support kernels with size \\&lt;= 32 . Keyword Arguments anchor : Point . Anchor position within the kernel. Negative values mean that anchor is positioned at the aperture center. rowBorderMode : int . Pixel extrapolation method in the vertical direction For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter @sa sepFilter2D Python prototype (for reference only): createSeparableLinearFilter(srcType, dstType, rowKernel, columnKernel[, anchor[, rowBorderMode[, columnBorderMode]]]) -&gt; retval","ref":"Evision.CUDA.html#createSeparableLinearFilter/4","title":"Evision.CUDA.createSeparableLinearFilter/4","type":"function"},{"doc":"Variant 1: Creates a separable linear filter. Positional Arguments srcType : int . Source array type. dstType : int . Destination array type. rowKernel : Evision.Mat.t() . Horizontal filter coefficients. Support kernels with size \\&lt;= 32 . columnKernel : Evision.Mat.t() . Vertical filter coefficients. Support kernels with size \\&lt;= 32 . Keyword Arguments anchor : Point . Anchor position within the kernel. Negative values mean that anchor is positioned at the aperture center. rowBorderMode : int . Pixel extrapolation method in the vertical direction For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter @sa sepFilter2D Python prototype (for reference only): createSeparableLinearFilter(srcType, dstType, rowKernel, columnKernel[, anchor[, rowBorderMode[, columnBorderMode]]]) -&gt; retval Variant 2: Creates a separable linear filter. Positional Arguments srcType : int . Source array type. dstType : int . Destination array type. rowKernel : Evision.CUDA.GpuMat.t() . Horizontal filter coefficients. Support kernels with size \\&lt;= 32 . columnKernel : Evision.CUDA.GpuMat.t() . Vertical filter coefficients. Support kernels with size \\&lt;= 32 . Keyword Arguments anchor : Point . Anchor position within the kernel. Negative values mean that anchor is positioned at the aperture center. rowBorderMode : int . Pixel extrapolation method in the vertical direction For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter @sa sepFilter2D Python prototype (for reference only): createSeparableLinearFilter(srcType, dstType, rowKernel, columnKernel[, anchor[, rowBorderMode[, columnBorderMode]]]) -&gt; retval","ref":"Evision.CUDA.html#createSeparableLinearFilter/5","title":"Evision.CUDA.createSeparableLinearFilter/5","type":"function"},{"doc":"Creates a Sobel operator. Positional Arguments srcType : int . Source image type. dstType : int . Destination array type. dx : int . Derivative order in respect of x. dy : int . Derivative order in respect of y. Keyword Arguments ksize : int . Size of the extended Sobel kernel. Possible values are 1, 3, 5 or 7. scale : double . Optional scale factor for the computed derivative values. By default, no scaling is applied. For details, see getDerivKernels . rowBorderMode : int . Pixel extrapolation method in the vertical direction. For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter @sa Sobel Python prototype (for reference only): createSobelFilter(srcType, dstType, dx, dy[, ksize[, scale[, rowBorderMode[, columnBorderMode]]]]) -&gt; retval","ref":"Evision.CUDA.html#createSobelFilter/4","title":"Evision.CUDA.createSobelFilter/4","type":"function"},{"doc":"Creates a Sobel operator. Positional Arguments srcType : int . Source image type. dstType : int . Destination array type. dx : int . Derivative order in respect of x. dy : int . Derivative order in respect of y. Keyword Arguments ksize : int . Size of the extended Sobel kernel. Possible values are 1, 3, 5 or 7. scale : double . Optional scale factor for the computed derivative values. By default, no scaling is applied. For details, see getDerivKernels . rowBorderMode : int . Pixel extrapolation method in the vertical direction. For details, see borderInterpolate. columnBorderMode : int . Pixel extrapolation method in the horizontal direction. Return retval : Filter @sa Sobel Python prototype (for reference only): createSobelFilter(srcType, dstType, dx, dy[, ksize[, scale[, rowBorderMode[, columnBorderMode]]]]) -&gt; retval","ref":"Evision.CUDA.html#createSobelFilter/5","title":"Evision.CUDA.createSobelFilter/5","type":"function"},{"doc":"Creates StereoBeliefPropagation object. Keyword Arguments ndisp : int . Number of disparities. iters : int . Number of BP iterations on each level. levels : int . Number of levels. msg_type : int . Type for messages. CV_16SC1 and CV_32FC1 types are supported. Return retval : Evision.CUDA.StereoBeliefPropagation.t() Python prototype (for reference only): createStereoBeliefPropagation([, ndisp[, iters[, levels[, msg_type]]]]) -&gt; retval","ref":"Evision.CUDA.html#createStereoBeliefPropagation/0","title":"Evision.CUDA.createStereoBeliefPropagation/0","type":"function"},{"doc":"Creates StereoBeliefPropagation object. Keyword Arguments ndisp : int . Number of disparities. iters : int . Number of BP iterations on each level. levels : int . Number of levels. msg_type : int . Type for messages. CV_16SC1 and CV_32FC1 types are supported. Return retval : Evision.CUDA.StereoBeliefPropagation.t() Python prototype (for reference only): createStereoBeliefPropagation([, ndisp[, iters[, levels[, msg_type]]]]) -&gt; retval","ref":"Evision.CUDA.html#createStereoBeliefPropagation/1","title":"Evision.CUDA.createStereoBeliefPropagation/1","type":"function"},{"doc":"Creates StereoBM object. Keyword Arguments numDisparities : int . the disparity search range. For each pixel algorithm will find the best disparity from 0 (default minimum disparity) to numDisparities. The search range can then be shifted by changing the minimum disparity. blockSize : int . the linear size of the blocks compared by the algorithm. The size should be odd (as the block is centered at the current pixel). Larger block size implies smoother, though less accurate disparity map. Smaller block size gives more detailed disparity map, but there is higher chance for algorithm to find a wrong correspondence. Return retval : Evision.CUDA.StereoBM.t() Python prototype (for reference only): createStereoBM([, numDisparities[, blockSize]]) -&gt; retval","ref":"Evision.CUDA.html#createStereoBM/0","title":"Evision.CUDA.createStereoBM/0","type":"function"},{"doc":"Creates StereoBM object. Keyword Arguments numDisparities : int . the disparity search range. For each pixel algorithm will find the best disparity from 0 (default minimum disparity) to numDisparities. The search range can then be shifted by changing the minimum disparity. blockSize : int . the linear size of the blocks compared by the algorithm. The size should be odd (as the block is centered at the current pixel). Larger block size implies smoother, though less accurate disparity map. Smaller block size gives more detailed disparity map, but there is higher chance for algorithm to find a wrong correspondence. Return retval : Evision.CUDA.StereoBM.t() Python prototype (for reference only): createStereoBM([, numDisparities[, blockSize]]) -&gt; retval","ref":"Evision.CUDA.html#createStereoBM/1","title":"Evision.CUDA.createStereoBM/1","type":"function"},{"doc":"Creates StereoConstantSpaceBP object. Keyword Arguments ndisp : int . Number of disparities. iters : int . Number of BP iterations on each level. levels : int . Number of levels. nr_plane : int . Number of disparity levels on the first level. msg_type : int . Type for messages. CV_16SC1 and CV_32FC1 types are supported. Return retval : Evision.CUDA.StereoConstantSpaceBP.t() Python prototype (for reference only): createStereoConstantSpaceBP([, ndisp[, iters[, levels[, nr_plane[, msg_type]]]]]) -&gt; retval","ref":"Evision.CUDA.html#createStereoConstantSpaceBP/0","title":"Evision.CUDA.createStereoConstantSpaceBP/0","type":"function"},{"doc":"Creates StereoConstantSpaceBP object. Keyword Arguments ndisp : int . Number of disparities. iters : int . Number of BP iterations on each level. levels : int . Number of levels. nr_plane : int . Number of disparity levels on the first level. msg_type : int . Type for messages. CV_16SC1 and CV_32FC1 types are supported. Return retval : Evision.CUDA.StereoConstantSpaceBP.t() Python prototype (for reference only): createStereoConstantSpaceBP([, ndisp[, iters[, levels[, nr_plane[, msg_type]]]]]) -&gt; retval","ref":"Evision.CUDA.html#createStereoConstantSpaceBP/1","title":"Evision.CUDA.createStereoConstantSpaceBP/1","type":"function"},{"doc":"Creates StereoSGM object. Keyword Arguments minDisparity : int . Minimum possible disparity value. Normally, it is zero but sometimes rectification algorithms can shift images, so this parameter needs to be adjusted accordingly. numDisparities : int . Maximum disparity minus minimum disparity. The value must be 64, 128 or 256. p1 : int . The first parameter controlling the disparity smoothness.This parameter is used for the case of slanted surfaces (not fronto parallel). p2 : int . The second parameter controlling the disparity smoothness.This parameter is used for &quot;solving&quot; the depth discontinuities problem. uniquenessRatio : int . Margin in percentage by which the best (minimum) computed cost function value should &quot;win&quot; the second best value to consider the found match correct. Normally, a value within the 5-15 range is good enough. mode : int . Set it to StereoSGM::MODE_HH to run the full-scale two-pass dynamic programming algorithm. It will consume O(W*H*numDisparities) bytes. By default, it is set to StereoSGM::MODE_HH4. Return retval : Evision.CUDA.StereoSGM.t() Python prototype (for reference only): createStereoSGM([, minDisparity[, numDisparities[, P1[, P2[, uniquenessRatio[, mode]]]]]]) -&gt; retval","ref":"Evision.CUDA.html#createStereoSGM/0","title":"Evision.CUDA.createStereoSGM/0","type":"function"},{"doc":"Creates StereoSGM object. Keyword Arguments minDisparity : int . Minimum possible disparity value. Normally, it is zero but sometimes rectification algorithms can shift images, so this parameter needs to be adjusted accordingly. numDisparities : int . Maximum disparity minus minimum disparity. The value must be 64, 128 or 256. p1 : int . The first parameter controlling the disparity smoothness.This parameter is used for the case of slanted surfaces (not fronto parallel). p2 : int . The second parameter controlling the disparity smoothness.This parameter is used for &quot;solving&quot; the depth discontinuities problem. uniquenessRatio : int . Margin in percentage by which the best (minimum) computed cost function value should &quot;win&quot; the second best value to consider the found match correct. Normally, a value within the 5-15 range is good enough. mode : int . Set it to StereoSGM::MODE_HH to run the full-scale two-pass dynamic programming algorithm. It will consume O(W*H*numDisparities) bytes. By default, it is set to StereoSGM::MODE_HH4. Return retval : Evision.CUDA.StereoSGM.t() Python prototype (for reference only): createStereoSGM([, minDisparity[, numDisparities[, P1[, P2[, uniquenessRatio[, mode]]]]]]) -&gt; retval","ref":"Evision.CUDA.html#createStereoSGM/1","title":"Evision.CUDA.createStereoSGM/1","type":"function"},{"doc":"Creates implementation for cuda::TemplateMatching . Positional Arguments srcType : int . Input source type. CV_32F and CV_8U depth images (1..4 channels) are supported for now. method : int . Specifies the way to compare the template with the image. Keyword Arguments user_block_size : Size . You can use field user_block_size to set specific block size. If you leave its default value Size(0,0) then automatic estimation of block size will be used (which is optimized for speed). By varying user_block_size you can reduce memory requirements at the cost of speed. Return retval : TemplateMatching The following methods are supported for the CV_8U depth images for now: CV_TM_SQDIFF CV_TM_SQDIFF_NORMED CV_TM_CCORR CV_TM_CCORR_NORMED CV_TM_CCOEFF CV_TM_CCOEFF_NORMED The following methods are supported for the CV_32F images for now: CV_TM_SQDIFF CV_TM_CCORR @sa matchTemplate Python prototype (for reference only): createTemplateMatching(srcType, method[, user_block_size]) -&gt; retval","ref":"Evision.CUDA.html#createTemplateMatching/2","title":"Evision.CUDA.createTemplateMatching/2","type":"function"},{"doc":"Creates implementation for cuda::TemplateMatching . Positional Arguments srcType : int . Input source type. CV_32F and CV_8U depth images (1..4 channels) are supported for now. method : int . Specifies the way to compare the template with the image. Keyword Arguments user_block_size : Size . You can use field user_block_size to set specific block size. If you leave its default value Size(0,0) then automatic estimation of block size will be used (which is optimized for speed). By varying user_block_size you can reduce memory requirements at the cost of speed. Return retval : TemplateMatching The following methods are supported for the CV_8U depth images for now: CV_TM_SQDIFF CV_TM_SQDIFF_NORMED CV_TM_CCORR CV_TM_CCORR_NORMED CV_TM_CCOEFF CV_TM_CCOEFF_NORMED The following methods are supported for the CV_32F images for now: CV_TM_SQDIFF CV_TM_CCORR @sa matchTemplate Python prototype (for reference only): createTemplateMatching(srcType, method[, user_block_size]) -&gt; retval","ref":"Evision.CUDA.html#createTemplateMatching/3","title":"Evision.CUDA.createTemplateMatching/3","type":"function"},{"doc":"Variant 1: Converts an image from one color space to another. Positional Arguments src : Evision.Mat.t() . Source image with CV_8U , CV_16U , or CV_32F depth and 1, 3, or 4 channels. code : int . Color space conversion code. For details, see cvtColor . Keyword Arguments dcn : int . Number of channels in the destination image. If the parameter is 0, the number of the channels is derived automatically from src and the code . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. 3-channel color spaces (like HSV, XYZ, and so on) can be stored in a 4-channel image for better performance. @sa cvtColor Python prototype (for reference only): cvtColor(src, code[, dst[, dcn[, stream]]]) -&gt; dst Variant 2: Converts an image from one color space to another. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image with CV_8U , CV_16U , or CV_32F depth and 1, 3, or 4 channels. code : int . Color space conversion code. For details, see cvtColor . Keyword Arguments dcn : int . Number of channels in the destination image. If the parameter is 0, the number of the channels is derived automatically from src and the code . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. 3-channel color spaces (like HSV, XYZ, and so on) can be stored in a 4-channel image for better performance. @sa cvtColor Python prototype (for reference only): cvtColor(src, code[, dst[, dcn[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#cvtColor/2","title":"Evision.CUDA.cvtColor/2","type":"function"},{"doc":"Variant 1: Converts an image from one color space to another. Positional Arguments src : Evision.Mat.t() . Source image with CV_8U , CV_16U , or CV_32F depth and 1, 3, or 4 channels. code : int . Color space conversion code. For details, see cvtColor . Keyword Arguments dcn : int . Number of channels in the destination image. If the parameter is 0, the number of the channels is derived automatically from src and the code . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. 3-channel color spaces (like HSV, XYZ, and so on) can be stored in a 4-channel image for better performance. @sa cvtColor Python prototype (for reference only): cvtColor(src, code[, dst[, dcn[, stream]]]) -&gt; dst Variant 2: Converts an image from one color space to another. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image with CV_8U , CV_16U , or CV_32F depth and 1, 3, or 4 channels. code : int . Color space conversion code. For details, see cvtColor . Keyword Arguments dcn : int . Number of channels in the destination image. If the parameter is 0, the number of the channels is derived automatically from src and the code . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. 3-channel color spaces (like HSV, XYZ, and so on) can be stored in a 4-channel image for better performance. @sa cvtColor Python prototype (for reference only): cvtColor(src, code[, dst[, dcn[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#cvtColor/3","title":"Evision.CUDA.cvtColor/3","type":"function"},{"doc":"Variant 1: Converts an image from Bayer pattern to RGB or grayscale. Positional Arguments src : Evision.Mat.t() . Source image (8-bit or 16-bit single channel). code : int . Color space conversion code (see the description below). Keyword Arguments dcn : int . Number of channels in the destination image. If the parameter is 0, the number of the channels is derived automatically from src and the code . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. The function can do the following transformations: Demosaicing using bilinear interpolation COLOR_BayerBG2GRAY , COLOR_BayerGB2GRAY , COLOR_BayerRG2GRAY , COLOR_BayerGR2GRAY COLOR_BayerBG2BGR , COLOR_BayerGB2BGR , COLOR_BayerRG2BGR , COLOR_BayerGR2BGR Demosaicing using Malvar-He-Cutler algorithm (@cite MHT2011) COLOR_BayerBG2GRAY_MHT , COLOR_BayerGB2GRAY_MHT , COLOR_BayerRG2GRAY_MHT , COLOR_BayerGR2GRAY_MHT COLOR_BayerBG2BGR_MHT , COLOR_BayerGB2BGR_MHT , COLOR_BayerRG2BGR_MHT , COLOR_BayerGR2BGR_MHT @sa cvtColor Python prototype (for reference only): demosaicing(src, code[, dst[, dcn[, stream]]]) -&gt; dst Variant 2: Converts an image from Bayer pattern to RGB or grayscale. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image (8-bit or 16-bit single channel). code : int . Color space conversion code (see the description below). Keyword Arguments dcn : int . Number of channels in the destination image. If the parameter is 0, the number of the channels is derived automatically from src and the code . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. The function can do the following transformations: Demosaicing using bilinear interpolation COLOR_BayerBG2GRAY , COLOR_BayerGB2GRAY , COLOR_BayerRG2GRAY , COLOR_BayerGR2GRAY COLOR_BayerBG2BGR , COLOR_BayerGB2BGR , COLOR_BayerRG2BGR , COLOR_BayerGR2BGR Demosaicing using Malvar-He-Cutler algorithm (@cite MHT2011) COLOR_BayerBG2GRAY_MHT , COLOR_BayerGB2GRAY_MHT , COLOR_BayerRG2GRAY_MHT , COLOR_BayerGR2GRAY_MHT COLOR_BayerBG2BGR_MHT , COLOR_BayerGB2BGR_MHT , COLOR_BayerRG2BGR_MHT , COLOR_BayerGR2BGR_MHT @sa cvtColor Python prototype (for reference only): demosaicing(src, code[, dst[, dcn[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#demosaicing/2","title":"Evision.CUDA.demosaicing/2","type":"function"},{"doc":"Variant 1: Converts an image from Bayer pattern to RGB or grayscale. Positional Arguments src : Evision.Mat.t() . Source image (8-bit or 16-bit single channel). code : int . Color space conversion code (see the description below). Keyword Arguments dcn : int . Number of channels in the destination image. If the parameter is 0, the number of the channels is derived automatically from src and the code . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. The function can do the following transformations: Demosaicing using bilinear interpolation COLOR_BayerBG2GRAY , COLOR_BayerGB2GRAY , COLOR_BayerRG2GRAY , COLOR_BayerGR2GRAY COLOR_BayerBG2BGR , COLOR_BayerGB2BGR , COLOR_BayerRG2BGR , COLOR_BayerGR2BGR Demosaicing using Malvar-He-Cutler algorithm (@cite MHT2011) COLOR_BayerBG2GRAY_MHT , COLOR_BayerGB2GRAY_MHT , COLOR_BayerRG2GRAY_MHT , COLOR_BayerGR2GRAY_MHT COLOR_BayerBG2BGR_MHT , COLOR_BayerGB2BGR_MHT , COLOR_BayerRG2BGR_MHT , COLOR_BayerGR2BGR_MHT @sa cvtColor Python prototype (for reference only): demosaicing(src, code[, dst[, dcn[, stream]]]) -&gt; dst Variant 2: Converts an image from Bayer pattern to RGB or grayscale. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image (8-bit or 16-bit single channel). code : int . Color space conversion code (see the description below). Keyword Arguments dcn : int . Number of channels in the destination image. If the parameter is 0, the number of the channels is derived automatically from src and the code . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. The function can do the following transformations: Demosaicing using bilinear interpolation COLOR_BayerBG2GRAY , COLOR_BayerGB2GRAY , COLOR_BayerRG2GRAY , COLOR_BayerGR2GRAY COLOR_BayerBG2BGR , COLOR_BayerGB2BGR , COLOR_BayerRG2BGR , COLOR_BayerGR2BGR Demosaicing using Malvar-He-Cutler algorithm (@cite MHT2011) COLOR_BayerBG2GRAY_MHT , COLOR_BayerGB2GRAY_MHT , COLOR_BayerRG2GRAY_MHT , COLOR_BayerGR2GRAY_MHT COLOR_BayerBG2BGR_MHT , COLOR_BayerGB2BGR_MHT , COLOR_BayerRG2BGR_MHT , COLOR_BayerGR2BGR_MHT @sa cvtColor Python prototype (for reference only): demosaicing(src, code[, dst[, dcn[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#demosaicing/3","title":"Evision.CUDA.demosaicing/3","type":"function"},{"doc":"Variant 1: Performs a forward or inverse discrete Fourier transform (1D or 2D) of the floating point matrix. Positional Arguments src : Evision.Mat.t() . Source matrix (real or complex). dft_size : Size . Size of a discrete Fourier transform. Keyword Arguments flags : int . Optional flags: DFT_ROWS transforms each individual row of the source matrix. DFT_SCALE scales the result: divide it by the number of elements in the transform (obtained from dft_size ). DFT_INVERSE inverts DFT. Use for complex-complex cases (real-complex and complex-real cases are always forward and inverse, respectively). DFT_COMPLEX_INPUT Specifies that input is complex input with 2 channels. DFT_REAL_OUTPUT specifies the output as real. The source matrix is the result of real-complex transform, so the destination matrix must be real. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix (real or complex). Use to handle real matrices ( CV32FC1 ) and complex matrices in the interleaved format ( CV32FC2 ). The source matrix should be continuous, otherwise reallocation and data copying is performed. The function chooses an operation mode depending on the flags, size, and channel count of the source matrix: If the source matrix is complex and the output is not specified as real, the destination matrix is complex and has the dft_size size and CV_32FC2 type. The destination matrix contains a full result of the DFT (forward or inverse). If the source matrix is complex and the output is specified as real, the function assumes that its input is the result of the forward transform (see the next item). The destination matrix has the dft_size size and CV_32FC1 type. It contains the result of the inverse DFT. If the source matrix is real (its type is CV_32FC1 ), forward DFT is performed. The result of the DFT is packed into complex ( CV_32FC2 ) matrix. So, the width of the destination matrix is dft_size.width / 2 + 1 . But if the source is a single column, the height is reduced instead of the width. @sa dft Python prototype (for reference only): dft(src, dft_size[, dst[, flags[, stream]]]) -&gt; dst Variant 2: Performs a forward or inverse discrete Fourier transform (1D or 2D) of the floating point matrix. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix (real or complex). dft_size : Size . Size of a discrete Fourier transform. Keyword Arguments flags : int . Optional flags: DFT_ROWS transforms each individual row of the source matrix. DFT_SCALE scales the result: divide it by the number of elements in the transform (obtained from dft_size ). DFT_INVERSE inverts DFT. Use for complex-complex cases (real-complex and complex-real cases are always forward and inverse, respectively). DFT_COMPLEX_INPUT Specifies that input is complex input with 2 channels. DFT_REAL_OUTPUT specifies the output as real. The source matrix is the result of real-complex transform, so the destination matrix must be real. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix (real or complex). Use to handle real matrices ( CV32FC1 ) and complex matrices in the interleaved format ( CV32FC2 ). The source matrix should be continuous, otherwise reallocation and data copying is performed. The function chooses an operation mode depending on the flags, size, and channel count of the source matrix: If the source matrix is complex and the output is not specified as real, the destination matrix is complex and has the dft_size size and CV_32FC2 type. The destination matrix contains a full result of the DFT (forward or inverse). If the source matrix is complex and the output is specified as real, the function assumes that its input is the result of the forward transform (see the next item). The destination matrix has the dft_size size and CV_32FC1 type. It contains the result of the inverse DFT. If the source matrix is real (its type is CV_32FC1 ), forward DFT is performed. The result of the DFT is packed into complex ( CV_32FC2 ) matrix. So, the width of the destination matrix is dft_size.width / 2 + 1 . But if the source is a single column, the height is reduced instead of the width. @sa dft Python prototype (for reference only): dft(src, dft_size[, dst[, flags[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#dft/2","title":"Evision.CUDA.dft/2","type":"function"},{"doc":"Variant 1: Performs a forward or inverse discrete Fourier transform (1D or 2D) of the floating point matrix. Positional Arguments src : Evision.Mat.t() . Source matrix (real or complex). dft_size : Size . Size of a discrete Fourier transform. Keyword Arguments flags : int . Optional flags: DFT_ROWS transforms each individual row of the source matrix. DFT_SCALE scales the result: divide it by the number of elements in the transform (obtained from dft_size ). DFT_INVERSE inverts DFT. Use for complex-complex cases (real-complex and complex-real cases are always forward and inverse, respectively). DFT_COMPLEX_INPUT Specifies that input is complex input with 2 channels. DFT_REAL_OUTPUT specifies the output as real. The source matrix is the result of real-complex transform, so the destination matrix must be real. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix (real or complex). Use to handle real matrices ( CV32FC1 ) and complex matrices in the interleaved format ( CV32FC2 ). The source matrix should be continuous, otherwise reallocation and data copying is performed. The function chooses an operation mode depending on the flags, size, and channel count of the source matrix: If the source matrix is complex and the output is not specified as real, the destination matrix is complex and has the dft_size size and CV_32FC2 type. The destination matrix contains a full result of the DFT (forward or inverse). If the source matrix is complex and the output is specified as real, the function assumes that its input is the result of the forward transform (see the next item). The destination matrix has the dft_size size and CV_32FC1 type. It contains the result of the inverse DFT. If the source matrix is real (its type is CV_32FC1 ), forward DFT is performed. The result of the DFT is packed into complex ( CV_32FC2 ) matrix. So, the width of the destination matrix is dft_size.width / 2 + 1 . But if the source is a single column, the height is reduced instead of the width. @sa dft Python prototype (for reference only): dft(src, dft_size[, dst[, flags[, stream]]]) -&gt; dst Variant 2: Performs a forward or inverse discrete Fourier transform (1D or 2D) of the floating point matrix. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix (real or complex). dft_size : Size . Size of a discrete Fourier transform. Keyword Arguments flags : int . Optional flags: DFT_ROWS transforms each individual row of the source matrix. DFT_SCALE scales the result: divide it by the number of elements in the transform (obtained from dft_size ). DFT_INVERSE inverts DFT. Use for complex-complex cases (real-complex and complex-real cases are always forward and inverse, respectively). DFT_COMPLEX_INPUT Specifies that input is complex input with 2 channels. DFT_REAL_OUTPUT specifies the output as real. The source matrix is the result of real-complex transform, so the destination matrix must be real. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix (real or complex). Use to handle real matrices ( CV32FC1 ) and complex matrices in the interleaved format ( CV32FC2 ). The source matrix should be continuous, otherwise reallocation and data copying is performed. The function chooses an operation mode depending on the flags, size, and channel count of the source matrix: If the source matrix is complex and the output is not specified as real, the destination matrix is complex and has the dft_size size and CV_32FC2 type. The destination matrix contains a full result of the DFT (forward or inverse). If the source matrix is complex and the output is specified as real, the function assumes that its input is the result of the forward transform (see the next item). The destination matrix has the dft_size size and CV_32FC1 type. It contains the result of the inverse DFT. If the source matrix is real (its type is CV_32FC1 ), forward DFT is performed. The result of the DFT is packed into complex ( CV_32FC2 ) matrix. So, the width of the destination matrix is dft_size.width / 2 + 1 . But if the source is a single column, the height is reduced instead of the width. @sa dft Python prototype (for reference only): dft(src, dft_size[, dst[, flags[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#dft/3","title":"Evision.CUDA.dft/3","type":"function"},{"doc":"Variant 1: Computes a matrix-matrix or matrix-scalar division. Positional Arguments src1 : Evision.Mat.t() . First source matrix or a scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Keyword Arguments scale : double . Optional scale factor. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. This function, in contrast to divide, uses a round-down rounding mode. @sa divide Python prototype (for reference only): divide(src1, src2[, dst[, scale[, dtype[, stream]]]]) -&gt; dst Variant 2: Computes a matrix-matrix or matrix-scalar division. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or a scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Keyword Arguments scale : double . Optional scale factor. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. This function, in contrast to divide, uses a round-down rounding mode. @sa divide Python prototype (for reference only): divide(src1, src2[, dst[, scale[, dtype[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#divide/2","title":"Evision.CUDA.divide/2","type":"function"},{"doc":"Variant 1: Computes a matrix-matrix or matrix-scalar division. Positional Arguments src1 : Evision.Mat.t() . First source matrix or a scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Keyword Arguments scale : double . Optional scale factor. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. This function, in contrast to divide, uses a round-down rounding mode. @sa divide Python prototype (for reference only): divide(src1, src2[, dst[, scale[, dtype[, stream]]]]) -&gt; dst Variant 2: Computes a matrix-matrix or matrix-scalar division. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or a scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Keyword Arguments scale : double . Optional scale factor. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. This function, in contrast to divide, uses a round-down rounding mode. @sa divide Python prototype (for reference only): divide(src1, src2[, dst[, scale[, dtype[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#divide/3","title":"Evision.CUDA.divide/3","type":"function"},{"doc":"Variant 1: Colors a disparity image. Positional Arguments src_disp : Evision.Mat.t() . Input single-channel 8-bit unsigned, 16-bit signed, 32-bit signed or 32-bit floating-point disparity image. If 16-bit signed format is used, the values are assumed to have no fractional bits. ndisp : int . Number of disparities. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst_disp : Evision.Mat.t() . Output disparity image. It has the same size as src_disp. The type is CV_8UC4 in BGRA format (alpha = 255). This function draws a colored disparity map by converting disparity values from [0..ndisp) interval first to HSV color space (where different disparity values correspond to different hues) and then converting the pixels to RGB for visualization. Python prototype (for reference only): drawColorDisp(src_disp, ndisp[, dst_disp[, stream]]) -&gt; dst_disp Variant 2: Colors a disparity image. Positional Arguments src_disp : Evision.CUDA.GpuMat.t() . Input single-channel 8-bit unsigned, 16-bit signed, 32-bit signed or 32-bit floating-point disparity image. If 16-bit signed format is used, the values are assumed to have no fractional bits. ndisp : int . Number of disparities. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst_disp : Evision.CUDA.GpuMat.t() . Output disparity image. It has the same size as src_disp. The type is CV_8UC4 in BGRA format (alpha = 255). This function draws a colored disparity map by converting disparity values from [0..ndisp) interval first to HSV color space (where different disparity values correspond to different hues) and then converting the pixels to RGB for visualization. Python prototype (for reference only): drawColorDisp(src_disp, ndisp[, dst_disp[, stream]]) -&gt; dst_disp","ref":"Evision.CUDA.html#drawColorDisp/2","title":"Evision.CUDA.drawColorDisp/2","type":"function"},{"doc":"Variant 1: Colors a disparity image. Positional Arguments src_disp : Evision.Mat.t() . Input single-channel 8-bit unsigned, 16-bit signed, 32-bit signed or 32-bit floating-point disparity image. If 16-bit signed format is used, the values are assumed to have no fractional bits. ndisp : int . Number of disparities. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst_disp : Evision.Mat.t() . Output disparity image. It has the same size as src_disp. The type is CV_8UC4 in BGRA format (alpha = 255). This function draws a colored disparity map by converting disparity values from [0..ndisp) interval first to HSV color space (where different disparity values correspond to different hues) and then converting the pixels to RGB for visualization. Python prototype (for reference only): drawColorDisp(src_disp, ndisp[, dst_disp[, stream]]) -&gt; dst_disp Variant 2: Colors a disparity image. Positional Arguments src_disp : Evision.CUDA.GpuMat.t() . Input single-channel 8-bit unsigned, 16-bit signed, 32-bit signed or 32-bit floating-point disparity image. If 16-bit signed format is used, the values are assumed to have no fractional bits. ndisp : int . Number of disparities. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst_disp : Evision.CUDA.GpuMat.t() . Output disparity image. It has the same size as src_disp. The type is CV_8UC4 in BGRA format (alpha = 255). This function draws a colored disparity map by converting disparity values from [0..ndisp) interval first to HSV color space (where different disparity values correspond to different hues) and then converting the pixels to RGB for visualization. Python prototype (for reference only): drawColorDisp(src_disp, ndisp[, dst_disp[, stream]]) -&gt; dst_disp","ref":"Evision.CUDA.html#drawColorDisp/3","title":"Evision.CUDA.drawColorDisp/3","type":"function"},{"doc":"Ensures that the size of a matrix is big enough and the matrix has a proper type. Positional Arguments rows : int . Minimum desired number of rows. cols : int . Minimum desired number of columns. type : int . Desired matrix type. Return arr : Evision.Mat.t() . Destination matrix. The function does not reallocate memory if the matrix has proper attributes already. Python prototype (for reference only): ensureSizeIsEnough(rows, cols, type[, arr]) -&gt; arr","ref":"Evision.CUDA.html#ensureSizeIsEnough/3","title":"Evision.CUDA.ensureSizeIsEnough/3","type":"function"},{"doc":"Ensures that the size of a matrix is big enough and the matrix has a proper type. Positional Arguments rows : int . Minimum desired number of rows. cols : int . Minimum desired number of columns. type : int . Desired matrix type. Return arr : Evision.Mat.t() . Destination matrix. The function does not reallocate memory if the matrix has proper attributes already. Python prototype (for reference only): ensureSizeIsEnough(rows, cols, type[, arr]) -&gt; arr","ref":"Evision.CUDA.html#ensureSizeIsEnough/4","title":"Evision.CUDA.ensureSizeIsEnough/4","type":"function"},{"doc":"Variant 1: Equalizes the histogram of a grayscale image. Positional Arguments src : Evision.Mat.t() . Source image with CV_8UC1 type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. @sa equalizeHist Python prototype (for reference only): equalizeHist(src[, dst[, stream]]) -&gt; dst Variant 2: Equalizes the histogram of a grayscale image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image with CV_8UC1 type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. @sa equalizeHist Python prototype (for reference only): equalizeHist(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#equalizeHist/1","title":"Evision.CUDA.equalizeHist/1","type":"function"},{"doc":"Variant 1: Equalizes the histogram of a grayscale image. Positional Arguments src : Evision.Mat.t() . Source image with CV_8UC1 type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. @sa equalizeHist Python prototype (for reference only): equalizeHist(src[, dst[, stream]]) -&gt; dst Variant 2: Equalizes the histogram of a grayscale image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image with CV_8UC1 type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. @sa equalizeHist Python prototype (for reference only): equalizeHist(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#equalizeHist/2","title":"Evision.CUDA.equalizeHist/2","type":"function"},{"doc":"Computes levels with even distribution. Positional Arguments nLevels : int . Number of computed levels. nLevels must be at least 2. lowerLevel : int . Lower boundary value of the lowest level. upperLevel : int . Upper boundary value of the greatest level. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return levels : Evision.Mat.t() . Destination array. levels has 1 row, nLevels columns, and the CV_32SC1 type. Python prototype (for reference only): evenLevels(nLevels, lowerLevel, upperLevel[, levels[, stream]]) -&gt; levels","ref":"Evision.CUDA.html#evenLevels/3","title":"Evision.CUDA.evenLevels/3","type":"function"},{"doc":"Computes levels with even distribution. Positional Arguments nLevels : int . Number of computed levels. nLevels must be at least 2. lowerLevel : int . Lower boundary value of the lowest level. upperLevel : int . Upper boundary value of the greatest level. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return levels : Evision.Mat.t() . Destination array. levels has 1 row, nLevels columns, and the CV_32SC1 type. Python prototype (for reference only): evenLevels(nLevels, lowerLevel, upperLevel[, levels[, stream]]) -&gt; levels","ref":"Evision.CUDA.html#evenLevels/4","title":"Evision.CUDA.evenLevels/4","type":"function"},{"doc":"Variant 1: Computes an exponent of each matrix element. Positional Arguments src : Evision.Mat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . @sa exp Python prototype (for reference only): exp(src[, dst[, stream]]) -&gt; dst Variant 2: Computes an exponent of each matrix element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . @sa exp Python prototype (for reference only): exp(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#exp/1","title":"Evision.CUDA.exp/1","type":"function"},{"doc":"Variant 1: Computes an exponent of each matrix element. Positional Arguments src : Evision.Mat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . @sa exp Python prototype (for reference only): exp(src[, dst[, stream]]) -&gt; dst Variant 2: Computes an exponent of each matrix element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . @sa exp Python prototype (for reference only): exp(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#exp/2","title":"Evision.CUDA.exp/2","type":"function"},{"doc":"Perform image denoising using Non-local Means Denoising algorithm http://www.ipol.im/pub/algo/bcm_non_local_means_denoising with several computational optimizations. Noise expected to be a gaussian white noise Positional Arguments src : Evision.CUDA.GpuMat.t() . Input 8-bit 1-channel, 2-channel or 3-channel image. h : float . Parameter regulating filter strength. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise Keyword Arguments search_window : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater search_window - greater denoising time. Recommended value 21 pixels block_size : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels stream : Evision.CUDA.Stream.t() . Stream for the asynchronous invocations. Return dst : Evision.CUDA.GpuMat.t() . Output image with the same size and type as src . This function expected to be applied to grayscale images. For colored images look at FastNonLocalMeansDenoising::labMethod. @sa fastNlMeansDenoising Python prototype (for reference only): fastNlMeansDenoising(src, h[, dst[, search_window[, block_size[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#fastNlMeansDenoising/2","title":"Evision.CUDA.fastNlMeansDenoising/2","type":"function"},{"doc":"Perform image denoising using Non-local Means Denoising algorithm http://www.ipol.im/pub/algo/bcm_non_local_means_denoising with several computational optimizations. Noise expected to be a gaussian white noise Positional Arguments src : Evision.CUDA.GpuMat.t() . Input 8-bit 1-channel, 2-channel or 3-channel image. h : float . Parameter regulating filter strength. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise Keyword Arguments search_window : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater search_window - greater denoising time. Recommended value 21 pixels block_size : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels stream : Evision.CUDA.Stream.t() . Stream for the asynchronous invocations. Return dst : Evision.CUDA.GpuMat.t() . Output image with the same size and type as src . This function expected to be applied to grayscale images. For colored images look at FastNonLocalMeansDenoising::labMethod. @sa fastNlMeansDenoising Python prototype (for reference only): fastNlMeansDenoising(src, h[, dst[, search_window[, block_size[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#fastNlMeansDenoising/3","title":"Evision.CUDA.fastNlMeansDenoising/3","type":"function"},{"doc":"Modification of fastNlMeansDenoising function for colored images Positional Arguments src : Evision.CUDA.GpuMat.t() . Input 8-bit 3-channel image. h_luminance : float . Parameter regulating filter strength. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise photo_render : float . float The same as h but for color components. For most images value equals 10 will be enough to remove colored noise and do not distort colors Keyword Arguments search_window : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater search_window - greater denoising time. Recommended value 21 pixels block_size : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels stream : Evision.CUDA.Stream.t() . Stream for the asynchronous invocations. Return dst : Evision.CUDA.GpuMat.t() . Output image with the same size and type as src . The function converts image to CIELAB colorspace and then separately denoise L and AB components with given h parameters using FastNonLocalMeansDenoising::simpleMethod function. @sa fastNlMeansDenoisingColored Python prototype (for reference only): fastNlMeansDenoisingColored(src, h_luminance, photo_render[, dst[, search_window[, block_size[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#fastNlMeansDenoisingColored/3","title":"Evision.CUDA.fastNlMeansDenoisingColored/3","type":"function"},{"doc":"Modification of fastNlMeansDenoising function for colored images Positional Arguments src : Evision.CUDA.GpuMat.t() . Input 8-bit 3-channel image. h_luminance : float . Parameter regulating filter strength. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise photo_render : float . float The same as h but for color components. For most images value equals 10 will be enough to remove colored noise and do not distort colors Keyword Arguments search_window : int . Size in pixels of the window that is used to compute weighted average for given pixel. Should be odd. Affect performance linearly: greater search_window - greater denoising time. Recommended value 21 pixels block_size : int . Size in pixels of the template patch that is used to compute weights. Should be odd. Recommended value 7 pixels stream : Evision.CUDA.Stream.t() . Stream for the asynchronous invocations. Return dst : Evision.CUDA.GpuMat.t() . Output image with the same size and type as src . The function converts image to CIELAB colorspace and then separately denoise L and AB components with given h parameters using FastNonLocalMeansDenoising::simpleMethod function. @sa fastNlMeansDenoisingColored Python prototype (for reference only): fastNlMeansDenoisingColored(src, h_luminance, photo_render[, dst[, search_window[, block_size[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#fastNlMeansDenoisingColored/4","title":"Evision.CUDA.fastNlMeansDenoisingColored/4","type":"function"},{"doc":"Variant 1: findMinMax Positional Arguments src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findMinMax(src[, dst[, mask[, stream]]]) -&gt; dst Variant 2: findMinMax Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): findMinMax(src[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#findMinMax/1","title":"Evision.CUDA.findMinMax/1","type":"function"},{"doc":"Variant 1: findMinMax Positional Arguments src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findMinMax(src[, dst[, mask[, stream]]]) -&gt; dst Variant 2: findMinMax Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): findMinMax(src[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#findMinMax/2","title":"Evision.CUDA.findMinMax/2","type":"function"},{"doc":"Variant 1: findMinMaxLoc Positional Arguments src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return minMaxVals : Evision.Mat.t() . loc : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findMinMaxLoc(src[, minMaxVals[, loc[, mask[, stream]]]]) -&gt; minMaxVals, loc Variant 2: findMinMaxLoc Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return minMaxVals : Evision.CUDA.GpuMat.t() . loc : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): findMinMaxLoc(src[, minMaxVals[, loc[, mask[, stream]]]]) -&gt; minMaxVals, loc","ref":"Evision.CUDA.html#findMinMaxLoc/1","title":"Evision.CUDA.findMinMaxLoc/1","type":"function"},{"doc":"Variant 1: findMinMaxLoc Positional Arguments src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . stream : Evision.CUDA.Stream.t() . Return minMaxVals : Evision.Mat.t() . loc : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): findMinMaxLoc(src[, minMaxVals[, loc[, mask[, stream]]]]) -&gt; minMaxVals, loc Variant 2: findMinMaxLoc Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments mask : Evision.CUDA.GpuMat.t() . stream : Evision.CUDA.Stream.t() . Return minMaxVals : Evision.CUDA.GpuMat.t() . loc : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): findMinMaxLoc(src[, minMaxVals[, loc[, mask[, stream]]]]) -&gt; minMaxVals, loc","ref":"Evision.CUDA.html#findMinMaxLoc/2","title":"Evision.CUDA.findMinMaxLoc/2","type":"function"},{"doc":"Variant 1: Flips a 2D matrix around vertical, horizontal, or both axes. Positional Arguments src : Evision.Mat.t() . Source matrix. Supports 1, 3 and 4 channels images with CV_8U, CV_16U, CV_32S or CV_32F depth. flipCode : int . Flip mode for the source: 0 Flips around x-axis. &gt; 0 Flips around y-axis. \\&lt; 0 Flips around both axes. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix. @sa flip Python prototype (for reference only): flip(src, flipCode[, dst[, stream]]) -&gt; dst Variant 2: Flips a 2D matrix around vertical, horizontal, or both axes. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Supports 1, 3 and 4 channels images with CV_8U, CV_16U, CV_32S or CV_32F depth. flipCode : int . Flip mode for the source: 0 Flips around x-axis. &gt; 0 Flips around y-axis. \\&lt; 0 Flips around both axes. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix. @sa flip Python prototype (for reference only): flip(src, flipCode[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#flip/2","title":"Evision.CUDA.flip/2","type":"function"},{"doc":"Variant 1: Flips a 2D matrix around vertical, horizontal, or both axes. Positional Arguments src : Evision.Mat.t() . Source matrix. Supports 1, 3 and 4 channels images with CV_8U, CV_16U, CV_32S or CV_32F depth. flipCode : int . Flip mode for the source: 0 Flips around x-axis. &gt; 0 Flips around y-axis. \\&lt; 0 Flips around both axes. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix. @sa flip Python prototype (for reference only): flip(src, flipCode[, dst[, stream]]) -&gt; dst Variant 2: Flips a 2D matrix around vertical, horizontal, or both axes. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Supports 1, 3 and 4 channels images with CV_8U, CV_16U, CV_32S or CV_32F depth. flipCode : int . Flip mode for the source: 0 Flips around x-axis. &gt; 0 Flips around y-axis. \\&lt; 0 Flips around both axes. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix. @sa flip Python prototype (for reference only): flip(src, flipCode[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#flip/3","title":"Evision.CUDA.flip/3","type":"function"},{"doc":"Variant 1: Routines for correcting image color gamma. Positional Arguments src : Evision.Mat.t() . Source image (3- or 4-channel 8 bit). Keyword Arguments forward : bool . true for forward gamma correction or false for inverse gamma correction. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. Python prototype (for reference only): gammaCorrection(src[, dst[, forward[, stream]]]) -&gt; dst Variant 2: Routines for correcting image color gamma. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image (3- or 4-channel 8 bit). Keyword Arguments forward : bool . true for forward gamma correction or false for inverse gamma correction. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. Python prototype (for reference only): gammaCorrection(src[, dst[, forward[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#gammaCorrection/1","title":"Evision.CUDA.gammaCorrection/1","type":"function"},{"doc":"Variant 1: Routines for correcting image color gamma. Positional Arguments src : Evision.Mat.t() . Source image (3- or 4-channel 8 bit). Keyword Arguments forward : bool . true for forward gamma correction or false for inverse gamma correction. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. Python prototype (for reference only): gammaCorrection(src[, dst[, forward[, stream]]]) -&gt; dst Variant 2: Routines for correcting image color gamma. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image (3- or 4-channel 8 bit). Keyword Arguments forward : bool . true for forward gamma correction or false for inverse gamma correction. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. Python prototype (for reference only): gammaCorrection(src[, dst[, forward[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#gammaCorrection/2","title":"Evision.CUDA.gammaCorrection/2","type":"function"},{"doc":"Variant 1: Performs generalized matrix multiplication. Positional Arguments src1 : Evision.Mat.t() . First multiplied input matrix that should have CV_32FC1 , CV_64FC1 , CV_32FC2 , or CV_64FC2 type. src2 : Evision.Mat.t() . Second multiplied input matrix of the same type as src1 . alpha : double . Weight of the matrix product. src3 : Evision.Mat.t() . Third optional delta matrix added to the matrix product. It should have the same type as src1 and src2 . beta : double . Weight of src3 . Keyword Arguments flags : int . Operation flags: GEMM_1_T transpose src1 GEMM_2_T transpose src2 GEMM_3_T transpose src3 stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix. It has the proper size and the same type as input matrices. The function performs generalized matrix multiplication similar to the gemm functions in BLAS level For example, gemm(src1, src2, alpha, src3, beta, dst, GEMM_1_T + GEMM_3_T) corresponds to \\f[\\texttt{dst} = \\texttt{alpha} \\cdot \\texttt{src1} ^T \\cdot \\texttt{src2} + \\texttt{beta} \\cdot \\texttt{src3} ^T\\f] Note : Transposition operation doesn't support CV_64FC2 input type. @sa gemm Python prototype (for reference only): gemm(src1, src2, alpha, src3, beta[, dst[, flags[, stream]]]) -&gt; dst Variant 2: Performs generalized matrix multiplication. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First multiplied input matrix that should have CV_32FC1 , CV_64FC1 , CV_32FC2 , or CV_64FC2 type. src2 : Evision.CUDA.GpuMat.t() . Second multiplied input matrix of the same type as src1 . alpha : double . Weight of the matrix product. src3 : Evision.CUDA.GpuMat.t() . Third optional delta matrix added to the matrix product. It should have the same type as src1 and src2 . beta : double . Weight of src3 . Keyword Arguments flags : int . Operation flags: GEMM_1_T transpose src1 GEMM_2_T transpose src2 GEMM_3_T transpose src3 stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix. It has the proper size and the same type as input matrices. The function performs generalized matrix multiplication similar to the gemm functions in BLAS level For example, gemm(src1, src2, alpha, src3, beta, dst, GEMM_1_T + GEMM_3_T) corresponds to \\f[\\texttt{dst} = \\texttt{alpha} \\cdot \\texttt{src1} ^T \\cdot \\texttt{src2} + \\texttt{beta} \\cdot \\texttt{src3} ^T\\f] Note : Transposition operation doesn't support CV_64FC2 input type. @sa gemm Python prototype (for reference only): gemm(src1, src2, alpha, src3, beta[, dst[, flags[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#gemm/5","title":"Evision.CUDA.gemm/5","type":"function"},{"doc":"Variant 1: Performs generalized matrix multiplication. Positional Arguments src1 : Evision.Mat.t() . First multiplied input matrix that should have CV_32FC1 , CV_64FC1 , CV_32FC2 , or CV_64FC2 type. src2 : Evision.Mat.t() . Second multiplied input matrix of the same type as src1 . alpha : double . Weight of the matrix product. src3 : Evision.Mat.t() . Third optional delta matrix added to the matrix product. It should have the same type as src1 and src2 . beta : double . Weight of src3 . Keyword Arguments flags : int . Operation flags: GEMM_1_T transpose src1 GEMM_2_T transpose src2 GEMM_3_T transpose src3 stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix. It has the proper size and the same type as input matrices. The function performs generalized matrix multiplication similar to the gemm functions in BLAS level For example, gemm(src1, src2, alpha, src3, beta, dst, GEMM_1_T + GEMM_3_T) corresponds to \\f[\\texttt{dst} = \\texttt{alpha} \\cdot \\texttt{src1} ^T \\cdot \\texttt{src2} + \\texttt{beta} \\cdot \\texttt{src3} ^T\\f] Note : Transposition operation doesn't support CV_64FC2 input type. @sa gemm Python prototype (for reference only): gemm(src1, src2, alpha, src3, beta[, dst[, flags[, stream]]]) -&gt; dst Variant 2: Performs generalized matrix multiplication. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First multiplied input matrix that should have CV_32FC1 , CV_64FC1 , CV_32FC2 , or CV_64FC2 type. src2 : Evision.CUDA.GpuMat.t() . Second multiplied input matrix of the same type as src1 . alpha : double . Weight of the matrix product. src3 : Evision.CUDA.GpuMat.t() . Third optional delta matrix added to the matrix product. It should have the same type as src1 and src2 . beta : double . Weight of src3 . Keyword Arguments flags : int . Operation flags: GEMM_1_T transpose src1 GEMM_2_T transpose src2 GEMM_3_T transpose src3 stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix. It has the proper size and the same type as input matrices. The function performs generalized matrix multiplication similar to the gemm functions in BLAS level For example, gemm(src1, src2, alpha, src3, beta, dst, GEMM_1_T + GEMM_3_T) corresponds to \\f[\\texttt{dst} = \\texttt{alpha} \\cdot \\texttt{src1} ^T \\cdot \\texttt{src2} + \\texttt{beta} \\cdot \\texttt{src3} ^T\\f] Note : Transposition operation doesn't support CV_64FC2 input type. @sa gemm Python prototype (for reference only): gemm(src1, src2, alpha, src3, beta[, dst[, flags[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#gemm/6","title":"Evision.CUDA.gemm/6","type":"function"},{"doc":"Returns the number of installed CUDA-enabled devices. Return retval : int Use this function before any other CUDA functions calls. If OpenCV is compiled without CUDA support, this function returns 0. If the CUDA driver is not installed, or is incompatible, this function returns -1. Python prototype (for reference only): getCudaEnabledDeviceCount() -&gt; retval","ref":"Evision.CUDA.html#getCudaEnabledDeviceCount/0","title":"Evision.CUDA.getCudaEnabledDeviceCount/0","type":"function"},{"doc":"Returns the current device index set by cuda::setDevice or initialized by default. Return retval : int Python prototype (for reference only): getDevice() -&gt; retval","ref":"Evision.CUDA.html#getDevice/0","title":"Evision.CUDA.getDevice/0","type":"function"},{"doc":"Variant 1: Calculates a histogram with evenly distributed bins. Positional Arguments src : Evision.Mat.t() . Source image. CV_8U, CV_16U, or CV_16S depth and 1 or 4 channels are supported. For a four-channel image, all channels are processed separately. histSize : int . Size of the histogram. lowerLevel : int . Lower boundary of lowest-level bin. upperLevel : int . Upper boundary of highest-level bin. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.Mat.t() . Destination histogram with one row, histSize columns, and the CV_32S type. Python prototype (for reference only): histEven(src, histSize, lowerLevel, upperLevel[, hist[, stream]]) -&gt; hist Variant 2: Calculates a histogram with evenly distributed bins. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. CV_8U, CV_16U, or CV_16S depth and 1 or 4 channels are supported. For a four-channel image, all channels are processed separately. histSize : int . Size of the histogram. lowerLevel : int . Lower boundary of lowest-level bin. upperLevel : int . Upper boundary of highest-level bin. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.CUDA.GpuMat.t() . Destination histogram with one row, histSize columns, and the CV_32S type. Python prototype (for reference only): histEven(src, histSize, lowerLevel, upperLevel[, hist[, stream]]) -&gt; hist","ref":"Evision.CUDA.html#histEven/4","title":"Evision.CUDA.histEven/4","type":"function"},{"doc":"Variant 1: Calculates a histogram with evenly distributed bins. Positional Arguments src : Evision.Mat.t() . Source image. CV_8U, CV_16U, or CV_16S depth and 1 or 4 channels are supported. For a four-channel image, all channels are processed separately. histSize : int . Size of the histogram. lowerLevel : int . Lower boundary of lowest-level bin. upperLevel : int . Upper boundary of highest-level bin. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.Mat.t() . Destination histogram with one row, histSize columns, and the CV_32S type. Python prototype (for reference only): histEven(src, histSize, lowerLevel, upperLevel[, hist[, stream]]) -&gt; hist Variant 2: Calculates a histogram with evenly distributed bins. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. CV_8U, CV_16U, or CV_16S depth and 1 or 4 channels are supported. For a four-channel image, all channels are processed separately. histSize : int . Size of the histogram. lowerLevel : int . Lower boundary of lowest-level bin. upperLevel : int . Upper boundary of highest-level bin. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.CUDA.GpuMat.t() . Destination histogram with one row, histSize columns, and the CV_32S type. Python prototype (for reference only): histEven(src, histSize, lowerLevel, upperLevel[, hist[, stream]]) -&gt; hist Variant 3: histEven Positional Arguments src : Evision.Mat.t() hist : GpuMat* histSize : int* lowerLevel : int* upperLevel : int* Keyword Arguments stream : Evision.CUDA.Stream.t() . Has overloading in C++ Python prototype (for reference only): histEven(src, hist, histSize, lowerLevel, upperLevel[, stream]) -&gt; None Variant 4: histEven Positional Arguments src : Evision.CUDA.GpuMat.t() hist : GpuMat* histSize : int* lowerLevel : int* upperLevel : int* Keyword Arguments stream : Evision.CUDA.Stream.t() . Has overloading in C++ Python prototype (for reference only): histEven(src, hist, histSize, lowerLevel, upperLevel[, stream]) -&gt; None","ref":"Evision.CUDA.html#histEven/5","title":"Evision.CUDA.histEven/5","type":"function"},{"doc":"Variant 1: histEven Positional Arguments src : Evision.Mat.t() hist : GpuMat* histSize : int* lowerLevel : int* upperLevel : int* Keyword Arguments stream : Evision.CUDA.Stream.t() . Has overloading in C++ Python prototype (for reference only): histEven(src, hist, histSize, lowerLevel, upperLevel[, stream]) -&gt; None Variant 2: histEven Positional Arguments src : Evision.CUDA.GpuMat.t() hist : GpuMat* histSize : int* lowerLevel : int* upperLevel : int* Keyword Arguments stream : Evision.CUDA.Stream.t() . Has overloading in C++ Python prototype (for reference only): histEven(src, hist, histSize, lowerLevel, upperLevel[, stream]) -&gt; None","ref":"Evision.CUDA.html#histEven/6","title":"Evision.CUDA.histEven/6","type":"function"},{"doc":"Variant 1: Calculates a histogram with bins determined by the levels array. Positional Arguments src : Evision.Mat.t() . Source image. CV_8U , CV_16U , or CV_16S depth and 1 or 4 channels are supported. For a four-channel image, all channels are processed separately. levels : Evision.Mat.t() . Number of levels in the histogram. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.Mat.t() . Destination histogram with one row, (levels.cols-1) columns, and the CV_32SC1 type. Python prototype (for reference only): histRange(src, levels[, hist[, stream]]) -&gt; hist Variant 2: Calculates a histogram with bins determined by the levels array. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. CV_8U , CV_16U , or CV_16S depth and 1 or 4 channels are supported. For a four-channel image, all channels are processed separately. levels : Evision.CUDA.GpuMat.t() . Number of levels in the histogram. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.CUDA.GpuMat.t() . Destination histogram with one row, (levels.cols-1) columns, and the CV_32SC1 type. Python prototype (for reference only): histRange(src, levels[, hist[, stream]]) -&gt; hist","ref":"Evision.CUDA.html#histRange/2","title":"Evision.CUDA.histRange/2","type":"function"},{"doc":"Variant 1: Calculates a histogram with bins determined by the levels array. Positional Arguments src : Evision.Mat.t() . Source image. CV_8U , CV_16U , or CV_16S depth and 1 or 4 channels are supported. For a four-channel image, all channels are processed separately. levels : Evision.Mat.t() . Number of levels in the histogram. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.Mat.t() . Destination histogram with one row, (levels.cols-1) columns, and the CV_32SC1 type. Python prototype (for reference only): histRange(src, levels[, hist[, stream]]) -&gt; hist Variant 2: Calculates a histogram with bins determined by the levels array. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. CV_8U , CV_16U , or CV_16S depth and 1 or 4 channels are supported. For a four-channel image, all channels are processed separately. levels : Evision.CUDA.GpuMat.t() . Number of levels in the histogram. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return hist : Evision.CUDA.GpuMat.t() . Destination histogram with one row, (levels.cols-1) columns, and the CV_32SC1 type. Python prototype (for reference only): histRange(src, levels[, hist[, stream]]) -&gt; hist Variant 3: histRange Positional Arguments src : Evision.Mat.t() hist : GpuMat* levels : GpuMat* Keyword Arguments stream : Evision.CUDA.Stream.t() . Has overloading in C++ Python prototype (for reference only): histRange(src, hist, levels[, stream]) -&gt; None Variant 4: histRange Positional Arguments src : Evision.CUDA.GpuMat.t() hist : GpuMat* levels : GpuMat* Keyword Arguments stream : Evision.CUDA.Stream.t() . Has overloading in C++ Python prototype (for reference only): histRange(src, hist, levels[, stream]) -&gt; None","ref":"Evision.CUDA.html#histRange/3","title":"Evision.CUDA.histRange/3","type":"function"},{"doc":"Variant 1: histRange Positional Arguments src : Evision.Mat.t() hist : GpuMat* levels : GpuMat* Keyword Arguments stream : Evision.CUDA.Stream.t() . Has overloading in C++ Python prototype (for reference only): histRange(src, hist, levels[, stream]) -&gt; None Variant 2: histRange Positional Arguments src : Evision.CUDA.GpuMat.t() hist : GpuMat* levels : GpuMat* Keyword Arguments stream : Evision.CUDA.Stream.t() . Has overloading in C++ Python prototype (for reference only): histRange(src, hist, levels[, stream]) -&gt; None","ref":"Evision.CUDA.html#histRange/4","title":"Evision.CUDA.histRange/4","type":"function"},{"doc":"Variant 1: Checks if array elements lie between two scalars. Positional Arguments src : Evision.Mat.t() . first input array. lowerb : Scalar . inclusive lower boundary cv::Scalar. upperb : Scalar . inclusive upper boundary cv::Scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . output array of the same size as src and CV_8U type. The function checks the range as follows: For every element of a single-channel input array: \\f[\\texttt{dst} (I)= \\texttt{lowerb}_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb}_0\\f] For two-channel arrays: \\f[\\texttt{dst} (I)= \\texttt{lowerb}_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb}_0 \\land \\texttt{lowerb}_1 \\leq \\texttt{src} (I)_1 \\leq \\texttt{upperb}_1\\f] and so forth. That is, dst (I) is set to 255 (all 1 -bits) if src (I) is within the specified 1D, 2D, 3D, ... box and 0 otherwise. Note that unlike the CPU inRange, this does NOT accept an array for lowerb or upperb, only a cv::Scalar. @sa cv::inRange Python prototype (for reference only): inRange(src, lowerb, upperb[, dst[, stream]]) -&gt; dst Variant 2: Checks if array elements lie between two scalars. Positional Arguments src : Evision.CUDA.GpuMat.t() . first input array. lowerb : Scalar . inclusive lower boundary cv::Scalar. upperb : Scalar . inclusive upper boundary cv::Scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . output array of the same size as src and CV_8U type. The function checks the range as follows: For every element of a single-channel input array: \\f[\\texttt{dst} (I)= \\texttt{lowerb}_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb}_0\\f] For two-channel arrays: \\f[\\texttt{dst} (I)= \\texttt{lowerb}_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb}_0 \\land \\texttt{lowerb}_1 \\leq \\texttt{src} (I)_1 \\leq \\texttt{upperb}_1\\f] and so forth. That is, dst (I) is set to 255 (all 1 -bits) if src (I) is within the specified 1D, 2D, 3D, ... box and 0 otherwise. Note that unlike the CPU inRange, this does NOT accept an array for lowerb or upperb, only a cv::Scalar. @sa cv::inRange Python prototype (for reference only): inRange(src, lowerb, upperb[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#inRange/3","title":"Evision.CUDA.inRange/3","type":"function"},{"doc":"Variant 1: Checks if array elements lie between two scalars. Positional Arguments src : Evision.Mat.t() . first input array. lowerb : Scalar . inclusive lower boundary cv::Scalar. upperb : Scalar . inclusive upper boundary cv::Scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . output array of the same size as src and CV_8U type. The function checks the range as follows: For every element of a single-channel input array: \\f[\\texttt{dst} (I)= \\texttt{lowerb}_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb}_0\\f] For two-channel arrays: \\f[\\texttt{dst} (I)= \\texttt{lowerb}_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb}_0 \\land \\texttt{lowerb}_1 \\leq \\texttt{src} (I)_1 \\leq \\texttt{upperb}_1\\f] and so forth. That is, dst (I) is set to 255 (all 1 -bits) if src (I) is within the specified 1D, 2D, 3D, ... box and 0 otherwise. Note that unlike the CPU inRange, this does NOT accept an array for lowerb or upperb, only a cv::Scalar. @sa cv::inRange Python prototype (for reference only): inRange(src, lowerb, upperb[, dst[, stream]]) -&gt; dst Variant 2: Checks if array elements lie between two scalars. Positional Arguments src : Evision.CUDA.GpuMat.t() . first input array. lowerb : Scalar . inclusive lower boundary cv::Scalar. upperb : Scalar . inclusive upper boundary cv::Scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . output array of the same size as src and CV_8U type. The function checks the range as follows: For every element of a single-channel input array: \\f[\\texttt{dst} (I)= \\texttt{lowerb}_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb}_0\\f] For two-channel arrays: \\f[\\texttt{dst} (I)= \\texttt{lowerb}_0 \\leq \\texttt{src} (I)_0 \\leq \\texttt{upperb}_0 \\land \\texttt{lowerb}_1 \\leq \\texttt{src} (I)_1 \\leq \\texttt{upperb}_1\\f] and so forth. That is, dst (I) is set to 255 (all 1 -bits) if src (I) is within the specified 1D, 2D, 3D, ... box and 0 otherwise. Note that unlike the CPU inRange, this does NOT accept an array for lowerb or upperb, only a cv::Scalar. @sa cv::inRange Python prototype (for reference only): inRange(src, lowerb, upperb[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#inRange/4","title":"Evision.CUDA.inRange/4","type":"function"},{"doc":"Variant 1: Computes an integral image. Positional Arguments src : Evision.Mat.t() . Source image. Only CV_8UC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return sum : Evision.Mat.t() . Integral image containing 32-bit unsigned integer values packed into CV_32SC1 . @sa integral Python prototype (for reference only): integral(src[, sum[, stream]]) -&gt; sum Variant 2: Computes an integral image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only CV_8UC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return sum : Evision.CUDA.GpuMat.t() . Integral image containing 32-bit unsigned integer values packed into CV_32SC1 . @sa integral Python prototype (for reference only): integral(src[, sum[, stream]]) -&gt; sum","ref":"Evision.CUDA.html#integral/1","title":"Evision.CUDA.integral/1","type":"function"},{"doc":"Variant 1: Computes an integral image. Positional Arguments src : Evision.Mat.t() . Source image. Only CV_8UC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return sum : Evision.Mat.t() . Integral image containing 32-bit unsigned integer values packed into CV_32SC1 . @sa integral Python prototype (for reference only): integral(src[, sum[, stream]]) -&gt; sum Variant 2: Computes an integral image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only CV_8UC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return sum : Evision.CUDA.GpuMat.t() . Integral image containing 32-bit unsigned integer values packed into CV_32SC1 . @sa integral Python prototype (for reference only): integral(src[, sum[, stream]]) -&gt; sum","ref":"Evision.CUDA.html#integral/2","title":"Evision.CUDA.integral/2","type":"function"},{"doc":"Variant 1: Computes a natural logarithm of absolute value of each matrix element. Positional Arguments src : Evision.Mat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . @sa log Python prototype (for reference only): log(src[, dst[, stream]]) -&gt; dst Variant 2: Computes a natural logarithm of absolute value of each matrix element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . @sa log Python prototype (for reference only): log(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#log/1","title":"Evision.CUDA.log/1","type":"function"},{"doc":"Variant 1: Computes a natural logarithm of absolute value of each matrix element. Positional Arguments src : Evision.Mat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . @sa log Python prototype (for reference only): log(src[, dst[, stream]]) -&gt; dst Variant 2: Computes a natural logarithm of absolute value of each matrix element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . @sa log Python prototype (for reference only): log(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#log/2","title":"Evision.CUDA.log/2","type":"function"},{"doc":"Variant 1: Performs pixel by pixel right left of an image by a constant value. Positional Arguments src : Evision.Mat.t() . Source matrix. Supports 1, 3 and 4 channels images with CV_8U , CV_16U or CV_32S depth. val : Scalar . Constant values, one per channel. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): lshift(src, val[, dst[, stream]]) -&gt; dst Variant 2: Performs pixel by pixel right left of an image by a constant value. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Supports 1, 3 and 4 channels images with CV_8U , CV_16U or CV_32S depth. val : Scalar . Constant values, one per channel. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): lshift(src, val[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#lshift/2","title":"Evision.CUDA.lshift/2","type":"function"},{"doc":"Variant 1: Performs pixel by pixel right left of an image by a constant value. Positional Arguments src : Evision.Mat.t() . Source matrix. Supports 1, 3 and 4 channels images with CV_8U , CV_16U or CV_32S depth. val : Scalar . Constant values, one per channel. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): lshift(src, val[, dst[, stream]]) -&gt; dst Variant 2: Performs pixel by pixel right left of an image by a constant value. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Supports 1, 3 and 4 channels images with CV_8U , CV_16U or CV_32S depth. val : Scalar . Constant values, one per channel. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): lshift(src, val[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#lshift/3","title":"Evision.CUDA.lshift/3","type":"function"},{"doc":"Variant 1: Computes magnitudes of complex matrix elements. Positional Arguments xy : Evision.Mat.t() . Source complex matrix in the interleaved format ( CV_32FC2 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.Mat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). @sa magnitude Python prototype (for reference only): magnitude(xy[, magnitude[, stream]]) -&gt; magnitude Variant 2: Computes magnitudes of complex matrix elements. Positional Arguments xy : Evision.CUDA.GpuMat.t() . Source complex matrix in the interleaved format ( CV_32FC2 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.CUDA.GpuMat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). @sa magnitude Python prototype (for reference only): magnitude(xy[, magnitude[, stream]]) -&gt; magnitude","ref":"Evision.CUDA.html#magnitude/1","title":"Evision.CUDA.magnitude/1","type":"function"},{"doc":"Variant 1: magnitude Positional Arguments x : Evision.Mat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.Mat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.Mat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). Has overloading in C++ computes magnitude of each (x(i), y(i)) vector supports only floating-point source Python prototype (for reference only): magnitude(x, y[, magnitude[, stream]]) -&gt; magnitude Variant 2: magnitude Positional Arguments x : Evision.CUDA.GpuMat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.CUDA.GpuMat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.CUDA.GpuMat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). Has overloading in C++ computes magnitude of each (x(i), y(i)) vector supports only floating-point source Python prototype (for reference only): magnitude(x, y[, magnitude[, stream]]) -&gt; magnitude Variant 3: Computes magnitudes of complex matrix elements. Positional Arguments xy : Evision.Mat.t() . Source complex matrix in the interleaved format ( CV_32FC2 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.Mat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). @sa magnitude Python prototype (for reference only): magnitude(xy[, magnitude[, stream]]) -&gt; magnitude Variant 4: Computes magnitudes of complex matrix elements. Positional Arguments xy : Evision.CUDA.GpuMat.t() . Source complex matrix in the interleaved format ( CV_32FC2 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.CUDA.GpuMat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). @sa magnitude Python prototype (for reference only): magnitude(xy[, magnitude[, stream]]) -&gt; magnitude","ref":"Evision.CUDA.html#magnitude/2","title":"Evision.CUDA.magnitude/2","type":"function"},{"doc":"Variant 1: magnitude Positional Arguments x : Evision.Mat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.Mat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.Mat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). Has overloading in C++ computes magnitude of each (x(i), y(i)) vector supports only floating-point source Python prototype (for reference only): magnitude(x, y[, magnitude[, stream]]) -&gt; magnitude Variant 2: magnitude Positional Arguments x : Evision.CUDA.GpuMat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.CUDA.GpuMat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.CUDA.GpuMat.t() . Destination matrix of float magnitudes ( CV_32FC1 ). Has overloading in C++ computes magnitude of each (x(i), y(i)) vector supports only floating-point source Python prototype (for reference only): magnitude(x, y[, magnitude[, stream]]) -&gt; magnitude","ref":"Evision.CUDA.html#magnitude/3","title":"Evision.CUDA.magnitude/3","type":"function"},{"doc":"Variant 1: Computes squared magnitudes of complex matrix elements. Positional Arguments xy : Evision.Mat.t() . Source complex matrix in the interleaved format ( CV_32FC2 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.Mat.t() . Destination matrix of float magnitude squares ( CV_32FC1 ). Python prototype (for reference only): magnitudeSqr(xy[, magnitude[, stream]]) -&gt; magnitude Variant 2: Computes squared magnitudes of complex matrix elements. Positional Arguments xy : Evision.CUDA.GpuMat.t() . Source complex matrix in the interleaved format ( CV_32FC2 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.CUDA.GpuMat.t() . Destination matrix of float magnitude squares ( CV_32FC1 ). Python prototype (for reference only): magnitudeSqr(xy[, magnitude[, stream]]) -&gt; magnitude","ref":"Evision.CUDA.html#magnitudeSqr/1","title":"Evision.CUDA.magnitudeSqr/1","type":"function"},{"doc":"Variant 1: magnitudeSqr Positional Arguments x : Evision.Mat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.Mat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.Mat.t() . Destination matrix of float magnitude squares ( CV_32FC1 ). Has overloading in C++ computes squared magnitude of each (x(i), y(i)) vector supports only floating-point source Python prototype (for reference only): magnitudeSqr(x, y[, magnitude[, stream]]) -&gt; magnitude Variant 2: magnitudeSqr Positional Arguments x : Evision.CUDA.GpuMat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.CUDA.GpuMat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.CUDA.GpuMat.t() . Destination matrix of float magnitude squares ( CV_32FC1 ). Has overloading in C++ computes squared magnitude of each (x(i), y(i)) vector supports only floating-point source Python prototype (for reference only): magnitudeSqr(x, y[, magnitude[, stream]]) -&gt; magnitude Variant 3: Computes squared magnitudes of complex matrix elements. Positional Arguments xy : Evision.Mat.t() . Source complex matrix in the interleaved format ( CV_32FC2 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.Mat.t() . Destination matrix of float magnitude squares ( CV_32FC1 ). Python prototype (for reference only): magnitudeSqr(xy[, magnitude[, stream]]) -&gt; magnitude Variant 4: Computes squared magnitudes of complex matrix elements. Positional Arguments xy : Evision.CUDA.GpuMat.t() . Source complex matrix in the interleaved format ( CV_32FC2 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.CUDA.GpuMat.t() . Destination matrix of float magnitude squares ( CV_32FC1 ). Python prototype (for reference only): magnitudeSqr(xy[, magnitude[, stream]]) -&gt; magnitude","ref":"Evision.CUDA.html#magnitudeSqr/2","title":"Evision.CUDA.magnitudeSqr/2","type":"function"},{"doc":"Variant 1: magnitudeSqr Positional Arguments x : Evision.Mat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.Mat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.Mat.t() . Destination matrix of float magnitude squares ( CV_32FC1 ). Has overloading in C++ computes squared magnitude of each (x(i), y(i)) vector supports only floating-point source Python prototype (for reference only): magnitudeSqr(x, y[, magnitude[, stream]]) -&gt; magnitude Variant 2: magnitudeSqr Positional Arguments x : Evision.CUDA.GpuMat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.CUDA.GpuMat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return magnitude : Evision.CUDA.GpuMat.t() . Destination matrix of float magnitude squares ( CV_32FC1 ). Has overloading in C++ computes squared magnitude of each (x(i), y(i)) vector supports only floating-point source Python prototype (for reference only): magnitudeSqr(x, y[, magnitude[, stream]]) -&gt; magnitude","ref":"Evision.CUDA.html#magnitudeSqr/3","title":"Evision.CUDA.magnitudeSqr/3","type":"function"},{"doc":"Variant 1: Computes the per-element maximum of two matrices (or a matrix and a scalar). Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and type as the input array(s). @sa max Python prototype (for reference only): max(src1, src2[, dst[, stream]]) -&gt; dst Variant 2: Computes the per-element maximum of two matrices (or a matrix and a scalar). Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and type as the input array(s). @sa max Python prototype (for reference only): max(src1, src2[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#max/2","title":"Evision.CUDA.max/2","type":"function"},{"doc":"Variant 1: Computes the per-element maximum of two matrices (or a matrix and a scalar). Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and type as the input array(s). @sa max Python prototype (for reference only): max(src1, src2[, dst[, stream]]) -&gt; dst Variant 2: Computes the per-element maximum of two matrices (or a matrix and a scalar). Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and type as the input array(s). @sa max Python prototype (for reference only): max(src1, src2[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#max/3","title":"Evision.CUDA.max/3","type":"function"},{"doc":"Variant 1: Performs mean-shift filtering for each point of the source image. Positional Arguments src : Evision.Mat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image containing the color of mapped points. It has the same size and type as src . It maps each point of the source image into another point. As a result, you have a new color and new position of each point. Python prototype (for reference only): meanShiftFiltering(src, sp, sr[, dst[, criteria[, stream]]]) -&gt; dst Variant 2: Performs mean-shift filtering for each point of the source image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image containing the color of mapped points. It has the same size and type as src . It maps each point of the source image into another point. As a result, you have a new color and new position of each point. Python prototype (for reference only): meanShiftFiltering(src, sp, sr[, dst[, criteria[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#meanShiftFiltering/3","title":"Evision.CUDA.meanShiftFiltering/3","type":"function"},{"doc":"Variant 1: Performs mean-shift filtering for each point of the source image. Positional Arguments src : Evision.Mat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image containing the color of mapped points. It has the same size and type as src . It maps each point of the source image into another point. As a result, you have a new color and new position of each point. Python prototype (for reference only): meanShiftFiltering(src, sp, sr[, dst[, criteria[, stream]]]) -&gt; dst Variant 2: Performs mean-shift filtering for each point of the source image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image containing the color of mapped points. It has the same size and type as src . It maps each point of the source image into another point. As a result, you have a new color and new position of each point. Python prototype (for reference only): meanShiftFiltering(src, sp, sr[, dst[, criteria[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#meanShiftFiltering/4","title":"Evision.CUDA.meanShiftFiltering/4","type":"function"},{"doc":"Variant 1: Performs a mean-shift procedure and stores information about processed points (their colors and positions) in two images. Positional Arguments src : Evision.Mat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dstr : Evision.Mat.t() . Destination image containing the color of mapped points. The size and type is the same as src . dstsp : Evision.Mat.t() . Destination image containing the position of mapped points. The size is the same as src size. The type is CV_16SC2 . @sa cuda::meanShiftFiltering Python prototype (for reference only): meanShiftProc(src, sp, sr[, dstr[, dstsp[, criteria[, stream]]]]) -&gt; dstr, dstsp Variant 2: Performs a mean-shift procedure and stores information about processed points (their colors and positions) in two images. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dstr : Evision.CUDA.GpuMat.t() . Destination image containing the color of mapped points. The size and type is the same as src . dstsp : Evision.CUDA.GpuMat.t() . Destination image containing the position of mapped points. The size is the same as src size. The type is CV_16SC2 . @sa cuda::meanShiftFiltering Python prototype (for reference only): meanShiftProc(src, sp, sr[, dstr[, dstsp[, criteria[, stream]]]]) -&gt; dstr, dstsp","ref":"Evision.CUDA.html#meanShiftProc/3","title":"Evision.CUDA.meanShiftProc/3","type":"function"},{"doc":"Variant 1: Performs a mean-shift procedure and stores information about processed points (their colors and positions) in two images. Positional Arguments src : Evision.Mat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dstr : Evision.Mat.t() . Destination image containing the color of mapped points. The size and type is the same as src . dstsp : Evision.Mat.t() . Destination image containing the position of mapped points. The size is the same as src size. The type is CV_16SC2 . @sa cuda::meanShiftFiltering Python prototype (for reference only): meanShiftProc(src, sp, sr[, dstr[, dstsp[, criteria[, stream]]]]) -&gt; dstr, dstsp Variant 2: Performs a mean-shift procedure and stores information about processed points (their colors and positions) in two images. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dstr : Evision.CUDA.GpuMat.t() . Destination image containing the color of mapped points. The size and type is the same as src . dstsp : Evision.CUDA.GpuMat.t() . Destination image containing the position of mapped points. The size is the same as src size. The type is CV_16SC2 . @sa cuda::meanShiftFiltering Python prototype (for reference only): meanShiftProc(src, sp, sr[, dstr[, dstsp[, criteria[, stream]]]]) -&gt; dstr, dstsp","ref":"Evision.CUDA.html#meanShiftProc/4","title":"Evision.CUDA.meanShiftProc/4","type":"function"},{"doc":"Variant 1: Performs a mean-shift segmentation of the source image and eliminates small segments. Positional Arguments src : Evision.Mat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. minsize : int . Minimum segment size. Smaller segments are merged. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Segmented image with the same size and type as src (host or gpu memory). Python prototype (for reference only): meanShiftSegmentation(src, sp, sr, minsize[, dst[, criteria[, stream]]]) -&gt; dst Variant 2: Performs a mean-shift segmentation of the source image and eliminates small segments. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. minsize : int . Minimum segment size. Smaller segments are merged. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Segmented image with the same size and type as src (host or gpu memory). Python prototype (for reference only): meanShiftSegmentation(src, sp, sr, minsize[, dst[, criteria[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#meanShiftSegmentation/4","title":"Evision.CUDA.meanShiftSegmentation/4","type":"function"},{"doc":"Variant 1: Performs a mean-shift segmentation of the source image and eliminates small segments. Positional Arguments src : Evision.Mat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. minsize : int . Minimum segment size. Smaller segments are merged. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Segmented image with the same size and type as src (host or gpu memory). Python prototype (for reference only): meanShiftSegmentation(src, sp, sr, minsize[, dst[, criteria[, stream]]]) -&gt; dst Variant 2: Performs a mean-shift segmentation of the source image and eliminates small segments. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only CV_8UC4 images are supported for now. sp : int . Spatial window radius. sr : int . Color window radius. minsize : int . Minimum segment size. Smaller segments are merged. Keyword Arguments criteria : TermCriteria . Termination criteria. See TermCriteria. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Segmented image with the same size and type as src (host or gpu memory). Python prototype (for reference only): meanShiftSegmentation(src, sp, sr, minsize[, dst[, criteria[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#meanShiftSegmentation/5","title":"Evision.CUDA.meanShiftSegmentation/5","type":"function"},{"doc":"Variant 1: meanStdDev Positional Arguments mtx : Evision.Mat.t() . Source matrix. CV_8UC1 and CV_32FC1 matrices are supported for now. Return mean : Scalar . Mean value. stddev : Scalar . Standard deviation value. Has overloading in C++ Python prototype (for reference only): meanStdDev(mtx) -&gt; mean, stddev Variant 2: meanStdDev Positional Arguments mtx : Evision.CUDA.GpuMat.t() . Source matrix. CV_8UC1 and CV_32FC1 matrices are supported for now. Return mean : Scalar . Mean value. stddev : Scalar . Standard deviation value. Has overloading in C++ Python prototype (for reference only): meanStdDev(mtx) -&gt; mean, stddev","ref":"Evision.CUDA.html#meanStdDev/1","title":"Evision.CUDA.meanStdDev/1","type":"function"},{"doc":"Variant 1: meanStdDev Positional Arguments src : Evision.Mat.t() . Source matrix. CV_8UC1 and CV_32FC1 matrices are supported for now. mask : Evision.Mat.t() . Operation mask. Return mean : Scalar . Mean value. stddev : Scalar . Standard deviation value. Has overloading in C++ Python prototype (for reference only): meanStdDev(src, mask) -&gt; mean, stddev Variant 2: meanStdDev Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. CV_8UC1 and CV_32FC1 matrices are supported for now. mask : Evision.CUDA.GpuMat.t() . Operation mask. Return mean : Scalar . Mean value. stddev : Scalar . Standard deviation value. Has overloading in C++ Python prototype (for reference only): meanStdDev(src, mask) -&gt; mean, stddev","ref":"Evision.CUDA.html#meanStdDev/2","title":"Evision.CUDA.meanStdDev/2","type":"function"},{"doc":"merge Positional Arguments src : [Evision.CUDA.GpuMat] Keyword Arguments stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): merge(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#merge/1","title":"Evision.CUDA.merge/1","type":"function"},{"doc":"merge Positional Arguments src : [Evision.CUDA.GpuMat] Keyword Arguments stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): merge(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#merge/2","title":"Evision.CUDA.merge/2","type":"function"},{"doc":"Variant 1: Computes the per-element minimum of two matrices (or a matrix and a scalar). Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and type as the input array(s). @sa min Python prototype (for reference only): min(src1, src2[, dst[, stream]]) -&gt; dst Variant 2: Computes the per-element minimum of two matrices (or a matrix and a scalar). Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and type as the input array(s). @sa min Python prototype (for reference only): min(src1, src2[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#min/2","title":"Evision.CUDA.min/2","type":"function"},{"doc":"Variant 1: Computes the per-element minimum of two matrices (or a matrix and a scalar). Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and type as the input array(s). @sa min Python prototype (for reference only): min(src1, src2[, dst[, stream]]) -&gt; dst Variant 2: Computes the per-element minimum of two matrices (or a matrix and a scalar). Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and type as the input array(s). @sa min Python prototype (for reference only): min(src1, src2[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#min/3","title":"Evision.CUDA.min/3","type":"function"},{"doc":"Variant 1: Finds global minimum and maximum matrix elements and returns their values. Positional Arguments src : Evision.Mat.t() . Single-channel source image. Keyword Arguments mask : Evision.Mat.t() . Optional mask to select a sub-matrix. Return minVal : double* . Pointer to the returned minimum value. Use NULL if not required. maxVal : double* . Pointer to the returned maximum value. Use NULL if not required. The function does not work with CV_64F images on GPUs with the compute capability \\&lt; 1.3. @sa minMaxLoc Python prototype (for reference only): minMax(src[, mask]) -&gt; minVal, maxVal Variant 2: Finds global minimum and maximum matrix elements and returns their values. Positional Arguments src : Evision.CUDA.GpuMat.t() . Single-channel source image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional mask to select a sub-matrix. Return minVal : double* . Pointer to the returned minimum value. Use NULL if not required. maxVal : double* . Pointer to the returned maximum value. Use NULL if not required. The function does not work with CV_64F images on GPUs with the compute capability \\&lt; 1.3. @sa minMaxLoc Python prototype (for reference only): minMax(src[, mask]) -&gt; minVal, maxVal","ref":"Evision.CUDA.html#minMax/1","title":"Evision.CUDA.minMax/1","type":"function"},{"doc":"Variant 1: Finds global minimum and maximum matrix elements and returns their values. Positional Arguments src : Evision.Mat.t() . Single-channel source image. Keyword Arguments mask : Evision.Mat.t() . Optional mask to select a sub-matrix. Return minVal : double* . Pointer to the returned minimum value. Use NULL if not required. maxVal : double* . Pointer to the returned maximum value. Use NULL if not required. The function does not work with CV_64F images on GPUs with the compute capability \\&lt; 1.3. @sa minMaxLoc Python prototype (for reference only): minMax(src[, mask]) -&gt; minVal, maxVal Variant 2: Finds global minimum and maximum matrix elements and returns their values. Positional Arguments src : Evision.CUDA.GpuMat.t() . Single-channel source image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional mask to select a sub-matrix. Return minVal : double* . Pointer to the returned minimum value. Use NULL if not required. maxVal : double* . Pointer to the returned maximum value. Use NULL if not required. The function does not work with CV_64F images on GPUs with the compute capability \\&lt; 1.3. @sa minMaxLoc Python prototype (for reference only): minMax(src[, mask]) -&gt; minVal, maxVal","ref":"Evision.CUDA.html#minMax/2","title":"Evision.CUDA.minMax/2","type":"function"},{"doc":"Variant 1: Finds global minimum and maximum matrix elements and returns their values with locations. Positional Arguments src : Evision.Mat.t() . Single-channel source image. Keyword Arguments mask : Evision.Mat.t() . Optional mask to select a sub-matrix. Return minVal : double* . Pointer to the returned minimum value. Use NULL if not required. maxVal : double* . Pointer to the returned maximum value. Use NULL if not required. minLoc : Point* . Pointer to the returned minimum location. Use NULL if not required. maxLoc : Point* . Pointer to the returned maximum location. Use NULL if not required. The function does not work with CV_64F images on GPU with the compute capability \\&lt; 1.3. @sa minMaxLoc Python prototype (for reference only): minMaxLoc(src[, mask]) -&gt; minVal, maxVal, minLoc, maxLoc Variant 2: Finds global minimum and maximum matrix elements and returns their values with locations. Positional Arguments src : Evision.CUDA.GpuMat.t() . Single-channel source image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional mask to select a sub-matrix. Return minVal : double* . Pointer to the returned minimum value. Use NULL if not required. maxVal : double* . Pointer to the returned maximum value. Use NULL if not required. minLoc : Point* . Pointer to the returned minimum location. Use NULL if not required. maxLoc : Point* . Pointer to the returned maximum location. Use NULL if not required. The function does not work with CV_64F images on GPU with the compute capability \\&lt; 1.3. @sa minMaxLoc Python prototype (for reference only): minMaxLoc(src[, mask]) -&gt; minVal, maxVal, minLoc, maxLoc","ref":"Evision.CUDA.html#minMaxLoc/1","title":"Evision.CUDA.minMaxLoc/1","type":"function"},{"doc":"Variant 1: Finds global minimum and maximum matrix elements and returns their values with locations. Positional Arguments src : Evision.Mat.t() . Single-channel source image. Keyword Arguments mask : Evision.Mat.t() . Optional mask to select a sub-matrix. Return minVal : double* . Pointer to the returned minimum value. Use NULL if not required. maxVal : double* . Pointer to the returned maximum value. Use NULL if not required. minLoc : Point* . Pointer to the returned minimum location. Use NULL if not required. maxLoc : Point* . Pointer to the returned maximum location. Use NULL if not required. The function does not work with CV_64F images on GPU with the compute capability \\&lt; 1.3. @sa minMaxLoc Python prototype (for reference only): minMaxLoc(src[, mask]) -&gt; minVal, maxVal, minLoc, maxLoc Variant 2: Finds global minimum and maximum matrix elements and returns their values with locations. Positional Arguments src : Evision.CUDA.GpuMat.t() . Single-channel source image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional mask to select a sub-matrix. Return minVal : double* . Pointer to the returned minimum value. Use NULL if not required. maxVal : double* . Pointer to the returned maximum value. Use NULL if not required. minLoc : Point* . Pointer to the returned minimum location. Use NULL if not required. maxLoc : Point* . Pointer to the returned maximum location. Use NULL if not required. The function does not work with CV_64F images on GPU with the compute capability \\&lt; 1.3. @sa minMaxLoc Python prototype (for reference only): minMaxLoc(src[, mask]) -&gt; minVal, maxVal, minLoc, maxLoc","ref":"Evision.CUDA.html#minMaxLoc/2","title":"Evision.CUDA.minMaxLoc/2","type":"function"},{"doc":"Variant 1: Performs a per-element multiplication of two Fourier spectrums and scales the result. Positional Arguments src1 : Evision.Mat.t() . First spectrum. src2 : Evision.Mat.t() . Second spectrum with the same size and type as a . flags : int . Mock parameter used for CPU/CUDA interfaces similarity, simply add a 0 value. scale : float . Scale constant. Keyword Arguments conjB : bool . Optional flag to specify if the second spectrum needs to be conjugated before the multiplication. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination spectrum. Only full (not packed) CV_32FC2 complex spectrums in the interleaved format are supported for now. @sa mulSpectrums Python prototype (for reference only): mulAndScaleSpectrums(src1, src2, flags, scale[, dst[, conjB[, stream]]]) -&gt; dst Variant 2: Performs a per-element multiplication of two Fourier spectrums and scales the result. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First spectrum. src2 : Evision.CUDA.GpuMat.t() . Second spectrum with the same size and type as a . flags : int . Mock parameter used for CPU/CUDA interfaces similarity, simply add a 0 value. scale : float . Scale constant. Keyword Arguments conjB : bool . Optional flag to specify if the second spectrum needs to be conjugated before the multiplication. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination spectrum. Only full (not packed) CV_32FC2 complex spectrums in the interleaved format are supported for now. @sa mulSpectrums Python prototype (for reference only): mulAndScaleSpectrums(src1, src2, flags, scale[, dst[, conjB[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#mulAndScaleSpectrums/4","title":"Evision.CUDA.mulAndScaleSpectrums/4","type":"function"},{"doc":"Variant 1: Performs a per-element multiplication of two Fourier spectrums and scales the result. Positional Arguments src1 : Evision.Mat.t() . First spectrum. src2 : Evision.Mat.t() . Second spectrum with the same size and type as a . flags : int . Mock parameter used for CPU/CUDA interfaces similarity, simply add a 0 value. scale : float . Scale constant. Keyword Arguments conjB : bool . Optional flag to specify if the second spectrum needs to be conjugated before the multiplication. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination spectrum. Only full (not packed) CV_32FC2 complex spectrums in the interleaved format are supported for now. @sa mulSpectrums Python prototype (for reference only): mulAndScaleSpectrums(src1, src2, flags, scale[, dst[, conjB[, stream]]]) -&gt; dst Variant 2: Performs a per-element multiplication of two Fourier spectrums and scales the result. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First spectrum. src2 : Evision.CUDA.GpuMat.t() . Second spectrum with the same size and type as a . flags : int . Mock parameter used for CPU/CUDA interfaces similarity, simply add a 0 value. scale : float . Scale constant. Keyword Arguments conjB : bool . Optional flag to specify if the second spectrum needs to be conjugated before the multiplication. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination spectrum. Only full (not packed) CV_32FC2 complex spectrums in the interleaved format are supported for now. @sa mulSpectrums Python prototype (for reference only): mulAndScaleSpectrums(src1, src2, flags, scale[, dst[, conjB[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#mulAndScaleSpectrums/5","title":"Evision.CUDA.mulAndScaleSpectrums/5","type":"function"},{"doc":"Variant 1: Performs a per-element multiplication of two Fourier spectrums. Positional Arguments src1 : Evision.Mat.t() . First spectrum. src2 : Evision.Mat.t() . Second spectrum with the same size and type as a . flags : int . Mock parameter used for CPU/CUDA interfaces similarity. Keyword Arguments conjB : bool . Optional flag to specify if the second spectrum needs to be conjugated before the multiplication. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination spectrum. Only full (not packed) CV_32FC2 complex spectrums in the interleaved format are supported for now. @sa mulSpectrums Python prototype (for reference only): mulSpectrums(src1, src2, flags[, dst[, conjB[, stream]]]) -&gt; dst Variant 2: Performs a per-element multiplication of two Fourier spectrums. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First spectrum. src2 : Evision.CUDA.GpuMat.t() . Second spectrum with the same size and type as a . flags : int . Mock parameter used for CPU/CUDA interfaces similarity. Keyword Arguments conjB : bool . Optional flag to specify if the second spectrum needs to be conjugated before the multiplication. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination spectrum. Only full (not packed) CV_32FC2 complex spectrums in the interleaved format are supported for now. @sa mulSpectrums Python prototype (for reference only): mulSpectrums(src1, src2, flags[, dst[, conjB[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#mulSpectrums/3","title":"Evision.CUDA.mulSpectrums/3","type":"function"},{"doc":"Variant 1: Performs a per-element multiplication of two Fourier spectrums. Positional Arguments src1 : Evision.Mat.t() . First spectrum. src2 : Evision.Mat.t() . Second spectrum with the same size and type as a . flags : int . Mock parameter used for CPU/CUDA interfaces similarity. Keyword Arguments conjB : bool . Optional flag to specify if the second spectrum needs to be conjugated before the multiplication. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination spectrum. Only full (not packed) CV_32FC2 complex spectrums in the interleaved format are supported for now. @sa mulSpectrums Python prototype (for reference only): mulSpectrums(src1, src2, flags[, dst[, conjB[, stream]]]) -&gt; dst Variant 2: Performs a per-element multiplication of two Fourier spectrums. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First spectrum. src2 : Evision.CUDA.GpuMat.t() . Second spectrum with the same size and type as a . flags : int . Mock parameter used for CPU/CUDA interfaces similarity. Keyword Arguments conjB : bool . Optional flag to specify if the second spectrum needs to be conjugated before the multiplication. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination spectrum. Only full (not packed) CV_32FC2 complex spectrums in the interleaved format are supported for now. @sa mulSpectrums Python prototype (for reference only): mulSpectrums(src1, src2, flags[, dst[, conjB[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#mulSpectrums/4","title":"Evision.CUDA.mulSpectrums/4","type":"function"},{"doc":"Variant 1: Computes a matrix-matrix or matrix-scalar per-element product. Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Keyword Arguments scale : double . Optional scale factor. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa multiply Python prototype (for reference only): multiply(src1, src2[, dst[, scale[, dtype[, stream]]]]) -&gt; dst Variant 2: Computes a matrix-matrix or matrix-scalar per-element product. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Keyword Arguments scale : double . Optional scale factor. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa multiply Python prototype (for reference only): multiply(src1, src2[, dst[, scale[, dtype[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#multiply/2","title":"Evision.CUDA.multiply/2","type":"function"},{"doc":"Variant 1: Computes a matrix-matrix or matrix-scalar per-element product. Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Keyword Arguments scale : double . Optional scale factor. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa multiply Python prototype (for reference only): multiply(src1, src2[, dst[, scale[, dtype[, stream]]]]) -&gt; dst Variant 2: Computes a matrix-matrix or matrix-scalar per-element product. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Keyword Arguments scale : double . Optional scale factor. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa multiply Python prototype (for reference only): multiply(src1, src2[, dst[, scale[, dtype[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#multiply/3","title":"Evision.CUDA.multiply/3","type":"function"},{"doc":"Performs pure non local means denoising without any simplification, and thus it is not fast. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Supports only CV_8UC1, CV_8UC2 and CV_8UC3. h : float . Filter sigma regulating filter strength for color. Keyword Arguments search_window : int . Size of search window. block_size : int . Size of block used for computing weights. borderMode : int . Border type. See borderInterpolate for details. BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. @sa fastNlMeansDenoising Python prototype (for reference only): nonLocalMeans(src, h[, dst[, search_window[, block_size[, borderMode[, stream]]]]]) -&gt; dst","ref":"Evision.CUDA.html#nonLocalMeans/2","title":"Evision.CUDA.nonLocalMeans/2","type":"function"},{"doc":"Performs pure non local means denoising without any simplification, and thus it is not fast. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Supports only CV_8UC1, CV_8UC2 and CV_8UC3. h : float . Filter sigma regulating filter strength for color. Keyword Arguments search_window : int . Size of search window. block_size : int . Size of block used for computing weights. borderMode : int . Border type. See borderInterpolate for details. BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. @sa fastNlMeansDenoising Python prototype (for reference only): nonLocalMeans(src, h[, dst[, search_window[, block_size[, borderMode[, stream]]]]]) -&gt; dst","ref":"Evision.CUDA.html#nonLocalMeans/3","title":"Evision.CUDA.nonLocalMeans/3","type":"function"},{"doc":"Variant 1: Returns the difference of two matrices. Positional Arguments src1 : Evision.Mat.t() . Source matrix. Any matrices except 64F are supported. src2 : Evision.Mat.t() . Second source matrix (if any) with the same size and type as src1. Keyword Arguments normType : int . Norm type. NORM_L1 , NORM_L2 , and NORM_INF are supported for now. Return retval : double @sa norm Python prototype (for reference only): norm(src1, src2[, normType]) -&gt; retval Variant 2: Returns the difference of two matrices. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . Source matrix. Any matrices except 64F are supported. src2 : Evision.CUDA.GpuMat.t() . Second source matrix (if any) with the same size and type as src1. Keyword Arguments normType : int . Norm type. NORM_L1 , NORM_L2 , and NORM_INF are supported for now. Return retval : double @sa norm Python prototype (for reference only): norm(src1, src2[, normType]) -&gt; retval Variant 3: Returns the norm of a matrix (or difference of two matrices). Positional Arguments src1 : Evision.Mat.t() . Source matrix. Any matrices except 64F are supported. normType : int . Norm type. NORM_L1 , NORM_L2 , and NORM_INF are supported for now. Keyword Arguments mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : double @sa norm Python prototype (for reference only): norm(src1, normType[, mask]) -&gt; retval Variant 4: Returns the norm of a matrix (or difference of two matrices). Positional Arguments src1 : Evision.CUDA.GpuMat.t() . Source matrix. Any matrices except 64F are supported. normType : int . Norm type. NORM_L1 , NORM_L2 , and NORM_INF are supported for now. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : double @sa norm Python prototype (for reference only): norm(src1, normType[, mask]) -&gt; retval","ref":"Evision.CUDA.html#norm/2","title":"Evision.CUDA.norm/2","type":"function"},{"doc":"Variant 1: Returns the difference of two matrices. Positional Arguments src1 : Evision.Mat.t() . Source matrix. Any matrices except 64F are supported. src2 : Evision.Mat.t() . Second source matrix (if any) with the same size and type as src1. Keyword Arguments normType : int . Norm type. NORM_L1 , NORM_L2 , and NORM_INF are supported for now. Return retval : double @sa norm Python prototype (for reference only): norm(src1, src2[, normType]) -&gt; retval Variant 2: Returns the difference of two matrices. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . Source matrix. Any matrices except 64F are supported. src2 : Evision.CUDA.GpuMat.t() . Second source matrix (if any) with the same size and type as src1. Keyword Arguments normType : int . Norm type. NORM_L1 , NORM_L2 , and NORM_INF are supported for now. Return retval : double @sa norm Python prototype (for reference only): norm(src1, src2[, normType]) -&gt; retval Variant 3: Returns the norm of a matrix (or difference of two matrices). Positional Arguments src1 : Evision.Mat.t() . Source matrix. Any matrices except 64F are supported. normType : int . Norm type. NORM_L1 , NORM_L2 , and NORM_INF are supported for now. Keyword Arguments mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : double @sa norm Python prototype (for reference only): norm(src1, normType[, mask]) -&gt; retval Variant 4: Returns the norm of a matrix (or difference of two matrices). Positional Arguments src1 : Evision.CUDA.GpuMat.t() . Source matrix. Any matrices except 64F are supported. normType : int . Norm type. NORM_L1 , NORM_L2 , and NORM_INF are supported for now. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : double @sa norm Python prototype (for reference only): norm(src1, normType[, mask]) -&gt; retval","ref":"Evision.CUDA.html#norm/3","title":"Evision.CUDA.norm/3","type":"function"},{"doc":"Variant 1: Normalizes the norm or value range of an array. Positional Arguments src : Evision.Mat.t() . Input array. alpha : double . Norm value to normalize to or the lower range boundary in case of the range normalization. beta : double . Upper range boundary in case of the range normalization; it is not used for the norm normalization. norm_type : int . Normalization type ( NORM_MINMAX , NORM_L2 , NORM_L1 or NORM_INF ). dtype : int . When negative, the output array has the same type as src; otherwise, it has the same number of channels as src and the depth =CV_MAT_DEPTH(dtype). Keyword Arguments mask : Evision.Mat.t() . Optional operation mask. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Output array of the same size as src . @sa normalize Python prototype (for reference only): normalize(src, alpha, beta, norm_type, dtype[, dst[, mask[, stream]]]) -&gt; dst Variant 2: Normalizes the norm or value range of an array. Positional Arguments src : Evision.CUDA.GpuMat.t() . Input array. alpha : double . Norm value to normalize to or the lower range boundary in case of the range normalization. beta : double . Upper range boundary in case of the range normalization; it is not used for the norm normalization. norm_type : int . Normalization type ( NORM_MINMAX , NORM_L2 , NORM_L1 or NORM_INF ). dtype : int . When negative, the output array has the same type as src; otherwise, it has the same number of channels as src and the depth =CV_MAT_DEPTH(dtype). Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional operation mask. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Output array of the same size as src . @sa normalize Python prototype (for reference only): normalize(src, alpha, beta, norm_type, dtype[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#normalize/5","title":"Evision.CUDA.normalize/5","type":"function"},{"doc":"Variant 1: Normalizes the norm or value range of an array. Positional Arguments src : Evision.Mat.t() . Input array. alpha : double . Norm value to normalize to or the lower range boundary in case of the range normalization. beta : double . Upper range boundary in case of the range normalization; it is not used for the norm normalization. norm_type : int . Normalization type ( NORM_MINMAX , NORM_L2 , NORM_L1 or NORM_INF ). dtype : int . When negative, the output array has the same type as src; otherwise, it has the same number of channels as src and the depth =CV_MAT_DEPTH(dtype). Keyword Arguments mask : Evision.Mat.t() . Optional operation mask. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Output array of the same size as src . @sa normalize Python prototype (for reference only): normalize(src, alpha, beta, norm_type, dtype[, dst[, mask[, stream]]]) -&gt; dst Variant 2: Normalizes the norm or value range of an array. Positional Arguments src : Evision.CUDA.GpuMat.t() . Input array. alpha : double . Norm value to normalize to or the lower range boundary in case of the range normalization. beta : double . Upper range boundary in case of the range normalization; it is not used for the norm normalization. norm_type : int . Normalization type ( NORM_MINMAX , NORM_L2 , NORM_L1 or NORM_INF ). dtype : int . When negative, the output array has the same type as src; otherwise, it has the same number of channels as src and the depth =CV_MAT_DEPTH(dtype). Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional operation mask. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Output array of the same size as src . @sa normalize Python prototype (for reference only): normalize(src, alpha, beta, norm_type, dtype[, dst[, mask[, stream]]]) -&gt; dst","ref":"Evision.CUDA.html#normalize/6","title":"Evision.CUDA.normalize/6","type":"function"},{"doc":"Variant 1: Computes polar angles of complex matrix elements. Positional Arguments x : Evision.Mat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.Mat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments angleInDegrees : bool . Flag for angles that must be evaluated in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return angle : Evision.Mat.t() . Destination matrix of angles ( CV_32FC1 ). @sa phase Python prototype (for reference only): phase(x, y[, angle[, angleInDegrees[, stream]]]) -&gt; angle Variant 2: Computes polar angles of complex matrix elements. Positional Arguments x : Evision.CUDA.GpuMat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.CUDA.GpuMat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments angleInDegrees : bool . Flag for angles that must be evaluated in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return angle : Evision.CUDA.GpuMat.t() . Destination matrix of angles ( CV_32FC1 ). @sa phase Python prototype (for reference only): phase(x, y[, angle[, angleInDegrees[, stream]]]) -&gt; angle","ref":"Evision.CUDA.html#phase/2","title":"Evision.CUDA.phase/2","type":"function"},{"doc":"Variant 1: Computes polar angles of complex matrix elements. Positional Arguments x : Evision.Mat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.Mat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments angleInDegrees : bool . Flag for angles that must be evaluated in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return angle : Evision.Mat.t() . Destination matrix of angles ( CV_32FC1 ). @sa phase Python prototype (for reference only): phase(x, y[, angle[, angleInDegrees[, stream]]]) -&gt; angle Variant 2: Computes polar angles of complex matrix elements. Positional Arguments x : Evision.CUDA.GpuMat.t() . Source matrix containing real components ( CV_32FC1 ). y : Evision.CUDA.GpuMat.t() . Source matrix containing imaginary components ( CV_32FC1 ). Keyword Arguments angleInDegrees : bool . Flag for angles that must be evaluated in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return angle : Evision.CUDA.GpuMat.t() . Destination matrix of angles ( CV_32FC1 ). @sa phase Python prototype (for reference only): phase(x, y[, angle[, angleInDegrees[, stream]]]) -&gt; angle","ref":"Evision.CUDA.html#phase/3","title":"Evision.CUDA.phase/3","type":"function"},{"doc":"Variant 1: Converts polar coordinates into Cartesian. Positional Arguments magnitude : Evision.Mat.t() . Source matrix containing magnitudes ( CV_32FC1 or CV_64FC1 ). angle : Evision.Mat.t() . Source matrix containing angles ( same type as magnitude ). Keyword Arguments angleInDegrees : bool . Flag that indicates angles in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return x : Evision.Mat.t() . Destination matrix of real components ( same type as magnitude ). y : Evision.Mat.t() . Destination matrix of imaginary components ( same type as magnitude ). Python prototype (for reference only): polarToCart(magnitude, angle[, x[, y[, angleInDegrees[, stream]]]]) -&gt; x, y Variant 2: Converts polar coordinates into Cartesian. Positional Arguments magnitude : Evision.CUDA.GpuMat.t() . Source matrix containing magnitudes ( CV_32FC1 or CV_64FC1 ). angle : Evision.CUDA.GpuMat.t() . Source matrix containing angles ( same type as magnitude ). Keyword Arguments angleInDegrees : bool . Flag that indicates angles in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return x : Evision.CUDA.GpuMat.t() . Destination matrix of real components ( same type as magnitude ). y : Evision.CUDA.GpuMat.t() . Destination matrix of imaginary components ( same type as magnitude ). Python prototype (for reference only): polarToCart(magnitude, angle[, x[, y[, angleInDegrees[, stream]]]]) -&gt; x, y","ref":"Evision.CUDA.html#polarToCart/2","title":"Evision.CUDA.polarToCart/2","type":"function"},{"doc":"Variant 1: Converts polar coordinates into Cartesian. Positional Arguments magnitude : Evision.Mat.t() . Source matrix containing magnitudes ( CV_32FC1 or CV_64FC1 ). angle : Evision.Mat.t() . Source matrix containing angles ( same type as magnitude ). Keyword Arguments angleInDegrees : bool . Flag that indicates angles in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return x : Evision.Mat.t() . Destination matrix of real components ( same type as magnitude ). y : Evision.Mat.t() . Destination matrix of imaginary components ( same type as magnitude ). Python prototype (for reference only): polarToCart(magnitude, angle[, x[, y[, angleInDegrees[, stream]]]]) -&gt; x, y Variant 2: Converts polar coordinates into Cartesian. Positional Arguments magnitude : Evision.CUDA.GpuMat.t() . Source matrix containing magnitudes ( CV_32FC1 or CV_64FC1 ). angle : Evision.CUDA.GpuMat.t() . Source matrix containing angles ( same type as magnitude ). Keyword Arguments angleInDegrees : bool . Flag that indicates angles in degrees. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return x : Evision.CUDA.GpuMat.t() . Destination matrix of real components ( same type as magnitude ). y : Evision.CUDA.GpuMat.t() . Destination matrix of imaginary components ( same type as magnitude ). Python prototype (for reference only): polarToCart(magnitude, angle[, x[, y[, angleInDegrees[, stream]]]]) -&gt; x, y","ref":"Evision.CUDA.html#polarToCart/3","title":"Evision.CUDA.polarToCart/3","type":"function"},{"doc":"Variant 1: Raises every matrix element to a power. Positional Arguments src : Evision.Mat.t() . Source matrix. power : double . Exponent of power. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . The function pow raises every element of the input matrix to power : \\f[\\texttt{dst} (I) = \\fork{\\texttt{src}(I)^power}{if \\texttt{power} is integer}{|\\texttt{src}(I)|^power}{otherwise}\\f] @sa pow Python prototype (for reference only): pow(src, power[, dst[, stream]]) -&gt; dst Variant 2: Raises every matrix element to a power. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. power : double . Exponent of power. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . The function pow raises every element of the input matrix to power : \\f[\\texttt{dst} (I) = \\fork{\\texttt{src}(I)^power}{if \\texttt{power} is integer}{|\\texttt{src}(I)|^power}{otherwise}\\f] @sa pow Python prototype (for reference only): pow(src, power[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#pow/2","title":"Evision.CUDA.pow/2","type":"function"},{"doc":"Variant 1: Raises every matrix element to a power. Positional Arguments src : Evision.Mat.t() . Source matrix. power : double . Exponent of power. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . The function pow raises every element of the input matrix to power : \\f[\\texttt{dst} (I) = \\fork{\\texttt{src}(I)^power}{if \\texttt{power} is integer}{|\\texttt{src}(I)|^power}{otherwise}\\f] @sa pow Python prototype (for reference only): pow(src, power[, dst[, stream]]) -&gt; dst Variant 2: Raises every matrix element to a power. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. power : double . Exponent of power. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . The function pow raises every element of the input matrix to power : \\f[\\texttt{dst} (I) = \\fork{\\texttt{src}(I)^power}{if \\texttt{power} is integer}{|\\texttt{src}(I)|^power}{otherwise}\\f] @sa pow Python prototype (for reference only): pow(src, power[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#pow/3","title":"Evision.CUDA.pow/3","type":"function"},{"doc":"printCudaDeviceInfo Positional Arguments device : int Python prototype (for reference only): printCudaDeviceInfo(device) -&gt; None","ref":"Evision.CUDA.html#printCudaDeviceInfo/1","title":"Evision.CUDA.printCudaDeviceInfo/1","type":"function"},{"doc":"printShortCudaDeviceInfo Positional Arguments device : int Python prototype (for reference only): printShortCudaDeviceInfo(device) -&gt; None","ref":"Evision.CUDA.html#printShortCudaDeviceInfo/1","title":"Evision.CUDA.printShortCudaDeviceInfo/1","type":"function"},{"doc":"Variant 1: Smoothes an image and downsamples it. Positional Arguments src : Evision.Mat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. Will have Size((src.cols+1)/2, (src.rows+1)/2) size and the same type as src . @sa pyrDown Python prototype (for reference only): pyrDown(src[, dst[, stream]]) -&gt; dst Variant 2: Smoothes an image and downsamples it. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. Will have Size((src.cols+1)/2, (src.rows+1)/2) size and the same type as src . @sa pyrDown Python prototype (for reference only): pyrDown(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#pyrDown/1","title":"Evision.CUDA.pyrDown/1","type":"function"},{"doc":"Variant 1: Smoothes an image and downsamples it. Positional Arguments src : Evision.Mat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. Will have Size((src.cols+1)/2, (src.rows+1)/2) size and the same type as src . @sa pyrDown Python prototype (for reference only): pyrDown(src[, dst[, stream]]) -&gt; dst Variant 2: Smoothes an image and downsamples it. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. Will have Size((src.cols+1)/2, (src.rows+1)/2) size and the same type as src . @sa pyrDown Python prototype (for reference only): pyrDown(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#pyrDown/2","title":"Evision.CUDA.pyrDown/2","type":"function"},{"doc":"Variant 1: Upsamples an image and then smoothes it. Positional Arguments src : Evision.Mat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. Will have Size(src.cols*2, src.rows*2) size and the same type as src . Python prototype (for reference only): pyrUp(src[, dst[, stream]]) -&gt; dst Variant 2: Upsamples an image and then smoothes it. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. Will have Size(src.cols*2, src.rows*2) size and the same type as src . Python prototype (for reference only): pyrUp(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#pyrUp/1","title":"Evision.CUDA.pyrUp/1","type":"function"},{"doc":"Variant 1: Upsamples an image and then smoothes it. Positional Arguments src : Evision.Mat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. Will have Size(src.cols*2, src.rows*2) size and the same type as src . Python prototype (for reference only): pyrUp(src[, dst[, stream]]) -&gt; dst Variant 2: Upsamples an image and then smoothes it. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. Will have Size(src.cols*2, src.rows*2) size and the same type as src . Python prototype (for reference only): pyrUp(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#pyrUp/2","title":"Evision.CUDA.pyrUp/2","type":"function"},{"doc":"Variant 1: Computes a standard deviation of integral images. Positional Arguments src : Evision.Mat.t() . Source image. Only the CV_32SC1 type is supported. sqr : Evision.Mat.t() . Squared source image. Only the CV_32FC1 type is supported. rect : Rect . Rectangular window. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image with the same type and size as src. Python prototype (for reference only): rectStdDev(src, sqr, rect[, dst[, stream]]) -&gt; dst Variant 2: Computes a standard deviation of integral images. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only the CV_32SC1 type is supported. sqr : Evision.CUDA.GpuMat.t() . Squared source image. Only the CV_32FC1 type is supported. rect : Rect . Rectangular window. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image with the same type and size as src. Python prototype (for reference only): rectStdDev(src, sqr, rect[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#rectStdDev/3","title":"Evision.CUDA.rectStdDev/3","type":"function"},{"doc":"Variant 1: Computes a standard deviation of integral images. Positional Arguments src : Evision.Mat.t() . Source image. Only the CV_32SC1 type is supported. sqr : Evision.Mat.t() . Squared source image. Only the CV_32FC1 type is supported. rect : Rect . Rectangular window. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image with the same type and size as src. Python prototype (for reference only): rectStdDev(src, sqr, rect[, dst[, stream]]) -&gt; dst Variant 2: Computes a standard deviation of integral images. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only the CV_32SC1 type is supported. sqr : Evision.CUDA.GpuMat.t() . Squared source image. Only the CV_32FC1 type is supported. rect : Rect . Rectangular window. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image with the same type and size as src. Python prototype (for reference only): rectStdDev(src, sqr, rect[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#rectStdDev/4","title":"Evision.CUDA.rectStdDev/4","type":"function"},{"doc":"Variant 1: Reduces a matrix to a vector. Positional Arguments mtx : Evision.Mat.t() . Source 2D matrix. dim : int . Dimension index along which the matrix is reduced. 0 means that the matrix is reduced to a single row. 1 means that the matrix is reduced to a single column. reduceOp : int . Reduction operation that could be one of the following: REDUCE_SUM The output is the sum of all rows/columns of the matrix. REDUCE_AVG The output is the mean vector of all rows/columns of the matrix. REDUCE_MAX The output is the maximum (column/row-wise) of all rows/columns of the matrix. REDUCE_MIN The output is the minimum (column/row-wise) of all rows/columns of the matrix. Keyword Arguments dtype : int . When it is negative, the destination vector will have the same type as the source matrix. Otherwise, its type will be CV_MAKE_TYPE(CV_MAT_DEPTH(dtype), mtx.channels()) . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return vec : Evision.Mat.t() . Destination vector. Its size and type is defined by dim and dtype parameters. The function reduce reduces the matrix to a vector by treating the matrix rows/columns as a set of 1D vectors and performing the specified operation on the vectors until a single row/column is obtained. For example, the function can be used to compute horizontal and vertical projections of a raster image. In case of REDUCE_SUM and REDUCE_AVG , the output may have a larger element bit-depth to preserve accuracy. And multi-channel arrays are also supported in these two reduction modes. @sa reduce Python prototype (for reference only): reduce(mtx, dim, reduceOp[, vec[, dtype[, stream]]]) -&gt; vec Variant 2: Reduces a matrix to a vector. Positional Arguments mtx : Evision.CUDA.GpuMat.t() . Source 2D matrix. dim : int . Dimension index along which the matrix is reduced. 0 means that the matrix is reduced to a single row. 1 means that the matrix is reduced to a single column. reduceOp : int . Reduction operation that could be one of the following: REDUCE_SUM The output is the sum of all rows/columns of the matrix. REDUCE_AVG The output is the mean vector of all rows/columns of the matrix. REDUCE_MAX The output is the maximum (column/row-wise) of all rows/columns of the matrix. REDUCE_MIN The output is the minimum (column/row-wise) of all rows/columns of the matrix. Keyword Arguments dtype : int . When it is negative, the destination vector will have the same type as the source matrix. Otherwise, its type will be CV_MAKE_TYPE(CV_MAT_DEPTH(dtype), mtx.channels()) . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return vec : Evision.CUDA.GpuMat.t() . Destination vector. Its size and type is defined by dim and dtype parameters. The function reduce reduces the matrix to a vector by treating the matrix rows/columns as a set of 1D vectors and performing the specified operation on the vectors until a single row/column is obtained. For example, the function can be used to compute horizontal and vertical projections of a raster image. In case of REDUCE_SUM and REDUCE_AVG , the output may have a larger element bit-depth to preserve accuracy. And multi-channel arrays are also supported in these two reduction modes. @sa reduce Python prototype (for reference only): reduce(mtx, dim, reduceOp[, vec[, dtype[, stream]]]) -&gt; vec","ref":"Evision.CUDA.html#reduce/3","title":"Evision.CUDA.reduce/3","type":"function"},{"doc":"Variant 1: Reduces a matrix to a vector. Positional Arguments mtx : Evision.Mat.t() . Source 2D matrix. dim : int . Dimension index along which the matrix is reduced. 0 means that the matrix is reduced to a single row. 1 means that the matrix is reduced to a single column. reduceOp : int . Reduction operation that could be one of the following: REDUCE_SUM The output is the sum of all rows/columns of the matrix. REDUCE_AVG The output is the mean vector of all rows/columns of the matrix. REDUCE_MAX The output is the maximum (column/row-wise) of all rows/columns of the matrix. REDUCE_MIN The output is the minimum (column/row-wise) of all rows/columns of the matrix. Keyword Arguments dtype : int . When it is negative, the destination vector will have the same type as the source matrix. Otherwise, its type will be CV_MAKE_TYPE(CV_MAT_DEPTH(dtype), mtx.channels()) . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return vec : Evision.Mat.t() . Destination vector. Its size and type is defined by dim and dtype parameters. The function reduce reduces the matrix to a vector by treating the matrix rows/columns as a set of 1D vectors and performing the specified operation on the vectors until a single row/column is obtained. For example, the function can be used to compute horizontal and vertical projections of a raster image. In case of REDUCE_SUM and REDUCE_AVG , the output may have a larger element bit-depth to preserve accuracy. And multi-channel arrays are also supported in these two reduction modes. @sa reduce Python prototype (for reference only): reduce(mtx, dim, reduceOp[, vec[, dtype[, stream]]]) -&gt; vec Variant 2: Reduces a matrix to a vector. Positional Arguments mtx : Evision.CUDA.GpuMat.t() . Source 2D matrix. dim : int . Dimension index along which the matrix is reduced. 0 means that the matrix is reduced to a single row. 1 means that the matrix is reduced to a single column. reduceOp : int . Reduction operation that could be one of the following: REDUCE_SUM The output is the sum of all rows/columns of the matrix. REDUCE_AVG The output is the mean vector of all rows/columns of the matrix. REDUCE_MAX The output is the maximum (column/row-wise) of all rows/columns of the matrix. REDUCE_MIN The output is the minimum (column/row-wise) of all rows/columns of the matrix. Keyword Arguments dtype : int . When it is negative, the destination vector will have the same type as the source matrix. Otherwise, its type will be CV_MAKE_TYPE(CV_MAT_DEPTH(dtype), mtx.channels()) . stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return vec : Evision.CUDA.GpuMat.t() . Destination vector. Its size and type is defined by dim and dtype parameters. The function reduce reduces the matrix to a vector by treating the matrix rows/columns as a set of 1D vectors and performing the specified operation on the vectors until a single row/column is obtained. For example, the function can be used to compute horizontal and vertical projections of a raster image. In case of REDUCE_SUM and REDUCE_AVG , the output may have a larger element bit-depth to preserve accuracy. And multi-channel arrays are also supported in these two reduction modes. @sa reduce Python prototype (for reference only): reduce(mtx, dim, reduceOp[, vec[, dtype[, stream]]]) -&gt; vec","ref":"Evision.CUDA.html#reduce/4","title":"Evision.CUDA.reduce/4","type":"function"},{"doc":"Page-locks the memory of matrix and maps it for the device(s). Positional Arguments m : Evision.Mat.t() . Input matrix. Python prototype (for reference only): registerPageLocked(m) -&gt; None","ref":"Evision.CUDA.html#registerPageLocked/1","title":"Evision.CUDA.registerPageLocked/1","type":"function"},{"doc":"Variant 1: Applies a generic geometrical transformation to an image. Positional Arguments src : Evision.Mat.t() . Source image. xmap : Evision.Mat.t() . X values. Only CV_32FC1 type is supported. ymap : Evision.Mat.t() . Y values. Only CV_32FC1 type is supported. interpolation : int . Interpolation method (see resize ). INTER_NEAREST , INTER_LINEAR and INTER_CUBIC are supported for now. Keyword Arguments borderMode : int . Pixel extrapolation method (see borderInterpolate ). BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. borderValue : Scalar . Value used in case of a constant border. By default, it is 0. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image with the size the same as xmap and the type the same as src . The function transforms the source image using the specified map: \\f[\\texttt{dst} (x,y) = \\texttt{src} (xmap(x,y), ymap(x,y))\\f] Values of pixels with non-integer coordinates are computed using the bilinear interpolation. @sa remap Python prototype (for reference only): remap(src, xmap, ymap, interpolation[, dst[, borderMode[, borderValue[, stream]]]]) -&gt; dst Variant 2: Applies a generic geometrical transformation to an image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. xmap : Evision.CUDA.GpuMat.t() . X values. Only CV_32FC1 type is supported. ymap : Evision.CUDA.GpuMat.t() . Y values. Only CV_32FC1 type is supported. interpolation : int . Interpolation method (see resize ). INTER_NEAREST , INTER_LINEAR and INTER_CUBIC are supported for now. Keyword Arguments borderMode : int . Pixel extrapolation method (see borderInterpolate ). BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. borderValue : Scalar . Value used in case of a constant border. By default, it is 0. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image with the size the same as xmap and the type the same as src . The function transforms the source image using the specified map: \\f[\\texttt{dst} (x,y) = \\texttt{src} (xmap(x,y), ymap(x,y))\\f] Values of pixels with non-integer coordinates are computed using the bilinear interpolation. @sa remap Python prototype (for reference only): remap(src, xmap, ymap, interpolation[, dst[, borderMode[, borderValue[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#remap/4","title":"Evision.CUDA.remap/4","type":"function"},{"doc":"Variant 1: Applies a generic geometrical transformation to an image. Positional Arguments src : Evision.Mat.t() . Source image. xmap : Evision.Mat.t() . X values. Only CV_32FC1 type is supported. ymap : Evision.Mat.t() . Y values. Only CV_32FC1 type is supported. interpolation : int . Interpolation method (see resize ). INTER_NEAREST , INTER_LINEAR and INTER_CUBIC are supported for now. Keyword Arguments borderMode : int . Pixel extrapolation method (see borderInterpolate ). BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. borderValue : Scalar . Value used in case of a constant border. By default, it is 0. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image with the size the same as xmap and the type the same as src . The function transforms the source image using the specified map: \\f[\\texttt{dst} (x,y) = \\texttt{src} (xmap(x,y), ymap(x,y))\\f] Values of pixels with non-integer coordinates are computed using the bilinear interpolation. @sa remap Python prototype (for reference only): remap(src, xmap, ymap, interpolation[, dst[, borderMode[, borderValue[, stream]]]]) -&gt; dst Variant 2: Applies a generic geometrical transformation to an image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. xmap : Evision.CUDA.GpuMat.t() . X values. Only CV_32FC1 type is supported. ymap : Evision.CUDA.GpuMat.t() . Y values. Only CV_32FC1 type is supported. interpolation : int . Interpolation method (see resize ). INTER_NEAREST , INTER_LINEAR and INTER_CUBIC are supported for now. Keyword Arguments borderMode : int . Pixel extrapolation method (see borderInterpolate ). BORDER_REFLECT101 , BORDER_REPLICATE , BORDER_CONSTANT , BORDER_REFLECT and BORDER_WRAP are supported for now. borderValue : Scalar . Value used in case of a constant border. By default, it is 0. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image with the size the same as xmap and the type the same as src . The function transforms the source image using the specified map: \\f[\\texttt{dst} (x,y) = \\texttt{src} (xmap(x,y), ymap(x,y))\\f] Values of pixels with non-integer coordinates are computed using the bilinear interpolation. @sa remap Python prototype (for reference only): remap(src, xmap, ymap, interpolation[, dst[, borderMode[, borderValue[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#remap/5","title":"Evision.CUDA.remap/5","type":"function"},{"doc":"Reprojects a disparity image to 3D space. Positional Arguments disp : Evision.CUDA.GpuMat.t() . Input single-channel 8-bit unsigned, 16-bit signed, 32-bit signed or 32-bit floating-point disparity image. If 16-bit signed format is used, the values are assumed to have no fractional bits. q : Evision.Mat.t() . \\f$4 \\times 4\\f$ perspective transformation matrix that can be obtained via stereoRectify . Keyword Arguments dst_cn : int . The number of channels for output image. Can be 3 or 4. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return xyzw : Evision.CUDA.GpuMat.t() . Output 3- or 4-channel floating-point image of the same size as disp . Each element of xyzw(x,y) contains 3D coordinates (x,y,z) or (x,y,z,1) of the point (x,y) , computed from the disparity map. @sa reprojectImageTo3D Python prototype (for reference only): reprojectImageTo3D(disp, Q[, xyzw[, dst_cn[, stream]]]) -&gt; xyzw","ref":"Evision.CUDA.html#reprojectImageTo3D/2","title":"Evision.CUDA.reprojectImageTo3D/2","type":"function"},{"doc":"Reprojects a disparity image to 3D space. Positional Arguments disp : Evision.CUDA.GpuMat.t() . Input single-channel 8-bit unsigned, 16-bit signed, 32-bit signed or 32-bit floating-point disparity image. If 16-bit signed format is used, the values are assumed to have no fractional bits. q : Evision.Mat.t() . \\f$4 \\times 4\\f$ perspective transformation matrix that can be obtained via stereoRectify . Keyword Arguments dst_cn : int . The number of channels for output image. Can be 3 or 4. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return xyzw : Evision.CUDA.GpuMat.t() . Output 3- or 4-channel floating-point image of the same size as disp . Each element of xyzw(x,y) contains 3D coordinates (x,y,z) or (x,y,z,1) of the point (x,y) , computed from the disparity map. @sa reprojectImageTo3D Python prototype (for reference only): reprojectImageTo3D(disp, Q[, xyzw[, dst_cn[, stream]]]) -&gt; xyzw","ref":"Evision.CUDA.html#reprojectImageTo3D/3","title":"Evision.CUDA.reprojectImageTo3D/3","type":"function"},{"doc":"Explicitly destroys and cleans up all resources associated with the current device in the current process. Any subsequent API call to this device will reinitialize the device. Python prototype (for reference only): resetDevice() -&gt; None","ref":"Evision.CUDA.html#resetDevice/0","title":"Evision.CUDA.resetDevice/0","type":"function"},{"doc":"Variant 1: Resizes an image. Positional Arguments src : Evision.Mat.t() . Source image. dsize : Size . Destination image size. If it is zero, it is computed as: \\f[\\texttt{dsize = Size(round(fx src.cols), round(fy src.rows))}\\f] Either dsize or both fx and fy must be non-zero. Keyword Arguments fx : double . Scale factor along the horizontal axis. If it is zero, it is computed as: \\f[\\texttt{(double)dsize.width/src.cols}\\f] fy : double . Scale factor along the vertical axis. If it is zero, it is computed as: \\f[\\texttt{(double)dsize.height/src.rows}\\f] interpolation : int . Interpolation method. INTER_NEAREST , INTER_LINEAR and INTER_CUBIC are supported for now. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image with the same type as src . The size is dsize (when it is non-zero) or the size is computed from src.size() , fx , and fy . @sa resize Python prototype (for reference only): resize(src, dsize[, dst[, fx[, fy[, interpolation[, stream]]]]]) -&gt; dst Variant 2: Resizes an image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. dsize : Size . Destination image size. If it is zero, it is computed as: \\f[\\texttt{dsize = Size(round(fx src.cols), round(fy src.rows))}\\f] Either dsize or both fx and fy must be non-zero. Keyword Arguments fx : double . Scale factor along the horizontal axis. If it is zero, it is computed as: \\f[\\texttt{(double)dsize.width/src.cols}\\f] fy : double . Scale factor along the vertical axis. If it is zero, it is computed as: \\f[\\texttt{(double)dsize.height/src.rows}\\f] interpolation : int . Interpolation method. INTER_NEAREST , INTER_LINEAR and INTER_CUBIC are supported for now. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image with the same type as src . The size is dsize (when it is non-zero) or the size is computed from src.size() , fx , and fy . @sa resize Python prototype (for reference only): resize(src, dsize[, dst[, fx[, fy[, interpolation[, stream]]]]]) -&gt; dst","ref":"Evision.CUDA.html#resize/2","title":"Evision.CUDA.resize/2","type":"function"},{"doc":"Variant 1: Resizes an image. Positional Arguments src : Evision.Mat.t() . Source image. dsize : Size . Destination image size. If it is zero, it is computed as: \\f[\\texttt{dsize = Size(round(fx src.cols), round(fy src.rows))}\\f] Either dsize or both fx and fy must be non-zero. Keyword Arguments fx : double . Scale factor along the horizontal axis. If it is zero, it is computed as: \\f[\\texttt{(double)dsize.width/src.cols}\\f] fy : double . Scale factor along the vertical axis. If it is zero, it is computed as: \\f[\\texttt{(double)dsize.height/src.rows}\\f] interpolation : int . Interpolation method. INTER_NEAREST , INTER_LINEAR and INTER_CUBIC are supported for now. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image with the same type as src . The size is dsize (when it is non-zero) or the size is computed from src.size() , fx , and fy . @sa resize Python prototype (for reference only): resize(src, dsize[, dst[, fx[, fy[, interpolation[, stream]]]]]) -&gt; dst Variant 2: Resizes an image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. dsize : Size . Destination image size. If it is zero, it is computed as: \\f[\\texttt{dsize = Size(round(fx src.cols), round(fy src.rows))}\\f] Either dsize or both fx and fy must be non-zero. Keyword Arguments fx : double . Scale factor along the horizontal axis. If it is zero, it is computed as: \\f[\\texttt{(double)dsize.width/src.cols}\\f] fy : double . Scale factor along the vertical axis. If it is zero, it is computed as: \\f[\\texttt{(double)dsize.height/src.rows}\\f] interpolation : int . Interpolation method. INTER_NEAREST , INTER_LINEAR and INTER_CUBIC are supported for now. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image with the same type as src . The size is dsize (when it is non-zero) or the size is computed from src.size() , fx , and fy . @sa resize Python prototype (for reference only): resize(src, dsize[, dst[, fx[, fy[, interpolation[, stream]]]]]) -&gt; dst","ref":"Evision.CUDA.html#resize/3","title":"Evision.CUDA.resize/3","type":"function"},{"doc":"Variant 1: Rotates an image around the origin (0,0) and then shifts it. Positional Arguments src : Evision.Mat.t() . Source image. Supports 1, 3 or 4 channels images with CV_8U , CV_16U or CV_32F depth. dsize : Size . Size of the destination image. angle : double . Angle of rotation in degrees. Keyword Arguments xShift : double . Shift along the horizontal axis. yShift : double . Shift along the vertical axis. interpolation : int . Interpolation method. Only INTER_NEAREST , INTER_LINEAR , and INTER_CUBIC are supported. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image with the same type as src . The size is dsize . @sa cuda::warpAffine Python prototype (for reference only): rotate(src, dsize, angle[, dst[, xShift[, yShift[, interpolation[, stream]]]]]) -&gt; dst Variant 2: Rotates an image around the origin (0,0) and then shifts it. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Supports 1, 3 or 4 channels images with CV_8U , CV_16U or CV_32F depth. dsize : Size . Size of the destination image. angle : double . Angle of rotation in degrees. Keyword Arguments xShift : double . Shift along the horizontal axis. yShift : double . Shift along the vertical axis. interpolation : int . Interpolation method. Only INTER_NEAREST , INTER_LINEAR , and INTER_CUBIC are supported. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image with the same type as src . The size is dsize . @sa cuda::warpAffine Python prototype (for reference only): rotate(src, dsize, angle[, dst[, xShift[, yShift[, interpolation[, stream]]]]]) -&gt; dst","ref":"Evision.CUDA.html#rotate/3","title":"Evision.CUDA.rotate/3","type":"function"},{"doc":"Variant 1: Rotates an image around the origin (0,0) and then shifts it. Positional Arguments src : Evision.Mat.t() . Source image. Supports 1, 3 or 4 channels images with CV_8U , CV_16U or CV_32F depth. dsize : Size . Size of the destination image. angle : double . Angle of rotation in degrees. Keyword Arguments xShift : double . Shift along the horizontal axis. yShift : double . Shift along the vertical axis. interpolation : int . Interpolation method. Only INTER_NEAREST , INTER_LINEAR , and INTER_CUBIC are supported. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image with the same type as src . The size is dsize . @sa cuda::warpAffine Python prototype (for reference only): rotate(src, dsize, angle[, dst[, xShift[, yShift[, interpolation[, stream]]]]]) -&gt; dst Variant 2: Rotates an image around the origin (0,0) and then shifts it. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Supports 1, 3 or 4 channels images with CV_8U , CV_16U or CV_32F depth. dsize : Size . Size of the destination image. angle : double . Angle of rotation in degrees. Keyword Arguments xShift : double . Shift along the horizontal axis. yShift : double . Shift along the vertical axis. interpolation : int . Interpolation method. Only INTER_NEAREST , INTER_LINEAR , and INTER_CUBIC are supported. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image with the same type as src . The size is dsize . @sa cuda::warpAffine Python prototype (for reference only): rotate(src, dsize, angle[, dst[, xShift[, yShift[, interpolation[, stream]]]]]) -&gt; dst","ref":"Evision.CUDA.html#rotate/4","title":"Evision.CUDA.rotate/4","type":"function"},{"doc":"Variant 1: Performs pixel by pixel right shift of an image by a constant value. Positional Arguments src : Evision.Mat.t() . Source matrix. Supports 1, 3 and 4 channels images with integers elements. val : Scalar . Constant values, one per channel. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): rshift(src, val[, dst[, stream]]) -&gt; dst Variant 2: Performs pixel by pixel right shift of an image by a constant value. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Supports 1, 3 and 4 channels images with integers elements. val : Scalar . Constant values, one per channel. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): rshift(src, val[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#rshift/2","title":"Evision.CUDA.rshift/2","type":"function"},{"doc":"Variant 1: Performs pixel by pixel right shift of an image by a constant value. Positional Arguments src : Evision.Mat.t() . Source matrix. Supports 1, 3 and 4 channels images with integers elements. val : Scalar . Constant values, one per channel. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): rshift(src, val[, dst[, stream]]) -&gt; dst Variant 2: Performs pixel by pixel right shift of an image by a constant value. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Supports 1, 3 and 4 channels images with integers elements. val : Scalar . Constant values, one per channel. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): rshift(src, val[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#rshift/3","title":"Evision.CUDA.rshift/3","type":"function"},{"doc":"setBufferPoolConfig Positional Arguments deviceId : int stackSize : size_t stackCount : int Python prototype (for reference only): setBufferPoolConfig(deviceId, stackSize, stackCount) -&gt; None","ref":"Evision.CUDA.html#setBufferPoolConfig/3","title":"Evision.CUDA.setBufferPoolConfig/3","type":"function"},{"doc":"setBufferPoolUsage Positional Arguments on : bool Python prototype (for reference only): setBufferPoolUsage(on) -&gt; None","ref":"Evision.CUDA.html#setBufferPoolUsage/1","title":"Evision.CUDA.setBufferPoolUsage/1","type":"function"},{"doc":"Sets a device and initializes it for the current thread. Positional Arguments device : int . System index of a CUDA device starting with 0. If the call of this function is omitted, a default device is initialized at the fist CUDA usage. Python prototype (for reference only): setDevice(device) -&gt; None","ref":"Evision.CUDA.html#setDevice/1","title":"Evision.CUDA.setDevice/1","type":"function"},{"doc":"Variant 1: split Positional Arguments src : Evision.Mat.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Return dst : [Evision.CUDA.GpuMat] . Has overloading in C++ Python prototype (for reference only): split(src[, dst[, stream]]) -&gt; dst Variant 2: split Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Return dst : [Evision.CUDA.GpuMat] . Has overloading in C++ Python prototype (for reference only): split(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#split/1","title":"Evision.CUDA.split/1","type":"function"},{"doc":"Variant 1: split Positional Arguments src : Evision.Mat.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Return dst : [Evision.CUDA.GpuMat] . Has overloading in C++ Python prototype (for reference only): split(src[, dst[, stream]]) -&gt; dst Variant 2: split Positional Arguments src : Evision.CUDA.GpuMat.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Return dst : [Evision.CUDA.GpuMat] . Has overloading in C++ Python prototype (for reference only): split(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#split/2","title":"Evision.CUDA.split/2","type":"function"},{"doc":"Variant 1: Computes a square value of each matrix element. Positional Arguments src : Evision.Mat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): sqr(src[, dst[, stream]]) -&gt; dst Variant 2: Computes a square value of each matrix element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): sqr(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#sqr/1","title":"Evision.CUDA.sqr/1","type":"function"},{"doc":"Variant 1: Computes a square value of each matrix element. Positional Arguments src : Evision.Mat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): sqr(src[, dst[, stream]]) -&gt; dst Variant 2: Computes a square value of each matrix element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . Python prototype (for reference only): sqr(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#sqr/2","title":"Evision.CUDA.sqr/2","type":"function"},{"doc":"Variant 1: Computes a squared integral image. Positional Arguments src : Evision.Mat.t() . Source image. Only CV_8UC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return sqsum : Evision.Mat.t() . Squared integral image containing 64-bit unsigned integer values packed into CV_64FC1 . Python prototype (for reference only): sqrIntegral(src[, sqsum[, stream]]) -&gt; sqsum Variant 2: Computes a squared integral image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only CV_8UC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return sqsum : Evision.CUDA.GpuMat.t() . Squared integral image containing 64-bit unsigned integer values packed into CV_64FC1 . Python prototype (for reference only): sqrIntegral(src[, sqsum[, stream]]) -&gt; sqsum","ref":"Evision.CUDA.html#sqrIntegral/1","title":"Evision.CUDA.sqrIntegral/1","type":"function"},{"doc":"Variant 1: Computes a squared integral image. Positional Arguments src : Evision.Mat.t() . Source image. Only CV_8UC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return sqsum : Evision.Mat.t() . Squared integral image containing 64-bit unsigned integer values packed into CV_64FC1 . Python prototype (for reference only): sqrIntegral(src[, sqsum[, stream]]) -&gt; sqsum Variant 2: Computes a squared integral image. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image. Only CV_8UC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return sqsum : Evision.CUDA.GpuMat.t() . Squared integral image containing 64-bit unsigned integer values packed into CV_64FC1 . Python prototype (for reference only): sqrIntegral(src[, sqsum[, stream]]) -&gt; sqsum","ref":"Evision.CUDA.html#sqrIntegral/2","title":"Evision.CUDA.sqrIntegral/2","type":"function"},{"doc":"Variant 1: Returns the squared sum of matrix elements. Positional Arguments src : Evision.Mat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar Python prototype (for reference only): sqrSum(src[, mask]) -&gt; retval Variant 2: Returns the squared sum of matrix elements. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.CUDA.GpuMat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar Python prototype (for reference only): sqrSum(src[, mask]) -&gt; retval","ref":"Evision.CUDA.html#sqrSum/1","title":"Evision.CUDA.sqrSum/1","type":"function"},{"doc":"Variant 1: Returns the squared sum of matrix elements. Positional Arguments src : Evision.Mat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar Python prototype (for reference only): sqrSum(src[, mask]) -&gt; retval Variant 2: Returns the squared sum of matrix elements. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.CUDA.GpuMat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar Python prototype (for reference only): sqrSum(src[, mask]) -&gt; retval","ref":"Evision.CUDA.html#sqrSum/2","title":"Evision.CUDA.sqrSum/2","type":"function"},{"doc":"Variant 1: Computes a square root of each matrix element. Positional Arguments src : Evision.Mat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . @sa sqrt Python prototype (for reference only): sqrt(src[, dst[, stream]]) -&gt; dst Variant 2: Computes a square root of each matrix element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . @sa sqrt Python prototype (for reference only): sqrt(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#sqrt/1","title":"Evision.CUDA.sqrt/1","type":"function"},{"doc":"Variant 1: Computes a square root of each matrix element. Positional Arguments src : Evision.Mat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix with the same size and type as src . @sa sqrt Python prototype (for reference only): sqrt(src[, dst[, stream]]) -&gt; dst Variant 2: Computes a square root of each matrix element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source matrix. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix with the same size and type as src . @sa sqrt Python prototype (for reference only): sqrt(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#sqrt/2","title":"Evision.CUDA.sqrt/2","type":"function"},{"doc":"Variant 1: Computes a matrix-matrix or matrix-scalar difference. Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Matrix should have the same size and type as src1 . Keyword Arguments mask : Evision.Mat.t() . Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa subtract Python prototype (for reference only): subtract(src1, src2[, dst[, mask[, dtype[, stream]]]]) -&gt; dst Variant 2: Computes a matrix-matrix or matrix-scalar difference. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Matrix should have the same size and type as src1 . Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa subtract Python prototype (for reference only): subtract(src1, src2[, dst[, mask[, dtype[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#subtract/2","title":"Evision.CUDA.subtract/2","type":"function"},{"doc":"Variant 1: Computes a matrix-matrix or matrix-scalar difference. Positional Arguments src1 : Evision.Mat.t() . First source matrix or scalar. src2 : Evision.Mat.t() . Second source matrix or scalar. Matrix should have the same size and type as src1 . Keyword Arguments mask : Evision.Mat.t() . Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa subtract Python prototype (for reference only): subtract(src1, src2[, dst[, mask[, dtype[, stream]]]]) -&gt; dst Variant 2: Computes a matrix-matrix or matrix-scalar difference. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . First source matrix or scalar. src2 : Evision.CUDA.GpuMat.t() . Second source matrix or scalar. Matrix should have the same size and type as src1 . Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional operation mask, 8-bit single channel array, that specifies elements of the destination array to be changed. The mask can be used only with single channel images. dtype : int . Optional depth of the output array. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix that has the same size and number of channels as the input array(s). The depth is defined by dtype or src1 depth. @sa subtract Python prototype (for reference only): subtract(src1, src2[, dst[, mask[, dtype[, stream]]]]) -&gt; dst","ref":"Evision.CUDA.html#subtract/3","title":"Evision.CUDA.subtract/3","type":"function"},{"doc":"Variant 1: Returns the sum of matrix elements. Positional Arguments src : Evision.Mat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar @sa sum Python prototype (for reference only): sum(src[, mask]) -&gt; retval Variant 2: Returns the sum of matrix elements. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.CUDA.GpuMat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar @sa sum Python prototype (for reference only): sum(src[, mask]) -&gt; retval","ref":"Evision.CUDA.html#sum/1","title":"Evision.CUDA.sum/1","type":"function"},{"doc":"Variant 1: Returns the sum of matrix elements. Positional Arguments src : Evision.Mat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.Mat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar @sa sum Python prototype (for reference only): sum(src[, mask]) -&gt; retval Variant 2: Returns the sum of matrix elements. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source image of any depth except for CV_64F . Keyword Arguments mask : Evision.CUDA.GpuMat.t() . optional operation mask; it must have the same size as src1 and CV_8UC1 type. Return retval : Scalar @sa sum Python prototype (for reference only): sum(src[, mask]) -&gt; retval","ref":"Evision.CUDA.html#sum/2","title":"Evision.CUDA.sum/2","type":"function"},{"doc":"Variant 1: Applies a fixed-level threshold to each array element. Positional Arguments src : Evision.Mat.t() . Source array (single-channel). thresh : double . Threshold value. maxval : double . Maximum value to use with THRESH_BINARY and THRESH_BINARY_INV threshold types. type : int . Threshold type. For details, see threshold . The THRESH_OTSU and THRESH_TRIANGLE threshold types are not supported. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return retval : double dst : Evision.Mat.t() . Destination array with the same size and type as src . @sa threshold Python prototype (for reference only): threshold(src, thresh, maxval, type[, dst[, stream]]) -&gt; retval, dst Variant 2: Applies a fixed-level threshold to each array element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source array (single-channel). thresh : double . Threshold value. maxval : double . Maximum value to use with THRESH_BINARY and THRESH_BINARY_INV threshold types. type : int . Threshold type. For details, see threshold . The THRESH_OTSU and THRESH_TRIANGLE threshold types are not supported. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return retval : double dst : Evision.CUDA.GpuMat.t() . Destination array with the same size and type as src . @sa threshold Python prototype (for reference only): threshold(src, thresh, maxval, type[, dst[, stream]]) -&gt; retval, dst","ref":"Evision.CUDA.html#threshold/4","title":"Evision.CUDA.threshold/4","type":"function"},{"doc":"Variant 1: Applies a fixed-level threshold to each array element. Positional Arguments src : Evision.Mat.t() . Source array (single-channel). thresh : double . Threshold value. maxval : double . Maximum value to use with THRESH_BINARY and THRESH_BINARY_INV threshold types. type : int . Threshold type. For details, see threshold . The THRESH_OTSU and THRESH_TRIANGLE threshold types are not supported. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return retval : double dst : Evision.Mat.t() . Destination array with the same size and type as src . @sa threshold Python prototype (for reference only): threshold(src, thresh, maxval, type[, dst[, stream]]) -&gt; retval, dst Variant 2: Applies a fixed-level threshold to each array element. Positional Arguments src : Evision.CUDA.GpuMat.t() . Source array (single-channel). thresh : double . Threshold value. maxval : double . Maximum value to use with THRESH_BINARY and THRESH_BINARY_INV threshold types. type : int . Threshold type. For details, see threshold . The THRESH_OTSU and THRESH_TRIANGLE threshold types are not supported. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return retval : double dst : Evision.CUDA.GpuMat.t() . Destination array with the same size and type as src . @sa threshold Python prototype (for reference only): threshold(src, thresh, maxval, type[, dst[, stream]]) -&gt; retval, dst","ref":"Evision.CUDA.html#threshold/5","title":"Evision.CUDA.threshold/5","type":"function"},{"doc":"Variant 1: Transposes a matrix. Positional Arguments src1 : Evision.Mat.t() . Source matrix. 1-, 4-, 8-byte element sizes are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix. @sa transpose Python prototype (for reference only): transpose(src1[, dst[, stream]]) -&gt; dst Variant 2: Transposes a matrix. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . Source matrix. 1-, 4-, 8-byte element sizes are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix. @sa transpose Python prototype (for reference only): transpose(src1[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#transpose/1","title":"Evision.CUDA.transpose/1","type":"function"},{"doc":"Variant 1: Transposes a matrix. Positional Arguments src1 : Evision.Mat.t() . Source matrix. 1-, 4-, 8-byte element sizes are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix. @sa transpose Python prototype (for reference only): transpose(src1[, dst[, stream]]) -&gt; dst Variant 2: Transposes a matrix. Positional Arguments src1 : Evision.CUDA.GpuMat.t() . Source matrix. 1-, 4-, 8-byte element sizes are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix. @sa transpose Python prototype (for reference only): transpose(src1[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.html#transpose/2","title":"Evision.CUDA.transpose/2","type":"function"},{"doc":"Unmaps the memory of matrix and makes it pageable again. Positional Arguments m : Evision.Mat.t() . Input matrix. Python prototype (for reference only): unregisterPageLocked(m) -&gt; None","ref":"Evision.CUDA.html#unregisterPageLocked/1","title":"Evision.CUDA.unregisterPageLocked/1","type":"function"},{"doc":"Variant 1: warpAffine Positional Arguments src : Evision.Mat.t() m : Evision.Mat.t() dsize : Size Keyword Arguments flags : int . borderMode : int . borderValue : Scalar . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Python prototype (for reference only): warpAffine(src, M, dsize[, dst[, flags[, borderMode[, borderValue[, stream]]]]]) -&gt; dst Variant 2: warpAffine Positional Arguments src : Evision.CUDA.GpuMat.t() m : Evision.Mat.t() dsize : Size Keyword Arguments flags : int . borderMode : int . borderValue : Scalar . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): warpAffine(src, M, dsize[, dst[, flags[, borderMode[, borderValue[, stream]]]]]) -&gt; dst","ref":"Evision.CUDA.html#warpAffine/3","title":"Evision.CUDA.warpAffine/3","type":"function"},{"doc":"Variant 1: warpAffine Positional Arguments src : Evision.Mat.t() m : Evision.Mat.t() dsize : Size Keyword Arguments flags : int . borderMode : int . borderValue : Scalar . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Python prototype (for reference only): warpAffine(src, M, dsize[, dst[, flags[, borderMode[, borderValue[, stream]]]]]) -&gt; dst Variant 2: warpAffine Positional Arguments src : Evision.CUDA.GpuMat.t() m : Evision.Mat.t() dsize : Size Keyword Arguments flags : int . borderMode : int . borderValue : Scalar . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): warpAffine(src, M, dsize[, dst[, flags[, borderMode[, borderValue[, stream]]]]]) -&gt; dst","ref":"Evision.CUDA.html#warpAffine/4","title":"Evision.CUDA.warpAffine/4","type":"function"},{"doc":"Variant 1: warpPerspective Positional Arguments src : Evision.Mat.t() m : Evision.Mat.t() dsize : Size Keyword Arguments flags : int . borderMode : int . borderValue : Scalar . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Python prototype (for reference only): warpPerspective(src, M, dsize[, dst[, flags[, borderMode[, borderValue[, stream]]]]]) -&gt; dst Variant 2: warpPerspective Positional Arguments src : Evision.CUDA.GpuMat.t() m : Evision.Mat.t() dsize : Size Keyword Arguments flags : int . borderMode : int . borderValue : Scalar . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): warpPerspective(src, M, dsize[, dst[, flags[, borderMode[, borderValue[, stream]]]]]) -&gt; dst","ref":"Evision.CUDA.html#warpPerspective/3","title":"Evision.CUDA.warpPerspective/3","type":"function"},{"doc":"Variant 1: warpPerspective Positional Arguments src : Evision.Mat.t() m : Evision.Mat.t() dsize : Size Keyword Arguments flags : int . borderMode : int . borderValue : Scalar . stream : Evision.CUDA.Stream.t() . Return dst : Evision.Mat.t() . Python prototype (for reference only): warpPerspective(src, M, dsize[, dst[, flags[, borderMode[, borderValue[, stream]]]]]) -&gt; dst Variant 2: warpPerspective Positional Arguments src : Evision.CUDA.GpuMat.t() m : Evision.Mat.t() dsize : Size Keyword Arguments flags : int . borderMode : int . borderValue : Scalar . stream : Evision.CUDA.Stream.t() . Return dst : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): warpPerspective(src, M, dsize[, dst[, flags[, borderMode[, borderValue[, stream]]]]]) -&gt; dst","ref":"Evision.CUDA.html#warpPerspective/4","title":"Evision.CUDA.warpPerspective/4","type":"function"},{"doc":"Type that represents an CUDA struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.html#t:t/0","title":"Evision.CUDA.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.BackgroundSubtractorMOG.html","title":"Evision.CUDA.BackgroundSubtractorMOG","type":"module"},{"doc":"Variant 1: apply Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() image : Evision.Mat.t() learningRate : double stream : Evision.CUDA.Stream.t() Return fgmask : Evision.Mat.t() . Python prototype (for reference only): apply(image, learningRate, stream[, fgmask]) -&gt; fgmask Variant 2: apply Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() image : Evision.CUDA.GpuMat.t() learningRate : double stream : Evision.CUDA.Stream.t() Return fgmask : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): apply(image, learningRate, stream[, fgmask]) -&gt; fgmask","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#apply/4","title":"Evision.CUDA.BackgroundSubtractorMOG.apply/4","type":"function"},{"doc":"Variant 1: apply Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() image : Evision.Mat.t() learningRate : double stream : Evision.CUDA.Stream.t() Return fgmask : Evision.Mat.t() . Python prototype (for reference only): apply(image, learningRate, stream[, fgmask]) -&gt; fgmask Variant 2: apply Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() image : Evision.CUDA.GpuMat.t() learningRate : double stream : Evision.CUDA.Stream.t() Return fgmask : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): apply(image, learningRate, stream[, fgmask]) -&gt; fgmask","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#apply/5","title":"Evision.CUDA.BackgroundSubtractorMOG.apply/5","type":"function"},{"doc":"getBackgroundImage Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() stream : Evision.CUDA.Stream.t() Return backgroundImage : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): getBackgroundImage(stream[, backgroundImage]) -&gt; backgroundImage","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#getBackgroundImage/2","title":"Evision.CUDA.BackgroundSubtractorMOG.getBackgroundImage/2","type":"function"},{"doc":"getBackgroundImage Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() stream : Evision.CUDA.Stream.t() Return backgroundImage : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): getBackgroundImage(stream[, backgroundImage]) -&gt; backgroundImage","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#getBackgroundImage/3","title":"Evision.CUDA.BackgroundSubtractorMOG.getBackgroundImage/3","type":"function"},{"doc":"getBackgroundRatio Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() Return retval : double Python prototype (for reference only): getBackgroundRatio() -&gt; retval","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#getBackgroundRatio/1","title":"Evision.CUDA.BackgroundSubtractorMOG.getBackgroundRatio/1","type":"function"},{"doc":"getHistory Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() Return retval : int Python prototype (for reference only): getHistory() -&gt; retval","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#getHistory/1","title":"Evision.CUDA.BackgroundSubtractorMOG.getHistory/1","type":"function"},{"doc":"getNMixtures Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() Return retval : int Python prototype (for reference only): getNMixtures() -&gt; retval","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#getNMixtures/1","title":"Evision.CUDA.BackgroundSubtractorMOG.getNMixtures/1","type":"function"},{"doc":"getNoiseSigma Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() Return retval : double Python prototype (for reference only): getNoiseSigma() -&gt; retval","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#getNoiseSigma/1","title":"Evision.CUDA.BackgroundSubtractorMOG.getNoiseSigma/1","type":"function"},{"doc":"setBackgroundRatio Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() backgroundRatio : double Python prototype (for reference only): setBackgroundRatio(backgroundRatio) -&gt; None","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#setBackgroundRatio/2","title":"Evision.CUDA.BackgroundSubtractorMOG.setBackgroundRatio/2","type":"function"},{"doc":"setHistory Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() nframes : int Python prototype (for reference only): setHistory(nframes) -&gt; None","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#setHistory/2","title":"Evision.CUDA.BackgroundSubtractorMOG.setHistory/2","type":"function"},{"doc":"setNMixtures Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() nmix : int Python prototype (for reference only): setNMixtures(nmix) -&gt; None","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#setNMixtures/2","title":"Evision.CUDA.BackgroundSubtractorMOG.setNMixtures/2","type":"function"},{"doc":"setNoiseSigma Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG.t() noiseSigma : double Python prototype (for reference only): setNoiseSigma(noiseSigma) -&gt; None","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#setNoiseSigma/2","title":"Evision.CUDA.BackgroundSubtractorMOG.setNoiseSigma/2","type":"function"},{"doc":"Type that represents an CUDA.BackgroundSubtractorMOG struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.BackgroundSubtractorMOG.html#t:t/0","title":"Evision.CUDA.BackgroundSubtractorMOG.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.BackgroundSubtractorMOG2.html","title":"Evision.CUDA.BackgroundSubtractorMOG2","type":"module"},{"doc":"Variant 1: apply Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG2.t() image : Evision.Mat.t() learningRate : double stream : Evision.CUDA.Stream.t() Return fgmask : Evision.Mat.t() . Python prototype (for reference only): apply(image, learningRate, stream[, fgmask]) -&gt; fgmask Variant 2: apply Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG2.t() image : Evision.CUDA.GpuMat.t() learningRate : double stream : Evision.CUDA.Stream.t() Return fgmask : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): apply(image, learningRate, stream[, fgmask]) -&gt; fgmask","ref":"Evision.CUDA.BackgroundSubtractorMOG2.html#apply/4","title":"Evision.CUDA.BackgroundSubtractorMOG2.apply/4","type":"function"},{"doc":"Variant 1: apply Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG2.t() image : Evision.Mat.t() learningRate : double stream : Evision.CUDA.Stream.t() Return fgmask : Evision.Mat.t() . Python prototype (for reference only): apply(image, learningRate, stream[, fgmask]) -&gt; fgmask Variant 2: apply Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG2.t() image : Evision.CUDA.GpuMat.t() learningRate : double stream : Evision.CUDA.Stream.t() Return fgmask : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): apply(image, learningRate, stream[, fgmask]) -&gt; fgmask","ref":"Evision.CUDA.BackgroundSubtractorMOG2.html#apply/5","title":"Evision.CUDA.BackgroundSubtractorMOG2.apply/5","type":"function"},{"doc":"getBackgroundImage Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG2.t() stream : Evision.CUDA.Stream.t() Return backgroundImage : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): getBackgroundImage(stream[, backgroundImage]) -&gt; backgroundImage","ref":"Evision.CUDA.BackgroundSubtractorMOG2.html#getBackgroundImage/2","title":"Evision.CUDA.BackgroundSubtractorMOG2.getBackgroundImage/2","type":"function"},{"doc":"getBackgroundImage Positional Arguments self : Evision.CUDA.BackgroundSubtractorMOG2.t() stream : Evision.CUDA.Stream.t() Return backgroundImage : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): getBackgroundImage(stream[, backgroundImage]) -&gt; backgroundImage","ref":"Evision.CUDA.BackgroundSubtractorMOG2.html#getBackgroundImage/3","title":"Evision.CUDA.BackgroundSubtractorMOG2.getBackgroundImage/3","type":"function"},{"doc":"Type that represents an CUDA.BackgroundSubtractorMOG2 struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.BackgroundSubtractorMOG2.html#t:t/0","title":"Evision.CUDA.BackgroundSubtractorMOG2.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.BufferPool.html","title":"Evision.CUDA.BufferPool","type":"module"},{"doc":"BufferPool Positional Arguments stream : Evision.CUDA.Stream.t() Return self : Evision.CUDA.BufferPool.t() Python prototype (for reference only): BufferPool(stream) -&gt; &lt;cuda_BufferPool object&gt;","ref":"Evision.CUDA.BufferPool.html#bufferPool/1","title":"Evision.CUDA.BufferPool.bufferPool/1","type":"function"},{"doc":"getAllocator Positional Arguments self : Evision.CUDA.BufferPool.t() Return retval : GpuMat::Allocator Python prototype (for reference only): getAllocator() -&gt; retval","ref":"Evision.CUDA.BufferPool.html#getAllocator/1","title":"Evision.CUDA.BufferPool.getAllocator/1","type":"function"},{"doc":"getBuffer Positional Arguments self : Evision.CUDA.BufferPool.t() size : Size type : int Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): getBuffer(size, type) -&gt; retval","ref":"Evision.CUDA.BufferPool.html#getBuffer/3","title":"Evision.CUDA.BufferPool.getBuffer/3","type":"function"},{"doc":"getBuffer Positional Arguments self : Evision.CUDA.BufferPool.t() rows : int cols : int type : int Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): getBuffer(rows, cols, type) -&gt; retval","ref":"Evision.CUDA.BufferPool.html#getBuffer/4","title":"Evision.CUDA.BufferPool.getBuffer/4","type":"function"},{"doc":"Type that represents an CUDA.BufferPool struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.BufferPool.html#t:t/0","title":"Evision.CUDA.BufferPool.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.CLAHE.html","title":"Evision.CUDA.CLAHE","type":"module"},{"doc":"Variant 1: Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization. Positional Arguments self : Evision.CUDA.CLAHE.t() src : Evision.Mat.t() . Source image with CV_8UC1 type. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. Python prototype (for reference only): apply(src, stream[, dst]) -&gt; dst Variant 2: Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization. Positional Arguments self : Evision.CUDA.CLAHE.t() src : Evision.CUDA.GpuMat.t() . Source image with CV_8UC1 type. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. Python prototype (for reference only): apply(src, stream[, dst]) -&gt; dst","ref":"Evision.CUDA.CLAHE.html#apply/3","title":"Evision.CUDA.CLAHE.apply/3","type":"function"},{"doc":"Variant 1: Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization. Positional Arguments self : Evision.CUDA.CLAHE.t() src : Evision.Mat.t() . Source image with CV_8UC1 type. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image. Python prototype (for reference only): apply(src, stream[, dst]) -&gt; dst Variant 2: Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization. Positional Arguments self : Evision.CUDA.CLAHE.t() src : Evision.CUDA.GpuMat.t() . Source image with CV_8UC1 type. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image. Python prototype (for reference only): apply(src, stream[, dst]) -&gt; dst","ref":"Evision.CUDA.CLAHE.html#apply/4","title":"Evision.CUDA.CLAHE.apply/4","type":"function"},{"doc":"Type that represents an CUDA.CLAHE struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.CLAHE.html#t:t/0","title":"Evision.CUDA.CLAHE.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.CannyEdgeDetector.html","title":"Evision.CUDA.CannyEdgeDetector","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.CannyEdgeDetector.html#clear/1","title":"Evision.CUDA.CannyEdgeDetector.clear/1","type":"function"},{"doc":"Variant 1: Finds edges in an image using the @cite Canny86 algorithm. Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() image : Evision.Mat.t() . Single-channel 8-bit input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return edges : Evision.Mat.t() . Output edge map. It has the same size and type as image. Python prototype (for reference only): detect(image[, edges[, stream]]) -&gt; edges Variant 2: Finds edges in an image using the @cite Canny86 algorithm. Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() image : Evision.CUDA.GpuMat.t() . Single-channel 8-bit input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return edges : Evision.CUDA.GpuMat.t() . Output edge map. It has the same size and type as image. Python prototype (for reference only): detect(image[, edges[, stream]]) -&gt; edges","ref":"Evision.CUDA.CannyEdgeDetector.html#detect/2","title":"Evision.CUDA.CannyEdgeDetector.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() dx : Evision.Mat.t() . First derivative of image in the vertical direction. Support only CV_32S type. dy : Evision.Mat.t() . First derivative of image in the horizontal direction. Support only CV_32S type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return edges : Evision.Mat.t() . Output edge map. It has the same size and type as image. Has overloading in C++ Python prototype (for reference only): detect(dx, dy[, edges[, stream]]) -&gt; edges Variant 2: detect Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() dx : Evision.CUDA.GpuMat.t() . First derivative of image in the vertical direction. Support only CV_32S type. dy : Evision.CUDA.GpuMat.t() . First derivative of image in the horizontal direction. Support only CV_32S type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return edges : Evision.CUDA.GpuMat.t() . Output edge map. It has the same size and type as image. Has overloading in C++ Python prototype (for reference only): detect(dx, dy[, edges[, stream]]) -&gt; edges Variant 3: Finds edges in an image using the @cite Canny86 algorithm. Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() image : Evision.Mat.t() . Single-channel 8-bit input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return edges : Evision.Mat.t() . Output edge map. It has the same size and type as image. Python prototype (for reference only): detect(image[, edges[, stream]]) -&gt; edges Variant 4: Finds edges in an image using the @cite Canny86 algorithm. Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() image : Evision.CUDA.GpuMat.t() . Single-channel 8-bit input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return edges : Evision.CUDA.GpuMat.t() . Output edge map. It has the same size and type as image. Python prototype (for reference only): detect(image[, edges[, stream]]) -&gt; edges","ref":"Evision.CUDA.CannyEdgeDetector.html#detect/3","title":"Evision.CUDA.CannyEdgeDetector.detect/3","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() dx : Evision.Mat.t() . First derivative of image in the vertical direction. Support only CV_32S type. dy : Evision.Mat.t() . First derivative of image in the horizontal direction. Support only CV_32S type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return edges : Evision.Mat.t() . Output edge map. It has the same size and type as image. Has overloading in C++ Python prototype (for reference only): detect(dx, dy[, edges[, stream]]) -&gt; edges Variant 2: detect Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() dx : Evision.CUDA.GpuMat.t() . First derivative of image in the vertical direction. Support only CV_32S type. dy : Evision.CUDA.GpuMat.t() . First derivative of image in the horizontal direction. Support only CV_32S type. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return edges : Evision.CUDA.GpuMat.t() . Output edge map. It has the same size and type as image. Has overloading in C++ Python prototype (for reference only): detect(dx, dy[, edges[, stream]]) -&gt; edges","ref":"Evision.CUDA.CannyEdgeDetector.html#detect/4","title":"Evision.CUDA.CannyEdgeDetector.detect/4","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.CannyEdgeDetector.html#empty/1","title":"Evision.CUDA.CannyEdgeDetector.empty/1","type":"function"},{"doc":"getAppertureSize Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() Return retval : int Python prototype (for reference only): getAppertureSize() -&gt; retval","ref":"Evision.CUDA.CannyEdgeDetector.html#getAppertureSize/1","title":"Evision.CUDA.CannyEdgeDetector.getAppertureSize/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.CannyEdgeDetector.html#getDefaultName/1","title":"Evision.CUDA.CannyEdgeDetector.getDefaultName/1","type":"function"},{"doc":"getHighThreshold Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() Return retval : double Python prototype (for reference only): getHighThreshold() -&gt; retval","ref":"Evision.CUDA.CannyEdgeDetector.html#getHighThreshold/1","title":"Evision.CUDA.CannyEdgeDetector.getHighThreshold/1","type":"function"},{"doc":"getL2Gradient Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() Return retval : bool Python prototype (for reference only): getL2Gradient() -&gt; retval","ref":"Evision.CUDA.CannyEdgeDetector.html#getL2Gradient/1","title":"Evision.CUDA.CannyEdgeDetector.getL2Gradient/1","type":"function"},{"doc":"getLowThreshold Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() Return retval : double Python prototype (for reference only): getLowThreshold() -&gt; retval","ref":"Evision.CUDA.CannyEdgeDetector.html#getLowThreshold/1","title":"Evision.CUDA.CannyEdgeDetector.getLowThreshold/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.CannyEdgeDetector.html#read/2","title":"Evision.CUDA.CannyEdgeDetector.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.CannyEdgeDetector.html#save/2","title":"Evision.CUDA.CannyEdgeDetector.save/2","type":"function"},{"doc":"setAppertureSize Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() apperture_size : int Python prototype (for reference only): setAppertureSize(apperture_size) -&gt; None","ref":"Evision.CUDA.CannyEdgeDetector.html#setAppertureSize/2","title":"Evision.CUDA.CannyEdgeDetector.setAppertureSize/2","type":"function"},{"doc":"setHighThreshold Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() high_thresh : double Python prototype (for reference only): setHighThreshold(high_thresh) -&gt; None","ref":"Evision.CUDA.CannyEdgeDetector.html#setHighThreshold/2","title":"Evision.CUDA.CannyEdgeDetector.setHighThreshold/2","type":"function"},{"doc":"setL2Gradient Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() l2gradient : bool Python prototype (for reference only): setL2Gradient(L2gradient) -&gt; None","ref":"Evision.CUDA.CannyEdgeDetector.html#setL2Gradient/2","title":"Evision.CUDA.CannyEdgeDetector.setL2Gradient/2","type":"function"},{"doc":"setLowThreshold Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() low_thresh : double Python prototype (for reference only): setLowThreshold(low_thresh) -&gt; None","ref":"Evision.CUDA.CannyEdgeDetector.html#setLowThreshold/2","title":"Evision.CUDA.CannyEdgeDetector.setLowThreshold/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.CannyEdgeDetector.html#write/2","title":"Evision.CUDA.CannyEdgeDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.CannyEdgeDetector.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.CannyEdgeDetector.html#write/3","title":"Evision.CUDA.CannyEdgeDetector.write/3","type":"function"},{"doc":"Type that represents an CUDA.CannyEdgeDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.CannyEdgeDetector.html#t:t/0","title":"Evision.CUDA.CannyEdgeDetector.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.CascadeClassifier.html","title":"Evision.CUDA.CascadeClassifier","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.CascadeClassifier.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#clear/1","title":"Evision.CUDA.CascadeClassifier.clear/1","type":"function"},{"doc":"Converts objects array from internal representation to standard vector. Positional Arguments self : Evision.CUDA.CascadeClassifier.t() objects : [Rect] . Resulting array. Return gpu_objects : Evision.Mat.t() . Objects array in internal representation. Python prototype (for reference only): convert(objects[, gpu_objects]) -&gt; gpu_objects","ref":"Evision.CUDA.CascadeClassifier.html#convert/2","title":"Evision.CUDA.CascadeClassifier.convert/2","type":"function"},{"doc":"Converts objects array from internal representation to standard vector. Positional Arguments self : Evision.CUDA.CascadeClassifier.t() objects : [Rect] . Resulting array. Return gpu_objects : Evision.Mat.t() . Objects array in internal representation. Python prototype (for reference only): convert(objects[, gpu_objects]) -&gt; gpu_objects","ref":"Evision.CUDA.CascadeClassifier.html#convert/3","title":"Evision.CUDA.CascadeClassifier.convert/3","type":"function"},{"doc":"Loads the classifier from a file. Cascade type is detected automatically by constructor parameter. Positional Arguments filename : String . Name of the file from which the classifier is loaded. Only the old haar classifier (trained by the haar training application) and NVIDIA's nvbin are supported for HAAR and only new type of OpenCV XML cascade supported for LBP. The working haar models can be found at opencv_folder/data/haarcascades_cuda/ Return retval : Evision.CUDA.CascadeClassifier.t() Python prototype (for reference only): create(filename) -&gt; retval","ref":"Evision.CUDA.CascadeClassifier.html#create/1","title":"Evision.CUDA.CascadeClassifier.create/1","type":"function"},{"doc":"Variant 1: Detects objects of different sizes in the input image. Positional Arguments self : Evision.CUDA.CascadeClassifier.t() image : Evision.Mat.t() . Matrix of type CV_8U containing an image where objects should be detected. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return objects : Evision.Mat.t() . Buffer to store detected objects (rectangles). To get final array of detected objects use CascadeClassifier::convert method. Ptr &lt; cuda :: CascadeClassifier &gt; cascade_gpu = cuda :: CascadeClassifier :: create ( ... ) ; Mat image_cpu = imread ( ... ) GpuMat image_gpu ( image_cpu ) ; GpuMat objbuf ; cascade_gpu -&gt; detectMultiScale ( image_gpu , objbuf ) ; std :: vector &lt; Rect &gt; faces ; cascade_gpu -&gt; convert ( objbuf , faces ) ; for ( int i = 0 ; i &lt; detections_num ; ++ i ) cv :: rectangle ( image_cpu , faces [ i ] , Scalar ( 255 ) ) ; imshow ( &quot;Faces&quot; , image_cpu ) ; @sa CascadeClassifier::detectMultiScale Python prototype (for reference only): detectMultiScale(image[, objects[, stream]]) -&gt; objects Variant 2: Detects objects of different sizes in the input image. Positional Arguments self : Evision.CUDA.CascadeClassifier.t() image : Evision.CUDA.GpuMat.t() . Matrix of type CV_8U containing an image where objects should be detected. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return objects : Evision.CUDA.GpuMat.t() . Buffer to store detected objects (rectangles). To get final array of detected objects use CascadeClassifier::convert method. Ptr &lt; cuda :: CascadeClassifier &gt; cascade_gpu = cuda :: CascadeClassifier :: create ( ... ) ; Mat image_cpu = imread ( ... ) GpuMat image_gpu ( image_cpu ) ; GpuMat objbuf ; cascade_gpu -&gt; detectMultiScale ( image_gpu , objbuf ) ; std :: vector &lt; Rect &gt; faces ; cascade_gpu -&gt; convert ( objbuf , faces ) ; for ( int i = 0 ; i &lt; detections_num ; ++ i ) cv :: rectangle ( image_cpu , faces [ i ] , Scalar ( 255 ) ) ; imshow ( &quot;Faces&quot; , image_cpu ) ; @sa CascadeClassifier::detectMultiScale Python prototype (for reference only): detectMultiScale(image[, objects[, stream]]) -&gt; objects","ref":"Evision.CUDA.CascadeClassifier.html#detectMultiScale/2","title":"Evision.CUDA.CascadeClassifier.detectMultiScale/2","type":"function"},{"doc":"Variant 1: Detects objects of different sizes in the input image. Positional Arguments self : Evision.CUDA.CascadeClassifier.t() image : Evision.Mat.t() . Matrix of type CV_8U containing an image where objects should be detected. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return objects : Evision.Mat.t() . Buffer to store detected objects (rectangles). To get final array of detected objects use CascadeClassifier::convert method. Ptr &lt; cuda :: CascadeClassifier &gt; cascade_gpu = cuda :: CascadeClassifier :: create ( ... ) ; Mat image_cpu = imread ( ... ) GpuMat image_gpu ( image_cpu ) ; GpuMat objbuf ; cascade_gpu -&gt; detectMultiScale ( image_gpu , objbuf ) ; std :: vector &lt; Rect &gt; faces ; cascade_gpu -&gt; convert ( objbuf , faces ) ; for ( int i = 0 ; i &lt; detections_num ; ++ i ) cv :: rectangle ( image_cpu , faces [ i ] , Scalar ( 255 ) ) ; imshow ( &quot;Faces&quot; , image_cpu ) ; @sa CascadeClassifier::detectMultiScale Python prototype (for reference only): detectMultiScale(image[, objects[, stream]]) -&gt; objects Variant 2: Detects objects of different sizes in the input image. Positional Arguments self : Evision.CUDA.CascadeClassifier.t() image : Evision.CUDA.GpuMat.t() . Matrix of type CV_8U containing an image where objects should be detected. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return objects : Evision.CUDA.GpuMat.t() . Buffer to store detected objects (rectangles). To get final array of detected objects use CascadeClassifier::convert method. Ptr &lt; cuda :: CascadeClassifier &gt; cascade_gpu = cuda :: CascadeClassifier :: create ( ... ) ; Mat image_cpu = imread ( ... ) GpuMat image_gpu ( image_cpu ) ; GpuMat objbuf ; cascade_gpu -&gt; detectMultiScale ( image_gpu , objbuf ) ; std :: vector &lt; Rect &gt; faces ; cascade_gpu -&gt; convert ( objbuf , faces ) ; for ( int i = 0 ; i &lt; detections_num ; ++ i ) cv :: rectangle ( image_cpu , faces [ i ] , Scalar ( 255 ) ) ; imshow ( &quot;Faces&quot; , image_cpu ) ; @sa CascadeClassifier::detectMultiScale Python prototype (for reference only): detectMultiScale(image[, objects[, stream]]) -&gt; objects","ref":"Evision.CUDA.CascadeClassifier.html#detectMultiScale/3","title":"Evision.CUDA.CascadeClassifier.detectMultiScale/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.CascadeClassifier.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.CascadeClassifier.html#empty/1","title":"Evision.CUDA.CascadeClassifier.empty/1","type":"function"},{"doc":"getClassifierSize Positional Arguments self : Evision.CUDA.CascadeClassifier.t() Return retval : Size Python prototype (for reference only): getClassifierSize() -&gt; retval","ref":"Evision.CUDA.CascadeClassifier.html#getClassifierSize/1","title":"Evision.CUDA.CascadeClassifier.getClassifierSize/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.CascadeClassifier.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.CascadeClassifier.html#getDefaultName/1","title":"Evision.CUDA.CascadeClassifier.getDefaultName/1","type":"function"},{"doc":"getFindLargestObject Positional Arguments self : Evision.CUDA.CascadeClassifier.t() Return retval : bool Python prototype (for reference only): getFindLargestObject() -&gt; retval","ref":"Evision.CUDA.CascadeClassifier.html#getFindLargestObject/1","title":"Evision.CUDA.CascadeClassifier.getFindLargestObject/1","type":"function"},{"doc":"getMaxNumObjects Positional Arguments self : Evision.CUDA.CascadeClassifier.t() Return retval : int Python prototype (for reference only): getMaxNumObjects() -&gt; retval","ref":"Evision.CUDA.CascadeClassifier.html#getMaxNumObjects/1","title":"Evision.CUDA.CascadeClassifier.getMaxNumObjects/1","type":"function"},{"doc":"getMaxObjectSize Positional Arguments self : Evision.CUDA.CascadeClassifier.t() Return retval : Size Python prototype (for reference only): getMaxObjectSize() -&gt; retval","ref":"Evision.CUDA.CascadeClassifier.html#getMaxObjectSize/1","title":"Evision.CUDA.CascadeClassifier.getMaxObjectSize/1","type":"function"},{"doc":"getMinNeighbors Positional Arguments self : Evision.CUDA.CascadeClassifier.t() Return retval : int Python prototype (for reference only): getMinNeighbors() -&gt; retval","ref":"Evision.CUDA.CascadeClassifier.html#getMinNeighbors/1","title":"Evision.CUDA.CascadeClassifier.getMinNeighbors/1","type":"function"},{"doc":"getMinObjectSize Positional Arguments self : Evision.CUDA.CascadeClassifier.t() Return retval : Size Python prototype (for reference only): getMinObjectSize() -&gt; retval","ref":"Evision.CUDA.CascadeClassifier.html#getMinObjectSize/1","title":"Evision.CUDA.CascadeClassifier.getMinObjectSize/1","type":"function"},{"doc":"getScaleFactor Positional Arguments self : Evision.CUDA.CascadeClassifier.t() Return retval : double Python prototype (for reference only): getScaleFactor() -&gt; retval","ref":"Evision.CUDA.CascadeClassifier.html#getScaleFactor/1","title":"Evision.CUDA.CascadeClassifier.getScaleFactor/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.CascadeClassifier.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#read/2","title":"Evision.CUDA.CascadeClassifier.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.CascadeClassifier.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#save/2","title":"Evision.CUDA.CascadeClassifier.save/2","type":"function"},{"doc":"setFindLargestObject Positional Arguments self : Evision.CUDA.CascadeClassifier.t() findLargestObject : bool Python prototype (for reference only): setFindLargestObject(findLargestObject) -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#setFindLargestObject/2","title":"Evision.CUDA.CascadeClassifier.setFindLargestObject/2","type":"function"},{"doc":"setMaxNumObjects Positional Arguments self : Evision.CUDA.CascadeClassifier.t() maxNumObjects : int Python prototype (for reference only): setMaxNumObjects(maxNumObjects) -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#setMaxNumObjects/2","title":"Evision.CUDA.CascadeClassifier.setMaxNumObjects/2","type":"function"},{"doc":"setMaxObjectSize Positional Arguments self : Evision.CUDA.CascadeClassifier.t() maxObjectSize : Size Has overloading in C++ Python prototype (for reference only): setMaxObjectSize(maxObjectSize) -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#setMaxObjectSize/2","title":"Evision.CUDA.CascadeClassifier.setMaxObjectSize/2","type":"function"},{"doc":"setMinNeighbors Positional Arguments self : Evision.CUDA.CascadeClassifier.t() minNeighbors : int Python prototype (for reference only): setMinNeighbors(minNeighbors) -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#setMinNeighbors/2","title":"Evision.CUDA.CascadeClassifier.setMinNeighbors/2","type":"function"},{"doc":"setMinObjectSize Positional Arguments self : Evision.CUDA.CascadeClassifier.t() minSize : Size Python prototype (for reference only): setMinObjectSize(minSize) -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#setMinObjectSize/2","title":"Evision.CUDA.CascadeClassifier.setMinObjectSize/2","type":"function"},{"doc":"setScaleFactor Positional Arguments self : Evision.CUDA.CascadeClassifier.t() scaleFactor : double Python prototype (for reference only): setScaleFactor(scaleFactor) -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#setScaleFactor/2","title":"Evision.CUDA.CascadeClassifier.setScaleFactor/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.CascadeClassifier.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#write/2","title":"Evision.CUDA.CascadeClassifier.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.CascadeClassifier.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.CascadeClassifier.html#write/3","title":"Evision.CUDA.CascadeClassifier.write/3","type":"function"},{"doc":"Type that represents an CUDA.CascadeClassifier struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.CascadeClassifier.html#t:t/0","title":"Evision.CUDA.CascadeClassifier.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.Convolution.html","title":"Evision.CUDA.Convolution","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.Convolution.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.Convolution.html#clear/1","title":"Evision.CUDA.Convolution.clear/1","type":"function"},{"doc":"Variant 1: Computes a convolution (or cross-correlation) of two images. Positional Arguments self : Evision.CUDA.Convolution.t() image : Evision.Mat.t() . Source image. Only CV_32FC1 images are supported for now. templ : Evision.Mat.t() . Template image. The size is not greater than the image size. The type is the same as image . Keyword Arguments ccorr : bool . Flags to evaluate cross-correlation instead of convolution. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.Mat.t() . Result image. If image is W x H and templ is w x h , then result must be W-w+1 x H-h+1 . Python prototype (for reference only): convolve(image, templ[, result[, ccorr[, stream]]]) -&gt; result Variant 2: Computes a convolution (or cross-correlation) of two images. Positional Arguments self : Evision.CUDA.Convolution.t() image : Evision.CUDA.GpuMat.t() . Source image. Only CV_32FC1 images are supported for now. templ : Evision.CUDA.GpuMat.t() . Template image. The size is not greater than the image size. The type is the same as image . Keyword Arguments ccorr : bool . Flags to evaluate cross-correlation instead of convolution. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.CUDA.GpuMat.t() . Result image. If image is W x H and templ is w x h , then result must be W-w+1 x H-h+1 . Python prototype (for reference only): convolve(image, templ[, result[, ccorr[, stream]]]) -&gt; result","ref":"Evision.CUDA.Convolution.html#convolve/3","title":"Evision.CUDA.Convolution.convolve/3","type":"function"},{"doc":"Variant 1: Computes a convolution (or cross-correlation) of two images. Positional Arguments self : Evision.CUDA.Convolution.t() image : Evision.Mat.t() . Source image. Only CV_32FC1 images are supported for now. templ : Evision.Mat.t() . Template image. The size is not greater than the image size. The type is the same as image . Keyword Arguments ccorr : bool . Flags to evaluate cross-correlation instead of convolution. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.Mat.t() . Result image. If image is W x H and templ is w x h , then result must be W-w+1 x H-h+1 . Python prototype (for reference only): convolve(image, templ[, result[, ccorr[, stream]]]) -&gt; result Variant 2: Computes a convolution (or cross-correlation) of two images. Positional Arguments self : Evision.CUDA.Convolution.t() image : Evision.CUDA.GpuMat.t() . Source image. Only CV_32FC1 images are supported for now. templ : Evision.CUDA.GpuMat.t() . Template image. The size is not greater than the image size. The type is the same as image . Keyword Arguments ccorr : bool . Flags to evaluate cross-correlation instead of convolution. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.CUDA.GpuMat.t() . Result image. If image is W x H and templ is w x h , then result must be W-w+1 x H-h+1 . Python prototype (for reference only): convolve(image, templ[, result[, ccorr[, stream]]]) -&gt; result","ref":"Evision.CUDA.Convolution.html#convolve/4","title":"Evision.CUDA.Convolution.convolve/4","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.Convolution.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.Convolution.html#empty/1","title":"Evision.CUDA.Convolution.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.Convolution.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.Convolution.html#getDefaultName/1","title":"Evision.CUDA.Convolution.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.Convolution.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.Convolution.html#read/2","title":"Evision.CUDA.Convolution.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.Convolution.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.Convolution.html#save/2","title":"Evision.CUDA.Convolution.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.Convolution.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.Convolution.html#write/2","title":"Evision.CUDA.Convolution.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.Convolution.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.Convolution.html#write/3","title":"Evision.CUDA.Convolution.write/3","type":"function"},{"doc":"Type that represents an CUDA.Convolution struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.Convolution.html#t:t/0","title":"Evision.CUDA.Convolution.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.CornernessCriteria.html","title":"Evision.CUDA.CornernessCriteria","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.CornernessCriteria.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.CornernessCriteria.html#clear/1","title":"Evision.CUDA.CornernessCriteria.clear/1","type":"function"},{"doc":"Variant 1: Computes the cornerness criteria at each image pixel. Positional Arguments self : Evision.CUDA.CornernessCriteria.t() src : Evision.Mat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image containing cornerness values. It will have the same size as src and CV_32FC1 type. Python prototype (for reference only): compute(src[, dst[, stream]]) -&gt; dst Variant 2: Computes the cornerness criteria at each image pixel. Positional Arguments self : Evision.CUDA.CornernessCriteria.t() src : Evision.CUDA.GpuMat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image containing cornerness values. It will have the same size as src and CV_32FC1 type. Python prototype (for reference only): compute(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.CornernessCriteria.html#compute/2","title":"Evision.CUDA.CornernessCriteria.compute/2","type":"function"},{"doc":"Variant 1: Computes the cornerness criteria at each image pixel. Positional Arguments self : Evision.CUDA.CornernessCriteria.t() src : Evision.Mat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination image containing cornerness values. It will have the same size as src and CV_32FC1 type. Python prototype (for reference only): compute(src[, dst[, stream]]) -&gt; dst Variant 2: Computes the cornerness criteria at each image pixel. Positional Arguments self : Evision.CUDA.CornernessCriteria.t() src : Evision.CUDA.GpuMat.t() . Source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination image containing cornerness values. It will have the same size as src and CV_32FC1 type. Python prototype (for reference only): compute(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.CornernessCriteria.html#compute/3","title":"Evision.CUDA.CornernessCriteria.compute/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.CornernessCriteria.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.CornernessCriteria.html#empty/1","title":"Evision.CUDA.CornernessCriteria.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.CornernessCriteria.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.CornernessCriteria.html#getDefaultName/1","title":"Evision.CUDA.CornernessCriteria.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.CornernessCriteria.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.CornernessCriteria.html#read/2","title":"Evision.CUDA.CornernessCriteria.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.CornernessCriteria.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.CornernessCriteria.html#save/2","title":"Evision.CUDA.CornernessCriteria.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.CornernessCriteria.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.CornernessCriteria.html#write/2","title":"Evision.CUDA.CornernessCriteria.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.CornernessCriteria.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.CornernessCriteria.html#write/3","title":"Evision.CUDA.CornernessCriteria.write/3","type":"function"},{"doc":"Type that represents an CUDA.CornernessCriteria struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.CornernessCriteria.html#t:t/0","title":"Evision.CUDA.CornernessCriteria.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.CornersDetector.html","title":"Evision.CUDA.CornersDetector","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.CornersDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.CornersDetector.html#clear/1","title":"Evision.CUDA.CornersDetector.clear/1","type":"function"},{"doc":"Variant 1: Determines strong corners on an image. Positional Arguments self : Evision.CUDA.CornersDetector.t() image : Evision.Mat.t() . Input 8-bit or floating-point 32-bit, single-channel image. Keyword Arguments mask : Evision.Mat.t() . Optional region of interest. If the image is not empty (it needs to have the type CV_8UC1 and the same size as image ), it specifies the region in which the corners are detected. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return corners : Evision.Mat.t() . Output vector of detected corners (1-row matrix with CV_32FC2 type with corners positions). Python prototype (for reference only): detect(image[, corners[, mask[, stream]]]) -&gt; corners Variant 2: Determines strong corners on an image. Positional Arguments self : Evision.CUDA.CornersDetector.t() image : Evision.CUDA.GpuMat.t() . Input 8-bit or floating-point 32-bit, single-channel image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional region of interest. If the image is not empty (it needs to have the type CV_8UC1 and the same size as image ), it specifies the region in which the corners are detected. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return corners : Evision.CUDA.GpuMat.t() . Output vector of detected corners (1-row matrix with CV_32FC2 type with corners positions). Python prototype (for reference only): detect(image[, corners[, mask[, stream]]]) -&gt; corners","ref":"Evision.CUDA.CornersDetector.html#detect/2","title":"Evision.CUDA.CornersDetector.detect/2","type":"function"},{"doc":"Variant 1: Determines strong corners on an image. Positional Arguments self : Evision.CUDA.CornersDetector.t() image : Evision.Mat.t() . Input 8-bit or floating-point 32-bit, single-channel image. Keyword Arguments mask : Evision.Mat.t() . Optional region of interest. If the image is not empty (it needs to have the type CV_8UC1 and the same size as image ), it specifies the region in which the corners are detected. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return corners : Evision.Mat.t() . Output vector of detected corners (1-row matrix with CV_32FC2 type with corners positions). Python prototype (for reference only): detect(image[, corners[, mask[, stream]]]) -&gt; corners Variant 2: Determines strong corners on an image. Positional Arguments self : Evision.CUDA.CornersDetector.t() image : Evision.CUDA.GpuMat.t() . Input 8-bit or floating-point 32-bit, single-channel image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Optional region of interest. If the image is not empty (it needs to have the type CV_8UC1 and the same size as image ), it specifies the region in which the corners are detected. stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return corners : Evision.CUDA.GpuMat.t() . Output vector of detected corners (1-row matrix with CV_32FC2 type with corners positions). Python prototype (for reference only): detect(image[, corners[, mask[, stream]]]) -&gt; corners","ref":"Evision.CUDA.CornersDetector.html#detect/3","title":"Evision.CUDA.CornersDetector.detect/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.CornersDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.CornersDetector.html#empty/1","title":"Evision.CUDA.CornersDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.CornersDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.CornersDetector.html#getDefaultName/1","title":"Evision.CUDA.CornersDetector.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.CornersDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.CornersDetector.html#read/2","title":"Evision.CUDA.CornersDetector.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.CornersDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.CornersDetector.html#save/2","title":"Evision.CUDA.CornersDetector.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.CornersDetector.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.CornersDetector.html#write/2","title":"Evision.CUDA.CornersDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.CornersDetector.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.CornersDetector.html#write/3","title":"Evision.CUDA.CornersDetector.write/3","type":"function"},{"doc":"Type that represents an CUDA.CornersDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.CornersDetector.html#t:t/0","title":"Evision.CUDA.CornersDetector.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.DFT.html","title":"Evision.CUDA.DFT","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.DFT.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.DFT.html#clear/1","title":"Evision.CUDA.DFT.clear/1","type":"function"},{"doc":"Variant 1: Computes an FFT of a given image. Positional Arguments self : Evision.CUDA.DFT.t() image : Evision.Mat.t() . Source image. Only CV_32FC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.Mat.t() . Result image. Python prototype (for reference only): compute(image[, result[, stream]]) -&gt; result Variant 2: Computes an FFT of a given image. Positional Arguments self : Evision.CUDA.DFT.t() image : Evision.CUDA.GpuMat.t() . Source image. Only CV_32FC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.CUDA.GpuMat.t() . Result image. Python prototype (for reference only): compute(image[, result[, stream]]) -&gt; result","ref":"Evision.CUDA.DFT.html#compute/2","title":"Evision.CUDA.DFT.compute/2","type":"function"},{"doc":"Variant 1: Computes an FFT of a given image. Positional Arguments self : Evision.CUDA.DFT.t() image : Evision.Mat.t() . Source image. Only CV_32FC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.Mat.t() . Result image. Python prototype (for reference only): compute(image[, result[, stream]]) -&gt; result Variant 2: Computes an FFT of a given image. Positional Arguments self : Evision.CUDA.DFT.t() image : Evision.CUDA.GpuMat.t() . Source image. Only CV_32FC1 images are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.CUDA.GpuMat.t() . Result image. Python prototype (for reference only): compute(image[, result[, stream]]) -&gt; result","ref":"Evision.CUDA.DFT.html#compute/3","title":"Evision.CUDA.DFT.compute/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.DFT.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.DFT.html#empty/1","title":"Evision.CUDA.DFT.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.DFT.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.DFT.html#getDefaultName/1","title":"Evision.CUDA.DFT.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.DFT.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.DFT.html#read/2","title":"Evision.CUDA.DFT.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.DFT.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.DFT.html#save/2","title":"Evision.CUDA.DFT.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.DFT.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.DFT.html#write/2","title":"Evision.CUDA.DFT.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.DFT.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.DFT.html#write/3","title":"Evision.CUDA.DFT.write/3","type":"function"},{"doc":"Type that represents an CUDA.DFT struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.DFT.html#t:t/0","title":"Evision.CUDA.DFT.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.DescriptorMatcher.html","title":"Evision.CUDA.DescriptorMatcher","type":"module"},{"doc":"Adds descriptors to train a descriptor collection. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() descriptors : [Evision.CUDA.GpuMat] . Descriptors to add. Each descriptors[i] is a set of descriptors from the same train image. If the collection is not empty, the new descriptors are added to existing train descriptors. Python prototype (for reference only): add(descriptors) -&gt; None","ref":"Evision.CUDA.DescriptorMatcher.html#add/2","title":"Evision.CUDA.DescriptorMatcher.add/2","type":"function"},{"doc":"Clears the train descriptor collection. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.DescriptorMatcher.html#clear/1","title":"Evision.CUDA.DescriptorMatcher.clear/1","type":"function"},{"doc":"Brute-force descriptor matcher. Keyword Arguments normType : int . One of NORM_L1, NORM_L2, NORM_HAMMING. L1 and L2 norms are preferable choices for SIFT and SURF descriptors, NORM_HAMMING should be used with ORB, BRISK and BRIEF). Return retval : Evision.CUDA.DescriptorMatcher.t() For each descriptor in the first set, this matcher finds the closest descriptor in the second set by trying each one. This descriptor matcher supports masking permissible matches of descriptor sets. Python prototype (for reference only): createBFMatcher([, normType]) -&gt; retval","ref":"Evision.CUDA.DescriptorMatcher.html#createBFMatcher/0","title":"Evision.CUDA.DescriptorMatcher.createBFMatcher/0","type":"function"},{"doc":"Brute-force descriptor matcher. Keyword Arguments normType : int . One of NORM_L1, NORM_L2, NORM_HAMMING. L1 and L2 norms are preferable choices for SIFT and SURF descriptors, NORM_HAMMING should be used with ORB, BRISK and BRIEF). Return retval : Evision.CUDA.DescriptorMatcher.t() For each descriptor in the first set, this matcher finds the closest descriptor in the second set by trying each one. This descriptor matcher supports masking permissible matches of descriptor sets. Python prototype (for reference only): createBFMatcher([, normType]) -&gt; retval","ref":"Evision.CUDA.DescriptorMatcher.html#createBFMatcher/1","title":"Evision.CUDA.DescriptorMatcher.createBFMatcher/1","type":"function"},{"doc":"Returns true if there are no train descriptors in the collection. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.DescriptorMatcher.html#empty/1","title":"Evision.CUDA.DescriptorMatcher.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.DescriptorMatcher.html#getDefaultName/1","title":"Evision.CUDA.DescriptorMatcher.getDefaultName/1","type":"function"},{"doc":"Returns a constant link to the train descriptor collection. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() Return retval : [Evision.CUDA.GpuMat] Python prototype (for reference only): getTrainDescriptors() -&gt; retval","ref":"Evision.CUDA.DescriptorMatcher.html#getTrainDescriptors/1","title":"Evision.CUDA.DescriptorMatcher.getTrainDescriptors/1","type":"function"},{"doc":"Returns true if the descriptor matcher supports masking permissible matches. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() Return retval : bool Python prototype (for reference only): isMaskSupported() -&gt; retval","ref":"Evision.CUDA.DescriptorMatcher.html#isMaskSupported/1","title":"Evision.CUDA.DescriptorMatcher.isMaskSupported/1","type":"function"},{"doc":"Variant 1: knnMatch Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() k : int Keyword Arguments masks : [Evision.CUDA.GpuMat] . compactResult : bool . Return matches : [[Evision.DMatch]] Has overloading in C++ Python prototype (for reference only): knnMatch(queryDescriptors, k[, masks[, compactResult]]) -&gt; matches Variant 2: knnMatch Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() k : int Keyword Arguments masks : [Evision.CUDA.GpuMat] . compactResult : bool . Return matches : [[Evision.DMatch]] Has overloading in C++ Python prototype (for reference only): knnMatch(queryDescriptors, k[, masks[, compactResult]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#knnMatch/3","title":"Evision.CUDA.DescriptorMatcher.knnMatch/3","type":"function"},{"doc":"Variant 1: Finds the k best matches for each descriptor from a query set (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. These extended variants of DescriptorMatcher::match methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::match for the details about query and train descriptors. Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches Variant 2: Finds the k best matches for each descriptor from a query set (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. These extended variants of DescriptorMatcher::match methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::match for the details about query and train descriptors. Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches Variant 3: knnMatch Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() k : int Keyword Arguments masks : [Evision.CUDA.GpuMat] . compactResult : bool . Return matches : [[Evision.DMatch]] Has overloading in C++ Python prototype (for reference only): knnMatch(queryDescriptors, k[, masks[, compactResult]]) -&gt; matches Variant 4: knnMatch Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() k : int Keyword Arguments masks : [Evision.CUDA.GpuMat] . compactResult : bool . Return matches : [[Evision.DMatch]] Has overloading in C++ Python prototype (for reference only): knnMatch(queryDescriptors, k[, masks[, compactResult]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#knnMatch/4","title":"Evision.CUDA.DescriptorMatcher.knnMatch/4","type":"function"},{"doc":"Variant 1: Finds the k best matches for each descriptor from a query set (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. These extended variants of DescriptorMatcher::match methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::match for the details about query and train descriptors. Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches Variant 2: Finds the k best matches for each descriptor from a query set (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. These extended variants of DescriptorMatcher::match methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::match for the details about query and train descriptors. Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#knnMatch/5","title":"Evision.CUDA.DescriptorMatcher.knnMatch/5","type":"function"},{"doc":"Variant 1: knnMatchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() k : int Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): knnMatchAsync(queryDescriptors, k[, matches[, masks[, stream]]]) -&gt; matches Variant 2: knnMatchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() k : int Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): knnMatchAsync(queryDescriptors, k[, matches[, masks[, stream]]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#knnMatchAsync/3","title":"Evision.CUDA.DescriptorMatcher.knnMatchAsync/3","type":"function"},{"doc":"Variant 1: Finds the k best matches for each descriptor from a query set (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.Mat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::knnMatchConvert method to retrieve results in standard representation. These extended variants of DescriptorMatcher::matchAsync methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::matchAsync for the details about query and train descriptors. Python prototype (for reference only): knnMatchAsync(queryDescriptors, trainDescriptors, k[, matches[, mask[, stream]]]) -&gt; matches Variant 2: Finds the k best matches for each descriptor from a query set (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.CUDA.GpuMat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::knnMatchConvert method to retrieve results in standard representation. These extended variants of DescriptorMatcher::matchAsync methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::matchAsync for the details about query and train descriptors. Python prototype (for reference only): knnMatchAsync(queryDescriptors, trainDescriptors, k[, matches[, mask[, stream]]]) -&gt; matches Variant 3: knnMatchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() k : int Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): knnMatchAsync(queryDescriptors, k[, matches[, masks[, stream]]]) -&gt; matches Variant 4: knnMatchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() k : int Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): knnMatchAsync(queryDescriptors, k[, matches[, masks[, stream]]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#knnMatchAsync/4","title":"Evision.CUDA.DescriptorMatcher.knnMatchAsync/4","type":"function"},{"doc":"Variant 1: Finds the k best matches for each descriptor from a query set (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.Mat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::knnMatchConvert method to retrieve results in standard representation. These extended variants of DescriptorMatcher::matchAsync methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::matchAsync for the details about query and train descriptors. Python prototype (for reference only): knnMatchAsync(queryDescriptors, trainDescriptors, k[, matches[, mask[, stream]]]) -&gt; matches Variant 2: Finds the k best matches for each descriptor from a query set (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.CUDA.GpuMat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::knnMatchConvert method to retrieve results in standard representation. These extended variants of DescriptorMatcher::matchAsync methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::matchAsync for the details about query and train descriptors. Python prototype (for reference only): knnMatchAsync(queryDescriptors, trainDescriptors, k[, matches[, mask[, stream]]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#knnMatchAsync/5","title":"Evision.CUDA.DescriptorMatcher.knnMatchAsync/5","type":"function"},{"doc":"Variant 1: Converts matches array from internal representation to standard matches vector. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() gpu_matches : Evision.Mat.t() . Matches, returned from DescriptorMatcher::knnMatchAsync. Keyword Arguments compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Vector of DMatch objects. The method is supposed to be used with DescriptorMatcher::knnMatchAsync to get final result. Call this method only after DescriptorMatcher::knnMatchAsync is completed (ie. after synchronization). Python prototype (for reference only): knnMatchConvert(gpu_matches[, compactResult]) -&gt; matches Variant 2: Converts matches array from internal representation to standard matches vector. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() gpu_matches : Evision.CUDA.GpuMat.t() . Matches, returned from DescriptorMatcher::knnMatchAsync. Keyword Arguments compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Vector of DMatch objects. The method is supposed to be used with DescriptorMatcher::knnMatchAsync to get final result. Call this method only after DescriptorMatcher::knnMatchAsync is completed (ie. after synchronization). Python prototype (for reference only): knnMatchConvert(gpu_matches[, compactResult]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#knnMatchConvert/2","title":"Evision.CUDA.DescriptorMatcher.knnMatchConvert/2","type":"function"},{"doc":"Variant 1: Converts matches array from internal representation to standard matches vector. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() gpu_matches : Evision.Mat.t() . Matches, returned from DescriptorMatcher::knnMatchAsync. Keyword Arguments compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Vector of DMatch objects. The method is supposed to be used with DescriptorMatcher::knnMatchAsync to get final result. Call this method only after DescriptorMatcher::knnMatchAsync is completed (ie. after synchronization). Python prototype (for reference only): knnMatchConvert(gpu_matches[, compactResult]) -&gt; matches Variant 2: Converts matches array from internal representation to standard matches vector. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() gpu_matches : Evision.CUDA.GpuMat.t() . Matches, returned from DescriptorMatcher::knnMatchAsync. Keyword Arguments compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Vector of DMatch objects. The method is supposed to be used with DescriptorMatcher::knnMatchAsync to get final result. Call this method only after DescriptorMatcher::knnMatchAsync is completed (ie. after synchronization). Python prototype (for reference only): knnMatchConvert(gpu_matches[, compactResult]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#knnMatchConvert/3","title":"Evision.CUDA.DescriptorMatcher.knnMatchConvert/3","type":"function"},{"doc":"Variant 1: match Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() Keyword Arguments masks : [Evision.CUDA.GpuMat] . Return matches : [Evision.DMatch] Has overloading in C++ Python prototype (for reference only): match(queryDescriptors[, masks]) -&gt; matches Variant 2: match Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() Keyword Arguments masks : [Evision.CUDA.GpuMat] . Return matches : [Evision.DMatch] Has overloading in C++ Python prototype (for reference only): match(queryDescriptors[, masks]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#match/2","title":"Evision.CUDA.DescriptorMatcher.match/2","type":"function"},{"doc":"Variant 1: Finds the best match for each descriptor from a query set (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches Variant 2: Finds the best match for each descriptor from a query set (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches Variant 3: match Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() Keyword Arguments masks : [Evision.CUDA.GpuMat] . Return matches : [Evision.DMatch] Has overloading in C++ Python prototype (for reference only): match(queryDescriptors[, masks]) -&gt; matches Variant 4: match Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() Keyword Arguments masks : [Evision.CUDA.GpuMat] . Return matches : [Evision.DMatch] Has overloading in C++ Python prototype (for reference only): match(queryDescriptors[, masks]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#match/3","title":"Evision.CUDA.DescriptorMatcher.match/3","type":"function"},{"doc":"Variant 1: Finds the best match for each descriptor from a query set (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches Variant 2: Finds the best match for each descriptor from a query set (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#match/4","title":"Evision.CUDA.DescriptorMatcher.match/4","type":"function"},{"doc":"Variant 1: matchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): matchAsync(queryDescriptors[, matches[, masks[, stream]]]) -&gt; matches Variant 2: matchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): matchAsync(queryDescriptors[, matches[, masks[, stream]]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#matchAsync/2","title":"Evision.CUDA.DescriptorMatcher.matchAsync/2","type":"function"},{"doc":"Variant 1: Finds the best match for each descriptor from a query set (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.Mat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::matchConvert method to retrieve results in standard representation. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): matchAsync(queryDescriptors, trainDescriptors[, matches[, mask[, stream]]]) -&gt; matches Variant 2: Finds the best match for each descriptor from a query set (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.CUDA.GpuMat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::matchConvert method to retrieve results in standard representation. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): matchAsync(queryDescriptors, trainDescriptors[, matches[, mask[, stream]]]) -&gt; matches Variant 3: matchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): matchAsync(queryDescriptors[, matches[, masks[, stream]]]) -&gt; matches Variant 4: matchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): matchAsync(queryDescriptors[, matches[, masks[, stream]]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#matchAsync/3","title":"Evision.CUDA.DescriptorMatcher.matchAsync/3","type":"function"},{"doc":"Variant 1: Finds the best match for each descriptor from a query set (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.Mat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::matchConvert method to retrieve results in standard representation. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): matchAsync(queryDescriptors, trainDescriptors[, matches[, mask[, stream]]]) -&gt; matches Variant 2: Finds the best match for each descriptor from a query set (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.CUDA.GpuMat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::matchConvert method to retrieve results in standard representation. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): matchAsync(queryDescriptors, trainDescriptors[, matches[, mask[, stream]]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#matchAsync/4","title":"Evision.CUDA.DescriptorMatcher.matchAsync/4","type":"function"},{"doc":"Variant 1: Converts matches array from internal representation to standard matches vector. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() gpu_matches : Evision.Mat.t() . Matches, returned from DescriptorMatcher::matchAsync. Return matches : [Evision.DMatch] . Vector of DMatch objects. The method is supposed to be used with DescriptorMatcher::matchAsync to get final result. Call this method only after DescriptorMatcher::matchAsync is completed (ie. after synchronization). Python prototype (for reference only): matchConvert(gpu_matches) -&gt; matches Variant 2: Converts matches array from internal representation to standard matches vector. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() gpu_matches : Evision.CUDA.GpuMat.t() . Matches, returned from DescriptorMatcher::matchAsync. Return matches : [Evision.DMatch] . Vector of DMatch objects. The method is supposed to be used with DescriptorMatcher::matchAsync to get final result. Call this method only after DescriptorMatcher::matchAsync is completed (ie. after synchronization). Python prototype (for reference only): matchConvert(gpu_matches) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#matchConvert/2","title":"Evision.CUDA.DescriptorMatcher.matchConvert/2","type":"function"},{"doc":"Variant 1: radiusMatch Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() maxDistance : float Keyword Arguments masks : [Evision.CUDA.GpuMat] . compactResult : bool . Return matches : [[Evision.DMatch]] Has overloading in C++ Python prototype (for reference only): radiusMatch(queryDescriptors, maxDistance[, masks[, compactResult]]) -&gt; matches Variant 2: radiusMatch Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() maxDistance : float Keyword Arguments masks : [Evision.CUDA.GpuMat] . compactResult : bool . Return matches : [[Evision.DMatch]] Has overloading in C++ Python prototype (for reference only): radiusMatch(queryDescriptors, maxDistance[, masks[, compactResult]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#radiusMatch/3","title":"Evision.CUDA.DescriptorMatcher.radiusMatch/3","type":"function"},{"doc":"Variant 1: For each query descriptor, finds the training descriptors not farther than the specified distance (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatch(queryDescriptors, trainDescriptors, maxDistance[, mask[, compactResult]]) -&gt; matches Variant 2: For each query descriptor, finds the training descriptors not farther than the specified distance (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatch(queryDescriptors, trainDescriptors, maxDistance[, mask[, compactResult]]) -&gt; matches Variant 3: radiusMatch Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() maxDistance : float Keyword Arguments masks : [Evision.CUDA.GpuMat] . compactResult : bool . Return matches : [[Evision.DMatch]] Has overloading in C++ Python prototype (for reference only): radiusMatch(queryDescriptors, maxDistance[, masks[, compactResult]]) -&gt; matches Variant 4: radiusMatch Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() maxDistance : float Keyword Arguments masks : [Evision.CUDA.GpuMat] . compactResult : bool . Return matches : [[Evision.DMatch]] Has overloading in C++ Python prototype (for reference only): radiusMatch(queryDescriptors, maxDistance[, masks[, compactResult]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#radiusMatch/4","title":"Evision.CUDA.DescriptorMatcher.radiusMatch/4","type":"function"},{"doc":"Variant 1: For each query descriptor, finds the training descriptors not farther than the specified distance (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatch(queryDescriptors, trainDescriptors, maxDistance[, mask[, compactResult]]) -&gt; matches Variant 2: For each query descriptor, finds the training descriptors not farther than the specified distance (blocking version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatch(queryDescriptors, trainDescriptors, maxDistance[, mask[, compactResult]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#radiusMatch/5","title":"Evision.CUDA.DescriptorMatcher.radiusMatch/5","type":"function"},{"doc":"Variant 1: radiusMatchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() maxDistance : float Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): radiusMatchAsync(queryDescriptors, maxDistance[, matches[, masks[, stream]]]) -&gt; matches Variant 2: radiusMatchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() maxDistance : float Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): radiusMatchAsync(queryDescriptors, maxDistance[, matches[, masks[, stream]]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#radiusMatchAsync/3","title":"Evision.CUDA.DescriptorMatcher.radiusMatchAsync/3","type":"function"},{"doc":"Variant 1: For each query descriptor, finds the training descriptors not farther than the specified distance (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.Mat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::radiusMatchConvert method to retrieve results in standard representation. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatchAsync(queryDescriptors, trainDescriptors, maxDistance[, matches[, mask[, stream]]]) -&gt; matches Variant 2: For each query descriptor, finds the training descriptors not farther than the specified distance (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.CUDA.GpuMat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::radiusMatchConvert method to retrieve results in standard representation. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatchAsync(queryDescriptors, trainDescriptors, maxDistance[, matches[, mask[, stream]]]) -&gt; matches Variant 3: radiusMatchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() maxDistance : float Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): radiusMatchAsync(queryDescriptors, maxDistance[, matches[, masks[, stream]]]) -&gt; matches Variant 4: radiusMatchAsync Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() maxDistance : float Keyword Arguments masks : [Evision.CUDA.GpuMat] . stream : Evision.CUDA.Stream.t() . Return matches : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): radiusMatchAsync(queryDescriptors, maxDistance[, matches[, masks[, stream]]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#radiusMatchAsync/4","title":"Evision.CUDA.DescriptorMatcher.radiusMatchAsync/4","type":"function"},{"doc":"Variant 1: For each query descriptor, finds the training descriptors not farther than the specified distance (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.Mat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::radiusMatchConvert method to retrieve results in standard representation. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatchAsync(queryDescriptors, trainDescriptors, maxDistance[, matches[, mask[, stream]]]) -&gt; matches Variant 2: For each query descriptor, finds the training descriptors not farther than the specified distance (asynchronous version). Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() queryDescriptors : Evision.CUDA.GpuMat.t() . Query set of descriptors. trainDescriptors : Evision.CUDA.GpuMat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. stream : Evision.CUDA.Stream.t() . CUDA stream. Return matches : Evision.CUDA.GpuMat.t() . Matches array stored in GPU memory. Internal representation is not defined. Use DescriptorMatcher::radiusMatchConvert method to retrieve results in standard representation. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatchAsync(queryDescriptors, trainDescriptors, maxDistance[, matches[, mask[, stream]]]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#radiusMatchAsync/5","title":"Evision.CUDA.DescriptorMatcher.radiusMatchAsync/5","type":"function"},{"doc":"Variant 1: Converts matches array from internal representation to standard matches vector. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() gpu_matches : Evision.Mat.t() . Matches, returned from DescriptorMatcher::radiusMatchAsync. Keyword Arguments compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Vector of DMatch objects. The method is supposed to be used with DescriptorMatcher::radiusMatchAsync to get final result. Call this method only after DescriptorMatcher::radiusMatchAsync is completed (ie. after synchronization). Python prototype (for reference only): radiusMatchConvert(gpu_matches[, compactResult]) -&gt; matches Variant 2: Converts matches array from internal representation to standard matches vector. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() gpu_matches : Evision.CUDA.GpuMat.t() . Matches, returned from DescriptorMatcher::radiusMatchAsync. Keyword Arguments compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Vector of DMatch objects. The method is supposed to be used with DescriptorMatcher::radiusMatchAsync to get final result. Call this method only after DescriptorMatcher::radiusMatchAsync is completed (ie. after synchronization). Python prototype (for reference only): radiusMatchConvert(gpu_matches[, compactResult]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#radiusMatchConvert/2","title":"Evision.CUDA.DescriptorMatcher.radiusMatchConvert/2","type":"function"},{"doc":"Variant 1: Converts matches array from internal representation to standard matches vector. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() gpu_matches : Evision.Mat.t() . Matches, returned from DescriptorMatcher::radiusMatchAsync. Keyword Arguments compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Vector of DMatch objects. The method is supposed to be used with DescriptorMatcher::radiusMatchAsync to get final result. Call this method only after DescriptorMatcher::radiusMatchAsync is completed (ie. after synchronization). Python prototype (for reference only): radiusMatchConvert(gpu_matches[, compactResult]) -&gt; matches Variant 2: Converts matches array from internal representation to standard matches vector. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() gpu_matches : Evision.CUDA.GpuMat.t() . Matches, returned from DescriptorMatcher::radiusMatchAsync. Keyword Arguments compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Vector of DMatch objects. The method is supposed to be used with DescriptorMatcher::radiusMatchAsync to get final result. Call this method only after DescriptorMatcher::radiusMatchAsync is completed (ie. after synchronization). Python prototype (for reference only): radiusMatchConvert(gpu_matches[, compactResult]) -&gt; matches","ref":"Evision.CUDA.DescriptorMatcher.html#radiusMatchConvert/3","title":"Evision.CUDA.DescriptorMatcher.radiusMatchConvert/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.DescriptorMatcher.html#read/2","title":"Evision.CUDA.DescriptorMatcher.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.DescriptorMatcher.html#save/2","title":"Evision.CUDA.DescriptorMatcher.save/2","type":"function"},{"doc":"Trains a descriptor matcher. Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() Trains a descriptor matcher (for example, the flann index). In all methods to match, the method train() is run every time before matching. Python prototype (for reference only): train() -&gt; None","ref":"Evision.CUDA.DescriptorMatcher.html#train/1","title":"Evision.CUDA.DescriptorMatcher.train/1","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.DescriptorMatcher.html#write/2","title":"Evision.CUDA.DescriptorMatcher.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.DescriptorMatcher.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.DescriptorMatcher.html#write/3","title":"Evision.CUDA.DescriptorMatcher.write/3","type":"function"},{"doc":"Type that represents an CUDA.DescriptorMatcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.DescriptorMatcher.html#t:t/0","title":"Evision.CUDA.DescriptorMatcher.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.DeviceInfo.html","title":"Evision.CUDA.DeviceInfo","type":"module"},{"doc":"asyncEngineCount Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): asyncEngineCount() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#asyncEngineCount/1","title":"Evision.CUDA.DeviceInfo.asyncEngineCount/1","type":"function"},{"doc":"canMapHostMemory Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : bool Python prototype (for reference only): canMapHostMemory() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#canMapHostMemory/1","title":"Evision.CUDA.DeviceInfo.canMapHostMemory/1","type":"function"},{"doc":"clockRate Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): clockRate() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#clockRate/1","title":"Evision.CUDA.DeviceInfo.clockRate/1","type":"function"},{"doc":"computeMode Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : DeviceInfo::ComputeMode Python prototype (for reference only): computeMode() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#computeMode/1","title":"Evision.CUDA.DeviceInfo.computeMode/1","type":"function"},{"doc":"concurrentKernels Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : bool Python prototype (for reference only): concurrentKernels() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#concurrentKernels/1","title":"Evision.CUDA.DeviceInfo.concurrentKernels/1","type":"function"},{"doc":"Returns system index of the CUDA device starting with 0. Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): deviceID() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#deviceID/1","title":"Evision.CUDA.DeviceInfo.deviceID/1","type":"function"},{"doc":"DeviceInfo Return self : Evision.CUDA.DeviceInfo.t() Python prototype (for reference only): DeviceInfo() -&gt; &lt;cuda_DeviceInfo object&gt;","ref":"Evision.CUDA.DeviceInfo.html#deviceInfo/0","title":"Evision.CUDA.DeviceInfo.deviceInfo/0","type":"function"},{"doc":"The constructors. Positional Arguments device_id : int . System index of the CUDA device starting with 0. Return self : Evision.CUDA.DeviceInfo.t() Constructs the DeviceInfo object for the specified device. If device_id parameter is missed, it constructs an object for the current device. Python prototype (for reference only): DeviceInfo(device_id) -&gt; &lt;cuda_DeviceInfo object&gt;","ref":"Evision.CUDA.DeviceInfo.html#deviceInfo/1","title":"Evision.CUDA.DeviceInfo.deviceInfo/1","type":"function"},{"doc":"ECCEnabled Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : bool Python prototype (for reference only): ECCEnabled() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#eccEnabled/1","title":"Evision.CUDA.DeviceInfo.eccEnabled/1","type":"function"},{"doc":"freeMemory Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : size_t Python prototype (for reference only): freeMemory() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#freeMemory/1","title":"Evision.CUDA.DeviceInfo.freeMemory/1","type":"function"},{"doc":"integrated Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : bool Python prototype (for reference only): integrated() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#integrated/1","title":"Evision.CUDA.DeviceInfo.integrated/1","type":"function"},{"doc":"Checks the CUDA module and device compatibility. Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : bool This function returns true if the CUDA module can be run on the specified device. Otherwise, it returns false . Python prototype (for reference only): isCompatible() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#isCompatible/1","title":"Evision.CUDA.DeviceInfo.isCompatible/1","type":"function"},{"doc":"kernelExecTimeoutEnabled Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : bool Python prototype (for reference only): kernelExecTimeoutEnabled() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#kernelExecTimeoutEnabled/1","title":"Evision.CUDA.DeviceInfo.kernelExecTimeoutEnabled/1","type":"function"},{"doc":"l2CacheSize Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): l2CacheSize() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#l2CacheSize/1","title":"Evision.CUDA.DeviceInfo.l2CacheSize/1","type":"function"},{"doc":"majorVersion Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): majorVersion() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#majorVersion/1","title":"Evision.CUDA.DeviceInfo.majorVersion/1","type":"function"},{"doc":"maxGridSize Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec3i Python prototype (for reference only): maxGridSize() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxGridSize/1","title":"Evision.CUDA.DeviceInfo.maxGridSize/1","type":"function"},{"doc":"maxSurface1D Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): maxSurface1D() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxSurface1D/1","title":"Evision.CUDA.DeviceInfo.maxSurface1D/1","type":"function"},{"doc":"maxSurface1DLayered Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec2i Python prototype (for reference only): maxSurface1DLayered() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxSurface1DLayered/1","title":"Evision.CUDA.DeviceInfo.maxSurface1DLayered/1","type":"function"},{"doc":"maxSurface2D Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec2i Python prototype (for reference only): maxSurface2D() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxSurface2D/1","title":"Evision.CUDA.DeviceInfo.maxSurface2D/1","type":"function"},{"doc":"maxSurface2DLayered Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec3i Python prototype (for reference only): maxSurface2DLayered() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxSurface2DLayered/1","title":"Evision.CUDA.DeviceInfo.maxSurface2DLayered/1","type":"function"},{"doc":"maxSurface3D Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec3i Python prototype (for reference only): maxSurface3D() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxSurface3D/1","title":"Evision.CUDA.DeviceInfo.maxSurface3D/1","type":"function"},{"doc":"maxSurfaceCubemap Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): maxSurfaceCubemap() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxSurfaceCubemap/1","title":"Evision.CUDA.DeviceInfo.maxSurfaceCubemap/1","type":"function"},{"doc":"maxSurfaceCubemapLayered Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec2i Python prototype (for reference only): maxSurfaceCubemapLayered() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxSurfaceCubemapLayered/1","title":"Evision.CUDA.DeviceInfo.maxSurfaceCubemapLayered/1","type":"function"},{"doc":"maxTexture1D Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): maxTexture1D() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTexture1D/1","title":"Evision.CUDA.DeviceInfo.maxTexture1D/1","type":"function"},{"doc":"maxTexture1DLayered Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec2i Python prototype (for reference only): maxTexture1DLayered() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTexture1DLayered/1","title":"Evision.CUDA.DeviceInfo.maxTexture1DLayered/1","type":"function"},{"doc":"maxTexture1DLinear Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): maxTexture1DLinear() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTexture1DLinear/1","title":"Evision.CUDA.DeviceInfo.maxTexture1DLinear/1","type":"function"},{"doc":"maxTexture1DMipmap Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): maxTexture1DMipmap() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTexture1DMipmap/1","title":"Evision.CUDA.DeviceInfo.maxTexture1DMipmap/1","type":"function"},{"doc":"maxTexture2D Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec2i Python prototype (for reference only): maxTexture2D() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTexture2D/1","title":"Evision.CUDA.DeviceInfo.maxTexture2D/1","type":"function"},{"doc":"maxTexture2DGather Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec2i Python prototype (for reference only): maxTexture2DGather() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTexture2DGather/1","title":"Evision.CUDA.DeviceInfo.maxTexture2DGather/1","type":"function"},{"doc":"maxTexture2DLayered Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec3i Python prototype (for reference only): maxTexture2DLayered() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTexture2DLayered/1","title":"Evision.CUDA.DeviceInfo.maxTexture2DLayered/1","type":"function"},{"doc":"maxTexture2DLinear Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec3i Python prototype (for reference only): maxTexture2DLinear() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTexture2DLinear/1","title":"Evision.CUDA.DeviceInfo.maxTexture2DLinear/1","type":"function"},{"doc":"maxTexture2DMipmap Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec2i Python prototype (for reference only): maxTexture2DMipmap() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTexture2DMipmap/1","title":"Evision.CUDA.DeviceInfo.maxTexture2DMipmap/1","type":"function"},{"doc":"maxTexture3D Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec3i Python prototype (for reference only): maxTexture3D() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTexture3D/1","title":"Evision.CUDA.DeviceInfo.maxTexture3D/1","type":"function"},{"doc":"maxTextureCubemap Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): maxTextureCubemap() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTextureCubemap/1","title":"Evision.CUDA.DeviceInfo.maxTextureCubemap/1","type":"function"},{"doc":"maxTextureCubemapLayered Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec2i Python prototype (for reference only): maxTextureCubemapLayered() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxTextureCubemapLayered/1","title":"Evision.CUDA.DeviceInfo.maxTextureCubemapLayered/1","type":"function"},{"doc":"maxThreadsDim Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : Vec3i Python prototype (for reference only): maxThreadsDim() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxThreadsDim/1","title":"Evision.CUDA.DeviceInfo.maxThreadsDim/1","type":"function"},{"doc":"maxThreadsPerBlock Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): maxThreadsPerBlock() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxThreadsPerBlock/1","title":"Evision.CUDA.DeviceInfo.maxThreadsPerBlock/1","type":"function"},{"doc":"maxThreadsPerMultiProcessor Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): maxThreadsPerMultiProcessor() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#maxThreadsPerMultiProcessor/1","title":"Evision.CUDA.DeviceInfo.maxThreadsPerMultiProcessor/1","type":"function"},{"doc":"memoryBusWidth Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): memoryBusWidth() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#memoryBusWidth/1","title":"Evision.CUDA.DeviceInfo.memoryBusWidth/1","type":"function"},{"doc":"memoryClockRate Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): memoryClockRate() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#memoryClockRate/1","title":"Evision.CUDA.DeviceInfo.memoryClockRate/1","type":"function"},{"doc":"memPitch Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : size_t Python prototype (for reference only): memPitch() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#memPitch/1","title":"Evision.CUDA.DeviceInfo.memPitch/1","type":"function"},{"doc":"minorVersion Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): minorVersion() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#minorVersion/1","title":"Evision.CUDA.DeviceInfo.minorVersion/1","type":"function"},{"doc":"multiProcessorCount Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): multiProcessorCount() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#multiProcessorCount/1","title":"Evision.CUDA.DeviceInfo.multiProcessorCount/1","type":"function"},{"doc":"pciBusID Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): pciBusID() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#pciBusID/1","title":"Evision.CUDA.DeviceInfo.pciBusID/1","type":"function"},{"doc":"pciDeviceID Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): pciDeviceID() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#pciDeviceID/1","title":"Evision.CUDA.DeviceInfo.pciDeviceID/1","type":"function"},{"doc":"pciDomainID Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): pciDomainID() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#pciDomainID/1","title":"Evision.CUDA.DeviceInfo.pciDomainID/1","type":"function"},{"doc":"queryMemory Positional Arguments self : Evision.CUDA.DeviceInfo.t() totalMemory : size_t freeMemory : size_t Python prototype (for reference only): queryMemory(totalMemory, freeMemory) -&gt; None","ref":"Evision.CUDA.DeviceInfo.html#queryMemory/3","title":"Evision.CUDA.DeviceInfo.queryMemory/3","type":"function"},{"doc":"regsPerBlock Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): regsPerBlock() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#regsPerBlock/1","title":"Evision.CUDA.DeviceInfo.regsPerBlock/1","type":"function"},{"doc":"sharedMemPerBlock Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : size_t Python prototype (for reference only): sharedMemPerBlock() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#sharedMemPerBlock/1","title":"Evision.CUDA.DeviceInfo.sharedMemPerBlock/1","type":"function"},{"doc":"surfaceAlignment Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : size_t Python prototype (for reference only): surfaceAlignment() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#surfaceAlignment/1","title":"Evision.CUDA.DeviceInfo.surfaceAlignment/1","type":"function"},{"doc":"tccDriver Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : bool Python prototype (for reference only): tccDriver() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#tccDriver/1","title":"Evision.CUDA.DeviceInfo.tccDriver/1","type":"function"},{"doc":"textureAlignment Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : size_t Python prototype (for reference only): textureAlignment() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#textureAlignment/1","title":"Evision.CUDA.DeviceInfo.textureAlignment/1","type":"function"},{"doc":"texturePitchAlignment Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : size_t Python prototype (for reference only): texturePitchAlignment() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#texturePitchAlignment/1","title":"Evision.CUDA.DeviceInfo.texturePitchAlignment/1","type":"function"},{"doc":"totalConstMem Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : size_t Python prototype (for reference only): totalConstMem() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#totalConstMem/1","title":"Evision.CUDA.DeviceInfo.totalConstMem/1","type":"function"},{"doc":"totalGlobalMem Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : size_t Python prototype (for reference only): totalGlobalMem() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#totalGlobalMem/1","title":"Evision.CUDA.DeviceInfo.totalGlobalMem/1","type":"function"},{"doc":"totalMemory Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : size_t Python prototype (for reference only): totalMemory() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#totalMemory/1","title":"Evision.CUDA.DeviceInfo.totalMemory/1","type":"function"},{"doc":"unifiedAddressing Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : bool Python prototype (for reference only): unifiedAddressing() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#unifiedAddressing/1","title":"Evision.CUDA.DeviceInfo.unifiedAddressing/1","type":"function"},{"doc":"warpSize Positional Arguments self : Evision.CUDA.DeviceInfo.t() Return retval : int Python prototype (for reference only): warpSize() -&gt; retval","ref":"Evision.CUDA.DeviceInfo.html#warpSize/1","title":"Evision.CUDA.DeviceInfo.warpSize/1","type":"function"},{"doc":"Type that represents an CUDA.DeviceInfo struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.DeviceInfo.html#t:t/0","title":"Evision.CUDA.DeviceInfo.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.DisparityBilateralFilter.html","title":"Evision.CUDA.DisparityBilateralFilter","type":"module"},{"doc":"Variant 1: Refines a disparity map using joint bilateral filtering. Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() disparity : Evision.Mat.t() . Input disparity map. CV_8UC1 and CV_16SC1 types are supported. image : Evision.Mat.t() . Input image. CV_8UC1 and CV_8UC3 types are supported. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination disparity map. It has the same size and type as disparity . Python prototype (for reference only): apply(disparity, image[, dst[, stream]]) -&gt; dst Variant 2: Refines a disparity map using joint bilateral filtering. Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() disparity : Evision.CUDA.GpuMat.t() . Input disparity map. CV_8UC1 and CV_16SC1 types are supported. image : Evision.CUDA.GpuMat.t() . Input image. CV_8UC1 and CV_8UC3 types are supported. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination disparity map. It has the same size and type as disparity . Python prototype (for reference only): apply(disparity, image[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.DisparityBilateralFilter.html#apply/3","title":"Evision.CUDA.DisparityBilateralFilter.apply/3","type":"function"},{"doc":"Variant 1: Refines a disparity map using joint bilateral filtering. Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() disparity : Evision.Mat.t() . Input disparity map. CV_8UC1 and CV_16SC1 types are supported. image : Evision.Mat.t() . Input image. CV_8UC1 and CV_8UC3 types are supported. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination disparity map. It has the same size and type as disparity . Python prototype (for reference only): apply(disparity, image[, dst[, stream]]) -&gt; dst Variant 2: Refines a disparity map using joint bilateral filtering. Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() disparity : Evision.CUDA.GpuMat.t() . Input disparity map. CV_8UC1 and CV_16SC1 types are supported. image : Evision.CUDA.GpuMat.t() . Input image. CV_8UC1 and CV_8UC3 types are supported. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination disparity map. It has the same size and type as disparity . Python prototype (for reference only): apply(disparity, image[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.DisparityBilateralFilter.html#apply/4","title":"Evision.CUDA.DisparityBilateralFilter.apply/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#clear/1","title":"Evision.CUDA.DisparityBilateralFilter.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.DisparityBilateralFilter.html#empty/1","title":"Evision.CUDA.DisparityBilateralFilter.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.DisparityBilateralFilter.html#getDefaultName/1","title":"Evision.CUDA.DisparityBilateralFilter.getDefaultName/1","type":"function"},{"doc":"getEdgeThreshold Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() Return retval : double Python prototype (for reference only): getEdgeThreshold() -&gt; retval","ref":"Evision.CUDA.DisparityBilateralFilter.html#getEdgeThreshold/1","title":"Evision.CUDA.DisparityBilateralFilter.getEdgeThreshold/1","type":"function"},{"doc":"getMaxDiscThreshold Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() Return retval : double Python prototype (for reference only): getMaxDiscThreshold() -&gt; retval","ref":"Evision.CUDA.DisparityBilateralFilter.html#getMaxDiscThreshold/1","title":"Evision.CUDA.DisparityBilateralFilter.getMaxDiscThreshold/1","type":"function"},{"doc":"getNumDisparities Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() Return retval : int Python prototype (for reference only): getNumDisparities() -&gt; retval","ref":"Evision.CUDA.DisparityBilateralFilter.html#getNumDisparities/1","title":"Evision.CUDA.DisparityBilateralFilter.getNumDisparities/1","type":"function"},{"doc":"getNumIters Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() Return retval : int Python prototype (for reference only): getNumIters() -&gt; retval","ref":"Evision.CUDA.DisparityBilateralFilter.html#getNumIters/1","title":"Evision.CUDA.DisparityBilateralFilter.getNumIters/1","type":"function"},{"doc":"getRadius Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() Return retval : int Python prototype (for reference only): getRadius() -&gt; retval","ref":"Evision.CUDA.DisparityBilateralFilter.html#getRadius/1","title":"Evision.CUDA.DisparityBilateralFilter.getRadius/1","type":"function"},{"doc":"getSigmaRange Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() Return retval : double Python prototype (for reference only): getSigmaRange() -&gt; retval","ref":"Evision.CUDA.DisparityBilateralFilter.html#getSigmaRange/1","title":"Evision.CUDA.DisparityBilateralFilter.getSigmaRange/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#read/2","title":"Evision.CUDA.DisparityBilateralFilter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#save/2","title":"Evision.CUDA.DisparityBilateralFilter.save/2","type":"function"},{"doc":"setEdgeThreshold Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() edge_threshold : double Python prototype (for reference only): setEdgeThreshold(edge_threshold) -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#setEdgeThreshold/2","title":"Evision.CUDA.DisparityBilateralFilter.setEdgeThreshold/2","type":"function"},{"doc":"setMaxDiscThreshold Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() max_disc_threshold : double Python prototype (for reference only): setMaxDiscThreshold(max_disc_threshold) -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#setMaxDiscThreshold/2","title":"Evision.CUDA.DisparityBilateralFilter.setMaxDiscThreshold/2","type":"function"},{"doc":"setNumDisparities Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() numDisparities : int Python prototype (for reference only): setNumDisparities(numDisparities) -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#setNumDisparities/2","title":"Evision.CUDA.DisparityBilateralFilter.setNumDisparities/2","type":"function"},{"doc":"setNumIters Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() iters : int Python prototype (for reference only): setNumIters(iters) -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#setNumIters/2","title":"Evision.CUDA.DisparityBilateralFilter.setNumIters/2","type":"function"},{"doc":"setRadius Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() radius : int Python prototype (for reference only): setRadius(radius) -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#setRadius/2","title":"Evision.CUDA.DisparityBilateralFilter.setRadius/2","type":"function"},{"doc":"setSigmaRange Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() sigma_range : double Python prototype (for reference only): setSigmaRange(sigma_range) -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#setSigmaRange/2","title":"Evision.CUDA.DisparityBilateralFilter.setSigmaRange/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#write/2","title":"Evision.CUDA.DisparityBilateralFilter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.DisparityBilateralFilter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.DisparityBilateralFilter.html#write/3","title":"Evision.CUDA.DisparityBilateralFilter.write/3","type":"function"},{"doc":"Type that represents an CUDA.DisparityBilateralFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.DisparityBilateralFilter.html#t:t/0","title":"Evision.CUDA.DisparityBilateralFilter.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.Event.html","title":"Evision.CUDA.Event","type":"module"},{"doc":"elapsedTime Positional Arguments start : Evision.CUDA.Event.t() end_ : Evision.CUDA.Event.t() Return retval : float Python prototype (for reference only): elapsedTime(start, end_) -&gt; retval","ref":"Evision.CUDA.Event.html#elapsedTime/2","title":"Evision.CUDA.Event.elapsedTime/2","type":"function"},{"doc":"Event Keyword Arguments flags : Event_CreateFlags . Return self : Evision.CUDA.Event.t() Python prototype (for reference only): Event([, flags]) -&gt; &lt;cuda_Event object&gt;","ref":"Evision.CUDA.Event.html#event/0","title":"Evision.CUDA.Event.event/0","type":"function"},{"doc":"Event Keyword Arguments flags : Event_CreateFlags . Return self : Evision.CUDA.Event.t() Python prototype (for reference only): Event([, flags]) -&gt; &lt;cuda_Event object&gt;","ref":"Evision.CUDA.Event.html#event/1","title":"Evision.CUDA.Event.event/1","type":"function"},{"doc":"queryIfComplete Positional Arguments self : Evision.CUDA.Event.t() Return retval : bool Python prototype (for reference only): queryIfComplete() -&gt; retval","ref":"Evision.CUDA.Event.html#queryIfComplete/1","title":"Evision.CUDA.Event.queryIfComplete/1","type":"function"},{"doc":"record Positional Arguments self : Evision.CUDA.Event.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Python prototype (for reference only): record([, stream]) -&gt; None","ref":"Evision.CUDA.Event.html#record/1","title":"Evision.CUDA.Event.record/1","type":"function"},{"doc":"record Positional Arguments self : Evision.CUDA.Event.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Python prototype (for reference only): record([, stream]) -&gt; None","ref":"Evision.CUDA.Event.html#record/2","title":"Evision.CUDA.Event.record/2","type":"function"},{"doc":"waitForCompletion Positional Arguments self : Evision.CUDA.Event.t() Python prototype (for reference only): waitForCompletion() -&gt; None","ref":"Evision.CUDA.Event.html#waitForCompletion/1","title":"Evision.CUDA.Event.waitForCompletion/1","type":"function"},{"doc":"Type that represents an CUDA.Event struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.Event.html#t:t/0","title":"Evision.CUDA.Event.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.FastFeatureDetector.html","title":"Evision.CUDA.FastFeatureDetector","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.FastFeatureDetector.html#compute/3","title":"Evision.CUDA.FastFeatureDetector.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.FastFeatureDetector.html#compute/4","title":"Evision.CUDA.FastFeatureDetector.compute/4","type":"function"},{"doc":"Variant 1: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . Input collection of keypoints. descriptors : Evision.Mat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . Input collection of keypoints. descriptors : Evision.CUDA.GpuMat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.FastFeatureDetector.html#computeAsync/2","title":"Evision.CUDA.FastFeatureDetector.computeAsync/2","type":"function"},{"doc":"Variant 1: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . Input collection of keypoints. descriptors : Evision.Mat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . Input collection of keypoints. descriptors : Evision.CUDA.GpuMat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.FastFeatureDetector.html#computeAsync/3","title":"Evision.CUDA.FastFeatureDetector.computeAsync/3","type":"function"},{"doc":"Variant 1: convert Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() gpu_keypoints : Evision.Mat.t() Return keypoints : [Evision.KeyPoint] Converts keypoints array from internal representation to standard vector. Python prototype (for reference only): convert(gpu_keypoints) -&gt; keypoints Variant 2: convert Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() gpu_keypoints : Evision.CUDA.GpuMat.t() Return keypoints : [Evision.KeyPoint] Converts keypoints array from internal representation to standard vector. Python prototype (for reference only): convert(gpu_keypoints) -&gt; keypoints","ref":"Evision.CUDA.FastFeatureDetector.html#convert/2","title":"Evision.CUDA.FastFeatureDetector.convert/2","type":"function"},{"doc":"create Keyword Arguments threshold : int . nonmaxSuppression : bool . type : int . max_npoints : int . Return retval : Evision.CUDA.FastFeatureDetector.t() Python prototype (for reference only): create([, threshold[, nonmaxSuppression[, type[, max_npoints]]]]) -&gt; retval","ref":"Evision.CUDA.FastFeatureDetector.html#create/0","title":"Evision.CUDA.FastFeatureDetector.create/0","type":"function"},{"doc":"create Keyword Arguments threshold : int . nonmaxSuppression : bool . type : int . max_npoints : int . Return retval : Evision.CUDA.FastFeatureDetector.t() Python prototype (for reference only): create([, threshold[, nonmaxSuppression[, type[, max_npoints]]]]) -&gt; retval","ref":"Evision.CUDA.FastFeatureDetector.html#create/1","title":"Evision.CUDA.FastFeatureDetector.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.CUDA.FastFeatureDetector.html#defaultNorm/1","title":"Evision.CUDA.FastFeatureDetector.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.CUDA.FastFeatureDetector.html#descriptorSize/1","title":"Evision.CUDA.FastFeatureDetector.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.CUDA.FastFeatureDetector.html#descriptorType/1","title":"Evision.CUDA.FastFeatureDetector.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.CUDA.FastFeatureDetector.html#detect/2","title":"Evision.CUDA.FastFeatureDetector.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.CUDA.FastFeatureDetector.html#detect/3","title":"Evision.CUDA.FastFeatureDetector.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.FastFeatureDetector.html#detectAndCompute/3","title":"Evision.CUDA.FastFeatureDetector.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.FastFeatureDetector.html#detectAndCompute/4","title":"Evision.CUDA.FastFeatureDetector.detectAndCompute/4","type":"function"},{"doc":"Variant 1: detectAndComputeAsync Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.Mat.t() . descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors Variant 2: detectAndComputeAsync Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.CUDA.GpuMat.t() mask : Evision.CUDA.GpuMat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.CUDA.GpuMat.t() . descriptors : Evision.CUDA.GpuMat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.FastFeatureDetector.html#detectAndComputeAsync/3","title":"Evision.CUDA.FastFeatureDetector.detectAndComputeAsync/3","type":"function"},{"doc":"Variant 1: detectAndComputeAsync Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.Mat.t() . descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors Variant 2: detectAndComputeAsync Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.CUDA.GpuMat.t() mask : Evision.CUDA.GpuMat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.CUDA.GpuMat.t() . descriptors : Evision.CUDA.GpuMat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.FastFeatureDetector.html#detectAndComputeAsync/4","title":"Evision.CUDA.FastFeatureDetector.detectAndComputeAsync/4","type":"function"},{"doc":"Variant 1: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints Variant 2: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints","ref":"Evision.CUDA.FastFeatureDetector.html#detectAsync/2","title":"Evision.CUDA.FastFeatureDetector.detectAsync/2","type":"function"},{"doc":"Variant 1: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints Variant 2: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints","ref":"Evision.CUDA.FastFeatureDetector.html#detectAsync/3","title":"Evision.CUDA.FastFeatureDetector.detectAsync/3","type":"function"},{"doc":"empty Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.FastFeatureDetector.html#empty/1","title":"Evision.CUDA.FastFeatureDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.FastFeatureDetector.html#getDefaultName/1","title":"Evision.CUDA.FastFeatureDetector.getDefaultName/1","type":"function"},{"doc":"getMaxNumPoints Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() Return retval : int Python prototype (for reference only): getMaxNumPoints() -&gt; retval","ref":"Evision.CUDA.FastFeatureDetector.html#getMaxNumPoints/1","title":"Evision.CUDA.FastFeatureDetector.getMaxNumPoints/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.CUDA.FastFeatureDetector.html#read/2","title":"Evision.CUDA.FastFeatureDetector.read/2","type":"function"},{"doc":"setMaxNumPoints Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() max_npoints : int Python prototype (for reference only): setMaxNumPoints(max_npoints) -&gt; None","ref":"Evision.CUDA.FastFeatureDetector.html#setMaxNumPoints/2","title":"Evision.CUDA.FastFeatureDetector.setMaxNumPoints/2","type":"function"},{"doc":"setThreshold Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() threshold : int Python prototype (for reference only): setThreshold(threshold) -&gt; None","ref":"Evision.CUDA.FastFeatureDetector.html#setThreshold/2","title":"Evision.CUDA.FastFeatureDetector.setThreshold/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.CUDA.FastFeatureDetector.html#write/2","title":"Evision.CUDA.FastFeatureDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.FastFeatureDetector.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.FastFeatureDetector.html#write/3","title":"Evision.CUDA.FastFeatureDetector.write/3","type":"function"},{"doc":"Type that represents an CUDA.FastFeatureDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.FastFeatureDetector.html#t:t/0","title":"Evision.CUDA.FastFeatureDetector.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.Feature2DAsync.html","title":"Evision.CUDA.Feature2DAsync","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.CUDA.Feature2DAsync.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.Feature2DAsync.html#compute/3","title":"Evision.CUDA.Feature2DAsync.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.CUDA.Feature2DAsync.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.Feature2DAsync.html#compute/4","title":"Evision.CUDA.Feature2DAsync.compute/4","type":"function"},{"doc":"Variant 1: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . Input collection of keypoints. descriptors : Evision.Mat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . Input collection of keypoints. descriptors : Evision.CUDA.GpuMat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.Feature2DAsync.html#computeAsync/2","title":"Evision.CUDA.Feature2DAsync.computeAsync/2","type":"function"},{"doc":"Variant 1: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . Input collection of keypoints. descriptors : Evision.Mat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . Input collection of keypoints. descriptors : Evision.CUDA.GpuMat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.Feature2DAsync.html#computeAsync/3","title":"Evision.CUDA.Feature2DAsync.computeAsync/3","type":"function"},{"doc":"Variant 1: convert Positional Arguments self : Evision.CUDA.Feature2DAsync.t() gpu_keypoints : Evision.Mat.t() Return keypoints : [Evision.KeyPoint] Converts keypoints array from internal representation to standard vector. Python prototype (for reference only): convert(gpu_keypoints) -&gt; keypoints Variant 2: convert Positional Arguments self : Evision.CUDA.Feature2DAsync.t() gpu_keypoints : Evision.CUDA.GpuMat.t() Return keypoints : [Evision.KeyPoint] Converts keypoints array from internal representation to standard vector. Python prototype (for reference only): convert(gpu_keypoints) -&gt; keypoints","ref":"Evision.CUDA.Feature2DAsync.html#convert/2","title":"Evision.CUDA.Feature2DAsync.convert/2","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.CUDA.Feature2DAsync.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.CUDA.Feature2DAsync.html#defaultNorm/1","title":"Evision.CUDA.Feature2DAsync.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.CUDA.Feature2DAsync.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.CUDA.Feature2DAsync.html#descriptorSize/1","title":"Evision.CUDA.Feature2DAsync.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.CUDA.Feature2DAsync.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.CUDA.Feature2DAsync.html#descriptorType/1","title":"Evision.CUDA.Feature2DAsync.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.CUDA.Feature2DAsync.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.CUDA.Feature2DAsync.html#detect/2","title":"Evision.CUDA.Feature2DAsync.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.CUDA.Feature2DAsync.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.CUDA.Feature2DAsync.html#detect/3","title":"Evision.CUDA.Feature2DAsync.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.Feature2DAsync.html#detectAndCompute/3","title":"Evision.CUDA.Feature2DAsync.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.Feature2DAsync.html#detectAndCompute/4","title":"Evision.CUDA.Feature2DAsync.detectAndCompute/4","type":"function"},{"doc":"Variant 1: detectAndComputeAsync Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.Mat.t() . descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors Variant 2: detectAndComputeAsync Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.CUDA.GpuMat.t() mask : Evision.CUDA.GpuMat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.CUDA.GpuMat.t() . descriptors : Evision.CUDA.GpuMat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.Feature2DAsync.html#detectAndComputeAsync/3","title":"Evision.CUDA.Feature2DAsync.detectAndComputeAsync/3","type":"function"},{"doc":"Variant 1: detectAndComputeAsync Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.Mat.t() . descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors Variant 2: detectAndComputeAsync Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.CUDA.GpuMat.t() mask : Evision.CUDA.GpuMat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.CUDA.GpuMat.t() . descriptors : Evision.CUDA.GpuMat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.Feature2DAsync.html#detectAndComputeAsync/4","title":"Evision.CUDA.Feature2DAsync.detectAndComputeAsync/4","type":"function"},{"doc":"Variant 1: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints Variant 2: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints","ref":"Evision.CUDA.Feature2DAsync.html#detectAsync/2","title":"Evision.CUDA.Feature2DAsync.detectAsync/2","type":"function"},{"doc":"Variant 1: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints Variant 2: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.Feature2DAsync.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints","ref":"Evision.CUDA.Feature2DAsync.html#detectAsync/3","title":"Evision.CUDA.Feature2DAsync.detectAsync/3","type":"function"},{"doc":"empty Positional Arguments self : Evision.CUDA.Feature2DAsync.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.Feature2DAsync.html#empty/1","title":"Evision.CUDA.Feature2DAsync.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.Feature2DAsync.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.Feature2DAsync.html#getDefaultName/1","title":"Evision.CUDA.Feature2DAsync.getDefaultName/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.CUDA.Feature2DAsync.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.CUDA.Feature2DAsync.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.CUDA.Feature2DAsync.html#read/2","title":"Evision.CUDA.Feature2DAsync.read/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.Feature2DAsync.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.CUDA.Feature2DAsync.html#write/2","title":"Evision.CUDA.Feature2DAsync.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.Feature2DAsync.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.Feature2DAsync.html#write/3","title":"Evision.CUDA.Feature2DAsync.write/3","type":"function"},{"doc":"Type that represents an CUDA.Feature2DAsync struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.Feature2DAsync.html#t:t/0","title":"Evision.CUDA.Feature2DAsync.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.Filter.html","title":"Evision.CUDA.Filter","type":"module"},{"doc":"Variant 1: Applies the specified filter to the image. Positional Arguments self : Evision.CUDA.Filter.t() src : Evision.Mat.t() . Input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Output image. Python prototype (for reference only): apply(src[, dst[, stream]]) -&gt; dst Variant 2: Applies the specified filter to the image. Positional Arguments self : Evision.CUDA.Filter.t() src : Evision.CUDA.GpuMat.t() . Input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Output image. Python prototype (for reference only): apply(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.Filter.html#apply/2","title":"Evision.CUDA.Filter.apply/2","type":"function"},{"doc":"Variant 1: Applies the specified filter to the image. Positional Arguments self : Evision.CUDA.Filter.t() src : Evision.Mat.t() . Input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Output image. Python prototype (for reference only): apply(src[, dst[, stream]]) -&gt; dst Variant 2: Applies the specified filter to the image. Positional Arguments self : Evision.CUDA.Filter.t() src : Evision.CUDA.GpuMat.t() . Input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Output image. Python prototype (for reference only): apply(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.Filter.html#apply/3","title":"Evision.CUDA.Filter.apply/3","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.Filter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.Filter.html#clear/1","title":"Evision.CUDA.Filter.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.Filter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.Filter.html#empty/1","title":"Evision.CUDA.Filter.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.Filter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.Filter.html#getDefaultName/1","title":"Evision.CUDA.Filter.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.Filter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.Filter.html#read/2","title":"Evision.CUDA.Filter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.Filter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.Filter.html#save/2","title":"Evision.CUDA.Filter.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.Filter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.Filter.html#write/2","title":"Evision.CUDA.Filter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.Filter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.Filter.html#write/3","title":"Evision.CUDA.Filter.write/3","type":"function"},{"doc":"Type that represents an CUDA.Filter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.Filter.html#t:t/0","title":"Evision.CUDA.Filter.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.GpuMat.html","title":"Evision.CUDA.GpuMat","type":"module"},{"doc":"adjustROI Positional Arguments self : Evision.CUDA.GpuMat.t() dtop : int dbottom : int dleft : int dright : int Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): adjustROI(dtop, dbottom, dleft, dright) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#adjustROI/5","title":"Evision.CUDA.GpuMat.adjustROI/5","type":"function"},{"doc":"assignTo Positional Arguments self : Evision.CUDA.GpuMat.t() m : Evision.CUDA.GpuMat.t() Keyword Arguments type : int . Python prototype (for reference only): assignTo(m[, type]) -&gt; None","ref":"Evision.CUDA.GpuMat.html#assignTo/2","title":"Evision.CUDA.GpuMat.assignTo/2","type":"function"},{"doc":"assignTo Positional Arguments self : Evision.CUDA.GpuMat.t() m : Evision.CUDA.GpuMat.t() Keyword Arguments type : int . Python prototype (for reference only): assignTo(m[, type]) -&gt; None","ref":"Evision.CUDA.GpuMat.html#assignTo/3","title":"Evision.CUDA.GpuMat.assignTo/3","type":"function"},{"doc":"channels Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : int Python prototype (for reference only): channels() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#channels/1","title":"Evision.CUDA.GpuMat.channels/1","type":"function"},{"doc":"clone Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): clone() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#clone/1","title":"Evision.CUDA.GpuMat.clone/1","type":"function"},{"doc":"col Positional Arguments self : Evision.CUDA.GpuMat.t() x : int Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): col(x) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#col/2","title":"Evision.CUDA.GpuMat.col/2","type":"function"},{"doc":"colRange Positional Arguments self : Evision.CUDA.GpuMat.t() r : Range Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): colRange(r) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#colRange/2","title":"Evision.CUDA.GpuMat.colRange/2","type":"function"},{"doc":"colRange Positional Arguments self : Evision.CUDA.GpuMat.t() startcol : int endcol : int Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): colRange(startcol, endcol) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#colRange/3","title":"Evision.CUDA.GpuMat.colRange/3","type":"function"},{"doc":"convertTo Positional Arguments self : Evision.CUDA.GpuMat.t() rtype : int Return dst : Evision.Mat.t() . Python prototype (for reference only): convertTo(rtype[, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#convertTo/2","title":"Evision.CUDA.GpuMat.convertTo/2","type":"function"},{"doc":"Variant 1: convertTo Positional Arguments self : Evision.CUDA.GpuMat.t() rtype : int alpha : double Keyword Arguments beta : double . Return dst : Evision.Mat.t() . Python prototype (for reference only): convertTo(rtype, alpha[, dst[, beta]]) -&gt; dst Variant 2: convertTo Positional Arguments self : Evision.CUDA.GpuMat.t() rtype : int stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): convertTo(rtype, stream[, dst]) -&gt; dst Variant 3: convertTo Positional Arguments self : Evision.CUDA.GpuMat.t() rtype : int Return dst : Evision.Mat.t() . Python prototype (for reference only): convertTo(rtype[, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#convertTo/3","title":"Evision.CUDA.GpuMat.convertTo/3","type":"function"},{"doc":"Variant 1: convertTo Positional Arguments self : Evision.CUDA.GpuMat.t() rtype : int alpha : double stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): convertTo(rtype, alpha, stream[, dst]) -&gt; dst Variant 2: convertTo Positional Arguments self : Evision.CUDA.GpuMat.t() rtype : int alpha : double Keyword Arguments beta : double . Return dst : Evision.Mat.t() . Python prototype (for reference only): convertTo(rtype, alpha[, dst[, beta]]) -&gt; dst Variant 3: convertTo Positional Arguments self : Evision.CUDA.GpuMat.t() rtype : int stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): convertTo(rtype, stream[, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#convertTo/4","title":"Evision.CUDA.GpuMat.convertTo/4","type":"function"},{"doc":"Variant 1: convertTo Positional Arguments self : Evision.CUDA.GpuMat.t() rtype : int alpha : double beta : double stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): convertTo(rtype, alpha, beta, stream[, dst]) -&gt; dst Variant 2: convertTo Positional Arguments self : Evision.CUDA.GpuMat.t() rtype : int alpha : double stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): convertTo(rtype, alpha, stream[, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#convertTo/5","title":"Evision.CUDA.GpuMat.convertTo/5","type":"function"},{"doc":"convertTo Positional Arguments self : Evision.CUDA.GpuMat.t() rtype : int alpha : double beta : double stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): convertTo(rtype, alpha, beta, stream[, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#convertTo/6","title":"Evision.CUDA.GpuMat.convertTo/6","type":"function"},{"doc":"copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): copyTo([, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#copyTo/1","title":"Evision.CUDA.GpuMat.copyTo/1","type":"function"},{"doc":"Variant 1: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() mask : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): copyTo(mask[, dst]) -&gt; dst Variant 2: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() mask : Evision.CUDA.GpuMat.t() Return dst : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): copyTo(mask[, dst]) -&gt; dst Variant 3: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): copyTo(stream[, dst]) -&gt; dst Variant 4: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): copyTo([, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#copyTo/2","title":"Evision.CUDA.GpuMat.copyTo/2","type":"function"},{"doc":"Variant 1: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() mask : Evision.Mat.t() stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): copyTo(mask, stream[, dst]) -&gt; dst Variant 2: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() mask : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return dst : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): copyTo(mask, stream[, dst]) -&gt; dst Variant 3: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() mask : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): copyTo(mask[, dst]) -&gt; dst Variant 4: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() mask : Evision.CUDA.GpuMat.t() Return dst : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): copyTo(mask[, dst]) -&gt; dst Variant 5: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): copyTo(stream[, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#copyTo/3","title":"Evision.CUDA.GpuMat.copyTo/3","type":"function"},{"doc":"Variant 1: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() mask : Evision.Mat.t() stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): copyTo(mask, stream[, dst]) -&gt; dst Variant 2: copyTo Positional Arguments self : Evision.CUDA.GpuMat.t() mask : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return dst : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): copyTo(mask, stream[, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#copyTo/4","title":"Evision.CUDA.GpuMat.copyTo/4","type":"function"},{"doc":"create Positional Arguments self : Evision.CUDA.GpuMat.t() size : Size type : int Python prototype (for reference only): create(size, type) -&gt; None","ref":"Evision.CUDA.GpuMat.html#create/3","title":"Evision.CUDA.GpuMat.create/3","type":"function"},{"doc":"create Positional Arguments self : Evision.CUDA.GpuMat.t() rows : int cols : int type : int Python prototype (for reference only): create(rows, cols, type) -&gt; None","ref":"Evision.CUDA.GpuMat.html#create/4","title":"Evision.CUDA.GpuMat.create/4","type":"function"},{"doc":"cudaPtr Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : void* Python prototype (for reference only): cudaPtr() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#cudaPtr/1","title":"Evision.CUDA.GpuMat.cudaPtr/1","type":"function"},{"doc":"defaultAllocator Return retval : GpuMat::Allocator* Python prototype (for reference only): defaultAllocator() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#defaultAllocator/0","title":"Evision.CUDA.GpuMat.defaultAllocator/0","type":"function"},{"doc":"depth Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : int Python prototype (for reference only): depth() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#depth/1","title":"Evision.CUDA.GpuMat.depth/1","type":"function"},{"doc":"Performs data download from GpuMat (Blocking call) Positional Arguments self : Evision.CUDA.GpuMat.t() Return dst : Evision.Mat.t() . This function copies data from device memory to host memory. As being a blocking call, it is guaranteed that the copy operation is finished when this function returns. Python prototype (for reference only): download([, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#download/1","title":"Evision.CUDA.GpuMat.download/1","type":"function"},{"doc":"Variant 1: Performs data download from GpuMat (Non-Blocking call) Positional Arguments self : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . This function copies data from device memory to host memory. As being a non-blocking call, this function may return even if the copy operation is not finished. The copy operation may be overlapped with operations in other non-default streams if \\p stream is not the default stream and \\p dst is HostMem allocated with HostMem::PAGE_LOCKED option. Python prototype (for reference only): download(stream[, dst]) -&gt; dst Variant 2: Performs data download from GpuMat (Blocking call) Positional Arguments self : Evision.CUDA.GpuMat.t() Return dst : Evision.Mat.t() . This function copies data from device memory to host memory. As being a blocking call, it is guaranteed that the copy operation is finished when this function returns. Python prototype (for reference only): download([, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#download/2","title":"Evision.CUDA.GpuMat.download/2","type":"function"},{"doc":"Performs data download from GpuMat (Non-Blocking call) Positional Arguments self : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return dst : Evision.Mat.t() . This function copies data from device memory to host memory. As being a non-blocking call, this function may return even if the copy operation is not finished. The copy operation may be overlapped with operations in other non-default streams if \\p stream is not the default stream and \\p dst is HostMem allocated with HostMem::PAGE_LOCKED option. Python prototype (for reference only): download(stream[, dst]) -&gt; dst","ref":"Evision.CUDA.GpuMat.html#download/3","title":"Evision.CUDA.GpuMat.download/3","type":"function"},{"doc":"elemSize1 Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : size_t Python prototype (for reference only): elemSize1() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#elemSize1/1","title":"Evision.CUDA.GpuMat.elemSize1/1","type":"function"},{"doc":"elemSize Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : size_t Python prototype (for reference only): elemSize() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#elemSize/1","title":"Evision.CUDA.GpuMat.elemSize/1","type":"function"},{"doc":"empty Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#empty/1","title":"Evision.CUDA.GpuMat.empty/1","type":"function"},{"doc":"","ref":"Evision.CUDA.GpuMat.html#get_step/1","title":"Evision.CUDA.GpuMat.get_step/1","type":"function"},{"doc":"GpuMat Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat([, allocator]) -&gt; &lt;cuda_GpuMat object&gt;","ref":"Evision.CUDA.GpuMat.html#gpuMat/0","title":"Evision.CUDA.GpuMat.gpuMat/0","type":"function"},{"doc":"Variant 1: GpuMat Positional Arguments arr : Evision.Mat.t() Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(arr[, allocator]) -&gt; &lt;cuda_GpuMat object&gt; Variant 2: GpuMat Positional Arguments arr : Evision.CUDA.GpuMat.t() Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(arr[, allocator]) -&gt; &lt;cuda_GpuMat object&gt; Variant 3: GpuMat Positional Arguments m : Evision.CUDA.GpuMat.t() Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(m) -&gt; &lt;cuda_GpuMat object&gt; Variant 4: GpuMat Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat([, allocator]) -&gt; &lt;cuda_GpuMat object&gt;","ref":"Evision.CUDA.GpuMat.html#gpuMat/1","title":"Evision.CUDA.GpuMat.gpuMat/1","type":"function"},{"doc":"Variant 1: GpuMat Positional Arguments m : Evision.CUDA.GpuMat.t() roi : Rect Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(m, roi) -&gt; &lt;cuda_GpuMat object&gt; Variant 2: GpuMat Positional Arguments size : Size type : int Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(size, type[, allocator]) -&gt; &lt;cuda_GpuMat object&gt; Variant 3: GpuMat Positional Arguments arr : Evision.Mat.t() Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(arr[, allocator]) -&gt; &lt;cuda_GpuMat object&gt; Variant 4: GpuMat Positional Arguments arr : Evision.CUDA.GpuMat.t() Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(arr[, allocator]) -&gt; &lt;cuda_GpuMat object&gt;","ref":"Evision.CUDA.GpuMat.html#gpuMat/2","title":"Evision.CUDA.GpuMat.gpuMat/2","type":"function"},{"doc":"Variant 1: GpuMat Positional Arguments m : Evision.CUDA.GpuMat.t() rowRange : Range colRange : Range Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(m, rowRange, colRange) -&gt; &lt;cuda_GpuMat object&gt; Variant 2: GpuMat Positional Arguments size : Size type : int s : Scalar Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(size, type, s[, allocator]) -&gt; &lt;cuda_GpuMat object&gt; Variant 3: GpuMat Positional Arguments rows : int cols : int type : int Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(rows, cols, type[, allocator]) -&gt; &lt;cuda_GpuMat object&gt; Variant 4: GpuMat Positional Arguments size : Size type : int Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(size, type[, allocator]) -&gt; &lt;cuda_GpuMat object&gt;","ref":"Evision.CUDA.GpuMat.html#gpuMat/3","title":"Evision.CUDA.GpuMat.gpuMat/3","type":"function"},{"doc":"Variant 1: GpuMat Positional Arguments rows : int cols : int type : int s : Scalar Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(rows, cols, type, s[, allocator]) -&gt; &lt;cuda_GpuMat object&gt; Variant 2: GpuMat Positional Arguments size : Size type : int s : Scalar Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(size, type, s[, allocator]) -&gt; &lt;cuda_GpuMat object&gt; Variant 3: GpuMat Positional Arguments rows : int cols : int type : int Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(rows, cols, type[, allocator]) -&gt; &lt;cuda_GpuMat object&gt;","ref":"Evision.CUDA.GpuMat.html#gpuMat/4","title":"Evision.CUDA.GpuMat.gpuMat/4","type":"function"},{"doc":"GpuMat Positional Arguments rows : int cols : int type : int s : Scalar Keyword Arguments allocator : GpuMat_Allocator* . Return self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): GpuMat(rows, cols, type, s[, allocator]) -&gt; &lt;cuda_GpuMat object&gt;","ref":"Evision.CUDA.GpuMat.html#gpuMat/5","title":"Evision.CUDA.GpuMat.gpuMat/5","type":"function"},{"doc":"isContinuous Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : bool Python prototype (for reference only): isContinuous() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#isContinuous/1","title":"Evision.CUDA.GpuMat.isContinuous/1","type":"function"},{"doc":"locateROI Positional Arguments self : Evision.CUDA.GpuMat.t() wholeSize : Size ofs : Point Python prototype (for reference only): locateROI(wholeSize, ofs) -&gt; None","ref":"Evision.CUDA.GpuMat.html#locateROI/3","title":"Evision.CUDA.GpuMat.locateROI/3","type":"function"},{"doc":"release Positional Arguments self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): release() -&gt; None","ref":"Evision.CUDA.GpuMat.html#release/1","title":"Evision.CUDA.GpuMat.release/1","type":"function"},{"doc":"reshape Positional Arguments self : Evision.CUDA.GpuMat.t() cn : int Keyword Arguments rows : int . Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): reshape(cn[, rows]) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#reshape/2","title":"Evision.CUDA.GpuMat.reshape/2","type":"function"},{"doc":"reshape Positional Arguments self : Evision.CUDA.GpuMat.t() cn : int Keyword Arguments rows : int . Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): reshape(cn[, rows]) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#reshape/3","title":"Evision.CUDA.GpuMat.reshape/3","type":"function"},{"doc":"row Positional Arguments self : Evision.CUDA.GpuMat.t() y : int Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): row(y) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#row/2","title":"Evision.CUDA.GpuMat.row/2","type":"function"},{"doc":"rowRange Positional Arguments self : Evision.CUDA.GpuMat.t() r : Range Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): rowRange(r) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#rowRange/2","title":"Evision.CUDA.GpuMat.rowRange/2","type":"function"},{"doc":"rowRange Positional Arguments self : Evision.CUDA.GpuMat.t() startrow : int endrow : int Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): rowRange(startrow, endrow) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#rowRange/3","title":"Evision.CUDA.GpuMat.rowRange/3","type":"function"},{"doc":"setDefaultAllocator Positional Arguments allocator : GpuMat_Allocator* Python prototype (for reference only): setDefaultAllocator(allocator) -&gt; None","ref":"Evision.CUDA.GpuMat.html#setDefaultAllocator/1","title":"Evision.CUDA.GpuMat.setDefaultAllocator/1","type":"function"},{"doc":"setTo Positional Arguments self : Evision.CUDA.GpuMat.t() s : Scalar Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): setTo(s) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#setTo/2","title":"Evision.CUDA.GpuMat.setTo/2","type":"function"},{"doc":"Variant 1: setTo Positional Arguments self : Evision.CUDA.GpuMat.t() s : Scalar mask : Evision.Mat.t() Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): setTo(s, mask) -&gt; retval Variant 2: setTo Positional Arguments self : Evision.CUDA.GpuMat.t() s : Scalar mask : Evision.CUDA.GpuMat.t() Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): setTo(s, mask) -&gt; retval Variant 3: setTo Positional Arguments self : Evision.CUDA.GpuMat.t() s : Scalar stream : Evision.CUDA.Stream.t() Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): setTo(s, stream) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#setTo/3","title":"Evision.CUDA.GpuMat.setTo/3","type":"function"},{"doc":"Variant 1: setTo Positional Arguments self : Evision.CUDA.GpuMat.t() s : Scalar mask : Evision.Mat.t() stream : Evision.CUDA.Stream.t() Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): setTo(s, mask, stream) -&gt; retval Variant 2: setTo Positional Arguments self : Evision.CUDA.GpuMat.t() s : Scalar mask : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return retval : Evision.CUDA.GpuMat.t() Python prototype (for reference only): setTo(s, mask, stream) -&gt; retval","ref":"Evision.CUDA.GpuMat.html#setTo/4","title":"Evision.CUDA.GpuMat.setTo/4","type":"function"},{"doc":"size Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : Size Python prototype (for reference only): size() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#size/1","title":"Evision.CUDA.GpuMat.size/1","type":"function"},{"doc":"step1 Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : size_t Python prototype (for reference only): step1() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#step1/1","title":"Evision.CUDA.GpuMat.step1/1","type":"function"},{"doc":"swap Positional Arguments self : Evision.CUDA.GpuMat.t() mat : Evision.CUDA.GpuMat.t() Python prototype (for reference only): swap(mat) -&gt; None","ref":"Evision.CUDA.GpuMat.html#swap/2","title":"Evision.CUDA.GpuMat.swap/2","type":"function"},{"doc":"type Positional Arguments self : Evision.CUDA.GpuMat.t() Return retval : int Python prototype (for reference only): type() -&gt; retval","ref":"Evision.CUDA.GpuMat.html#type/1","title":"Evision.CUDA.GpuMat.type/1","type":"function"},{"doc":"updateContinuityFlag Positional Arguments self : Evision.CUDA.GpuMat.t() Python prototype (for reference only): updateContinuityFlag() -&gt; None","ref":"Evision.CUDA.GpuMat.html#updateContinuityFlag/1","title":"Evision.CUDA.GpuMat.updateContinuityFlag/1","type":"function"},{"doc":"Variant 1: Performs data upload to GpuMat (Blocking call) Positional Arguments self : Evision.CUDA.GpuMat.t() arr : Evision.Mat.t() This function copies data from host memory to device memory. As being a blocking call, it is guaranteed that the copy operation is finished when this function returns. Python prototype (for reference only): upload(arr) -&gt; None Variant 2: Performs data upload to GpuMat (Blocking call) Positional Arguments self : Evision.CUDA.GpuMat.t() arr : Evision.CUDA.GpuMat.t() This function copies data from host memory to device memory. As being a blocking call, it is guaranteed that the copy operation is finished when this function returns. Python prototype (for reference only): upload(arr) -&gt; None","ref":"Evision.CUDA.GpuMat.html#upload/2","title":"Evision.CUDA.GpuMat.upload/2","type":"function"},{"doc":"Variant 1: Performs data upload to GpuMat (Non-Blocking call) Positional Arguments self : Evision.CUDA.GpuMat.t() arr : Evision.Mat.t() stream : Evision.CUDA.Stream.t() This function copies data from host memory to device memory. As being a non-blocking call, this function may return even if the copy operation is not finished. The copy operation may be overlapped with operations in other non-default streams if \\p stream is not the default stream and \\p dst is HostMem allocated with HostMem::PAGE_LOCKED option. Python prototype (for reference only): upload(arr, stream) -&gt; None Variant 2: Performs data upload to GpuMat (Non-Blocking call) Positional Arguments self : Evision.CUDA.GpuMat.t() arr : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() This function copies data from host memory to device memory. As being a non-blocking call, this function may return even if the copy operation is not finished. The copy operation may be overlapped with operations in other non-default streams if \\p stream is not the default stream and \\p dst is HostMem allocated with HostMem::PAGE_LOCKED option. Python prototype (for reference only): upload(arr, stream) -&gt; None","ref":"Evision.CUDA.GpuMat.html#upload/3","title":"Evision.CUDA.GpuMat.upload/3","type":"function"},{"doc":"Type that represents an Evision.CUDA.GpuMat struct. channels : int . The number of matrix channels. type : Evision.Mat.mat_type() . Type of the matrix elements, following :nx 's convention. raw_type : int . The raw value returned from int cv::Mat::type() . shape : tuple . The shape of the matrix. elemSize : integer() . Element size in bytes. ref : reference . The underlying erlang resource variable.","ref":"Evision.CUDA.GpuMat.html#t:t/0","title":"Evision.CUDA.GpuMat.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.HOG.html","title":"Evision.CUDA.HOG","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.HOG.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.HOG.html#clear/1","title":"Evision.CUDA.HOG.clear/1","type":"function"},{"doc":"Variant 1: Returns block descriptors computed for the whole image. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.Mat.t() . Source image. See cuda::HOGDescriptor::detect for type limitations. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return descriptors : Evision.Mat.t() . 2D array of descriptors. Python prototype (for reference only): compute(img[, descriptors[, stream]]) -&gt; descriptors Variant 2: Returns block descriptors computed for the whole image. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.CUDA.GpuMat.t() . Source image. See cuda::HOGDescriptor::detect for type limitations. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return descriptors : Evision.CUDA.GpuMat.t() . 2D array of descriptors. Python prototype (for reference only): compute(img[, descriptors[, stream]]) -&gt; descriptors","ref":"Evision.CUDA.HOG.html#compute/2","title":"Evision.CUDA.HOG.compute/2","type":"function"},{"doc":"Variant 1: Returns block descriptors computed for the whole image. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.Mat.t() . Source image. See cuda::HOGDescriptor::detect for type limitations. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return descriptors : Evision.Mat.t() . 2D array of descriptors. Python prototype (for reference only): compute(img[, descriptors[, stream]]) -&gt; descriptors Variant 2: Returns block descriptors computed for the whole image. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.CUDA.GpuMat.t() . Source image. See cuda::HOGDescriptor::detect for type limitations. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return descriptors : Evision.CUDA.GpuMat.t() . 2D array of descriptors. Python prototype (for reference only): compute(img[, descriptors[, stream]]) -&gt; descriptors","ref":"Evision.CUDA.HOG.html#compute/3","title":"Evision.CUDA.HOG.compute/3","type":"function"},{"doc":"Creates the HOG descriptor and detector. Keyword Arguments win_size : Size . Detection window size. Align to block size and block stride. block_size : Size . Block size in pixels. Align to cell size. Only (16,16) is supported for now. block_stride : Size . Block stride. It must be a multiple of cell size. cell_size : Size . Cell size. Only (8, 8) is supported for now. nbins : int . Number of bins. Only 9 bins per cell are supported for now. Return retval : HOG Python prototype (for reference only): create([, win_size[, block_size[, block_stride[, cell_size[, nbins]]]]]) -&gt; retval","ref":"Evision.CUDA.HOG.html#create/0","title":"Evision.CUDA.HOG.create/0","type":"function"},{"doc":"Creates the HOG descriptor and detector. Keyword Arguments win_size : Size . Detection window size. Align to block size and block stride. block_size : Size . Block size in pixels. Align to cell size. Only (16,16) is supported for now. block_stride : Size . Block stride. It must be a multiple of cell size. cell_size : Size . Cell size. Only (8, 8) is supported for now. nbins : int . Number of bins. Only 9 bins per cell are supported for now. Return retval : HOG Python prototype (for reference only): create([, win_size[, block_size[, block_stride[, cell_size[, nbins]]]]]) -&gt; retval","ref":"Evision.CUDA.HOG.html#create/1","title":"Evision.CUDA.HOG.create/1","type":"function"},{"doc":"Variant 1: Performs object detection without a multi-scale window. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.Mat.t() . Source image. CV_8UC1 and CV_8UC4 types are supported for now. Return found_locations : [Point] . Left-top corner points of detected objects boundaries. confidences : [double] . Optional output array for confidences. Python prototype (for reference only): detect(img) -&gt; found_locations, confidences Variant 2: Performs object detection without a multi-scale window. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.CUDA.GpuMat.t() . Source image. CV_8UC1 and CV_8UC4 types are supported for now. Return found_locations : [Point] . Left-top corner points of detected objects boundaries. confidences : [double] . Optional output array for confidences. Python prototype (for reference only): detect(img) -&gt; found_locations, confidences","ref":"Evision.CUDA.HOG.html#detect/2","title":"Evision.CUDA.HOG.detect/2","type":"function"},{"doc":"Variant 1: Performs object detection with a multi-scale window. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.Mat.t() . Source image. See cuda::HOGDescriptor::detect for type limitations. Return found_locations : [Rect] . Detected objects boundaries. confidences : [double] . Optional output array for confidences. Python prototype (for reference only): detectMultiScale(img) -&gt; found_locations, confidences Variant 2: Performs object detection with a multi-scale window. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.CUDA.GpuMat.t() . Source image. See cuda::HOGDescriptor::detect for type limitations. Return found_locations : [Rect] . Detected objects boundaries. confidences : [double] . Optional output array for confidences. Python prototype (for reference only): detectMultiScale(img) -&gt; found_locations, confidences","ref":"Evision.CUDA.HOG.html#detectMultiScale/2","title":"Evision.CUDA.HOG.detectMultiScale/2","type":"function"},{"doc":"Variant 1: Performs object detection with a multi-scale window. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.Mat.t() . Source image. See cuda::HOGDescriptor::detect for type limitations. Return found_locations : [Rect] . Detected objects boundaries. Python prototype (for reference only): detectMultiScaleWithoutConf(img) -&gt; found_locations Variant 2: Performs object detection with a multi-scale window. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.CUDA.GpuMat.t() . Source image. See cuda::HOGDescriptor::detect for type limitations. Return found_locations : [Rect] . Detected objects boundaries. Python prototype (for reference only): detectMultiScaleWithoutConf(img) -&gt; found_locations","ref":"Evision.CUDA.HOG.html#detectMultiScaleWithoutConf/2","title":"Evision.CUDA.HOG.detectMultiScaleWithoutConf/2","type":"function"},{"doc":"Variant 1: Performs object detection without a multi-scale window. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.Mat.t() . Source image. CV_8UC1 and CV_8UC4 types are supported for now. Return found_locations : [Point] . Left-top corner points of detected objects boundaries. Python prototype (for reference only): detectWithoutConf(img) -&gt; found_locations Variant 2: Performs object detection without a multi-scale window. Positional Arguments self : Evision.CUDA.HOG.t() img : Evision.CUDA.GpuMat.t() . Source image. CV_8UC1 and CV_8UC4 types are supported for now. Return found_locations : [Point] . Left-top corner points of detected objects boundaries. Python prototype (for reference only): detectWithoutConf(img) -&gt; found_locations","ref":"Evision.CUDA.HOG.html#detectWithoutConf/2","title":"Evision.CUDA.HOG.detectWithoutConf/2","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.HOG.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.HOG.html#empty/1","title":"Evision.CUDA.HOG.empty/1","type":"function"},{"doc":"Returns the block histogram size. Positional Arguments self : Evision.CUDA.HOG.t() Return retval : size_t Python prototype (for reference only): getBlockHistogramSize() -&gt; retval","ref":"Evision.CUDA.HOG.html#getBlockHistogramSize/1","title":"Evision.CUDA.HOG.getBlockHistogramSize/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.HOG.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.HOG.html#getDefaultName/1","title":"Evision.CUDA.HOG.getDefaultName/1","type":"function"},{"doc":"Returns coefficients of the classifier trained for people detection. Positional Arguments self : Evision.CUDA.HOG.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getDefaultPeopleDetector() -&gt; retval","ref":"Evision.CUDA.HOG.html#getDefaultPeopleDetector/1","title":"Evision.CUDA.HOG.getDefaultPeopleDetector/1","type":"function"},{"doc":"getDescriptorFormat Positional Arguments self : Evision.CUDA.HOG.t() Return retval : HOGDescriptor::DescriptorStorageFormat Python prototype (for reference only): getDescriptorFormat() -&gt; retval","ref":"Evision.CUDA.HOG.html#getDescriptorFormat/1","title":"Evision.CUDA.HOG.getDescriptorFormat/1","type":"function"},{"doc":"Returns the number of coefficients required for the classification. Positional Arguments self : Evision.CUDA.HOG.t() Return retval : size_t Python prototype (for reference only): getDescriptorSize() -&gt; retval","ref":"Evision.CUDA.HOG.html#getDescriptorSize/1","title":"Evision.CUDA.HOG.getDescriptorSize/1","type":"function"},{"doc":"getGammaCorrection Positional Arguments self : Evision.CUDA.HOG.t() Return retval : bool Python prototype (for reference only): getGammaCorrection() -&gt; retval","ref":"Evision.CUDA.HOG.html#getGammaCorrection/1","title":"Evision.CUDA.HOG.getGammaCorrection/1","type":"function"},{"doc":"getGroupThreshold Positional Arguments self : Evision.CUDA.HOG.t() Return retval : int Python prototype (for reference only): getGroupThreshold() -&gt; retval","ref":"Evision.CUDA.HOG.html#getGroupThreshold/1","title":"Evision.CUDA.HOG.getGroupThreshold/1","type":"function"},{"doc":"getHitThreshold Positional Arguments self : Evision.CUDA.HOG.t() Return retval : double Python prototype (for reference only): getHitThreshold() -&gt; retval","ref":"Evision.CUDA.HOG.html#getHitThreshold/1","title":"Evision.CUDA.HOG.getHitThreshold/1","type":"function"},{"doc":"getL2HysThreshold Positional Arguments self : Evision.CUDA.HOG.t() Return retval : double Python prototype (for reference only): getL2HysThreshold() -&gt; retval","ref":"Evision.CUDA.HOG.html#getL2HysThreshold/1","title":"Evision.CUDA.HOG.getL2HysThreshold/1","type":"function"},{"doc":"getNumLevels Positional Arguments self : Evision.CUDA.HOG.t() Return retval : int Python prototype (for reference only): getNumLevels() -&gt; retval","ref":"Evision.CUDA.HOG.html#getNumLevels/1","title":"Evision.CUDA.HOG.getNumLevels/1","type":"function"},{"doc":"getScaleFactor Positional Arguments self : Evision.CUDA.HOG.t() Return retval : double Python prototype (for reference only): getScaleFactor() -&gt; retval","ref":"Evision.CUDA.HOG.html#getScaleFactor/1","title":"Evision.CUDA.HOG.getScaleFactor/1","type":"function"},{"doc":"getWinSigma Positional Arguments self : Evision.CUDA.HOG.t() Return retval : double Python prototype (for reference only): getWinSigma() -&gt; retval","ref":"Evision.CUDA.HOG.html#getWinSigma/1","title":"Evision.CUDA.HOG.getWinSigma/1","type":"function"},{"doc":"getWinStride Positional Arguments self : Evision.CUDA.HOG.t() Return retval : Size Python prototype (for reference only): getWinStride() -&gt; retval","ref":"Evision.CUDA.HOG.html#getWinStride/1","title":"Evision.CUDA.HOG.getWinStride/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.HOG.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.HOG.html#read/2","title":"Evision.CUDA.HOG.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.HOG.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.HOG.html#save/2","title":"Evision.CUDA.HOG.save/2","type":"function"},{"doc":"setDescriptorFormat Positional Arguments self : Evision.CUDA.HOG.t() descr_format : HOGDescriptor_DescriptorStorageFormat Python prototype (for reference only): setDescriptorFormat(descr_format) -&gt; None","ref":"Evision.CUDA.HOG.html#setDescriptorFormat/2","title":"Evision.CUDA.HOG.setDescriptorFormat/2","type":"function"},{"doc":"setGammaCorrection Positional Arguments self : Evision.CUDA.HOG.t() gamma_correction : bool Python prototype (for reference only): setGammaCorrection(gamma_correction) -&gt; None","ref":"Evision.CUDA.HOG.html#setGammaCorrection/2","title":"Evision.CUDA.HOG.setGammaCorrection/2","type":"function"},{"doc":"setGroupThreshold Positional Arguments self : Evision.CUDA.HOG.t() group_threshold : int Python prototype (for reference only): setGroupThreshold(group_threshold) -&gt; None","ref":"Evision.CUDA.HOG.html#setGroupThreshold/2","title":"Evision.CUDA.HOG.setGroupThreshold/2","type":"function"},{"doc":"setHitThreshold Positional Arguments self : Evision.CUDA.HOG.t() hit_threshold : double Python prototype (for reference only): setHitThreshold(hit_threshold) -&gt; None","ref":"Evision.CUDA.HOG.html#setHitThreshold/2","title":"Evision.CUDA.HOG.setHitThreshold/2","type":"function"},{"doc":"setL2HysThreshold Positional Arguments self : Evision.CUDA.HOG.t() threshold_L2hys : double Python prototype (for reference only): setL2HysThreshold(threshold_L2hys) -&gt; None","ref":"Evision.CUDA.HOG.html#setL2HysThreshold/2","title":"Evision.CUDA.HOG.setL2HysThreshold/2","type":"function"},{"doc":"setNumLevels Positional Arguments self : Evision.CUDA.HOG.t() nlevels : int Python prototype (for reference only): setNumLevels(nlevels) -&gt; None","ref":"Evision.CUDA.HOG.html#setNumLevels/2","title":"Evision.CUDA.HOG.setNumLevels/2","type":"function"},{"doc":"setScaleFactor Positional Arguments self : Evision.CUDA.HOG.t() scale0 : double Python prototype (for reference only): setScaleFactor(scale0) -&gt; None","ref":"Evision.CUDA.HOG.html#setScaleFactor/2","title":"Evision.CUDA.HOG.setScaleFactor/2","type":"function"},{"doc":"Variant 1: Sets coefficients for the linear SVM classifier. Positional Arguments self : Evision.CUDA.HOG.t() detector : Evision.Mat.t() Python prototype (for reference only): setSVMDetector(detector) -&gt; None Variant 2: Sets coefficients for the linear SVM classifier. Positional Arguments self : Evision.CUDA.HOG.t() detector : Evision.CUDA.GpuMat.t() Python prototype (for reference only): setSVMDetector(detector) -&gt; None","ref":"Evision.CUDA.HOG.html#setSVMDetector/2","title":"Evision.CUDA.HOG.setSVMDetector/2","type":"function"},{"doc":"setWinSigma Positional Arguments self : Evision.CUDA.HOG.t() win_sigma : double Python prototype (for reference only): setWinSigma(win_sigma) -&gt; None","ref":"Evision.CUDA.HOG.html#setWinSigma/2","title":"Evision.CUDA.HOG.setWinSigma/2","type":"function"},{"doc":"setWinStride Positional Arguments self : Evision.CUDA.HOG.t() win_stride : Size Python prototype (for reference only): setWinStride(win_stride) -&gt; None","ref":"Evision.CUDA.HOG.html#setWinStride/2","title":"Evision.CUDA.HOG.setWinStride/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.HOG.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.HOG.html#write/2","title":"Evision.CUDA.HOG.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.HOG.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.HOG.html#write/3","title":"Evision.CUDA.HOG.write/3","type":"function"},{"doc":"Type that represents an CUDA.HOG struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.HOG.html#t:t/0","title":"Evision.CUDA.HOG.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.HostMem.html","title":"Evision.CUDA.HostMem","type":"module"},{"doc":"channels Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : int Python prototype (for reference only): channels() -&gt; retval","ref":"Evision.CUDA.HostMem.html#channels/1","title":"Evision.CUDA.HostMem.channels/1","type":"function"},{"doc":"clone Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : Evision.CUDA.HostMem.t() Python prototype (for reference only): clone() -&gt; retval","ref":"Evision.CUDA.HostMem.html#clone/1","title":"Evision.CUDA.HostMem.clone/1","type":"function"},{"doc":"create Positional Arguments self : Evision.CUDA.HostMem.t() rows : int cols : int type : int Python prototype (for reference only): create(rows, cols, type) -&gt; None","ref":"Evision.CUDA.HostMem.html#create/4","title":"Evision.CUDA.HostMem.create/4","type":"function"},{"doc":"createMatHeader Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : Evision.Mat.t() Python prototype (for reference only): createMatHeader() -&gt; retval","ref":"Evision.CUDA.HostMem.html#createMatHeader/1","title":"Evision.CUDA.HostMem.createMatHeader/1","type":"function"},{"doc":"depth Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : int Python prototype (for reference only): depth() -&gt; retval","ref":"Evision.CUDA.HostMem.html#depth/1","title":"Evision.CUDA.HostMem.depth/1","type":"function"},{"doc":"elemSize1 Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : size_t Python prototype (for reference only): elemSize1() -&gt; retval","ref":"Evision.CUDA.HostMem.html#elemSize1/1","title":"Evision.CUDA.HostMem.elemSize1/1","type":"function"},{"doc":"elemSize Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : size_t Python prototype (for reference only): elemSize() -&gt; retval","ref":"Evision.CUDA.HostMem.html#elemSize/1","title":"Evision.CUDA.HostMem.elemSize/1","type":"function"},{"doc":"empty Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.HostMem.html#empty/1","title":"Evision.CUDA.HostMem.empty/1","type":"function"},{"doc":"","ref":"Evision.CUDA.HostMem.html#get_step/1","title":"Evision.CUDA.HostMem.get_step/1","type":"function"},{"doc":"HostMem Keyword Arguments alloc_type : HostMem_AllocType . Return self : Evision.CUDA.HostMem.t() Python prototype (for reference only): HostMem([, alloc_type]) -&gt; &lt;cuda_HostMem object&gt;","ref":"Evision.CUDA.HostMem.html#hostMem/0","title":"Evision.CUDA.HostMem.hostMem/0","type":"function"},{"doc":"Variant 1: HostMem Positional Arguments arr : Evision.Mat.t() Keyword Arguments alloc_type : HostMem_AllocType . Return self : Evision.CUDA.HostMem.t() Python prototype (for reference only): HostMem(arr[, alloc_type]) -&gt; &lt;cuda_HostMem object&gt; Variant 2: HostMem Positional Arguments arr : Evision.CUDA.GpuMat.t() Keyword Arguments alloc_type : HostMem_AllocType . Return self : Evision.CUDA.HostMem.t() Python prototype (for reference only): HostMem(arr[, alloc_type]) -&gt; &lt;cuda_HostMem object&gt; Variant 3: HostMem Keyword Arguments alloc_type : HostMem_AllocType . Return self : Evision.CUDA.HostMem.t() Python prototype (for reference only): HostMem([, alloc_type]) -&gt; &lt;cuda_HostMem object&gt;","ref":"Evision.CUDA.HostMem.html#hostMem/1","title":"Evision.CUDA.HostMem.hostMem/1","type":"function"},{"doc":"Variant 1: HostMem Positional Arguments size : Size type : int Keyword Arguments alloc_type : HostMem_AllocType . Return self : Evision.CUDA.HostMem.t() Python prototype (for reference only): HostMem(size, type[, alloc_type]) -&gt; &lt;cuda_HostMem object&gt; Variant 2: HostMem Positional Arguments arr : Evision.Mat.t() Keyword Arguments alloc_type : HostMem_AllocType . Return self : Evision.CUDA.HostMem.t() Python prototype (for reference only): HostMem(arr[, alloc_type]) -&gt; &lt;cuda_HostMem object&gt; Variant 3: HostMem Positional Arguments arr : Evision.CUDA.GpuMat.t() Keyword Arguments alloc_type : HostMem_AllocType . Return self : Evision.CUDA.HostMem.t() Python prototype (for reference only): HostMem(arr[, alloc_type]) -&gt; &lt;cuda_HostMem object&gt;","ref":"Evision.CUDA.HostMem.html#hostMem/2","title":"Evision.CUDA.HostMem.hostMem/2","type":"function"},{"doc":"Variant 1: HostMem Positional Arguments rows : int cols : int type : int Keyword Arguments alloc_type : HostMem_AllocType . Return self : Evision.CUDA.HostMem.t() Python prototype (for reference only): HostMem(rows, cols, type[, alloc_type]) -&gt; &lt;cuda_HostMem object&gt; Variant 2: HostMem Positional Arguments size : Size type : int Keyword Arguments alloc_type : HostMem_AllocType . Return self : Evision.CUDA.HostMem.t() Python prototype (for reference only): HostMem(size, type[, alloc_type]) -&gt; &lt;cuda_HostMem object&gt;","ref":"Evision.CUDA.HostMem.html#hostMem/3","title":"Evision.CUDA.HostMem.hostMem/3","type":"function"},{"doc":"HostMem Positional Arguments rows : int cols : int type : int Keyword Arguments alloc_type : HostMem_AllocType . Return self : Evision.CUDA.HostMem.t() Python prototype (for reference only): HostMem(rows, cols, type[, alloc_type]) -&gt; &lt;cuda_HostMem object&gt;","ref":"Evision.CUDA.HostMem.html#hostMem/4","title":"Evision.CUDA.HostMem.hostMem/4","type":"function"},{"doc":"Maps CPU memory to GPU address space and creates the cuda::GpuMat header without reference counting for it. Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : bool This can be done only if memory was allocated with the SHARED flag and if it is supported by the hardware. Laptops often share video and CPU memory, so address spaces can be mapped, which eliminates an extra copy. Python prototype (for reference only): isContinuous() -&gt; retval","ref":"Evision.CUDA.HostMem.html#isContinuous/1","title":"Evision.CUDA.HostMem.isContinuous/1","type":"function"},{"doc":"reshape Positional Arguments self : Evision.CUDA.HostMem.t() cn : int Keyword Arguments rows : int . Return retval : Evision.CUDA.HostMem.t() Python prototype (for reference only): reshape(cn[, rows]) -&gt; retval","ref":"Evision.CUDA.HostMem.html#reshape/2","title":"Evision.CUDA.HostMem.reshape/2","type":"function"},{"doc":"reshape Positional Arguments self : Evision.CUDA.HostMem.t() cn : int Keyword Arguments rows : int . Return retval : Evision.CUDA.HostMem.t() Python prototype (for reference only): reshape(cn[, rows]) -&gt; retval","ref":"Evision.CUDA.HostMem.html#reshape/3","title":"Evision.CUDA.HostMem.reshape/3","type":"function"},{"doc":"size Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : Size Python prototype (for reference only): size() -&gt; retval","ref":"Evision.CUDA.HostMem.html#size/1","title":"Evision.CUDA.HostMem.size/1","type":"function"},{"doc":"step1 Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : size_t Python prototype (for reference only): step1() -&gt; retval","ref":"Evision.CUDA.HostMem.html#step1/1","title":"Evision.CUDA.HostMem.step1/1","type":"function"},{"doc":"swap Positional Arguments self : Evision.CUDA.HostMem.t() b : Evision.CUDA.HostMem.t() Python prototype (for reference only): swap(b) -&gt; None","ref":"Evision.CUDA.HostMem.html#swap/2","title":"Evision.CUDA.HostMem.swap/2","type":"function"},{"doc":"type Positional Arguments self : Evision.CUDA.HostMem.t() Return retval : int Python prototype (for reference only): type() -&gt; retval","ref":"Evision.CUDA.HostMem.html#type/1","title":"Evision.CUDA.HostMem.type/1","type":"function"},{"doc":"Type that represents an CUDA.HostMem struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.HostMem.html#t:t/0","title":"Evision.CUDA.HostMem.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.HoughCirclesDetector.html","title":"Evision.CUDA.HoughCirclesDetector","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#clear/1","title":"Evision.CUDA.HoughCirclesDetector.clear/1","type":"function"},{"doc":"Variant 1: Finds circles in a grayscale image using the Hough transform. Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() src : Evision.Mat.t() . 8-bit, single-channel grayscale input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return circles : Evision.Mat.t() . Output vector of found circles. Each vector is encoded as a 3-element floating-point vector \\f$(x, y, radius)\\f$ . @sa HoughCircles Python prototype (for reference only): detect(src[, circles[, stream]]) -&gt; circles Variant 2: Finds circles in a grayscale image using the Hough transform. Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() src : Evision.CUDA.GpuMat.t() . 8-bit, single-channel grayscale input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return circles : Evision.CUDA.GpuMat.t() . Output vector of found circles. Each vector is encoded as a 3-element floating-point vector \\f$(x, y, radius)\\f$ . @sa HoughCircles Python prototype (for reference only): detect(src[, circles[, stream]]) -&gt; circles","ref":"Evision.CUDA.HoughCirclesDetector.html#detect/2","title":"Evision.CUDA.HoughCirclesDetector.detect/2","type":"function"},{"doc":"Variant 1: Finds circles in a grayscale image using the Hough transform. Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() src : Evision.Mat.t() . 8-bit, single-channel grayscale input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return circles : Evision.Mat.t() . Output vector of found circles. Each vector is encoded as a 3-element floating-point vector \\f$(x, y, radius)\\f$ . @sa HoughCircles Python prototype (for reference only): detect(src[, circles[, stream]]) -&gt; circles Variant 2: Finds circles in a grayscale image using the Hough transform. Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() src : Evision.CUDA.GpuMat.t() . 8-bit, single-channel grayscale input image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return circles : Evision.CUDA.GpuMat.t() . Output vector of found circles. Each vector is encoded as a 3-element floating-point vector \\f$(x, y, radius)\\f$ . @sa HoughCircles Python prototype (for reference only): detect(src[, circles[, stream]]) -&gt; circles","ref":"Evision.CUDA.HoughCirclesDetector.html#detect/3","title":"Evision.CUDA.HoughCirclesDetector.detect/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.HoughCirclesDetector.html#empty/1","title":"Evision.CUDA.HoughCirclesDetector.empty/1","type":"function"},{"doc":"getCannyThreshold Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() Return retval : int Python prototype (for reference only): getCannyThreshold() -&gt; retval","ref":"Evision.CUDA.HoughCirclesDetector.html#getCannyThreshold/1","title":"Evision.CUDA.HoughCirclesDetector.getCannyThreshold/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.HoughCirclesDetector.html#getDefaultName/1","title":"Evision.CUDA.HoughCirclesDetector.getDefaultName/1","type":"function"},{"doc":"getDp Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() Return retval : float Python prototype (for reference only): getDp() -&gt; retval","ref":"Evision.CUDA.HoughCirclesDetector.html#getDp/1","title":"Evision.CUDA.HoughCirclesDetector.getDp/1","type":"function"},{"doc":"getMaxCircles Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() Return retval : int Python prototype (for reference only): getMaxCircles() -&gt; retval","ref":"Evision.CUDA.HoughCirclesDetector.html#getMaxCircles/1","title":"Evision.CUDA.HoughCirclesDetector.getMaxCircles/1","type":"function"},{"doc":"getMaxRadius Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() Return retval : int Python prototype (for reference only): getMaxRadius() -&gt; retval","ref":"Evision.CUDA.HoughCirclesDetector.html#getMaxRadius/1","title":"Evision.CUDA.HoughCirclesDetector.getMaxRadius/1","type":"function"},{"doc":"getMinDist Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() Return retval : float Python prototype (for reference only): getMinDist() -&gt; retval","ref":"Evision.CUDA.HoughCirclesDetector.html#getMinDist/1","title":"Evision.CUDA.HoughCirclesDetector.getMinDist/1","type":"function"},{"doc":"getMinRadius Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() Return retval : int Python prototype (for reference only): getMinRadius() -&gt; retval","ref":"Evision.CUDA.HoughCirclesDetector.html#getMinRadius/1","title":"Evision.CUDA.HoughCirclesDetector.getMinRadius/1","type":"function"},{"doc":"getVotesThreshold Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() Return retval : int Python prototype (for reference only): getVotesThreshold() -&gt; retval","ref":"Evision.CUDA.HoughCirclesDetector.html#getVotesThreshold/1","title":"Evision.CUDA.HoughCirclesDetector.getVotesThreshold/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#read/2","title":"Evision.CUDA.HoughCirclesDetector.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#save/2","title":"Evision.CUDA.HoughCirclesDetector.save/2","type":"function"},{"doc":"setCannyThreshold Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() cannyThreshold : int Python prototype (for reference only): setCannyThreshold(cannyThreshold) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#setCannyThreshold/2","title":"Evision.CUDA.HoughCirclesDetector.setCannyThreshold/2","type":"function"},{"doc":"setDp Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() dp : float Python prototype (for reference only): setDp(dp) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#setDp/2","title":"Evision.CUDA.HoughCirclesDetector.setDp/2","type":"function"},{"doc":"setMaxCircles Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() maxCircles : int Python prototype (for reference only): setMaxCircles(maxCircles) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#setMaxCircles/2","title":"Evision.CUDA.HoughCirclesDetector.setMaxCircles/2","type":"function"},{"doc":"setMaxRadius Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() maxRadius : int Python prototype (for reference only): setMaxRadius(maxRadius) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#setMaxRadius/2","title":"Evision.CUDA.HoughCirclesDetector.setMaxRadius/2","type":"function"},{"doc":"setMinDist Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() minDist : float Python prototype (for reference only): setMinDist(minDist) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#setMinDist/2","title":"Evision.CUDA.HoughCirclesDetector.setMinDist/2","type":"function"},{"doc":"setMinRadius Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() minRadius : int Python prototype (for reference only): setMinRadius(minRadius) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#setMinRadius/2","title":"Evision.CUDA.HoughCirclesDetector.setMinRadius/2","type":"function"},{"doc":"setVotesThreshold Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() votesThreshold : int Python prototype (for reference only): setVotesThreshold(votesThreshold) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#setVotesThreshold/2","title":"Evision.CUDA.HoughCirclesDetector.setVotesThreshold/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#write/2","title":"Evision.CUDA.HoughCirclesDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.HoughCirclesDetector.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.HoughCirclesDetector.html#write/3","title":"Evision.CUDA.HoughCirclesDetector.write/3","type":"function"},{"doc":"Type that represents an CUDA.HoughCirclesDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.HoughCirclesDetector.html#t:t/0","title":"Evision.CUDA.HoughCirclesDetector.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.HoughLinesDetector.html","title":"Evision.CUDA.HoughLinesDetector","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.HoughLinesDetector.html#clear/1","title":"Evision.CUDA.HoughLinesDetector.clear/1","type":"function"},{"doc":"Variant 1: Finds lines in a binary image using the classical Hough transform. Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() src : Evision.Mat.t() . 8-bit, single-channel binary source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return lines : Evision.Mat.t() . Output vector of lines. Each line is represented by a two-element vector \\f$(\\rho, \\theta)\\f$ . \\f$\\rho\\f$ is the distance from the coordinate origin \\f$(0,0)\\f$ (top-left corner of the image). \\f$\\theta\\f$ is the line rotation angle in radians ( \\f$0 \\sim \\textrm{vertical line}, \\pi/2 \\sim \\textrm{horizontal line}\\f$ ). @sa HoughLines Python prototype (for reference only): detect(src[, lines[, stream]]) -&gt; lines Variant 2: Finds lines in a binary image using the classical Hough transform. Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() src : Evision.CUDA.GpuMat.t() . 8-bit, single-channel binary source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return lines : Evision.CUDA.GpuMat.t() . Output vector of lines. Each line is represented by a two-element vector \\f$(\\rho, \\theta)\\f$ . \\f$\\rho\\f$ is the distance from the coordinate origin \\f$(0,0)\\f$ (top-left corner of the image). \\f$\\theta\\f$ is the line rotation angle in radians ( \\f$0 \\sim \\textrm{vertical line}, \\pi/2 \\sim \\textrm{horizontal line}\\f$ ). @sa HoughLines Python prototype (for reference only): detect(src[, lines[, stream]]) -&gt; lines","ref":"Evision.CUDA.HoughLinesDetector.html#detect/2","title":"Evision.CUDA.HoughLinesDetector.detect/2","type":"function"},{"doc":"Variant 1: Finds lines in a binary image using the classical Hough transform. Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() src : Evision.Mat.t() . 8-bit, single-channel binary source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return lines : Evision.Mat.t() . Output vector of lines. Each line is represented by a two-element vector \\f$(\\rho, \\theta)\\f$ . \\f$\\rho\\f$ is the distance from the coordinate origin \\f$(0,0)\\f$ (top-left corner of the image). \\f$\\theta\\f$ is the line rotation angle in radians ( \\f$0 \\sim \\textrm{vertical line}, \\pi/2 \\sim \\textrm{horizontal line}\\f$ ). @sa HoughLines Python prototype (for reference only): detect(src[, lines[, stream]]) -&gt; lines Variant 2: Finds lines in a binary image using the classical Hough transform. Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() src : Evision.CUDA.GpuMat.t() . 8-bit, single-channel binary source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return lines : Evision.CUDA.GpuMat.t() . Output vector of lines. Each line is represented by a two-element vector \\f$(\\rho, \\theta)\\f$ . \\f$\\rho\\f$ is the distance from the coordinate origin \\f$(0,0)\\f$ (top-left corner of the image). \\f$\\theta\\f$ is the line rotation angle in radians ( \\f$0 \\sim \\textrm{vertical line}, \\pi/2 \\sim \\textrm{horizontal line}\\f$ ). @sa HoughLines Python prototype (for reference only): detect(src[, lines[, stream]]) -&gt; lines","ref":"Evision.CUDA.HoughLinesDetector.html#detect/3","title":"Evision.CUDA.HoughLinesDetector.detect/3","type":"function"},{"doc":"Variant 1: Downloads results from cuda::HoughLinesDetector::detect to host memory. Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() d_lines : Evision.Mat.t() . Result of cuda::HoughLinesDetector::detect . Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return h_lines : Evision.Mat.t() . Output host array. h_votes : Evision.Mat.t() . Optional output array for line's votes. Python prototype (for reference only): downloadResults(d_lines[, h_lines[, h_votes[, stream]]]) -&gt; h_lines, h_votes Variant 2: Downloads results from cuda::HoughLinesDetector::detect to host memory. Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() d_lines : Evision.CUDA.GpuMat.t() . Result of cuda::HoughLinesDetector::detect . Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return h_lines : Evision.CUDA.GpuMat.t() . Output host array. h_votes : Evision.CUDA.GpuMat.t() . Optional output array for line's votes. Python prototype (for reference only): downloadResults(d_lines[, h_lines[, h_votes[, stream]]]) -&gt; h_lines, h_votes","ref":"Evision.CUDA.HoughLinesDetector.html#downloadResults/2","title":"Evision.CUDA.HoughLinesDetector.downloadResults/2","type":"function"},{"doc":"Variant 1: Downloads results from cuda::HoughLinesDetector::detect to host memory. Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() d_lines : Evision.Mat.t() . Result of cuda::HoughLinesDetector::detect . Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return h_lines : Evision.Mat.t() . Output host array. h_votes : Evision.Mat.t() . Optional output array for line's votes. Python prototype (for reference only): downloadResults(d_lines[, h_lines[, h_votes[, stream]]]) -&gt; h_lines, h_votes Variant 2: Downloads results from cuda::HoughLinesDetector::detect to host memory. Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() d_lines : Evision.CUDA.GpuMat.t() . Result of cuda::HoughLinesDetector::detect . Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return h_lines : Evision.CUDA.GpuMat.t() . Output host array. h_votes : Evision.CUDA.GpuMat.t() . Optional output array for line's votes. Python prototype (for reference only): downloadResults(d_lines[, h_lines[, h_votes[, stream]]]) -&gt; h_lines, h_votes","ref":"Evision.CUDA.HoughLinesDetector.html#downloadResults/3","title":"Evision.CUDA.HoughLinesDetector.downloadResults/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.HoughLinesDetector.html#empty/1","title":"Evision.CUDA.HoughLinesDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.HoughLinesDetector.html#getDefaultName/1","title":"Evision.CUDA.HoughLinesDetector.getDefaultName/1","type":"function"},{"doc":"getDoSort Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() Return retval : bool Python prototype (for reference only): getDoSort() -&gt; retval","ref":"Evision.CUDA.HoughLinesDetector.html#getDoSort/1","title":"Evision.CUDA.HoughLinesDetector.getDoSort/1","type":"function"},{"doc":"getMaxLines Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() Return retval : int Python prototype (for reference only): getMaxLines() -&gt; retval","ref":"Evision.CUDA.HoughLinesDetector.html#getMaxLines/1","title":"Evision.CUDA.HoughLinesDetector.getMaxLines/1","type":"function"},{"doc":"getRho Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() Return retval : float Python prototype (for reference only): getRho() -&gt; retval","ref":"Evision.CUDA.HoughLinesDetector.html#getRho/1","title":"Evision.CUDA.HoughLinesDetector.getRho/1","type":"function"},{"doc":"getTheta Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() Return retval : float Python prototype (for reference only): getTheta() -&gt; retval","ref":"Evision.CUDA.HoughLinesDetector.html#getTheta/1","title":"Evision.CUDA.HoughLinesDetector.getTheta/1","type":"function"},{"doc":"getThreshold Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() Return retval : int Python prototype (for reference only): getThreshold() -&gt; retval","ref":"Evision.CUDA.HoughLinesDetector.html#getThreshold/1","title":"Evision.CUDA.HoughLinesDetector.getThreshold/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.HoughLinesDetector.html#read/2","title":"Evision.CUDA.HoughLinesDetector.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.HoughLinesDetector.html#save/2","title":"Evision.CUDA.HoughLinesDetector.save/2","type":"function"},{"doc":"setDoSort Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() doSort : bool Python prototype (for reference only): setDoSort(doSort) -&gt; None","ref":"Evision.CUDA.HoughLinesDetector.html#setDoSort/2","title":"Evision.CUDA.HoughLinesDetector.setDoSort/2","type":"function"},{"doc":"setMaxLines Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() maxLines : int Python prototype (for reference only): setMaxLines(maxLines) -&gt; None","ref":"Evision.CUDA.HoughLinesDetector.html#setMaxLines/2","title":"Evision.CUDA.HoughLinesDetector.setMaxLines/2","type":"function"},{"doc":"setRho Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() rho : float Python prototype (for reference only): setRho(rho) -&gt; None","ref":"Evision.CUDA.HoughLinesDetector.html#setRho/2","title":"Evision.CUDA.HoughLinesDetector.setRho/2","type":"function"},{"doc":"setTheta Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() theta : float Python prototype (for reference only): setTheta(theta) -&gt; None","ref":"Evision.CUDA.HoughLinesDetector.html#setTheta/2","title":"Evision.CUDA.HoughLinesDetector.setTheta/2","type":"function"},{"doc":"setThreshold Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() threshold : int Python prototype (for reference only): setThreshold(threshold) -&gt; None","ref":"Evision.CUDA.HoughLinesDetector.html#setThreshold/2","title":"Evision.CUDA.HoughLinesDetector.setThreshold/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.HoughLinesDetector.html#write/2","title":"Evision.CUDA.HoughLinesDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.HoughLinesDetector.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.HoughLinesDetector.html#write/3","title":"Evision.CUDA.HoughLinesDetector.write/3","type":"function"},{"doc":"Type that represents an CUDA.HoughLinesDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.HoughLinesDetector.html#t:t/0","title":"Evision.CUDA.HoughLinesDetector.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.HoughSegmentDetector.html","title":"Evision.CUDA.HoughSegmentDetector","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.HoughSegmentDetector.html#clear/1","title":"Evision.CUDA.HoughSegmentDetector.clear/1","type":"function"},{"doc":"Variant 1: Finds line segments in a binary image using the probabilistic Hough transform. Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() src : Evision.Mat.t() . 8-bit, single-channel binary source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return lines : Evision.Mat.t() . Output vector of lines. Each line is represented by a 4-element vector \\f$(x_1, y_1, x_2, y_2)\\f$ , where \\f$(x_1,y_1)\\f$ and \\f$(x_2, y_2)\\f$ are the ending points of each detected line segment. @sa HoughLinesP Python prototype (for reference only): detect(src[, lines[, stream]]) -&gt; lines Variant 2: Finds line segments in a binary image using the probabilistic Hough transform. Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() src : Evision.CUDA.GpuMat.t() . 8-bit, single-channel binary source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return lines : Evision.CUDA.GpuMat.t() . Output vector of lines. Each line is represented by a 4-element vector \\f$(x_1, y_1, x_2, y_2)\\f$ , where \\f$(x_1,y_1)\\f$ and \\f$(x_2, y_2)\\f$ are the ending points of each detected line segment. @sa HoughLinesP Python prototype (for reference only): detect(src[, lines[, stream]]) -&gt; lines","ref":"Evision.CUDA.HoughSegmentDetector.html#detect/2","title":"Evision.CUDA.HoughSegmentDetector.detect/2","type":"function"},{"doc":"Variant 1: Finds line segments in a binary image using the probabilistic Hough transform. Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() src : Evision.Mat.t() . 8-bit, single-channel binary source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return lines : Evision.Mat.t() . Output vector of lines. Each line is represented by a 4-element vector \\f$(x_1, y_1, x_2, y_2)\\f$ , where \\f$(x_1,y_1)\\f$ and \\f$(x_2, y_2)\\f$ are the ending points of each detected line segment. @sa HoughLinesP Python prototype (for reference only): detect(src[, lines[, stream]]) -&gt; lines Variant 2: Finds line segments in a binary image using the probabilistic Hough transform. Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() src : Evision.CUDA.GpuMat.t() . 8-bit, single-channel binary source image. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return lines : Evision.CUDA.GpuMat.t() . Output vector of lines. Each line is represented by a 4-element vector \\f$(x_1, y_1, x_2, y_2)\\f$ , where \\f$(x_1,y_1)\\f$ and \\f$(x_2, y_2)\\f$ are the ending points of each detected line segment. @sa HoughLinesP Python prototype (for reference only): detect(src[, lines[, stream]]) -&gt; lines","ref":"Evision.CUDA.HoughSegmentDetector.html#detect/3","title":"Evision.CUDA.HoughSegmentDetector.detect/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.HoughSegmentDetector.html#empty/1","title":"Evision.CUDA.HoughSegmentDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.HoughSegmentDetector.html#getDefaultName/1","title":"Evision.CUDA.HoughSegmentDetector.getDefaultName/1","type":"function"},{"doc":"getMaxLineGap Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() Return retval : int Python prototype (for reference only): getMaxLineGap() -&gt; retval","ref":"Evision.CUDA.HoughSegmentDetector.html#getMaxLineGap/1","title":"Evision.CUDA.HoughSegmentDetector.getMaxLineGap/1","type":"function"},{"doc":"getMaxLines Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() Return retval : int Python prototype (for reference only): getMaxLines() -&gt; retval","ref":"Evision.CUDA.HoughSegmentDetector.html#getMaxLines/1","title":"Evision.CUDA.HoughSegmentDetector.getMaxLines/1","type":"function"},{"doc":"getMinLineLength Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() Return retval : int Python prototype (for reference only): getMinLineLength() -&gt; retval","ref":"Evision.CUDA.HoughSegmentDetector.html#getMinLineLength/1","title":"Evision.CUDA.HoughSegmentDetector.getMinLineLength/1","type":"function"},{"doc":"getRho Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() Return retval : float Python prototype (for reference only): getRho() -&gt; retval","ref":"Evision.CUDA.HoughSegmentDetector.html#getRho/1","title":"Evision.CUDA.HoughSegmentDetector.getRho/1","type":"function"},{"doc":"getTheta Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() Return retval : float Python prototype (for reference only): getTheta() -&gt; retval","ref":"Evision.CUDA.HoughSegmentDetector.html#getTheta/1","title":"Evision.CUDA.HoughSegmentDetector.getTheta/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.HoughSegmentDetector.html#read/2","title":"Evision.CUDA.HoughSegmentDetector.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.HoughSegmentDetector.html#save/2","title":"Evision.CUDA.HoughSegmentDetector.save/2","type":"function"},{"doc":"setMaxLineGap Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() maxLineGap : int Python prototype (for reference only): setMaxLineGap(maxLineGap) -&gt; None","ref":"Evision.CUDA.HoughSegmentDetector.html#setMaxLineGap/2","title":"Evision.CUDA.HoughSegmentDetector.setMaxLineGap/2","type":"function"},{"doc":"setMaxLines Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() maxLines : int Python prototype (for reference only): setMaxLines(maxLines) -&gt; None","ref":"Evision.CUDA.HoughSegmentDetector.html#setMaxLines/2","title":"Evision.CUDA.HoughSegmentDetector.setMaxLines/2","type":"function"},{"doc":"setMinLineLength Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() minLineLength : int Python prototype (for reference only): setMinLineLength(minLineLength) -&gt; None","ref":"Evision.CUDA.HoughSegmentDetector.html#setMinLineLength/2","title":"Evision.CUDA.HoughSegmentDetector.setMinLineLength/2","type":"function"},{"doc":"setRho Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() rho : float Python prototype (for reference only): setRho(rho) -&gt; None","ref":"Evision.CUDA.HoughSegmentDetector.html#setRho/2","title":"Evision.CUDA.HoughSegmentDetector.setRho/2","type":"function"},{"doc":"setTheta Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() theta : float Python prototype (for reference only): setTheta(theta) -&gt; None","ref":"Evision.CUDA.HoughSegmentDetector.html#setTheta/2","title":"Evision.CUDA.HoughSegmentDetector.setTheta/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.HoughSegmentDetector.html#write/2","title":"Evision.CUDA.HoughSegmentDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.HoughSegmentDetector.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.HoughSegmentDetector.html#write/3","title":"Evision.CUDA.HoughSegmentDetector.write/3","type":"function"},{"doc":"Type that represents an CUDA.HoughSegmentDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.HoughSegmentDetector.html#t:t/0","title":"Evision.CUDA.HoughSegmentDetector.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.LookUpTable.html","title":"Evision.CUDA.LookUpTable","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.LookUpTable.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.LookUpTable.html#clear/1","title":"Evision.CUDA.LookUpTable.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.LookUpTable.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.LookUpTable.html#empty/1","title":"Evision.CUDA.LookUpTable.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.LookUpTable.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.LookUpTable.html#getDefaultName/1","title":"Evision.CUDA.LookUpTable.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.LookUpTable.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.LookUpTable.html#read/2","title":"Evision.CUDA.LookUpTable.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.LookUpTable.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.LookUpTable.html#save/2","title":"Evision.CUDA.LookUpTable.save/2","type":"function"},{"doc":"Variant 1: Transforms the source matrix into the destination matrix using the given look-up table: dst(I) = lut(src(I)) . Positional Arguments self : Evision.CUDA.LookUpTable.t() src : Evision.Mat.t() . Source matrix. CV_8UC1 and CV_8UC3 matrices are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix. Python prototype (for reference only): transform(src[, dst[, stream]]) -&gt; dst Variant 2: Transforms the source matrix into the destination matrix using the given look-up table: dst(I) = lut(src(I)) . Positional Arguments self : Evision.CUDA.LookUpTable.t() src : Evision.CUDA.GpuMat.t() . Source matrix. CV_8UC1 and CV_8UC3 matrices are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix. Python prototype (for reference only): transform(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.LookUpTable.html#transform/2","title":"Evision.CUDA.LookUpTable.transform/2","type":"function"},{"doc":"Variant 1: Transforms the source matrix into the destination matrix using the given look-up table: dst(I) = lut(src(I)) . Positional Arguments self : Evision.CUDA.LookUpTable.t() src : Evision.Mat.t() . Source matrix. CV_8UC1 and CV_8UC3 matrices are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.Mat.t() . Destination matrix. Python prototype (for reference only): transform(src[, dst[, stream]]) -&gt; dst Variant 2: Transforms the source matrix into the destination matrix using the given look-up table: dst(I) = lut(src(I)) . Positional Arguments self : Evision.CUDA.LookUpTable.t() src : Evision.CUDA.GpuMat.t() . Source matrix. CV_8UC1 and CV_8UC3 matrices are supported for now. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return dst : Evision.CUDA.GpuMat.t() . Destination matrix. Python prototype (for reference only): transform(src[, dst[, stream]]) -&gt; dst","ref":"Evision.CUDA.LookUpTable.html#transform/3","title":"Evision.CUDA.LookUpTable.transform/3","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.LookUpTable.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.LookUpTable.html#write/2","title":"Evision.CUDA.LookUpTable.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.LookUpTable.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.LookUpTable.html#write/3","title":"Evision.CUDA.LookUpTable.write/3","type":"function"},{"doc":"Type that represents an CUDA.LookUpTable struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.LookUpTable.html#t:t/0","title":"Evision.CUDA.LookUpTable.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.ORB.html","title":"Evision.CUDA.ORB","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.CUDA.ORB.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.ORB.html#compute/3","title":"Evision.CUDA.ORB.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.CUDA.ORB.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.ORB.html#compute/4","title":"Evision.CUDA.ORB.compute/4","type":"function"},{"doc":"Variant 1: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . Input collection of keypoints. descriptors : Evision.Mat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . Input collection of keypoints. descriptors : Evision.CUDA.GpuMat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.ORB.html#computeAsync/2","title":"Evision.CUDA.ORB.computeAsync/2","type":"function"},{"doc":"Variant 1: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . Input collection of keypoints. descriptors : Evision.Mat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image. Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . Input collection of keypoints. descriptors : Evision.CUDA.GpuMat.t() . Computed descriptors. Row j is the descriptor for j-th keypoint. Python prototype (for reference only): computeAsync(image[, keypoints[, descriptors[, stream]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.ORB.html#computeAsync/3","title":"Evision.CUDA.ORB.computeAsync/3","type":"function"},{"doc":"Variant 1: convert Positional Arguments self : Evision.CUDA.ORB.t() gpu_keypoints : Evision.Mat.t() Return keypoints : [Evision.KeyPoint] Converts keypoints array from internal representation to standard vector. Python prototype (for reference only): convert(gpu_keypoints) -&gt; keypoints Variant 2: convert Positional Arguments self : Evision.CUDA.ORB.t() gpu_keypoints : Evision.CUDA.GpuMat.t() Return keypoints : [Evision.KeyPoint] Converts keypoints array from internal representation to standard vector. Python prototype (for reference only): convert(gpu_keypoints) -&gt; keypoints","ref":"Evision.CUDA.ORB.html#convert/2","title":"Evision.CUDA.ORB.convert/2","type":"function"},{"doc":"create Keyword Arguments nfeatures : int . scaleFactor : float . nlevels : int . edgeThreshold : int . firstLevel : int . wTA_K : int . scoreType : int . patchSize : int . fastThreshold : int . blurForDescriptor : bool . Return retval : Evision.CUDA.ORB.t() Python prototype (for reference only): create([, nfeatures[, scaleFactor[, nlevels[, edgeThreshold[, firstLevel[, WTA_K[, scoreType[, patchSize[, fastThreshold[, blurForDescriptor]]]]]]]]]]) -&gt; retval","ref":"Evision.CUDA.ORB.html#create/0","title":"Evision.CUDA.ORB.create/0","type":"function"},{"doc":"create Keyword Arguments nfeatures : int . scaleFactor : float . nlevels : int . edgeThreshold : int . firstLevel : int . wTA_K : int . scoreType : int . patchSize : int . fastThreshold : int . blurForDescriptor : bool . Return retval : Evision.CUDA.ORB.t() Python prototype (for reference only): create([, nfeatures[, scaleFactor[, nlevels[, edgeThreshold[, firstLevel[, WTA_K[, scoreType[, patchSize[, fastThreshold[, blurForDescriptor]]]]]]]]]]) -&gt; retval","ref":"Evision.CUDA.ORB.html#create/1","title":"Evision.CUDA.ORB.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.CUDA.ORB.html#defaultNorm/1","title":"Evision.CUDA.ORB.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.CUDA.ORB.html#descriptorSize/1","title":"Evision.CUDA.ORB.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.CUDA.ORB.html#descriptorType/1","title":"Evision.CUDA.ORB.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.CUDA.ORB.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.CUDA.ORB.html#detect/2","title":"Evision.CUDA.ORB.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.CUDA.ORB.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.CUDA.ORB.html#detect/3","title":"Evision.CUDA.ORB.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.ORB.html#detectAndCompute/3","title":"Evision.CUDA.ORB.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.ORB.html#detectAndCompute/4","title":"Evision.CUDA.ORB.detectAndCompute/4","type":"function"},{"doc":"Variant 1: detectAndComputeAsync Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.Mat.t() . descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors Variant 2: detectAndComputeAsync Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.CUDA.GpuMat.t() mask : Evision.CUDA.GpuMat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.CUDA.GpuMat.t() . descriptors : Evision.CUDA.GpuMat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.ORB.html#detectAndComputeAsync/3","title":"Evision.CUDA.ORB.detectAndComputeAsync/3","type":"function"},{"doc":"Variant 1: detectAndComputeAsync Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.Mat.t() . descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors Variant 2: detectAndComputeAsync Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.CUDA.GpuMat.t() mask : Evision.CUDA.GpuMat.t() Keyword Arguments useProvidedKeypoints : bool . stream : Evision.CUDA.Stream.t() . Return keypoints : Evision.CUDA.GpuMat.t() . descriptors : Evision.CUDA.GpuMat.t() . Detects keypoints and computes the descriptors. Python prototype (for reference only): detectAndComputeAsync(image, mask[, keypoints[, descriptors[, useProvidedKeypoints[, stream]]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.ORB.html#detectAndComputeAsync/4","title":"Evision.CUDA.ORB.detectAndComputeAsync/4","type":"function"},{"doc":"Variant 1: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints Variant 2: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints","ref":"Evision.CUDA.ORB.html#detectAsync/2","title":"Evision.CUDA.ORB.detectAsync/2","type":"function"},{"doc":"Variant 1: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.Mat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints Variant 2: Detects keypoints in an image. Positional Arguments self : Evision.CUDA.ORB.t() image : Evision.CUDA.GpuMat.t() . Image. Keyword Arguments mask : Evision.CUDA.GpuMat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. stream : Evision.CUDA.Stream.t() . CUDA stream. Return keypoints : Evision.CUDA.GpuMat.t() . The detected keypoints. Python prototype (for reference only): detectAsync(image[, keypoints[, mask[, stream]]]) -&gt; keypoints","ref":"Evision.CUDA.ORB.html#detectAsync/3","title":"Evision.CUDA.ORB.detectAsync/3","type":"function"},{"doc":"empty Positional Arguments self : Evision.CUDA.ORB.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.ORB.html#empty/1","title":"Evision.CUDA.ORB.empty/1","type":"function"},{"doc":"getBlurForDescriptor Positional Arguments self : Evision.CUDA.ORB.t() Return retval : bool Python prototype (for reference only): getBlurForDescriptor() -&gt; retval","ref":"Evision.CUDA.ORB.html#getBlurForDescriptor/1","title":"Evision.CUDA.ORB.getBlurForDescriptor/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.ORB.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.ORB.html#getDefaultName/1","title":"Evision.CUDA.ORB.getDefaultName/1","type":"function"},{"doc":"getEdgeThreshold Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): getEdgeThreshold() -&gt; retval","ref":"Evision.CUDA.ORB.html#getEdgeThreshold/1","title":"Evision.CUDA.ORB.getEdgeThreshold/1","type":"function"},{"doc":"getFastThreshold Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): getFastThreshold() -&gt; retval","ref":"Evision.CUDA.ORB.html#getFastThreshold/1","title":"Evision.CUDA.ORB.getFastThreshold/1","type":"function"},{"doc":"getFirstLevel Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): getFirstLevel() -&gt; retval","ref":"Evision.CUDA.ORB.html#getFirstLevel/1","title":"Evision.CUDA.ORB.getFirstLevel/1","type":"function"},{"doc":"getMaxFeatures Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): getMaxFeatures() -&gt; retval","ref":"Evision.CUDA.ORB.html#getMaxFeatures/1","title":"Evision.CUDA.ORB.getMaxFeatures/1","type":"function"},{"doc":"getNLevels Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): getNLevels() -&gt; retval","ref":"Evision.CUDA.ORB.html#getNLevels/1","title":"Evision.CUDA.ORB.getNLevels/1","type":"function"},{"doc":"getPatchSize Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): getPatchSize() -&gt; retval","ref":"Evision.CUDA.ORB.html#getPatchSize/1","title":"Evision.CUDA.ORB.getPatchSize/1","type":"function"},{"doc":"getScaleFactor Positional Arguments self : Evision.CUDA.ORB.t() Return retval : double Python prototype (for reference only): getScaleFactor() -&gt; retval","ref":"Evision.CUDA.ORB.html#getScaleFactor/1","title":"Evision.CUDA.ORB.getScaleFactor/1","type":"function"},{"doc":"getScoreType Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): getScoreType() -&gt; retval","ref":"Evision.CUDA.ORB.html#getScoreType/1","title":"Evision.CUDA.ORB.getScoreType/1","type":"function"},{"doc":"getWTA_K Positional Arguments self : Evision.CUDA.ORB.t() Return retval : int Python prototype (for reference only): getWTA_K() -&gt; retval","ref":"Evision.CUDA.ORB.html#getWTA_K/1","title":"Evision.CUDA.ORB.getWTA_K/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.CUDA.ORB.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.CUDA.ORB.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.CUDA.ORB.html#read/2","title":"Evision.CUDA.ORB.read/2","type":"function"},{"doc":"setBlurForDescriptor Positional Arguments self : Evision.CUDA.ORB.t() blurForDescriptor : bool Python prototype (for reference only): setBlurForDescriptor(blurForDescriptor) -&gt; None","ref":"Evision.CUDA.ORB.html#setBlurForDescriptor/2","title":"Evision.CUDA.ORB.setBlurForDescriptor/2","type":"function"},{"doc":"setEdgeThreshold Positional Arguments self : Evision.CUDA.ORB.t() edgeThreshold : int Python prototype (for reference only): setEdgeThreshold(edgeThreshold) -&gt; None","ref":"Evision.CUDA.ORB.html#setEdgeThreshold/2","title":"Evision.CUDA.ORB.setEdgeThreshold/2","type":"function"},{"doc":"setFastThreshold Positional Arguments self : Evision.CUDA.ORB.t() fastThreshold : int Python prototype (for reference only): setFastThreshold(fastThreshold) -&gt; None","ref":"Evision.CUDA.ORB.html#setFastThreshold/2","title":"Evision.CUDA.ORB.setFastThreshold/2","type":"function"},{"doc":"setFirstLevel Positional Arguments self : Evision.CUDA.ORB.t() firstLevel : int Python prototype (for reference only): setFirstLevel(firstLevel) -&gt; None","ref":"Evision.CUDA.ORB.html#setFirstLevel/2","title":"Evision.CUDA.ORB.setFirstLevel/2","type":"function"},{"doc":"setMaxFeatures Positional Arguments self : Evision.CUDA.ORB.t() maxFeatures : int Python prototype (for reference only): setMaxFeatures(maxFeatures) -&gt; None","ref":"Evision.CUDA.ORB.html#setMaxFeatures/2","title":"Evision.CUDA.ORB.setMaxFeatures/2","type":"function"},{"doc":"setNLevels Positional Arguments self : Evision.CUDA.ORB.t() nlevels : int Python prototype (for reference only): setNLevels(nlevels) -&gt; None","ref":"Evision.CUDA.ORB.html#setNLevels/2","title":"Evision.CUDA.ORB.setNLevels/2","type":"function"},{"doc":"setPatchSize Positional Arguments self : Evision.CUDA.ORB.t() patchSize : int Python prototype (for reference only): setPatchSize(patchSize) -&gt; None","ref":"Evision.CUDA.ORB.html#setPatchSize/2","title":"Evision.CUDA.ORB.setPatchSize/2","type":"function"},{"doc":"setScaleFactor Positional Arguments self : Evision.CUDA.ORB.t() scaleFactor : double Python prototype (for reference only): setScaleFactor(scaleFactor) -&gt; None","ref":"Evision.CUDA.ORB.html#setScaleFactor/2","title":"Evision.CUDA.ORB.setScaleFactor/2","type":"function"},{"doc":"setScoreType Positional Arguments self : Evision.CUDA.ORB.t() scoreType : int Python prototype (for reference only): setScoreType(scoreType) -&gt; None","ref":"Evision.CUDA.ORB.html#setScoreType/2","title":"Evision.CUDA.ORB.setScoreType/2","type":"function"},{"doc":"setWTA_K Positional Arguments self : Evision.CUDA.ORB.t() wta_k : int Python prototype (for reference only): setWTA_K(wta_k) -&gt; None","ref":"Evision.CUDA.ORB.html#setWTA_K/2","title":"Evision.CUDA.ORB.setWTA_K/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.ORB.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.CUDA.ORB.html#write/2","title":"Evision.CUDA.ORB.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.ORB.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.ORB.html#write/3","title":"Evision.CUDA.ORB.write/3","type":"function"},{"doc":"Type that represents an CUDA.ORB struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.ORB.html#t:t/0","title":"Evision.CUDA.ORB.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.SURFCUDA.html","title":"Evision.CUDA.SURFCUDA","type":"module"},{"doc":"create Positional Arguments hessianThreshold : double . Threshold for hessian keypoint detector used in SURF. Keyword Arguments nOctaves : int . Number of pyramid octaves the keypoint detector will use. nOctaveLayers : int . Number of octave layers within each octave. extended : bool . Extended descriptor flag (true - use extended 128-element descriptors; false - use 64-element descriptors). keypointsRatio : float . upright : bool . Up-right or rotated features flag (true - do not compute orientation of features; false - compute orientation). Return retval : SURF_CUDA Python prototype (for reference only): create(_hessianThreshold[, _nOctaves[, _nOctaveLayers[, _extended[, _keypointsRatio[, _upright]]]]]) -&gt; retval","ref":"Evision.CUDA.SURFCUDA.html#create/1","title":"Evision.CUDA.SURFCUDA.create/1","type":"function"},{"doc":"create Positional Arguments hessianThreshold : double . Threshold for hessian keypoint detector used in SURF. Keyword Arguments nOctaves : int . Number of pyramid octaves the keypoint detector will use. nOctaveLayers : int . Number of octave layers within each octave. extended : bool . Extended descriptor flag (true - use extended 128-element descriptors; false - use 64-element descriptors). keypointsRatio : float . upright : bool . Up-right or rotated features flag (true - do not compute orientation of features; false - compute orientation). Return retval : SURF_CUDA Python prototype (for reference only): create(_hessianThreshold[, _nOctaves[, _nOctaveLayers[, _extended[, _keypointsRatio[, _upright]]]]]) -&gt; retval","ref":"Evision.CUDA.SURFCUDA.html#create/2","title":"Evision.CUDA.SURFCUDA.create/2","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.CUDA.SURFCUDA.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.CUDA.SURFCUDA.html#defaultNorm/1","title":"Evision.CUDA.SURFCUDA.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.CUDA.SURFCUDA.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.CUDA.SURFCUDA.html#descriptorSize/1","title":"Evision.CUDA.SURFCUDA.descriptorSize/1","type":"function"},{"doc":"Finds the keypoints using fast hessian detector used in SURF Positional Arguments self : Evision.CUDA.SURFCUDA.t() img : Evision.CUDA.GpuMat.t() . Source image, currently supports only CV_8UC1 images. mask : Evision.CUDA.GpuMat.t() . A mask image same size as src and of type CV_8UC1. Return keypoints : Evision.CUDA.GpuMat.t() . Detected keypoints. Python prototype (for reference only): detect(img, mask[, keypoints]) -&gt; keypoints","ref":"Evision.CUDA.SURFCUDA.html#detect/3","title":"Evision.CUDA.SURFCUDA.detect/3","type":"function"},{"doc":"Finds the keypoints using fast hessian detector used in SURF Positional Arguments self : Evision.CUDA.SURFCUDA.t() img : Evision.CUDA.GpuMat.t() . Source image, currently supports only CV_8UC1 images. mask : Evision.CUDA.GpuMat.t() . A mask image same size as src and of type CV_8UC1. Return keypoints : Evision.CUDA.GpuMat.t() . Detected keypoints. Python prototype (for reference only): detect(img, mask[, keypoints]) -&gt; keypoints","ref":"Evision.CUDA.SURFCUDA.html#detect/4","title":"Evision.CUDA.SURFCUDA.detect/4","type":"function"},{"doc":"Finds the keypoints and computes their descriptors using fast hessian detector used in SURF Positional Arguments self : Evision.CUDA.SURFCUDA.t() img : Evision.CUDA.GpuMat.t() . Source image, currently supports only CV_8UC1 images. mask : Evision.CUDA.GpuMat.t() . A mask image same size as src and of type CV_8UC1. Keyword Arguments useProvidedKeypoints : bool . Compute descriptors for the user-provided keypoints and recompute keypoints direction. Return keypoints : Evision.CUDA.GpuMat.t() . Detected keypoints. descriptors : Evision.CUDA.GpuMat.t() . Keypoint descriptors. Python prototype (for reference only): detectWithDescriptors(img, mask[, keypoints[, descriptors[, useProvidedKeypoints]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.SURFCUDA.html#detectWithDescriptors/3","title":"Evision.CUDA.SURFCUDA.detectWithDescriptors/3","type":"function"},{"doc":"Finds the keypoints and computes their descriptors using fast hessian detector used in SURF Positional Arguments self : Evision.CUDA.SURFCUDA.t() img : Evision.CUDA.GpuMat.t() . Source image, currently supports only CV_8UC1 images. mask : Evision.CUDA.GpuMat.t() . A mask image same size as src and of type CV_8UC1. Keyword Arguments useProvidedKeypoints : bool . Compute descriptors for the user-provided keypoints and recompute keypoints direction. Return keypoints : Evision.CUDA.GpuMat.t() . Detected keypoints. descriptors : Evision.CUDA.GpuMat.t() . Keypoint descriptors. Python prototype (for reference only): detectWithDescriptors(img, mask[, keypoints[, descriptors[, useProvidedKeypoints]]]) -&gt; keypoints, descriptors","ref":"Evision.CUDA.SURFCUDA.html#detectWithDescriptors/4","title":"Evision.CUDA.SURFCUDA.detectWithDescriptors/4","type":"function"},{"doc":"downloadKeypoints Positional Arguments self : Evision.CUDA.SURFCUDA.t() keypointsGPU : Evision.CUDA.GpuMat.t() Return keypoints : [Evision.KeyPoint] Python prototype (for reference only): downloadKeypoints(keypointsGPU) -&gt; keypoints","ref":"Evision.CUDA.SURFCUDA.html#downloadKeypoints/2","title":"Evision.CUDA.SURFCUDA.downloadKeypoints/2","type":"function"},{"doc":"","ref":"Evision.CUDA.SURFCUDA.html#get_extended/1","title":"Evision.CUDA.SURFCUDA.get_extended/1","type":"function"},{"doc":"","ref":"Evision.CUDA.SURFCUDA.html#get_hessianThreshold/1","title":"Evision.CUDA.SURFCUDA.get_hessianThreshold/1","type":"function"},{"doc":"","ref":"Evision.CUDA.SURFCUDA.html#get_keypointsRatio/1","title":"Evision.CUDA.SURFCUDA.get_keypointsRatio/1","type":"function"},{"doc":"","ref":"Evision.CUDA.SURFCUDA.html#get_nOctaveLayers/1","title":"Evision.CUDA.SURFCUDA.get_nOctaveLayers/1","type":"function"},{"doc":"","ref":"Evision.CUDA.SURFCUDA.html#get_nOctaves/1","title":"Evision.CUDA.SURFCUDA.get_nOctaves/1","type":"function"},{"doc":"","ref":"Evision.CUDA.SURFCUDA.html#get_upright/1","title":"Evision.CUDA.SURFCUDA.get_upright/1","type":"function"},{"doc":"Type that represents an CUDA.SURFCUDA struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.SURFCUDA.html#t:t/0","title":"Evision.CUDA.SURFCUDA.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.StereoBM.html","title":"Evision.CUDA.StereoBM","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.CUDA.StereoBM.t() left : Evision.Mat.t() right : Evision.Mat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.Mat.t() . Python prototype (for reference only): compute(left, right, stream[, disparity]) -&gt; disparity Variant 2: compute Positional Arguments self : Evision.CUDA.StereoBM.t() left : Evision.CUDA.GpuMat.t() right : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): compute(left, right, stream[, disparity]) -&gt; disparity","ref":"Evision.CUDA.StereoBM.html#compute/4","title":"Evision.CUDA.StereoBM.compute/4","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.CUDA.StereoBM.t() left : Evision.Mat.t() right : Evision.Mat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.Mat.t() . Python prototype (for reference only): compute(left, right, stream[, disparity]) -&gt; disparity Variant 2: compute Positional Arguments self : Evision.CUDA.StereoBM.t() left : Evision.CUDA.GpuMat.t() right : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.CUDA.GpuMat.t() . Python prototype (for reference only): compute(left, right, stream[, disparity]) -&gt; disparity","ref":"Evision.CUDA.StereoBM.html#compute/5","title":"Evision.CUDA.StereoBM.compute/5","type":"function"},{"doc":"Type that represents an CUDA.StereoBM struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.StereoBM.html#t:t/0","title":"Evision.CUDA.StereoBM.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.StereoBeliefPropagation.html","title":"Evision.CUDA.StereoBeliefPropagation","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#clear/1","title":"Evision.CUDA.StereoBeliefPropagation.clear/1","type":"function"},{"doc":"Variant 1: Enables the stereo correspondence operator that finds the disparity for the specified data cost. Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() data : Evision.Mat.t() . User-specified data cost, a matrix of msg_type type and Size(\\&lt;image columns&gt;*ndisp, \\&lt;image rows&gt;) size. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return disparity : Evision.Mat.t() . Output disparity map. If disparity is empty, the output type is CV_16SC1 . Otherwise, the type is retained. In 16-bit signed format, the disparity values do not have fractional bits. Python prototype (for reference only): compute(data[, disparity[, stream]]) -&gt; disparity Variant 2: Enables the stereo correspondence operator that finds the disparity for the specified data cost. Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() data : Evision.CUDA.GpuMat.t() . User-specified data cost, a matrix of msg_type type and Size(\\&lt;image columns&gt;*ndisp, \\&lt;image rows&gt;) size. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return disparity : Evision.CUDA.GpuMat.t() . Output disparity map. If disparity is empty, the output type is CV_16SC1 . Otherwise, the type is retained. In 16-bit signed format, the disparity values do not have fractional bits. Python prototype (for reference only): compute(data[, disparity[, stream]]) -&gt; disparity","ref":"Evision.CUDA.StereoBeliefPropagation.html#compute/2","title":"Evision.CUDA.StereoBeliefPropagation.compute/2","type":"function"},{"doc":"Variant 1: Enables the stereo correspondence operator that finds the disparity for the specified data cost. Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() data : Evision.Mat.t() . User-specified data cost, a matrix of msg_type type and Size(\\&lt;image columns&gt;*ndisp, \\&lt;image rows&gt;) size. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return disparity : Evision.Mat.t() . Output disparity map. If disparity is empty, the output type is CV_16SC1 . Otherwise, the type is retained. In 16-bit signed format, the disparity values do not have fractional bits. Python prototype (for reference only): compute(data[, disparity[, stream]]) -&gt; disparity Variant 2: Enables the stereo correspondence operator that finds the disparity for the specified data cost. Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() data : Evision.CUDA.GpuMat.t() . User-specified data cost, a matrix of msg_type type and Size(\\&lt;image columns&gt;*ndisp, \\&lt;image rows&gt;) size. Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return disparity : Evision.CUDA.GpuMat.t() . Output disparity map. If disparity is empty, the output type is CV_16SC1 . Otherwise, the type is retained. In 16-bit signed format, the disparity values do not have fractional bits. Python prototype (for reference only): compute(data[, disparity[, stream]]) -&gt; disparity","ref":"Evision.CUDA.StereoBeliefPropagation.html#compute/3","title":"Evision.CUDA.StereoBeliefPropagation.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() left : Evision.Mat.t() right : Evision.Mat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): compute(left, right, stream[, disparity]) -&gt; disparity Variant 2: compute Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() left : Evision.CUDA.GpuMat.t() right : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): compute(left, right, stream[, disparity]) -&gt; disparity","ref":"Evision.CUDA.StereoBeliefPropagation.html#compute/4","title":"Evision.CUDA.StereoBeliefPropagation.compute/4","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() left : Evision.Mat.t() right : Evision.Mat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): compute(left, right, stream[, disparity]) -&gt; disparity Variant 2: compute Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() left : Evision.CUDA.GpuMat.t() right : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.CUDA.GpuMat.t() . Has overloading in C++ Python prototype (for reference only): compute(left, right, stream[, disparity]) -&gt; disparity","ref":"Evision.CUDA.StereoBeliefPropagation.html#compute/5","title":"Evision.CUDA.StereoBeliefPropagation.compute/5","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#empty/1","title":"Evision.CUDA.StereoBeliefPropagation.empty/1","type":"function"},{"doc":"Uses a heuristic method to compute the recommended parameters ( ndisp, iters and levels ) for the specified image size ( width and height ). Positional Arguments width : int height : int ndisp : int iters : int levels : int Python prototype (for reference only): estimateRecommendedParams(width, height, ndisp, iters, levels) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#estimateRecommendedParams/5","title":"Evision.CUDA.StereoBeliefPropagation.estimateRecommendedParams/5","type":"function"},{"doc":"getBlockSize Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : int Python prototype (for reference only): getBlockSize() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getBlockSize/1","title":"Evision.CUDA.StereoBeliefPropagation.getBlockSize/1","type":"function"},{"doc":"getDataWeight Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : double Python prototype (for reference only): getDataWeight() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getDataWeight/1","title":"Evision.CUDA.StereoBeliefPropagation.getDataWeight/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getDefaultName/1","title":"Evision.CUDA.StereoBeliefPropagation.getDefaultName/1","type":"function"},{"doc":"getDiscSingleJump Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : double Python prototype (for reference only): getDiscSingleJump() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getDiscSingleJump/1","title":"Evision.CUDA.StereoBeliefPropagation.getDiscSingleJump/1","type":"function"},{"doc":"getDisp12MaxDiff Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : int Python prototype (for reference only): getDisp12MaxDiff() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getDisp12MaxDiff/1","title":"Evision.CUDA.StereoBeliefPropagation.getDisp12MaxDiff/1","type":"function"},{"doc":"getMaxDataTerm Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : double Python prototype (for reference only): getMaxDataTerm() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getMaxDataTerm/1","title":"Evision.CUDA.StereoBeliefPropagation.getMaxDataTerm/1","type":"function"},{"doc":"getMaxDiscTerm Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : double Python prototype (for reference only): getMaxDiscTerm() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getMaxDiscTerm/1","title":"Evision.CUDA.StereoBeliefPropagation.getMaxDiscTerm/1","type":"function"},{"doc":"getMinDisparity Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : int Python prototype (for reference only): getMinDisparity() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getMinDisparity/1","title":"Evision.CUDA.StereoBeliefPropagation.getMinDisparity/1","type":"function"},{"doc":"getMsgType Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : int Python prototype (for reference only): getMsgType() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getMsgType/1","title":"Evision.CUDA.StereoBeliefPropagation.getMsgType/1","type":"function"},{"doc":"getNumDisparities Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : int Python prototype (for reference only): getNumDisparities() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getNumDisparities/1","title":"Evision.CUDA.StereoBeliefPropagation.getNumDisparities/1","type":"function"},{"doc":"getNumIters Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : int Python prototype (for reference only): getNumIters() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getNumIters/1","title":"Evision.CUDA.StereoBeliefPropagation.getNumIters/1","type":"function"},{"doc":"getNumLevels Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : int Python prototype (for reference only): getNumLevels() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getNumLevels/1","title":"Evision.CUDA.StereoBeliefPropagation.getNumLevels/1","type":"function"},{"doc":"getSpeckleRange Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : int Python prototype (for reference only): getSpeckleRange() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getSpeckleRange/1","title":"Evision.CUDA.StereoBeliefPropagation.getSpeckleRange/1","type":"function"},{"doc":"getSpeckleWindowSize Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() Return retval : int Python prototype (for reference only): getSpeckleWindowSize() -&gt; retval","ref":"Evision.CUDA.StereoBeliefPropagation.html#getSpeckleWindowSize/1","title":"Evision.CUDA.StereoBeliefPropagation.getSpeckleWindowSize/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#read/2","title":"Evision.CUDA.StereoBeliefPropagation.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#save/2","title":"Evision.CUDA.StereoBeliefPropagation.save/2","type":"function"},{"doc":"setBlockSize Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() blockSize : int Python prototype (for reference only): setBlockSize(blockSize) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setBlockSize/2","title":"Evision.CUDA.StereoBeliefPropagation.setBlockSize/2","type":"function"},{"doc":"setDataWeight Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() data_weight : double Python prototype (for reference only): setDataWeight(data_weight) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setDataWeight/2","title":"Evision.CUDA.StereoBeliefPropagation.setDataWeight/2","type":"function"},{"doc":"setDiscSingleJump Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() disc_single_jump : double Python prototype (for reference only): setDiscSingleJump(disc_single_jump) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setDiscSingleJump/2","title":"Evision.CUDA.StereoBeliefPropagation.setDiscSingleJump/2","type":"function"},{"doc":"setDisp12MaxDiff Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() disp12MaxDiff : int Python prototype (for reference only): setDisp12MaxDiff(disp12MaxDiff) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setDisp12MaxDiff/2","title":"Evision.CUDA.StereoBeliefPropagation.setDisp12MaxDiff/2","type":"function"},{"doc":"setMaxDataTerm Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() max_data_term : double Python prototype (for reference only): setMaxDataTerm(max_data_term) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setMaxDataTerm/2","title":"Evision.CUDA.StereoBeliefPropagation.setMaxDataTerm/2","type":"function"},{"doc":"setMaxDiscTerm Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() max_disc_term : double Python prototype (for reference only): setMaxDiscTerm(max_disc_term) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setMaxDiscTerm/2","title":"Evision.CUDA.StereoBeliefPropagation.setMaxDiscTerm/2","type":"function"},{"doc":"setMinDisparity Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() minDisparity : int Python prototype (for reference only): setMinDisparity(minDisparity) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setMinDisparity/2","title":"Evision.CUDA.StereoBeliefPropagation.setMinDisparity/2","type":"function"},{"doc":"setMsgType Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() msg_type : int Python prototype (for reference only): setMsgType(msg_type) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setMsgType/2","title":"Evision.CUDA.StereoBeliefPropagation.setMsgType/2","type":"function"},{"doc":"setNumDisparities Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() numDisparities : int Python prototype (for reference only): setNumDisparities(numDisparities) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setNumDisparities/2","title":"Evision.CUDA.StereoBeliefPropagation.setNumDisparities/2","type":"function"},{"doc":"setNumIters Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() iters : int Python prototype (for reference only): setNumIters(iters) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setNumIters/2","title":"Evision.CUDA.StereoBeliefPropagation.setNumIters/2","type":"function"},{"doc":"setNumLevels Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() levels : int Python prototype (for reference only): setNumLevels(levels) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setNumLevels/2","title":"Evision.CUDA.StereoBeliefPropagation.setNumLevels/2","type":"function"},{"doc":"setSpeckleRange Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() speckleRange : int Python prototype (for reference only): setSpeckleRange(speckleRange) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setSpeckleRange/2","title":"Evision.CUDA.StereoBeliefPropagation.setSpeckleRange/2","type":"function"},{"doc":"setSpeckleWindowSize Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() speckleWindowSize : int Python prototype (for reference only): setSpeckleWindowSize(speckleWindowSize) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#setSpeckleWindowSize/2","title":"Evision.CUDA.StereoBeliefPropagation.setSpeckleWindowSize/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#write/2","title":"Evision.CUDA.StereoBeliefPropagation.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.StereoBeliefPropagation.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.StereoBeliefPropagation.html#write/3","title":"Evision.CUDA.StereoBeliefPropagation.write/3","type":"function"},{"doc":"Type that represents an CUDA.StereoBeliefPropagation struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.StereoBeliefPropagation.html#t:t/0","title":"Evision.CUDA.StereoBeliefPropagation.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.StereoConstantSpaceBP.html","title":"Evision.CUDA.StereoConstantSpaceBP","type":"module"},{"doc":"Uses a heuristic method to compute parameters (ndisp, iters, levelsand nrplane) for the specified image size (widthand height). Positional Arguments width : int height : int ndisp : int iters : int levels : int nr_plane : int Python prototype (for reference only): estimateRecommendedParams(width, height, ndisp, iters, levels, nr_plane) -&gt; None","ref":"Evision.CUDA.StereoConstantSpaceBP.html#estimateRecommendedParams/6","title":"Evision.CUDA.StereoConstantSpaceBP.estimateRecommendedParams/6","type":"function"},{"doc":"getNrPlane Positional Arguments self : Evision.CUDA.StereoConstantSpaceBP.t() Return retval : int Python prototype (for reference only): getNrPlane() -&gt; retval","ref":"Evision.CUDA.StereoConstantSpaceBP.html#getNrPlane/1","title":"Evision.CUDA.StereoConstantSpaceBP.getNrPlane/1","type":"function"},{"doc":"getUseLocalInitDataCost Positional Arguments self : Evision.CUDA.StereoConstantSpaceBP.t() Return retval : bool Python prototype (for reference only): getUseLocalInitDataCost() -&gt; retval","ref":"Evision.CUDA.StereoConstantSpaceBP.html#getUseLocalInitDataCost/1","title":"Evision.CUDA.StereoConstantSpaceBP.getUseLocalInitDataCost/1","type":"function"},{"doc":"setNrPlane Positional Arguments self : Evision.CUDA.StereoConstantSpaceBP.t() nr_plane : int Python prototype (for reference only): setNrPlane(nr_plane) -&gt; None","ref":"Evision.CUDA.StereoConstantSpaceBP.html#setNrPlane/2","title":"Evision.CUDA.StereoConstantSpaceBP.setNrPlane/2","type":"function"},{"doc":"setUseLocalInitDataCost Positional Arguments self : Evision.CUDA.StereoConstantSpaceBP.t() use_local_init_data_cost : bool Python prototype (for reference only): setUseLocalInitDataCost(use_local_init_data_cost) -&gt; None","ref":"Evision.CUDA.StereoConstantSpaceBP.html#setUseLocalInitDataCost/2","title":"Evision.CUDA.StereoConstantSpaceBP.setUseLocalInitDataCost/2","type":"function"},{"doc":"Type that represents an CUDA.StereoConstantSpaceBP struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.StereoConstantSpaceBP.html#t:t/0","title":"Evision.CUDA.StereoConstantSpaceBP.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.StereoSGM.html","title":"Evision.CUDA.StereoSGM","type":"module"},{"doc":"Variant 1: Computes disparity map for the specified stereo pair Positional Arguments self : Evision.CUDA.StereoSGM.t() left : Evision.Mat.t() . Left 8-bit or 16-bit unsigned single-channel image. right : Evision.Mat.t() . Right image of the same size and the same type as the left one. Return disparity : Evision.Mat.t() . Output disparity map. It has the same size as the input images. StereoSGM computes 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits). Python prototype (for reference only): compute(left, right[, disparity]) -&gt; disparity Variant 2: Computes disparity map for the specified stereo pair Positional Arguments self : Evision.CUDA.StereoSGM.t() left : Evision.CUDA.GpuMat.t() . Left 8-bit or 16-bit unsigned single-channel image. right : Evision.CUDA.GpuMat.t() . Right image of the same size and the same type as the left one. Return disparity : Evision.CUDA.GpuMat.t() . Output disparity map. It has the same size as the input images. StereoSGM computes 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits). Python prototype (for reference only): compute(left, right[, disparity]) -&gt; disparity","ref":"Evision.CUDA.StereoSGM.html#compute/3","title":"Evision.CUDA.StereoSGM.compute/3","type":"function"},{"doc":"Variant 1: Computes disparity map for the specified stereo pair Positional Arguments self : Evision.CUDA.StereoSGM.t() left : Evision.Mat.t() . Left 8-bit or 16-bit unsigned single-channel image. right : Evision.Mat.t() . Right image of the same size and the same type as the left one. Return disparity : Evision.Mat.t() . Output disparity map. It has the same size as the input images. StereoSGM computes 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits). Python prototype (for reference only): compute(left, right[, disparity]) -&gt; disparity Variant 2: Computes disparity map for the specified stereo pair Positional Arguments self : Evision.CUDA.StereoSGM.t() left : Evision.CUDA.GpuMat.t() . Left 8-bit or 16-bit unsigned single-channel image. right : Evision.CUDA.GpuMat.t() . Right image of the same size and the same type as the left one. Return disparity : Evision.CUDA.GpuMat.t() . Output disparity map. It has the same size as the input images. StereoSGM computes 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits). Python prototype (for reference only): compute(left, right[, disparity]) -&gt; disparity","ref":"Evision.CUDA.StereoSGM.html#compute/4","title":"Evision.CUDA.StereoSGM.compute/4","type":"function"},{"doc":"Variant 1: Computes disparity map with specified CUDA Stream Positional Arguments self : Evision.CUDA.StereoSGM.t() left : Evision.Mat.t() right : Evision.Mat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.Mat.t() . @sa compute Python prototype (for reference only): compute_with_stream(left, right, stream[, disparity]) -&gt; disparity Variant 2: Computes disparity map with specified CUDA Stream Positional Arguments self : Evision.CUDA.StereoSGM.t() left : Evision.CUDA.GpuMat.t() right : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.CUDA.GpuMat.t() . @sa compute Python prototype (for reference only): compute_with_stream(left, right, stream[, disparity]) -&gt; disparity","ref":"Evision.CUDA.StereoSGM.html#compute_with_stream/4","title":"Evision.CUDA.StereoSGM.compute_with_stream/4","type":"function"},{"doc":"Variant 1: Computes disparity map with specified CUDA Stream Positional Arguments self : Evision.CUDA.StereoSGM.t() left : Evision.Mat.t() right : Evision.Mat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.Mat.t() . @sa compute Python prototype (for reference only): compute_with_stream(left, right, stream[, disparity]) -&gt; disparity Variant 2: Computes disparity map with specified CUDA Stream Positional Arguments self : Evision.CUDA.StereoSGM.t() left : Evision.CUDA.GpuMat.t() right : Evision.CUDA.GpuMat.t() stream : Evision.CUDA.Stream.t() Return disparity : Evision.CUDA.GpuMat.t() . @sa compute Python prototype (for reference only): compute_with_stream(left, right, stream[, disparity]) -&gt; disparity","ref":"Evision.CUDA.StereoSGM.html#compute_with_stream/5","title":"Evision.CUDA.StereoSGM.compute_with_stream/5","type":"function"},{"doc":"Type that represents an CUDA.StereoSGM struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.StereoSGM.html#t:t/0","title":"Evision.CUDA.StereoSGM.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.Stream.html","title":"Evision.CUDA.Stream","type":"module"},{"doc":"cudaPtr Positional Arguments self : Evision.CUDA.Stream.t() Return retval : void* Python prototype (for reference only): cudaPtr() -&gt; retval","ref":"Evision.CUDA.Stream.html#cudaPtr/1","title":"Evision.CUDA.Stream.cudaPtr/1","type":"function"},{"doc":"Adds a callback to be called on the host after all currently enqueued items in the stream have completed. Return retval : Evision.CUDA.Stream.t() Note : Callbacks must not make any CUDA API calls. Callbacks must not perform any synchronization that may depend on outstanding device work or other callbacks that are not mandated to run earlier. Callbacks without a mandated order (in independent streams) execute in undefined order and may be serialized. Python prototype (for reference only): Null() -&gt; retval","ref":"Evision.CUDA.Stream.html#null/0","title":"Evision.CUDA.Stream.null/0","type":"function"},{"doc":"Returns true if the current stream queue is finished. Otherwise, it returns false. Positional Arguments self : Evision.CUDA.Stream.t() Return retval : bool Python prototype (for reference only): queryIfComplete() -&gt; retval","ref":"Evision.CUDA.Stream.html#queryIfComplete/1","title":"Evision.CUDA.Stream.queryIfComplete/1","type":"function"},{"doc":"Stream Return self : Evision.CUDA.Stream.t() Python prototype (for reference only): Stream() -&gt; &lt;cuda_Stream object&gt;","ref":"Evision.CUDA.Stream.html#stream/0","title":"Evision.CUDA.Stream.stream/0","type":"function"},{"doc":"Variant 1: creates a new Stream using the cudaFlags argument to determine the behaviors of the stream Positional Arguments cudaFlags : size_t Return self : Evision.CUDA.Stream.t() Note : The cudaFlags parameter is passed to the underlying api cudaStreamCreateWithFlags() and supports the same parameter values. // creates an OpenCV cuda :: Stream that manages an asynchronous , non - blocking , // non - default CUDA stream cv :: cuda :: Stream cvStream ( cudaStreamNonBlocking ) ; Python prototype (for reference only): Stream(cudaFlags) -&gt; &lt;cuda_Stream object&gt; Variant 2: Stream Positional Arguments allocator : GpuMat::Allocator Return self : Evision.CUDA.Stream.t() Python prototype (for reference only): Stream(allocator) -&gt; &lt;cuda_Stream object&gt;","ref":"Evision.CUDA.Stream.html#stream/1","title":"Evision.CUDA.Stream.stream/1","type":"function"},{"doc":"Makes a compute stream wait on an event. Positional Arguments self : Evision.CUDA.Stream.t() event : Evision.CUDA.Event.t() Python prototype (for reference only): waitEvent(event) -&gt; None","ref":"Evision.CUDA.Stream.html#waitEvent/2","title":"Evision.CUDA.Stream.waitEvent/2","type":"function"},{"doc":"Blocks the current CPU thread until all operations in the stream are complete. Positional Arguments self : Evision.CUDA.Stream.t() Python prototype (for reference only): waitForCompletion() -&gt; None","ref":"Evision.CUDA.Stream.html#waitForCompletion/1","title":"Evision.CUDA.Stream.waitForCompletion/1","type":"function"},{"doc":"Type that represents an CUDA.Stream struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.Stream.html#t:t/0","title":"Evision.CUDA.Stream.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.TargetArchs.html","title":"Evision.CUDA.TargetArchs","type":"module"},{"doc":"There is a set of methods to check whether the module contains intermediate (PTX) or binary CUDA code for the given architecture(s): Positional Arguments major : int . Major compute capability version. minor : int . Minor compute capability version. Return retval : bool Python prototype (for reference only): has(major, minor) -&gt; retval","ref":"Evision.CUDA.TargetArchs.html#has/2","title":"Evision.CUDA.TargetArchs.has/2","type":"function"},{"doc":"hasBin Positional Arguments major : int minor : int Return retval : bool Python prototype (for reference only): hasBin(major, minor) -&gt; retval","ref":"Evision.CUDA.TargetArchs.html#hasBin/2","title":"Evision.CUDA.TargetArchs.hasBin/2","type":"function"},{"doc":"hasEqualOrGreater Positional Arguments major : int minor : int Return retval : bool Python prototype (for reference only): hasEqualOrGreater(major, minor) -&gt; retval","ref":"Evision.CUDA.TargetArchs.html#hasEqualOrGreater/2","title":"Evision.CUDA.TargetArchs.hasEqualOrGreater/2","type":"function"},{"doc":"hasEqualOrGreaterBin Positional Arguments major : int minor : int Return retval : bool Python prototype (for reference only): hasEqualOrGreaterBin(major, minor) -&gt; retval","ref":"Evision.CUDA.TargetArchs.html#hasEqualOrGreaterBin/2","title":"Evision.CUDA.TargetArchs.hasEqualOrGreaterBin/2","type":"function"},{"doc":"hasEqualOrGreaterPtx Positional Arguments major : int minor : int Return retval : bool Python prototype (for reference only): hasEqualOrGreaterPtx(major, minor) -&gt; retval","ref":"Evision.CUDA.TargetArchs.html#hasEqualOrGreaterPtx/2","title":"Evision.CUDA.TargetArchs.hasEqualOrGreaterPtx/2","type":"function"},{"doc":"hasEqualOrLessPtx Positional Arguments major : int minor : int Return retval : bool Python prototype (for reference only): hasEqualOrLessPtx(major, minor) -&gt; retval","ref":"Evision.CUDA.TargetArchs.html#hasEqualOrLessPtx/2","title":"Evision.CUDA.TargetArchs.hasEqualOrLessPtx/2","type":"function"},{"doc":"hasPtx Positional Arguments major : int minor : int Return retval : bool Python prototype (for reference only): hasPtx(major, minor) -&gt; retval","ref":"Evision.CUDA.TargetArchs.html#hasPtx/2","title":"Evision.CUDA.TargetArchs.hasPtx/2","type":"function"},{"doc":"Type that represents an CUDA.TargetArchs struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.TargetArchs.html#t:t/0","title":"Evision.CUDA.TargetArchs.t/0","type":"type"},{"doc":"","ref":"Evision.CUDA.TemplateMatching.html","title":"Evision.CUDA.TemplateMatching","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CUDA.TemplateMatching.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CUDA.TemplateMatching.html#clear/1","title":"Evision.CUDA.TemplateMatching.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CUDA.TemplateMatching.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CUDA.TemplateMatching.html#empty/1","title":"Evision.CUDA.TemplateMatching.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CUDA.TemplateMatching.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CUDA.TemplateMatching.html#getDefaultName/1","title":"Evision.CUDA.TemplateMatching.getDefaultName/1","type":"function"},{"doc":"Variant 1: Computes a proximity map for a raster template and an image where the template is searched for. Positional Arguments self : Evision.CUDA.TemplateMatching.t() image : Evision.Mat.t() . Source image. templ : Evision.Mat.t() . Template image with the size and type the same as image . Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.Mat.t() . Map containing comparison results ( CV_32FC1 ). If image is W x H and templ is w x h , then result must be W-w+1 x H-h+1 . Python prototype (for reference only): match(image, templ[, result[, stream]]) -&gt; result Variant 2: Computes a proximity map for a raster template and an image where the template is searched for. Positional Arguments self : Evision.CUDA.TemplateMatching.t() image : Evision.CUDA.GpuMat.t() . Source image. templ : Evision.CUDA.GpuMat.t() . Template image with the size and type the same as image . Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.CUDA.GpuMat.t() . Map containing comparison results ( CV_32FC1 ). If image is W x H and templ is w x h , then result must be W-w+1 x H-h+1 . Python prototype (for reference only): match(image, templ[, result[, stream]]) -&gt; result","ref":"Evision.CUDA.TemplateMatching.html#match/3","title":"Evision.CUDA.TemplateMatching.match/3","type":"function"},{"doc":"Variant 1: Computes a proximity map for a raster template and an image where the template is searched for. Positional Arguments self : Evision.CUDA.TemplateMatching.t() image : Evision.Mat.t() . Source image. templ : Evision.Mat.t() . Template image with the size and type the same as image . Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.Mat.t() . Map containing comparison results ( CV_32FC1 ). If image is W x H and templ is w x h , then result must be W-w+1 x H-h+1 . Python prototype (for reference only): match(image, templ[, result[, stream]]) -&gt; result Variant 2: Computes a proximity map for a raster template and an image where the template is searched for. Positional Arguments self : Evision.CUDA.TemplateMatching.t() image : Evision.CUDA.GpuMat.t() . Source image. templ : Evision.CUDA.GpuMat.t() . Template image with the size and type the same as image . Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return result : Evision.CUDA.GpuMat.t() . Map containing comparison results ( CV_32FC1 ). If image is W x H and templ is w x h , then result must be W-w+1 x H-h+1 . Python prototype (for reference only): match(image, templ[, result[, stream]]) -&gt; result","ref":"Evision.CUDA.TemplateMatching.html#match/4","title":"Evision.CUDA.TemplateMatching.match/4","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CUDA.TemplateMatching.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CUDA.TemplateMatching.html#read/2","title":"Evision.CUDA.TemplateMatching.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CUDA.TemplateMatching.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CUDA.TemplateMatching.html#save/2","title":"Evision.CUDA.TemplateMatching.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CUDA.TemplateMatching.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CUDA.TemplateMatching.html#write/2","title":"Evision.CUDA.TemplateMatching.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CUDA.TemplateMatching.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CUDA.TemplateMatching.html#write/3","title":"Evision.CUDA.TemplateMatching.write/3","type":"function"},{"doc":"Type that represents an CUDA.TemplateMatching struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDA.TemplateMatching.html#t:t/0","title":"Evision.CUDA.TemplateMatching.t/0","type":"type"},{"doc":"","ref":"Evision.CUDACodec.html","title":"Evision.CUDACodec","type":"module"},{"doc":"Variant 1: createVideoReader Positional Arguments source : RawVideoSource . RAW video source implemented by user. Keyword Arguments params : VideoReaderInitParams . Initializaton parameters. See cv::cudacodec::VideoReaderInitParams. Return retval : VideoReader Has overloading in C++ Python prototype (for reference only): createVideoReader(source[, params]) -&gt; retval Variant 2: Creates video reader. Positional Arguments filename : String . Name of the input video file. Keyword Arguments sourceParams : [int] . Pass through parameters for VideoCapure. VideoCapture with the FFMpeg back end (CAP_FFMPEG) is used to parse the video input. The sourceParams parameter allows to specify extra parameters encoded as pairs (paramId_1, paramValue_1, paramId_2, paramValue_2, ...) . See cv::VideoCaptureProperties e.g. when streaming from an RTSP source CAP_PROP_OPEN_TIMEOUT_MSEC may need to be set. params : VideoReaderInitParams . Initializaton parameters. See cv::cudacodec::VideoReaderInitParams. Return retval : VideoReader FFMPEG is used to read videos. User can implement own demultiplexing with cudacodec::RawVideoSource Python prototype (for reference only): createVideoReader(filename[, sourceParams[, params]]) -&gt; retval","ref":"Evision.CUDACodec.html#createVideoReader/1","title":"Evision.CUDACodec.createVideoReader/1","type":"function"},{"doc":"Variant 1: createVideoReader Positional Arguments source : RawVideoSource . RAW video source implemented by user. Keyword Arguments params : VideoReaderInitParams . Initializaton parameters. See cv::cudacodec::VideoReaderInitParams. Return retval : VideoReader Has overloading in C++ Python prototype (for reference only): createVideoReader(source[, params]) -&gt; retval Variant 2: Creates video reader. Positional Arguments filename : String . Name of the input video file. Keyword Arguments sourceParams : [int] . Pass through parameters for VideoCapure. VideoCapture with the FFMpeg back end (CAP_FFMPEG) is used to parse the video input. The sourceParams parameter allows to specify extra parameters encoded as pairs (paramId_1, paramValue_1, paramId_2, paramValue_2, ...) . See cv::VideoCaptureProperties e.g. when streaming from an RTSP source CAP_PROP_OPEN_TIMEOUT_MSEC may need to be set. params : VideoReaderInitParams . Initializaton parameters. See cv::cudacodec::VideoReaderInitParams. Return retval : VideoReader FFMPEG is used to read videos. User can implement own demultiplexing with cudacodec::RawVideoSource Python prototype (for reference only): createVideoReader(filename[, sourceParams[, params]]) -&gt; retval","ref":"Evision.CUDACodec.html#createVideoReader/2","title":"Evision.CUDACodec.createVideoReader/2","type":"function"},{"doc":"Creates video writer. Positional Arguments fileName : String . Name of the output video file. Only raw h264 or hevc files are supported. frameSize : Size . Size of the input video frames. Keyword Arguments codec : Codec . Codec. fps : double . Framerate of the created video stream. colorFormat : ColorFormat . OpenCv color format of the frames to be encoded. encoderCallback : EncoderCallback . Callbacks for video encoder. See cudacodec::EncoderCallback. Required for working with the encoded video stream. stream : Evision.CUDA.Stream.t() . Stream for frame pre-processing. Return retval : Evision.CUDACodec.VideoWriter.t() Python prototype (for reference only): createVideoWriter(fileName, frameSize[, codec[, fps[, colorFormat[, encoderCallback[, stream]]]]]) -&gt; retval","ref":"Evision.CUDACodec.html#createVideoWriter/2","title":"Evision.CUDACodec.createVideoWriter/2","type":"function"},{"doc":"Creates video writer. Positional Arguments fileName : String . Name of the output video file. Only raw h264 or hevc files are supported. frameSize : Size . Size of the input video frames. Keyword Arguments codec : Codec . Codec. fps : double . Framerate of the created video stream. colorFormat : ColorFormat . OpenCv color format of the frames to be encoded. encoderCallback : EncoderCallback . Callbacks for video encoder. See cudacodec::EncoderCallback. Required for working with the encoded video stream. stream : Evision.CUDA.Stream.t() . Stream for frame pre-processing. Return retval : Evision.CUDACodec.VideoWriter.t() Python prototype (for reference only): createVideoWriter(fileName, frameSize[, codec[, fps[, colorFormat[, encoderCallback[, stream]]]]]) -&gt; retval","ref":"Evision.CUDACodec.html#createVideoWriter/3","title":"Evision.CUDACodec.createVideoWriter/3","type":"function"},{"doc":"Creates video writer. Positional Arguments fileName : String . Name of the output video file. Only raw h264 or hevc files are supported. frameSize : Size . Size of the input video frames. codec : Codec . Codec. fps : double . Framerate of the created video stream. colorFormat : ColorFormat . OpenCv color format of the frames to be encoded. params : EncoderParams . Additional encoding parameters. Keyword Arguments encoderCallback : EncoderCallback . Callbacks for video encoder. See cudacodec::EncoderCallback. Required for working with the encoded video stream. stream : Evision.CUDA.Stream.t() . Stream for frame pre-processing. Return retval : Evision.CUDACodec.VideoWriter.t() Python prototype (for reference only): createVideoWriter(fileName, frameSize, codec, fps, colorFormat, params[, encoderCallback[, stream]]) -&gt; retval","ref":"Evision.CUDACodec.html#createVideoWriter/6","title":"Evision.CUDACodec.createVideoWriter/6","type":"function"},{"doc":"Creates video writer. Positional Arguments fileName : String . Name of the output video file. Only raw h264 or hevc files are supported. frameSize : Size . Size of the input video frames. codec : Codec . Codec. fps : double . Framerate of the created video stream. colorFormat : ColorFormat . OpenCv color format of the frames to be encoded. params : EncoderParams . Additional encoding parameters. Keyword Arguments encoderCallback : EncoderCallback . Callbacks for video encoder. See cudacodec::EncoderCallback. Required for working with the encoded video stream. stream : Evision.CUDA.Stream.t() . Stream for frame pre-processing. Return retval : Evision.CUDACodec.VideoWriter.t() Python prototype (for reference only): createVideoWriter(fileName, frameSize, codec, fps, colorFormat, params[, encoderCallback[, stream]]) -&gt; retval","ref":"Evision.CUDACodec.html#createVideoWriter/7","title":"Evision.CUDACodec.createVideoWriter/7","type":"function"},{"doc":"Type that represents an CUDACodec struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDACodec.html#t:t/0","title":"Evision.CUDACodec.t/0","type":"type"},{"doc":"","ref":"Evision.CUDACodec.EncodeQp.html","title":"Evision.CUDACodec.EncodeQp","type":"module"},{"doc":"","ref":"Evision.CUDACodec.EncodeQp.html#get_qpInterB/1","title":"Evision.CUDACodec.EncodeQp.get_qpInterB/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncodeQp.html#get_qpInterP/1","title":"Evision.CUDACodec.EncodeQp.get_qpInterP/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncodeQp.html#get_qpIntra/1","title":"Evision.CUDACodec.EncodeQp.get_qpIntra/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncodeQp.html#set_qpInterB/2","title":"Evision.CUDACodec.EncodeQp.set_qpInterB/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncodeQp.html#set_qpInterP/2","title":"Evision.CUDACodec.EncodeQp.set_qpInterP/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncodeQp.html#set_qpIntra/2","title":"Evision.CUDACodec.EncodeQp.set_qpIntra/2","type":"function"},{"doc":"Type that represents an CUDACodec.EncodeQp struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDACodec.EncodeQp.html#t:t/0","title":"Evision.CUDACodec.EncodeQp.t/0","type":"type"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html","title":"Evision.CUDACodec.EncoderParams","type":"module"},{"doc":"EncoderParams Return self : EncoderParams Python prototype (for reference only): EncoderParams() -&gt; &lt;cudacodec_EncoderParams object&gt;","ref":"Evision.CUDACodec.EncoderParams.html#encoderParams/0","title":"Evision.CUDACodec.EncoderParams.encoderParams/0","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#get_averageBitRate/1","title":"Evision.CUDACodec.EncoderParams.get_averageBitRate/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#get_constQp/1","title":"Evision.CUDACodec.EncoderParams.get_constQp/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#get_encodingProfile/1","title":"Evision.CUDACodec.EncoderParams.get_encodingProfile/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#get_gopLength/1","title":"Evision.CUDACodec.EncoderParams.get_gopLength/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#get_maxBitRate/1","title":"Evision.CUDACodec.EncoderParams.get_maxBitRate/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#get_multiPassEncoding/1","title":"Evision.CUDACodec.EncoderParams.get_multiPassEncoding/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#get_nvPreset/1","title":"Evision.CUDACodec.EncoderParams.get_nvPreset/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#get_rateControlMode/1","title":"Evision.CUDACodec.EncoderParams.get_rateControlMode/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#get_targetQuality/1","title":"Evision.CUDACodec.EncoderParams.get_targetQuality/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#get_tuningInfo/1","title":"Evision.CUDACodec.EncoderParams.get_tuningInfo/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#set_averageBitRate/2","title":"Evision.CUDACodec.EncoderParams.set_averageBitRate/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#set_constQp/2","title":"Evision.CUDACodec.EncoderParams.set_constQp/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#set_encodingProfile/2","title":"Evision.CUDACodec.EncoderParams.set_encodingProfile/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#set_gopLength/2","title":"Evision.CUDACodec.EncoderParams.set_gopLength/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#set_maxBitRate/2","title":"Evision.CUDACodec.EncoderParams.set_maxBitRate/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#set_multiPassEncoding/2","title":"Evision.CUDACodec.EncoderParams.set_multiPassEncoding/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#set_nvPreset/2","title":"Evision.CUDACodec.EncoderParams.set_nvPreset/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#set_rateControlMode/2","title":"Evision.CUDACodec.EncoderParams.set_rateControlMode/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#set_targetQuality/2","title":"Evision.CUDACodec.EncoderParams.set_targetQuality/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.EncoderParams.html#set_tuningInfo/2","title":"Evision.CUDACodec.EncoderParams.set_tuningInfo/2","type":"function"},{"doc":"Type that represents an CUDACodec.EncoderParams struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDACodec.EncoderParams.html#t:t/0","title":"Evision.CUDACodec.EncoderParams.t/0","type":"type"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html","title":"Evision.CUDACodec.FormatInfo","type":"module"},{"doc":"FormatInfo Return self : FormatInfo Python prototype (for reference only): FormatInfo() -&gt; &lt;cudacodec_FormatInfo object&gt;","ref":"Evision.CUDACodec.FormatInfo.html#formatInfo/0","title":"Evision.CUDACodec.FormatInfo.formatInfo/0","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_chromaFormat/1","title":"Evision.CUDACodec.FormatInfo.get_chromaFormat/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_codec/1","title":"Evision.CUDACodec.FormatInfo.get_codec/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_deinterlaceMode/1","title":"Evision.CUDACodec.FormatInfo.get_deinterlaceMode/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_displayArea/1","title":"Evision.CUDACodec.FormatInfo.get_displayArea/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_fps/1","title":"Evision.CUDACodec.FormatInfo.get_fps/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_height/1","title":"Evision.CUDACodec.FormatInfo.get_height/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_nBitDepthMinus8/1","title":"Evision.CUDACodec.FormatInfo.get_nBitDepthMinus8/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_srcRoi/1","title":"Evision.CUDACodec.FormatInfo.get_srcRoi/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_targetRoi/1","title":"Evision.CUDACodec.FormatInfo.get_targetRoi/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_targetSz/1","title":"Evision.CUDACodec.FormatInfo.get_targetSz/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_ulHeight/1","title":"Evision.CUDACodec.FormatInfo.get_ulHeight/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_ulNumDecodeSurfaces/1","title":"Evision.CUDACodec.FormatInfo.get_ulNumDecodeSurfaces/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_ulWidth/1","title":"Evision.CUDACodec.FormatInfo.get_ulWidth/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_valid/1","title":"Evision.CUDACodec.FormatInfo.get_valid/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#get_width/1","title":"Evision.CUDACodec.FormatInfo.get_width/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_chromaFormat/2","title":"Evision.CUDACodec.FormatInfo.set_chromaFormat/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_codec/2","title":"Evision.CUDACodec.FormatInfo.set_codec/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_deinterlaceMode/2","title":"Evision.CUDACodec.FormatInfo.set_deinterlaceMode/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_displayArea/2","title":"Evision.CUDACodec.FormatInfo.set_displayArea/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_fps/2","title":"Evision.CUDACodec.FormatInfo.set_fps/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_height/2","title":"Evision.CUDACodec.FormatInfo.set_height/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_nBitDepthMinus8/2","title":"Evision.CUDACodec.FormatInfo.set_nBitDepthMinus8/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_srcRoi/2","title":"Evision.CUDACodec.FormatInfo.set_srcRoi/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_targetRoi/2","title":"Evision.CUDACodec.FormatInfo.set_targetRoi/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_targetSz/2","title":"Evision.CUDACodec.FormatInfo.set_targetSz/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_ulHeight/2","title":"Evision.CUDACodec.FormatInfo.set_ulHeight/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_ulNumDecodeSurfaces/2","title":"Evision.CUDACodec.FormatInfo.set_ulNumDecodeSurfaces/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_ulWidth/2","title":"Evision.CUDACodec.FormatInfo.set_ulWidth/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_valid/2","title":"Evision.CUDACodec.FormatInfo.set_valid/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.FormatInfo.html#set_width/2","title":"Evision.CUDACodec.FormatInfo.set_width/2","type":"function"},{"doc":"Type that represents an CUDACodec.FormatInfo struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDACodec.FormatInfo.html#t:t/0","title":"Evision.CUDACodec.FormatInfo.t/0","type":"type"},{"doc":"","ref":"Evision.CUDACodec.VideoReader.html","title":"Evision.CUDACodec.VideoReader","type":"module"},{"doc":"Returns information about video file format. Positional Arguments self : Evision.CUDACodec.VideoReader.t() Return retval : FormatInfo Python prototype (for reference only): format() -&gt; retval","ref":"Evision.CUDACodec.VideoReader.html#format/1","title":"Evision.CUDACodec.VideoReader.format/1","type":"function"},{"doc":"Retrieves the specified property used by the VideoSource. Positional Arguments self : Evision.CUDACodec.VideoReader.t() propertyId : int . Property identifier from cv::VideoCaptureProperties (eg. cv::CAP_PROP_POS_MSEC, cv::CAP_PROP_POS_FRAMES, ...) or one from @ref videoio_flags_others. Return retval : bool propertyVal : double . Value for the specified property. @return true unless the property is unset set or not supported. Python prototype (for reference only): get(propertyId) -&gt; retval, propertyVal","ref":"Evision.CUDACodec.VideoReader.html#get/2","title":"Evision.CUDACodec.VideoReader.get/2","type":"function"},{"doc":"Returns the specified VideoReader property Positional Arguments self : Evision.CUDACodec.VideoReader.t() propertyId : VideoReaderProps . Property identifier from cv::cudacodec::VideoReaderProps (eg. cv::cudacodec::VideoReaderProps::PROP_DECODED_FRAME_IDX, cv::cudacodec::VideoReaderProps::PROP_EXTRA_DATA_INDEX, ...). Keyword Arguments propertyValIn : double . Return retval : bool propertyValOut : double @return true unless the property is not supported. Python prototype (for reference only): getVideoReaderProps(propertyId[, propertyValIn]) -&gt; retval, propertyValOut","ref":"Evision.CUDACodec.VideoReader.html#getVideoReaderProps/2","title":"Evision.CUDACodec.VideoReader.getVideoReaderProps/2","type":"function"},{"doc":"Returns the specified VideoReader property Positional Arguments self : Evision.CUDACodec.VideoReader.t() propertyId : VideoReaderProps . Property identifier from cv::cudacodec::VideoReaderProps (eg. cv::cudacodec::VideoReaderProps::PROP_DECODED_FRAME_IDX, cv::cudacodec::VideoReaderProps::PROP_EXTRA_DATA_INDEX, ...). Keyword Arguments propertyValIn : double . Return retval : bool propertyValOut : double @return true unless the property is not supported. Python prototype (for reference only): getVideoReaderProps(propertyId[, propertyValIn]) -&gt; retval, propertyValOut","ref":"Evision.CUDACodec.VideoReader.html#getVideoReaderProps/3","title":"Evision.CUDACodec.VideoReader.getVideoReaderProps/3","type":"function"},{"doc":"Grabs the next frame from the video source. Positional Arguments self : Evision.CUDACodec.VideoReader.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return retval : bool @return true (non-zero) in the case of success. The method/function grabs the next frame from video file or camera and returns true (non-zero) in the case of success. The primary use of the function is for reading both the encoded and decoded video data when rawMode is enabled. With rawMode enabled retrieve() can be called following grab() to retrieve all the data associated with the current video source since the last call to grab() or the creation of the VideoReader. Python prototype (for reference only): grab([, stream]) -&gt; retval","ref":"Evision.CUDACodec.VideoReader.html#grab/1","title":"Evision.CUDACodec.VideoReader.grab/1","type":"function"},{"doc":"Grabs the next frame from the video source. Positional Arguments self : Evision.CUDACodec.VideoReader.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return retval : bool @return true (non-zero) in the case of success. The method/function grabs the next frame from video file or camera and returns true (non-zero) in the case of success. The primary use of the function is for reading both the encoded and decoded video data when rawMode is enabled. With rawMode enabled retrieve() can be called following grab() to retrieve all the data associated with the current video source since the last call to grab() or the creation of the VideoReader. Python prototype (for reference only): grab([, stream]) -&gt; retval","ref":"Evision.CUDACodec.VideoReader.html#grab/2","title":"Evision.CUDACodec.VideoReader.grab/2","type":"function"},{"doc":"Grabs, decodes and returns the next video frame. Positional Arguments self : Evision.CUDACodec.VideoReader.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return retval : bool frame : Evision.CUDA.GpuMat.t() . @return false if no frames have been grabbed. If no frames have been grabbed (there are no more frames in video file), the methods return false. The method throws an Exception if error occurs. Python prototype (for reference only): nextFrame([, frame[, stream]]) -&gt; retval, frame","ref":"Evision.CUDACodec.VideoReader.html#nextFrame/1","title":"Evision.CUDACodec.VideoReader.nextFrame/1","type":"function"},{"doc":"Grabs, decodes and returns the next video frame. Positional Arguments self : Evision.CUDACodec.VideoReader.t() Keyword Arguments stream : Evision.CUDA.Stream.t() . Stream for the asynchronous version. Return retval : bool frame : Evision.CUDA.GpuMat.t() . @return false if no frames have been grabbed. If no frames have been grabbed (there are no more frames in video file), the methods return false. The method throws an Exception if error occurs. Python prototype (for reference only): nextFrame([, frame[, stream]]) -&gt; retval, frame","ref":"Evision.CUDACodec.VideoReader.html#nextFrame/2","title":"Evision.CUDACodec.VideoReader.nextFrame/2","type":"function"},{"doc":"Returns the next video frame. Positional Arguments self : Evision.CUDACodec.VideoReader.t() Return retval : bool frame : Evision.CUDA.GpuMat.t() . @return false if no frames have been grabbed The method returns data associated with the current video source since the last call to grab(). If no data is present the method returns false and the function returns an empty image. Python prototype (for reference only): retrieve([, frame]) -&gt; retval, frame","ref":"Evision.CUDACodec.VideoReader.html#retrieve/1","title":"Evision.CUDACodec.VideoReader.retrieve/1","type":"function"},{"doc":"Variant 1: Returns previously grabbed encoded video data. Positional Arguments self : Evision.CUDACodec.VideoReader.t() idx : size_t .Determines the returned data inside image. The returned data can be the: Extra data if available, idx = get(PROP_EXTRA_DATA_INDEX). Raw encoded data package. To retrieve package i, idx = get(PROP_RAW_PACKAGES_BASE_INDEX) + i with i &lt; get(PROP_NUMBER_OF_RAW_PACKAGES_SINCE_LAST_GRAB) Return retval : bool frame : Evision.Mat.t() . @return false if no frames have been grabbed The method returns data associated with the current video source since the last call to grab() or the creation of the VideoReader. If no data is present the method returns false and the function returns an empty image. Python prototype (for reference only): retrieve(idx[, frame]) -&gt; retval, frame Variant 2: Returns the next video frame. Positional Arguments self : Evision.CUDACodec.VideoReader.t() Return retval : bool frame : Evision.CUDA.GpuMat.t() . @return false if no frames have been grabbed The method returns data associated with the current video source since the last call to grab(). If no data is present the method returns false and the function returns an empty image. Python prototype (for reference only): retrieve([, frame]) -&gt; retval, frame","ref":"Evision.CUDACodec.VideoReader.html#retrieve/2","title":"Evision.CUDACodec.VideoReader.retrieve/2","type":"function"},{"doc":"Returns previously grabbed encoded video data. Positional Arguments self : Evision.CUDACodec.VideoReader.t() idx : size_t .Determines the returned data inside image. The returned data can be the: Extra data if available, idx = get(PROP_EXTRA_DATA_INDEX). Raw encoded data package. To retrieve package i, idx = get(PROP_RAW_PACKAGES_BASE_INDEX) + i with i &lt; get(PROP_NUMBER_OF_RAW_PACKAGES_SINCE_LAST_GRAB) Return retval : bool frame : Evision.Mat.t() . @return false if no frames have been grabbed The method returns data associated with the current video source since the last call to grab() or the creation of the VideoReader. If no data is present the method returns false and the function returns an empty image. Python prototype (for reference only): retrieve(idx[, frame]) -&gt; retval, frame","ref":"Evision.CUDACodec.VideoReader.html#retrieve/3","title":"Evision.CUDACodec.VideoReader.retrieve/3","type":"function"},{"doc":"Set the desired ColorFormat for the frame returned by nextFrame()/retrieve(). Positional Arguments self : Evision.CUDACodec.VideoReader.t() colorFormat : ColorFormat . Value of the ColorFormat. Return retval : bool @return true unless the colorFormat is not supported. Python prototype (for reference only): set(colorFormat) -&gt; retval","ref":"Evision.CUDACodec.VideoReader.html#set/2","title":"Evision.CUDACodec.VideoReader.set/2","type":"function"},{"doc":"Sets a property in the VideoReader. Positional Arguments self : Evision.CUDACodec.VideoReader.t() propertyId : VideoReaderProps . Property identifier from cv::cudacodec::VideoReaderProps (eg. cv::cudacodec::VideoReaderProps::PROP_DECODED_FRAME_IDX, cv::cudacodec::VideoReaderProps::PROP_EXTRA_DATA_INDEX, ...). propertyVal : double . Value of the property. Return retval : bool @return true if the property has been set. Python prototype (for reference only): setVideoReaderProps(propertyId, propertyVal) -&gt; retval","ref":"Evision.CUDACodec.VideoReader.html#setVideoReaderProps/3","title":"Evision.CUDACodec.VideoReader.setVideoReaderProps/3","type":"function"},{"doc":"Type that represents an CUDACodec.VideoReader struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDACodec.VideoReader.html#t:t/0","title":"Evision.CUDACodec.VideoReader.t/0","type":"type"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html","title":"Evision.CUDACodec.VideoReaderInitParams","type":"module"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#get_allowFrameDrop/1","title":"Evision.CUDACodec.VideoReaderInitParams.get_allowFrameDrop/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#get_minNumDecodeSurfaces/1","title":"Evision.CUDACodec.VideoReaderInitParams.get_minNumDecodeSurfaces/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#get_rawMode/1","title":"Evision.CUDACodec.VideoReaderInitParams.get_rawMode/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#get_srcRoi/1","title":"Evision.CUDACodec.VideoReaderInitParams.get_srcRoi/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#get_targetRoi/1","title":"Evision.CUDACodec.VideoReaderInitParams.get_targetRoi/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#get_targetSz/1","title":"Evision.CUDACodec.VideoReaderInitParams.get_targetSz/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#get_udpSource/1","title":"Evision.CUDACodec.VideoReaderInitParams.get_udpSource/1","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#set_allowFrameDrop/2","title":"Evision.CUDACodec.VideoReaderInitParams.set_allowFrameDrop/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#set_minNumDecodeSurfaces/2","title":"Evision.CUDACodec.VideoReaderInitParams.set_minNumDecodeSurfaces/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#set_rawMode/2","title":"Evision.CUDACodec.VideoReaderInitParams.set_rawMode/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#set_srcRoi/2","title":"Evision.CUDACodec.VideoReaderInitParams.set_srcRoi/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#set_targetRoi/2","title":"Evision.CUDACodec.VideoReaderInitParams.set_targetRoi/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#set_targetSz/2","title":"Evision.CUDACodec.VideoReaderInitParams.set_targetSz/2","type":"function"},{"doc":"","ref":"Evision.CUDACodec.VideoReaderInitParams.html#set_udpSource/2","title":"Evision.CUDACodec.VideoReaderInitParams.set_udpSource/2","type":"function"},{"doc":"VideoReaderInitParams Return self : VideoReaderInitParams Python prototype (for reference only): VideoReaderInitParams() -&gt; &lt;cudacodec_VideoReaderInitParams object&gt;","ref":"Evision.CUDACodec.VideoReaderInitParams.html#videoReaderInitParams/0","title":"Evision.CUDACodec.VideoReaderInitParams.videoReaderInitParams/0","type":"function"},{"doc":"Type that represents an CUDACodec.VideoReaderInitParams struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDACodec.VideoReaderInitParams.html#t:t/0","title":"Evision.CUDACodec.VideoReaderInitParams.t/0","type":"type"},{"doc":"","ref":"Evision.CUDACodec.VideoWriter.html","title":"Evision.CUDACodec.VideoWriter","type":"module"},{"doc":"Retrieve the encoding parameters. Positional Arguments self : Evision.CUDACodec.VideoWriter.t() Return retval : EncoderParams Python prototype (for reference only): getEncoderParams() -&gt; retval","ref":"Evision.CUDACodec.VideoWriter.html#getEncoderParams/1","title":"Evision.CUDACodec.VideoWriter.getEncoderParams/1","type":"function"},{"doc":"Waits until the encoding process has finished before calling EncoderCallback::onEncodingFinished(). Positional Arguments self : Evision.CUDACodec.VideoWriter.t() Python prototype (for reference only): release() -&gt; None","ref":"Evision.CUDACodec.VideoWriter.html#release/1","title":"Evision.CUDACodec.VideoWriter.release/1","type":"function"},{"doc":"Variant 1: Writes the next video frame. Positional Arguments self : Evision.CUDACodec.VideoWriter.t() frame : Evision.Mat.t() . The framet to be written. The method encodes the specified image to a video stream. The image must have the same size and the same surface format as has been specified when opening the video writer. Python prototype (for reference only): write(frame) -&gt; None Variant 2: Writes the next video frame. Positional Arguments self : Evision.CUDACodec.VideoWriter.t() frame : Evision.CUDA.GpuMat.t() . The framet to be written. The method encodes the specified image to a video stream. The image must have the same size and the same surface format as has been specified when opening the video writer. Python prototype (for reference only): write(frame) -&gt; None","ref":"Evision.CUDACodec.VideoWriter.html#write/2","title":"Evision.CUDACodec.VideoWriter.write/2","type":"function"},{"doc":"Type that represents an CUDACodec.VideoWriter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CUDACodec.VideoWriter.html#t:t/0","title":"Evision.CUDACodec.VideoWriter.t/0","type":"type"},{"doc":"","ref":"Evision.CalibrateCRF.html","title":"Evision.CalibrateCRF","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CalibrateCRF.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CalibrateCRF.html#clear/1","title":"Evision.CalibrateCRF.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CalibrateCRF.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CalibrateCRF.html#empty/1","title":"Evision.CalibrateCRF.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CalibrateCRF.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CalibrateCRF.html#getDefaultName/1","title":"Evision.CalibrateCRF.getDefaultName/1","type":"function"},{"doc":"Recovers inverse camera response. Positional Arguments self : Evision.CalibrateCRF.t() src : [Evision.Mat] . vector of input images times : Evision.Mat.t() . vector of exposure time values for each image Return dst : Evision.Mat.t() . 256x1 matrix with inverse camera response function Python prototype (for reference only): process(src, times[, dst]) -&gt; dst","ref":"Evision.CalibrateCRF.html#process/3","title":"Evision.CalibrateCRF.process/3","type":"function"},{"doc":"Recovers inverse camera response. Positional Arguments self : Evision.CalibrateCRF.t() src : [Evision.Mat] . vector of input images times : Evision.Mat.t() . vector of exposure time values for each image Return dst : Evision.Mat.t() . 256x1 matrix with inverse camera response function Python prototype (for reference only): process(src, times[, dst]) -&gt; dst","ref":"Evision.CalibrateCRF.html#process/4","title":"Evision.CalibrateCRF.process/4","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CalibrateCRF.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CalibrateCRF.html#read/2","title":"Evision.CalibrateCRF.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CalibrateCRF.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CalibrateCRF.html#save/2","title":"Evision.CalibrateCRF.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CalibrateCRF.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CalibrateCRF.html#write/2","title":"Evision.CalibrateCRF.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CalibrateCRF.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CalibrateCRF.html#write/3","title":"Evision.CalibrateCRF.write/3","type":"function"},{"doc":"Type that represents an CalibrateCRF struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CalibrateCRF.html#t:t/0","title":"Evision.CalibrateCRF.t/0","type":"type"},{"doc":"","ref":"Evision.CalibrateDebevec.html","title":"Evision.CalibrateDebevec","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CalibrateDebevec.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CalibrateDebevec.html#clear/1","title":"Evision.CalibrateDebevec.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CalibrateDebevec.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CalibrateDebevec.html#empty/1","title":"Evision.CalibrateDebevec.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CalibrateDebevec.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CalibrateDebevec.html#getDefaultName/1","title":"Evision.CalibrateDebevec.getDefaultName/1","type":"function"},{"doc":"getLambda Positional Arguments self : Evision.CalibrateDebevec.t() Return retval : float Python prototype (for reference only): getLambda() -&gt; retval","ref":"Evision.CalibrateDebevec.html#getLambda/1","title":"Evision.CalibrateDebevec.getLambda/1","type":"function"},{"doc":"getRandom Positional Arguments self : Evision.CalibrateDebevec.t() Return retval : bool Python prototype (for reference only): getRandom() -&gt; retval","ref":"Evision.CalibrateDebevec.html#getRandom/1","title":"Evision.CalibrateDebevec.getRandom/1","type":"function"},{"doc":"getSamples Positional Arguments self : Evision.CalibrateDebevec.t() Return retval : int Python prototype (for reference only): getSamples() -&gt; retval","ref":"Evision.CalibrateDebevec.html#getSamples/1","title":"Evision.CalibrateDebevec.getSamples/1","type":"function"},{"doc":"Recovers inverse camera response. Positional Arguments self : Evision.CalibrateDebevec.t() src : [Evision.Mat] . vector of input images times : Evision.Mat.t() . vector of exposure time values for each image Return dst : Evision.Mat.t() . 256x1 matrix with inverse camera response function Python prototype (for reference only): process(src, times[, dst]) -&gt; dst","ref":"Evision.CalibrateDebevec.html#process/3","title":"Evision.CalibrateDebevec.process/3","type":"function"},{"doc":"Recovers inverse camera response. Positional Arguments self : Evision.CalibrateDebevec.t() src : [Evision.Mat] . vector of input images times : Evision.Mat.t() . vector of exposure time values for each image Return dst : Evision.Mat.t() . 256x1 matrix with inverse camera response function Python prototype (for reference only): process(src, times[, dst]) -&gt; dst","ref":"Evision.CalibrateDebevec.html#process/4","title":"Evision.CalibrateDebevec.process/4","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CalibrateDebevec.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CalibrateDebevec.html#read/2","title":"Evision.CalibrateDebevec.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CalibrateDebevec.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CalibrateDebevec.html#save/2","title":"Evision.CalibrateDebevec.save/2","type":"function"},{"doc":"setLambda Positional Arguments self : Evision.CalibrateDebevec.t() lambda : float Python prototype (for reference only): setLambda(lambda) -&gt; None","ref":"Evision.CalibrateDebevec.html#setLambda/2","title":"Evision.CalibrateDebevec.setLambda/2","type":"function"},{"doc":"setRandom Positional Arguments self : Evision.CalibrateDebevec.t() random : bool Python prototype (for reference only): setRandom(random) -&gt; None","ref":"Evision.CalibrateDebevec.html#setRandom/2","title":"Evision.CalibrateDebevec.setRandom/2","type":"function"},{"doc":"setSamples Positional Arguments self : Evision.CalibrateDebevec.t() samples : int Python prototype (for reference only): setSamples(samples) -&gt; None","ref":"Evision.CalibrateDebevec.html#setSamples/2","title":"Evision.CalibrateDebevec.setSamples/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CalibrateDebevec.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CalibrateDebevec.html#write/2","title":"Evision.CalibrateDebevec.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CalibrateDebevec.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CalibrateDebevec.html#write/3","title":"Evision.CalibrateDebevec.write/3","type":"function"},{"doc":"Type that represents an CalibrateDebevec struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CalibrateDebevec.html#t:t/0","title":"Evision.CalibrateDebevec.t/0","type":"type"},{"doc":"","ref":"Evision.CalibrateRobertson.html","title":"Evision.CalibrateRobertson","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.CalibrateRobertson.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.CalibrateRobertson.html#clear/1","title":"Evision.CalibrateRobertson.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.CalibrateRobertson.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CalibrateRobertson.html#empty/1","title":"Evision.CalibrateRobertson.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.CalibrateRobertson.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.CalibrateRobertson.html#getDefaultName/1","title":"Evision.CalibrateRobertson.getDefaultName/1","type":"function"},{"doc":"getMaxIter Positional Arguments self : Evision.CalibrateRobertson.t() Return retval : int Python prototype (for reference only): getMaxIter() -&gt; retval","ref":"Evision.CalibrateRobertson.html#getMaxIter/1","title":"Evision.CalibrateRobertson.getMaxIter/1","type":"function"},{"doc":"getRadiance Positional Arguments self : Evision.CalibrateRobertson.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getRadiance() -&gt; retval","ref":"Evision.CalibrateRobertson.html#getRadiance/1","title":"Evision.CalibrateRobertson.getRadiance/1","type":"function"},{"doc":"getThreshold Positional Arguments self : Evision.CalibrateRobertson.t() Return retval : float Python prototype (for reference only): getThreshold() -&gt; retval","ref":"Evision.CalibrateRobertson.html#getThreshold/1","title":"Evision.CalibrateRobertson.getThreshold/1","type":"function"},{"doc":"Recovers inverse camera response. Positional Arguments self : Evision.CalibrateRobertson.t() src : [Evision.Mat] . vector of input images times : Evision.Mat.t() . vector of exposure time values for each image Return dst : Evision.Mat.t() . 256x1 matrix with inverse camera response function Python prototype (for reference only): process(src, times[, dst]) -&gt; dst","ref":"Evision.CalibrateRobertson.html#process/3","title":"Evision.CalibrateRobertson.process/3","type":"function"},{"doc":"Recovers inverse camera response. Positional Arguments self : Evision.CalibrateRobertson.t() src : [Evision.Mat] . vector of input images times : Evision.Mat.t() . vector of exposure time values for each image Return dst : Evision.Mat.t() . 256x1 matrix with inverse camera response function Python prototype (for reference only): process(src, times[, dst]) -&gt; dst","ref":"Evision.CalibrateRobertson.html#process/4","title":"Evision.CalibrateRobertson.process/4","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.CalibrateRobertson.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.CalibrateRobertson.html#read/2","title":"Evision.CalibrateRobertson.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.CalibrateRobertson.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.CalibrateRobertson.html#save/2","title":"Evision.CalibrateRobertson.save/2","type":"function"},{"doc":"setMaxIter Positional Arguments self : Evision.CalibrateRobertson.t() max_iter : int Python prototype (for reference only): setMaxIter(max_iter) -&gt; None","ref":"Evision.CalibrateRobertson.html#setMaxIter/2","title":"Evision.CalibrateRobertson.setMaxIter/2","type":"function"},{"doc":"setThreshold Positional Arguments self : Evision.CalibrateRobertson.t() threshold : float Python prototype (for reference only): setThreshold(threshold) -&gt; None","ref":"Evision.CalibrateRobertson.html#setThreshold/2","title":"Evision.CalibrateRobertson.setThreshold/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.CalibrateRobertson.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.CalibrateRobertson.html#write/2","title":"Evision.CalibrateRobertson.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.CalibrateRobertson.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.CalibrateRobertson.html#write/3","title":"Evision.CalibrateRobertson.write/3","type":"function"},{"doc":"Type that represents an CalibrateRobertson struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CalibrateRobertson.html#t:t/0","title":"Evision.CalibrateRobertson.t/0","type":"type"},{"doc":"","ref":"Evision.CascadeClassifier.html","title":"Evision.CascadeClassifier","type":"module"},{"doc":"CascadeClassifier Return self : Evision.CascadeClassifier.t() Python prototype (for reference only): CascadeClassifier() -&gt; &lt;CascadeClassifier object&gt;","ref":"Evision.CascadeClassifier.html#cascadeClassifier/0","title":"Evision.CascadeClassifier.cascadeClassifier/0","type":"function"},{"doc":"Loads a classifier from a file. Positional Arguments filename : String . Name of the file from which the classifier is loaded. Return self : Evision.CascadeClassifier.t() Python prototype (for reference only): CascadeClassifier(filename) -&gt; &lt;CascadeClassifier object&gt;","ref":"Evision.CascadeClassifier.html#cascadeClassifier/1","title":"Evision.CascadeClassifier.cascadeClassifier/1","type":"function"},{"doc":"convert Positional Arguments oldcascade : String newcascade : String Return retval : bool Python prototype (for reference only): convert(oldcascade, newcascade) -&gt; retval","ref":"Evision.CascadeClassifier.html#convert/2","title":"Evision.CascadeClassifier.convert/2","type":"function"},{"doc":"detectMultiScale2 Positional Arguments self : Evision.CascadeClassifier.t() image : Evision.Mat.t() . Matrix of the type CV_8U containing an image where objects are detected. Keyword Arguments scaleFactor : double . Parameter specifying how much the image size is reduced at each image scale. minNeighbors : int . Parameter specifying how many neighbors each candidate rectangle should have to retain it. flags : int . Parameter with the same meaning for an old cascade as in the function cvHaarDetectObjects. It is not used for a new cascade. minSize : Size . Minimum possible object size. Objects smaller than that are ignored. maxSize : Size . Maximum possible object size. Objects larger than that are ignored. If maxSize == minSize model is evaluated on single scale. Return objects : [Rect] . Vector of rectangles where each rectangle contains the detected object, the rectangles may be partially outside the original image. numDetections : [int] . Vector of detection numbers for the corresponding objects. An object's number of detections is the number of neighboring positively classified rectangles that were joined together to form the object. Has overloading in C++ Python prototype (for reference only): detectMultiScale2(image[, scaleFactor[, minNeighbors[, flags[, minSize[, maxSize]]]]]) -&gt; objects, numDetections","ref":"Evision.CascadeClassifier.html#detectMultiScale2/2","title":"Evision.CascadeClassifier.detectMultiScale2/2","type":"function"},{"doc":"detectMultiScale2 Positional Arguments self : Evision.CascadeClassifier.t() image : Evision.Mat.t() . Matrix of the type CV_8U containing an image where objects are detected. Keyword Arguments scaleFactor : double . Parameter specifying how much the image size is reduced at each image scale. minNeighbors : int . Parameter specifying how many neighbors each candidate rectangle should have to retain it. flags : int . Parameter with the same meaning for an old cascade as in the function cvHaarDetectObjects. It is not used for a new cascade. minSize : Size . Minimum possible object size. Objects smaller than that are ignored. maxSize : Size . Maximum possible object size. Objects larger than that are ignored. If maxSize == minSize model is evaluated on single scale. Return objects : [Rect] . Vector of rectangles where each rectangle contains the detected object, the rectangles may be partially outside the original image. numDetections : [int] . Vector of detection numbers for the corresponding objects. An object's number of detections is the number of neighboring positively classified rectangles that were joined together to form the object. Has overloading in C++ Python prototype (for reference only): detectMultiScale2(image[, scaleFactor[, minNeighbors[, flags[, minSize[, maxSize]]]]]) -&gt; objects, numDetections","ref":"Evision.CascadeClassifier.html#detectMultiScale2/3","title":"Evision.CascadeClassifier.detectMultiScale2/3","type":"function"},{"doc":"detectMultiScale3 Positional Arguments self : Evision.CascadeClassifier.t() image : Evision.Mat.t() Keyword Arguments scaleFactor : double . minNeighbors : int . flags : int . minSize : Size . maxSize : Size . outputRejectLevels : bool . Return objects : [Rect] rejectLevels : [int] levelWeights : [double] Has overloading in C++ This function allows you to retrieve the final stage decision certainty of classification. For this, one needs to set outputRejectLevels on true and provide the rejectLevels and levelWeights parameter. For each resulting detection, levelWeights will then contain the certainty of classification at the final stage. This value can then be used to separate strong from weaker classifications. A code sample on how to use it efficiently can be found below: Mat img ; vector &lt; double &gt; weights ; vector &lt; int &gt; levels ; vector &lt; Rect &gt; detections ; CascadeClassifier model ( &quot;/path/to/your/model.xml&quot; ) ; model . detectMultiScale ( img , detections , levels , weights , 1.1 , 3 , 0 , Size ( ) , Size ( ) , true ) ; cerr &lt;&lt; &quot;Detection &quot; &lt;&lt; detections [ 0 ] &lt;&lt; &quot; with weight &quot; &lt;&lt; weights [ 0 ] &lt;&lt; endl ; Python prototype (for reference only): detectMultiScale3(image[, scaleFactor[, minNeighbors[, flags[, minSize[, maxSize[, outputRejectLevels]]]]]]) -&gt; objects, rejectLevels, levelWeights","ref":"Evision.CascadeClassifier.html#detectMultiScale3/2","title":"Evision.CascadeClassifier.detectMultiScale3/2","type":"function"},{"doc":"detectMultiScale3 Positional Arguments self : Evision.CascadeClassifier.t() image : Evision.Mat.t() Keyword Arguments scaleFactor : double . minNeighbors : int . flags : int . minSize : Size . maxSize : Size . outputRejectLevels : bool . Return objects : [Rect] rejectLevels : [int] levelWeights : [double] Has overloading in C++ This function allows you to retrieve the final stage decision certainty of classification. For this, one needs to set outputRejectLevels on true and provide the rejectLevels and levelWeights parameter. For each resulting detection, levelWeights will then contain the certainty of classification at the final stage. This value can then be used to separate strong from weaker classifications. A code sample on how to use it efficiently can be found below: Mat img ; vector &lt; double &gt; weights ; vector &lt; int &gt; levels ; vector &lt; Rect &gt; detections ; CascadeClassifier model ( &quot;/path/to/your/model.xml&quot; ) ; model . detectMultiScale ( img , detections , levels , weights , 1.1 , 3 , 0 , Size ( ) , Size ( ) , true ) ; cerr &lt;&lt; &quot;Detection &quot; &lt;&lt; detections [ 0 ] &lt;&lt; &quot; with weight &quot; &lt;&lt; weights [ 0 ] &lt;&lt; endl ; Python prototype (for reference only): detectMultiScale3(image[, scaleFactor[, minNeighbors[, flags[, minSize[, maxSize[, outputRejectLevels]]]]]]) -&gt; objects, rejectLevels, levelWeights","ref":"Evision.CascadeClassifier.html#detectMultiScale3/3","title":"Evision.CascadeClassifier.detectMultiScale3/3","type":"function"},{"doc":"Detects objects of different sizes in the input image. The detected objects are returned as a list of rectangles. Positional Arguments self : Evision.CascadeClassifier.t() image : Evision.Mat.t() . Matrix of the type CV_8U containing an image where objects are detected. Keyword Arguments scaleFactor : double . Parameter specifying how much the image size is reduced at each image scale. minNeighbors : int . Parameter specifying how many neighbors each candidate rectangle should have to retain it. flags : int . Parameter with the same meaning for an old cascade as in the function cvHaarDetectObjects. It is not used for a new cascade. minSize : Size . Minimum possible object size. Objects smaller than that are ignored. maxSize : Size . Maximum possible object size. Objects larger than that are ignored. If maxSize == minSize model is evaluated on single scale. Return objects : [Rect] . Vector of rectangles where each rectangle contains the detected object, the rectangles may be partially outside the original image. Python prototype (for reference only): detectMultiScale(image[, scaleFactor[, minNeighbors[, flags[, minSize[, maxSize]]]]]) -&gt; objects","ref":"Evision.CascadeClassifier.html#detectMultiScale/2","title":"Evision.CascadeClassifier.detectMultiScale/2","type":"function"},{"doc":"Detects objects of different sizes in the input image. The detected objects are returned as a list of rectangles. Positional Arguments self : Evision.CascadeClassifier.t() image : Evision.Mat.t() . Matrix of the type CV_8U containing an image where objects are detected. Keyword Arguments scaleFactor : double . Parameter specifying how much the image size is reduced at each image scale. minNeighbors : int . Parameter specifying how many neighbors each candidate rectangle should have to retain it. flags : int . Parameter with the same meaning for an old cascade as in the function cvHaarDetectObjects. It is not used for a new cascade. minSize : Size . Minimum possible object size. Objects smaller than that are ignored. maxSize : Size . Maximum possible object size. Objects larger than that are ignored. If maxSize == minSize model is evaluated on single scale. Return objects : [Rect] . Vector of rectangles where each rectangle contains the detected object, the rectangles may be partially outside the original image. Python prototype (for reference only): detectMultiScale(image[, scaleFactor[, minNeighbors[, flags[, minSize[, maxSize]]]]]) -&gt; objects","ref":"Evision.CascadeClassifier.html#detectMultiScale/3","title":"Evision.CascadeClassifier.detectMultiScale/3","type":"function"},{"doc":"Checks whether the classifier has been loaded. Positional Arguments self : Evision.CascadeClassifier.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.CascadeClassifier.html#empty/1","title":"Evision.CascadeClassifier.empty/1","type":"function"},{"doc":"getFeatureType Positional Arguments self : Evision.CascadeClassifier.t() Return retval : int Python prototype (for reference only): getFeatureType() -&gt; retval","ref":"Evision.CascadeClassifier.html#getFeatureType/1","title":"Evision.CascadeClassifier.getFeatureType/1","type":"function"},{"doc":"getOriginalWindowSize Positional Arguments self : Evision.CascadeClassifier.t() Return retval : Size Python prototype (for reference only): getOriginalWindowSize() -&gt; retval","ref":"Evision.CascadeClassifier.html#getOriginalWindowSize/1","title":"Evision.CascadeClassifier.getOriginalWindowSize/1","type":"function"},{"doc":"isOldFormatCascade Positional Arguments self : Evision.CascadeClassifier.t() Return retval : bool Python prototype (for reference only): isOldFormatCascade() -&gt; retval","ref":"Evision.CascadeClassifier.html#isOldFormatCascade/1","title":"Evision.CascadeClassifier.isOldFormatCascade/1","type":"function"},{"doc":"Loads a classifier from a file. Positional Arguments self : Evision.CascadeClassifier.t() filename : String . Name of the file from which the classifier is loaded. The file may contain an old HAAR classifier trained by the haartraining application or a new cascade classifier trained by the traincascade application. Return retval : bool Python prototype (for reference only): load(filename) -&gt; retval","ref":"Evision.CascadeClassifier.html#load/2","title":"Evision.CascadeClassifier.load/2","type":"function"},{"doc":"Reads a classifier from a FileStorage node. Positional Arguments self : Evision.CascadeClassifier.t() node : Evision.FileNode.t() Return retval : bool Note : The file may contain a new cascade classifier (trained by the traincascade application) only. Python prototype (for reference only): read(node) -&gt; retval","ref":"Evision.CascadeClassifier.html#read/2","title":"Evision.CascadeClassifier.read/2","type":"function"},{"doc":"Type that represents an CascadeClassifier struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CascadeClassifier.html#t:t/0","title":"Evision.CascadeClassifier.t/0","type":"type"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html","title":"Evision.CirclesGridFinderParameters","type":"module"},{"doc":"CirclesGridFinderParameters Return self : Evision.CirclesGridFinderParameters.t() Python prototype (for reference only): CirclesGridFinderParameters() -&gt; &lt;CirclesGridFinderParameters object&gt;","ref":"Evision.CirclesGridFinderParameters.html#circlesGridFinderParameters/0","title":"Evision.CirclesGridFinderParameters.circlesGridFinderParameters/0","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_convexHullFactor/1","title":"Evision.CirclesGridFinderParameters.get_convexHullFactor/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_densityNeighborhoodSize/1","title":"Evision.CirclesGridFinderParameters.get_densityNeighborhoodSize/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_edgeGain/1","title":"Evision.CirclesGridFinderParameters.get_edgeGain/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_edgePenalty/1","title":"Evision.CirclesGridFinderParameters.get_edgePenalty/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_existingVertexGain/1","title":"Evision.CirclesGridFinderParameters.get_existingVertexGain/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_keypointScale/1","title":"Evision.CirclesGridFinderParameters.get_keypointScale/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_kmeansAttempts/1","title":"Evision.CirclesGridFinderParameters.get_kmeansAttempts/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_maxRectifiedDistance/1","title":"Evision.CirclesGridFinderParameters.get_maxRectifiedDistance/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_minDensity/1","title":"Evision.CirclesGridFinderParameters.get_minDensity/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_minDistanceToAddKeypoint/1","title":"Evision.CirclesGridFinderParameters.get_minDistanceToAddKeypoint/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_minGraphConfidence/1","title":"Evision.CirclesGridFinderParameters.get_minGraphConfidence/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_minRNGEdgeSwitchDist/1","title":"Evision.CirclesGridFinderParameters.get_minRNGEdgeSwitchDist/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_squareSize/1","title":"Evision.CirclesGridFinderParameters.get_squareSize/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_vertexGain/1","title":"Evision.CirclesGridFinderParameters.get_vertexGain/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#get_vertexPenalty/1","title":"Evision.CirclesGridFinderParameters.get_vertexPenalty/1","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_convexHullFactor/2","title":"Evision.CirclesGridFinderParameters.set_convexHullFactor/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_densityNeighborhoodSize/2","title":"Evision.CirclesGridFinderParameters.set_densityNeighborhoodSize/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_edgeGain/2","title":"Evision.CirclesGridFinderParameters.set_edgeGain/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_edgePenalty/2","title":"Evision.CirclesGridFinderParameters.set_edgePenalty/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_existingVertexGain/2","title":"Evision.CirclesGridFinderParameters.set_existingVertexGain/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_keypointScale/2","title":"Evision.CirclesGridFinderParameters.set_keypointScale/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_kmeansAttempts/2","title":"Evision.CirclesGridFinderParameters.set_kmeansAttempts/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_maxRectifiedDistance/2","title":"Evision.CirclesGridFinderParameters.set_maxRectifiedDistance/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_minDensity/2","title":"Evision.CirclesGridFinderParameters.set_minDensity/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_minDistanceToAddKeypoint/2","title":"Evision.CirclesGridFinderParameters.set_minDistanceToAddKeypoint/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_minGraphConfidence/2","title":"Evision.CirclesGridFinderParameters.set_minGraphConfidence/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_minRNGEdgeSwitchDist/2","title":"Evision.CirclesGridFinderParameters.set_minRNGEdgeSwitchDist/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_squareSize/2","title":"Evision.CirclesGridFinderParameters.set_squareSize/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_vertexGain/2","title":"Evision.CirclesGridFinderParameters.set_vertexGain/2","type":"function"},{"doc":"","ref":"Evision.CirclesGridFinderParameters.html#set_vertexPenalty/2","title":"Evision.CirclesGridFinderParameters.set_vertexPenalty/2","type":"function"},{"doc":"Type that represents an CirclesGridFinderParameters struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.CirclesGridFinderParameters.html#t:t/0","title":"Evision.CirclesGridFinderParameters.t/0","type":"type"},{"doc":"","ref":"Evision.ColoredKinFu.html","title":"Evision.ColoredKinFu","type":"module"},{"doc":"Type that represents an ColoredKinFu struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ColoredKinFu.html#t:t/0","title":"Evision.ColoredKinFu.t/0","type":"type"},{"doc":"","ref":"Evision.ColoredKinFu.ColoredKinFu.html","title":"Evision.ColoredKinFu.ColoredKinFu","type":"module"},{"doc":"create Positional Arguments params : Params Return retval : Evision.ColoredKinFu.t() Python prototype (for reference only): create(_params) -&gt; retval","ref":"Evision.ColoredKinFu.ColoredKinFu.html#create/1","title":"Evision.ColoredKinFu.ColoredKinFu.create/1","type":"function"},{"doc":"Gets points, normals and colors of current 3d mesh Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors normals : Evision.Mat.t() . vector of normals which are 4-float vectors colors : Evision.Mat.t() . vector of colors which are 4-float vectors The order of normals corresponds to order of points. The order of points is undefined. Python prototype (for reference only): getCloud([, points[, normals[, colors]]]) -&gt; points, normals, colors","ref":"Evision.ColoredKinFu.ColoredKinFu.html#getCloud/1","title":"Evision.ColoredKinFu.ColoredKinFu.getCloud/1","type":"function"},{"doc":"Gets points, normals and colors of current 3d mesh Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors normals : Evision.Mat.t() . vector of normals which are 4-float vectors colors : Evision.Mat.t() . vector of colors which are 4-float vectors The order of normals corresponds to order of points. The order of points is undefined. Python prototype (for reference only): getCloud([, points[, normals[, colors]]]) -&gt; points, normals, colors","ref":"Evision.ColoredKinFu.ColoredKinFu.html#getCloud/2","title":"Evision.ColoredKinFu.ColoredKinFu.getCloud/2","type":"function"},{"doc":"Calculates normals for given points Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() points : Evision.Mat.t() . input vector of points which are 4-float vectors Return normals : Evision.Mat.t() . output vector of corresponding normals which are 4-float vectors Python prototype (for reference only): getNormals(points[, normals]) -&gt; normals","ref":"Evision.ColoredKinFu.ColoredKinFu.html#getNormals/2","title":"Evision.ColoredKinFu.ColoredKinFu.getNormals/2","type":"function"},{"doc":"Calculates normals for given points Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() points : Evision.Mat.t() . input vector of points which are 4-float vectors Return normals : Evision.Mat.t() . output vector of corresponding normals which are 4-float vectors Python prototype (for reference only): getNormals(points[, normals]) -&gt; normals","ref":"Evision.ColoredKinFu.ColoredKinFu.html#getNormals/3","title":"Evision.ColoredKinFu.ColoredKinFu.getNormals/3","type":"function"},{"doc":"Gets points of current 3d mesh Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors The order of points is undefined. Python prototype (for reference only): getPoints([, points]) -&gt; points","ref":"Evision.ColoredKinFu.ColoredKinFu.html#getPoints/1","title":"Evision.ColoredKinFu.ColoredKinFu.getPoints/1","type":"function"},{"doc":"Gets points of current 3d mesh Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors The order of points is undefined. Python prototype (for reference only): getPoints([, points]) -&gt; points","ref":"Evision.ColoredKinFu.ColoredKinFu.html#getPoints/2","title":"Evision.ColoredKinFu.ColoredKinFu.getPoints/2","type":"function"},{"doc":"Renders a volume into an image Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() Return image : Evision.Mat.t() . resulting image Renders a 0-surface of TSDF using Phong shading into a CV_8UC4 Mat. Light pose is fixed in KinFu params. Python prototype (for reference only): render([, image]) -&gt; image","ref":"Evision.ColoredKinFu.ColoredKinFu.html#render/1","title":"Evision.ColoredKinFu.ColoredKinFu.render/1","type":"function"},{"doc":"Variant 1: Renders a volume into an image Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() cameraPose : Evision.Mat.t() . pose of camera to render from. If empty then render from current pose which is a last frame camera pose. Return image : Evision.Mat.t() . resulting image Renders a 0-surface of TSDF using Phong shading into a CV_8UC4 Mat. Light pose is fixed in KinFu params. Python prototype (for reference only): render(cameraPose[, image]) -&gt; image Variant 2: Renders a volume into an image Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() Return image : Evision.Mat.t() . resulting image Renders a 0-surface of TSDF using Phong shading into a CV_8UC4 Mat. Light pose is fixed in KinFu params. Python prototype (for reference only): render([, image]) -&gt; image","ref":"Evision.ColoredKinFu.ColoredKinFu.html#render/2","title":"Evision.ColoredKinFu.ColoredKinFu.render/2","type":"function"},{"doc":"Renders a volume into an image Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() cameraPose : Evision.Mat.t() . pose of camera to render from. If empty then render from current pose which is a last frame camera pose. Return image : Evision.Mat.t() . resulting image Renders a 0-surface of TSDF using Phong shading into a CV_8UC4 Mat. Light pose is fixed in KinFu params. Python prototype (for reference only): render(cameraPose[, image]) -&gt; image","ref":"Evision.ColoredKinFu.ColoredKinFu.html#render/3","title":"Evision.ColoredKinFu.ColoredKinFu.render/3","type":"function"},{"doc":"Resets the algorithm Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() Clears current model and resets a pose. Python prototype (for reference only): reset() -&gt; None","ref":"Evision.ColoredKinFu.ColoredKinFu.html#reset/1","title":"Evision.ColoredKinFu.ColoredKinFu.reset/1","type":"function"},{"doc":"Process next depth frame Positional Arguments self : Evision.ColoredKinFu.ColoredKinFu.t() depth : Evision.Mat.t() . input Mat of depth frame rgb : Evision.Mat.t() . input Mat of rgb (colored) frame Return retval : bool @return true if succeeded to align new frame with current scene, false if opposite Python prototype (for reference only): update(depth, rgb) -&gt; retval","ref":"Evision.ColoredKinFu.ColoredKinFu.html#update/3","title":"Evision.ColoredKinFu.ColoredKinFu.update/3","type":"function"},{"doc":"Type that represents an ColoredKinFu.ColoredKinFu struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ColoredKinFu.ColoredKinFu.html#t:t/0","title":"Evision.ColoredKinFu.ColoredKinFu.t/0","type":"type"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html","title":"Evision.ColoredKinFu.Params","type":"module"},{"doc":"Coarse parameters A set of parameters which provides better speed, can fail to match frames in case of rapid sensor motion. Return retval : Params Python prototype (for reference only): coarseParams() -&gt; retval","ref":"Evision.ColoredKinFu.Params.html#coarseParams/0","title":"Evision.ColoredKinFu.Params.coarseParams/0","type":"function"},{"doc":"ColoredTSDF parameters A set of parameters suitable for use with HashTSDFVolume Positional Arguments isCoarse : bool Return retval : Params Python prototype (for reference only): coloredTSDFParams(isCoarse) -&gt; retval","ref":"Evision.ColoredKinFu.Params.html#coloredTSDFParams/1","title":"Evision.ColoredKinFu.Params.coloredTSDFParams/1","type":"function"},{"doc":"Default parameters A set of parameters which provides better model quality, can be very slow. Return retval : Params Python prototype (for reference only): defaultParams() -&gt; retval","ref":"Evision.ColoredKinFu.Params.html#defaultParams/0","title":"Evision.ColoredKinFu.Params.defaultParams/0","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_bilateral_kernel_size/1","title":"Evision.ColoredKinFu.Params.get_bilateral_kernel_size/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_bilateral_sigma_depth/1","title":"Evision.ColoredKinFu.Params.get_bilateral_sigma_depth/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_bilateral_sigma_spatial/1","title":"Evision.ColoredKinFu.Params.get_bilateral_sigma_spatial/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_depthFactor/1","title":"Evision.ColoredKinFu.Params.get_depthFactor/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_frameSize/1","title":"Evision.ColoredKinFu.Params.get_frameSize/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_icpAngleThresh/1","title":"Evision.ColoredKinFu.Params.get_icpAngleThresh/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_icpDistThresh/1","title":"Evision.ColoredKinFu.Params.get_icpDistThresh/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_icpIterations/1","title":"Evision.ColoredKinFu.Params.get_icpIterations/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_intr/1","title":"Evision.ColoredKinFu.Params.get_intr/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_lightPose/1","title":"Evision.ColoredKinFu.Params.get_lightPose/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_pyramidLevels/1","title":"Evision.ColoredKinFu.Params.get_pyramidLevels/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_raycast_step_factor/1","title":"Evision.ColoredKinFu.Params.get_raycast_step_factor/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_rgb_frameSize/1","title":"Evision.ColoredKinFu.Params.get_rgb_frameSize/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_rgb_intr/1","title":"Evision.ColoredKinFu.Params.get_rgb_intr/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_truncateThreshold/1","title":"Evision.ColoredKinFu.Params.get_truncateThreshold/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_tsdf_max_weight/1","title":"Evision.ColoredKinFu.Params.get_tsdf_max_weight/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_tsdf_min_camera_movement/1","title":"Evision.ColoredKinFu.Params.get_tsdf_min_camera_movement/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_tsdf_trunc_dist/1","title":"Evision.ColoredKinFu.Params.get_tsdf_trunc_dist/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_volumeDims/1","title":"Evision.ColoredKinFu.Params.get_volumeDims/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_volumeType/1","title":"Evision.ColoredKinFu.Params.get_volumeType/1","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#get_voxelSize/1","title":"Evision.ColoredKinFu.Params.get_voxelSize/1","type":"function"},{"doc":"HashTSDF parameters A set of parameters suitable for use with HashTSDFVolume Positional Arguments isCoarse : bool Return retval : Params Python prototype (for reference only): hashTSDFParams(isCoarse) -&gt; retval","ref":"Evision.ColoredKinFu.Params.html#hashTSDFParams/1","title":"Evision.ColoredKinFu.Params.hashTSDFParams/1","type":"function"},{"doc":"Params Return self : Params Python prototype (for reference only): Params() -&gt; &lt;colored_kinfu_Params object&gt;","ref":"Evision.ColoredKinFu.Params.html#params/0","title":"Evision.ColoredKinFu.Params.params/0","type":"function"},{"doc":"Constructor for Params Sets the initial pose of the TSDF volume. Positional Arguments volumeInitialPose : Evision.Mat.t() . 4 by 4 Homogeneous Transform matrix to set the intial pose of TSDF volume Return self : Params Python prototype (for reference only): Params(volumeInitialPose) -&gt; &lt;colored_kinfu_Params object&gt;","ref":"Evision.ColoredKinFu.Params.html#params/1","title":"Evision.ColoredKinFu.Params.params/1","type":"function"},{"doc":"Constructor for Params Sets the initial pose of the TSDF volume. Positional Arguments volumeInitialPoseRot : Evision.Mat.t() . rotation matrix volumeInitialPoseTransl : Vec3f . translation vector Return self : Params Python prototype (for reference only): Params(volumeInitialPoseRot, volumeInitialPoseTransl) -&gt; &lt;colored_kinfu_Params object&gt;","ref":"Evision.ColoredKinFu.Params.html#params/2","title":"Evision.ColoredKinFu.Params.params/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_bilateral_kernel_size/2","title":"Evision.ColoredKinFu.Params.set_bilateral_kernel_size/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_bilateral_sigma_depth/2","title":"Evision.ColoredKinFu.Params.set_bilateral_sigma_depth/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_bilateral_sigma_spatial/2","title":"Evision.ColoredKinFu.Params.set_bilateral_sigma_spatial/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_depthFactor/2","title":"Evision.ColoredKinFu.Params.set_depthFactor/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_frameSize/2","title":"Evision.ColoredKinFu.Params.set_frameSize/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_icpAngleThresh/2","title":"Evision.ColoredKinFu.Params.set_icpAngleThresh/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_icpDistThresh/2","title":"Evision.ColoredKinFu.Params.set_icpDistThresh/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_icpIterations/2","title":"Evision.ColoredKinFu.Params.set_icpIterations/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_intr/2","title":"Evision.ColoredKinFu.Params.set_intr/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_lightPose/2","title":"Evision.ColoredKinFu.Params.set_lightPose/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_pyramidLevels/2","title":"Evision.ColoredKinFu.Params.set_pyramidLevels/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_raycast_step_factor/2","title":"Evision.ColoredKinFu.Params.set_raycast_step_factor/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_rgb_frameSize/2","title":"Evision.ColoredKinFu.Params.set_rgb_frameSize/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_rgb_intr/2","title":"Evision.ColoredKinFu.Params.set_rgb_intr/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_truncateThreshold/2","title":"Evision.ColoredKinFu.Params.set_truncateThreshold/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_tsdf_max_weight/2","title":"Evision.ColoredKinFu.Params.set_tsdf_max_weight/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_tsdf_min_camera_movement/2","title":"Evision.ColoredKinFu.Params.set_tsdf_min_camera_movement/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_tsdf_trunc_dist/2","title":"Evision.ColoredKinFu.Params.set_tsdf_trunc_dist/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_volumeDims/2","title":"Evision.ColoredKinFu.Params.set_volumeDims/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_volumeType/2","title":"Evision.ColoredKinFu.Params.set_volumeType/2","type":"function"},{"doc":"","ref":"Evision.ColoredKinFu.Params.html#set_voxelSize/2","title":"Evision.ColoredKinFu.Params.set_voxelSize/2","type":"function"},{"doc":"Set Initial Volume Pose Sets the initial pose of the TSDF volume. Positional Arguments self : Evision.ColoredKinFu.Params.t() homogen_tf : Evision.Mat.t() . 4 by 4 Homogeneous Transform matrix to set the intial pose of TSDF volume Python prototype (for reference only): setInitialVolumePose(homogen_tf) -&gt; None","ref":"Evision.ColoredKinFu.Params.html#setInitialVolumePose/2","title":"Evision.ColoredKinFu.Params.setInitialVolumePose/2","type":"function"},{"doc":"Set Initial Volume Pose Sets the initial pose of the TSDF volume. Positional Arguments self : Evision.ColoredKinFu.Params.t() r : Evision.Mat.t() . rotation matrix t : Vec3f . translation vector Python prototype (for reference only): setInitialVolumePose(R, t) -&gt; None","ref":"Evision.ColoredKinFu.Params.html#setInitialVolumePose/3","title":"Evision.ColoredKinFu.Params.setInitialVolumePose/3","type":"function"},{"doc":"Type that represents an ColoredKinFu.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ColoredKinFu.Params.html#t:t/0","title":"Evision.ColoredKinFu.Params.t/0","type":"type"},{"doc":"","ref":"Evision.Constant.html","title":"Evision.Constant","type":"module"},{"doc":"","ref":"Evision.Constant.html#cv_8S/0","title":"Evision.Constant.cv_8S/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8SC1/0","title":"Evision.Constant.cv_8SC1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8SC2/0","title":"Evision.Constant.cv_8SC2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8SC3/0","title":"Evision.Constant.cv_8SC3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8SC4/0","title":"Evision.Constant.cv_8SC4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8SC/1","title":"Evision.Constant.cv_8SC/1","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8U/0","title":"Evision.Constant.cv_8U/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8UC1/0","title":"Evision.Constant.cv_8UC1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8UC2/0","title":"Evision.Constant.cv_8UC2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8UC3/0","title":"Evision.Constant.cv_8UC3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8UC4/0","title":"Evision.Constant.cv_8UC4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_8UC/1","title":"Evision.Constant.cv_8UC/1","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16F/0","title":"Evision.Constant.cv_16F/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16FC1/0","title":"Evision.Constant.cv_16FC1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16FC2/0","title":"Evision.Constant.cv_16FC2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16FC3/0","title":"Evision.Constant.cv_16FC3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16FC4/0","title":"Evision.Constant.cv_16FC4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16FC/1","title":"Evision.Constant.cv_16FC/1","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16S/0","title":"Evision.Constant.cv_16S/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16SC1/0","title":"Evision.Constant.cv_16SC1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16SC2/0","title":"Evision.Constant.cv_16SC2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16SC3/0","title":"Evision.Constant.cv_16SC3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16SC4/0","title":"Evision.Constant.cv_16SC4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16SC/1","title":"Evision.Constant.cv_16SC/1","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16U/0","title":"Evision.Constant.cv_16U/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16UC1/0","title":"Evision.Constant.cv_16UC1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16UC2/0","title":"Evision.Constant.cv_16UC2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16UC3/0","title":"Evision.Constant.cv_16UC3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16UC4/0","title":"Evision.Constant.cv_16UC4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_16UC/1","title":"Evision.Constant.cv_16UC/1","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32F/0","title":"Evision.Constant.cv_32F/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32FC1/0","title":"Evision.Constant.cv_32FC1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32FC2/0","title":"Evision.Constant.cv_32FC2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32FC3/0","title":"Evision.Constant.cv_32FC3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32FC4/0","title":"Evision.Constant.cv_32FC4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32FC/1","title":"Evision.Constant.cv_32FC/1","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32S/0","title":"Evision.Constant.cv_32S/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32SC1/0","title":"Evision.Constant.cv_32SC1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32SC2/0","title":"Evision.Constant.cv_32SC2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32SC3/0","title":"Evision.Constant.cv_32SC3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32SC4/0","title":"Evision.Constant.cv_32SC4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_32SC/1","title":"Evision.Constant.cv_32SC/1","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_64F/0","title":"Evision.Constant.cv_64F/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_64FC1/0","title":"Evision.Constant.cv_64FC1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_64FC2/0","title":"Evision.Constant.cv_64FC2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_64FC3/0","title":"Evision.Constant.cv_64FC3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_64FC4/0","title":"Evision.Constant.cv_64FC4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_64FC/1","title":"Evision.Constant.cv_64FC/1","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ACCESS_FAST/0","title":"Evision.Constant.cv_ACCESS_FAST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ACCESS_MASK/0","title":"Evision.Constant.cv_ACCESS_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ACCESS_READ/0","title":"Evision.Constant.cv_ACCESS_READ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ACCESS_RW/0","title":"Evision.Constant.cv_ACCESS_RW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ACCESS_WRITE/0","title":"Evision.Constant.cv_ACCESS_WRITE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ADAPTIVE_THRESH_GAUSSIAN_C/0","title":"Evision.Constant.cv_ADAPTIVE_THRESH_GAUSSIAN_C/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ADAPTIVE_THRESH_MEAN_C/0","title":"Evision.Constant.cv_ADAPTIVE_THRESH_MEAN_C/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Adaptive/0","title":"Evision.Constant.cv_Adaptive/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_AGAST_5_8/0","title":"Evision.Constant.cv_AGAST_5_8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_AGAST_7_12d/0","title":"Evision.Constant.cv_AGAST_7_12d/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_AGAST_7_12s/0","title":"Evision.Constant.cv_AGAST_7_12s/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALGORITHM/0","title":"Evision.Constant.cv_ALGORITHM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_ATOP/0","title":"Evision.Constant.cv_ALPHA_ATOP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_ATOP_PREMUL/0","title":"Evision.Constant.cv_ALPHA_ATOP_PREMUL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_IN/0","title":"Evision.Constant.cv_ALPHA_IN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_IN_PREMUL/0","title":"Evision.Constant.cv_ALPHA_IN_PREMUL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_OUT/0","title":"Evision.Constant.cv_ALPHA_OUT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_OUT_PREMUL/0","title":"Evision.Constant.cv_ALPHA_OUT_PREMUL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_OVER/0","title":"Evision.Constant.cv_ALPHA_OVER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_OVER_PREMUL/0","title":"Evision.Constant.cv_ALPHA_OVER_PREMUL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_PLUS/0","title":"Evision.Constant.cv_ALPHA_PLUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_PLUS_PREMUL/0","title":"Evision.Constant.cv_ALPHA_PLUS_PREMUL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_PREMUL/0","title":"Evision.Constant.cv_ALPHA_PREMUL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_XOR/0","title":"Evision.Constant.cv_ALPHA_XOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ALPHA_XOR_PREMUL/0","title":"Evision.Constant.cv_ALPHA_XOR_PREMUL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_AM_FILTER/0","title":"Evision.Constant.cv_AM_FILTER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ANGLE_ROW/0","title":"Evision.Constant.cv_ANGLE_ROW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ANNEAL/0","title":"Evision.Constant.cv_ANNEAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_APPEND/0","title":"Evision.Constant.cv_APPEND/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARO_0_45/0","title":"Evision.Constant.cv_ARO_0_45/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARO_45_90/0","title":"Evision.Constant.cv_ARO_45_90/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARO_45_135/0","title":"Evision.Constant.cv_ARO_45_135/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARO_90_135/0","title":"Evision.Constant.cv_ARO_90_135/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARO_315_0/0","title":"Evision.Constant.cv_ARO_315_0/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARO_315_45/0","title":"Evision.Constant.cv_ARO_315_45/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARO_315_135/0","title":"Evision.Constant.cv_ARO_315_135/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARO_CTR_HOR/0","title":"Evision.Constant.cv_ARO_CTR_HOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARO_CTR_VER/0","title":"Evision.Constant.cv_ARO_CTR_VER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARRAY_BUFFER/0","title":"Evision.Constant.cv_ARRAY_BUFFER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARUCO_CCW_CENTER/0","title":"Evision.Constant.cv_ARUCO_CCW_CENTER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ARUCO_CW_TOP_LEFT_CORNER/0","title":"Evision.Constant.cv_ARUCO_CW_TOP_LEFT_CORNER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_AS_IS/0","title":"Evision.Constant.cv_AS_IS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ASGD/0","title":"Evision.Constant.cv_ASGD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ASYMMETRIC_GRID/0","title":"Evision.Constant.cv_ASYMMETRIC_GRID/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ASYNC_CLEANUP/0","title":"Evision.Constant.cv_ASYNC_CLEANUP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_AUTO_STEP/0","title":"Evision.Constant.cv_AUTO_STEP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_AV1/0","title":"Evision.Constant.cv_AV1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BACKPROP/0","title":"Evision.Constant.cv_BACKPROP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BASE64/0","title":"Evision.Constant.cv_BASE64/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BATCH/0","title":"Evision.Constant.cv_BATCH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadAlign/0","title":"Evision.Constant.cv_BadAlign/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadAlphaChannel/0","title":"Evision.Constant.cv_BadAlphaChannel/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadCallBack/0","title":"Evision.Constant.cv_BadCallBack/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadCOI/0","title":"Evision.Constant.cv_BadCOI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadDataPtr/0","title":"Evision.Constant.cv_BadDataPtr/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadDepth/0","title":"Evision.Constant.cv_BadDepth/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadImageSize/0","title":"Evision.Constant.cv_BadImageSize/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadModelOrChSeq/0","title":"Evision.Constant.cv_BadModelOrChSeq/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadNumChannel1U/0","title":"Evision.Constant.cv_BadNumChannel1U/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadNumChannels/0","title":"Evision.Constant.cv_BadNumChannels/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadOffset/0","title":"Evision.Constant.cv_BadOffset/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadOrder/0","title":"Evision.Constant.cv_BadOrder/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadOrigin/0","title":"Evision.Constant.cv_BadOrigin/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadROISize/0","title":"Evision.Constant.cv_BadROISize/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadStep/0","title":"Evision.Constant.cv_BadStep/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BadTileSize/0","title":"Evision.Constant.cv_BadTileSize/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BGR/0","title":"Evision.Constant.cv_BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BGRA/0","title":"Evision.Constant.cv_BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BINARIZATION_NIBLACK/0","title":"Evision.Constant.cv_BINARIZATION_NIBLACK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BINARIZATION_NICK/0","title":"Evision.Constant.cv_BINARIZATION_NICK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BINARIZATION_SAUVOLA/0","title":"Evision.Constant.cv_BINARIZATION_SAUVOLA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BINARIZATION_WOLF/0","title":"Evision.Constant.cv_BINARIZATION_WOLF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BLOCK_MEAN_HASH_MODE_0/0","title":"Evision.Constant.cv_BLOCK_MEAN_HASH_MODE_0/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BLOCK_MEAN_HASH_MODE_1/0","title":"Evision.Constant.cv_BLOCK_MEAN_HASH_MODE_1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BLOCKING_SYNC/0","title":"Evision.Constant.cv_BLOCKING_SYNC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BM3D_STEP1/0","title":"Evision.Constant.cv_BM3D_STEP1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BM3D_STEP2/0","title":"Evision.Constant.cv_BM3D_STEP2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BM3D_STEPALL/0","title":"Evision.Constant.cv_BM3D_STEPALL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BOOLEAN/0","title":"Evision.Constant.cv_BOOLEAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BORDER_CONSTANT/0","title":"Evision.Constant.cv_BORDER_CONSTANT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BORDER_DEFAULT/0","title":"Evision.Constant.cv_BORDER_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BORDER_ISOLATED/0","title":"Evision.Constant.cv_BORDER_ISOLATED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BORDER_REFLECT101/0","title":"Evision.Constant.cv_BORDER_REFLECT101/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BORDER_REFLECT/0","title":"Evision.Constant.cv_BORDER_REFLECT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BORDER_REFLECT_101/0","title":"Evision.Constant.cv_BORDER_REFLECT_101/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BORDER_REPLICATE/0","title":"Evision.Constant.cv_BORDER_REPLICATE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BORDER_TRANSPARENT/0","title":"Evision.Constant.cv_BORDER_TRANSPARENT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BORDER_WRAP/0","title":"Evision.Constant.cv_BORDER_WRAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Bob/0","title":"Evision.Constant.cv_Bob/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Boost_REAL/0","title":"Evision.Constant.cv_Boost_REAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BRUTE_FORCE/0","title":"Evision.Constant.cv_BRUTE_FORCE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BRUTEFORCE/0","title":"Evision.Constant.cv_BRUTEFORCE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BRUTEFORCE_HAMMING/0","title":"Evision.Constant.cv_BRUTEFORCE_HAMMING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BRUTEFORCE_HAMMINGLUT/0","title":"Evision.Constant.cv_BRUTEFORCE_HAMMINGLUT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BRUTEFORCE_L1/0","title":"Evision.Constant.cv_BRUTEFORCE_L1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_BRUTEFORCE_SL2/0","title":"Evision.Constant.cv_BRUTEFORCE_SL2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Buffer_READ_ONLY/0","title":"Evision.Constant.cv_Buffer_READ_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Buffer_READ_WRITE/0","title":"Evision.Constant.cv_Buffer_READ_WRITE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Buffer_WRITE_ONLY/0","title":"Evision.Constant.cv_Buffer_WRITE_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_barcode_NONE/0","title":"Evision.Constant.cv_barcode_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_C/0","title":"Evision.Constant.cv_C/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_C_SVC/0","title":"Evision.Constant.cv_C_SVC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CACHE_ALL/0","title":"Evision.Constant.cv_CACHE_ALL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CACHE_DST/0","title":"Evision.Constant.cv_CACHE_DST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CACHE_SRC/0","title":"Evision.Constant.cv_CACHE_SRC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_ACCURACY/0","title":"Evision.Constant.cv_CALIB_CB_ACCURACY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_ADAPTIVE_THRESH/0","title":"Evision.Constant.cv_CALIB_CB_ADAPTIVE_THRESH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_ASYMMETRIC_GRID/0","title":"Evision.Constant.cv_CALIB_CB_ASYMMETRIC_GRID/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_CLUSTERING/0","title":"Evision.Constant.cv_CALIB_CB_CLUSTERING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_EXHAUSTIVE/0","title":"Evision.Constant.cv_CALIB_CB_EXHAUSTIVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_FAST_CHECK/0","title":"Evision.Constant.cv_CALIB_CB_FAST_CHECK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_FILTER_QUADS/0","title":"Evision.Constant.cv_CALIB_CB_FILTER_QUADS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_LARGER/0","title":"Evision.Constant.cv_CALIB_CB_LARGER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_MARKER/0","title":"Evision.Constant.cv_CALIB_CB_MARKER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_NORMALIZE_IMAGE/0","title":"Evision.Constant.cv_CALIB_CB_NORMALIZE_IMAGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CB_SYMMETRIC_GRID/0","title":"Evision.Constant.cv_CALIB_CB_SYMMETRIC_GRID/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_CHECK_COND/0","title":"Evision.Constant.cv_CALIB_CHECK_COND/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_ASPECT_RATIO/0","title":"Evision.Constant.cv_CALIB_FIX_ASPECT_RATIO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_CENTER/0","title":"Evision.Constant.cv_CALIB_FIX_CENTER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_FOCAL_LENGTH/0","title":"Evision.Constant.cv_CALIB_FIX_FOCAL_LENGTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_GAMMA/0","title":"Evision.Constant.cv_CALIB_FIX_GAMMA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_INTRINSIC/0","title":"Evision.Constant.cv_CALIB_FIX_INTRINSIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_K1/0","title":"Evision.Constant.cv_CALIB_FIX_K1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_K2/0","title":"Evision.Constant.cv_CALIB_FIX_K2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_K3/0","title":"Evision.Constant.cv_CALIB_FIX_K3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_K4/0","title":"Evision.Constant.cv_CALIB_FIX_K4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_K5/0","title":"Evision.Constant.cv_CALIB_FIX_K5/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_K6/0","title":"Evision.Constant.cv_CALIB_FIX_K6/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_P1/0","title":"Evision.Constant.cv_CALIB_FIX_P1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_P2/0","title":"Evision.Constant.cv_CALIB_FIX_P2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_PRINCIPAL_POINT/0","title":"Evision.Constant.cv_CALIB_FIX_PRINCIPAL_POINT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_S1_S2_S3_S4/0","title":"Evision.Constant.cv_CALIB_FIX_S1_S2_S3_S4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_SKEW/0","title":"Evision.Constant.cv_CALIB_FIX_SKEW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_TANGENT_DIST/0","title":"Evision.Constant.cv_CALIB_FIX_TANGENT_DIST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_TAUX_TAUY/0","title":"Evision.Constant.cv_CALIB_FIX_TAUX_TAUY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_FIX_XI/0","title":"Evision.Constant.cv_CALIB_FIX_XI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_HAND_EYE_ANDREFF/0","title":"Evision.Constant.cv_CALIB_HAND_EYE_ANDREFF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_HAND_EYE_DANIILIDIS/0","title":"Evision.Constant.cv_CALIB_HAND_EYE_DANIILIDIS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_HAND_EYE_HORAUD/0","title":"Evision.Constant.cv_CALIB_HAND_EYE_HORAUD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_HAND_EYE_PARK/0","title":"Evision.Constant.cv_CALIB_HAND_EYE_PARK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_HAND_EYE_TSAI/0","title":"Evision.Constant.cv_CALIB_HAND_EYE_TSAI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_NINTRINSIC/0","title":"Evision.Constant.cv_CALIB_NINTRINSIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_RATIONAL_MODEL/0","title":"Evision.Constant.cv_CALIB_RATIONAL_MODEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_RECOMPUTE_EXTRINSIC/0","title":"Evision.Constant.cv_CALIB_RECOMPUTE_EXTRINSIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_ROBOT_WORLD_HAND_EYE_LI/0","title":"Evision.Constant.cv_CALIB_ROBOT_WORLD_HAND_EYE_LI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_ROBOT_WORLD_HAND_EYE_SHAH/0","title":"Evision.Constant.cv_CALIB_ROBOT_WORLD_HAND_EYE_SHAH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_SAME_FOCAL_LENGTH/0","title":"Evision.Constant.cv_CALIB_SAME_FOCAL_LENGTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_THIN_PRISM_MODEL/0","title":"Evision.Constant.cv_CALIB_THIN_PRISM_MODEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_TILTED_MODEL/0","title":"Evision.Constant.cv_CALIB_TILTED_MODEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_USE_EXTRINSIC_GUESS/0","title":"Evision.Constant.cv_CALIB_USE_EXTRINSIC_GUESS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_USE_GUESS/0","title":"Evision.Constant.cv_CALIB_USE_GUESS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_USE_INTRINSIC_GUESS/0","title":"Evision.Constant.cv_CALIB_USE_INTRINSIC_GUESS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_USE_LU/0","title":"Evision.Constant.cv_CALIB_USE_LU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_USE_QR/0","title":"Evision.Constant.cv_CALIB_USE_QR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_ZERO_DISPARITY/0","title":"Evision.Constant.cv_CALIB_ZERO_DISPARITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CALIB_ZERO_TANGENT_DIST/0","title":"Evision.Constant.cv_CALIB_ZERO_TANGENT_DIST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_ANDROID/0","title":"Evision.Constant.cv_CAP_ANDROID/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_ANY/0","title":"Evision.Constant.cv_CAP_ANY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_ARAVIS/0","title":"Evision.Constant.cv_CAP_ARAVIS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_AVFOUNDATION/0","title":"Evision.Constant.cv_CAP_AVFOUNDATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_CMU1394/0","title":"Evision.Constant.cv_CAP_CMU1394/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_DC1394/0","title":"Evision.Constant.cv_CAP_DC1394/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_DSHOW/0","title":"Evision.Constant.cv_CAP_DSHOW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_FFMPEG/0","title":"Evision.Constant.cv_CAP_FFMPEG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_FIREWARE/0","title":"Evision.Constant.cv_CAP_FIREWARE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_FIREWIRE/0","title":"Evision.Constant.cv_CAP_FIREWIRE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_GIGANETIX/0","title":"Evision.Constant.cv_CAP_GIGANETIX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_GPHOTO2/0","title":"Evision.Constant.cv_CAP_GPHOTO2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_GSTREAMER/0","title":"Evision.Constant.cv_CAP_GSTREAMER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_IEEE1394/0","title":"Evision.Constant.cv_CAP_IEEE1394/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_IMAGES/0","title":"Evision.Constant.cv_CAP_IMAGES/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_INTEL_MFX/0","title":"Evision.Constant.cv_CAP_INTEL_MFX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_INTELPERC/0","title":"Evision.Constant.cv_CAP_INTELPERC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_INTELPERC_DEPTH_GENERATOR/0","title":"Evision.Constant.cv_CAP_INTELPERC_DEPTH_GENERATOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_INTELPERC_DEPTH_MAP/0","title":"Evision.Constant.cv_CAP_INTELPERC_DEPTH_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_INTELPERC_GENERATORS_MASK/0","title":"Evision.Constant.cv_CAP_INTELPERC_GENERATORS_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_INTELPERC_IMAGE/0","title":"Evision.Constant.cv_CAP_INTELPERC_IMAGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_INTELPERC_IMAGE_GENERATOR/0","title":"Evision.Constant.cv_CAP_INTELPERC_IMAGE_GENERATOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_INTELPERC_IR_GENERATOR/0","title":"Evision.Constant.cv_CAP_INTELPERC_IR_GENERATOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_INTELPERC_IR_MAP/0","title":"Evision.Constant.cv_CAP_INTELPERC_IR_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_INTELPERC_UVDEPTH_MAP/0","title":"Evision.Constant.cv_CAP_INTELPERC_UVDEPTH_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_MSMF/0","title":"Evision.Constant.cv_CAP_MSMF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OBSENSOR/0","title":"Evision.Constant.cv_CAP_OBSENSOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OBSENSOR_BGR_IMAGE/0","title":"Evision.Constant.cv_CAP_OBSENSOR_BGR_IMAGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OBSENSOR_DEPTH_GENERATOR/0","title":"Evision.Constant.cv_CAP_OBSENSOR_DEPTH_GENERATOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OBSENSOR_DEPTH_MAP/0","title":"Evision.Constant.cv_CAP_OBSENSOR_DEPTH_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OBSENSOR_GENERATORS_MASK/0","title":"Evision.Constant.cv_CAP_OBSENSOR_GENERATORS_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OBSENSOR_IMAGE_GENERATOR/0","title":"Evision.Constant.cv_CAP_OBSENSOR_IMAGE_GENERATOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OBSENSOR_IR_GENERATOR/0","title":"Evision.Constant.cv_CAP_OBSENSOR_IR_GENERATOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OBSENSOR_IR_IMAGE/0","title":"Evision.Constant.cv_CAP_OBSENSOR_IR_IMAGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENCV_MJPEG/0","title":"Evision.Constant.cv_CAP_OPENCV_MJPEG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI2/0","title":"Evision.Constant.cv_CAP_OPENNI2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI2_ASTRA/0","title":"Evision.Constant.cv_CAP_OPENNI2_ASTRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI2_ASUS/0","title":"Evision.Constant.cv_CAP_OPENNI2_ASUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI/0","title":"Evision.Constant.cv_CAP_OPENNI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_ASUS/0","title":"Evision.Constant.cv_CAP_OPENNI_ASUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_BGR_IMAGE/0","title":"Evision.Constant.cv_CAP_OPENNI_BGR_IMAGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_DEPTH_GENERATOR/0","title":"Evision.Constant.cv_CAP_OPENNI_DEPTH_GENERATOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_DEPTH_GENERATOR_BASELINE/0","title":"Evision.Constant.cv_CAP_OPENNI_DEPTH_GENERATOR_BASELINE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_DEPTH_GENERATOR_FOCAL_LENGTH/0","title":"Evision.Constant.cv_CAP_OPENNI_DEPTH_GENERATOR_FOCAL_LENGTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_DEPTH_GENERATOR_PRESENT/0","title":"Evision.Constant.cv_CAP_OPENNI_DEPTH_GENERATOR_PRESENT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_DEPTH_GENERATOR_REGISTRATION/0","title":"Evision.Constant.cv_CAP_OPENNI_DEPTH_GENERATOR_REGISTRATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_DEPTH_GENERATOR_REGISTRATION_ON/0","title":"Evision.Constant.cv_CAP_OPENNI_DEPTH_GENERATOR_REGISTRATION_ON/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_DEPTH_MAP/0","title":"Evision.Constant.cv_CAP_OPENNI_DEPTH_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_DISPARITY_MAP/0","title":"Evision.Constant.cv_CAP_OPENNI_DISPARITY_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_DISPARITY_MAP_32F/0","title":"Evision.Constant.cv_CAP_OPENNI_DISPARITY_MAP_32F/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_GENERATORS_MASK/0","title":"Evision.Constant.cv_CAP_OPENNI_GENERATORS_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_GRAY_IMAGE/0","title":"Evision.Constant.cv_CAP_OPENNI_GRAY_IMAGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_IMAGE_GENERATOR/0","title":"Evision.Constant.cv_CAP_OPENNI_IMAGE_GENERATOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_IMAGE_GENERATOR_OUTPUT_MODE/0","title":"Evision.Constant.cv_CAP_OPENNI_IMAGE_GENERATOR_OUTPUT_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_IMAGE_GENERATOR_PRESENT/0","title":"Evision.Constant.cv_CAP_OPENNI_IMAGE_GENERATOR_PRESENT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_IR_GENERATOR/0","title":"Evision.Constant.cv_CAP_OPENNI_IR_GENERATOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_IR_GENERATOR_PRESENT/0","title":"Evision.Constant.cv_CAP_OPENNI_IR_GENERATOR_PRESENT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_IR_IMAGE/0","title":"Evision.Constant.cv_CAP_OPENNI_IR_IMAGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_POINT_CLOUD_MAP/0","title":"Evision.Constant.cv_CAP_OPENNI_POINT_CLOUD_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_QVGA_30HZ/0","title":"Evision.Constant.cv_CAP_OPENNI_QVGA_30HZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_QVGA_60HZ/0","title":"Evision.Constant.cv_CAP_OPENNI_QVGA_60HZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_SXGA_15HZ/0","title":"Evision.Constant.cv_CAP_OPENNI_SXGA_15HZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_SXGA_30HZ/0","title":"Evision.Constant.cv_CAP_OPENNI_SXGA_30HZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_VALID_DEPTH_MASK/0","title":"Evision.Constant.cv_CAP_OPENNI_VALID_DEPTH_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_OPENNI_VGA_30HZ/0","title":"Evision.Constant.cv_CAP_OPENNI_VGA_30HZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_APERTURE/0","title":"Evision.Constant.cv_CAP_PROP_APERTURE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_ARAVIS_AUTOTRIGGER/0","title":"Evision.Constant.cv_CAP_PROP_ARAVIS_AUTOTRIGGER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUDIO_BASE_INDEX/0","title":"Evision.Constant.cv_CAP_PROP_AUDIO_BASE_INDEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUDIO_DATA_DEPTH/0","title":"Evision.Constant.cv_CAP_PROP_AUDIO_DATA_DEPTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUDIO_POS/0","title":"Evision.Constant.cv_CAP_PROP_AUDIO_POS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUDIO_SAMPLES_PER_SECOND/0","title":"Evision.Constant.cv_CAP_PROP_AUDIO_SAMPLES_PER_SECOND/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUDIO_SHIFT_NSEC/0","title":"Evision.Constant.cv_CAP_PROP_AUDIO_SHIFT_NSEC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUDIO_STREAM/0","title":"Evision.Constant.cv_CAP_PROP_AUDIO_STREAM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUDIO_SYNCHRONIZE/0","title":"Evision.Constant.cv_CAP_PROP_AUDIO_SYNCHRONIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUDIO_TOTAL_CHANNELS/0","title":"Evision.Constant.cv_CAP_PROP_AUDIO_TOTAL_CHANNELS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUDIO_TOTAL_STREAMS/0","title":"Evision.Constant.cv_CAP_PROP_AUDIO_TOTAL_STREAMS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUTO_EXPOSURE/0","title":"Evision.Constant.cv_CAP_PROP_AUTO_EXPOSURE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUTO_WB/0","title":"Evision.Constant.cv_CAP_PROP_AUTO_WB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_AUTOFOCUS/0","title":"Evision.Constant.cv_CAP_PROP_AUTOFOCUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_BACKEND/0","title":"Evision.Constant.cv_CAP_PROP_BACKEND/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_BACKLIGHT/0","title":"Evision.Constant.cv_CAP_PROP_BACKLIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_BITRATE/0","title":"Evision.Constant.cv_CAP_PROP_BITRATE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_BRIGHTNESS/0","title":"Evision.Constant.cv_CAP_PROP_BRIGHTNESS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_BUFFERSIZE/0","title":"Evision.Constant.cv_CAP_PROP_BUFFERSIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_CHANNEL/0","title":"Evision.Constant.cv_CAP_PROP_CHANNEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_CODEC_EXTRADATA_INDEX/0","title":"Evision.Constant.cv_CAP_PROP_CODEC_EXTRADATA_INDEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_CODEC_PIXEL_FORMAT/0","title":"Evision.Constant.cv_CAP_PROP_CODEC_PIXEL_FORMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_CONTRAST/0","title":"Evision.Constant.cv_CAP_PROP_CONTRAST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_CONVERT_RGB/0","title":"Evision.Constant.cv_CAP_PROP_CONVERT_RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_DC1394_MAX/0","title":"Evision.Constant.cv_CAP_PROP_DC1394_MAX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_DC1394_MODE_AUTO/0","title":"Evision.Constant.cv_CAP_PROP_DC1394_MODE_AUTO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_DC1394_MODE_MANUAL/0","title":"Evision.Constant.cv_CAP_PROP_DC1394_MODE_MANUAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_DC1394_MODE_ONE_PUSH_AUTO/0","title":"Evision.Constant.cv_CAP_PROP_DC1394_MODE_ONE_PUSH_AUTO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_DC1394_OFF/0","title":"Evision.Constant.cv_CAP_PROP_DC1394_OFF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_EXPOSURE/0","title":"Evision.Constant.cv_CAP_PROP_EXPOSURE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_EXPOSUREPROGRAM/0","title":"Evision.Constant.cv_CAP_PROP_EXPOSUREPROGRAM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_FOCUS/0","title":"Evision.Constant.cv_CAP_PROP_FOCUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_FORMAT/0","title":"Evision.Constant.cv_CAP_PROP_FORMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_FOURCC/0","title":"Evision.Constant.cv_CAP_PROP_FOURCC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_FPS/0","title":"Evision.Constant.cv_CAP_PROP_FPS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_FRAME_COUNT/0","title":"Evision.Constant.cv_CAP_PROP_FRAME_COUNT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_FRAME_HEIGHT/0","title":"Evision.Constant.cv_CAP_PROP_FRAME_HEIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_FRAME_TYPE/0","title":"Evision.Constant.cv_CAP_PROP_FRAME_TYPE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_FRAME_WIDTH/0","title":"Evision.Constant.cv_CAP_PROP_FRAME_WIDTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GAIN/0","title":"Evision.Constant.cv_CAP_PROP_GAIN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GAMMA/0","title":"Evision.Constant.cv_CAP_PROP_GAMMA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GIGA_FRAME_HEIGH_MAX/0","title":"Evision.Constant.cv_CAP_PROP_GIGA_FRAME_HEIGH_MAX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GIGA_FRAME_OFFSET_X/0","title":"Evision.Constant.cv_CAP_PROP_GIGA_FRAME_OFFSET_X/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GIGA_FRAME_OFFSET_Y/0","title":"Evision.Constant.cv_CAP_PROP_GIGA_FRAME_OFFSET_Y/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GIGA_FRAME_SENS_HEIGH/0","title":"Evision.Constant.cv_CAP_PROP_GIGA_FRAME_SENS_HEIGH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GIGA_FRAME_SENS_WIDTH/0","title":"Evision.Constant.cv_CAP_PROP_GIGA_FRAME_SENS_WIDTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GIGA_FRAME_WIDTH_MAX/0","title":"Evision.Constant.cv_CAP_PROP_GIGA_FRAME_WIDTH_MAX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GPHOTO2_COLLECT_MSGS/0","title":"Evision.Constant.cv_CAP_PROP_GPHOTO2_COLLECT_MSGS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GPHOTO2_FLUSH_MSGS/0","title":"Evision.Constant.cv_CAP_PROP_GPHOTO2_FLUSH_MSGS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GPHOTO2_PREVIEW/0","title":"Evision.Constant.cv_CAP_PROP_GPHOTO2_PREVIEW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GPHOTO2_RELOAD_CONFIG/0","title":"Evision.Constant.cv_CAP_PROP_GPHOTO2_RELOAD_CONFIG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GPHOTO2_RELOAD_ON_CHANGE/0","title":"Evision.Constant.cv_CAP_PROP_GPHOTO2_RELOAD_ON_CHANGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GPHOTO2_WIDGET_ENUMERATE/0","title":"Evision.Constant.cv_CAP_PROP_GPHOTO2_WIDGET_ENUMERATE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GSTREAMER_QUEUE_LENGTH/0","title":"Evision.Constant.cv_CAP_PROP_GSTREAMER_QUEUE_LENGTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_GUID/0","title":"Evision.Constant.cv_CAP_PROP_GUID/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_HUE/0","title":"Evision.Constant.cv_CAP_PROP_HUE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_HW_ACCELERATION/0","title":"Evision.Constant.cv_CAP_PROP_HW_ACCELERATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_HW_ACCELERATION_USE_OPENCL/0","title":"Evision.Constant.cv_CAP_PROP_HW_ACCELERATION_USE_OPENCL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_HW_DEVICE/0","title":"Evision.Constant.cv_CAP_PROP_HW_DEVICE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_IMAGES_BASE/0","title":"Evision.Constant.cv_CAP_PROP_IMAGES_BASE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_IMAGES_LAST/0","title":"Evision.Constant.cv_CAP_PROP_IMAGES_LAST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_INTELPERC_DEPTH_CONFIDENCE_THRESHOLD/0","title":"Evision.Constant.cv_CAP_PROP_INTELPERC_DEPTH_CONFIDENCE_THRESHOLD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_INTELPERC_DEPTH_FOCAL_LENGTH_HORZ/0","title":"Evision.Constant.cv_CAP_PROP_INTELPERC_DEPTH_FOCAL_LENGTH_HORZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_INTELPERC_DEPTH_FOCAL_LENGTH_VERT/0","title":"Evision.Constant.cv_CAP_PROP_INTELPERC_DEPTH_FOCAL_LENGTH_VERT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_INTELPERC_DEPTH_LOW_CONFIDENCE_VALUE/0","title":"Evision.Constant.cv_CAP_PROP_INTELPERC_DEPTH_LOW_CONFIDENCE_VALUE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_INTELPERC_DEPTH_SATURATION_VALUE/0","title":"Evision.Constant.cv_CAP_PROP_INTELPERC_DEPTH_SATURATION_VALUE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_INTELPERC_PROFILE_COUNT/0","title":"Evision.Constant.cv_CAP_PROP_INTELPERC_PROFILE_COUNT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_INTELPERC_PROFILE_IDX/0","title":"Evision.Constant.cv_CAP_PROP_INTELPERC_PROFILE_IDX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_IOS_DEVICE_EXPOSURE/0","title":"Evision.Constant.cv_CAP_PROP_IOS_DEVICE_EXPOSURE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_IOS_DEVICE_FLASH/0","title":"Evision.Constant.cv_CAP_PROP_IOS_DEVICE_FLASH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_IOS_DEVICE_FOCUS/0","title":"Evision.Constant.cv_CAP_PROP_IOS_DEVICE_FOCUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_IOS_DEVICE_TORCH/0","title":"Evision.Constant.cv_CAP_PROP_IOS_DEVICE_TORCH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_IOS_DEVICE_WHITEBALANCE/0","title":"Evision.Constant.cv_CAP_PROP_IOS_DEVICE_WHITEBALANCE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_IRIS/0","title":"Evision.Constant.cv_CAP_PROP_IRIS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_ISO_SPEED/0","title":"Evision.Constant.cv_CAP_PROP_ISO_SPEED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_LRF_HAS_KEY_FRAME/0","title":"Evision.Constant.cv_CAP_PROP_LRF_HAS_KEY_FRAME/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_MODE/0","title":"Evision.Constant.cv_CAP_PROP_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_MONOCHROME/0","title":"Evision.Constant.cv_CAP_PROP_MONOCHROME/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_N_THREADS/0","title":"Evision.Constant.cv_CAP_PROP_N_THREADS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OBSENSOR_INTRINSIC_CX/0","title":"Evision.Constant.cv_CAP_PROP_OBSENSOR_INTRINSIC_CX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OBSENSOR_INTRINSIC_CY/0","title":"Evision.Constant.cv_CAP_PROP_OBSENSOR_INTRINSIC_CY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OBSENSOR_INTRINSIC_FX/0","title":"Evision.Constant.cv_CAP_PROP_OBSENSOR_INTRINSIC_FX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OBSENSOR_INTRINSIC_FY/0","title":"Evision.Constant.cv_CAP_PROP_OBSENSOR_INTRINSIC_FY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPEN_TIMEOUT_MSEC/0","title":"Evision.Constant.cv_CAP_PROP_OPEN_TIMEOUT_MSEC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI2_MIRROR/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI2_MIRROR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI2_SYNC/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI2_SYNC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_APPROX_FRAME_SYNC/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_APPROX_FRAME_SYNC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_BASELINE/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_BASELINE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_CIRCLE_BUFFER/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_CIRCLE_BUFFER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_FOCAL_LENGTH/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_FOCAL_LENGTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_FRAME_MAX_DEPTH/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_FRAME_MAX_DEPTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_GENERATOR_PRESENT/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_GENERATOR_PRESENT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_MAX_BUFFER_SIZE/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_MAX_BUFFER_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_MAX_TIME_DURATION/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_MAX_TIME_DURATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_OUTPUT_MODE/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_OUTPUT_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_REGISTRATION/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_REGISTRATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_OPENNI_REGISTRATION_ON/0","title":"Evision.Constant.cv_CAP_PROP_OPENNI_REGISTRATION_ON/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_ORIENTATION_AUTO/0","title":"Evision.Constant.cv_CAP_PROP_ORIENTATION_AUTO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_ORIENTATION_META/0","title":"Evision.Constant.cv_CAP_PROP_ORIENTATION_META/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_PAN/0","title":"Evision.Constant.cv_CAP_PROP_PAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_POS_AVI_RATIO/0","title":"Evision.Constant.cv_CAP_PROP_POS_AVI_RATIO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_POS_FRAMES/0","title":"Evision.Constant.cv_CAP_PROP_POS_FRAMES/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_POS_MSEC/0","title":"Evision.Constant.cv_CAP_PROP_POS_MSEC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_PVAPI_BINNINGX/0","title":"Evision.Constant.cv_CAP_PROP_PVAPI_BINNINGX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_PVAPI_BINNINGY/0","title":"Evision.Constant.cv_CAP_PROP_PVAPI_BINNINGY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_PVAPI_DECIMATIONHORIZONTAL/0","title":"Evision.Constant.cv_CAP_PROP_PVAPI_DECIMATIONHORIZONTAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_PVAPI_DECIMATIONVERTICAL/0","title":"Evision.Constant.cv_CAP_PROP_PVAPI_DECIMATIONVERTICAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_PVAPI_FRAMESTARTTRIGGERMODE/0","title":"Evision.Constant.cv_CAP_PROP_PVAPI_FRAMESTARTTRIGGERMODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_PVAPI_MULTICASTIP/0","title":"Evision.Constant.cv_CAP_PROP_PVAPI_MULTICASTIP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_PVAPI_PIXELFORMAT/0","title":"Evision.Constant.cv_CAP_PROP_PVAPI_PIXELFORMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_READ_TIMEOUT_MSEC/0","title":"Evision.Constant.cv_CAP_PROP_READ_TIMEOUT_MSEC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_RECTIFICATION/0","title":"Evision.Constant.cv_CAP_PROP_RECTIFICATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_ROLL/0","title":"Evision.Constant.cv_CAP_PROP_ROLL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_SAR_DEN/0","title":"Evision.Constant.cv_CAP_PROP_SAR_DEN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_SAR_NUM/0","title":"Evision.Constant.cv_CAP_PROP_SAR_NUM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_SATURATION/0","title":"Evision.Constant.cv_CAP_PROP_SATURATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_SETTINGS/0","title":"Evision.Constant.cv_CAP_PROP_SETTINGS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_SHARPNESS/0","title":"Evision.Constant.cv_CAP_PROP_SHARPNESS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_SPEED/0","title":"Evision.Constant.cv_CAP_PROP_SPEED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_STREAM_OPEN_TIME_USEC/0","title":"Evision.Constant.cv_CAP_PROP_STREAM_OPEN_TIME_USEC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_TEMPERATURE/0","title":"Evision.Constant.cv_CAP_PROP_TEMPERATURE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_TILT/0","title":"Evision.Constant.cv_CAP_PROP_TILT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_TRIGGER/0","title":"Evision.Constant.cv_CAP_PROP_TRIGGER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_TRIGGER_DELAY/0","title":"Evision.Constant.cv_CAP_PROP_TRIGGER_DELAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_VIDEO_STREAM/0","title":"Evision.Constant.cv_CAP_PROP_VIDEO_STREAM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_VIDEO_TOTAL_CHANNELS/0","title":"Evision.Constant.cv_CAP_PROP_VIDEO_TOTAL_CHANNELS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_VIEWFINDER/0","title":"Evision.Constant.cv_CAP_PROP_VIEWFINDER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_WB_TEMPERATURE/0","title":"Evision.Constant.cv_CAP_PROP_WB_TEMPERATURE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_WHITE_BALANCE_BLUE_U/0","title":"Evision.Constant.cv_CAP_PROP_WHITE_BALANCE_BLUE_U/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_WHITE_BALANCE_RED_V/0","title":"Evision.Constant.cv_CAP_PROP_WHITE_BALANCE_RED_V/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_ACQ_BUFFER_SIZE/0","title":"Evision.Constant.cv_CAP_PROP_XI_ACQ_BUFFER_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_ACQ_BUFFER_SIZE_UNIT/0","title":"Evision.Constant.cv_CAP_PROP_XI_ACQ_BUFFER_SIZE_UNIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_ACQ_FRAME_BURST_COUNT/0","title":"Evision.Constant.cv_CAP_PROP_XI_ACQ_FRAME_BURST_COUNT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_ACQ_TIMING_MODE/0","title":"Evision.Constant.cv_CAP_PROP_XI_ACQ_TIMING_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_ACQ_TRANSPORT_BUFFER_COMMIT/0","title":"Evision.Constant.cv_CAP_PROP_XI_ACQ_TRANSPORT_BUFFER_COMMIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_ACQ_TRANSPORT_BUFFER_SIZE/0","title":"Evision.Constant.cv_CAP_PROP_XI_ACQ_TRANSPORT_BUFFER_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AE_MAX_LIMIT/0","title":"Evision.Constant.cv_CAP_PROP_XI_AE_MAX_LIMIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AEAG/0","title":"Evision.Constant.cv_CAP_PROP_XI_AEAG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AEAG_LEVEL/0","title":"Evision.Constant.cv_CAP_PROP_XI_AEAG_LEVEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AEAG_ROI_HEIGHT/0","title":"Evision.Constant.cv_CAP_PROP_XI_AEAG_ROI_HEIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AEAG_ROI_OFFSET_X/0","title":"Evision.Constant.cv_CAP_PROP_XI_AEAG_ROI_OFFSET_X/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AEAG_ROI_OFFSET_Y/0","title":"Evision.Constant.cv_CAP_PROP_XI_AEAG_ROI_OFFSET_Y/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AEAG_ROI_WIDTH/0","title":"Evision.Constant.cv_CAP_PROP_XI_AEAG_ROI_WIDTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AG_MAX_LIMIT/0","title":"Evision.Constant.cv_CAP_PROP_XI_AG_MAX_LIMIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_APPLY_CMS/0","title":"Evision.Constant.cv_CAP_PROP_XI_APPLY_CMS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AUTO_BANDWIDTH_CALCULATION/0","title":"Evision.Constant.cv_CAP_PROP_XI_AUTO_BANDWIDTH_CALCULATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AUTO_WB/0","title":"Evision.Constant.cv_CAP_PROP_XI_AUTO_WB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_AVAILABLE_BANDWIDTH/0","title":"Evision.Constant.cv_CAP_PROP_XI_AVAILABLE_BANDWIDTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_BINNING_HORIZONTAL/0","title":"Evision.Constant.cv_CAP_PROP_XI_BINNING_HORIZONTAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_BINNING_PATTERN/0","title":"Evision.Constant.cv_CAP_PROP_XI_BINNING_PATTERN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_BINNING_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_BINNING_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_BINNING_VERTICAL/0","title":"Evision.Constant.cv_CAP_PROP_XI_BINNING_VERTICAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_BPC/0","title":"Evision.Constant.cv_CAP_PROP_XI_BPC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_BUFFER_POLICY/0","title":"Evision.Constant.cv_CAP_PROP_XI_BUFFER_POLICY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_BUFFERS_QUEUE_SIZE/0","title":"Evision.Constant.cv_CAP_PROP_XI_BUFFERS_QUEUE_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_00/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_00/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_01/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_01/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_02/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_02/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_03/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_03/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_10/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_11/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_11/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_12/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_13/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_13/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_20/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_20/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_21/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_21/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_22/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_22/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_23/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_23/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_30/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_30/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_31/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_31/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_32/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_32/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CC_MATRIX_33/0","title":"Evision.Constant.cv_CAP_PROP_XI_CC_MATRIX_33/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CHIP_TEMP/0","title":"Evision.Constant.cv_CAP_PROP_XI_CHIP_TEMP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_CMS/0","title":"Evision.Constant.cv_CAP_PROP_XI_CMS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_COLOR_FILTER_ARRAY/0","title":"Evision.Constant.cv_CAP_PROP_XI_COLOR_FILTER_ARRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_COLUMN_FPN_CORRECTION/0","title":"Evision.Constant.cv_CAP_PROP_XI_COLUMN_FPN_CORRECTION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_COOLING/0","title":"Evision.Constant.cv_CAP_PROP_XI_COOLING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_COUNTER_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_COUNTER_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_COUNTER_VALUE/0","title":"Evision.Constant.cv_CAP_PROP_XI_COUNTER_VALUE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DATA_FORMAT/0","title":"Evision.Constant.cv_CAP_PROP_XI_DATA_FORMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DEBOUNCE_EN/0","title":"Evision.Constant.cv_CAP_PROP_XI_DEBOUNCE_EN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DEBOUNCE_POL/0","title":"Evision.Constant.cv_CAP_PROP_XI_DEBOUNCE_POL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DEBOUNCE_T0/0","title":"Evision.Constant.cv_CAP_PROP_XI_DEBOUNCE_T0/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DEBOUNCE_T1/0","title":"Evision.Constant.cv_CAP_PROP_XI_DEBOUNCE_T1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DEBUG_LEVEL/0","title":"Evision.Constant.cv_CAP_PROP_XI_DEBUG_LEVEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DECIMATION_HORIZONTAL/0","title":"Evision.Constant.cv_CAP_PROP_XI_DECIMATION_HORIZONTAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DECIMATION_PATTERN/0","title":"Evision.Constant.cv_CAP_PROP_XI_DECIMATION_PATTERN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DECIMATION_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_DECIMATION_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DECIMATION_VERTICAL/0","title":"Evision.Constant.cv_CAP_PROP_XI_DECIMATION_VERTICAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DEFAULT_CC_MATRIX/0","title":"Evision.Constant.cv_CAP_PROP_XI_DEFAULT_CC_MATRIX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DEVICE_MODEL_ID/0","title":"Evision.Constant.cv_CAP_PROP_XI_DEVICE_MODEL_ID/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DEVICE_RESET/0","title":"Evision.Constant.cv_CAP_PROP_XI_DEVICE_RESET/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DEVICE_SN/0","title":"Evision.Constant.cv_CAP_PROP_XI_DEVICE_SN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DOWNSAMPLING/0","title":"Evision.Constant.cv_CAP_PROP_XI_DOWNSAMPLING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_DOWNSAMPLING_TYPE/0","title":"Evision.Constant.cv_CAP_PROP_XI_DOWNSAMPLING_TYPE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_EXP_PRIORITY/0","title":"Evision.Constant.cv_CAP_PROP_XI_EXP_PRIORITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_EXPOSURE/0","title":"Evision.Constant.cv_CAP_PROP_XI_EXPOSURE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_EXPOSURE_BURST_COUNT/0","title":"Evision.Constant.cv_CAP_PROP_XI_EXPOSURE_BURST_COUNT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_FFS_ACCESS_KEY/0","title":"Evision.Constant.cv_CAP_PROP_XI_FFS_ACCESS_KEY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_FFS_FILE_ID/0","title":"Evision.Constant.cv_CAP_PROP_XI_FFS_FILE_ID/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_FFS_FILE_SIZE/0","title":"Evision.Constant.cv_CAP_PROP_XI_FFS_FILE_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_FRAMERATE/0","title":"Evision.Constant.cv_CAP_PROP_XI_FRAMERATE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_FREE_FFS_SIZE/0","title":"Evision.Constant.cv_CAP_PROP_XI_FREE_FFS_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_GAIN/0","title":"Evision.Constant.cv_CAP_PROP_XI_GAIN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_GAIN_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_GAIN_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_GAMMAC/0","title":"Evision.Constant.cv_CAP_PROP_XI_GAMMAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_GAMMAY/0","title":"Evision.Constant.cv_CAP_PROP_XI_GAMMAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_GPI_LEVEL/0","title":"Evision.Constant.cv_CAP_PROP_XI_GPI_LEVEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_GPI_MODE/0","title":"Evision.Constant.cv_CAP_PROP_XI_GPI_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_GPI_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_GPI_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_GPO_MODE/0","title":"Evision.Constant.cv_CAP_PROP_XI_GPO_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_GPO_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_GPO_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_HDR/0","title":"Evision.Constant.cv_CAP_PROP_XI_HDR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_HDR_KNEEPOINT_COUNT/0","title":"Evision.Constant.cv_CAP_PROP_XI_HDR_KNEEPOINT_COUNT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_HDR_T1/0","title":"Evision.Constant.cv_CAP_PROP_XI_HDR_T1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_HDR_T2/0","title":"Evision.Constant.cv_CAP_PROP_XI_HDR_T2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_HEIGHT/0","title":"Evision.Constant.cv_CAP_PROP_XI_HEIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_HOUS_BACK_SIDE_TEMP/0","title":"Evision.Constant.cv_CAP_PROP_XI_HOUS_BACK_SIDE_TEMP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_HOUS_TEMP/0","title":"Evision.Constant.cv_CAP_PROP_XI_HOUS_TEMP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_HW_REVISION/0","title":"Evision.Constant.cv_CAP_PROP_XI_HW_REVISION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_IMAGE_BLACK_LEVEL/0","title":"Evision.Constant.cv_CAP_PROP_XI_IMAGE_BLACK_LEVEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_IMAGE_DATA_BIT_DEPTH/0","title":"Evision.Constant.cv_CAP_PROP_XI_IMAGE_DATA_BIT_DEPTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_IMAGE_DATA_FORMAT/0","title":"Evision.Constant.cv_CAP_PROP_XI_IMAGE_DATA_FORMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_IMAGE_DATA_FORMAT_RGB32_ALPHA/0","title":"Evision.Constant.cv_CAP_PROP_XI_IMAGE_DATA_FORMAT_RGB32_ALPHA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_IMAGE_IS_COLOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_IMAGE_IS_COLOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_IMAGE_PAYLOAD_SIZE/0","title":"Evision.Constant.cv_CAP_PROP_XI_IMAGE_PAYLOAD_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_IS_COOLED/0","title":"Evision.Constant.cv_CAP_PROP_XI_IS_COOLED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_IS_DEVICE_EXIST/0","title":"Evision.Constant.cv_CAP_PROP_XI_IS_DEVICE_EXIST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_KNEEPOINT1/0","title":"Evision.Constant.cv_CAP_PROP_XI_KNEEPOINT1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_KNEEPOINT2/0","title":"Evision.Constant.cv_CAP_PROP_XI_KNEEPOINT2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LED_MODE/0","title":"Evision.Constant.cv_CAP_PROP_XI_LED_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LED_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_LED_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LENS_APERTURE_VALUE/0","title":"Evision.Constant.cv_CAP_PROP_XI_LENS_APERTURE_VALUE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LENS_FEATURE/0","title":"Evision.Constant.cv_CAP_PROP_XI_LENS_FEATURE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LENS_FEATURE_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_LENS_FEATURE_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LENS_FOCAL_LENGTH/0","title":"Evision.Constant.cv_CAP_PROP_XI_LENS_FOCAL_LENGTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LENS_FOCUS_DISTANCE/0","title":"Evision.Constant.cv_CAP_PROP_XI_LENS_FOCUS_DISTANCE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LENS_FOCUS_MOVE/0","title":"Evision.Constant.cv_CAP_PROP_XI_LENS_FOCUS_MOVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LENS_FOCUS_MOVEMENT_VALUE/0","title":"Evision.Constant.cv_CAP_PROP_XI_LENS_FOCUS_MOVEMENT_VALUE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LENS_MODE/0","title":"Evision.Constant.cv_CAP_PROP_XI_LENS_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LIMIT_BANDWIDTH/0","title":"Evision.Constant.cv_CAP_PROP_XI_LIMIT_BANDWIDTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LUT_EN/0","title":"Evision.Constant.cv_CAP_PROP_XI_LUT_EN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LUT_INDEX/0","title":"Evision.Constant.cv_CAP_PROP_XI_LUT_INDEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_LUT_VALUE/0","title":"Evision.Constant.cv_CAP_PROP_XI_LUT_VALUE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_MANUAL_WB/0","title":"Evision.Constant.cv_CAP_PROP_XI_MANUAL_WB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_OFFSET_X/0","title":"Evision.Constant.cv_CAP_PROP_XI_OFFSET_X/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_OFFSET_Y/0","title":"Evision.Constant.cv_CAP_PROP_XI_OFFSET_Y/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_OUTPUT_DATA_BIT_DEPTH/0","title":"Evision.Constant.cv_CAP_PROP_XI_OUTPUT_DATA_BIT_DEPTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_OUTPUT_DATA_PACKING/0","title":"Evision.Constant.cv_CAP_PROP_XI_OUTPUT_DATA_PACKING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_OUTPUT_DATA_PACKING_TYPE/0","title":"Evision.Constant.cv_CAP_PROP_XI_OUTPUT_DATA_PACKING_TYPE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_RECENT_FRAME/0","title":"Evision.Constant.cv_CAP_PROP_XI_RECENT_FRAME/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_REGION_MODE/0","title":"Evision.Constant.cv_CAP_PROP_XI_REGION_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_REGION_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_REGION_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_ROW_FPN_CORRECTION/0","title":"Evision.Constant.cv_CAP_PROP_XI_ROW_FPN_CORRECTION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SENSOR_BOARD_TEMP/0","title":"Evision.Constant.cv_CAP_PROP_XI_SENSOR_BOARD_TEMP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SENSOR_CLOCK_FREQ_HZ/0","title":"Evision.Constant.cv_CAP_PROP_XI_SENSOR_CLOCK_FREQ_HZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SENSOR_CLOCK_FREQ_INDEX/0","title":"Evision.Constant.cv_CAP_PROP_XI_SENSOR_CLOCK_FREQ_INDEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SENSOR_DATA_BIT_DEPTH/0","title":"Evision.Constant.cv_CAP_PROP_XI_SENSOR_DATA_BIT_DEPTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SENSOR_FEATURE_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_SENSOR_FEATURE_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SENSOR_FEATURE_VALUE/0","title":"Evision.Constant.cv_CAP_PROP_XI_SENSOR_FEATURE_VALUE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SENSOR_MODE/0","title":"Evision.Constant.cv_CAP_PROP_XI_SENSOR_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SENSOR_OUTPUT_CHANNEL_COUNT/0","title":"Evision.Constant.cv_CAP_PROP_XI_SENSOR_OUTPUT_CHANNEL_COUNT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SENSOR_TAPS/0","title":"Evision.Constant.cv_CAP_PROP_XI_SENSOR_TAPS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SHARPNESS/0","title":"Evision.Constant.cv_CAP_PROP_XI_SHARPNESS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_SHUTTER_TYPE/0","title":"Evision.Constant.cv_CAP_PROP_XI_SHUTTER_TYPE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TARGET_TEMP/0","title":"Evision.Constant.cv_CAP_PROP_XI_TARGET_TEMP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TEST_PATTERN/0","title":"Evision.Constant.cv_CAP_PROP_XI_TEST_PATTERN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TEST_PATTERN_GENERATOR_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_TEST_PATTERN_GENERATOR_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TIMEOUT/0","title":"Evision.Constant.cv_CAP_PROP_XI_TIMEOUT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TRANSPORT_PIXEL_FORMAT/0","title":"Evision.Constant.cv_CAP_PROP_XI_TRANSPORT_PIXEL_FORMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TRG_DELAY/0","title":"Evision.Constant.cv_CAP_PROP_XI_TRG_DELAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TRG_SELECTOR/0","title":"Evision.Constant.cv_CAP_PROP_XI_TRG_SELECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TRG_SOFTWARE/0","title":"Evision.Constant.cv_CAP_PROP_XI_TRG_SOFTWARE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TRG_SOURCE/0","title":"Evision.Constant.cv_CAP_PROP_XI_TRG_SOURCE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TS_RST_MODE/0","title":"Evision.Constant.cv_CAP_PROP_XI_TS_RST_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_TS_RST_SOURCE/0","title":"Evision.Constant.cv_CAP_PROP_XI_TS_RST_SOURCE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_USED_FFS_SIZE/0","title":"Evision.Constant.cv_CAP_PROP_XI_USED_FFS_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_WB_KB/0","title":"Evision.Constant.cv_CAP_PROP_XI_WB_KB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_WB_KG/0","title":"Evision.Constant.cv_CAP_PROP_XI_WB_KG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_WB_KR/0","title":"Evision.Constant.cv_CAP_PROP_XI_WB_KR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_XI_WIDTH/0","title":"Evision.Constant.cv_CAP_PROP_XI_WIDTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PROP_ZOOM/0","title":"Evision.Constant.cv_CAP_PROP_ZOOM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI/0","title":"Evision.Constant.cv_CAP_PVAPI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_DECIMATION_2OUTOF4/0","title":"Evision.Constant.cv_CAP_PVAPI_DECIMATION_2OUTOF4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_DECIMATION_2OUTOF8/0","title":"Evision.Constant.cv_CAP_PVAPI_DECIMATION_2OUTOF8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_DECIMATION_2OUTOF16/0","title":"Evision.Constant.cv_CAP_PVAPI_DECIMATION_2OUTOF16/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_DECIMATION_OFF/0","title":"Evision.Constant.cv_CAP_PVAPI_DECIMATION_OFF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_FSTRIGMODE_FIXEDRATE/0","title":"Evision.Constant.cv_CAP_PVAPI_FSTRIGMODE_FIXEDRATE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_FSTRIGMODE_FREERUN/0","title":"Evision.Constant.cv_CAP_PVAPI_FSTRIGMODE_FREERUN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_FSTRIGMODE_SOFTWARE/0","title":"Evision.Constant.cv_CAP_PVAPI_FSTRIGMODE_SOFTWARE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_FSTRIGMODE_SYNCIN1/0","title":"Evision.Constant.cv_CAP_PVAPI_FSTRIGMODE_SYNCIN1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_FSTRIGMODE_SYNCIN2/0","title":"Evision.Constant.cv_CAP_PVAPI_FSTRIGMODE_SYNCIN2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_PIXELFORMAT_BAYER8/0","title":"Evision.Constant.cv_CAP_PVAPI_PIXELFORMAT_BAYER8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_PIXELFORMAT_BAYER16/0","title":"Evision.Constant.cv_CAP_PVAPI_PIXELFORMAT_BAYER16/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_PIXELFORMAT_BGR24/0","title":"Evision.Constant.cv_CAP_PVAPI_PIXELFORMAT_BGR24/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_PIXELFORMAT_BGRA32/0","title":"Evision.Constant.cv_CAP_PVAPI_PIXELFORMAT_BGRA32/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_PIXELFORMAT_MONO8/0","title":"Evision.Constant.cv_CAP_PVAPI_PIXELFORMAT_MONO8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_PIXELFORMAT_MONO16/0","title":"Evision.Constant.cv_CAP_PVAPI_PIXELFORMAT_MONO16/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_PIXELFORMAT_RGB24/0","title":"Evision.Constant.cv_CAP_PVAPI_PIXELFORMAT_RGB24/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_PVAPI_PIXELFORMAT_RGBA32/0","title":"Evision.Constant.cv_CAP_PVAPI_PIXELFORMAT_RGBA32/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_QT/0","title":"Evision.Constant.cv_CAP_QT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_REALSENSE/0","title":"Evision.Constant.cv_CAP_REALSENSE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_UEYE/0","title":"Evision.Constant.cv_CAP_UEYE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_UNICAP/0","title":"Evision.Constant.cv_CAP_UNICAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_V4L2/0","title":"Evision.Constant.cv_CAP_V4L2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_V4L/0","title":"Evision.Constant.cv_CAP_V4L/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_VFW/0","title":"Evision.Constant.cv_CAP_VFW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_WINRT/0","title":"Evision.Constant.cv_CAP_WINRT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_XIAPI/0","title":"Evision.Constant.cv_CAP_XIAPI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CAP_XINE/0","title":"Evision.Constant.cv_CAP_XINE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CASCADE_DO_CANNY_PRUNING/0","title":"Evision.Constant.cv_CASCADE_DO_CANNY_PRUNING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CASCADE_DO_ROUGH_SEARCH/0","title":"Evision.Constant.cv_CASCADE_DO_ROUGH_SEARCH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CASCADE_FIND_BIGGEST_OBJECT/0","title":"Evision.Constant.cv_CASCADE_FIND_BIGGEST_OBJECT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CASCADE_SCALE_IMAGE/0","title":"Evision.Constant.cv_CASCADE_SCALE_IMAGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CC_STAT_AREA/0","title":"Evision.Constant.cv_CC_STAT_AREA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CC_STAT_HEIGHT/0","title":"Evision.Constant.cv_CC_STAT_HEIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CC_STAT_LEFT/0","title":"Evision.Constant.cv_CC_STAT_LEFT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CC_STAT_MAX/0","title":"Evision.Constant.cv_CC_STAT_MAX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CC_STAT_TOP/0","title":"Evision.Constant.cv_CC_STAT_TOP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CC_STAT_WIDTH/0","title":"Evision.Constant.cv_CC_STAT_WIDTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CCL_BBDT/0","title":"Evision.Constant.cv_CCL_BBDT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CCL_BKE/0","title":"Evision.Constant.cv_CCL_BKE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CCL_BOLELLI/0","title":"Evision.Constant.cv_CCL_BOLELLI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CCL_DEFAULT/0","title":"Evision.Constant.cv_CCL_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CCL_GRANA/0","title":"Evision.Constant.cv_CCL_GRANA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CCL_SAUF/0","title":"Evision.Constant.cv_CCL_SAUF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CCL_SPAGHETTI/0","title":"Evision.Constant.cv_CCL_SPAGHETTI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CCL_WU/0","title":"Evision.Constant.cv_CCL_WU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CCM_3x3/0","title":"Evision.Constant.cv_CCM_3x3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CCM_4x3/0","title":"Evision.Constant.cv_CCM_4x3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CHAIN_APPROX_NONE/0","title":"Evision.Constant.cv_CHAIN_APPROX_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CHAIN_APPROX_SIMPLE/0","title":"Evision.Constant.cv_CHAIN_APPROX_SIMPLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CHAIN_APPROX_TC89_KCOS/0","title":"Evision.Constant.cv_CHAIN_APPROX_TC89_KCOS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CHAIN_APPROX_TC89_L1/0","title":"Evision.Constant.cv_CHAIN_APPROX_TC89_L1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CHANNELS/0","title":"Evision.Constant.cv_CHANNELS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CHANNELS_BLOCKS/0","title":"Evision.Constant.cv_CHANNELS_BLOCKS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CHI2/0","title":"Evision.Constant.cv_CHI2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CMP_EQ/0","title":"Evision.Constant.cv_CMP_EQ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CMP_GE/0","title":"Evision.Constant.cv_CMP_GE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CMP_GT/0","title":"Evision.Constant.cv_CMP_GT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CMP_LE/0","title":"Evision.Constant.cv_CMP_LE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CMP_LT/0","title":"Evision.Constant.cv_CMP_LT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CMP_NE/0","title":"Evision.Constant.cv_CMP_NE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CN/0","title":"Evision.Constant.cv_CN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COEF/0","title":"Evision.Constant.cv_COEF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COL_SAMPLE/0","title":"Evision.Constant.cv_COL_SAMPLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR/0","title":"Evision.Constant.cv_COLOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2BGR/0","title":"Evision.Constant.cv_COLOR_BayerBG2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2BGR_EA/0","title":"Evision.Constant.cv_COLOR_BayerBG2BGR_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2BGR_MHT/0","title":"Evision.Constant.cv_COLOR_BayerBG2BGR_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2BGR_VNG/0","title":"Evision.Constant.cv_COLOR_BayerBG2BGR_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2BGRA/0","title":"Evision.Constant.cv_COLOR_BayerBG2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2GRAY/0","title":"Evision.Constant.cv_COLOR_BayerBG2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2GRAY_MHT/0","title":"Evision.Constant.cv_COLOR_BayerBG2GRAY_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2RGB/0","title":"Evision.Constant.cv_COLOR_BayerBG2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2RGB_EA/0","title":"Evision.Constant.cv_COLOR_BayerBG2RGB_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2RGB_MHT/0","title":"Evision.Constant.cv_COLOR_BayerBG2RGB_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2RGB_VNG/0","title":"Evision.Constant.cv_COLOR_BayerBG2RGB_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBG2RGBA/0","title":"Evision.Constant.cv_COLOR_BayerBG2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBGGR2BGR/0","title":"Evision.Constant.cv_COLOR_BayerBGGR2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBGGR2BGR_EA/0","title":"Evision.Constant.cv_COLOR_BayerBGGR2BGR_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBGGR2BGR_VNG/0","title":"Evision.Constant.cv_COLOR_BayerBGGR2BGR_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBGGR2BGRA/0","title":"Evision.Constant.cv_COLOR_BayerBGGR2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBGGR2GRAY/0","title":"Evision.Constant.cv_COLOR_BayerBGGR2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBGGR2RGB/0","title":"Evision.Constant.cv_COLOR_BayerBGGR2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBGGR2RGB_EA/0","title":"Evision.Constant.cv_COLOR_BayerBGGR2RGB_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBGGR2RGB_VNG/0","title":"Evision.Constant.cv_COLOR_BayerBGGR2RGB_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerBGGR2RGBA/0","title":"Evision.Constant.cv_COLOR_BayerBGGR2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2BGR/0","title":"Evision.Constant.cv_COLOR_BayerGB2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2BGR_EA/0","title":"Evision.Constant.cv_COLOR_BayerGB2BGR_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2BGR_MHT/0","title":"Evision.Constant.cv_COLOR_BayerGB2BGR_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2BGR_VNG/0","title":"Evision.Constant.cv_COLOR_BayerGB2BGR_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2BGRA/0","title":"Evision.Constant.cv_COLOR_BayerGB2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2GRAY/0","title":"Evision.Constant.cv_COLOR_BayerGB2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2GRAY_MHT/0","title":"Evision.Constant.cv_COLOR_BayerGB2GRAY_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2RGB/0","title":"Evision.Constant.cv_COLOR_BayerGB2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2RGB_EA/0","title":"Evision.Constant.cv_COLOR_BayerGB2RGB_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2RGB_MHT/0","title":"Evision.Constant.cv_COLOR_BayerGB2RGB_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2RGB_VNG/0","title":"Evision.Constant.cv_COLOR_BayerGB2RGB_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGB2RGBA/0","title":"Evision.Constant.cv_COLOR_BayerGB2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGBRG2BGR/0","title":"Evision.Constant.cv_COLOR_BayerGBRG2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGBRG2BGR_EA/0","title":"Evision.Constant.cv_COLOR_BayerGBRG2BGR_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGBRG2BGR_VNG/0","title":"Evision.Constant.cv_COLOR_BayerGBRG2BGR_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGBRG2BGRA/0","title":"Evision.Constant.cv_COLOR_BayerGBRG2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGBRG2GRAY/0","title":"Evision.Constant.cv_COLOR_BayerGBRG2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGBRG2RGB/0","title":"Evision.Constant.cv_COLOR_BayerGBRG2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGBRG2RGB_EA/0","title":"Evision.Constant.cv_COLOR_BayerGBRG2RGB_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGBRG2RGB_VNG/0","title":"Evision.Constant.cv_COLOR_BayerGBRG2RGB_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGBRG2RGBA/0","title":"Evision.Constant.cv_COLOR_BayerGBRG2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2BGR/0","title":"Evision.Constant.cv_COLOR_BayerGR2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2BGR_EA/0","title":"Evision.Constant.cv_COLOR_BayerGR2BGR_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2BGR_MHT/0","title":"Evision.Constant.cv_COLOR_BayerGR2BGR_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2BGR_VNG/0","title":"Evision.Constant.cv_COLOR_BayerGR2BGR_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2BGRA/0","title":"Evision.Constant.cv_COLOR_BayerGR2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2GRAY/0","title":"Evision.Constant.cv_COLOR_BayerGR2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2GRAY_MHT/0","title":"Evision.Constant.cv_COLOR_BayerGR2GRAY_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2RGB/0","title":"Evision.Constant.cv_COLOR_BayerGR2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2RGB_EA/0","title":"Evision.Constant.cv_COLOR_BayerGR2RGB_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2RGB_MHT/0","title":"Evision.Constant.cv_COLOR_BayerGR2RGB_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2RGB_VNG/0","title":"Evision.Constant.cv_COLOR_BayerGR2RGB_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGR2RGBA/0","title":"Evision.Constant.cv_COLOR_BayerGR2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGRBG2BGR/0","title":"Evision.Constant.cv_COLOR_BayerGRBG2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGRBG2BGR_EA/0","title":"Evision.Constant.cv_COLOR_BayerGRBG2BGR_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGRBG2BGR_VNG/0","title":"Evision.Constant.cv_COLOR_BayerGRBG2BGR_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGRBG2BGRA/0","title":"Evision.Constant.cv_COLOR_BayerGRBG2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGRBG2GRAY/0","title":"Evision.Constant.cv_COLOR_BayerGRBG2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGRBG2RGB/0","title":"Evision.Constant.cv_COLOR_BayerGRBG2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGRBG2RGB_EA/0","title":"Evision.Constant.cv_COLOR_BayerGRBG2RGB_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGRBG2RGB_VNG/0","title":"Evision.Constant.cv_COLOR_BayerGRBG2RGB_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerGRBG2RGBA/0","title":"Evision.Constant.cv_COLOR_BayerGRBG2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2BGR/0","title":"Evision.Constant.cv_COLOR_BayerRG2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2BGR_EA/0","title":"Evision.Constant.cv_COLOR_BayerRG2BGR_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2BGR_MHT/0","title":"Evision.Constant.cv_COLOR_BayerRG2BGR_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2BGR_VNG/0","title":"Evision.Constant.cv_COLOR_BayerRG2BGR_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2BGRA/0","title":"Evision.Constant.cv_COLOR_BayerRG2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2GRAY/0","title":"Evision.Constant.cv_COLOR_BayerRG2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2GRAY_MHT/0","title":"Evision.Constant.cv_COLOR_BayerRG2GRAY_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2RGB/0","title":"Evision.Constant.cv_COLOR_BayerRG2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2RGB_EA/0","title":"Evision.Constant.cv_COLOR_BayerRG2RGB_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2RGB_MHT/0","title":"Evision.Constant.cv_COLOR_BayerRG2RGB_MHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2RGB_VNG/0","title":"Evision.Constant.cv_COLOR_BayerRG2RGB_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRG2RGBA/0","title":"Evision.Constant.cv_COLOR_BayerRG2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRGGB2BGR/0","title":"Evision.Constant.cv_COLOR_BayerRGGB2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRGGB2BGR_EA/0","title":"Evision.Constant.cv_COLOR_BayerRGGB2BGR_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRGGB2BGR_VNG/0","title":"Evision.Constant.cv_COLOR_BayerRGGB2BGR_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRGGB2BGRA/0","title":"Evision.Constant.cv_COLOR_BayerRGGB2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRGGB2GRAY/0","title":"Evision.Constant.cv_COLOR_BayerRGGB2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRGGB2RGB/0","title":"Evision.Constant.cv_COLOR_BayerRGGB2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRGGB2RGB_EA/0","title":"Evision.Constant.cv_COLOR_BayerRGGB2RGB_EA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRGGB2RGB_VNG/0","title":"Evision.Constant.cv_COLOR_BayerRGGB2RGB_VNG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BayerRGGB2RGBA/0","title":"Evision.Constant.cv_COLOR_BayerRGGB2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2BGR555/0","title":"Evision.Constant.cv_COLOR_BGR2BGR555/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2BGR565/0","title":"Evision.Constant.cv_COLOR_BGR2BGR565/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2BGRA/0","title":"Evision.Constant.cv_COLOR_BGR2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2GRAY/0","title":"Evision.Constant.cv_COLOR_BGR2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2HLS/0","title":"Evision.Constant.cv_COLOR_BGR2HLS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2HLS_FULL/0","title":"Evision.Constant.cv_COLOR_BGR2HLS_FULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2HSV/0","title":"Evision.Constant.cv_COLOR_BGR2HSV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2HSV_FULL/0","title":"Evision.Constant.cv_COLOR_BGR2HSV_FULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2Lab/0","title":"Evision.Constant.cv_COLOR_BGR2Lab/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2Luv/0","title":"Evision.Constant.cv_COLOR_BGR2Luv/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2RGB/0","title":"Evision.Constant.cv_COLOR_BGR2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2RGBA/0","title":"Evision.Constant.cv_COLOR_BGR2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2XYZ/0","title":"Evision.Constant.cv_COLOR_BGR2XYZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2YCrCb/0","title":"Evision.Constant.cv_COLOR_BGR2YCrCb/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2YUV/0","title":"Evision.Constant.cv_COLOR_BGR2YUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2YUV_I420/0","title":"Evision.Constant.cv_COLOR_BGR2YUV_I420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2YUV_IYUV/0","title":"Evision.Constant.cv_COLOR_BGR2YUV_IYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR2YUV_YV12/0","title":"Evision.Constant.cv_COLOR_BGR2YUV_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR5552BGR/0","title":"Evision.Constant.cv_COLOR_BGR5552BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR5552BGRA/0","title":"Evision.Constant.cv_COLOR_BGR5552BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR5552GRAY/0","title":"Evision.Constant.cv_COLOR_BGR5552GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR5552RGB/0","title":"Evision.Constant.cv_COLOR_BGR5552RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR5552RGBA/0","title":"Evision.Constant.cv_COLOR_BGR5552RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR5652BGR/0","title":"Evision.Constant.cv_COLOR_BGR5652BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR5652BGRA/0","title":"Evision.Constant.cv_COLOR_BGR5652BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR5652GRAY/0","title":"Evision.Constant.cv_COLOR_BGR5652GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR5652RGB/0","title":"Evision.Constant.cv_COLOR_BGR5652RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGR5652RGBA/0","title":"Evision.Constant.cv_COLOR_BGR5652RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGRA2BGR555/0","title":"Evision.Constant.cv_COLOR_BGRA2BGR555/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGRA2BGR565/0","title":"Evision.Constant.cv_COLOR_BGRA2BGR565/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGRA2BGR/0","title":"Evision.Constant.cv_COLOR_BGRA2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGRA2GRAY/0","title":"Evision.Constant.cv_COLOR_BGRA2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGRA2RGB/0","title":"Evision.Constant.cv_COLOR_BGRA2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGRA2RGBA/0","title":"Evision.Constant.cv_COLOR_BGRA2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGRA2YUV_I420/0","title":"Evision.Constant.cv_COLOR_BGRA2YUV_I420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGRA2YUV_IYUV/0","title":"Evision.Constant.cv_COLOR_BGRA2YUV_IYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_BGRA2YUV_YV12/0","title":"Evision.Constant.cv_COLOR_BGRA2YUV_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_COLORCVT_MAX/0","title":"Evision.Constant.cv_COLOR_COLORCVT_MAX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_GRAD/0","title":"Evision.Constant.cv_COLOR_GRAD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_GRAY2BGR555/0","title":"Evision.Constant.cv_COLOR_GRAY2BGR555/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_GRAY2BGR565/0","title":"Evision.Constant.cv_COLOR_GRAY2BGR565/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_GRAY2BGR/0","title":"Evision.Constant.cv_COLOR_GRAY2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_GRAY2BGRA/0","title":"Evision.Constant.cv_COLOR_GRAY2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_GRAY2RGB/0","title":"Evision.Constant.cv_COLOR_GRAY2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_GRAY2RGBA/0","title":"Evision.Constant.cv_COLOR_GRAY2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_HLS2BGR/0","title":"Evision.Constant.cv_COLOR_HLS2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_HLS2BGR_FULL/0","title":"Evision.Constant.cv_COLOR_HLS2BGR_FULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_HLS2RGB/0","title":"Evision.Constant.cv_COLOR_HLS2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_HLS2RGB_FULL/0","title":"Evision.Constant.cv_COLOR_HLS2RGB_FULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_HSV2BGR/0","title":"Evision.Constant.cv_COLOR_HSV2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_HSV2BGR_FULL/0","title":"Evision.Constant.cv_COLOR_HSV2BGR_FULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_HSV2RGB/0","title":"Evision.Constant.cv_COLOR_HSV2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_HSV2RGB_FULL/0","title":"Evision.Constant.cv_COLOR_HSV2RGB_FULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_Lab2BGR/0","title":"Evision.Constant.cv_COLOR_Lab2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_Lab2LBGR/0","title":"Evision.Constant.cv_COLOR_Lab2LBGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_Lab2LRGB/0","title":"Evision.Constant.cv_COLOR_Lab2LRGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_Lab2RGB/0","title":"Evision.Constant.cv_COLOR_Lab2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_LBGR2Lab/0","title":"Evision.Constant.cv_COLOR_LBGR2Lab/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_LBGR2Luv/0","title":"Evision.Constant.cv_COLOR_LBGR2Luv/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_LRGB2Lab/0","title":"Evision.Constant.cv_COLOR_LRGB2Lab/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_LRGB2Luv/0","title":"Evision.Constant.cv_COLOR_LRGB2Luv/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_Luv2BGR/0","title":"Evision.Constant.cv_COLOR_Luv2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_Luv2LBGR/0","title":"Evision.Constant.cv_COLOR_Luv2LBGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_Luv2LRGB/0","title":"Evision.Constant.cv_COLOR_Luv2LRGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_Luv2RGB/0","title":"Evision.Constant.cv_COLOR_Luv2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_mRGBA2RGBA/0","title":"Evision.Constant.cv_COLOR_mRGBA2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2BGR555/0","title":"Evision.Constant.cv_COLOR_RGB2BGR555/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2BGR565/0","title":"Evision.Constant.cv_COLOR_RGB2BGR565/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2BGR/0","title":"Evision.Constant.cv_COLOR_RGB2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2BGRA/0","title":"Evision.Constant.cv_COLOR_RGB2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2GRAY/0","title":"Evision.Constant.cv_COLOR_RGB2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2HLS/0","title":"Evision.Constant.cv_COLOR_RGB2HLS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2HLS_FULL/0","title":"Evision.Constant.cv_COLOR_RGB2HLS_FULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2HSV/0","title":"Evision.Constant.cv_COLOR_RGB2HSV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2HSV_FULL/0","title":"Evision.Constant.cv_COLOR_RGB2HSV_FULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2Lab/0","title":"Evision.Constant.cv_COLOR_RGB2Lab/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2Luv/0","title":"Evision.Constant.cv_COLOR_RGB2Luv/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2RGBA/0","title":"Evision.Constant.cv_COLOR_RGB2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2XYZ/0","title":"Evision.Constant.cv_COLOR_RGB2XYZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2YCrCb/0","title":"Evision.Constant.cv_COLOR_RGB2YCrCb/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2YUV/0","title":"Evision.Constant.cv_COLOR_RGB2YUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2YUV_I420/0","title":"Evision.Constant.cv_COLOR_RGB2YUV_I420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2YUV_IYUV/0","title":"Evision.Constant.cv_COLOR_RGB2YUV_IYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGB2YUV_YV12/0","title":"Evision.Constant.cv_COLOR_RGB2YUV_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGBA2BGR555/0","title":"Evision.Constant.cv_COLOR_RGBA2BGR555/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGBA2BGR565/0","title":"Evision.Constant.cv_COLOR_RGBA2BGR565/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGBA2BGR/0","title":"Evision.Constant.cv_COLOR_RGBA2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGBA2BGRA/0","title":"Evision.Constant.cv_COLOR_RGBA2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGBA2GRAY/0","title":"Evision.Constant.cv_COLOR_RGBA2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGBA2mRGBA/0","title":"Evision.Constant.cv_COLOR_RGBA2mRGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGBA2RGB/0","title":"Evision.Constant.cv_COLOR_RGBA2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGBA2YUV_I420/0","title":"Evision.Constant.cv_COLOR_RGBA2YUV_I420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGBA2YUV_IYUV/0","title":"Evision.Constant.cv_COLOR_RGBA2YUV_IYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_RGBA2YUV_YV12/0","title":"Evision.Constant.cv_COLOR_RGBA2YUV_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_AdobeRGB/0","title":"Evision.Constant.cv_COLOR_SPACE_AdobeRGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_AdobeRGBL/0","title":"Evision.Constant.cv_COLOR_SPACE_AdobeRGBL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_AppleRGB/0","title":"Evision.Constant.cv_COLOR_SPACE_AppleRGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_AppleRGBL/0","title":"Evision.Constant.cv_COLOR_SPACE_AppleRGBL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_DCI_P3_RGB/0","title":"Evision.Constant.cv_COLOR_SPACE_DCI_P3_RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_DCI_P3_RGBL/0","title":"Evision.Constant.cv_COLOR_SPACE_DCI_P3_RGBL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_A_2/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_A_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_A_10/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_A_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_D50_2/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_D50_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_D50_10/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_D50_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_D55_2/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_D55_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_D55_10/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_D55_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_D65_2/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_D65_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_D65_10/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_D65_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_D75_2/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_D75_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_D75_10/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_D75_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_E_2/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_E_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_Lab_E_10/0","title":"Evision.Constant.cv_COLOR_SPACE_Lab_E_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_ProPhotoRGB/0","title":"Evision.Constant.cv_COLOR_SPACE_ProPhotoRGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_ProPhotoRGBL/0","title":"Evision.Constant.cv_COLOR_SPACE_ProPhotoRGBL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_REC_709_RGB/0","title":"Evision.Constant.cv_COLOR_SPACE_REC_709_RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_REC_709_RGBL/0","title":"Evision.Constant.cv_COLOR_SPACE_REC_709_RGBL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_REC_2020_RGB/0","title":"Evision.Constant.cv_COLOR_SPACE_REC_2020_RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_REC_2020_RGBL/0","title":"Evision.Constant.cv_COLOR_SPACE_REC_2020_RGBL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_sRGB/0","title":"Evision.Constant.cv_COLOR_SPACE_sRGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_sRGBL/0","title":"Evision.Constant.cv_COLOR_SPACE_sRGBL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_WideGamutRGB/0","title":"Evision.Constant.cv_COLOR_SPACE_WideGamutRGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_WideGamutRGBL/0","title":"Evision.Constant.cv_COLOR_SPACE_WideGamutRGBL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_A_2/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_A_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_A_10/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_A_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_D50_2/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_D50_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_D50_10/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_D50_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_D55_2/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_D55_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_D55_10/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_D55_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_D65_2/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_D65_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_D65_10/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_D65_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_D75_2/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_D75_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_D75_10/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_D75_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_E_2/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_E_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_SPACE_XYZ_E_10/0","title":"Evision.Constant.cv_COLOR_SPACE_XYZ_E_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_XYZ2BGR/0","title":"Evision.Constant.cv_COLOR_XYZ2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_XYZ2RGB/0","title":"Evision.Constant.cv_COLOR_XYZ2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YCrCb2BGR/0","title":"Evision.Constant.cv_COLOR_YCrCb2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YCrCb2RGB/0","title":"Evision.Constant.cv_COLOR_YCrCb2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR/0","title":"Evision.Constant.cv_COLOR_YUV2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_I420/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_I420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_IYUV/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_IYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_NV12/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_NV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_NV21/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_NV21/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_UYNV/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_UYNV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_UYVY/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_UYVY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_Y422/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_Y422/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_YUNV/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_YUNV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_YUY2/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_YUY2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_YUYV/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_YUYV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_YV12/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGR_YVYU/0","title":"Evision.Constant.cv_COLOR_YUV2BGR_YVYU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_I420/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_I420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_IYUV/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_IYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_NV12/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_NV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_NV21/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_NV21/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_UYNV/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_UYNV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_UYVY/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_UYVY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_Y422/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_Y422/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_YUNV/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_YUNV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_YUY2/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_YUY2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_YUYV/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_YUYV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_YV12/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2BGRA_YVYU/0","title":"Evision.Constant.cv_COLOR_YUV2BGRA_YVYU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_420/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_I420/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_I420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_IYUV/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_IYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_NV12/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_NV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_NV21/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_NV21/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_UYNV/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_UYNV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_UYVY/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_UYVY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_Y422/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_Y422/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_YUNV/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_YUNV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_YUY2/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_YUY2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_YUYV/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_YUYV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_YV12/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2GRAY_YVYU/0","title":"Evision.Constant.cv_COLOR_YUV2GRAY_YVYU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB/0","title":"Evision.Constant.cv_COLOR_YUV2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_I420/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_I420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_IYUV/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_IYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_NV12/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_NV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_NV21/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_NV21/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_UYNV/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_UYNV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_UYVY/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_UYVY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_Y422/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_Y422/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_YUNV/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_YUNV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_YUY2/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_YUY2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_YUYV/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_YUYV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_YV12/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGB_YVYU/0","title":"Evision.Constant.cv_COLOR_YUV2RGB_YVYU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_I420/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_I420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_IYUV/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_IYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_NV12/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_NV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_NV21/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_NV21/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_UYNV/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_UYNV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_UYVY/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_UYVY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_Y422/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_Y422/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_YUNV/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_YUNV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_YUY2/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_YUY2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_YUYV/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_YUYV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_YV12/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV2RGBA_YVYU/0","title":"Evision.Constant.cv_COLOR_YUV2RGBA_YVYU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV420p2BGR/0","title":"Evision.Constant.cv_COLOR_YUV420p2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV420p2BGRA/0","title":"Evision.Constant.cv_COLOR_YUV420p2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV420p2GRAY/0","title":"Evision.Constant.cv_COLOR_YUV420p2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV420p2RGB/0","title":"Evision.Constant.cv_COLOR_YUV420p2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV420p2RGBA/0","title":"Evision.Constant.cv_COLOR_YUV420p2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV420sp2BGR/0","title":"Evision.Constant.cv_COLOR_YUV420sp2BGR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV420sp2BGRA/0","title":"Evision.Constant.cv_COLOR_YUV420sp2BGRA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV420sp2GRAY/0","title":"Evision.Constant.cv_COLOR_YUV420sp2GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV420sp2RGB/0","title":"Evision.Constant.cv_COLOR_YUV420sp2RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOR_YUV420sp2RGBA/0","title":"Evision.Constant.cv_COLOR_YUV420sp2RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORCHECKER_DigitalSG/0","title":"Evision.Constant.cv_COLORCHECKER_DigitalSG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORCHECKER_Macbeth/0","title":"Evision.Constant.cv_COLORCHECKER_Macbeth/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORCHECKER_Vinyl/0","title":"Evision.Constant.cv_COLORCHECKER_Vinyl/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLOREDTSDF/0","title":"Evision.Constant.cv_COLOREDTSDF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_AUTUMN/0","title":"Evision.Constant.cv_COLORMAP_AUTUMN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_BONE/0","title":"Evision.Constant.cv_COLORMAP_BONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_CIVIDIS/0","title":"Evision.Constant.cv_COLORMAP_CIVIDIS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_COOL/0","title":"Evision.Constant.cv_COLORMAP_COOL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_DEEPGREEN/0","title":"Evision.Constant.cv_COLORMAP_DEEPGREEN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_HOT/0","title":"Evision.Constant.cv_COLORMAP_HOT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_HSV/0","title":"Evision.Constant.cv_COLORMAP_HSV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_INFERNO/0","title":"Evision.Constant.cv_COLORMAP_INFERNO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_JET/0","title":"Evision.Constant.cv_COLORMAP_JET/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_MAGMA/0","title":"Evision.Constant.cv_COLORMAP_MAGMA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_OCEAN/0","title":"Evision.Constant.cv_COLORMAP_OCEAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_PARULA/0","title":"Evision.Constant.cv_COLORMAP_PARULA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_PINK/0","title":"Evision.Constant.cv_COLORMAP_PINK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_PLASMA/0","title":"Evision.Constant.cv_COLORMAP_PLASMA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_RAINBOW/0","title":"Evision.Constant.cv_COLORMAP_RAINBOW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_SPRING/0","title":"Evision.Constant.cv_COLORMAP_SPRING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_SUMMER/0","title":"Evision.Constant.cv_COLORMAP_SUMMER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_TURBO/0","title":"Evision.Constant.cv_COLORMAP_TURBO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_TWILIGHT/0","title":"Evision.Constant.cv_COLORMAP_TWILIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_TWILIGHT_SHIFTED/0","title":"Evision.Constant.cv_COLORMAP_TWILIGHT_SHIFTED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_VIRIDIS/0","title":"Evision.Constant.cv_COLORMAP_VIRIDIS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COLORMAP_WINTER/0","title":"Evision.Constant.cv_COLORMAP_WINTER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COMPRESSED_INPUT/0","title":"Evision.Constant.cv_COMPRESSED_INPUT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CONSTANT/0","title":"Evision.Constant.cv_CONSTANT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CONTOURS_MATCH_I1/0","title":"Evision.Constant.cv_CONTOURS_MATCH_I1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CONTOURS_MATCH_I2/0","title":"Evision.Constant.cv_CONTOURS_MATCH_I2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CONTOURS_MATCH_I3/0","title":"Evision.Constant.cv_CONTOURS_MATCH_I3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COPY_ON_MAP/0","title":"Evision.Constant.cv_COPY_ON_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CORNER_REFINE_APRILTAG/0","title":"Evision.Constant.cv_CORNER_REFINE_APRILTAG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CORNER_REFINE_CONTOUR/0","title":"Evision.Constant.cv_CORNER_REFINE_CONTOUR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CORNER_REFINE_NONE/0","title":"Evision.Constant.cv_CORNER_REFINE_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CORNER_REFINE_SUBPIX/0","title":"Evision.Constant.cv_CORNER_REFINE_SUBPIX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CORRECT_LEVEL_H/0","title":"Evision.Constant.cv_CORRECT_LEVEL_H/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CORRECT_LEVEL_L/0","title":"Evision.Constant.cv_CORRECT_LEVEL_L/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CORRECT_LEVEL_M/0","title":"Evision.Constant.cv_CORRECT_LEVEL_M/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CORRECT_LEVEL_Q/0","title":"Evision.Constant.cv_CORRECT_LEVEL_Q/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COST_COLOR/0","title":"Evision.Constant.cv_COST_COLOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COST_COLOR_GRAD/0","title":"Evision.Constant.cv_COST_COLOR_GRAD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COUNT/0","title":"Evision.Constant.cv_COUNT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COV_MAT_DEFAULT/0","title":"Evision.Constant.cv_COV_MAT_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COV_MAT_DIAGONAL/0","title":"Evision.Constant.cv_COV_MAT_DIAGONAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COV_MAT_GENERIC/0","title":"Evision.Constant.cv_COV_MAT_GENERIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COV_MAT_SPHERICAL/0","title":"Evision.Constant.cv_COV_MAT_SPHERICAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COVAR_COLS/0","title":"Evision.Constant.cv_COVAR_COLS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COVAR_NORMAL/0","title":"Evision.Constant.cv_COVAR_NORMAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COVAR_ROWS/0","title":"Evision.Constant.cv_COVAR_ROWS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COVAR_SCALE/0","title":"Evision.Constant.cv_COVAR_SCALE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COVAR_SCRAMBLED/0","title":"Evision.Constant.cv_COVAR_SCRAMBLED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_COVAR_USE_AVG/0","title":"Evision.Constant.cv_COVAR_USE_AVG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ColorFormat_RGB/0","title":"Evision.Constant.cv_ColorFormat_RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ColorFormat_RGBA/0","title":"Evision.Constant.cv_ColorFormat_RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ComputeModeDefault/0","title":"Evision.Constant.cv_ComputeModeDefault/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ComputeModeExclusive/0","title":"Evision.Constant.cv_ComputeModeExclusive/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ComputeModeExclusiveProcess/0","title":"Evision.Constant.cv_ComputeModeExclusiveProcess/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ComputeModeProhibited/0","title":"Evision.Constant.cv_ComputeModeProhibited/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CROP/0","title":"Evision.Constant.cv_CROP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CUDA_GPU_MAT/0","title":"Evision.Constant.cv_CUDA_GPU_MAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CUDA_HOST_MEM/0","title":"Evision.Constant.cv_CUDA_HOST_MEM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CUSTOM/0","title":"Evision.Constant.cv_CUSTOM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_CS_CENSUS/0","title":"Evision.Constant.cv_CV_CS_CENSUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_DENSE_CENSUS/0","title":"Evision.Constant.cv_CV_DENSE_CENSUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_MEAN_VARIATION/0","title":"Evision.Constant.cv_CV_MEAN_VARIATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_MODIFIED_CENSUS_TRANSFORM/0","title":"Evision.Constant.cv_CV_MODIFIED_CENSUS_TRANSFORM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_MODIFIED_CS_CENSUS/0","title":"Evision.Constant.cv_CV_MODIFIED_CS_CENSUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_QUADRATIC_INTERPOLATION/0","title":"Evision.Constant.cv_CV_QUADRATIC_INTERPOLATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_SIMETRICV_INTERPOLATION/0","title":"Evision.Constant.cv_CV_SIMETRICV_INTERPOLATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_SPARSE_CENSUS/0","title":"Evision.Constant.cv_CV_SPARSE_CENSUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_SPECKLE_REMOVAL_ALGORITHM/0","title":"Evision.Constant.cv_CV_SPECKLE_REMOVAL_ALGORITHM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_SPECKLE_REMOVAL_AVG_ALGORITHM/0","title":"Evision.Constant.cv_CV_SPECKLE_REMOVAL_AVG_ALGORITHM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_CV_STAR_KERNEL/0","title":"Evision.Constant.cv_CV_STAR_KERNEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_cn_shift/0","title":"Evision.Constant.cv_cn_shift/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DATA_AS_COL/0","title":"Evision.Constant.cv_DATA_AS_COL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DATA_AS_ROW/0","title":"Evision.Constant.cv_DATA_AS_ROW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DCT_INVERSE/0","title":"Evision.Constant.cv_DCT_INVERSE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DCT_ROWS/0","title":"Evision.Constant.cv_DCT_ROWS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DECODE_3D_UNDERWORLD/0","title":"Evision.Constant.cv_DECODE_3D_UNDERWORLD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DECOMP_CHOLESKY/0","title":"Evision.Constant.cv_DECOMP_CHOLESKY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DECOMP_EIG/0","title":"Evision.Constant.cv_DECOMP_EIG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DECOMP_LU/0","title":"Evision.Constant.cv_DECOMP_LU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DECOMP_NORMAL/0","title":"Evision.Constant.cv_DECOMP_NORMAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DECOMP_QR/0","title":"Evision.Constant.cv_DECOMP_QR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DECOMP_SVD/0","title":"Evision.Constant.cv_DECOMP_SVD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEFAULT/0","title":"Evision.Constant.cv_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEFAULT_MAX_ITERS/0","title":"Evision.Constant.cv_DEFAULT_MAX_ITERS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEFAULT_NCLUSTERS/0","title":"Evision.Constant.cv_DEFAULT_NCLUSTERS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEFAULT_NLEVELS/0","title":"Evision.Constant.cv_DEFAULT_NLEVELS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEGREE/0","title":"Evision.Constant.cv_DEGREE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_CLEANER_NIL/0","title":"Evision.Constant.cv_DEPTH_CLEANER_NIL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_COMPONENT/0","title":"Evision.Constant.cv_DEPTH_COMPONENT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK/0","title":"Evision.Constant.cv_DEPTH_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_8S/0","title":"Evision.Constant.cv_DEPTH_MASK_8S/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_8U/0","title":"Evision.Constant.cv_DEPTH_MASK_8U/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_16F/0","title":"Evision.Constant.cv_DEPTH_MASK_16F/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_16S/0","title":"Evision.Constant.cv_DEPTH_MASK_16S/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_16U/0","title":"Evision.Constant.cv_DEPTH_MASK_16U/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_32F/0","title":"Evision.Constant.cv_DEPTH_MASK_32F/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_32S/0","title":"Evision.Constant.cv_DEPTH_MASK_32S/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_64F/0","title":"Evision.Constant.cv_DEPTH_MASK_64F/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_ALL/0","title":"Evision.Constant.cv_DEPTH_MASK_ALL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_ALL_16F/0","title":"Evision.Constant.cv_DEPTH_MASK_ALL_16F/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_ALL_BUT_8S/0","title":"Evision.Constant.cv_DEPTH_MASK_ALL_BUT_8S/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEPTH_MASK_FLT/0","title":"Evision.Constant.cv_DEPTH_MASK_FLT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DESCR_FORMAT_COL_BY_COL/0","title":"Evision.Constant.cv_DESCR_FORMAT_COL_BY_COL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DESCR_FORMAT_ROW_BY_ROW/0","title":"Evision.Constant.cv_DESCR_FORMAT_ROW_BY_ROW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DESCRIPTOR_KAZE/0","title":"Evision.Constant.cv_DESCRIPTOR_KAZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DESCRIPTOR_KAZE_UPRIGHT/0","title":"Evision.Constant.cv_DESCRIPTOR_KAZE_UPRIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DESCRIPTOR_MLDB/0","title":"Evision.Constant.cv_DESCRIPTOR_MLDB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DESCRIPTOR_MLDB_UPRIGHT/0","title":"Evision.Constant.cv_DESCRIPTOR_MLDB_UPRIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEVICE_COPY_OBSOLETE/0","title":"Evision.Constant.cv_DEVICE_COPY_OBSOLETE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DEVICE_MEM_MAPPED/0","title":"Evision.Constant.cv_DEVICE_MEM_MAPPED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DFT_COMPLEX_INPUT/0","title":"Evision.Constant.cv_DFT_COMPLEX_INPUT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DFT_COMPLEX_OUTPUT/0","title":"Evision.Constant.cv_DFT_COMPLEX_OUTPUT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DFT_INVERSE/0","title":"Evision.Constant.cv_DFT_INVERSE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DFT_REAL_OUTPUT/0","title":"Evision.Constant.cv_DFT_REAL_OUTPUT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DFT_ROWS/0","title":"Evision.Constant.cv_DFT_ROWS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DFT_SCALE/0","title":"Evision.Constant.cv_DFT_SCALE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_4X4_50/0","title":"Evision.Constant.cv_DICT_4X4_50/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_4X4_100/0","title":"Evision.Constant.cv_DICT_4X4_100/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_4X4_250/0","title":"Evision.Constant.cv_DICT_4X4_250/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_4X4_1000/0","title":"Evision.Constant.cv_DICT_4X4_1000/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_5X5_50/0","title":"Evision.Constant.cv_DICT_5X5_50/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_5X5_100/0","title":"Evision.Constant.cv_DICT_5X5_100/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_5X5_250/0","title":"Evision.Constant.cv_DICT_5X5_250/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_5X5_1000/0","title":"Evision.Constant.cv_DICT_5X5_1000/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_6X6_50/0","title":"Evision.Constant.cv_DICT_6X6_50/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_6X6_100/0","title":"Evision.Constant.cv_DICT_6X6_100/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_6X6_250/0","title":"Evision.Constant.cv_DICT_6X6_250/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_6X6_1000/0","title":"Evision.Constant.cv_DICT_6X6_1000/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_7X7_50/0","title":"Evision.Constant.cv_DICT_7X7_50/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_7X7_100/0","title":"Evision.Constant.cv_DICT_7X7_100/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_7X7_250/0","title":"Evision.Constant.cv_DICT_7X7_250/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_7X7_1000/0","title":"Evision.Constant.cv_DICT_7X7_1000/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_APRILTAG_16h5/0","title":"Evision.Constant.cv_DICT_APRILTAG_16h5/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_APRILTAG_25h9/0","title":"Evision.Constant.cv_DICT_APRILTAG_25h9/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_APRILTAG_36h10/0","title":"Evision.Constant.cv_DICT_APRILTAG_36h10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_APRILTAG_36h11/0","title":"Evision.Constant.cv_DICT_APRILTAG_36h11/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DICT_ARUCO_ORIGINAL/0","title":"Evision.Constant.cv_DICT_ARUCO_ORIGINAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIFF_CHARBONNIER/0","title":"Evision.Constant.cv_DIFF_CHARBONNIER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIFF_PM_G1/0","title":"Evision.Constant.cv_DIFF_PM_G1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIFF_PM_G2/0","title":"Evision.Constant.cv_DIFF_PM_G2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIFF_WEICKERT/0","title":"Evision.Constant.cv_DIFF_WEICKERT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISABLE_TIMING/0","title":"Evision.Constant.cv_DISABLE_TIMING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISCRETE/0","title":"Evision.Constant.cv_DISCRETE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISP_SCALE/0","title":"Evision.Constant.cv_DISP_SCALE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISP_SHIFT/0","title":"Evision.Constant.cv_DISP_SHIFT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_C/0","title":"Evision.Constant.cv_DIST_C/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_FAIR/0","title":"Evision.Constant.cv_DIST_FAIR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_HUBER/0","title":"Evision.Constant.cv_DIST_HUBER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_L1/0","title":"Evision.Constant.cv_DIST_L1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_L2/0","title":"Evision.Constant.cv_DIST_L2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_L12/0","title":"Evision.Constant.cv_DIST_L12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_LABEL_CCOMP/0","title":"Evision.Constant.cv_DIST_LABEL_CCOMP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_LABEL_PIXEL/0","title":"Evision.Constant.cv_DIST_LABEL_PIXEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_MASK_3/0","title":"Evision.Constant.cv_DIST_MASK_3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_MASK_5/0","title":"Evision.Constant.cv_DIST_MASK_5/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_MASK_PRECISE/0","title":"Evision.Constant.cv_DIST_MASK_PRECISE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_USER/0","title":"Evision.Constant.cv_DIST_USER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DIST_WELSCH/0","title":"Evision.Constant.cv_DIST_WELSCH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISTANCE_CIE76/0","title":"Evision.Constant.cv_DISTANCE_CIE76/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISTANCE_CIE94_GRAPHIC_ARTS/0","title":"Evision.Constant.cv_DISTANCE_CIE94_GRAPHIC_ARTS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISTANCE_CIE94_TEXTILES/0","title":"Evision.Constant.cv_DISTANCE_CIE94_TEXTILES/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISTANCE_CIE2000/0","title":"Evision.Constant.cv_DISTANCE_CIE2000/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISTANCE_CMC_1TO1/0","title":"Evision.Constant.cv_DISTANCE_CMC_1TO1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISTANCE_CMC_2TO1/0","title":"Evision.Constant.cv_DISTANCE_CMC_2TO1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISTANCE_RGB/0","title":"Evision.Constant.cv_DISTANCE_RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DISTANCE_RGBL/0","title":"Evision.Constant.cv_DISTANCE_RGBL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_BACKEND_CANN/0","title":"Evision.Constant.cv_DNN_BACKEND_CANN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_BACKEND_CUDA/0","title":"Evision.Constant.cv_DNN_BACKEND_CUDA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_BACKEND_DEFAULT/0","title":"Evision.Constant.cv_DNN_BACKEND_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_BACKEND_HALIDE/0","title":"Evision.Constant.cv_DNN_BACKEND_HALIDE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_BACKEND_INFERENCE_ENGINE/0","title":"Evision.Constant.cv_DNN_BACKEND_INFERENCE_ENGINE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_BACKEND_OPENCV/0","title":"Evision.Constant.cv_DNN_BACKEND_OPENCV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_BACKEND_TIMVX/0","title":"Evision.Constant.cv_DNN_BACKEND_TIMVX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_BACKEND_VKCOM/0","title":"Evision.Constant.cv_DNN_BACKEND_VKCOM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_BACKEND_WEBNN/0","title":"Evision.Constant.cv_DNN_BACKEND_WEBNN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_TARGET_CPU/0","title":"Evision.Constant.cv_DNN_TARGET_CPU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_TARGET_CUDA/0","title":"Evision.Constant.cv_DNN_TARGET_CUDA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_TARGET_CUDA_FP16/0","title":"Evision.Constant.cv_DNN_TARGET_CUDA_FP16/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_TARGET_FPGA/0","title":"Evision.Constant.cv_DNN_TARGET_FPGA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_TARGET_HDDL/0","title":"Evision.Constant.cv_DNN_TARGET_HDDL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_TARGET_MYRIAD/0","title":"Evision.Constant.cv_DNN_TARGET_MYRIAD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_TARGET_NPU/0","title":"Evision.Constant.cv_DNN_TARGET_NPU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_TARGET_OPENCL/0","title":"Evision.Constant.cv_DNN_TARGET_OPENCL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_TARGET_OPENCL_FP16/0","title":"Evision.Constant.cv_DNN_TARGET_OPENCL_FP16/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DNN_TARGET_VULKAN/0","title":"Evision.Constant.cv_DNN_TARGET_VULKAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DP_SEAM/0","title":"Evision.Constant.cv_DP_SEAM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DRAW_OVER_OUTIMG/0","title":"Evision.Constant.cv_DRAW_OVER_OUTIMG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DRAW_RICH_KEYPOINTS/0","title":"Evision.Constant.cv_DRAW_RICH_KEYPOINTS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DTF_IC/0","title":"Evision.Constant.cv_DTF_IC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DTF_NC/0","title":"Evision.Constant.cv_DTF_NC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DTF_RF/0","title":"Evision.Constant.cv_DTF_RF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_DYNAMIC_PARALLELISM/0","title":"Evision.Constant.cv_DYNAMIC_PARALLELISM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_depth_max/0","title":"Evision.Constant.cv_depth_max/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EAN_8/0","title":"Evision.Constant.cv_EAN_8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EAN_13/0","title":"Evision.Constant.cv_EAN_13/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ECI_UTF8/0","title":"Evision.Constant.cv_ECI_UTF8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ELEMENT_ARRAY_BUFFER/0","title":"Evision.Constant.cv_ELEMENT_ARRAY_BUFFER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EMPTY/0","title":"Evision.Constant.cv_EMPTY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_CODEC_PROFILE_AUTOSELECT/0","title":"Evision.Constant.cv_ENC_CODEC_PROFILE_AUTOSELECT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_H264_PROFILE_BASELINE/0","title":"Evision.Constant.cv_ENC_H264_PROFILE_BASELINE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_H264_PROFILE_CONSTRAINED_HIGH/0","title":"Evision.Constant.cv_ENC_H264_PROFILE_CONSTRAINED_HIGH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_H264_PROFILE_HIGH/0","title":"Evision.Constant.cv_ENC_H264_PROFILE_HIGH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_H264_PROFILE_HIGH_444/0","title":"Evision.Constant.cv_ENC_H264_PROFILE_HIGH_444/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_H264_PROFILE_MAIN/0","title":"Evision.Constant.cv_ENC_H264_PROFILE_MAIN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_H264_PROFILE_PROGRESSIVE_HIGH/0","title":"Evision.Constant.cv_ENC_H264_PROFILE_PROGRESSIVE_HIGH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_H264_PROFILE_STEREO/0","title":"Evision.Constant.cv_ENC_H264_PROFILE_STEREO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_HEVC_PROFILE_FREXT/0","title":"Evision.Constant.cv_ENC_HEVC_PROFILE_FREXT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_HEVC_PROFILE_MAIN10/0","title":"Evision.Constant.cv_ENC_HEVC_PROFILE_MAIN10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_HEVC_PROFILE_MAIN/0","title":"Evision.Constant.cv_ENC_HEVC_PROFILE_MAIN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_MULTI_PASS_DISABLED/0","title":"Evision.Constant.cv_ENC_MULTI_PASS_DISABLED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_PARAMS_RC_CBR/0","title":"Evision.Constant.cv_ENC_PARAMS_RC_CBR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_PARAMS_RC_CONSTQP/0","title":"Evision.Constant.cv_ENC_PARAMS_RC_CONSTQP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_PARAMS_RC_VBR/0","title":"Evision.Constant.cv_ENC_PARAMS_RC_VBR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_PRESET_P1/0","title":"Evision.Constant.cv_ENC_PRESET_P1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_PRESET_P2/0","title":"Evision.Constant.cv_ENC_PRESET_P2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_PRESET_P3/0","title":"Evision.Constant.cv_ENC_PRESET_P3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_PRESET_P4/0","title":"Evision.Constant.cv_ENC_PRESET_P4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_PRESET_P5/0","title":"Evision.Constant.cv_ENC_PRESET_P5/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_PRESET_P6/0","title":"Evision.Constant.cv_ENC_PRESET_P6/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_PRESET_P7/0","title":"Evision.Constant.cv_ENC_PRESET_P7/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_TUNING_INFO_COUNT/0","title":"Evision.Constant.cv_ENC_TUNING_INFO_COUNT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_TUNING_INFO_HIGH_QUALITY/0","title":"Evision.Constant.cv_ENC_TUNING_INFO_HIGH_QUALITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_TUNING_INFO_LOSSLESS/0","title":"Evision.Constant.cv_ENC_TUNING_INFO_LOSSLESS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_TUNING_INFO_LOW_LATENCY/0","title":"Evision.Constant.cv_ENC_TUNING_INFO_LOW_LATENCY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_TUNING_INFO_ULTRA_LOW_LATENCY/0","title":"Evision.Constant.cv_ENC_TUNING_INFO_ULTRA_LOW_LATENCY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_TUNING_INFO_UNDEFINED/0","title":"Evision.Constant.cv_ENC_TUNING_INFO_UNDEFINED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_TWO_PASS_FULL_RESOLUTION/0","title":"Evision.Constant.cv_ENC_TWO_PASS_FULL_RESOLUTION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ENC_TWO_PASS_QUARTER_RESOLUTION/0","title":"Evision.Constant.cv_ENC_TWO_PASS_QUARTER_RESOLUTION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EPS/0","title":"Evision.Constant.cv_EPS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EPS_SVR/0","title":"Evision.Constant.cv_EPS_SVR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ERFILTER_NM_IHSGrad/0","title":"Evision.Constant.cv_ERFILTER_NM_IHSGrad/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ERFILTER_NM_RGBLGrad/0","title":"Evision.Constant.cv_ERFILTER_NM_RGBLGrad/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ERGROUPING_ORIENTATION_ANY/0","title":"Evision.Constant.cv_ERGROUPING_ORIENTATION_ANY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ERGROUPING_ORIENTATION_HORIZ/0","title":"Evision.Constant.cv_ERGROUPING_ORIENTATION_HORIZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ERR_CAMERA_PARAMS_ADJUST_FAIL/0","title":"Evision.Constant.cv_ERR_CAMERA_PARAMS_ADJUST_FAIL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ERR_HOMOGRAPHY_EST_FAIL/0","title":"Evision.Constant.cv_ERR_HOMOGRAPHY_EST_FAIL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ERR_NEED_MORE_IMGS/0","title":"Evision.Constant.cv_ERR_NEED_MORE_IMGS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EULER_ANGLES_MAX_VALUE/0","title":"Evision.Constant.cv_EULER_ANGLES_MAX_VALUE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_FLAG_ALTKEY/0","title":"Evision.Constant.cv_EVENT_FLAG_ALTKEY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_FLAG_CTRLKEY/0","title":"Evision.Constant.cv_EVENT_FLAG_CTRLKEY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_FLAG_LBUTTON/0","title":"Evision.Constant.cv_EVENT_FLAG_LBUTTON/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_FLAG_MBUTTON/0","title":"Evision.Constant.cv_EVENT_FLAG_MBUTTON/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_FLAG_RBUTTON/0","title":"Evision.Constant.cv_EVENT_FLAG_RBUTTON/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_FLAG_SHIFTKEY/0","title":"Evision.Constant.cv_EVENT_FLAG_SHIFTKEY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_LBUTTONDBLCLK/0","title":"Evision.Constant.cv_EVENT_LBUTTONDBLCLK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_LBUTTONDOWN/0","title":"Evision.Constant.cv_EVENT_LBUTTONDOWN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_LBUTTONUP/0","title":"Evision.Constant.cv_EVENT_LBUTTONUP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_MBUTTONDBLCLK/0","title":"Evision.Constant.cv_EVENT_MBUTTONDBLCLK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_MBUTTONDOWN/0","title":"Evision.Constant.cv_EVENT_MBUTTONDOWN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_MBUTTONUP/0","title":"Evision.Constant.cv_EVENT_MBUTTONUP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_MOUSEHWHEEL/0","title":"Evision.Constant.cv_EVENT_MOUSEHWHEEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_MOUSEMOVE/0","title":"Evision.Constant.cv_EVENT_MOUSEMOVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_MOUSEWHEEL/0","title":"Evision.Constant.cv_EVENT_MOUSEWHEEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_RBUTTONDBLCLK/0","title":"Evision.Constant.cv_EVENT_RBUTTONDBLCLK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_RBUTTONDOWN/0","title":"Evision.Constant.cv_EVENT_RBUTTONDOWN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EVENT_RBUTTONUP/0","title":"Evision.Constant.cv_EVENT_RBUTTONUP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXEC_KERNEL/0","title":"Evision.Constant.cv_EXEC_KERNEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXEC_NATIVE_KERNEL/0","title":"Evision.Constant.cv_EXEC_NATIVE_KERNEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXPR/0","title":"Evision.Constant.cv_EXPR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_XYX/0","title":"Evision.Constant.cv_EXT_XYX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_XYZ/0","title":"Evision.Constant.cv_EXT_XYZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_XZX/0","title":"Evision.Constant.cv_EXT_XZX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_XZY/0","title":"Evision.Constant.cv_EXT_XZY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_YXY/0","title":"Evision.Constant.cv_EXT_YXY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_YXZ/0","title":"Evision.Constant.cv_EXT_YXZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_YZX/0","title":"Evision.Constant.cv_EXT_YZX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_YZY/0","title":"Evision.Constant.cv_EXT_YZY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_ZXY/0","title":"Evision.Constant.cv_EXT_ZXY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_ZXZ/0","title":"Evision.Constant.cv_EXT_ZXZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_ZYX/0","title":"Evision.Constant.cv_EXT_ZYX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_EXT_ZYZ/0","title":"Evision.Constant.cv_EXT_ZYZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FAPS/0","title":"Evision.Constant.cv_FAPS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FAST_N/0","title":"Evision.Constant.cv_FAST_N/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FAST_SCORE/0","title":"Evision.Constant.cv_FAST_SCORE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATHER/0","title":"Evision.Constant.cv_FEATHER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATURE_SET_COMPUTE_10/0","title":"Evision.Constant.cv_FEATURE_SET_COMPUTE_10/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATURE_SET_COMPUTE_11/0","title":"Evision.Constant.cv_FEATURE_SET_COMPUTE_11/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATURE_SET_COMPUTE_12/0","title":"Evision.Constant.cv_FEATURE_SET_COMPUTE_12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATURE_SET_COMPUTE_13/0","title":"Evision.Constant.cv_FEATURE_SET_COMPUTE_13/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATURE_SET_COMPUTE_20/0","title":"Evision.Constant.cv_FEATURE_SET_COMPUTE_20/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATURE_SET_COMPUTE_21/0","title":"Evision.Constant.cv_FEATURE_SET_COMPUTE_21/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATURE_SET_COMPUTE_30/0","title":"Evision.Constant.cv_FEATURE_SET_COMPUTE_30/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATURE_SET_COMPUTE_32/0","title":"Evision.Constant.cv_FEATURE_SET_COMPUTE_32/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATURE_SET_COMPUTE_35/0","title":"Evision.Constant.cv_FEATURE_SET_COMPUTE_35/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FEATURE_SET_COMPUTE_50/0","title":"Evision.Constant.cv_FEATURE_SET_COMPUTE_50/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FHT_ADD/0","title":"Evision.Constant.cv_FHT_ADD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FHT_AVE/0","title":"Evision.Constant.cv_FHT_AVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FHT_MAX/0","title":"Evision.Constant.cv_FHT_MAX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FHT_MIN/0","title":"Evision.Constant.cv_FHT_MIN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FILLED/0","title":"Evision.Constant.cv_FILLED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FILTER_SCHARR/0","title":"Evision.Constant.cv_FILTER_SCHARR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FIXED_SIZE/0","title":"Evision.Constant.cv_FIXED_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FIXED_TYPE/0","title":"Evision.Constant.cv_FIXED_TYPE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FileNode_FLOAT/0","title":"Evision.Constant.cv_FileNode_FLOAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FileNode_INT/0","title":"Evision.Constant.cv_FileNode_INT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FileNode_NONE/0","title":"Evision.Constant.cv_FileNode_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FileNode_STRING/0","title":"Evision.Constant.cv_FileNode_STRING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FileNode_TYPE_MASK/0","title":"Evision.Constant.cv_FileNode_TYPE_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FileNode_UNIFORM/0","title":"Evision.Constant.cv_FileNode_UNIFORM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANN_INDEX_TYPE_8S/0","title":"Evision.Constant.cv_FLANN_INDEX_TYPE_8S/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANN_INDEX_TYPE_8U/0","title":"Evision.Constant.cv_FLANN_INDEX_TYPE_8U/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANN_INDEX_TYPE_16S/0","title":"Evision.Constant.cv_FLANN_INDEX_TYPE_16S/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANN_INDEX_TYPE_16U/0","title":"Evision.Constant.cv_FLANN_INDEX_TYPE_16U/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANN_INDEX_TYPE_32F/0","title":"Evision.Constant.cv_FLANN_INDEX_TYPE_32F/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANN_INDEX_TYPE_32S/0","title":"Evision.Constant.cv_FLANN_INDEX_TYPE_32S/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANN_INDEX_TYPE_64F/0","title":"Evision.Constant.cv_FLANN_INDEX_TYPE_64F/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANN_INDEX_TYPE_ALGORITHM/0","title":"Evision.Constant.cv_FLANN_INDEX_TYPE_ALGORITHM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANN_INDEX_TYPE_BOOL/0","title":"Evision.Constant.cv_FLANN_INDEX_TYPE_BOOL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANN_INDEX_TYPE_STRING/0","title":"Evision.Constant.cv_FLANN_INDEX_TYPE_STRING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLANNBASED/0","title":"Evision.Constant.cv_FLANNBASED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLOAT/0","title":"Evision.Constant.cv_FLOAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLOODFILL_FIXED_RANGE/0","title":"Evision.Constant.cv_FLOODFILL_FIXED_RANGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLOODFILL_MASK_ONLY/0","title":"Evision.Constant.cv_FLOODFILL_MASK_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FLOW/0","title":"Evision.Constant.cv_FLOW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FM_7POINT/0","title":"Evision.Constant.cv_FM_7POINT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FM_8POINT/0","title":"Evision.Constant.cv_FM_8POINT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FM_LMEDS/0","title":"Evision.Constant.cv_FM_LMEDS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FM_RANSAC/0","title":"Evision.Constant.cv_FM_RANSAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FMT_C/0","title":"Evision.Constant.cv_FMT_C/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FMT_CSV/0","title":"Evision.Constant.cv_FMT_CSV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FMT_DEFAULT/0","title":"Evision.Constant.cv_FMT_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FMT_MATLAB/0","title":"Evision.Constant.cv_FMT_MATLAB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FMT_NUMPY/0","title":"Evision.Constant.cv_FMT_NUMPY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FMT_PYTHON/0","title":"Evision.Constant.cv_FMT_PYTHON/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FONT_HERSHEY_COMPLEX/0","title":"Evision.Constant.cv_FONT_HERSHEY_COMPLEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FONT_HERSHEY_COMPLEX_SMALL/0","title":"Evision.Constant.cv_FONT_HERSHEY_COMPLEX_SMALL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FONT_HERSHEY_DUPLEX/0","title":"Evision.Constant.cv_FONT_HERSHEY_DUPLEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FONT_HERSHEY_PLAIN/0","title":"Evision.Constant.cv_FONT_HERSHEY_PLAIN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FONT_HERSHEY_SCRIPT_COMPLEX/0","title":"Evision.Constant.cv_FONT_HERSHEY_SCRIPT_COMPLEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FONT_HERSHEY_SCRIPT_SIMPLEX/0","title":"Evision.Constant.cv_FONT_HERSHEY_SCRIPT_SIMPLEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FONT_HERSHEY_SIMPLEX/0","title":"Evision.Constant.cv_FONT_HERSHEY_SIMPLEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FONT_HERSHEY_TRIPLEX/0","title":"Evision.Constant.cv_FONT_HERSHEY_TRIPLEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FONT_ITALIC/0","title":"Evision.Constant.cv_FONT_ITALIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FORMAT_AUTO/0","title":"Evision.Constant.cv_FORMAT_AUTO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FORMAT_JSON/0","title":"Evision.Constant.cv_FORMAT_JSON/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FORMAT_MASK/0","title":"Evision.Constant.cv_FORMAT_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FORMAT_XML/0","title":"Evision.Constant.cv_FORMAT_XML/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FORMAT_YAML/0","title":"Evision.Constant.cv_FORMAT_YAML/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FP_CORRECTLY_ROUNDED_DIVIDE_SQRT/0","title":"Evision.Constant.cv_FP_CORRECTLY_ROUNDED_DIVIDE_SQRT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FP_DENORM/0","title":"Evision.Constant.cv_FP_DENORM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FP_FMA/0","title":"Evision.Constant.cv_FP_FMA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FP_INF_NAN/0","title":"Evision.Constant.cv_FP_INF_NAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FP_ROUND_TO_INF/0","title":"Evision.Constant.cv_FP_ROUND_TO_INF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FP_ROUND_TO_NEAREST/0","title":"Evision.Constant.cv_FP_ROUND_TO_NEAREST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FP_ROUND_TO_ZERO/0","title":"Evision.Constant.cv_FP_ROUND_TO_ZERO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FP_SOFT_FLOAT/0","title":"Evision.Constant.cv_FP_SOFT_FLOAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FR_COSINE/0","title":"Evision.Constant.cv_FR_COSINE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FR_NORM_L2/0","title":"Evision.Constant.cv_FR_NORM_L2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FTP/0","title":"Evision.Constant.cv_FTP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_FULL_UV/0","title":"Evision.Constant.cv_FULL_UV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_fisheye_CALIB_FIX_FOCAL_LENGTH/0","title":"Evision.Constant.cv_fisheye_CALIB_FIX_FOCAL_LENGTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_fisheye_CALIB_FIX_INTRINSIC/0","title":"Evision.Constant.cv_fisheye_CALIB_FIX_INTRINSIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_fisheye_CALIB_FIX_K1/0","title":"Evision.Constant.cv_fisheye_CALIB_FIX_K1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_fisheye_CALIB_FIX_K2/0","title":"Evision.Constant.cv_fisheye_CALIB_FIX_K2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_fisheye_CALIB_FIX_K3/0","title":"Evision.Constant.cv_fisheye_CALIB_FIX_K3/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_fisheye_CALIB_FIX_K4/0","title":"Evision.Constant.cv_fisheye_CALIB_FIX_K4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_fisheye_CALIB_FIX_PRINCIPAL_POINT/0","title":"Evision.Constant.cv_fisheye_CALIB_FIX_PRINCIPAL_POINT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_fisheye_CALIB_USE_INTRINSIC_GUESS/0","title":"Evision.Constant.cv_fisheye_CALIB_USE_INTRINSIC_GUESS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_fisheye_CALIB_ZERO_DISPARITY/0","title":"Evision.Constant.cv_fisheye_CALIB_ZERO_DISPARITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ft_LINEAR/0","title":"Evision.Constant.cv_ft_LINEAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GAIN/0","title":"Evision.Constant.cv_GAIN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GAIN_BLOCKS/0","title":"Evision.Constant.cv_GAIN_BLOCKS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GAMMA/0","title":"Evision.Constant.cv_GAMMA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GAUSSIAN/0","title":"Evision.Constant.cv_GAUSSIAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GC_BGD/0","title":"Evision.Constant.cv_GC_BGD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GC_EVAL/0","title":"Evision.Constant.cv_GC_EVAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GC_EVAL_FREEZE_MODEL/0","title":"Evision.Constant.cv_GC_EVAL_FREEZE_MODEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GC_FGD/0","title":"Evision.Constant.cv_GC_FGD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GC_INIT_WITH_MASK/0","title":"Evision.Constant.cv_GC_INIT_WITH_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GC_INIT_WITH_RECT/0","title":"Evision.Constant.cv_GC_INIT_WITH_RECT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GC_PR_BGD/0","title":"Evision.Constant.cv_GC_PR_BGD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GC_PR_FGD/0","title":"Evision.Constant.cv_GC_PR_FGD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GEMM_1_T/0","title":"Evision.Constant.cv_GEMM_1_T/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GEMM_2_T/0","title":"Evision.Constant.cv_GEMM_2_T/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GEMM_3_T/0","title":"Evision.Constant.cv_GEMM_3_T/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GENTLE/0","title":"Evision.Constant.cv_GENTLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GLOBAL_ATOMICS/0","title":"Evision.Constant.cv_GLOBAL_ATOMICS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GpuApiCallError/0","title":"Evision.Constant.cv_GpuApiCallError/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GpuNotSupported/0","title":"Evision.Constant.cv_GpuNotSupported/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GRAY/0","title":"Evision.Constant.cv_GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_GUIDED_FILTER/0","title":"Evision.Constant.cv_GUIDED_FILTER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_H264/0","title":"Evision.Constant.cv_H264/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_H264_MVC/0","title":"Evision.Constant.cv_H264_MVC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_H264_SVC/0","title":"Evision.Constant.cv_H264_SVC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HAAR/0","title":"Evision.Constant.cv_HAAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HARD_MARGIN/0","title":"Evision.Constant.cv_HARD_MARGIN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HARRIS_SCORE/0","title":"Evision.Constant.cv_HARRIS_SCORE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HASH_BIT/0","title":"Evision.Constant.cv_HASH_BIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HASH_SCALE/0","title":"Evision.Constant.cv_HASH_SCALE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HASHTSDF/0","title":"Evision.Constant.cv_HASHTSDF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HDO_DESKEW/0","title":"Evision.Constant.cv_HDO_DESKEW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HDO_RAW/0","title":"Evision.Constant.cv_HDO_RAW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HESSIAN_ROW/0","title":"Evision.Constant.cv_HESSIAN_ROW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HEURISTIC/0","title":"Evision.Constant.cv_HEURISTIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HEVC/0","title":"Evision.Constant.cv_HEVC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HeaderIsNull/0","title":"Evision.Constant.cv_HeaderIsNull/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HISTCMP_BHATTACHARYYA/0","title":"Evision.Constant.cv_HISTCMP_BHATTACHARYYA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HISTCMP_CHISQR/0","title":"Evision.Constant.cv_HISTCMP_CHISQR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HISTCMP_CHISQR_ALT/0","title":"Evision.Constant.cv_HISTCMP_CHISQR_ALT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HISTCMP_CORREL/0","title":"Evision.Constant.cv_HISTCMP_CORREL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HISTCMP_HELLINGER/0","title":"Evision.Constant.cv_HISTCMP_HELLINGER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HISTCMP_INTERSECT/0","title":"Evision.Constant.cv_HISTCMP_INTERSECT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HISTCMP_KL_DIV/0","title":"Evision.Constant.cv_HISTCMP_KL_DIV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HOG/0","title":"Evision.Constant.cv_HOG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HOST_COPY_OBSOLETE/0","title":"Evision.Constant.cv_HOST_COPY_OBSOLETE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HOUGH_GRADIENT/0","title":"Evision.Constant.cv_HOUGH_GRADIENT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HOUGH_GRADIENT_ALT/0","title":"Evision.Constant.cv_HOUGH_GRADIENT_ALT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HOUGH_MULTI_SCALE/0","title":"Evision.Constant.cv_HOUGH_MULTI_SCALE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HOUGH_PROBABILISTIC/0","title":"Evision.Constant.cv_HOUGH_PROBABILISTIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_HOUGH_STANDARD/0","title":"Evision.Constant.cv_HOUGH_STANDARD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IDENTITY/0","title":"Evision.Constant.cv_IDENTITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_ANYCOLOR/0","title":"Evision.Constant.cv_IMREAD_ANYCOLOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_ANYDEPTH/0","title":"Evision.Constant.cv_IMREAD_ANYDEPTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_COLOR/0","title":"Evision.Constant.cv_IMREAD_COLOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_GRAYSCALE/0","title":"Evision.Constant.cv_IMREAD_GRAYSCALE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_IGNORE_ORIENTATION/0","title":"Evision.Constant.cv_IMREAD_IGNORE_ORIENTATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_LOAD_GDAL/0","title":"Evision.Constant.cv_IMREAD_LOAD_GDAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_REDUCED_COLOR_2/0","title":"Evision.Constant.cv_IMREAD_REDUCED_COLOR_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_REDUCED_COLOR_4/0","title":"Evision.Constant.cv_IMREAD_REDUCED_COLOR_4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_REDUCED_COLOR_8/0","title":"Evision.Constant.cv_IMREAD_REDUCED_COLOR_8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_REDUCED_GRAYSCALE_2/0","title":"Evision.Constant.cv_IMREAD_REDUCED_GRAYSCALE_2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_REDUCED_GRAYSCALE_4/0","title":"Evision.Constant.cv_IMREAD_REDUCED_GRAYSCALE_4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_REDUCED_GRAYSCALE_8/0","title":"Evision.Constant.cv_IMREAD_REDUCED_GRAYSCALE_8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMREAD_UNCHANGED/0","title":"Evision.Constant.cv_IMREAD_UNCHANGED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION_B44/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION_B44/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION_B44A/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION_B44A/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION_DWAA/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION_DWAA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION_DWAB/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION_DWAB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION_NO/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION_NO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION_PIZ/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION_PIZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION_PXR24/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION_PXR24/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION_RLE/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION_RLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION_ZIP/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION_ZIP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_COMPRESSION_ZIPS/0","title":"Evision.Constant.cv_IMWRITE_EXR_COMPRESSION_ZIPS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_DWA_COMPRESSION_LEVEL/0","title":"Evision.Constant.cv_IMWRITE_EXR_DWA_COMPRESSION_LEVEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_TYPE/0","title":"Evision.Constant.cv_IMWRITE_EXR_TYPE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_TYPE_FLOAT/0","title":"Evision.Constant.cv_IMWRITE_EXR_TYPE_FLOAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_EXR_TYPE_HALF/0","title":"Evision.Constant.cv_IMWRITE_EXR_TYPE_HALF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_HDR_COMPRESSION/0","title":"Evision.Constant.cv_IMWRITE_HDR_COMPRESSION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_HDR_COMPRESSION_NONE/0","title":"Evision.Constant.cv_IMWRITE_HDR_COMPRESSION_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_HDR_COMPRESSION_RLE/0","title":"Evision.Constant.cv_IMWRITE_HDR_COMPRESSION_RLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG2000_COMPRESSION_X1000/0","title":"Evision.Constant.cv_IMWRITE_JPEG2000_COMPRESSION_X1000/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_CHROMA_QUALITY/0","title":"Evision.Constant.cv_IMWRITE_JPEG_CHROMA_QUALITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_LUMA_QUALITY/0","title":"Evision.Constant.cv_IMWRITE_JPEG_LUMA_QUALITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_OPTIMIZE/0","title":"Evision.Constant.cv_IMWRITE_JPEG_OPTIMIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_PROGRESSIVE/0","title":"Evision.Constant.cv_IMWRITE_JPEG_PROGRESSIVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_QUALITY/0","title":"Evision.Constant.cv_IMWRITE_JPEG_QUALITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_RST_INTERVAL/0","title":"Evision.Constant.cv_IMWRITE_JPEG_RST_INTERVAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_SAMPLING_FACTOR/0","title":"Evision.Constant.cv_IMWRITE_JPEG_SAMPLING_FACTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_SAMPLING_FACTOR_411/0","title":"Evision.Constant.cv_IMWRITE_JPEG_SAMPLING_FACTOR_411/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_SAMPLING_FACTOR_420/0","title":"Evision.Constant.cv_IMWRITE_JPEG_SAMPLING_FACTOR_420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_SAMPLING_FACTOR_422/0","title":"Evision.Constant.cv_IMWRITE_JPEG_SAMPLING_FACTOR_422/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_SAMPLING_FACTOR_440/0","title":"Evision.Constant.cv_IMWRITE_JPEG_SAMPLING_FACTOR_440/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_JPEG_SAMPLING_FACTOR_444/0","title":"Evision.Constant.cv_IMWRITE_JPEG_SAMPLING_FACTOR_444/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PAM_FORMAT_BLACKANDWHITE/0","title":"Evision.Constant.cv_IMWRITE_PAM_FORMAT_BLACKANDWHITE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PAM_FORMAT_GRAYSCALE/0","title":"Evision.Constant.cv_IMWRITE_PAM_FORMAT_GRAYSCALE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PAM_FORMAT_GRAYSCALE_ALPHA/0","title":"Evision.Constant.cv_IMWRITE_PAM_FORMAT_GRAYSCALE_ALPHA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PAM_FORMAT_NULL/0","title":"Evision.Constant.cv_IMWRITE_PAM_FORMAT_NULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PAM_FORMAT_RGB/0","title":"Evision.Constant.cv_IMWRITE_PAM_FORMAT_RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PAM_FORMAT_RGB_ALPHA/0","title":"Evision.Constant.cv_IMWRITE_PAM_FORMAT_RGB_ALPHA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PAM_TUPLETYPE/0","title":"Evision.Constant.cv_IMWRITE_PAM_TUPLETYPE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PNG_BILEVEL/0","title":"Evision.Constant.cv_IMWRITE_PNG_BILEVEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PNG_COMPRESSION/0","title":"Evision.Constant.cv_IMWRITE_PNG_COMPRESSION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PNG_STRATEGY/0","title":"Evision.Constant.cv_IMWRITE_PNG_STRATEGY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PNG_STRATEGY_DEFAULT/0","title":"Evision.Constant.cv_IMWRITE_PNG_STRATEGY_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PNG_STRATEGY_FILTERED/0","title":"Evision.Constant.cv_IMWRITE_PNG_STRATEGY_FILTERED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PNG_STRATEGY_FIXED/0","title":"Evision.Constant.cv_IMWRITE_PNG_STRATEGY_FIXED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PNG_STRATEGY_HUFFMAN_ONLY/0","title":"Evision.Constant.cv_IMWRITE_PNG_STRATEGY_HUFFMAN_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PNG_STRATEGY_RLE/0","title":"Evision.Constant.cv_IMWRITE_PNG_STRATEGY_RLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_PXM_BINARY/0","title":"Evision.Constant.cv_IMWRITE_PXM_BINARY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_TIFF_COMPRESSION/0","title":"Evision.Constant.cv_IMWRITE_TIFF_COMPRESSION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_TIFF_RESUNIT/0","title":"Evision.Constant.cv_IMWRITE_TIFF_RESUNIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_TIFF_XDPI/0","title":"Evision.Constant.cv_IMWRITE_TIFF_XDPI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_TIFF_YDPI/0","title":"Evision.Constant.cv_IMWRITE_TIFF_YDPI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_IMWRITE_WEBP_QUALITY/0","title":"Evision.Constant.cv_IMWRITE_WEBP_QUALITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INITIAL_METHOD_LEAST_SQUARE/0","title":"Evision.Constant.cv_INITIAL_METHOD_LEAST_SQUARE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INITIAL_METHOD_WHITE_BALANCE/0","title":"Evision.Constant.cv_INITIAL_METHOD_WHITE_BALANCE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INPAINT_FSR_BEST/0","title":"Evision.Constant.cv_INPAINT_FSR_BEST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INPAINT_FSR_FAST/0","title":"Evision.Constant.cv_INPAINT_FSR_FAST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INPAINT_NS/0","title":"Evision.Constant.cv_INPAINT_NS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INPAINT_SHIFTMAP/0","title":"Evision.Constant.cv_INPAINT_SHIFTMAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INPAINT_TELEA/0","title":"Evision.Constant.cv_INPAINT_TELEA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INSIDE_MAP/0","title":"Evision.Constant.cv_INSIDE_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT/0","title":"Evision.Constant.cv_INT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_XYX/0","title":"Evision.Constant.cv_INT_XYX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_XYZ/0","title":"Evision.Constant.cv_INT_XYZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_XZX/0","title":"Evision.Constant.cv_INT_XZX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_XZY/0","title":"Evision.Constant.cv_INT_XZY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_YXY/0","title":"Evision.Constant.cv_INT_YXY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_YXZ/0","title":"Evision.Constant.cv_INT_YXZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_YZX/0","title":"Evision.Constant.cv_INT_YZX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_YZY/0","title":"Evision.Constant.cv_INT_YZY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_ZXY/0","title":"Evision.Constant.cv_INT_ZXY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_ZXZ/0","title":"Evision.Constant.cv_INT_ZXZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_ZYX/0","title":"Evision.Constant.cv_INT_ZYX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INT_ZYZ/0","title":"Evision.Constant.cv_INT_ZYZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER/0","title":"Evision.Constant.cv_INTER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_AREA/0","title":"Evision.Constant.cv_INTER_AREA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_BITS2/0","title":"Evision.Constant.cv_INTER_BITS2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_BITS/0","title":"Evision.Constant.cv_INTER_BITS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_CUBIC/0","title":"Evision.Constant.cv_INTER_CUBIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_LANCZOS4/0","title":"Evision.Constant.cv_INTER_LANCZOS4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_LINEAR/0","title":"Evision.Constant.cv_INTER_LINEAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_LINEAR_EXACT/0","title":"Evision.Constant.cv_INTER_LINEAR_EXACT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_MAX/0","title":"Evision.Constant.cv_INTER_MAX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_NEAREST/0","title":"Evision.Constant.cv_INTER_NEAREST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_NEAREST_EXACT/0","title":"Evision.Constant.cv_INTER_NEAREST_EXACT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_TAB_SIZE2/0","title":"Evision.Constant.cv_INTER_TAB_SIZE2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTER_TAB_SIZE/0","title":"Evision.Constant.cv_INTER_TAB_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTERPROCESS/0","title":"Evision.Constant.cv_INTERPROCESS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTERSECT_FULL/0","title":"Evision.Constant.cv_INTERSECT_FULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTERSECT_NONE/0","title":"Evision.Constant.cv_INTERSECT_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_INTERSECT_PARTIAL/0","title":"Evision.Constant.cv_INTERSECT_PARTIAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_InputArray_MAT/0","title":"Evision.Constant.cv_InputArray_MAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ITERATIVE/0","title":"Evision.Constant.cv_ITERATIVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_JPEG/0","title":"Evision.Constant.cv_JPEG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_KDTREE/0","title":"Evision.Constant.cv_KDTREE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_KIND_MASK/0","title":"Evision.Constant.cv_KIND_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_KIND_SHIFT/0","title":"Evision.Constant.cv_KIND_SHIFT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_KMEANS_PP_CENTERS/0","title":"Evision.Constant.cv_KMEANS_PP_CENTERS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_KMEANS_RANDOM_CENTERS/0","title":"Evision.Constant.cv_KMEANS_RANDOM_CENTERS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_KMEANS_USE_INITIAL_LABELS/0","title":"Evision.Constant.cv_KMEANS_USE_INITIAL_LABELS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_L0_5/0","title":"Evision.Constant.cv_L0_5/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_L0_25/0","title":"Evision.Constant.cv_L0_25/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_L1/0","title":"Evision.Constant.cv_L1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_L2/0","title":"Evision.Constant.cv_L2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_L2Hys/0","title":"Evision.Constant.cv_L2Hys/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_L2SQUARED/0","title":"Evision.Constant.cv_L2SQUARED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_L5/0","title":"Evision.Constant.cv_L5/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_L_INFINITY/0","title":"Evision.Constant.cv_L_INFINITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LAPLACIAN_ROW/0","title":"Evision.Constant.cv_LAPLACIAN_ROW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LAST_VALUE_FLANN_INDEX_TYPE/0","title":"Evision.Constant.cv_LAST_VALUE_FLANN_INDEX_TYPE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LBP/0","title":"Evision.Constant.cv_LBP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LDR_SIZE/0","title":"Evision.Constant.cv_LDR_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LEAKYRELU/0","title":"Evision.Constant.cv_LEAKYRELU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINE_4/0","title":"Evision.Constant.cv_LINE_4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINE_8/0","title":"Evision.Constant.cv_LINE_8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINE_AA/0","title":"Evision.Constant.cv_LINE_AA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINE_LOOP/0","title":"Evision.Constant.cv_LINE_LOOP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINE_STRIP/0","title":"Evision.Constant.cv_LINE_STRIP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINEAR/0","title":"Evision.Constant.cv_LINEAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINEARIZATION_COLORLOGPOLYFIT/0","title":"Evision.Constant.cv_LINEARIZATION_COLORLOGPOLYFIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINEARIZATION_COLORPOLYFIT/0","title":"Evision.Constant.cv_LINEARIZATION_COLORPOLYFIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINEARIZATION_GAMMA/0","title":"Evision.Constant.cv_LINEARIZATION_GAMMA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINEARIZATION_GRAYLOGPOLYFIT/0","title":"Evision.Constant.cv_LINEARIZATION_GRAYLOGPOLYFIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINEARIZATION_GRAYPOLYFIT/0","title":"Evision.Constant.cv_LINEARIZATION_GRAYPOLYFIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINEARIZATION_IDENTITY/0","title":"Evision.Constant.cv_LINEARIZATION_IDENTITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LINES/0","title":"Evision.Constant.cv_LINES/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LMEDS/0","title":"Evision.Constant.cv_LMEDS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LOCAL/0","title":"Evision.Constant.cv_LOCAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LOCAL_IS_GLOBAL/0","title":"Evision.Constant.cv_LOCAL_IS_GLOBAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LOCAL_IS_LOCAL/0","title":"Evision.Constant.cv_LOCAL_IS_LOCAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LOCAL_OPTIM_GC/0","title":"Evision.Constant.cv_LOCAL_OPTIM_GC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LOCAL_OPTIM_INNER_AND_ITER_LO/0","title":"Evision.Constant.cv_LOCAL_OPTIM_INNER_AND_ITER_LO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LOCAL_OPTIM_INNER_LO/0","title":"Evision.Constant.cv_LOCAL_OPTIM_INNER_LO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LOCAL_OPTIM_NULL/0","title":"Evision.Constant.cv_LOCAL_OPTIM_NULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LOCAL_OPTIM_SIGMA/0","title":"Evision.Constant.cv_LOCAL_OPTIM_SIGMA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LOGIT/0","title":"Evision.Constant.cv_LOGIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LSBP_CAMERA_MOTION_COMPENSATION_LK/0","title":"Evision.Constant.cv_LSBP_CAMERA_MOTION_COMPENSATION_LK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LSBP_CAMERA_MOTION_COMPENSATION_NONE/0","title":"Evision.Constant.cv_LSBP_CAMERA_MOTION_COMPENSATION_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LSD/0","title":"Evision.Constant.cv_LSD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LSD_REFINE_ADV/0","title":"Evision.Constant.cv_LSD_REFINE_ADV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LSD_REFINE_NONE/0","title":"Evision.Constant.cv_LSD_REFINE_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_LSD_REFINE_STD/0","title":"Evision.Constant.cv_LSD_REFINE_STD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MAGIC_MASK/0","title":"Evision.Constant.cv_MAGIC_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MAGIC_VAL/0","title":"Evision.Constant.cv_MAGIC_VAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MAP/0","title":"Evision.Constant.cv_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MARKER_CROSS/0","title":"Evision.Constant.cv_MARKER_CROSS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MARKER_DIAMOND/0","title":"Evision.Constant.cv_MARKER_DIAMOND/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MARKER_SQUARE/0","title":"Evision.Constant.cv_MARKER_SQUARE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MARKER_STAR/0","title":"Evision.Constant.cv_MARKER_STAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MARKER_TILTED_CROSS/0","title":"Evision.Constant.cv_MARKER_TILTED_CROSS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MARKER_TRIANGLE_DOWN/0","title":"Evision.Constant.cv_MARKER_TRIANGLE_DOWN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MARKER_TRIANGLE_UP/0","title":"Evision.Constant.cv_MARKER_TRIANGLE_UP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MAT/0","title":"Evision.Constant.cv_MAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MAT_VECTOR/0","title":"Evision.Constant.cv_MAT_VECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MATX/0","title":"Evision.Constant.cv_MATX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MAX_DIM/0","title":"Evision.Constant.cv_MAX_DIM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MAX_ITER/0","title":"Evision.Constant.cv_MAX_ITER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MaskIsTiled/0","title":"Evision.Constant.cv_MaskIsTiled/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MCC24/0","title":"Evision.Constant.cv_MCC24/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MEMORY/0","title":"Evision.Constant.cv_MEMORY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MINI_BATCH/0","title":"Evision.Constant.cv_MINI_BATCH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MINUS/0","title":"Evision.Constant.cv_MINUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MIXED_CLONE/0","title":"Evision.Constant.cv_MIXED_CLONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_ALPHANUMERIC/0","title":"Evision.Constant.cv_MODE_ALPHANUMERIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_AUTO/0","title":"Evision.Constant.cv_MODE_AUTO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_BYTE/0","title":"Evision.Constant.cv_MODE_BYTE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_CLASSIFY/0","title":"Evision.Constant.cv_MODE_CLASSIFY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_DETECT/0","title":"Evision.Constant.cv_MODE_DETECT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_ECI/0","title":"Evision.Constant.cv_MODE_ECI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_HH4/0","title":"Evision.Constant.cv_MODE_HH4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_HH/0","title":"Evision.Constant.cv_MODE_HH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_INIT_NEG/0","title":"Evision.Constant.cv_MODE_INIT_NEG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_INIT_POS/0","title":"Evision.Constant.cv_MODE_INIT_POS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_KANJI/0","title":"Evision.Constant.cv_MODE_KANJI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_NEGATIVE/0","title":"Evision.Constant.cv_MODE_NEGATIVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_NUMERIC/0","title":"Evision.Constant.cv_MODE_NUMERIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_POSITIVE/0","title":"Evision.Constant.cv_MODE_POSITIVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_SGBM/0","title":"Evision.Constant.cv_MODE_SGBM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_SGBM_3WAY/0","title":"Evision.Constant.cv_MODE_SGBM_3WAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_STRUCTURED_APPEND/0","title":"Evision.Constant.cv_MODE_STRUCTURED_APPEND/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_TRACK_NEG/0","title":"Evision.Constant.cv_MODE_TRACK_NEG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODE_TRACK_POS/0","title":"Evision.Constant.cv_MODE_TRACK_POS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MODIFY_A/0","title":"Evision.Constant.cv_MODIFY_A/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MONOCHROME_TRANSFER/0","title":"Evision.Constant.cv_MONOCHROME_TRANSFER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_BLACKHAT/0","title":"Evision.Constant.cv_MORPH_BLACKHAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_CLOSE/0","title":"Evision.Constant.cv_MORPH_CLOSE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_CROSS/0","title":"Evision.Constant.cv_MORPH_CROSS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_DILATE/0","title":"Evision.Constant.cv_MORPH_DILATE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_ELLIPSE/0","title":"Evision.Constant.cv_MORPH_ELLIPSE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_ERODE/0","title":"Evision.Constant.cv_MORPH_ERODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_GRADIENT/0","title":"Evision.Constant.cv_MORPH_GRADIENT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_HITMISS/0","title":"Evision.Constant.cv_MORPH_HITMISS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_OPEN/0","title":"Evision.Constant.cv_MORPH_OPEN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_RECT/0","title":"Evision.Constant.cv_MORPH_RECT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MORPH_TOPHAT/0","title":"Evision.Constant.cv_MORPH_TOPHAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MOTION_AFFINE/0","title":"Evision.Constant.cv_MOTION_AFFINE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MOTION_EUCLIDEAN/0","title":"Evision.Constant.cv_MOTION_EUCLIDEAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MOTION_HOMOGRAPHY/0","title":"Evision.Constant.cv_MOTION_HOMOGRAPHY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MOTION_TRANSLATION/0","title":"Evision.Constant.cv_MOTION_TRANSLATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Monochrome/0","title":"Evision.Constant.cv_Monochrome/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MPEG1/0","title":"Evision.Constant.cv_MPEG1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MPEG2/0","title":"Evision.Constant.cv_MPEG2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MPEG4/0","title":"Evision.Constant.cv_MPEG4/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MSLIC/0","title":"Evision.Constant.cv_MSLIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MULTI_BAND/0","title":"Evision.Constant.cv_MULTI_BAND/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_MULTI_STEP/0","title":"Evision.Constant.cv_MULTI_STEP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_maketype/2","title":"Evision.Constant.cv_maketype/2","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_mat_depth_mask/0","title":"Evision.Constant.cv_mat_depth_mask/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NAME_EXPECTED/0","title":"Evision.Constant.cv_NAME_EXPECTED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NAMED/0","title":"Evision.Constant.cv_NAMED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NATIVE_DOUBLE/0","title":"Evision.Constant.cv_NATIVE_DOUBLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NEIGH_FLANN_KNN/0","title":"Evision.Constant.cv_NEIGH_FLANN_KNN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NEIGH_FLANN_RADIUS/0","title":"Evision.Constant.cv_NEIGH_FLANN_RADIUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NEIGH_GRID/0","title":"Evision.Constant.cv_NEIGH_GRID/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NEXT_AROUND_DST/0","title":"Evision.Constant.cv_NEXT_AROUND_DST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NEXT_AROUND_LEFT/0","title":"Evision.Constant.cv_NEXT_AROUND_LEFT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NEXT_AROUND_ORG/0","title":"Evision.Constant.cv_NEXT_AROUND_ORG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NEXT_AROUND_RIGHT/0","title":"Evision.Constant.cv_NEXT_AROUND_RIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NO/0","title":"Evision.Constant.cv_NO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NO_CACHE/0","title":"Evision.Constant.cv_NO_CACHE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NO_INPUT_SCALE/0","title":"Evision.Constant.cv_NO_INPUT_SCALE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NO_LOCAL_MEM/0","title":"Evision.Constant.cv_NO_LOCAL_MEM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NO_OUTPUT_SCALE/0","title":"Evision.Constant.cv_NO_OUTPUT_SCALE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NO_SIZE/0","title":"Evision.Constant.cv_NO_SIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NO_UV/0","title":"Evision.Constant.cv_NO_UV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NONE/0","title":"Evision.Constant.cv_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NONMAX_SUPPRESSION/0","title":"Evision.Constant.cv_NONMAX_SUPPRESSION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORM_HAMMING2/0","title":"Evision.Constant.cv_NORM_HAMMING2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORM_HAMMING/0","title":"Evision.Constant.cv_NORM_HAMMING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORM_INF/0","title":"Evision.Constant.cv_NORM_INF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORM_L1/0","title":"Evision.Constant.cv_NORM_L1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORM_L2/0","title":"Evision.Constant.cv_NORM_L2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORM_L2SQR/0","title":"Evision.Constant.cv_NORM_L2SQR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORM_MINMAX/0","title":"Evision.Constant.cv_NORM_MINMAX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORM_RELATIVE/0","title":"Evision.Constant.cv_NORM_RELATIVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORM_TYPE_MASK/0","title":"Evision.Constant.cv_NORM_TYPE_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORMAL/0","title":"Evision.Constant.cv_NORMAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORMAL_CLONE/0","title":"Evision.Constant.cv_NORMAL_CLONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NORMCONV_FILTER/0","title":"Evision.Constant.cv_NORMCONV_FILTER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NOT_DRAW_SINGLE_POINTS/0","title":"Evision.Constant.cv_NOT_DRAW_SINGLE_POINTS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NRM_FULL/0","title":"Evision.Constant.cv_NRM_FULL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NRM_NONE/0","title":"Evision.Constant.cv_NRM_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NRM_PARTIAL/0","title":"Evision.Constant.cv_NRM_PARTIAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NRM_SIFT/0","title":"Evision.Constant.cv_NRM_SIFT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NU/0","title":"Evision.Constant.cv_NU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NU_SVC/0","title":"Evision.Constant.cv_NU_SVC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NU_SVR/0","title":"Evision.Constant.cv_NU_SVR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NumCodecs/0","title":"Evision.Constant.cv_NumCodecs/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NumFormats/0","title":"Evision.Constant.cv_NumFormats/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NV_AYUV/0","title":"Evision.Constant.cv_NV_AYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NV_IYUV/0","title":"Evision.Constant.cv_NV_IYUV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NV_NV12/0","title":"Evision.Constant.cv_NV_NV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NV_YUV444/0","title":"Evision.Constant.cv_NV_YUV444/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_NV_YV12/0","title":"Evision.Constant.cv_NV_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OAST_9_16/0","title":"Evision.Constant.cv_OAST_9_16/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OCL_VECTOR_DEFAULT/0","title":"Evision.Constant.cv_OCL_VECTOR_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OCL_VECTOR_MAX/0","title":"Evision.Constant.cv_OCL_VECTOR_MAX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OCL_VECTOR_OWN/0","title":"Evision.Constant.cv_OCL_VECTOR_OWN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OCR_CNN_CLASSIFIER/0","title":"Evision.Constant.cv_OCR_CNN_CLASSIFIER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OCR_DECODER_VITERBI/0","title":"Evision.Constant.cv_OCR_DECODER_VITERBI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OCR_KNN_CLASSIFIER/0","title":"Evision.Constant.cv_OCR_KNN_CLASSIFIER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OCR_LEVEL_TEXTLINE/0","title":"Evision.Constant.cv_OCR_LEVEL_TEXTLINE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OCR_LEVEL_WORD/0","title":"Evision.Constant.cv_OCR_LEVEL_WORD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OCTAVE_ROW/0","title":"Evision.Constant.cv_OCTAVE_ROW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OEM_CUBE_ONLY/0","title":"Evision.Constant.cv_OEM_CUBE_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OEM_DEFAULT/0","title":"Evision.Constant.cv_OEM_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OEM_TESSERACT_CUBE_COMBINED/0","title":"Evision.Constant.cv_OEM_TESSERACT_CUBE_COMBINED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OEM_TESSERACT_ONLY/0","title":"Evision.Constant.cv_OEM_TESSERACT_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OK/0","title":"Evision.Constant.cv_OK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OMNIDIRECTIONAL/0","title":"Evision.Constant.cv_OMNIDIRECTIONAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ONE_CLASS/0","title":"Evision.Constant.cv_ONE_CLASS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ONE_STEP/0","title":"Evision.Constant.cv_ONE_STEP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OPENGL_BUFFER/0","title":"Evision.Constant.cv_OPENGL_BUFFER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OPTFLOW_FARNEBACK_GAUSSIAN/0","title":"Evision.Constant.cv_OPTFLOW_FARNEBACK_GAUSSIAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OPTFLOW_LK_GET_MIN_EIGENVALS/0","title":"Evision.Constant.cv_OPTFLOW_LK_GET_MIN_EIGENVALS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OPTFLOW_USE_INITIAL_FLOW/0","title":"Evision.Constant.cv_OPTFLOW_USE_INITIAL_FLOW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OpenCLApiCallError/0","title":"Evision.Constant.cv_OpenCLApiCallError/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OpenCLDoubleNotSupported/0","title":"Evision.Constant.cv_OpenCLDoubleNotSupported/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OpenCLInitError/0","title":"Evision.Constant.cv_OpenCLInitError/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OpenCLNoAMDBlasFft/0","title":"Evision.Constant.cv_OpenCLNoAMDBlasFft/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OpenGlApiCallError/0","title":"Evision.Constant.cv_OpenGlApiCallError/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_OpenGlNotSupported/0","title":"Evision.Constant.cv_OpenGlNotSupported/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_omnidir_CALIB_FIX_K1/0","title":"Evision.Constant.cv_omnidir_CALIB_FIX_K1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_omnidir_CALIB_FIX_K2/0","title":"Evision.Constant.cv_omnidir_CALIB_FIX_K2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_omnidir_CALIB_FIX_SKEW/0","title":"Evision.Constant.cv_omnidir_CALIB_FIX_SKEW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_P/0","title":"Evision.Constant.cv_P/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PAGE_LOCKED/0","title":"Evision.Constant.cv_PAGE_LOCKED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PANORAMA/0","title":"Evision.Constant.cv_PANORAMA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PCTSignatures_GAUSSIAN/0","title":"Evision.Constant.cv_PCTSignatures_GAUSSIAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PCTSignatures_NORMAL/0","title":"Evision.Constant.cv_PCTSignatures_NORMAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PINHOLE/0","title":"Evision.Constant.cv_PINHOLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PIXEL_PACK_BUFFER/0","title":"Evision.Constant.cv_PIXEL_PACK_BUFFER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PIXEL_UNPACK_BUFFER/0","title":"Evision.Constant.cv_PIXEL_UNPACK_BUFFER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_POINTS/0","title":"Evision.Constant.cv_POINTS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_POLY/0","title":"Evision.Constant.cv_POLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_POLYGON/0","title":"Evision.Constant.cv_POLYGON/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREDICT_AUTO/0","title":"Evision.Constant.cv_PREDICT_AUTO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREDICT_MASK/0","title":"Evision.Constant.cv_PREDICT_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREDICT_MAX_VOTE/0","title":"Evision.Constant.cv_PREDICT_MAX_VOTE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREDICT_SUM/0","title":"Evision.Constant.cv_PREDICT_SUM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREFILTER_NORMALIZED_RESPONSE/0","title":"Evision.Constant.cv_PREFILTER_NORMALIZED_RESPONSE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREFILTER_XSOBEL/0","title":"Evision.Constant.cv_PREFILTER_XSOBEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREPROCESSED_INPUT/0","title":"Evision.Constant.cv_PREPROCESSED_INPUT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PRESET_FAST/0","title":"Evision.Constant.cv_PRESET_FAST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PRESET_MEDIUM/0","title":"Evision.Constant.cv_PRESET_MEDIUM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PRESET_ULTRAFAST/0","title":"Evision.Constant.cv_PRESET_ULTRAFAST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREV_AROUND_DST/0","title":"Evision.Constant.cv_PREV_AROUND_DST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREV_AROUND_LEFT/0","title":"Evision.Constant.cv_PREV_AROUND_LEFT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREV_AROUND_ORG/0","title":"Evision.Constant.cv_PREV_AROUND_ORG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREV_AROUND_RIGHT/0","title":"Evision.Constant.cv_PREV_AROUND_RIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PREWITT/0","title":"Evision.Constant.cv_PREWITT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROJ_SPHERICAL_EQRECT/0","title":"Evision.Constant.cv_PROJ_SPHERICAL_EQRECT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROJ_SPHERICAL_ORTHO/0","title":"Evision.Constant.cv_PROJ_SPHERICAL_ORTHO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROP_ALLOW_FRAME_DROP/0","title":"Evision.Constant.cv_PROP_ALLOW_FRAME_DROP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROP_COLOR_FORMAT/0","title":"Evision.Constant.cv_PROP_COLOR_FORMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROP_DECODED_FRAME_IDX/0","title":"Evision.Constant.cv_PROP_DECODED_FRAME_IDX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROP_EXTRA_DATA_INDEX/0","title":"Evision.Constant.cv_PROP_EXTRA_DATA_INDEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROP_LRF_HAS_KEY_FRAME/0","title":"Evision.Constant.cv_PROP_LRF_HAS_KEY_FRAME/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROP_NOT_SUPPORTED/0","title":"Evision.Constant.cv_PROP_NOT_SUPPORTED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROP_NUMBER_OF_RAW_PACKAGES_SINCE_LAST_GRAB/0","title":"Evision.Constant.cv_PROP_NUMBER_OF_RAW_PACKAGES_SINCE_LAST_GRAB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROP_RAW_MODE/0","title":"Evision.Constant.cv_PROP_RAW_MODE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROP_RAW_PACKAGES_BASE_INDEX/0","title":"Evision.Constant.cv_PROP_RAW_PACKAGES_BASE_INDEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PROP_UDP_SOURCE/0","title":"Evision.Constant.cv_PROP_UDP_SOURCE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_AUTO/0","title":"Evision.Constant.cv_PSM_AUTO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_AUTO_ONLY/0","title":"Evision.Constant.cv_PSM_AUTO_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_AUTO_OSD/0","title":"Evision.Constant.cv_PSM_AUTO_OSD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_CIRCLE_WORD/0","title":"Evision.Constant.cv_PSM_CIRCLE_WORD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_OSD_ONLY/0","title":"Evision.Constant.cv_PSM_OSD_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_SINGLE_BLOCK/0","title":"Evision.Constant.cv_PSM_SINGLE_BLOCK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_SINGLE_BLOCK_VERT_TEXT/0","title":"Evision.Constant.cv_PSM_SINGLE_BLOCK_VERT_TEXT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_SINGLE_CHAR/0","title":"Evision.Constant.cv_PSM_SINGLE_CHAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_SINGLE_COLUMN/0","title":"Evision.Constant.cv_PSM_SINGLE_COLUMN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_SINGLE_LINE/0","title":"Evision.Constant.cv_PSM_SINGLE_LINE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSM_SINGLE_WORD/0","title":"Evision.Constant.cv_PSM_SINGLE_WORD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PSP/0","title":"Evision.Constant.cv_PSP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PTLOC_ERROR/0","title":"Evision.Constant.cv_PTLOC_ERROR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PTLOC_INSIDE/0","title":"Evision.Constant.cv_PTLOC_INSIDE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PTLOC_ON_EDGE/0","title":"Evision.Constant.cv_PTLOC_ON_EDGE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PTLOC_OUTSIDE_RECT/0","title":"Evision.Constant.cv_PTLOC_OUTSIDE_RECT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PTLOC_VERTEX/0","title":"Evision.Constant.cv_PTLOC_VERTEX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_PTR_ONLY/0","title":"Evision.Constant.cv_PTR_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_CHECKBOX/0","title":"Evision.Constant.cv_QT_CHECKBOX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_FONT_BLACK/0","title":"Evision.Constant.cv_QT_FONT_BLACK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_FONT_BOLD/0","title":"Evision.Constant.cv_QT_FONT_BOLD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_FONT_DEMIBOLD/0","title":"Evision.Constant.cv_QT_FONT_DEMIBOLD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_FONT_LIGHT/0","title":"Evision.Constant.cv_QT_FONT_LIGHT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_FONT_NORMAL/0","title":"Evision.Constant.cv_QT_FONT_NORMAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_NEW_BUTTONBAR/0","title":"Evision.Constant.cv_QT_NEW_BUTTONBAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_PUSH_BUTTON/0","title":"Evision.Constant.cv_QT_PUSH_BUTTON/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_RADIOBOX/0","title":"Evision.Constant.cv_QT_RADIOBOX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_STYLE_ITALIC/0","title":"Evision.Constant.cv_QT_STYLE_ITALIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_STYLE_NORMAL/0","title":"Evision.Constant.cv_QT_STYLE_NORMAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QT_STYLE_OBLIQUE/0","title":"Evision.Constant.cv_QT_STYLE_OBLIQUE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QUAD_STRIP/0","title":"Evision.Constant.cv_QUAD_STRIP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QUADS/0","title":"Evision.Constant.cv_QUADS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QUAT_ASSUME_NOT_UNIT/0","title":"Evision.Constant.cv_QUAT_ASSUME_NOT_UNIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_QUAT_ASSUME_UNIT/0","title":"Evision.Constant.cv_QUAT_ASSUME_UNIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RANSAC/0","title":"Evision.Constant.cv_RANSAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RAW_OUTPUT/0","title":"Evision.Constant.cv_RAW_OUTPUT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RBF/0","title":"Evision.Constant.cv_RBF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_READ/0","title":"Evision.Constant.cv_READ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_READ_ONLY/0","title":"Evision.Constant.cv_READ_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_READ_ONLY_CACHE/0","title":"Evision.Constant.cv_READ_ONLY_CACHE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_READ_WRITE/0","title":"Evision.Constant.cv_READ_WRITE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_READ_WRITE_CACHE/0","title":"Evision.Constant.cv_READ_WRITE_CACHE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_REAL/0","title":"Evision.Constant.cv_REAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RECTIFY_CYLINDRICAL/0","title":"Evision.Constant.cv_RECTIFY_CYLINDRICAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RECTIFY_LONGLATI/0","title":"Evision.Constant.cv_RECTIFY_LONGLATI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RECTIFY_PERSPECTIVE/0","title":"Evision.Constant.cv_RECTIFY_PERSPECTIVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RECTIFY_STEREOGRAPHIC/0","title":"Evision.Constant.cv_RECTIFY_STEREOGRAPHIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RECURS_FILTER/0","title":"Evision.Constant.cv_RECURS_FILTER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_REDUCE_AVG/0","title":"Evision.Constant.cv_REDUCE_AVG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_REDUCE_MAX/0","title":"Evision.Constant.cv_REDUCE_MAX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_REDUCE_MIN/0","title":"Evision.Constant.cv_REDUCE_MIN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_REDUCE_SUM/0","title":"Evision.Constant.cv_REDUCE_SUM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_REG_DISABLE/0","title":"Evision.Constant.cv_REG_DISABLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_REG_L1/0","title":"Evision.Constant.cv_REG_L1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_REG_L2/0","title":"Evision.Constant.cv_REG_L2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_REGULAR/0","title":"Evision.Constant.cv_REGULAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RELU/0","title":"Evision.Constant.cv_RELU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RETINA_COLOR_BAYER/0","title":"Evision.Constant.cv_RETINA_COLOR_BAYER/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RETINA_COLOR_DIAGONAL/0","title":"Evision.Constant.cv_RETINA_COLOR_DIAGONAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RETINA_COLOR_RANDOM/0","title":"Evision.Constant.cv_RETINA_COLOR_RANDOM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RETR_CCOMP/0","title":"Evision.Constant.cv_RETR_CCOMP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RETR_EXTERNAL/0","title":"Evision.Constant.cv_RETR_EXTERNAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RETR_FLOODFILL/0","title":"Evision.Constant.cv_RETR_FLOODFILL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RETR_LIST/0","title":"Evision.Constant.cv_RETR_LIST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RETR_TREE/0","title":"Evision.Constant.cv_RETR_TREE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RGB/0","title":"Evision.Constant.cv_RGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RGBA/0","title":"Evision.Constant.cv_RGBA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RGBD_NORMALS_METHOD_FALS/0","title":"Evision.Constant.cv_RGBD_NORMALS_METHOD_FALS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RGBD_NORMALS_METHOD_LINEMOD/0","title":"Evision.Constant.cv_RGBD_NORMALS_METHOD_LINEMOD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RGBD_NORMALS_METHOD_SRI/0","title":"Evision.Constant.cv_RGBD_NORMALS_METHOD_SRI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RGBD_PLANE_METHOD_DEFAULT/0","title":"Evision.Constant.cv_RGBD_PLANE_METHOD_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RHO/0","title":"Evision.Constant.cv_RHO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RIGID_BODY_MOTION/0","title":"Evision.Constant.cv_RIGID_BODY_MOTION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ROTATE_90_CLOCKWISE/0","title":"Evision.Constant.cv_ROTATE_90_CLOCKWISE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ROTATE_90_COUNTERCLOCKWISE/0","title":"Evision.Constant.cv_ROTATE_90_COUNTERCLOCKWISE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ROTATE_180/0","title":"Evision.Constant.cv_ROTATE_180/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ROTATION/0","title":"Evision.Constant.cv_ROTATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ROW_SAMPLE/0","title":"Evision.Constant.cv_ROW_SAMPLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_ROWS_COUNT/0","title":"Evision.Constant.cv_ROWS_COUNT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_RPROP/0","title":"Evision.Constant.cv_RPROP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SAMPLING_NAPSAC/0","title":"Evision.Constant.cv_SAMPLING_NAPSAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SAMPLING_PROGRESSIVE_NAPSAC/0","title":"Evision.Constant.cv_SAMPLING_PROGRESSIVE_NAPSAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SAMPLING_PROSAC/0","title":"Evision.Constant.cv_SAMPLING_PROSAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SAMPLING_UNIFORM/0","title":"Evision.Constant.cv_SAMPLING_UNIFORM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SCALAR/0","title":"Evision.Constant.cv_SCALAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SCANS/0","title":"Evision.Constant.cv_SCANS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SCHARR/0","title":"Evision.Constant.cv_SCHARR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SCORE_METHOD_LMEDS/0","title":"Evision.Constant.cv_SCORE_METHOD_LMEDS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SCORE_METHOD_MAGSAC/0","title":"Evision.Constant.cv_SCORE_METHOD_MAGSAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SCORE_METHOD_MSAC/0","title":"Evision.Constant.cv_SCORE_METHOD_MSAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SCORE_METHOD_RANSAC/0","title":"Evision.Constant.cv_SCORE_METHOD_RANSAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SEQ/0","title":"Evision.Constant.cv_SEQ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SG140/0","title":"Evision.Constant.cv_SG140/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SGD/0","title":"Evision.Constant.cv_SGD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SHARED/0","title":"Evision.Constant.cv_SHARED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SHARED_ATOMICS/0","title":"Evision.Constant.cv_SHARED_ATOMICS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SIGMOID/0","title":"Evision.Constant.cv_SIGMOID/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SIGMOID_SYM/0","title":"Evision.Constant.cv_SIGMOID_SYM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SINUS/0","title":"Evision.Constant.cv_SINUS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SIZE_256_BITS/0","title":"Evision.Constant.cv_SIZE_256_BITS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SIZE_512_BITS/0","title":"Evision.Constant.cv_SIZE_512_BITS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SIZE_ROW/0","title":"Evision.Constant.cv_SIZE_ROW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SLIC/0","title":"Evision.Constant.cv_SLIC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SLICO/0","title":"Evision.Constant.cv_SLICO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOBEL/0","title":"Evision.Constant.cv_SOBEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOFT_MARGIN/0","title":"Evision.Constant.cv_SOFT_MARGIN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOFTNMS_GAUSSIAN/0","title":"Evision.Constant.cv_SOFTNMS_GAUSSIAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOFTNMS_LINEAR/0","title":"Evision.Constant.cv_SOFTNMS_LINEAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVELP_MULTI/0","title":"Evision.Constant.cv_SOLVELP_MULTI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVELP_SINGLE/0","title":"Evision.Constant.cv_SOLVELP_SINGLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVELP_UNBOUNDED/0","title":"Evision.Constant.cv_SOLVELP_UNBOUNDED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVELP_UNFEASIBLE/0","title":"Evision.Constant.cv_SOLVELP_UNFEASIBLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVEPNP_AP3P/0","title":"Evision.Constant.cv_SOLVEPNP_AP3P/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVEPNP_DLS/0","title":"Evision.Constant.cv_SOLVEPNP_DLS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVEPNP_EPNP/0","title":"Evision.Constant.cv_SOLVEPNP_EPNP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVEPNP_IPPE/0","title":"Evision.Constant.cv_SOLVEPNP_IPPE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVEPNP_IPPE_SQUARE/0","title":"Evision.Constant.cv_SOLVEPNP_IPPE_SQUARE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVEPNP_ITERATIVE/0","title":"Evision.Constant.cv_SOLVEPNP_ITERATIVE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVEPNP_MAX_COUNT/0","title":"Evision.Constant.cv_SOLVEPNP_MAX_COUNT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVEPNP_P3P/0","title":"Evision.Constant.cv_SOLVEPNP_P3P/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVEPNP_SQPNP/0","title":"Evision.Constant.cv_SOLVEPNP_SQPNP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SOLVEPNP_UPNP/0","title":"Evision.Constant.cv_SOLVEPNP_UPNP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SORT_ASCENDING/0","title":"Evision.Constant.cv_SORT_ASCENDING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SORT_DESCENDING/0","title":"Evision.Constant.cv_SORT_DESCENDING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SORT_EVERY_COLUMN/0","title":"Evision.Constant.cv_SORT_EVERY_COLUMN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SORT_EVERY_ROW/0","title":"Evision.Constant.cv_SORT_EVERY_ROW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SparseMat_MAGIC_VAL/0","title":"Evision.Constant.cv_SparseMat_MAGIC_VAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_START_AUTO_STEP/0","title":"Evision.Constant.cv_START_AUTO_STEP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_START_E_STEP/0","title":"Evision.Constant.cv_START_E_STEP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_START_M_STEP/0","title":"Evision.Constant.cv_START_M_STEP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_STD_ARRAY/0","title":"Evision.Constant.cv_STD_ARRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_STD_ARRAY_MAT/0","title":"Evision.Constant.cv_STD_ARRAY_MAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_STD_BOOL_VECTOR/0","title":"Evision.Constant.cv_STD_BOOL_VECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_STD_VECTOR/0","title":"Evision.Constant.cv_STD_VECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_STD_VECTOR_CUDA_GPU_MAT/0","title":"Evision.Constant.cv_STD_VECTOR_CUDA_GPU_MAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_STD_VECTOR_MAT/0","title":"Evision.Constant.cv_STD_VECTOR_MAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_STD_VECTOR_UMAT/0","title":"Evision.Constant.cv_STD_VECTOR_UMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_STD_VECTOR_VECTOR/0","title":"Evision.Constant.cv_STD_VECTOR_VECTOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_STR/0","title":"Evision.Constant.cv_STR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_STRING/0","title":"Evision.Constant.cv_STRING/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsAssert/0","title":"Evision.Constant.cv_StsAssert/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsAutoTrace/0","title":"Evision.Constant.cv_StsAutoTrace/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsBackTrace/0","title":"Evision.Constant.cv_StsBackTrace/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsBadArg/0","title":"Evision.Constant.cv_StsBadArg/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsBadFlag/0","title":"Evision.Constant.cv_StsBadFlag/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsBadFunc/0","title":"Evision.Constant.cv_StsBadFunc/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsBadMask/0","title":"Evision.Constant.cv_StsBadMask/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsBadMemBlock/0","title":"Evision.Constant.cv_StsBadMemBlock/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsBadPoint/0","title":"Evision.Constant.cv_StsBadPoint/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsBadSize/0","title":"Evision.Constant.cv_StsBadSize/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsDivByZero/0","title":"Evision.Constant.cv_StsDivByZero/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsError/0","title":"Evision.Constant.cv_StsError/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsFilterOffsetErr/0","title":"Evision.Constant.cv_StsFilterOffsetErr/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsFilterStructContentErr/0","title":"Evision.Constant.cv_StsFilterStructContentErr/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsInplaceNotSupported/0","title":"Evision.Constant.cv_StsInplaceNotSupported/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsInternal/0","title":"Evision.Constant.cv_StsInternal/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsKernelStructContentErr/0","title":"Evision.Constant.cv_StsKernelStructContentErr/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsNoConv/0","title":"Evision.Constant.cv_StsNoConv/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsNoMem/0","title":"Evision.Constant.cv_StsNoMem/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsNotImplemented/0","title":"Evision.Constant.cv_StsNotImplemented/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsNullPtr/0","title":"Evision.Constant.cv_StsNullPtr/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsObjectNotFound/0","title":"Evision.Constant.cv_StsObjectNotFound/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsOk/0","title":"Evision.Constant.cv_StsOk/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsOutOfRange/0","title":"Evision.Constant.cv_StsOutOfRange/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsParseError/0","title":"Evision.Constant.cv_StsParseError/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsUnmatchedFormats/0","title":"Evision.Constant.cv_StsUnmatchedFormats/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsUnmatchedSizes/0","title":"Evision.Constant.cv_StsUnmatchedSizes/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsUnsupportedFormat/0","title":"Evision.Constant.cv_StsUnsupportedFormat/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_StsVecLengthErr/0","title":"Evision.Constant.cv_StsVecLengthErr/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_SYMMETRIC_GRID/0","title":"Evision.Constant.cv_SYMMETRIC_GRID/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEBLID_SIZE_256_BITS/0","title":"Evision.Constant.cv_TEBLID_SIZE_256_BITS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEBLID_SIZE_512_BITS/0","title":"Evision.Constant.cv_TEBLID_SIZE_512_BITS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEMP_COPIED_UMAT/0","title":"Evision.Constant.cv_TEMP_COPIED_UMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEMP_UMAT/0","title":"Evision.Constant.cv_TEMP_UMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEST_CUSTOM/0","title":"Evision.Constant.cv_TEST_CUSTOM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEST_EQ/0","title":"Evision.Constant.cv_TEST_EQ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEST_ERROR/0","title":"Evision.Constant.cv_TEST_ERROR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEST_GE/0","title":"Evision.Constant.cv_TEST_GE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEST_GT/0","title":"Evision.Constant.cv_TEST_GT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEST_LE/0","title":"Evision.Constant.cv_TEST_LE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEST_LT/0","title":"Evision.Constant.cv_TEST_LT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TEST_NE/0","title":"Evision.Constant.cv_TEST_NE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Texture2D_NONE/0","title":"Evision.Constant.cv_Texture2D_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THINNING_GUOHALL/0","title":"Evision.Constant.cv_THINNING_GUOHALL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THINNING_ZHANGSUEN/0","title":"Evision.Constant.cv_THINNING_ZHANGSUEN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THRESH_BINARY/0","title":"Evision.Constant.cv_THRESH_BINARY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THRESH_BINARY_INV/0","title":"Evision.Constant.cv_THRESH_BINARY_INV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THRESH_MASK/0","title":"Evision.Constant.cv_THRESH_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THRESH_OTSU/0","title":"Evision.Constant.cv_THRESH_OTSU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THRESH_TOZERO/0","title":"Evision.Constant.cv_THRESH_TOZERO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THRESH_TOZERO_INV/0","title":"Evision.Constant.cv_THRESH_TOZERO_INV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THRESH_TRIANGLE/0","title":"Evision.Constant.cv_THRESH_TRIANGLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THRESH_TRUNC/0","title":"Evision.Constant.cv_THRESH_TRUNC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_THRESHOLD/0","title":"Evision.Constant.cv_THRESHOLD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TM_CCOEFF/0","title":"Evision.Constant.cv_TM_CCOEFF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TM_CCOEFF_NORMED/0","title":"Evision.Constant.cv_TM_CCOEFF_NORMED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TM_CCORR/0","title":"Evision.Constant.cv_TM_CCORR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TM_CCORR_NORMED/0","title":"Evision.Constant.cv_TM_CCORR_NORMED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TM_SQDIFF/0","title":"Evision.Constant.cv_TM_SQDIFF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TM_SQDIFF_NORMED/0","title":"Evision.Constant.cv_TM_SQDIFF_NORMED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TRAIN_ERROR/0","title":"Evision.Constant.cv_TRAIN_ERROR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TRANSLATION/0","title":"Evision.Constant.cv_TRANSLATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TRIANGLE_FAN/0","title":"Evision.Constant.cv_TRIANGLE_FAN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TRIANGLE_STRIP/0","title":"Evision.Constant.cv_TRIANGLE_STRIP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TRIANGLES/0","title":"Evision.Constant.cv_TRIANGLES/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TrackerKCF_CUSTOM/0","title":"Evision.Constant.cv_TrackerKCF_CUSTOM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TrackerKCF_GRAY/0","title":"Evision.Constant.cv_TrackerKCF_GRAY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TSDF/0","title":"Evision.Constant.cv_TSDF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_5_8/0","title":"Evision.Constant.cv_TYPE_5_8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_7_12/0","title":"Evision.Constant.cv_TYPE_7_12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_9_16/0","title":"Evision.Constant.cv_TYPE_9_16/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_ACCELERATOR/0","title":"Evision.Constant.cv_TYPE_ACCELERATOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_ALL/0","title":"Evision.Constant.cv_TYPE_ALL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_CPU/0","title":"Evision.Constant.cv_TYPE_CPU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_DEFAULT/0","title":"Evision.Constant.cv_TYPE_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_DGPU/0","title":"Evision.Constant.cv_TYPE_DGPU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_GPU/0","title":"Evision.Constant.cv_TYPE_GPU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_IGPU/0","title":"Evision.Constant.cv_TYPE_IGPU/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_TYPE_MASK/0","title":"Evision.Constant.cv_TYPE_MASK/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UCHAR/0","title":"Evision.Constant.cv_UCHAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UINT64/0","title":"Evision.Constant.cv_UINT64/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UMAT/0","title":"Evision.Constant.cv_UMAT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UMAT_USAGE_FLAGS_32BIT/0","title":"Evision.Constant.cv_UMAT_USAGE_FLAGS_32BIT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UNDEFINED/0","title":"Evision.Constant.cv_UNDEFINED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UNIFORM/0","title":"Evision.Constant.cv_UNIFORM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UNKNOWN_VENDOR/0","title":"Evision.Constant.cv_UNKNOWN_VENDOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UNSIGNED_INT/0","title":"Evision.Constant.cv_UNSIGNED_INT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Uncompressed_NV12/0","title":"Evision.Constant.cv_Uncompressed_NV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Uncompressed_UYVY/0","title":"Evision.Constant.cv_Uncompressed_UYVY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Uncompressed_YUV420/0","title":"Evision.Constant.cv_Uncompressed_YUV420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Uncompressed_YUYV/0","title":"Evision.Constant.cv_Uncompressed_YUYV/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Uncompressed_YV12/0","title":"Evision.Constant.cv_Uncompressed_YV12/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UPC_A/0","title":"Evision.Constant.cv_UPC_A/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UPC_E/0","title":"Evision.Constant.cv_UPC_E/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UPC_EAN_EXTENSION/0","title":"Evision.Constant.cv_UPC_EAN_EXTENSION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UPDATE_MODEL/0","title":"Evision.Constant.cv_UPDATE_MODEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_UPDATE_WEIGHTS/0","title":"Evision.Constant.cv_UPDATE_WEIGHTS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAC_ACCURATE/0","title":"Evision.Constant.cv_USAC_ACCURATE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAC_DEFAULT/0","title":"Evision.Constant.cv_USAC_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAC_FAST/0","title":"Evision.Constant.cv_USAC_FAST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAC_FM_8PTS/0","title":"Evision.Constant.cv_USAC_FM_8PTS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAC_MAGSAC/0","title":"Evision.Constant.cv_USAC_MAGSAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAC_PARALLEL/0","title":"Evision.Constant.cv_USAC_PARALLEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAC_PROSAC/0","title":"Evision.Constant.cv_USAC_PROSAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAGE_ALLOCATE_DEVICE_MEMORY/0","title":"Evision.Constant.cv_USAGE_ALLOCATE_DEVICE_MEMORY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAGE_ALLOCATE_HOST_MEMORY/0","title":"Evision.Constant.cv_USAGE_ALLOCATE_HOST_MEMORY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAGE_ALLOCATE_SHARED_MEMORY/0","title":"Evision.Constant.cv_USAGE_ALLOCATE_SHARED_MEMORY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USAGE_DEFAULT/0","title":"Evision.Constant.cv_USAGE_DEFAULT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USE_AVG/0","title":"Evision.Constant.cv_USE_AVG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_USER_ALLOCATED/0","title":"Evision.Constant.cv_USER_ALLOCATED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VALUE_EXPECTED/0","title":"Evision.Constant.cv_VALUE_EXPECTED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VAR_CATEGORICAL/0","title":"Evision.Constant.cv_VAR_CATEGORICAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VAR_NUMERICAL/0","title":"Evision.Constant.cv_VAR_NUMERICAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VAR_ORDERED/0","title":"Evision.Constant.cv_VAR_ORDERED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VC1/0","title":"Evision.Constant.cv_VC1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VENDOR_AMD/0","title":"Evision.Constant.cv_VENDOR_AMD/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VENDOR_INTEL/0","title":"Evision.Constant.cv_VENDOR_INTEL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VENDOR_NVIDIA/0","title":"Evision.Constant.cv_VENDOR_NVIDIA/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEO_ACCELERATION_ANY/0","title":"Evision.Constant.cv_VIDEO_ACCELERATION_ANY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEO_ACCELERATION_D3D11/0","title":"Evision.Constant.cv_VIDEO_ACCELERATION_D3D11/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEO_ACCELERATION_MFX/0","title":"Evision.Constant.cv_VIDEO_ACCELERATION_MFX/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEO_ACCELERATION_NONE/0","title":"Evision.Constant.cv_VIDEO_ACCELERATION_NONE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEO_ACCELERATION_VAAPI/0","title":"Evision.Constant.cv_VIDEO_ACCELERATION_VAAPI/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEOWRITER_PROP_DEPTH/0","title":"Evision.Constant.cv_VIDEOWRITER_PROP_DEPTH/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEOWRITER_PROP_FRAMEBYTES/0","title":"Evision.Constant.cv_VIDEOWRITER_PROP_FRAMEBYTES/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEOWRITER_PROP_HW_ACCELERATION/0","title":"Evision.Constant.cv_VIDEOWRITER_PROP_HW_ACCELERATION/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEOWRITER_PROP_HW_ACCELERATION_USE_OPENCL/0","title":"Evision.Constant.cv_VIDEOWRITER_PROP_HW_ACCELERATION_USE_OPENCL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEOWRITER_PROP_HW_DEVICE/0","title":"Evision.Constant.cv_VIDEOWRITER_PROP_HW_DEVICE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEOWRITER_PROP_IS_COLOR/0","title":"Evision.Constant.cv_VIDEOWRITER_PROP_IS_COLOR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEOWRITER_PROP_NSTRIPES/0","title":"Evision.Constant.cv_VIDEOWRITER_PROP_NSTRIPES/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VIDEOWRITER_PROP_QUALITY/0","title":"Evision.Constant.cv_VIDEOWRITER_PROP_QUALITY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VINYL18/0","title":"Evision.Constant.cv_VINYL18/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VideoReaderProps_PROP_NOT_SUPPORTED/0","title":"Evision.Constant.cv_VideoReaderProps_PROP_NOT_SUPPORTED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VORONOI_SEAM/0","title":"Evision.Constant.cv_VORONOI_SEAM/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VP8/0","title":"Evision.Constant.cv_VP8/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_VP9/0","title":"Evision.Constant.cv_VP9/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WARP_FILL_OUTLIERS/0","title":"Evision.Constant.cv_WARP_FILL_OUTLIERS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WARP_INVERSE_MAP/0","title":"Evision.Constant.cv_WARP_INVERSE_MAP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WARP_POLAR_LINEAR/0","title":"Evision.Constant.cv_WARP_POLAR_LINEAR/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WARP_POLAR_LOG/0","title":"Evision.Constant.cv_WARP_POLAR_LOG/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WARP_SHUFFLE_FUNCTIONS/0","title":"Evision.Constant.cv_WARP_SHUFFLE_FUNCTIONS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WAVE_CORRECT_AUTO/0","title":"Evision.Constant.cv_WAVE_CORRECT_AUTO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WAVE_CORRECT_HORIZ/0","title":"Evision.Constant.cv_WAVE_CORRECT_HORIZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WAVE_CORRECT_VERT/0","title":"Evision.Constant.cv_WAVE_CORRECT_VERT/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Weave/0","title":"Evision.Constant.cv_Weave/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WINDOW_AUTOSIZE/0","title":"Evision.Constant.cv_WINDOW_AUTOSIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WINDOW_FREERATIO/0","title":"Evision.Constant.cv_WINDOW_FREERATIO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WINDOW_FULLSCREEN/0","title":"Evision.Constant.cv_WINDOW_FULLSCREEN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WINDOW_GUI_EXPANDED/0","title":"Evision.Constant.cv_WINDOW_GUI_EXPANDED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WINDOW_GUI_NORMAL/0","title":"Evision.Constant.cv_WINDOW_GUI_NORMAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WINDOW_KEEPRATIO/0","title":"Evision.Constant.cv_WINDOW_KEEPRATIO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WINDOW_NORMAL/0","title":"Evision.Constant.cv_WINDOW_NORMAL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WINDOW_OPENGL/0","title":"Evision.Constant.cv_WINDOW_OPENGL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WMF_COS/0","title":"Evision.Constant.cv_WMF_COS/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WMF_EXP/0","title":"Evision.Constant.cv_WMF_EXP/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WMF_IV1/0","title":"Evision.Constant.cv_WMF_IV1/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WMF_IV2/0","title":"Evision.Constant.cv_WMF_IV2/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WMF_JAC/0","title":"Evision.Constant.cv_WMF_JAC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WMF_OFF/0","title":"Evision.Constant.cv_WMF_OFF/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WND_PROP_ASPECT_RATIO/0","title":"Evision.Constant.cv_WND_PROP_ASPECT_RATIO/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WND_PROP_AUTOSIZE/0","title":"Evision.Constant.cv_WND_PROP_AUTOSIZE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WND_PROP_FULLSCREEN/0","title":"Evision.Constant.cv_WND_PROP_FULLSCREEN/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WND_PROP_OPENGL/0","title":"Evision.Constant.cv_WND_PROP_OPENGL/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WND_PROP_TOPMOST/0","title":"Evision.Constant.cv_WND_PROP_TOPMOST/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WND_PROP_VISIBLE/0","title":"Evision.Constant.cv_WND_PROP_VISIBLE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WND_PROP_VSYNC/0","title":"Evision.Constant.cv_WND_PROP_VSYNC/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WRITE/0","title":"Evision.Constant.cv_WRITE/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WRITE_BASE64/0","title":"Evision.Constant.cv_WRITE_BASE64/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WRITE_COMBINED/0","title":"Evision.Constant.cv_WRITE_COMBINED/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_WRITE_ONLY/0","title":"Evision.Constant.cv_WRITE_ONLY/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_X_ROW/0","title":"Evision.Constant.cv_X_ROW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_XYZ/0","title":"Evision.Constant.cv_XYZ/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_XYZRGB/0","title":"Evision.Constant.cv_XYZRGB/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_Y_ROW/0","title":"Evision.Constant.cv_Y_ROW/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_YUV420/0","title":"Evision.Constant.cv_YUV420/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_YUV422/0","title":"Evision.Constant.cv_YUV422/0","type":"function"},{"doc":"","ref":"Evision.Constant.html#cv_YUV444/0","title":"Evision.Constant.cv_YUV444/0","type":"function"},{"doc":"","ref":"Evision.DISOpticalFlow.html","title":"Evision.DISOpticalFlow","type":"module"},{"doc":"Creates an instance of DISOpticalFlow Keyword Arguments preset : int . one of PRESET_ULTRAFAST, PRESET_FAST and PRESET_MEDIUM Return retval : Evision.DISOpticalFlow.t() Python prototype (for reference only): create([, preset]) -&gt; retval","ref":"Evision.DISOpticalFlow.html#create/0","title":"Evision.DISOpticalFlow.create/0","type":"function"},{"doc":"Creates an instance of DISOpticalFlow Keyword Arguments preset : int . one of PRESET_ULTRAFAST, PRESET_FAST and PRESET_MEDIUM Return retval : Evision.DISOpticalFlow.t() Python prototype (for reference only): create([, preset]) -&gt; retval","ref":"Evision.DISOpticalFlow.html#create/1","title":"Evision.DISOpticalFlow.create/1","type":"function"},{"doc":"Finest level of the Gaussian pyramid on which the flow is computed (zero level corresponds to the original image resolution). The final flow is obtained by bilinear upscaling. Positional Arguments self : Evision.DISOpticalFlow.t() Return retval : int @see setFinestScale/2 Python prototype (for reference only): getFinestScale() -&gt; retval","ref":"Evision.DISOpticalFlow.html#getFinestScale/1","title":"Evision.DISOpticalFlow.getFinestScale/1","type":"function"},{"doc":"Maximum number of gradient descent iterations in the patch inverse search stage. Higher values may improve quality in some cases. Positional Arguments self : Evision.DISOpticalFlow.t() Return retval : int @see setGradientDescentIterations/2 Python prototype (for reference only): getGradientDescentIterations() -&gt; retval","ref":"Evision.DISOpticalFlow.html#getGradientDescentIterations/1","title":"Evision.DISOpticalFlow.getGradientDescentIterations/1","type":"function"},{"doc":"Size of an image patch for matching (in pixels). Normally, default 8x8 patches work well enough in most cases. Positional Arguments self : Evision.DISOpticalFlow.t() Return retval : int @see setPatchSize/2 Python prototype (for reference only): getPatchSize() -&gt; retval","ref":"Evision.DISOpticalFlow.html#getPatchSize/1","title":"Evision.DISOpticalFlow.getPatchSize/1","type":"function"},{"doc":"Stride between neighbor patches. Must be less than patch size. Lower values correspond to higher flow quality. Positional Arguments self : Evision.DISOpticalFlow.t() Return retval : int @see setPatchStride/2 Python prototype (for reference only): getPatchStride() -&gt; retval","ref":"Evision.DISOpticalFlow.html#getPatchStride/1","title":"Evision.DISOpticalFlow.getPatchStride/1","type":"function"},{"doc":"Whether to use mean-normalization of patches when computing patch distance. It is turned on by default as it typically provides a noticeable quality boost because of increased robustness to illumination variations. Turn it off if you are certain that your sequence doesn't contain any changes in illumination. Positional Arguments self : Evision.DISOpticalFlow.t() Return retval : bool @see setUseMeanNormalization/2 Python prototype (for reference only): getUseMeanNormalization() -&gt; retval","ref":"Evision.DISOpticalFlow.html#getUseMeanNormalization/1","title":"Evision.DISOpticalFlow.getUseMeanNormalization/1","type":"function"},{"doc":"Whether to use spatial propagation of good optical flow vectors. This option is turned on by default, as it tends to work better on average and can sometimes help recover from major errors introduced by the coarse-to-fine scheme employed by the DIS optical flow algorithm. Turning this option off can make the output flow field a bit smoother, however. Positional Arguments self : Evision.DISOpticalFlow.t() Return retval : bool @see setUseSpatialPropagation/2 Python prototype (for reference only): getUseSpatialPropagation() -&gt; retval","ref":"Evision.DISOpticalFlow.html#getUseSpatialPropagation/1","title":"Evision.DISOpticalFlow.getUseSpatialPropagation/1","type":"function"},{"doc":"Weight of the smoothness term Positional Arguments self : Evision.DISOpticalFlow.t() Return retval : float @see setVariationalRefinementAlpha/2 Python prototype (for reference only): getVariationalRefinementAlpha() -&gt; retval","ref":"Evision.DISOpticalFlow.html#getVariationalRefinementAlpha/1","title":"Evision.DISOpticalFlow.getVariationalRefinementAlpha/1","type":"function"},{"doc":"Weight of the color constancy term Positional Arguments self : Evision.DISOpticalFlow.t() Return retval : float @see setVariationalRefinementDelta/2 Python prototype (for reference only): getVariationalRefinementDelta() -&gt; retval","ref":"Evision.DISOpticalFlow.html#getVariationalRefinementDelta/1","title":"Evision.DISOpticalFlow.getVariationalRefinementDelta/1","type":"function"},{"doc":"Weight of the gradient constancy term Positional Arguments self : Evision.DISOpticalFlow.t() Return retval : float @see setVariationalRefinementGamma/2 Python prototype (for reference only): getVariationalRefinementGamma() -&gt; retval","ref":"Evision.DISOpticalFlow.html#getVariationalRefinementGamma/1","title":"Evision.DISOpticalFlow.getVariationalRefinementGamma/1","type":"function"},{"doc":"Number of fixed point iterations of variational refinement per scale. Set to zero to disable variational refinement completely. Higher values will typically result in more smooth and high-quality flow. Positional Arguments self : Evision.DISOpticalFlow.t() Return retval : int @see setGradientDescentIterations/2 Python prototype (for reference only): getVariationalRefinementIterations() -&gt; retval","ref":"Evision.DISOpticalFlow.html#getVariationalRefinementIterations/1","title":"Evision.DISOpticalFlow.getVariationalRefinementIterations/1","type":"function"},{"doc":"setFinestScale Positional Arguments self : Evision.DISOpticalFlow.t() val : int @see getFinestScale/1 Python prototype (for reference only): setFinestScale(val) -&gt; None","ref":"Evision.DISOpticalFlow.html#setFinestScale/2","title":"Evision.DISOpticalFlow.setFinestScale/2","type":"function"},{"doc":"setGradientDescentIterations Positional Arguments self : Evision.DISOpticalFlow.t() val : int @see getGradientDescentIterations/1 Python prototype (for reference only): setGradientDescentIterations(val) -&gt; None","ref":"Evision.DISOpticalFlow.html#setGradientDescentIterations/2","title":"Evision.DISOpticalFlow.setGradientDescentIterations/2","type":"function"},{"doc":"setPatchSize Positional Arguments self : Evision.DISOpticalFlow.t() val : int @see getPatchSize/1 Python prototype (for reference only): setPatchSize(val) -&gt; None","ref":"Evision.DISOpticalFlow.html#setPatchSize/2","title":"Evision.DISOpticalFlow.setPatchSize/2","type":"function"},{"doc":"setPatchStride Positional Arguments self : Evision.DISOpticalFlow.t() val : int @see getPatchStride/1 Python prototype (for reference only): setPatchStride(val) -&gt; None","ref":"Evision.DISOpticalFlow.html#setPatchStride/2","title":"Evision.DISOpticalFlow.setPatchStride/2","type":"function"},{"doc":"setUseMeanNormalization Positional Arguments self : Evision.DISOpticalFlow.t() val : bool @see getUseMeanNormalization/1 Python prototype (for reference only): setUseMeanNormalization(val) -&gt; None","ref":"Evision.DISOpticalFlow.html#setUseMeanNormalization/2","title":"Evision.DISOpticalFlow.setUseMeanNormalization/2","type":"function"},{"doc":"setUseSpatialPropagation Positional Arguments self : Evision.DISOpticalFlow.t() val : bool @see getUseSpatialPropagation/1 Python prototype (for reference only): setUseSpatialPropagation(val) -&gt; None","ref":"Evision.DISOpticalFlow.html#setUseSpatialPropagation/2","title":"Evision.DISOpticalFlow.setUseSpatialPropagation/2","type":"function"},{"doc":"setVariationalRefinementAlpha Positional Arguments self : Evision.DISOpticalFlow.t() val : float @see getVariationalRefinementAlpha/1 Python prototype (for reference only): setVariationalRefinementAlpha(val) -&gt; None","ref":"Evision.DISOpticalFlow.html#setVariationalRefinementAlpha/2","title":"Evision.DISOpticalFlow.setVariationalRefinementAlpha/2","type":"function"},{"doc":"setVariationalRefinementDelta Positional Arguments self : Evision.DISOpticalFlow.t() val : float @see getVariationalRefinementDelta/1 Python prototype (for reference only): setVariationalRefinementDelta(val) -&gt; None","ref":"Evision.DISOpticalFlow.html#setVariationalRefinementDelta/2","title":"Evision.DISOpticalFlow.setVariationalRefinementDelta/2","type":"function"},{"doc":"setVariationalRefinementGamma Positional Arguments self : Evision.DISOpticalFlow.t() val : float @see getVariationalRefinementGamma/1 Python prototype (for reference only): setVariationalRefinementGamma(val) -&gt; None","ref":"Evision.DISOpticalFlow.html#setVariationalRefinementGamma/2","title":"Evision.DISOpticalFlow.setVariationalRefinementGamma/2","type":"function"},{"doc":"setVariationalRefinementIterations Positional Arguments self : Evision.DISOpticalFlow.t() val : int @see getGradientDescentIterations/1 Python prototype (for reference only): setVariationalRefinementIterations(val) -&gt; None","ref":"Evision.DISOpticalFlow.html#setVariationalRefinementIterations/2","title":"Evision.DISOpticalFlow.setVariationalRefinementIterations/2","type":"function"},{"doc":"Type that represents an DISOpticalFlow struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DISOpticalFlow.html#t:t/0","title":"Evision.DISOpticalFlow.t/0","type":"type"},{"doc":"","ref":"Evision.DMatch.html","title":"Evision.DMatch","type":"module"},{"doc":"DMatch Return self : Evision.DMatch.t() Python prototype (for reference only): DMatch() -&gt; &lt;DMatch object&gt;","ref":"Evision.DMatch.html#dMatcher/0","title":"Evision.DMatch.dMatcher/0","type":"function"},{"doc":"DMatch Positional Arguments queryIdx : int trainIdx : int distance : float Return self : Evision.DMatch.t() Python prototype (for reference only): DMatch(_queryIdx, _trainIdx, _distance) -&gt; &lt;DMatch object&gt;","ref":"Evision.DMatch.html#dMatcher/3","title":"Evision.DMatch.dMatcher/3","type":"function"},{"doc":"DMatch Positional Arguments queryIdx : int trainIdx : int imgIdx : int distance : float Return self : Evision.DMatch.t() Python prototype (for reference only): DMatch(_queryIdx, _trainIdx, _imgIdx, _distance) -&gt; &lt;DMatch object&gt;","ref":"Evision.DMatch.html#dMatcher/4","title":"Evision.DMatch.dMatcher/4","type":"function"},{"doc":"","ref":"Evision.DMatch.html#get_distance/1","title":"Evision.DMatch.get_distance/1","type":"function"},{"doc":"","ref":"Evision.DMatch.html#get_imgIdx/1","title":"Evision.DMatch.get_imgIdx/1","type":"function"},{"doc":"","ref":"Evision.DMatch.html#get_queryIdx/1","title":"Evision.DMatch.get_queryIdx/1","type":"function"},{"doc":"","ref":"Evision.DMatch.html#get_trainIdx/1","title":"Evision.DMatch.get_trainIdx/1","type":"function"},{"doc":"","ref":"Evision.DMatch.html#set_distance/2","title":"Evision.DMatch.set_distance/2","type":"function"},{"doc":"","ref":"Evision.DMatch.html#set_imgIdx/2","title":"Evision.DMatch.set_imgIdx/2","type":"function"},{"doc":"","ref":"Evision.DMatch.html#set_queryIdx/2","title":"Evision.DMatch.set_queryIdx/2","type":"function"},{"doc":"","ref":"Evision.DMatch.html#set_trainIdx/2","title":"Evision.DMatch.set_trainIdx/2","type":"function"},{"doc":"Type that represents an DMatch struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DMatch.html#t:t/0","title":"Evision.DMatch.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.html","title":"Evision.DNN","type":"module"},{"doc":"Creates 4-dimensional blob from image. Optionally resizes and crops @p image from center, subtract @p mean values, scales values by @p scalefactor, swap Blue and Red channels. Positional Arguments image : Evision.Mat.t() . input image (with 1-, 3- or 4-channels). Keyword Arguments scalefactor : double . multiplier for @p image values. size : Size . spatial size for output image mean : Scalar . scalar with mean values which are subtracted from channels. Values are intended to be in (mean-R, mean-G, mean-B) order if @p image has BGR ordering and @p swapRB is true. swapRB : bool . flag which indicates that swap first and last channels in 3-channel image is necessary. crop : bool . flag which indicates whether image will be cropped after resize or not ddepth : int . Depth of output blob. Choose CV_32F or CV_8U. Return retval : Evision.Mat.t() @details if @p crop is true, input image is resized so one side after resize is equal to corresponding dimension in @p size and another one is equal or larger. Then, crop from the center is performed. If @p crop is false, direct resize without cropping and preserving aspect ratio is performed. @returns 4-dimensional Mat with NCHW dimensions order. Python prototype (for reference only): blobFromImage(image[, scalefactor[, size[, mean[, swapRB[, crop[, ddepth]]]]]]) -&gt; retval","ref":"Evision.DNN.html#blobFromImage/1","title":"Evision.DNN.blobFromImage/1","type":"function"},{"doc":"Creates 4-dimensional blob from image. Optionally resizes and crops @p image from center, subtract @p mean values, scales values by @p scalefactor, swap Blue and Red channels. Positional Arguments image : Evision.Mat.t() . input image (with 1-, 3- or 4-channels). Keyword Arguments scalefactor : double . multiplier for @p image values. size : Size . spatial size for output image mean : Scalar . scalar with mean values which are subtracted from channels. Values are intended to be in (mean-R, mean-G, mean-B) order if @p image has BGR ordering and @p swapRB is true. swapRB : bool . flag which indicates that swap first and last channels in 3-channel image is necessary. crop : bool . flag which indicates whether image will be cropped after resize or not ddepth : int . Depth of output blob. Choose CV_32F or CV_8U. Return retval : Evision.Mat.t() @details if @p crop is true, input image is resized so one side after resize is equal to corresponding dimension in @p size and another one is equal or larger. Then, crop from the center is performed. If @p crop is false, direct resize without cropping and preserving aspect ratio is performed. @returns 4-dimensional Mat with NCHW dimensions order. Python prototype (for reference only): blobFromImage(image[, scalefactor[, size[, mean[, swapRB[, crop[, ddepth]]]]]]) -&gt; retval","ref":"Evision.DNN.html#blobFromImage/2","title":"Evision.DNN.blobFromImage/2","type":"function"},{"doc":"Creates 4-dimensional blob from series of images. Optionally resizes and crops @p images from center, subtract @p mean values, scales values by @p scalefactor, swap Blue and Red channels. Positional Arguments images : [Evision.Mat] . input images (all with 1-, 3- or 4-channels). Keyword Arguments scalefactor : double . multiplier for @p images values. size : Size . spatial size for output image mean : Scalar . scalar with mean values which are subtracted from channels. Values are intended to be in (mean-R, mean-G, mean-B) order if @p image has BGR ordering and @p swapRB is true. swapRB : bool . flag which indicates that swap first and last channels in 3-channel image is necessary. crop : bool . flag which indicates whether image will be cropped after resize or not ddepth : int . Depth of output blob. Choose CV_32F or CV_8U. Return retval : Evision.Mat.t() @details if @p crop is true, input image is resized so one side after resize is equal to corresponding dimension in @p size and another one is equal or larger. Then, crop from the center is performed. If @p crop is false, direct resize without cropping and preserving aspect ratio is performed. @returns 4-dimensional Mat with NCHW dimensions order. Python prototype (for reference only): blobFromImages(images[, scalefactor[, size[, mean[, swapRB[, crop[, ddepth]]]]]]) -&gt; retval","ref":"Evision.DNN.html#blobFromImages/1","title":"Evision.DNN.blobFromImages/1","type":"function"},{"doc":"Creates 4-dimensional blob from series of images. Optionally resizes and crops @p images from center, subtract @p mean values, scales values by @p scalefactor, swap Blue and Red channels. Positional Arguments images : [Evision.Mat] . input images (all with 1-, 3- or 4-channels). Keyword Arguments scalefactor : double . multiplier for @p images values. size : Size . spatial size for output image mean : Scalar . scalar with mean values which are subtracted from channels. Values are intended to be in (mean-R, mean-G, mean-B) order if @p image has BGR ordering and @p swapRB is true. swapRB : bool . flag which indicates that swap first and last channels in 3-channel image is necessary. crop : bool . flag which indicates whether image will be cropped after resize or not ddepth : int . Depth of output blob. Choose CV_32F or CV_8U. Return retval : Evision.Mat.t() @details if @p crop is true, input image is resized so one side after resize is equal to corresponding dimension in @p size and another one is equal or larger. Then, crop from the center is performed. If @p crop is false, direct resize without cropping and preserving aspect ratio is performed. @returns 4-dimensional Mat with NCHW dimensions order. Python prototype (for reference only): blobFromImages(images[, scalefactor[, size[, mean[, swapRB[, crop[, ddepth]]]]]]) -&gt; retval","ref":"Evision.DNN.html#blobFromImages/2","title":"Evision.DNN.blobFromImages/2","type":"function"},{"doc":"getAvailableTargets Positional Arguments be : dnn_Backend Return retval : [Target] Python prototype (for reference only): getAvailableTargets(be) -&gt; retval","ref":"Evision.DNN.html#getAvailableTargets/1","title":"Evision.DNN.getAvailableTargets/1","type":"function"},{"doc":"Parse a 4D blob and output the images it contains as 2D arrays through a simpler data structure (std::vector&lt;cv::Mat&gt;). Positional Arguments blob_ : Evision.Mat.t() . 4 dimensional array (images, channels, height, width) in floating point precision (CV_32F) from which you would like to extract the images. Return images_ : [Evision.Mat] . array of 2D Mat containing the images extracted from the blob in floating point precision (CV_32F). They are non normalized neither mean added. The number of returned images equals the first dimension of the blob (batch size). Every image has a number of channels equals to the second dimension of the blob (depth). Python prototype (for reference only): imagesFromBlob(blob_[, images_]) -&gt; images_","ref":"Evision.DNN.html#imagesFromBlob/1","title":"Evision.DNN.imagesFromBlob/1","type":"function"},{"doc":"Parse a 4D blob and output the images it contains as 2D arrays through a simpler data structure (std::vector&lt;cv::Mat&gt;). Positional Arguments blob_ : Evision.Mat.t() . 4 dimensional array (images, channels, height, width) in floating point precision (CV_32F) from which you would like to extract the images. Return images_ : [Evision.Mat] . array of 2D Mat containing the images extracted from the blob in floating point precision (CV_32F). They are non normalized neither mean added. The number of returned images equals the first dimension of the blob (batch size). Every image has a number of channels equals to the second dimension of the blob (depth). Python prototype (for reference only): imagesFromBlob(blob_[, images_]) -&gt; images_","ref":"Evision.DNN.html#imagesFromBlob/2","title":"Evision.DNN.imagesFromBlob/2","type":"function"},{"doc":"Performs non maximum suppression given boxes and corresponding scores. Positional Arguments bboxes : [Rect2d] . a set of bounding boxes to apply NMS. scores : [float] . a set of corresponding confidences. score_threshold : float . a threshold used to filter boxes by score. nms_threshold : float . a threshold used in non maximum suppression. Keyword Arguments eta : float . a coefficient in adaptive threshold formula: \\f$nms_threshold_{i+1}=eta\\cdot nms_threshold_i\\f$. top_k : int . if &gt;0 , keep at most @p top_k picked indices. Return indices : [int] . the kept indices of bboxes after NMS. Python prototype (for reference only): NMSBoxes(bboxes, scores, score_threshold, nms_threshold[, eta[, top_k]]) -&gt; indices","ref":"Evision.DNN.html#nmsBoxes/4","title":"Evision.DNN.nmsBoxes/4","type":"function"},{"doc":"Performs non maximum suppression given boxes and corresponding scores. Positional Arguments bboxes : [Rect2d] . a set of bounding boxes to apply NMS. scores : [float] . a set of corresponding confidences. score_threshold : float . a threshold used to filter boxes by score. nms_threshold : float . a threshold used in non maximum suppression. Keyword Arguments eta : float . a coefficient in adaptive threshold formula: \\f$nms_threshold_{i+1}=eta\\cdot nms_threshold_i\\f$. top_k : int . if &gt;0 , keep at most @p top_k picked indices. Return indices : [int] . the kept indices of bboxes after NMS. Python prototype (for reference only): NMSBoxes(bboxes, scores, score_threshold, nms_threshold[, eta[, top_k]]) -&gt; indices","ref":"Evision.DNN.html#nmsBoxes/5","title":"Evision.DNN.nmsBoxes/5","type":"function"},{"doc":"NMSBoxesRotated Positional Arguments bboxes : [{centre={x, y}, size={s1, s2}, angle}] scores : [float] score_threshold : float nms_threshold : float Keyword Arguments eta : float . top_k : int . Return indices : [int] Python prototype (for reference only): NMSBoxesRotated(bboxes, scores, score_threshold, nms_threshold[, eta[, top_k]]) -&gt; indices","ref":"Evision.DNN.html#nmsBoxesRotated/4","title":"Evision.DNN.nmsBoxesRotated/4","type":"function"},{"doc":"NMSBoxesRotated Positional Arguments bboxes : [{centre={x, y}, size={s1, s2}, angle}] scores : [float] score_threshold : float nms_threshold : float Keyword Arguments eta : float . top_k : int . Return indices : [int] Python prototype (for reference only): NMSBoxesRotated(bboxes, scores, score_threshold, nms_threshold[, eta[, top_k]]) -&gt; indices","ref":"Evision.DNN.html#nmsBoxesRotated/5","title":"Evision.DNN.nmsBoxesRotated/5","type":"function"},{"doc":"Performs batched non maximum suppression on given boxes and corresponding scores across different classes. Positional Arguments bboxes : [Rect2d] . a set of bounding boxes to apply NMS. scores : [float] . a set of corresponding confidences. class_ids : [int] . a set of corresponding class ids. Ids are integer and usually start from 0. score_threshold : float . a threshold used to filter boxes by score. nms_threshold : float . a threshold used in non maximum suppression. Keyword Arguments eta : float . a coefficient in adaptive threshold formula: \\f$nms_threshold_{i+1}=eta\\cdot nms_threshold_i\\f$. top_k : int . if &gt;0 , keep at most @p top_k picked indices. Return indices : [int] . the kept indices of bboxes after NMS. Python prototype (for reference only): NMSBoxesBatched(bboxes, scores, class_ids, score_threshold, nms_threshold[, eta[, top_k]]) -&gt; indices","ref":"Evision.DNN.html#nmsboxesbatched/5","title":"Evision.DNN.nmsboxesbatched/5","type":"function"},{"doc":"Performs batched non maximum suppression on given boxes and corresponding scores across different classes. Positional Arguments bboxes : [Rect2d] . a set of bounding boxes to apply NMS. scores : [float] . a set of corresponding confidences. class_ids : [int] . a set of corresponding class ids. Ids are integer and usually start from 0. score_threshold : float . a threshold used to filter boxes by score. nms_threshold : float . a threshold used in non maximum suppression. Keyword Arguments eta : float . a coefficient in adaptive threshold formula: \\f$nms_threshold_{i+1}=eta\\cdot nms_threshold_i\\f$. top_k : int . if &gt;0 , keep at most @p top_k picked indices. Return indices : [int] . the kept indices of bboxes after NMS. Python prototype (for reference only): NMSBoxesBatched(bboxes, scores, class_ids, score_threshold, nms_threshold[, eta[, top_k]]) -&gt; indices","ref":"Evision.DNN.html#nmsboxesbatched/6","title":"Evision.DNN.nmsboxesbatched/6","type":"function"},{"doc":"Read deep learning network represented in one of the supported formats. Positional Arguments model : String .Binary file contains trained weights. The following file extensions are expected for models from different frameworks: *.caffemodel (Caffe, http://caffe.berkeleyvision.org/ ) *.pb (TensorFlow, https://www.tensorflow.org/ ) *.t7 | *.net (Torch, http://torch.ch/ ) *.weights (Darknet, https://pjreddie.com/darknet/ ) *.bin (DLDT, https://software.intel.com/openvino-toolkit ) *.onnx (ONNX, https://onnx.ai/ ) Keyword Arguments config : String . Text file contains network configuration. It could be a file with the following extensions: *.prototxt (Caffe, http://caffe.berkeleyvision.org/ ) *.pbtxt (TensorFlow, https://www.tensorflow.org/ ) *.cfg (Darknet, https://pjreddie.com/darknet/ ) *.xml (DLDT, https://software.intel.com/openvino-toolkit ) framework : String . Explicit framework name tag to determine a format. Return retval : Evision.DNN.Net.t() @returns Net object. This function automatically detects an origin framework of trained model and calls an appropriate function such @ref readNetFromCaffe, @ref readNetFromTensorflow, @ref readNetFromTorch or @ref readNetFromDarknet. An order of @p model and @p config arguments does not matter. Python prototype (for reference only): readNet(model[, config[, framework]]) -&gt; retval","ref":"Evision.DNN.html#readNet/1","title":"Evision.DNN.readNet/1","type":"function"},{"doc":"Variant 1: Read deep learning network represented in one of the supported formats. Positional Arguments framework : String . Name of origin framework. bufferModel : [uchar] . A buffer with a content of binary file with weights Keyword Arguments bufferConfig : [uchar] . A buffer with a content of text file contains network configuration. Return retval : Evision.DNN.Net.t() @details This is an overloaded member function, provided for convenience. It differs from the above function only in what argument ( s ) it accepts . @returns Net object. Python prototype (for reference only): readNet(framework, bufferModel[, bufferConfig]) -&gt; retval Variant 2: Read deep learning network represented in one of the supported formats. Positional Arguments model : String .Binary file contains trained weights. The following file extensions are expected for models from different frameworks: *.caffemodel (Caffe, http://caffe.berkeleyvision.org/ ) *.pb (TensorFlow, https://www.tensorflow.org/ ) *.t7 | *.net (Torch, http://torch.ch/ ) *.weights (Darknet, https://pjreddie.com/darknet/ ) *.bin (DLDT, https://software.intel.com/openvino-toolkit ) *.onnx (ONNX, https://onnx.ai/ ) Keyword Arguments config : String . Text file contains network configuration. It could be a file with the following extensions: *.prototxt (Caffe, http://caffe.berkeleyvision.org/ ) *.pbtxt (TensorFlow, https://www.tensorflow.org/ ) *.cfg (Darknet, https://pjreddie.com/darknet/ ) *.xml (DLDT, https://software.intel.com/openvino-toolkit ) framework : String . Explicit framework name tag to determine a format. Return retval : Evision.DNN.Net.t() @returns Net object. This function automatically detects an origin framework of trained model and calls an appropriate function such @ref readNetFromCaffe, @ref readNetFromTensorflow, @ref readNetFromTorch or @ref readNetFromDarknet. An order of @p model and @p config arguments does not matter. Python prototype (for reference only): readNet(model[, config[, framework]]) -&gt; retval","ref":"Evision.DNN.html#readNet/2","title":"Evision.DNN.readNet/2","type":"function"},{"doc":"Read deep learning network represented in one of the supported formats. Positional Arguments framework : String . Name of origin framework. bufferModel : [uchar] . A buffer with a content of binary file with weights Keyword Arguments bufferConfig : [uchar] . A buffer with a content of text file contains network configuration. Return retval : Evision.DNN.Net.t() @details This is an overloaded member function, provided for convenience. It differs from the above function only in what argument ( s ) it accepts . @returns Net object. Python prototype (for reference only): readNet(framework, bufferModel[, bufferConfig]) -&gt; retval","ref":"Evision.DNN.html#readNet/3","title":"Evision.DNN.readNet/3","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; http://caffe.berkeleyvision.org&quot; &gt;Caffe&lt;/a&gt; framework's format. Positional Arguments prototxt : String . path to the .prototxt file with text description of the network architecture. Keyword Arguments caffeModel : String . path to the .caffemodel file with learned network. Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readNetFromCaffe(prototxt[, caffeModel]) -&gt; retval","ref":"Evision.DNN.html#readNetFromCaffe/1","title":"Evision.DNN.readNetFromCaffe/1","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; http://caffe.berkeleyvision.org&quot; &gt;Caffe&lt;/a&gt; framework's format. Positional Arguments prototxt : String . path to the .prototxt file with text description of the network architecture. Keyword Arguments caffeModel : String . path to the .caffemodel file with learned network. Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readNetFromCaffe(prototxt[, caffeModel]) -&gt; retval","ref":"Evision.DNN.html#readNetFromCaffe/2","title":"Evision.DNN.readNetFromCaffe/2","type":"function"},{"doc":"Reads a network model stored in Caffe model in memory. Positional Arguments bufferProto : [uchar] . buffer containing the content of the .prototxt file Keyword Arguments bufferModel : [uchar] . buffer containing the content of the .caffemodel file Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readNetFromCaffe(bufferProto[, bufferModel]) -&gt; retval","ref":"Evision.DNN.html#readNetFromCaffeBuffer/1","title":"Evision.DNN.readNetFromCaffeBuffer/1","type":"function"},{"doc":"Reads a network model stored in Caffe model in memory. Positional Arguments bufferProto : [uchar] . buffer containing the content of the .prototxt file Keyword Arguments bufferModel : [uchar] . buffer containing the content of the .caffemodel file Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readNetFromCaffe(bufferProto[, bufferModel]) -&gt; retval","ref":"Evision.DNN.html#readNetFromCaffeBuffer/2","title":"Evision.DNN.readNetFromCaffeBuffer/2","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; https://pjreddie.com/darknet/&quot; &gt;Darknet&lt;/a&gt; model files. Positional Arguments cfgFile : String . path to the .cfg file with text description of the network architecture. Keyword Arguments darknetModel : String . path to the .weights file with learned network. Return retval : Evision.DNN.Net.t() @returns Network object that ready to do forward, throw an exception in failure cases. @returns Net object. Python prototype (for reference only): readNetFromDarknet(cfgFile[, darknetModel]) -&gt; retval","ref":"Evision.DNN.html#readNetFromDarknet/1","title":"Evision.DNN.readNetFromDarknet/1","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; https://pjreddie.com/darknet/&quot; &gt;Darknet&lt;/a&gt; model files. Positional Arguments cfgFile : String . path to the .cfg file with text description of the network architecture. Keyword Arguments darknetModel : String . path to the .weights file with learned network. Return retval : Evision.DNN.Net.t() @returns Network object that ready to do forward, throw an exception in failure cases. @returns Net object. Python prototype (for reference only): readNetFromDarknet(cfgFile[, darknetModel]) -&gt; retval","ref":"Evision.DNN.html#readNetFromDarknet/2","title":"Evision.DNN.readNetFromDarknet/2","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; https://pjreddie.com/darknet/&quot; &gt;Darknet&lt;/a&gt; model files. Positional Arguments bufferCfg : [uchar] . A buffer contains a content of .cfg file with text description of the network architecture. Keyword Arguments bufferModel : [uchar] . A buffer contains a content of .weights file with learned network. Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readNetFromDarknet(bufferCfg[, bufferModel]) -&gt; retval","ref":"Evision.DNN.html#readNetFromDarknetBuffer/1","title":"Evision.DNN.readNetFromDarknetBuffer/1","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; https://pjreddie.com/darknet/&quot; &gt;Darknet&lt;/a&gt; model files. Positional Arguments bufferCfg : [uchar] . A buffer contains a content of .cfg file with text description of the network architecture. Keyword Arguments bufferModel : [uchar] . A buffer contains a content of .weights file with learned network. Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readNetFromDarknet(bufferCfg[, bufferModel]) -&gt; retval","ref":"Evision.DNN.html#readNetFromDarknetBuffer/2","title":"Evision.DNN.readNetFromDarknetBuffer/2","type":"function"},{"doc":"Load a network from Intel's Model Optimizer intermediate representation. Positional Arguments xml : String . XML configuration file with network's topology. bin : String . Binary file with trained weights. Return retval : Evision.DNN.Net.t() @returns Net object. Networks imported from Intel's Model Optimizer are launched in Intel's Inference Engine backend. Python prototype (for reference only): readNetFromModelOptimizer(xml, bin) -&gt; retval","ref":"Evision.DNN.html#readNetFromModelOptimizer/2","title":"Evision.DNN.readNetFromModelOptimizer/2","type":"function"},{"doc":"Load a network from Intel's Model Optimizer intermediate representation. Positional Arguments bufferModelConfig : [uchar] . Buffer contains XML configuration with network's topology. bufferWeights : [uchar] . Buffer contains binary data with trained weights. Return retval : Evision.DNN.Net.t() @returns Net object. Networks imported from Intel's Model Optimizer are launched in Intel's Inference Engine backend. Python prototype (for reference only): readNetFromModelOptimizer(bufferModelConfig, bufferWeights) -&gt; retval","ref":"Evision.DNN.html#readNetFromModelOptimizerBuffer/2","title":"Evision.DNN.readNetFromModelOptimizerBuffer/2","type":"function"},{"doc":"Reads a network model &lt;a href=&quot; https://onnx.ai/&quot; &gt;ONNX&lt;/a&gt;. Positional Arguments onnxFile : String . path to the .onnx file with text description of the network architecture. Return retval : Evision.DNN.Net.t() @returns Network object that ready to do forward, throw an exception in failure cases. Python prototype (for reference only): readNetFromONNX(onnxFile) -&gt; retval","ref":"Evision.DNN.html#readNetFromONNX/1","title":"Evision.DNN.readNetFromONNX/1","type":"function"},{"doc":"Reads a network model from &lt;a href=&quot; https://onnx.ai/&quot; &gt;ONNX&lt;/a&gt; in-memory buffer. Positional Arguments buffer : [uchar] . in-memory buffer that stores the ONNX model bytes. Return retval : Evision.DNN.Net.t() @returns Network object that ready to do forward, throw an exception in failure cases . Python prototype (for reference only): readNetFromONNX(buffer) -&gt; retval","ref":"Evision.DNN.html#readNetFromONNXBuffer/1","title":"Evision.DNN.readNetFromONNXBuffer/1","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; https://www.tensorflow.org/&quot; &gt;TensorFlow&lt;/a&gt; framework's format. Positional Arguments model : String . path to the .pb file with binary protobuf description of the network architecture Keyword Arguments config : String . path to the .pbtxt file that contains text graph definition in protobuf format. Resulting Net object is built by text graph using weights from a binary one that let us make it more flexible. Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readNetFromTensorflow(model[, config]) -&gt; retval","ref":"Evision.DNN.html#readNetFromTensorflow/1","title":"Evision.DNN.readNetFromTensorflow/1","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; https://www.tensorflow.org/&quot; &gt;TensorFlow&lt;/a&gt; framework's format. Positional Arguments model : String . path to the .pb file with binary protobuf description of the network architecture Keyword Arguments config : String . path to the .pbtxt file that contains text graph definition in protobuf format. Resulting Net object is built by text graph using weights from a binary one that let us make it more flexible. Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readNetFromTensorflow(model[, config]) -&gt; retval","ref":"Evision.DNN.html#readNetFromTensorflow/2","title":"Evision.DNN.readNetFromTensorflow/2","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; https://www.tensorflow.org/&quot; &gt;TensorFlow&lt;/a&gt; framework's format. Positional Arguments bufferModel : [uchar] . buffer containing the content of the pb file Keyword Arguments bufferConfig : [uchar] . buffer containing the content of the pbtxt file Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readNetFromTensorflow(bufferModel[, bufferConfig]) -&gt; retval","ref":"Evision.DNN.html#readNetFromTensorflowBuffer/1","title":"Evision.DNN.readNetFromTensorflowBuffer/1","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; https://www.tensorflow.org/&quot; &gt;TensorFlow&lt;/a&gt; framework's format. Positional Arguments bufferModel : [uchar] . buffer containing the content of the pb file Keyword Arguments bufferConfig : [uchar] . buffer containing the content of the pbtxt file Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readNetFromTensorflow(bufferModel[, bufferConfig]) -&gt; retval","ref":"Evision.DNN.html#readNetFromTensorflowBuffer/2","title":"Evision.DNN.readNetFromTensorflowBuffer/2","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; http://torch.ch&quot; &gt;Torch7&lt;/a&gt; framework's format. Positional Arguments model : String . path to the file, dumped from Torch by using torch.save() function. Keyword Arguments isBinary : bool . specifies whether the network was serialized in ascii mode or binary. evaluate : bool . specifies testing phase of network. If true, it's similar to evaluate() method in Torch. Return retval : Evision.DNN.Net.t() @returns Net object. Note : Ascii mode of Torch serializer is more preferable, because binary mode extensively use long type of C language, which has various bit-length on different systems. The loading file must contain serialized &lt;a href=&quot; https://github.com/torch/nn/blob/master/doc/module.md&quot; &gt;nn.Module&lt;/a&gt; object with importing network. Try to eliminate a custom objects from serialazing data to avoid importing errors. List of supported layers (i.e. object instances derived from Torch nn.Module class): nn.Sequential nn.Parallel nn.Concat nn.Linear nn.SpatialConvolution nn.SpatialMaxPooling, nn.SpatialAveragePooling nn.ReLU, nn.TanH, nn.Sigmoid nn.Reshape nn.SoftMax, nn.LogSoftMax Also some equivalents of these classes from cunn, cudnn, and fbcunn may be successfully imported. Python prototype (for reference only): readNetFromTorch(model[, isBinary[, evaluate]]) -&gt; retval","ref":"Evision.DNN.html#readNetFromTorch/1","title":"Evision.DNN.readNetFromTorch/1","type":"function"},{"doc":"Reads a network model stored in &lt;a href=&quot; http://torch.ch&quot; &gt;Torch7&lt;/a&gt; framework's format. Positional Arguments model : String . path to the file, dumped from Torch by using torch.save() function. Keyword Arguments isBinary : bool . specifies whether the network was serialized in ascii mode or binary. evaluate : bool . specifies testing phase of network. If true, it's similar to evaluate() method in Torch. Return retval : Evision.DNN.Net.t() @returns Net object. Note : Ascii mode of Torch serializer is more preferable, because binary mode extensively use long type of C language, which has various bit-length on different systems. The loading file must contain serialized &lt;a href=&quot; https://github.com/torch/nn/blob/master/doc/module.md&quot; &gt;nn.Module&lt;/a&gt; object with importing network. Try to eliminate a custom objects from serialazing data to avoid importing errors. List of supported layers (i.e. object instances derived from Torch nn.Module class): nn.Sequential nn.Parallel nn.Concat nn.Linear nn.SpatialConvolution nn.SpatialMaxPooling, nn.SpatialAveragePooling nn.ReLU, nn.TanH, nn.Sigmoid nn.Reshape nn.SoftMax, nn.LogSoftMax Also some equivalents of these classes from cunn, cudnn, and fbcunn may be successfully imported. Python prototype (for reference only): readNetFromTorch(model[, isBinary[, evaluate]]) -&gt; retval","ref":"Evision.DNN.html#readNetFromTorch/2","title":"Evision.DNN.readNetFromTorch/2","type":"function"},{"doc":"Creates blob from .pb file. Positional Arguments path : String . to the .pb file with input tensor. Return retval : Evision.Mat.t() @returns Mat. Python prototype (for reference only): readTensorFromONNX(path) -&gt; retval","ref":"Evision.DNN.html#readTensorFromONNX/1","title":"Evision.DNN.readTensorFromONNX/1","type":"function"},{"doc":"Loads blob which was serialized as torch.Tensor object of Torch7 framework. Positional Arguments filename : String Keyword Arguments isBinary : bool . Return retval : Evision.Mat.t() @warning This function has the same limitations as readNetFromTorch(). Python prototype (for reference only): readTorchBlob(filename[, isBinary]) -&gt; retval","ref":"Evision.DNN.html#readTorchBlob/1","title":"Evision.DNN.readTorchBlob/1","type":"function"},{"doc":"Loads blob which was serialized as torch.Tensor object of Torch7 framework. Positional Arguments filename : String Keyword Arguments isBinary : bool . Return retval : Evision.Mat.t() @warning This function has the same limitations as readNetFromTorch(). Python prototype (for reference only): readTorchBlob(filename[, isBinary]) -&gt; retval","ref":"Evision.DNN.html#readTorchBlob/2","title":"Evision.DNN.readTorchBlob/2","type":"function"},{"doc":"Convert all weights of Caffe network to half precision floating point. Positional Arguments src : String . Path to origin model from Caffe framework contains single precision floating point weights (usually has .caffemodel extension). dst : String . Path to destination model with updated weights. Keyword Arguments layersTypes : [String] . Set of layers types which parameters will be converted. By default, converts only Convolutional and Fully-Connected layers' weights. Note : Shrinked model has no origin float32 weights so it can't be used in origin Caffe framework anymore . However the structure of data is taken from NVidia &#39; s Caffe fork : https :// github . com / NVIDIA / caffe . So the resulting model may be used there . Python prototype (for reference only): shrinkCaffeModel(src, dst[, layersTypes]) -&gt; None","ref":"Evision.DNN.html#shrinkCaffeModel/2","title":"Evision.DNN.shrinkCaffeModel/2","type":"function"},{"doc":"Convert all weights of Caffe network to half precision floating point. Positional Arguments src : String . Path to origin model from Caffe framework contains single precision floating point weights (usually has .caffemodel extension). dst : String . Path to destination model with updated weights. Keyword Arguments layersTypes : [String] . Set of layers types which parameters will be converted. By default, converts only Convolutional and Fully-Connected layers' weights. Note : Shrinked model has no origin float32 weights so it can't be used in origin Caffe framework anymore . However the structure of data is taken from NVidia &#39; s Caffe fork : https :// github . com / NVIDIA / caffe . So the resulting model may be used there . Python prototype (for reference only): shrinkCaffeModel(src, dst[, layersTypes]) -&gt; None","ref":"Evision.DNN.html#shrinkCaffeModel/3","title":"Evision.DNN.shrinkCaffeModel/3","type":"function"},{"doc":"Performs soft non maximum suppression given boxes and corresponding scores. Reference: https://arxiv.org/abs/1704.04503 Positional Arguments bboxes : [Rect] . a set of bounding boxes to apply Soft NMS. scores : [float] . a set of corresponding confidences. score_threshold : float . a threshold used to filter boxes by score. nms_threshold : float . a threshold used in non maximum suppression. Keyword Arguments top_k : size_t . keep at most @p top_k picked indices. sigma : float . parameter of Gaussian weighting. method : SoftNMSMethod . Gaussian or linear. Return updated_scores : [float] . a set of corresponding updated confidences. indices : [int] . the kept indices of bboxes after NMS. @see SoftNMSMethod Python prototype (for reference only): softNMSBoxes(bboxes, scores, score_threshold, nms_threshold[, top_k[, sigma[, method]]]) -&gt; updated_scores, indices","ref":"Evision.DNN.html#softNMSBoxes/4","title":"Evision.DNN.softNMSBoxes/4","type":"function"},{"doc":"Performs soft non maximum suppression given boxes and corresponding scores. Reference: https://arxiv.org/abs/1704.04503 Positional Arguments bboxes : [Rect] . a set of bounding boxes to apply Soft NMS. scores : [float] . a set of corresponding confidences. score_threshold : float . a threshold used to filter boxes by score. nms_threshold : float . a threshold used in non maximum suppression. Keyword Arguments top_k : size_t . keep at most @p top_k picked indices. sigma : float . parameter of Gaussian weighting. method : SoftNMSMethod . Gaussian or linear. Return updated_scores : [float] . a set of corresponding updated confidences. indices : [int] . the kept indices of bboxes after NMS. @see SoftNMSMethod Python prototype (for reference only): softNMSBoxes(bboxes, scores, score_threshold, nms_threshold[, top_k[, sigma[, method]]]) -&gt; updated_scores, indices","ref":"Evision.DNN.html#softNMSBoxes/5","title":"Evision.DNN.softNMSBoxes/5","type":"function"},{"doc":"Create a text representation for a binary network stored in protocol buffer format. Positional Arguments model : String . A path to binary network. output : String . A path to output text file to be created. Note : To reduce output file size, trained weights are not included. Python prototype (for reference only): writeTextGraph(model, output) -&gt; None","ref":"Evision.DNN.html#writeTextGraph/2","title":"Evision.DNN.writeTextGraph/2","type":"function"},{"doc":"Type that represents an DNN struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.html#t:t/0","title":"Evision.DNN.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.ClassificationModel.html","title":"Evision.DNN.ClassificationModel","type":"module"},{"doc":"Variant 1: Create model from deep learning network. Positional Arguments network : Evision.DNN.Net.t() . Net object. Return self : Evision.DNN.ClassificationModel.t() Python prototype (for reference only): ClassificationModel(network) -&gt; &lt;dnn_ClassificationModel object&gt; Variant 2: Create classification model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : String . Binary file contains trained weights. Keyword Arguments config : String . Text file contains network configuration. Return self : Evision.DNN.ClassificationModel.t() Python prototype (for reference only): ClassificationModel(model[, config]) -&gt; &lt;dnn_ClassificationModel object&gt;","ref":"Evision.DNN.ClassificationModel.html#classificationModel/1","title":"Evision.DNN.ClassificationModel.classificationModel/1","type":"function"},{"doc":"Create classification model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : String . Binary file contains trained weights. Keyword Arguments config : String . Text file contains network configuration. Return self : Evision.DNN.ClassificationModel.t() Python prototype (for reference only): ClassificationModel(model[, config]) -&gt; &lt;dnn_ClassificationModel object&gt;","ref":"Evision.DNN.ClassificationModel.html#classificationModel/2","title":"Evision.DNN.ClassificationModel.classificationModel/2","type":"function"},{"doc":"classify Positional Arguments self : Evision.DNN.ClassificationModel.t() frame : Evision.Mat.t() Return classId : int conf : float Has overloading in C++ Python prototype (for reference only): classify(frame) -&gt; classId, conf","ref":"Evision.DNN.ClassificationModel.html#classify/2","title":"Evision.DNN.ClassificationModel.classify/2","type":"function"},{"doc":"Get enable/disable softmax post processing option. Positional Arguments self : Evision.DNN.ClassificationModel.t() Return retval : bool This option defaults to false, softmax post processing is not applied within the classify() function. Python prototype (for reference only): getEnableSoftmaxPostProcessing() -&gt; retval","ref":"Evision.DNN.ClassificationModel.html#getEnableSoftmaxPostProcessing/1","title":"Evision.DNN.ClassificationModel.getEnableSoftmaxPostProcessing/1","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.ClassificationModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.ClassificationModel.html#predict/2","title":"Evision.DNN.ClassificationModel.predict/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.ClassificationModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.ClassificationModel.html#predict/3","title":"Evision.DNN.ClassificationModel.predict/3","type":"function"},{"doc":"Set enable/disable softmax post processing option. Positional Arguments self : Evision.DNN.ClassificationModel.t() enable : bool . Set enable softmax post processing within the classify() function. Return retval : Evision.DNN.ClassificationModel.t() If this option is true, softmax is applied after forward inference within the classify() function to convert the confidences range to [0.0-1.0]. This function allows you to toggle this behavior. Please turn true when not contain softmax layer in model. Python prototype (for reference only): setEnableSoftmaxPostProcessing(enable) -&gt; retval","ref":"Evision.DNN.ClassificationModel.html#setEnableSoftmaxPostProcessing/2","title":"Evision.DNN.ClassificationModel.setEnableSoftmaxPostProcessing/2","type":"function"},{"doc":"Set flag crop for frame. Positional Arguments self : Evision.DNN.ClassificationModel.t() crop : bool . Flag which indicates whether image will be cropped after resize or not. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputCrop(crop) -&gt; retval","ref":"Evision.DNN.ClassificationModel.html#setInputCrop/2","title":"Evision.DNN.ClassificationModel.setInputCrop/2","type":"function"},{"doc":"Set mean value for frame. Positional Arguments self : Evision.DNN.ClassificationModel.t() mean : Scalar . Scalar with mean values which are subtracted from channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputMean(mean) -&gt; retval","ref":"Evision.DNN.ClassificationModel.html#setInputMean/2","title":"Evision.DNN.ClassificationModel.setInputMean/2","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.ClassificationModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.ClassificationModel.html#setInputParams/1","title":"Evision.DNN.ClassificationModel.setInputParams/1","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.ClassificationModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.ClassificationModel.html#setInputParams/2","title":"Evision.DNN.ClassificationModel.setInputParams/2","type":"function"},{"doc":"Set scalefactor value for frame. Positional Arguments self : Evision.DNN.ClassificationModel.t() scale : double . Multiplier for frame values. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputScale(scale) -&gt; retval","ref":"Evision.DNN.ClassificationModel.html#setInputScale/2","title":"Evision.DNN.ClassificationModel.setInputScale/2","type":"function"},{"doc":"Set input size for frame. Positional Arguments self : Evision.DNN.ClassificationModel.t() size : Size . New input size. Return retval : Evision.DNN.Model.t() Note : If shape of the new blob less than 0, then frame size not change. Python prototype (for reference only): setInputSize(size) -&gt; retval","ref":"Evision.DNN.ClassificationModel.html#setInputSize/2","title":"Evision.DNN.ClassificationModel.setInputSize/2","type":"function"},{"doc":"setInputSize Positional Arguments self : Evision.DNN.ClassificationModel.t() width : int . New input width. height : int . New input height. Return retval : Evision.DNN.Model.t() Has overloading in C++ Python prototype (for reference only): setInputSize(width, height) -&gt; retval","ref":"Evision.DNN.ClassificationModel.html#setInputSize/3","title":"Evision.DNN.ClassificationModel.setInputSize/3","type":"function"},{"doc":"Set flag swapRB for frame. Positional Arguments self : Evision.DNN.ClassificationModel.t() swapRB : bool . Flag which indicates that swap first and last channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputSwapRB(swapRB) -&gt; retval","ref":"Evision.DNN.ClassificationModel.html#setInputSwapRB/2","title":"Evision.DNN.ClassificationModel.setInputSwapRB/2","type":"function"},{"doc":"setPreferableBackend Positional Arguments self : Evision.DNN.ClassificationModel.t() backendId : dnn_Backend Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableBackend(backendId) -&gt; retval","ref":"Evision.DNN.ClassificationModel.html#setPreferableBackend/2","title":"Evision.DNN.ClassificationModel.setPreferableBackend/2","type":"function"},{"doc":"setPreferableTarget Positional Arguments self : Evision.DNN.ClassificationModel.t() targetId : dnn_Target Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableTarget(targetId) -&gt; retval","ref":"Evision.DNN.ClassificationModel.html#setPreferableTarget/2","title":"Evision.DNN.ClassificationModel.setPreferableTarget/2","type":"function"},{"doc":"Type that represents an DNN.ClassificationModel struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.ClassificationModel.html#t:t/0","title":"Evision.DNN.ClassificationModel.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.DetectionModel.html","title":"Evision.DNN.DetectionModel","type":"module"},{"doc":"Given the @p input frame, create input blob, run net and return result detections. Positional Arguments self : Evision.DNN.DetectionModel.t() frame : Evision.Mat.t() Keyword Arguments confThreshold : float . A threshold used to filter boxes by confidences. nmsThreshold : float . A threshold used in non maximum suppression. Return classIds : [int] . Class indexes in result detection. confidences : [float] . A set of corresponding confidences. boxes : [Rect] . A set of bounding boxes. Python prototype (for reference only): detect(frame[, confThreshold[, nmsThreshold]]) -&gt; classIds, confidences, boxes","ref":"Evision.DNN.DetectionModel.html#detect/2","title":"Evision.DNN.DetectionModel.detect/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return result detections. Positional Arguments self : Evision.DNN.DetectionModel.t() frame : Evision.Mat.t() Keyword Arguments confThreshold : float . A threshold used to filter boxes by confidences. nmsThreshold : float . A threshold used in non maximum suppression. Return classIds : [int] . Class indexes in result detection. confidences : [float] . A set of corresponding confidences. boxes : [Rect] . A set of bounding boxes. Python prototype (for reference only): detect(frame[, confThreshold[, nmsThreshold]]) -&gt; classIds, confidences, boxes","ref":"Evision.DNN.DetectionModel.html#detect/3","title":"Evision.DNN.DetectionModel.detect/3","type":"function"},{"doc":"Variant 1: Create model from deep learning network. Positional Arguments network : Evision.DNN.Net.t() . Net object. Return self : Evision.DNN.DetectionModel.t() Python prototype (for reference only): DetectionModel(network) -&gt; &lt;dnn_DetectionModel object&gt; Variant 2: Create detection model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : String . Binary file contains trained weights. Keyword Arguments config : String . Text file contains network configuration. Return self : Evision.DNN.DetectionModel.t() Python prototype (for reference only): DetectionModel(model[, config]) -&gt; &lt;dnn_DetectionModel object&gt;","ref":"Evision.DNN.DetectionModel.html#detectionModel/1","title":"Evision.DNN.DetectionModel.detectionModel/1","type":"function"},{"doc":"Create detection model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : String . Binary file contains trained weights. Keyword Arguments config : String . Text file contains network configuration. Return self : Evision.DNN.DetectionModel.t() Python prototype (for reference only): DetectionModel(model[, config]) -&gt; &lt;dnn_DetectionModel object&gt;","ref":"Evision.DNN.DetectionModel.html#detectionModel/2","title":"Evision.DNN.DetectionModel.detectionModel/2","type":"function"},{"doc":"Getter for nmsAcrossClasses. This variable defaults to false, such that when non max suppression is used during the detect() function, it will do so only per-class Positional Arguments self : Evision.DNN.DetectionModel.t() Return retval : bool Python prototype (for reference only): getNmsAcrossClasses() -&gt; retval","ref":"Evision.DNN.DetectionModel.html#getNmsAcrossClasses/1","title":"Evision.DNN.DetectionModel.getNmsAcrossClasses/1","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.DetectionModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.DetectionModel.html#predict/2","title":"Evision.DNN.DetectionModel.predict/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.DetectionModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.DetectionModel.html#predict/3","title":"Evision.DNN.DetectionModel.predict/3","type":"function"},{"doc":"Set flag crop for frame. Positional Arguments self : Evision.DNN.DetectionModel.t() crop : bool . Flag which indicates whether image will be cropped after resize or not. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputCrop(crop) -&gt; retval","ref":"Evision.DNN.DetectionModel.html#setInputCrop/2","title":"Evision.DNN.DetectionModel.setInputCrop/2","type":"function"},{"doc":"Set mean value for frame. Positional Arguments self : Evision.DNN.DetectionModel.t() mean : Scalar . Scalar with mean values which are subtracted from channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputMean(mean) -&gt; retval","ref":"Evision.DNN.DetectionModel.html#setInputMean/2","title":"Evision.DNN.DetectionModel.setInputMean/2","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.DetectionModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.DetectionModel.html#setInputParams/1","title":"Evision.DNN.DetectionModel.setInputParams/1","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.DetectionModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.DetectionModel.html#setInputParams/2","title":"Evision.DNN.DetectionModel.setInputParams/2","type":"function"},{"doc":"Set scalefactor value for frame. Positional Arguments self : Evision.DNN.DetectionModel.t() scale : double . Multiplier for frame values. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputScale(scale) -&gt; retval","ref":"Evision.DNN.DetectionModel.html#setInputScale/2","title":"Evision.DNN.DetectionModel.setInputScale/2","type":"function"},{"doc":"Set input size for frame. Positional Arguments self : Evision.DNN.DetectionModel.t() size : Size . New input size. Return retval : Evision.DNN.Model.t() Note : If shape of the new blob less than 0, then frame size not change. Python prototype (for reference only): setInputSize(size) -&gt; retval","ref":"Evision.DNN.DetectionModel.html#setInputSize/2","title":"Evision.DNN.DetectionModel.setInputSize/2","type":"function"},{"doc":"setInputSize Positional Arguments self : Evision.DNN.DetectionModel.t() width : int . New input width. height : int . New input height. Return retval : Evision.DNN.Model.t() Has overloading in C++ Python prototype (for reference only): setInputSize(width, height) -&gt; retval","ref":"Evision.DNN.DetectionModel.html#setInputSize/3","title":"Evision.DNN.DetectionModel.setInputSize/3","type":"function"},{"doc":"Set flag swapRB for frame. Positional Arguments self : Evision.DNN.DetectionModel.t() swapRB : bool . Flag which indicates that swap first and last channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputSwapRB(swapRB) -&gt; retval","ref":"Evision.DNN.DetectionModel.html#setInputSwapRB/2","title":"Evision.DNN.DetectionModel.setInputSwapRB/2","type":"function"},{"doc":"nmsAcrossClasses defaults to false, such that when non max suppression is used during the detect() function, it will do so per-class. This function allows you to toggle this behaviour. Positional Arguments self : Evision.DNN.DetectionModel.t() value : bool . The new value for nmsAcrossClasses Return retval : Evision.DNN.DetectionModel.t() Python prototype (for reference only): setNmsAcrossClasses(value) -&gt; retval","ref":"Evision.DNN.DetectionModel.html#setNmsAcrossClasses/2","title":"Evision.DNN.DetectionModel.setNmsAcrossClasses/2","type":"function"},{"doc":"setPreferableBackend Positional Arguments self : Evision.DNN.DetectionModel.t() backendId : dnn_Backend Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableBackend(backendId) -&gt; retval","ref":"Evision.DNN.DetectionModel.html#setPreferableBackend/2","title":"Evision.DNN.DetectionModel.setPreferableBackend/2","type":"function"},{"doc":"setPreferableTarget Positional Arguments self : Evision.DNN.DetectionModel.t() targetId : dnn_Target Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableTarget(targetId) -&gt; retval","ref":"Evision.DNN.DetectionModel.html#setPreferableTarget/2","title":"Evision.DNN.DetectionModel.setPreferableTarget/2","type":"function"},{"doc":"Type that represents an DNN.DetectionModel struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.DetectionModel.html#t:t/0","title":"Evision.DNN.DetectionModel.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.DictValue.html","title":"Evision.DNN.DictValue","type":"module"},{"doc":"Variant 1: DictValue Positional Arguments s : String Return self : Evision.DNN.DictValue.t() Python prototype (for reference only): DictValue(s) -&gt; &lt;dnn_DictValue object&gt; Variant 2: DictValue Positional Arguments p : double Return self : Evision.DNN.DictValue.t() Python prototype (for reference only): DictValue(p) -&gt; &lt;dnn_DictValue object&gt; Variant 3: DictValue Positional Arguments i : int Return self : Evision.DNN.DictValue.t() Python prototype (for reference only): DictValue(i) -&gt; &lt;dnn_DictValue object&gt;","ref":"Evision.DNN.DictValue.html#dictValue/1","title":"Evision.DNN.DictValue.dictValue/1","type":"function"},{"doc":"getIntValue Positional Arguments self : Evision.DNN.DictValue.t() Keyword Arguments idx : int . Return retval : int Python prototype (for reference only): getIntValue([, idx]) -&gt; retval","ref":"Evision.DNN.DictValue.html#getIntValue/1","title":"Evision.DNN.DictValue.getIntValue/1","type":"function"},{"doc":"getIntValue Positional Arguments self : Evision.DNN.DictValue.t() Keyword Arguments idx : int . Return retval : int Python prototype (for reference only): getIntValue([, idx]) -&gt; retval","ref":"Evision.DNN.DictValue.html#getIntValue/2","title":"Evision.DNN.DictValue.getIntValue/2","type":"function"},{"doc":"getRealValue Positional Arguments self : Evision.DNN.DictValue.t() Keyword Arguments idx : int . Return retval : double Python prototype (for reference only): getRealValue([, idx]) -&gt; retval","ref":"Evision.DNN.DictValue.html#getRealValue/1","title":"Evision.DNN.DictValue.getRealValue/1","type":"function"},{"doc":"getRealValue Positional Arguments self : Evision.DNN.DictValue.t() Keyword Arguments idx : int . Return retval : double Python prototype (for reference only): getRealValue([, idx]) -&gt; retval","ref":"Evision.DNN.DictValue.html#getRealValue/2","title":"Evision.DNN.DictValue.getRealValue/2","type":"function"},{"doc":"getStringValue Positional Arguments self : Evision.DNN.DictValue.t() Keyword Arguments idx : int . Return retval : String Python prototype (for reference only): getStringValue([, idx]) -&gt; retval","ref":"Evision.DNN.DictValue.html#getStringValue/1","title":"Evision.DNN.DictValue.getStringValue/1","type":"function"},{"doc":"getStringValue Positional Arguments self : Evision.DNN.DictValue.t() Keyword Arguments idx : int . Return retval : String Python prototype (for reference only): getStringValue([, idx]) -&gt; retval","ref":"Evision.DNN.DictValue.html#getStringValue/2","title":"Evision.DNN.DictValue.getStringValue/2","type":"function"},{"doc":"isInt Positional Arguments self : Evision.DNN.DictValue.t() Return retval : bool Python prototype (for reference only): isInt() -&gt; retval","ref":"Evision.DNN.DictValue.html#isInt/1","title":"Evision.DNN.DictValue.isInt/1","type":"function"},{"doc":"isReal Positional Arguments self : Evision.DNN.DictValue.t() Return retval : bool Python prototype (for reference only): isReal() -&gt; retval","ref":"Evision.DNN.DictValue.html#isReal/1","title":"Evision.DNN.DictValue.isReal/1","type":"function"},{"doc":"isString Positional Arguments self : Evision.DNN.DictValue.t() Return retval : bool Python prototype (for reference only): isString() -&gt; retval","ref":"Evision.DNN.DictValue.html#isString/1","title":"Evision.DNN.DictValue.isString/1","type":"function"},{"doc":"Type that represents an DNN.DictValue struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.DictValue.html#t:t/0","title":"Evision.DNN.DictValue.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.KeypointsModel.html","title":"Evision.DNN.KeypointsModel","type":"module"},{"doc":"Given the @p input frame, create input blob, run net Positional Arguments self : Evision.DNN.KeypointsModel.t() frame : Evision.Mat.t() Keyword Arguments thresh : float . minimum confidence threshold to select a keypoint Return retval : [Point2f] @returns a vector holding the x and y coordinates of each detected keypoint Python prototype (for reference only): estimate(frame[, thresh]) -&gt; retval","ref":"Evision.DNN.KeypointsModel.html#estimate/2","title":"Evision.DNN.KeypointsModel.estimate/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net Positional Arguments self : Evision.DNN.KeypointsModel.t() frame : Evision.Mat.t() Keyword Arguments thresh : float . minimum confidence threshold to select a keypoint Return retval : [Point2f] @returns a vector holding the x and y coordinates of each detected keypoint Python prototype (for reference only): estimate(frame[, thresh]) -&gt; retval","ref":"Evision.DNN.KeypointsModel.html#estimate/3","title":"Evision.DNN.KeypointsModel.estimate/3","type":"function"},{"doc":"Variant 1: Create model from deep learning network. Positional Arguments network : Evision.DNN.Net.t() . Net object. Return self : Evision.DNN.KeypointsModel.t() Python prototype (for reference only): KeypointsModel(network) -&gt; &lt;dnn_KeypointsModel object&gt; Variant 2: Create keypoints model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : String . Binary file contains trained weights. Keyword Arguments config : String . Text file contains network configuration. Return self : Evision.DNN.KeypointsModel.t() Python prototype (for reference only): KeypointsModel(model[, config]) -&gt; &lt;dnn_KeypointsModel object&gt;","ref":"Evision.DNN.KeypointsModel.html#keypointsModel/1","title":"Evision.DNN.KeypointsModel.keypointsModel/1","type":"function"},{"doc":"Create keypoints model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : String . Binary file contains trained weights. Keyword Arguments config : String . Text file contains network configuration. Return self : Evision.DNN.KeypointsModel.t() Python prototype (for reference only): KeypointsModel(model[, config]) -&gt; &lt;dnn_KeypointsModel object&gt;","ref":"Evision.DNN.KeypointsModel.html#keypointsModel/2","title":"Evision.DNN.KeypointsModel.keypointsModel/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.KeypointsModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.KeypointsModel.html#predict/2","title":"Evision.DNN.KeypointsModel.predict/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.KeypointsModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.KeypointsModel.html#predict/3","title":"Evision.DNN.KeypointsModel.predict/3","type":"function"},{"doc":"Set flag crop for frame. Positional Arguments self : Evision.DNN.KeypointsModel.t() crop : bool . Flag which indicates whether image will be cropped after resize or not. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputCrop(crop) -&gt; retval","ref":"Evision.DNN.KeypointsModel.html#setInputCrop/2","title":"Evision.DNN.KeypointsModel.setInputCrop/2","type":"function"},{"doc":"Set mean value for frame. Positional Arguments self : Evision.DNN.KeypointsModel.t() mean : Scalar . Scalar with mean values which are subtracted from channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputMean(mean) -&gt; retval","ref":"Evision.DNN.KeypointsModel.html#setInputMean/2","title":"Evision.DNN.KeypointsModel.setInputMean/2","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.KeypointsModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.KeypointsModel.html#setInputParams/1","title":"Evision.DNN.KeypointsModel.setInputParams/1","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.KeypointsModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.KeypointsModel.html#setInputParams/2","title":"Evision.DNN.KeypointsModel.setInputParams/2","type":"function"},{"doc":"Set scalefactor value for frame. Positional Arguments self : Evision.DNN.KeypointsModel.t() scale : double . Multiplier for frame values. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputScale(scale) -&gt; retval","ref":"Evision.DNN.KeypointsModel.html#setInputScale/2","title":"Evision.DNN.KeypointsModel.setInputScale/2","type":"function"},{"doc":"Set input size for frame. Positional Arguments self : Evision.DNN.KeypointsModel.t() size : Size . New input size. Return retval : Evision.DNN.Model.t() Note : If shape of the new blob less than 0, then frame size not change. Python prototype (for reference only): setInputSize(size) -&gt; retval","ref":"Evision.DNN.KeypointsModel.html#setInputSize/2","title":"Evision.DNN.KeypointsModel.setInputSize/2","type":"function"},{"doc":"setInputSize Positional Arguments self : Evision.DNN.KeypointsModel.t() width : int . New input width. height : int . New input height. Return retval : Evision.DNN.Model.t() Has overloading in C++ Python prototype (for reference only): setInputSize(width, height) -&gt; retval","ref":"Evision.DNN.KeypointsModel.html#setInputSize/3","title":"Evision.DNN.KeypointsModel.setInputSize/3","type":"function"},{"doc":"Set flag swapRB for frame. Positional Arguments self : Evision.DNN.KeypointsModel.t() swapRB : bool . Flag which indicates that swap first and last channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputSwapRB(swapRB) -&gt; retval","ref":"Evision.DNN.KeypointsModel.html#setInputSwapRB/2","title":"Evision.DNN.KeypointsModel.setInputSwapRB/2","type":"function"},{"doc":"setPreferableBackend Positional Arguments self : Evision.DNN.KeypointsModel.t() backendId : dnn_Backend Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableBackend(backendId) -&gt; retval","ref":"Evision.DNN.KeypointsModel.html#setPreferableBackend/2","title":"Evision.DNN.KeypointsModel.setPreferableBackend/2","type":"function"},{"doc":"setPreferableTarget Positional Arguments self : Evision.DNN.KeypointsModel.t() targetId : dnn_Target Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableTarget(targetId) -&gt; retval","ref":"Evision.DNN.KeypointsModel.html#setPreferableTarget/2","title":"Evision.DNN.KeypointsModel.setPreferableTarget/2","type":"function"},{"doc":"Type that represents an DNN.KeypointsModel struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.KeypointsModel.html#t:t/0","title":"Evision.DNN.KeypointsModel.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.Layer.html","title":"Evision.DNN.Layer","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.DNN.Layer.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.DNN.Layer.html#clear/1","title":"Evision.DNN.Layer.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.DNN.Layer.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.DNN.Layer.html#empty/1","title":"Evision.DNN.Layer.empty/1","type":"function"},{"doc":"Computes and sets internal parameters according to inputs, outputs and blobs. Positional Arguments self : Evision.DNN.Layer.t() inputs : [Evision.Mat] Return outputs : [Evision.Mat] . vector of already allocated output blobs If this method is called after network has allocated all memory for input and output blobs and before inferencing. Python prototype (for reference only): finalize(inputs[, outputs]) -&gt; outputs","ref":"Evision.DNN.Layer.html#finalize/2","title":"Evision.DNN.Layer.finalize/2","type":"function"},{"doc":"Computes and sets internal parameters according to inputs, outputs and blobs. Positional Arguments self : Evision.DNN.Layer.t() inputs : [Evision.Mat] Return outputs : [Evision.Mat] . vector of already allocated output blobs If this method is called after network has allocated all memory for input and output blobs and before inferencing. Python prototype (for reference only): finalize(inputs[, outputs]) -&gt; outputs","ref":"Evision.DNN.Layer.html#finalize/3","title":"Evision.DNN.Layer.finalize/3","type":"function"},{"doc":"","ref":"Evision.DNN.Layer.html#get_blobs/1","title":"Evision.DNN.Layer.get_blobs/1","type":"function"},{"doc":"","ref":"Evision.DNN.Layer.html#get_name/1","title":"Evision.DNN.Layer.get_name/1","type":"function"},{"doc":"","ref":"Evision.DNN.Layer.html#get_preferableTarget/1","title":"Evision.DNN.Layer.get_preferableTarget/1","type":"function"},{"doc":"","ref":"Evision.DNN.Layer.html#get_type/1","title":"Evision.DNN.Layer.get_type/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.DNN.Layer.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.DNN.Layer.html#getDefaultName/1","title":"Evision.DNN.Layer.getDefaultName/1","type":"function"},{"doc":"Returns index of output blob in output array. Positional Arguments self : Evision.DNN.Layer.t() outputName : String Return retval : int @see inputNameToIndex() Python prototype (for reference only): outputNameToIndex(outputName) -&gt; retval","ref":"Evision.DNN.Layer.html#outputNameToIndex/2","title":"Evision.DNN.Layer.outputNameToIndex/2","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.DNN.Layer.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.DNN.Layer.html#read/2","title":"Evision.DNN.Layer.read/2","type":"function"},{"doc":"Allocates layer and computes output. Positional Arguments self : Evision.DNN.Layer.t() inputs : [Evision.Mat] Return outputs : [Evision.Mat] . internals : [Evision.Mat] @deprecated This method will be removed in the future release. Python prototype (for reference only): run(inputs, internals[, outputs]) -&gt; outputs, internals","ref":"Evision.DNN.Layer.html#run/3","title":"Evision.DNN.Layer.run/3","type":"function"},{"doc":"Allocates layer and computes output. Positional Arguments self : Evision.DNN.Layer.t() inputs : [Evision.Mat] Return outputs : [Evision.Mat] . internals : [Evision.Mat] @deprecated This method will be removed in the future release. Python prototype (for reference only): run(inputs, internals[, outputs]) -&gt; outputs, internals","ref":"Evision.DNN.Layer.html#run/4","title":"Evision.DNN.Layer.run/4","type":"function"},{"doc":"save Positional Arguments self : Evision.DNN.Layer.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.DNN.Layer.html#save/2","title":"Evision.DNN.Layer.save/2","type":"function"},{"doc":"","ref":"Evision.DNN.Layer.html#set_blobs/2","title":"Evision.DNN.Layer.set_blobs/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.DNN.Layer.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.DNN.Layer.html#write/2","title":"Evision.DNN.Layer.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.DNN.Layer.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.DNN.Layer.html#write/3","title":"Evision.DNN.Layer.write/3","type":"function"},{"doc":"Type that represents an DNN.Layer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.Layer.html#t:t/0","title":"Evision.DNN.Layer.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.Model.html","title":"Evision.DNN.Model","type":"module"},{"doc":"Variant 1: Create model from deep learning network. Positional Arguments network : Evision.DNN.Net.t() . Net object. Return self : Evision.DNN.Model.t() Python prototype (for reference only): Model(network) -&gt; &lt;dnn_Model object&gt; Variant 2: Create model from deep learning network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : String . Binary file contains trained weights. Keyword Arguments config : String . Text file contains network configuration. Return self : Evision.DNN.Model.t() Python prototype (for reference only): Model(model[, config]) -&gt; &lt;dnn_Model object&gt;","ref":"Evision.DNN.Model.html#model/1","title":"Evision.DNN.Model.model/1","type":"function"},{"doc":"Create model from deep learning network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : String . Binary file contains trained weights. Keyword Arguments config : String . Text file contains network configuration. Return self : Evision.DNN.Model.t() Python prototype (for reference only): Model(model[, config]) -&gt; &lt;dnn_Model object&gt;","ref":"Evision.DNN.Model.html#model/2","title":"Evision.DNN.Model.model/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.Model.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.Model.html#predict/2","title":"Evision.DNN.Model.predict/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.Model.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.Model.html#predict/3","title":"Evision.DNN.Model.predict/3","type":"function"},{"doc":"Set flag crop for frame. Positional Arguments self : Evision.DNN.Model.t() crop : bool . Flag which indicates whether image will be cropped after resize or not. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputCrop(crop) -&gt; retval","ref":"Evision.DNN.Model.html#setInputCrop/2","title":"Evision.DNN.Model.setInputCrop/2","type":"function"},{"doc":"Set mean value for frame. Positional Arguments self : Evision.DNN.Model.t() mean : Scalar . Scalar with mean values which are subtracted from channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputMean(mean) -&gt; retval","ref":"Evision.DNN.Model.html#setInputMean/2","title":"Evision.DNN.Model.setInputMean/2","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.Model.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.Model.html#setInputParams/1","title":"Evision.DNN.Model.setInputParams/1","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.Model.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.Model.html#setInputParams/2","title":"Evision.DNN.Model.setInputParams/2","type":"function"},{"doc":"Set scalefactor value for frame. Positional Arguments self : Evision.DNN.Model.t() scale : double . Multiplier for frame values. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputScale(scale) -&gt; retval","ref":"Evision.DNN.Model.html#setInputScale/2","title":"Evision.DNN.Model.setInputScale/2","type":"function"},{"doc":"Set input size for frame. Positional Arguments self : Evision.DNN.Model.t() size : Size . New input size. Return retval : Evision.DNN.Model.t() Note : If shape of the new blob less than 0, then frame size not change. Python prototype (for reference only): setInputSize(size) -&gt; retval","ref":"Evision.DNN.Model.html#setInputSize/2","title":"Evision.DNN.Model.setInputSize/2","type":"function"},{"doc":"setInputSize Positional Arguments self : Evision.DNN.Model.t() width : int . New input width. height : int . New input height. Return retval : Evision.DNN.Model.t() Has overloading in C++ Python prototype (for reference only): setInputSize(width, height) -&gt; retval","ref":"Evision.DNN.Model.html#setInputSize/3","title":"Evision.DNN.Model.setInputSize/3","type":"function"},{"doc":"Set flag swapRB for frame. Positional Arguments self : Evision.DNN.Model.t() swapRB : bool . Flag which indicates that swap first and last channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputSwapRB(swapRB) -&gt; retval","ref":"Evision.DNN.Model.html#setInputSwapRB/2","title":"Evision.DNN.Model.setInputSwapRB/2","type":"function"},{"doc":"setPreferableBackend Positional Arguments self : Evision.DNN.Model.t() backendId : dnn_Backend Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableBackend(backendId) -&gt; retval","ref":"Evision.DNN.Model.html#setPreferableBackend/2","title":"Evision.DNN.Model.setPreferableBackend/2","type":"function"},{"doc":"setPreferableTarget Positional Arguments self : Evision.DNN.Model.t() targetId : dnn_Target Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableTarget(targetId) -&gt; retval","ref":"Evision.DNN.Model.html#setPreferableTarget/2","title":"Evision.DNN.Model.setPreferableTarget/2","type":"function"},{"doc":"Type that represents an DNN.Model struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.Model.html#t:t/0","title":"Evision.DNN.Model.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.Net.html","title":"Evision.DNN.Net","type":"module"},{"doc":"Connects output of the first layer to input of the second layer. Positional Arguments self : Evision.DNN.Net.t() outPin : String . descriptor of the first layer output. inpPin : String . descriptor of the second layer input. Descriptors have the following template &lt;DFN&gt;&amp;lt;layer_name&amp;gt;[.input_number]&lt;/DFN&gt;: the first part of the template &lt;DFN&gt;layer_name&lt;/DFN&gt; is string name of the added layer. If this part is empty then the network input pseudo layer will be used; the second optional part of the template &lt;DFN&gt;input_number&lt;/DFN&gt; is either number of the layer input, either label one. If this part is omitted then the first layer input will be used. @see setNetInputs(), Layer::inputNameToIndex(), Layer::outputNameToIndex() Python prototype (for reference only): connect(outPin, inpPin) -&gt; None","ref":"Evision.DNN.Net.html#connect/3","title":"Evision.DNN.Net.connect/3","type":"function"},{"doc":"Dump net to String Positional Arguments self : Evision.DNN.Net.t() Return retval : String @returns String with structure, hyperparameters, backend, target and fusion Call method after setInput(). To see correct backend, target and fusion run after forward(). Python prototype (for reference only): dump() -&gt; retval","ref":"Evision.DNN.Net.html#dump/1","title":"Evision.DNN.Net.dump/1","type":"function"},{"doc":"Dump net structure, hyperparameters, backend, target and fusion to dot file Positional Arguments self : Evision.DNN.Net.t() path : String . path to output file with .dot extension @see dump() Python prototype (for reference only): dumpToFile(path) -&gt; None","ref":"Evision.DNN.Net.html#dumpToFile/2","title":"Evision.DNN.Net.dumpToFile/2","type":"function"},{"doc":"empty Positional Arguments self : Evision.DNN.Net.t() Return retval : bool Returns true if there are no layers in the network. Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.DNN.Net.html#empty/1","title":"Evision.DNN.Net.empty/1","type":"function"},{"doc":"Enables or disables layer fusion in the network. Positional Arguments self : Evision.DNN.Net.t() fusion : bool . true to enable the fusion, false to disable. The fusion is enabled by default. Python prototype (for reference only): enableFusion(fusion) -&gt; None","ref":"Evision.DNN.Net.html#enableFusion/2","title":"Evision.DNN.Net.enableFusion/2","type":"function"},{"doc":"Enables or disables the Winograd compute branch. The Winograd compute branch can speed up 3x3 Convolution at a small loss of accuracy. Positional Arguments self : Evision.DNN.Net.t() useWinograd : bool . true to enable the Winograd compute branch. The default is true. Python prototype (for reference only): enableWinograd(useWinograd) -&gt; None","ref":"Evision.DNN.Net.html#enableWinograd/2","title":"Evision.DNN.Net.enableWinograd/2","type":"function"},{"doc":"Runs forward pass to compute outputs of layers listed in @p outBlobNames. Positional Arguments self : Evision.DNN.Net.t() outBlobNames : [String] . names for layers which outputs are needed to get Return outputBlobs : [Evision.Mat] . contains blobs for first outputs of specified layers. Python prototype (for reference only): forward(outBlobNames[, outputBlobs]) -&gt; outputBlobs","ref":"Evision.DNN.Net.html#forward/2","title":"Evision.DNN.Net.forward/2","type":"function"},{"doc":"Runs forward pass to compute outputs of layers listed in @p outBlobNames. Positional Arguments self : Evision.DNN.Net.t() outBlobNames : [String] . names for layers which outputs are needed to get Return outputBlobs : [[Evision.Mat]] . contains all output blobs for each layer specified in @p outBlobNames. Python prototype (for reference only): forwardAndRetrieve(outBlobNames) -&gt; outputBlobs","ref":"Evision.DNN.Net.html#forwardAndRetrieve/2","title":"Evision.DNN.Net.forwardAndRetrieve/2","type":"function"},{"doc":"Runs forward pass to compute output of layer with name @p outputName. Positional Arguments self : Evision.DNN.Net.t() Keyword Arguments outputName : String . name for layer which output is needed to get Return retval : Evision.AsyncArray.t() @details By default runs forward pass for the whole network. This is an asynchronous version of forward(const String&amp;). dnn::DNN_BACKEND_INFERENCE_ENGINE backend is required. Python prototype (for reference only): forwardAsync([, outputName]) -&gt; retval","ref":"Evision.DNN.Net.html#forwardAsync/1","title":"Evision.DNN.Net.forwardAsync/1","type":"function"},{"doc":"Runs forward pass to compute output of layer with name @p outputName. Positional Arguments self : Evision.DNN.Net.t() Keyword Arguments outputName : String . name for layer which output is needed to get Return retval : Evision.AsyncArray.t() @details By default runs forward pass for the whole network. This is an asynchronous version of forward(const String&amp;). dnn::DNN_BACKEND_INFERENCE_ENGINE backend is required. Python prototype (for reference only): forwardAsync([, outputName]) -&gt; retval","ref":"Evision.DNN.Net.html#forwardAsync/2","title":"Evision.DNN.Net.forwardAsync/2","type":"function"},{"doc":"getFLOPS Positional Arguments self : Evision.DNN.Net.t() netInputShape : MatShape Return retval : int64 Has overloading in C++ Python prototype (for reference only): getFLOPS(netInputShape) -&gt; retval","ref":"Evision.DNN.Net.html#getFLOPS/2","title":"Evision.DNN.Net.getFLOPS/2","type":"function"},{"doc":"getFLOPS Positional Arguments self : Evision.DNN.Net.t() layerId : int netInputShape : MatShape Return retval : int64 Has overloading in C++ Python prototype (for reference only): getFLOPS(layerId, netInputShape) -&gt; retval","ref":"Evision.DNN.Net.html#getFLOPS/3","title":"Evision.DNN.Net.getFLOPS/3","type":"function"},{"doc":"Returns input scale and zeropoint for a quantized Net. Positional Arguments self : Evision.DNN.Net.t() Return scales : [float] . output parameter for returning input scales. zeropoints : [int] . output parameter for returning input zeropoints. Python prototype (for reference only): getInputDetails() -&gt; scales, zeropoints","ref":"Evision.DNN.Net.html#getInputDetails/1","title":"Evision.DNN.Net.getInputDetails/1","type":"function"},{"doc":"Variant 1: getLayer Positional Arguments self : Evision.DNN.Net.t() layerId : LayerId Return retval : Evision.DNN.Layer.t() Has overloading in C++ @deprecated to be removed Python prototype (for reference only): getLayer(layerId) -&gt; retval Variant 2: getLayer Positional Arguments self : Evision.DNN.Net.t() layerName : String Return retval : Evision.DNN.Layer.t() Has overloading in C++ @deprecated Use int getLayerId(const String &amp;layer) Python prototype (for reference only): getLayer(layerName) -&gt; retval Variant 3: Returns pointer to layer with specified id or name which the network use. Positional Arguments self : Evision.DNN.Net.t() layerId : int Return retval : Evision.DNN.Layer.t() Python prototype (for reference only): getLayer(layerId) -&gt; retval","ref":"Evision.DNN.Net.html#getLayer/2","title":"Evision.DNN.Net.getLayer/2","type":"function"},{"doc":"Converts string name of the layer to the integer identifier. Positional Arguments self : Evision.DNN.Net.t() layer : String Return retval : int @returns id of the layer, or -1 if the layer wasn't found. Python prototype (for reference only): getLayerId(layer) -&gt; retval","ref":"Evision.DNN.Net.html#getLayerId/2","title":"Evision.DNN.Net.getLayerId/2","type":"function"},{"doc":"getLayerNames Positional Arguments self : Evision.DNN.Net.t() Return retval : [String] Python prototype (for reference only): getLayerNames() -&gt; retval","ref":"Evision.DNN.Net.html#getLayerNames/1","title":"Evision.DNN.Net.getLayerNames/1","type":"function"},{"doc":"getLayerShapes Positional Arguments self : Evision.DNN.Net.t() netInputShapes : [MatShape] layerId : int Return inLayerShapes : [MatShape] outLayerShapes : [MatShape] Has overloading in C++ Python prototype (for reference only): getLayerShapes(netInputShapes, layerId) -&gt; inLayerShapes, outLayerShapes","ref":"Evision.DNN.Net.html#getLayerShapes/2","title":"Evision.DNN.Net.getLayerShapes/2","type":"function"},{"doc":"Returns count of layers of specified type. Positional Arguments self : Evision.DNN.Net.t() layerType : String . type. Return retval : int @returns count of layers Python prototype (for reference only): getLayersCount(layerType) -&gt; retval","ref":"Evision.DNN.Net.html#getLayersCount/2","title":"Evision.DNN.Net.getLayersCount/2","type":"function"},{"doc":"getLayersShapes Positional Arguments self : Evision.DNN.Net.t() netInputShape : MatShape Return layersIds : [int] inLayersShapes : [[MatShape]] outLayersShapes : [[MatShape]] Has overloading in C++ Python prototype (for reference only): getLayersShapes(netInputShape) -&gt; layersIds, inLayersShapes, outLayersShapes","ref":"Evision.DNN.Net.html#getLayersShapes/2","title":"Evision.DNN.Net.getLayersShapes/2","type":"function"},{"doc":"Returns list of types for layer used in model. Positional Arguments self : Evision.DNN.Net.t() Return layersTypes : [String] . output parameter for returning types. Python prototype (for reference only): getLayerTypes() -&gt; layersTypes","ref":"Evision.DNN.Net.html#getLayerTypes/1","title":"Evision.DNN.Net.getLayerTypes/1","type":"function"},{"doc":"getMemoryConsumption Positional Arguments self : Evision.DNN.Net.t() netInputShape : MatShape Return weights : size_t blobs : size_t Has overloading in C++ Python prototype (for reference only): getMemoryConsumption(netInputShape) -&gt; weights, blobs","ref":"Evision.DNN.Net.html#getMemoryConsumption/2","title":"Evision.DNN.Net.getMemoryConsumption/2","type":"function"},{"doc":"getMemoryConsumption Positional Arguments self : Evision.DNN.Net.t() layerId : int netInputShape : MatShape Return weights : size_t blobs : size_t Has overloading in C++ Python prototype (for reference only): getMemoryConsumption(layerId, netInputShape) -&gt; weights, blobs","ref":"Evision.DNN.Net.html#getMemoryConsumption/3","title":"Evision.DNN.Net.getMemoryConsumption/3","type":"function"},{"doc":"Returns output scale and zeropoint for a quantized Net. Positional Arguments self : Evision.DNN.Net.t() Return scales : [float] . output parameter for returning output scales. zeropoints : [int] . output parameter for returning output zeropoints. Python prototype (for reference only): getOutputDetails() -&gt; scales, zeropoints","ref":"Evision.DNN.Net.html#getOutputDetails/1","title":"Evision.DNN.Net.getOutputDetails/1","type":"function"},{"doc":"Variant 1: getParam Positional Arguments self : Evision.DNN.Net.t() layerName : String Keyword Arguments numParam : int . Return retval : Evision.Mat.t() Python prototype (for reference only): getParam(layerName[, numParam]) -&gt; retval Variant 2: Returns parameter blob of the layer. Positional Arguments self : Evision.DNN.Net.t() layer : int . name or id of the layer. Keyword Arguments numParam : int . index of the layer parameter in the Layer::blobs array. Return retval : Evision.Mat.t() @see Layer::blobs Python prototype (for reference only): getParam(layer[, numParam]) -&gt; retval","ref":"Evision.DNN.Net.html#getParam/2","title":"Evision.DNN.Net.getParam/2","type":"function"},{"doc":"Variant 1: getParam Positional Arguments self : Evision.DNN.Net.t() layerName : String Keyword Arguments numParam : int . Return retval : Evision.Mat.t() Python prototype (for reference only): getParam(layerName[, numParam]) -&gt; retval Variant 2: Returns parameter blob of the layer. Positional Arguments self : Evision.DNN.Net.t() layer : int . name or id of the layer. Keyword Arguments numParam : int . index of the layer parameter in the Layer::blobs array. Return retval : Evision.Mat.t() @see Layer::blobs Python prototype (for reference only): getParam(layer[, numParam]) -&gt; retval","ref":"Evision.DNN.Net.html#getParam/3","title":"Evision.DNN.Net.getParam/3","type":"function"},{"doc":"Returns overall time for inference and timings (in ticks) for layers. Positional Arguments self : Evision.DNN.Net.t() Return retval : int64 timings : [double] . vector for tick timings for all layers. Indexes in returned vector correspond to layers ids. Some layers can be fused with others, in this case zero ticks count will be return for that skipped layers. Supported by DNN_BACKEND_OPENCV on DNN_TARGET_CPU only. @return overall ticks for model inference. Python prototype (for reference only): getPerfProfile() -&gt; retval, timings","ref":"Evision.DNN.Net.html#getPerfProfile/1","title":"Evision.DNN.Net.getPerfProfile/1","type":"function"},{"doc":"Returns indexes of layers with unconnected outputs. Positional Arguments self : Evision.DNN.Net.t() Return retval : [int] FIXIT: Rework API to registerOutput() approach, deprecate this call Python prototype (for reference only): getUnconnectedOutLayers() -&gt; retval","ref":"Evision.DNN.Net.html#getUnconnectedOutLayers/1","title":"Evision.DNN.Net.getUnconnectedOutLayers/1","type":"function"},{"doc":"Returns names of layers with unconnected outputs. Positional Arguments self : Evision.DNN.Net.t() Return retval : [String] FIXIT: Rework API to registerOutput() approach, deprecate this call Python prototype (for reference only): getUnconnectedOutLayersNames() -&gt; retval","ref":"Evision.DNN.Net.html#getUnconnectedOutLayersNames/1","title":"Evision.DNN.Net.getUnconnectedOutLayersNames/1","type":"function"},{"doc":"Net Return self : Evision.DNN.Net.t() Python prototype (for reference only): Net() -&gt; &lt;dnn_Net object&gt;","ref":"Evision.DNN.Net.html#net/0","title":"Evision.DNN.Net.net/0","type":"function"},{"doc":"Returns a quantized Net from a floating-point Net. Positional Arguments self : Evision.DNN.Net.t() calibData : [Evision.Mat] . Calibration data to compute the quantization parameters. inputsDtype : int . Datatype of quantized net's inputs. Can be CV_32F or CV_8S. outputsDtype : int . Datatype of quantized net's outputs. Can be CV_32F or CV_8S. Keyword Arguments perChannel : bool . Quantization granularity of quantized Net. The default is true, that means quantize model in per-channel way (channel-wise). Set it false to quantize model in per-tensor way (or tensor-wise). Return retval : Evision.DNN.Net.t() Python prototype (for reference only): quantize(calibData, inputsDtype, outputsDtype[, perChannel]) -&gt; retval","ref":"Evision.DNN.Net.html#quantize/4","title":"Evision.DNN.Net.quantize/4","type":"function"},{"doc":"Returns a quantized Net from a floating-point Net. Positional Arguments self : Evision.DNN.Net.t() calibData : [Evision.Mat] . Calibration data to compute the quantization parameters. inputsDtype : int . Datatype of quantized net's inputs. Can be CV_32F or CV_8S. outputsDtype : int . Datatype of quantized net's outputs. Can be CV_32F or CV_8S. Keyword Arguments perChannel : bool . Quantization granularity of quantized Net. The default is true, that means quantize model in per-channel way (channel-wise). Set it false to quantize model in per-tensor way (or tensor-wise). Return retval : Evision.DNN.Net.t() Python prototype (for reference only): quantize(calibData, inputsDtype, outputsDtype[, perChannel]) -&gt; retval","ref":"Evision.DNN.Net.html#quantize/5","title":"Evision.DNN.Net.quantize/5","type":"function"},{"doc":"Create a network from Intel's Model Optimizer in-memory buffers with intermediate representation (IR). Positional Arguments bufferModelConfig : [uchar] . buffer with model's configuration. bufferWeights : [uchar] . buffer with model's trained weights. Return retval : Evision.DNN.Net.t() @returns Net object. Python prototype (for reference only): readFromModelOptimizer(bufferModelConfig, bufferWeights) -&gt; retval","ref":"Evision.DNN.Net.html#readFromModelOptimizer/2","title":"Evision.DNN.Net.readFromModelOptimizer/2","type":"function"},{"doc":"Compile Halide layers. Positional Arguments self : Evision.DNN.Net.t() scheduler : String . Path to YAML file with scheduling directives. @see setPreferableBackend/2 Schedule layers that support Halide backend. Then compile them for specific target. For layers that not represented in scheduling file or if no manual scheduling used at all, automatic scheduling will be applied. Python prototype (for reference only): setHalideScheduler(scheduler) -&gt; None","ref":"Evision.DNN.Net.html#setHalideScheduler/2","title":"Evision.DNN.Net.setHalideScheduler/2","type":"function"},{"doc":"Sets the new input value for the network Positional Arguments self : Evision.DNN.Net.t() blob : Evision.Mat.t() . A new blob. Should have CV_32F or CV_8U depth. Keyword Arguments name : String . A name of input layer. scalefactor : double . An optional normalization scale. mean : Scalar . An optional mean subtraction values. @see connect(String, String) to know format of the descriptor. If scale or mean values are specified, a final input blob is computed as: \\f[input(n,c,h,w) = scalefactor \\times (blob(n,c,h,w) - mean_c)\\f] Python prototype (for reference only): setInput(blob[, name[, scalefactor[, mean]]]) -&gt; None","ref":"Evision.DNN.Net.html#setInput/2","title":"Evision.DNN.Net.setInput/2","type":"function"},{"doc":"Sets the new input value for the network Positional Arguments self : Evision.DNN.Net.t() blob : Evision.Mat.t() . A new blob. Should have CV_32F or CV_8U depth. Keyword Arguments name : String . A name of input layer. scalefactor : double . An optional normalization scale. mean : Scalar . An optional mean subtraction values. @see connect(String, String) to know format of the descriptor. If scale or mean values are specified, a final input blob is computed as: \\f[input(n,c,h,w) = scalefactor \\times (blob(n,c,h,w) - mean_c)\\f] Python prototype (for reference only): setInput(blob[, name[, scalefactor[, mean]]]) -&gt; None","ref":"Evision.DNN.Net.html#setInput/3","title":"Evision.DNN.Net.setInput/3","type":"function"},{"doc":"Specify shape of network input. Positional Arguments self : Evision.DNN.Net.t() inputName : String shape : MatShape Python prototype (for reference only): setInputShape(inputName, shape) -&gt; None","ref":"Evision.DNN.Net.html#setInputShape/3","title":"Evision.DNN.Net.setInputShape/3","type":"function"},{"doc":"Sets outputs names of the network input pseudo layer. Positional Arguments self : Evision.DNN.Net.t() inputBlobNames : [String] Each net always has special own the network input pseudo layer with id=0. This layer stores the user blobs only and don't make any computations. In fact, this layer provides the only way to pass user data into the network. As any other layer, this layer can label its outputs and this function provides an easy way to do this. Python prototype (for reference only): setInputsNames(inputBlobNames) -&gt; None","ref":"Evision.DNN.Net.html#setInputsNames/2","title":"Evision.DNN.Net.setInputsNames/2","type":"function"},{"doc":"Variant 1: setParam Positional Arguments self : Evision.DNN.Net.t() layerName : String numParam : int blob : Evision.Mat.t() Python prototype (for reference only): setParam(layerName, numParam, blob) -&gt; None Variant 2: Sets the new value for the learned param of the layer. Positional Arguments self : Evision.DNN.Net.t() layer : int . name or id of the layer. numParam : int . index of the layer parameter in the Layer::blobs array. blob : Evision.Mat.t() . the new value. @see Layer::blobs Note : If shape of the new blob differs from the previous shape, then the following forward pass may fail. Python prototype (for reference only): setParam(layer, numParam, blob) -&gt; None","ref":"Evision.DNN.Net.html#setParam/4","title":"Evision.DNN.Net.setParam/4","type":"function"},{"doc":"Ask network to use specific computation backend where it supported. Positional Arguments self : Evision.DNN.Net.t() backendId : int . backend identifier. @see Backend If OpenCV is compiled with Intel's Inference Engine library, DNN_BACKEND_DEFAULT means DNN_BACKEND_INFERENCE_ENGINE. Otherwise it equals to DNN_BACKEND_OPENCV. Python prototype (for reference only): setPreferableBackend(backendId) -&gt; None","ref":"Evision.DNN.Net.html#setPreferableBackend/2","title":"Evision.DNN.Net.setPreferableBackend/2","type":"function"},{"doc":"Ask network to make computations on specific target device. Positional Arguments self : Evision.DNN.Net.t() targetId : int . target identifier. @see Target List of supported combinations backend / target: | | DNN_BACKEND_OPENCV | DNN_BACKEND_INFERENCE_ENGINE | DNN_BACKEND_HALIDE | DNN_BACKEND_CUDA | |------------------------|--------------------|------------------------------|--------------------|-------------------| | DNN_TARGET_CPU | + | + | + | | | DNN_TARGET_OPENCL | + | + | + | | | DNN_TARGET_OPENCL_FP16 | + | + | | | | DNN_TARGET_MYRIAD | | + | | | | DNN_TARGET_FPGA | | + | | | | DNN_TARGET_CUDA | | | | + | | DNN_TARGET_CUDA_FP16 | | | | + | | DNN_TARGET_HDDL | | + | | | Python prototype (for reference only): setPreferableTarget(targetId) -&gt; None","ref":"Evision.DNN.Net.html#setPreferableTarget/2","title":"Evision.DNN.Net.setPreferableTarget/2","type":"function"},{"doc":"Type that represents an DNN.Net struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.Net.html#t:t/0","title":"Evision.DNN.Net.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.SegmentationModel.html","title":"Evision.DNN.SegmentationModel","type":"module"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.SegmentationModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.SegmentationModel.html#predict/2","title":"Evision.DNN.SegmentationModel.predict/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.SegmentationModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.SegmentationModel.html#predict/3","title":"Evision.DNN.SegmentationModel.predict/3","type":"function"},{"doc":"Given the @p input frame, create input blob, run net Positional Arguments self : Evision.DNN.SegmentationModel.t() frame : Evision.Mat.t() Return mask : Evision.Mat.t() . Allocated class prediction for each pixel Python prototype (for reference only): segment(frame[, mask]) -&gt; mask","ref":"Evision.DNN.SegmentationModel.html#segment/2","title":"Evision.DNN.SegmentationModel.segment/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net Positional Arguments self : Evision.DNN.SegmentationModel.t() frame : Evision.Mat.t() Return mask : Evision.Mat.t() . Allocated class prediction for each pixel Python prototype (for reference only): segment(frame[, mask]) -&gt; mask","ref":"Evision.DNN.SegmentationModel.html#segment/3","title":"Evision.DNN.SegmentationModel.segment/3","type":"function"},{"doc":"Variant 1: Create model from deep learning network. Positional Arguments network : Evision.DNN.Net.t() . Net object. Return self : Evision.DNN.SegmentationModel.t() Python prototype (for reference only): SegmentationModel(network) -&gt; &lt;dnn_SegmentationModel object&gt; Variant 2: Create segmentation model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : String . Binary file contains trained weights. Keyword Arguments config : String . Text file contains network configuration. Return self : Evision.DNN.SegmentationModel.t() Python prototype (for reference only): SegmentationModel(model[, config]) -&gt; &lt;dnn_SegmentationModel object&gt;","ref":"Evision.DNN.SegmentationModel.html#segmentationModel/1","title":"Evision.DNN.SegmentationModel.segmentationModel/1","type":"function"},{"doc":"Create segmentation model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : String . Binary file contains trained weights. Keyword Arguments config : String . Text file contains network configuration. Return self : Evision.DNN.SegmentationModel.t() Python prototype (for reference only): SegmentationModel(model[, config]) -&gt; &lt;dnn_SegmentationModel object&gt;","ref":"Evision.DNN.SegmentationModel.html#segmentationModel/2","title":"Evision.DNN.SegmentationModel.segmentationModel/2","type":"function"},{"doc":"Set flag crop for frame. Positional Arguments self : Evision.DNN.SegmentationModel.t() crop : bool . Flag which indicates whether image will be cropped after resize or not. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputCrop(crop) -&gt; retval","ref":"Evision.DNN.SegmentationModel.html#setInputCrop/2","title":"Evision.DNN.SegmentationModel.setInputCrop/2","type":"function"},{"doc":"Set mean value for frame. Positional Arguments self : Evision.DNN.SegmentationModel.t() mean : Scalar . Scalar with mean values which are subtracted from channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputMean(mean) -&gt; retval","ref":"Evision.DNN.SegmentationModel.html#setInputMean/2","title":"Evision.DNN.SegmentationModel.setInputMean/2","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.SegmentationModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.SegmentationModel.html#setInputParams/1","title":"Evision.DNN.SegmentationModel.setInputParams/1","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.SegmentationModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.SegmentationModel.html#setInputParams/2","title":"Evision.DNN.SegmentationModel.setInputParams/2","type":"function"},{"doc":"Set scalefactor value for frame. Positional Arguments self : Evision.DNN.SegmentationModel.t() scale : double . Multiplier for frame values. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputScale(scale) -&gt; retval","ref":"Evision.DNN.SegmentationModel.html#setInputScale/2","title":"Evision.DNN.SegmentationModel.setInputScale/2","type":"function"},{"doc":"Set input size for frame. Positional Arguments self : Evision.DNN.SegmentationModel.t() size : Size . New input size. Return retval : Evision.DNN.Model.t() Note : If shape of the new blob less than 0, then frame size not change. Python prototype (for reference only): setInputSize(size) -&gt; retval","ref":"Evision.DNN.SegmentationModel.html#setInputSize/2","title":"Evision.DNN.SegmentationModel.setInputSize/2","type":"function"},{"doc":"setInputSize Positional Arguments self : Evision.DNN.SegmentationModel.t() width : int . New input width. height : int . New input height. Return retval : Evision.DNN.Model.t() Has overloading in C++ Python prototype (for reference only): setInputSize(width, height) -&gt; retval","ref":"Evision.DNN.SegmentationModel.html#setInputSize/3","title":"Evision.DNN.SegmentationModel.setInputSize/3","type":"function"},{"doc":"Set flag swapRB for frame. Positional Arguments self : Evision.DNN.SegmentationModel.t() swapRB : bool . Flag which indicates that swap first and last channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputSwapRB(swapRB) -&gt; retval","ref":"Evision.DNN.SegmentationModel.html#setInputSwapRB/2","title":"Evision.DNN.SegmentationModel.setInputSwapRB/2","type":"function"},{"doc":"setPreferableBackend Positional Arguments self : Evision.DNN.SegmentationModel.t() backendId : dnn_Backend Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableBackend(backendId) -&gt; retval","ref":"Evision.DNN.SegmentationModel.html#setPreferableBackend/2","title":"Evision.DNN.SegmentationModel.setPreferableBackend/2","type":"function"},{"doc":"setPreferableTarget Positional Arguments self : Evision.DNN.SegmentationModel.t() targetId : dnn_Target Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableTarget(targetId) -&gt; retval","ref":"Evision.DNN.SegmentationModel.html#setPreferableTarget/2","title":"Evision.DNN.SegmentationModel.setPreferableTarget/2","type":"function"},{"doc":"Type that represents an DNN.SegmentationModel struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.SegmentationModel.html#t:t/0","title":"Evision.DNN.SegmentationModel.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.TextDetectionModel.html","title":"Evision.DNN.TextDetectionModel","type":"module"},{"doc":"detect Positional Arguments self : Evision.DNN.TextDetectionModel.t() frame : Evision.Mat.t() Return detections : [[Point]] Has overloading in C++ Python prototype (for reference only): detect(frame) -&gt; detections","ref":"Evision.DNN.TextDetectionModel.html#detect/2","title":"Evision.DNN.TextDetectionModel.detect/2","type":"function"},{"doc":"Performs detection Positional Arguments self : Evision.DNN.TextDetectionModel.t() frame : Evision.Mat.t() . the input image Return detections : [{centre={x, y}, size={s1, s2}, angle}] . array with detections' RotationRect results confidences : [float] . array with detection confidences Given the input @p frame, prepare network input, run network inference, post-process network output and return result detections. Each result is rotated rectangle. Note : Result may be inaccurate in case of strong perspective transformations. Python prototype (for reference only): detectTextRectangles(frame) -&gt; detections, confidences","ref":"Evision.DNN.TextDetectionModel.html#detectTextRectangles/2","title":"Evision.DNN.TextDetectionModel.detectTextRectangles/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.TextDetectionModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.TextDetectionModel.html#predict/2","title":"Evision.DNN.TextDetectionModel.predict/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.TextDetectionModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.TextDetectionModel.html#predict/3","title":"Evision.DNN.TextDetectionModel.predict/3","type":"function"},{"doc":"Set flag crop for frame. Positional Arguments self : Evision.DNN.TextDetectionModel.t() crop : bool . Flag which indicates whether image will be cropped after resize or not. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputCrop(crop) -&gt; retval","ref":"Evision.DNN.TextDetectionModel.html#setInputCrop/2","title":"Evision.DNN.TextDetectionModel.setInputCrop/2","type":"function"},{"doc":"Set mean value for frame. Positional Arguments self : Evision.DNN.TextDetectionModel.t() mean : Scalar . Scalar with mean values which are subtracted from channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputMean(mean) -&gt; retval","ref":"Evision.DNN.TextDetectionModel.html#setInputMean/2","title":"Evision.DNN.TextDetectionModel.setInputMean/2","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.TextDetectionModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.TextDetectionModel.html#setInputParams/1","title":"Evision.DNN.TextDetectionModel.setInputParams/1","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.TextDetectionModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.TextDetectionModel.html#setInputParams/2","title":"Evision.DNN.TextDetectionModel.setInputParams/2","type":"function"},{"doc":"Set scalefactor value for frame. Positional Arguments self : Evision.DNN.TextDetectionModel.t() scale : double . Multiplier for frame values. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputScale(scale) -&gt; retval","ref":"Evision.DNN.TextDetectionModel.html#setInputScale/2","title":"Evision.DNN.TextDetectionModel.setInputScale/2","type":"function"},{"doc":"Set input size for frame. Positional Arguments self : Evision.DNN.TextDetectionModel.t() size : Size . New input size. Return retval : Evision.DNN.Model.t() Note : If shape of the new blob less than 0, then frame size not change. Python prototype (for reference only): setInputSize(size) -&gt; retval","ref":"Evision.DNN.TextDetectionModel.html#setInputSize/2","title":"Evision.DNN.TextDetectionModel.setInputSize/2","type":"function"},{"doc":"setInputSize Positional Arguments self : Evision.DNN.TextDetectionModel.t() width : int . New input width. height : int . New input height. Return retval : Evision.DNN.Model.t() Has overloading in C++ Python prototype (for reference only): setInputSize(width, height) -&gt; retval","ref":"Evision.DNN.TextDetectionModel.html#setInputSize/3","title":"Evision.DNN.TextDetectionModel.setInputSize/3","type":"function"},{"doc":"Set flag swapRB for frame. Positional Arguments self : Evision.DNN.TextDetectionModel.t() swapRB : bool . Flag which indicates that swap first and last channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputSwapRB(swapRB) -&gt; retval","ref":"Evision.DNN.TextDetectionModel.html#setInputSwapRB/2","title":"Evision.DNN.TextDetectionModel.setInputSwapRB/2","type":"function"},{"doc":"setPreferableBackend Positional Arguments self : Evision.DNN.TextDetectionModel.t() backendId : dnn_Backend Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableBackend(backendId) -&gt; retval","ref":"Evision.DNN.TextDetectionModel.html#setPreferableBackend/2","title":"Evision.DNN.TextDetectionModel.setPreferableBackend/2","type":"function"},{"doc":"setPreferableTarget Positional Arguments self : Evision.DNN.TextDetectionModel.t() targetId : dnn_Target Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableTarget(targetId) -&gt; retval","ref":"Evision.DNN.TextDetectionModel.html#setPreferableTarget/2","title":"Evision.DNN.TextDetectionModel.setPreferableTarget/2","type":"function"},{"doc":"Type that represents an DNN.TextDetectionModel struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.TextDetectionModel.html#t:t/0","title":"Evision.DNN.TextDetectionModel.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.TextDetectionModelDB.html","title":"Evision.DNN.TextDetectionModelDB","type":"module"},{"doc":"detect Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() frame : Evision.Mat.t() Return detections : [[Point]] Has overloading in C++ Python prototype (for reference only): detect(frame) -&gt; detections","ref":"Evision.DNN.TextDetectionModelDB.html#detect/2","title":"Evision.DNN.TextDetectionModelDB.detect/2","type":"function"},{"doc":"Performs detection Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() frame : Evision.Mat.t() . the input image Return detections : [{centre={x, y}, size={s1, s2}, angle}] . array with detections' RotationRect results confidences : [float] . array with detection confidences Given the input @p frame, prepare network input, run network inference, post-process network output and return result detections. Each result is rotated rectangle. Note : Result may be inaccurate in case of strong perspective transformations. Python prototype (for reference only): detectTextRectangles(frame) -&gt; detections, confidences","ref":"Evision.DNN.TextDetectionModelDB.html#detectTextRectangles/2","title":"Evision.DNN.TextDetectionModelDB.detectTextRectangles/2","type":"function"},{"doc":"getBinaryThreshold Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() Return retval : float Python prototype (for reference only): getBinaryThreshold() -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#getBinaryThreshold/1","title":"Evision.DNN.TextDetectionModelDB.getBinaryThreshold/1","type":"function"},{"doc":"getMaxCandidates Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() Return retval : int Python prototype (for reference only): getMaxCandidates() -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#getMaxCandidates/1","title":"Evision.DNN.TextDetectionModelDB.getMaxCandidates/1","type":"function"},{"doc":"getPolygonThreshold Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() Return retval : float Python prototype (for reference only): getPolygonThreshold() -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#getPolygonThreshold/1","title":"Evision.DNN.TextDetectionModelDB.getPolygonThreshold/1","type":"function"},{"doc":"getUnclipRatio Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() Return retval : double Python prototype (for reference only): getUnclipRatio() -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#getUnclipRatio/1","title":"Evision.DNN.TextDetectionModelDB.getUnclipRatio/1","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.TextDetectionModelDB.html#predict/2","title":"Evision.DNN.TextDetectionModelDB.predict/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.TextDetectionModelDB.html#predict/3","title":"Evision.DNN.TextDetectionModelDB.predict/3","type":"function"},{"doc":"setBinaryThreshold Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() binaryThreshold : float Return retval : Evision.DNN.TextDetectionModelDB.t() Python prototype (for reference only): setBinaryThreshold(binaryThreshold) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setBinaryThreshold/2","title":"Evision.DNN.TextDetectionModelDB.setBinaryThreshold/2","type":"function"},{"doc":"Set flag crop for frame. Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() crop : bool . Flag which indicates whether image will be cropped after resize or not. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputCrop(crop) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setInputCrop/2","title":"Evision.DNN.TextDetectionModelDB.setInputCrop/2","type":"function"},{"doc":"Set mean value for frame. Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() mean : Scalar . Scalar with mean values which are subtracted from channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputMean(mean) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setInputMean/2","title":"Evision.DNN.TextDetectionModelDB.setInputMean/2","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.TextDetectionModelDB.html#setInputParams/1","title":"Evision.DNN.TextDetectionModelDB.setInputParams/1","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.TextDetectionModelDB.html#setInputParams/2","title":"Evision.DNN.TextDetectionModelDB.setInputParams/2","type":"function"},{"doc":"Set scalefactor value for frame. Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() scale : double . Multiplier for frame values. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputScale(scale) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setInputScale/2","title":"Evision.DNN.TextDetectionModelDB.setInputScale/2","type":"function"},{"doc":"Set input size for frame. Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() size : Size . New input size. Return retval : Evision.DNN.Model.t() Note : If shape of the new blob less than 0, then frame size not change. Python prototype (for reference only): setInputSize(size) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setInputSize/2","title":"Evision.DNN.TextDetectionModelDB.setInputSize/2","type":"function"},{"doc":"setInputSize Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() width : int . New input width. height : int . New input height. Return retval : Evision.DNN.Model.t() Has overloading in C++ Python prototype (for reference only): setInputSize(width, height) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setInputSize/3","title":"Evision.DNN.TextDetectionModelDB.setInputSize/3","type":"function"},{"doc":"Set flag swapRB for frame. Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() swapRB : bool . Flag which indicates that swap first and last channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputSwapRB(swapRB) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setInputSwapRB/2","title":"Evision.DNN.TextDetectionModelDB.setInputSwapRB/2","type":"function"},{"doc":"setMaxCandidates Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() maxCandidates : int Return retval : Evision.DNN.TextDetectionModelDB.t() Python prototype (for reference only): setMaxCandidates(maxCandidates) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setMaxCandidates/2","title":"Evision.DNN.TextDetectionModelDB.setMaxCandidates/2","type":"function"},{"doc":"setPolygonThreshold Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() polygonThreshold : float Return retval : Evision.DNN.TextDetectionModelDB.t() Python prototype (for reference only): setPolygonThreshold(polygonThreshold) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setPolygonThreshold/2","title":"Evision.DNN.TextDetectionModelDB.setPolygonThreshold/2","type":"function"},{"doc":"setPreferableBackend Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() backendId : dnn_Backend Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableBackend(backendId) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setPreferableBackend/2","title":"Evision.DNN.TextDetectionModelDB.setPreferableBackend/2","type":"function"},{"doc":"setPreferableTarget Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() targetId : dnn_Target Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableTarget(targetId) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setPreferableTarget/2","title":"Evision.DNN.TextDetectionModelDB.setPreferableTarget/2","type":"function"},{"doc":"setUnclipRatio Positional Arguments self : Evision.DNN.TextDetectionModelDB.t() unclipRatio : double Return retval : Evision.DNN.TextDetectionModelDB.t() Python prototype (for reference only): setUnclipRatio(unclipRatio) -&gt; retval","ref":"Evision.DNN.TextDetectionModelDB.html#setUnclipRatio/2","title":"Evision.DNN.TextDetectionModelDB.setUnclipRatio/2","type":"function"},{"doc":"Variant 1: Create text detection model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : string . Binary file contains trained weights. Keyword Arguments config : string . Text file contains network configuration. Return self : Evision.DNN.TextDetectionModelDB.t() Python prototype (for reference only): TextDetectionModel_DB(model[, config]) -&gt; &lt;dnn_TextDetectionModel_DB object&gt; Variant 2: Create text detection algorithm from deep learning network. Positional Arguments network : Evision.DNN.Net.t() . Net object. Return self : Evision.DNN.TextDetectionModelDB.t() Python prototype (for reference only): TextDetectionModel_DB(network) -&gt; &lt;dnn_TextDetectionModel_DB object&gt;","ref":"Evision.DNN.TextDetectionModelDB.html#textDetectionModelDB/1","title":"Evision.DNN.TextDetectionModelDB.textDetectionModelDB/1","type":"function"},{"doc":"Create text detection model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : string . Binary file contains trained weights. Keyword Arguments config : string . Text file contains network configuration. Return self : Evision.DNN.TextDetectionModelDB.t() Python prototype (for reference only): TextDetectionModel_DB(model[, config]) -&gt; &lt;dnn_TextDetectionModel_DB object&gt;","ref":"Evision.DNN.TextDetectionModelDB.html#textDetectionModelDB/2","title":"Evision.DNN.TextDetectionModelDB.textDetectionModelDB/2","type":"function"},{"doc":"Type that represents an DNN.TextDetectionModelDB struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.TextDetectionModelDB.html#t:t/0","title":"Evision.DNN.TextDetectionModelDB.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.TextDetectionModelEAST.html","title":"Evision.DNN.TextDetectionModelEAST","type":"module"},{"doc":"detect Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() frame : Evision.Mat.t() Return detections : [[Point]] Has overloading in C++ Python prototype (for reference only): detect(frame) -&gt; detections","ref":"Evision.DNN.TextDetectionModelEAST.html#detect/2","title":"Evision.DNN.TextDetectionModelEAST.detect/2","type":"function"},{"doc":"Performs detection Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() frame : Evision.Mat.t() . the input image Return detections : [{centre={x, y}, size={s1, s2}, angle}] . array with detections' RotationRect results confidences : [float] . array with detection confidences Given the input @p frame, prepare network input, run network inference, post-process network output and return result detections. Each result is rotated rectangle. Note : Result may be inaccurate in case of strong perspective transformations. Python prototype (for reference only): detectTextRectangles(frame) -&gt; detections, confidences","ref":"Evision.DNN.TextDetectionModelEAST.html#detectTextRectangles/2","title":"Evision.DNN.TextDetectionModelEAST.detectTextRectangles/2","type":"function"},{"doc":"Get the detection confidence threshold Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() Return retval : float Python prototype (for reference only): getConfidenceThreshold() -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#getConfidenceThreshold/1","title":"Evision.DNN.TextDetectionModelEAST.getConfidenceThreshold/1","type":"function"},{"doc":"Get the detection confidence threshold Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() Return retval : float Python prototype (for reference only): getNMSThreshold() -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#getNMSThreshold/1","title":"Evision.DNN.TextDetectionModelEAST.getNMSThreshold/1","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.TextDetectionModelEAST.html#predict/2","title":"Evision.DNN.TextDetectionModelEAST.predict/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.TextDetectionModelEAST.html#predict/3","title":"Evision.DNN.TextDetectionModelEAST.predict/3","type":"function"},{"doc":"Set the detection confidence threshold Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() confThreshold : float . A threshold used to filter boxes by confidences Return retval : Evision.DNN.TextDetectionModelEAST.t() Python prototype (for reference only): setConfidenceThreshold(confThreshold) -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#setConfidenceThreshold/2","title":"Evision.DNN.TextDetectionModelEAST.setConfidenceThreshold/2","type":"function"},{"doc":"Set flag crop for frame. Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() crop : bool . Flag which indicates whether image will be cropped after resize or not. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputCrop(crop) -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#setInputCrop/2","title":"Evision.DNN.TextDetectionModelEAST.setInputCrop/2","type":"function"},{"doc":"Set mean value for frame. Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() mean : Scalar . Scalar with mean values which are subtracted from channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputMean(mean) -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#setInputMean/2","title":"Evision.DNN.TextDetectionModelEAST.setInputMean/2","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.TextDetectionModelEAST.html#setInputParams/1","title":"Evision.DNN.TextDetectionModelEAST.setInputParams/1","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.TextDetectionModelEAST.html#setInputParams/2","title":"Evision.DNN.TextDetectionModelEAST.setInputParams/2","type":"function"},{"doc":"Set scalefactor value for frame. Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() scale : double . Multiplier for frame values. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputScale(scale) -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#setInputScale/2","title":"Evision.DNN.TextDetectionModelEAST.setInputScale/2","type":"function"},{"doc":"Set input size for frame. Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() size : Size . New input size. Return retval : Evision.DNN.Model.t() Note : If shape of the new blob less than 0, then frame size not change. Python prototype (for reference only): setInputSize(size) -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#setInputSize/2","title":"Evision.DNN.TextDetectionModelEAST.setInputSize/2","type":"function"},{"doc":"setInputSize Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() width : int . New input width. height : int . New input height. Return retval : Evision.DNN.Model.t() Has overloading in C++ Python prototype (for reference only): setInputSize(width, height) -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#setInputSize/3","title":"Evision.DNN.TextDetectionModelEAST.setInputSize/3","type":"function"},{"doc":"Set flag swapRB for frame. Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() swapRB : bool . Flag which indicates that swap first and last channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputSwapRB(swapRB) -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#setInputSwapRB/2","title":"Evision.DNN.TextDetectionModelEAST.setInputSwapRB/2","type":"function"},{"doc":"Set the detection NMS filter threshold Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() nmsThreshold : float . A threshold used in non maximum suppression Return retval : Evision.DNN.TextDetectionModelEAST.t() Python prototype (for reference only): setNMSThreshold(nmsThreshold) -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#setNMSThreshold/2","title":"Evision.DNN.TextDetectionModelEAST.setNMSThreshold/2","type":"function"},{"doc":"setPreferableBackend Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() backendId : dnn_Backend Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableBackend(backendId) -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#setPreferableBackend/2","title":"Evision.DNN.TextDetectionModelEAST.setPreferableBackend/2","type":"function"},{"doc":"setPreferableTarget Positional Arguments self : Evision.DNN.TextDetectionModelEAST.t() targetId : dnn_Target Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableTarget(targetId) -&gt; retval","ref":"Evision.DNN.TextDetectionModelEAST.html#setPreferableTarget/2","title":"Evision.DNN.TextDetectionModelEAST.setPreferableTarget/2","type":"function"},{"doc":"Variant 1: Create text detection model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : string . Binary file contains trained weights. Keyword Arguments config : string . Text file contains network configuration. Return self : Evision.DNN.TextDetectionModelEAST.t() Python prototype (for reference only): TextDetectionModel_EAST(model[, config]) -&gt; &lt;dnn_TextDetectionModel_EAST object&gt; Variant 2: Create text detection algorithm from deep learning network Positional Arguments network : Evision.DNN.Net.t() . Net object Return self : Evision.DNN.TextDetectionModelEAST.t() Python prototype (for reference only): TextDetectionModel_EAST(network) -&gt; &lt;dnn_TextDetectionModel_EAST object&gt;","ref":"Evision.DNN.TextDetectionModelEAST.html#textDetectionModelEAST/1","title":"Evision.DNN.TextDetectionModelEAST.textDetectionModelEAST/1","type":"function"},{"doc":"Create text detection model from network represented in one of the supported formats. An order of @p model and @p config arguments does not matter. Positional Arguments model : string . Binary file contains trained weights. Keyword Arguments config : string . Text file contains network configuration. Return self : Evision.DNN.TextDetectionModelEAST.t() Python prototype (for reference only): TextDetectionModel_EAST(model[, config]) -&gt; &lt;dnn_TextDetectionModel_EAST object&gt;","ref":"Evision.DNN.TextDetectionModelEAST.html#textDetectionModelEAST/2","title":"Evision.DNN.TextDetectionModelEAST.textDetectionModelEAST/2","type":"function"},{"doc":"Type that represents an DNN.TextDetectionModelEAST struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.TextDetectionModelEAST.html#t:t/0","title":"Evision.DNN.TextDetectionModelEAST.t/0","type":"type"},{"doc":"","ref":"Evision.DNN.TextRecognitionModel.html","title":"Evision.DNN.TextRecognitionModel","type":"module"},{"doc":"Get the decoding method Positional Arguments self : Evision.DNN.TextRecognitionModel.t() Return retval : string @return the decoding method Python prototype (for reference only): getDecodeType() -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#getDecodeType/1","title":"Evision.DNN.TextRecognitionModel.getDecodeType/1","type":"function"},{"doc":"Get the vocabulary for recognition. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() Return retval : [string] @return vocabulary the associated vocabulary Python prototype (for reference only): getVocabulary() -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#getVocabulary/1","title":"Evision.DNN.TextRecognitionModel.getVocabulary/1","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.TextRecognitionModel.html#predict/2","title":"Evision.DNN.TextRecognitionModel.predict/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return the output @p blobs. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() frame : Evision.Mat.t() Return outs : [Evision.Mat] . Allocated output blobs, which will store results of the computation. Python prototype (for reference only): predict(frame[, outs]) -&gt; outs","ref":"Evision.DNN.TextRecognitionModel.html#predict/3","title":"Evision.DNN.TextRecognitionModel.predict/3","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return recognition result Positional Arguments self : Evision.DNN.TextRecognitionModel.t() frame : Evision.Mat.t() . The input image Return retval : string @return The text recognition result Python prototype (for reference only): recognize(frame) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#recognize/2","title":"Evision.DNN.TextRecognitionModel.recognize/2","type":"function"},{"doc":"Given the @p input frame, create input blob, run net and return recognition result Positional Arguments self : Evision.DNN.TextRecognitionModel.t() frame : Evision.Mat.t() . The input image roiRects : [Evision.Mat] . List of text detection regions of interest (cv::Rect, CV_32SC4). ROIs is be cropped as the network inputs Return results : [string] . A set of text recognition results. Python prototype (for reference only): recognize(frame, roiRects) -&gt; results","ref":"Evision.DNN.TextRecognitionModel.html#recognize/3","title":"Evision.DNN.TextRecognitionModel.recognize/3","type":"function"},{"doc":"Set the decoding method options for &quot;CTC-prefix-beam-search&quot; decode usage Positional Arguments self : Evision.DNN.TextRecognitionModel.t() beamSize : int . Beam size for search Keyword Arguments vocPruneSize : int . Parameter to optimize big vocabulary search, only take top @p vocPruneSize tokens in each search step, @p vocPruneSize &lt;= 0 stands for disable this prune. Return retval : Evision.DNN.TextRecognitionModel.t() Python prototype (for reference only): setDecodeOptsCTCPrefixBeamSearch(beamSize[, vocPruneSize]) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setDecodeOptsCTCPrefixBeamSearch/2","title":"Evision.DNN.TextRecognitionModel.setDecodeOptsCTCPrefixBeamSearch/2","type":"function"},{"doc":"Set the decoding method options for &quot;CTC-prefix-beam-search&quot; decode usage Positional Arguments self : Evision.DNN.TextRecognitionModel.t() beamSize : int . Beam size for search Keyword Arguments vocPruneSize : int . Parameter to optimize big vocabulary search, only take top @p vocPruneSize tokens in each search step, @p vocPruneSize &lt;= 0 stands for disable this prune. Return retval : Evision.DNN.TextRecognitionModel.t() Python prototype (for reference only): setDecodeOptsCTCPrefixBeamSearch(beamSize[, vocPruneSize]) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setDecodeOptsCTCPrefixBeamSearch/3","title":"Evision.DNN.TextRecognitionModel.setDecodeOptsCTCPrefixBeamSearch/3","type":"function"},{"doc":"Set the decoding method of translating the network output into string Positional Arguments self : Evision.DNN.TextRecognitionModel.t() decodeType : string .The decoding method of translating the network output into string, currently supported type: &quot;CTC-greedy&quot; greedy decoding for the output of CTC-based methods &quot;CTC-prefix-beam-search&quot; Prefix beam search decoding for the output of CTC-based methods Return retval : Evision.DNN.TextRecognitionModel.t() Python prototype (for reference only): setDecodeType(decodeType) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setDecodeType/2","title":"Evision.DNN.TextRecognitionModel.setDecodeType/2","type":"function"},{"doc":"Set flag crop for frame. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() crop : bool . Flag which indicates whether image will be cropped after resize or not. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputCrop(crop) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setInputCrop/2","title":"Evision.DNN.TextRecognitionModel.setInputCrop/2","type":"function"},{"doc":"Set mean value for frame. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() mean : Scalar . Scalar with mean values which are subtracted from channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputMean(mean) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setInputMean/2","title":"Evision.DNN.TextRecognitionModel.setInputMean/2","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.TextRecognitionModel.html#setInputParams/1","title":"Evision.DNN.TextRecognitionModel.setInputParams/1","type":"function"},{"doc":"Set preprocessing parameters for frame. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() Keyword Arguments scale : double . Multiplier for frame values. size : Size . New input size. mean : Scalar . Scalar with mean values which are subtracted from channels. swapRB : bool . Flag which indicates that swap first and last channels. crop : bool . Flag which indicates whether image will be cropped after resize or not. blob(n, c, y, x) = scale * resize( frame(y, x, c) ) - mean(c) ) Python prototype (for reference only): setInputParams([, scale[, size[, mean[, swapRB[, crop]]]]]) -&gt; None","ref":"Evision.DNN.TextRecognitionModel.html#setInputParams/2","title":"Evision.DNN.TextRecognitionModel.setInputParams/2","type":"function"},{"doc":"Set scalefactor value for frame. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() scale : double . Multiplier for frame values. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputScale(scale) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setInputScale/2","title":"Evision.DNN.TextRecognitionModel.setInputScale/2","type":"function"},{"doc":"Set input size for frame. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() size : Size . New input size. Return retval : Evision.DNN.Model.t() Note : If shape of the new blob less than 0, then frame size not change. Python prototype (for reference only): setInputSize(size) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setInputSize/2","title":"Evision.DNN.TextRecognitionModel.setInputSize/2","type":"function"},{"doc":"setInputSize Positional Arguments self : Evision.DNN.TextRecognitionModel.t() width : int . New input width. height : int . New input height. Return retval : Evision.DNN.Model.t() Has overloading in C++ Python prototype (for reference only): setInputSize(width, height) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setInputSize/3","title":"Evision.DNN.TextRecognitionModel.setInputSize/3","type":"function"},{"doc":"Set flag swapRB for frame. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() swapRB : bool . Flag which indicates that swap first and last channels. Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setInputSwapRB(swapRB) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setInputSwapRB/2","title":"Evision.DNN.TextRecognitionModel.setInputSwapRB/2","type":"function"},{"doc":"setPreferableBackend Positional Arguments self : Evision.DNN.TextRecognitionModel.t() backendId : dnn_Backend Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableBackend(backendId) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setPreferableBackend/2","title":"Evision.DNN.TextRecognitionModel.setPreferableBackend/2","type":"function"},{"doc":"setPreferableTarget Positional Arguments self : Evision.DNN.TextRecognitionModel.t() targetId : dnn_Target Return retval : Evision.DNN.Model.t() Python prototype (for reference only): setPreferableTarget(targetId) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setPreferableTarget/2","title":"Evision.DNN.TextRecognitionModel.setPreferableTarget/2","type":"function"},{"doc":"Set the vocabulary for recognition. Positional Arguments self : Evision.DNN.TextRecognitionModel.t() vocabulary : [string] . the associated vocabulary of the network. Return retval : Evision.DNN.TextRecognitionModel.t() Python prototype (for reference only): setVocabulary(vocabulary) -&gt; retval","ref":"Evision.DNN.TextRecognitionModel.html#setVocabulary/2","title":"Evision.DNN.TextRecognitionModel.setVocabulary/2","type":"function"},{"doc":"Variant 1: Create text recognition model from network represented in one of the supported formats Call setDecodeType() and setVocabulary() after constructor to initialize the decoding method Positional Arguments model : string . Binary file contains trained weights Keyword Arguments config : string . Text file contains network configuration Return self : Evision.DNN.TextRecognitionModel.t() Python prototype (for reference only): TextRecognitionModel(model[, config]) -&gt; &lt;dnn_TextRecognitionModel object&gt; Variant 2: Create Text Recognition model from deep learning network Call setDecodeType() and setVocabulary() after constructor to initialize the decoding method Positional Arguments network : Evision.DNN.Net.t() . Net object Return self : Evision.DNN.TextRecognitionModel.t() Python prototype (for reference only): TextRecognitionModel(network) -&gt; &lt;dnn_TextRecognitionModel object&gt;","ref":"Evision.DNN.TextRecognitionModel.html#textRecognitionModel/1","title":"Evision.DNN.TextRecognitionModel.textRecognitionModel/1","type":"function"},{"doc":"Create text recognition model from network represented in one of the supported formats Call setDecodeType() and setVocabulary() after constructor to initialize the decoding method Positional Arguments model : string . Binary file contains trained weights Keyword Arguments config : string . Text file contains network configuration Return self : Evision.DNN.TextRecognitionModel.t() Python prototype (for reference only): TextRecognitionModel(model[, config]) -&gt; &lt;dnn_TextRecognitionModel object&gt;","ref":"Evision.DNN.TextRecognitionModel.html#textRecognitionModel/2","title":"Evision.DNN.TextRecognitionModel.textRecognitionModel/2","type":"function"},{"doc":"Type that represents an DNN.TextRecognitionModel struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNN.TextRecognitionModel.html#t:t/0","title":"Evision.DNN.TextRecognitionModel.t/0","type":"type"},{"doc":"","ref":"Evision.DNNSuperRes.html","title":"Evision.DNNSuperRes","type":"module"},{"doc":"Type that represents an DNNSuperRes struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNNSuperRes.html#t:t/0","title":"Evision.DNNSuperRes.t/0","type":"type"},{"doc":"","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html","title":"Evision.DNNSuperRes.DNNSuperResImpl","type":"module"},{"doc":"Empty constructor for python Return retval : Evision.DNNSuperRes.DNNSuperResImpl.t() Python prototype (for reference only): create() -&gt; retval","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#create/0","title":"Evision.DNNSuperRes.DNNSuperResImpl.create/0","type":"function"},{"doc":"Returns the scale factor of the model: Positional Arguments self : Evision.DNNSuperRes.DNNSuperResImpl.t() Return retval : String @return Current algorithm. Python prototype (for reference only): getAlgorithm() -&gt; retval","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#getAlgorithm/1","title":"Evision.DNNSuperRes.DNNSuperResImpl.getAlgorithm/1","type":"function"},{"doc":"Returns the scale factor of the model: Positional Arguments self : Evision.DNNSuperRes.DNNSuperResImpl.t() Return retval : int @return Current scale factor. Python prototype (for reference only): getScale() -&gt; retval","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#getScale/1","title":"Evision.DNNSuperRes.DNNSuperResImpl.getScale/1","type":"function"},{"doc":"Read the model from the given path Positional Arguments self : Evision.DNNSuperRes.DNNSuperResImpl.t() path : String . Path to the model file. Python prototype (for reference only): readModel(path) -&gt; None","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#readModel/2","title":"Evision.DNNSuperRes.DNNSuperResImpl.readModel/2","type":"function"},{"doc":"Set desired model Positional Arguments self : Evision.DNNSuperRes.DNNSuperResImpl.t() algo : String . String containing one of the desired models: edsr espcn fsrcnn lapsrn scale : int . Integer specifying the upscale factor Python prototype (for reference only): setModel(algo, scale) -&gt; None","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#setModel/3","title":"Evision.DNNSuperRes.DNNSuperResImpl.setModel/3","type":"function"},{"doc":"Set computation backend Positional Arguments self : Evision.DNNSuperRes.DNNSuperResImpl.t() backendId : int Python prototype (for reference only): setPreferableBackend(backendId) -&gt; None","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#setPreferableBackend/2","title":"Evision.DNNSuperRes.DNNSuperResImpl.setPreferableBackend/2","type":"function"},{"doc":"Set computation target Positional Arguments self : Evision.DNNSuperRes.DNNSuperResImpl.t() targetId : int Python prototype (for reference only): setPreferableTarget(targetId) -&gt; None","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#setPreferableTarget/2","title":"Evision.DNNSuperRes.DNNSuperResImpl.setPreferableTarget/2","type":"function"},{"doc":"Upsample via neural network Positional Arguments self : Evision.DNNSuperRes.DNNSuperResImpl.t() img : Evision.Mat.t() . Image to upscale Return result : Evision.Mat.t() . Destination upscaled image Python prototype (for reference only): upsample(img[, result]) -&gt; result","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#upsample/2","title":"Evision.DNNSuperRes.DNNSuperResImpl.upsample/2","type":"function"},{"doc":"Upsample via neural network Positional Arguments self : Evision.DNNSuperRes.DNNSuperResImpl.t() img : Evision.Mat.t() . Image to upscale Return result : Evision.Mat.t() . Destination upscaled image Python prototype (for reference only): upsample(img[, result]) -&gt; result","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#upsample/3","title":"Evision.DNNSuperRes.DNNSuperResImpl.upsample/3","type":"function"},{"doc":"Upsample via neural network of multiple outputs Positional Arguments self : Evision.DNNSuperRes.DNNSuperResImpl.t() img : Evision.Mat.t() . Image to upscale imgs_new : [Evision.Mat] . Destination upscaled images scale_factors : [int] . Scaling factors of the output nodes node_names : [String] . Names of the output nodes in the neural network Python prototype (for reference only): upsampleMultioutput(img, imgs_new, scale_factors, node_names) -&gt; None","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#upsampleMultioutput/5","title":"Evision.DNNSuperRes.DNNSuperResImpl.upsampleMultioutput/5","type":"function"},{"doc":"Type that represents an DNNSuperRes.DNNSuperResImpl struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DNNSuperRes.DNNSuperResImpl.html#t:t/0","title":"Evision.DNNSuperRes.DNNSuperResImpl.t/0","type":"type"},{"doc":"","ref":"Evision.DenseOpticalFlow.html","title":"Evision.DenseOpticalFlow","type":"module"},{"doc":"Calculates an optical flow. Positional Arguments self : Evision.DenseOpticalFlow.t() i0 : Evision.Mat.t() . first 8-bit single-channel input image. i1 : Evision.Mat.t() . second input image of the same size and the same type as prev. Return flow : Evision.Mat.t() . computed flow image that has the same size as prev and type CV_32FC2. Python prototype (for reference only): calc(I0, I1, flow) -&gt; flow","ref":"Evision.DenseOpticalFlow.html#calc/4","title":"Evision.DenseOpticalFlow.calc/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.DenseOpticalFlow.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.DenseOpticalFlow.html#clear/1","title":"Evision.DenseOpticalFlow.clear/1","type":"function"},{"doc":"Releases all inner buffers. Positional Arguments self : Evision.DenseOpticalFlow.t() Python prototype (for reference only): collectGarbage() -&gt; None","ref":"Evision.DenseOpticalFlow.html#collectGarbage/1","title":"Evision.DenseOpticalFlow.collectGarbage/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.DenseOpticalFlow.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.DenseOpticalFlow.html#empty/1","title":"Evision.DenseOpticalFlow.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.DenseOpticalFlow.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.DenseOpticalFlow.html#getDefaultName/1","title":"Evision.DenseOpticalFlow.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.DenseOpticalFlow.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.DenseOpticalFlow.html#read/2","title":"Evision.DenseOpticalFlow.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.DenseOpticalFlow.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.DenseOpticalFlow.html#save/2","title":"Evision.DenseOpticalFlow.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.DenseOpticalFlow.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.DenseOpticalFlow.html#write/2","title":"Evision.DenseOpticalFlow.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.DenseOpticalFlow.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.DenseOpticalFlow.html#write/3","title":"Evision.DenseOpticalFlow.write/3","type":"function"},{"doc":"Type that represents an DenseOpticalFlow struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DenseOpticalFlow.html#t:t/0","title":"Evision.DenseOpticalFlow.t/0","type":"type"},{"doc":"","ref":"Evision.DescriptorMatcher.html","title":"Evision.DescriptorMatcher","type":"module"},{"doc":"Adds descriptors to train a CPU(trainDescCollectionis) or GPU(utrainDescCollectionis) descriptor collection. Positional Arguments self : Evision.DescriptorMatcher.t() descriptors : [Evision.Mat] . Descriptors to add. Each descriptors[i] is a set of descriptors from the same train image. If the collection is not empty, the new descriptors are added to existing train descriptors. Python prototype (for reference only): add(descriptors) -&gt; None","ref":"Evision.DescriptorMatcher.html#add/2","title":"Evision.DescriptorMatcher.add/2","type":"function"},{"doc":"Clears the train descriptor collections. Positional Arguments self : Evision.DescriptorMatcher.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.DescriptorMatcher.html#clear/1","title":"Evision.DescriptorMatcher.clear/1","type":"function"},{"doc":"Clones the matcher. Positional Arguments self : Evision.DescriptorMatcher.t() Keyword Arguments emptyTrainData : bool . If emptyTrainData is false, the method creates a deep copy of the object, that is, copies both parameters and train data. If emptyTrainData is true, the method creates an object copy with the current parameters but with empty train data. Return retval : Evision.DescriptorMatcher.t() Python prototype (for reference only): clone([, emptyTrainData]) -&gt; retval","ref":"Evision.DescriptorMatcher.html#clone/1","title":"Evision.DescriptorMatcher.clone/1","type":"function"},{"doc":"Clones the matcher. Positional Arguments self : Evision.DescriptorMatcher.t() Keyword Arguments emptyTrainData : bool . If emptyTrainData is false, the method creates a deep copy of the object, that is, copies both parameters and train data. If emptyTrainData is true, the method creates an object copy with the current parameters but with empty train data. Return retval : Evision.DescriptorMatcher.t() Python prototype (for reference only): clone([, emptyTrainData]) -&gt; retval","ref":"Evision.DescriptorMatcher.html#clone/2","title":"Evision.DescriptorMatcher.clone/2","type":"function"},{"doc":"Variant 1: create Positional Arguments matcherType : DescriptorMatcher_MatcherType Return retval : Evision.DescriptorMatcher.t() Python prototype (for reference only): create(matcherType) -&gt; retval Variant 2: Creates a descriptor matcher of a given type with the default parameters (using default constructor). Positional Arguments descriptorMatcherType : String .Descriptor matcher type. Now the following matcher types are supported: BruteForce (it uses L2 ) BruteForce-L1 BruteForce-Hamming BruteForce-Hamming(2) FlannBased Return retval : Evision.DescriptorMatcher.t() Python prototype (for reference only): create(descriptorMatcherType) -&gt; retval","ref":"Evision.DescriptorMatcher.html#create/1","title":"Evision.DescriptorMatcher.create/1","type":"function"},{"doc":"Returns true if there are no train descriptors in the both collections. Positional Arguments self : Evision.DescriptorMatcher.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.DescriptorMatcher.html#empty/1","title":"Evision.DescriptorMatcher.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.DescriptorMatcher.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.DescriptorMatcher.html#getDefaultName/1","title":"Evision.DescriptorMatcher.getDefaultName/1","type":"function"},{"doc":"Returns a constant link to the train descriptor collection trainDescCollection . Positional Arguments self : Evision.DescriptorMatcher.t() Return retval : [Evision.Mat] Python prototype (for reference only): getTrainDescriptors() -&gt; retval","ref":"Evision.DescriptorMatcher.html#getTrainDescriptors/1","title":"Evision.DescriptorMatcher.getTrainDescriptors/1","type":"function"},{"doc":"Returns true if the descriptor matcher supports masking permissible matches. Positional Arguments self : Evision.DescriptorMatcher.t() Return retval : bool Python prototype (for reference only): isMaskSupported() -&gt; retval","ref":"Evision.DescriptorMatcher.html#isMaskSupported/1","title":"Evision.DescriptorMatcher.isMaskSupported/1","type":"function"},{"doc":"knnMatch Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. Has overloading in C++ Python prototype (for reference only): knnMatch(queryDescriptors, k[, masks[, compactResult]]) -&gt; matches","ref":"Evision.DescriptorMatcher.html#knnMatch/3","title":"Evision.DescriptorMatcher.knnMatch/3","type":"function"},{"doc":"Variant 1: Finds the k best matches for each descriptor from a query set. Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. These extended variants of DescriptorMatcher::match methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::match for the details about query and train descriptors. Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches Variant 2: knnMatch Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. Has overloading in C++ Python prototype (for reference only): knnMatch(queryDescriptors, k[, masks[, compactResult]]) -&gt; matches","ref":"Evision.DescriptorMatcher.html#knnMatch/4","title":"Evision.DescriptorMatcher.knnMatch/4","type":"function"},{"doc":"Finds the k best matches for each descriptor from a query set. Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. These extended variants of DescriptorMatcher::match methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::match for the details about query and train descriptors. Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches","ref":"Evision.DescriptorMatcher.html#knnMatch/5","title":"Evision.DescriptorMatcher.knnMatch/5","type":"function"},{"doc":"match Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. Has overloading in C++ Python prototype (for reference only): match(queryDescriptors[, masks]) -&gt; matches","ref":"Evision.DescriptorMatcher.html#match/2","title":"Evision.DescriptorMatcher.match/2","type":"function"},{"doc":"Variant 1: Finds the best match for each descriptor from a query set. Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches Variant 2: match Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. Has overloading in C++ Python prototype (for reference only): match(queryDescriptors[, masks]) -&gt; matches","ref":"Evision.DescriptorMatcher.html#match/3","title":"Evision.DescriptorMatcher.match/3","type":"function"},{"doc":"Finds the best match for each descriptor from a query set. Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches","ref":"Evision.DescriptorMatcher.html#match/4","title":"Evision.DescriptorMatcher.match/4","type":"function"},{"doc":"radiusMatch Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. Has overloading in C++ Python prototype (for reference only): radiusMatch(queryDescriptors, maxDistance[, masks[, compactResult]]) -&gt; matches","ref":"Evision.DescriptorMatcher.html#radiusMatch/3","title":"Evision.DescriptorMatcher.radiusMatch/3","type":"function"},{"doc":"Variant 1: For each query descriptor, finds the training descriptors not farther than the specified distance. Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatch(queryDescriptors, trainDescriptors, maxDistance[, mask[, compactResult]]) -&gt; matches Variant 2: radiusMatch Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. Has overloading in C++ Python prototype (for reference only): radiusMatch(queryDescriptors, maxDistance[, masks[, compactResult]]) -&gt; matches","ref":"Evision.DescriptorMatcher.html#radiusMatch/4","title":"Evision.DescriptorMatcher.radiusMatch/4","type":"function"},{"doc":"For each query descriptor, finds the training descriptors not farther than the specified distance. Positional Arguments self : Evision.DescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatch(queryDescriptors, trainDescriptors, maxDistance[, mask[, compactResult]]) -&gt; matches","ref":"Evision.DescriptorMatcher.html#radiusMatch/5","title":"Evision.DescriptorMatcher.radiusMatch/5","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.DescriptorMatcher.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.DescriptorMatcher.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.DescriptorMatcher.html#read/2","title":"Evision.DescriptorMatcher.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.DescriptorMatcher.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.DescriptorMatcher.html#save/2","title":"Evision.DescriptorMatcher.save/2","type":"function"},{"doc":"Trains a descriptor matcher Positional Arguments self : Evision.DescriptorMatcher.t() Trains a descriptor matcher (for example, the flann index). In all methods to match, the method train() is run every time before matching. Some descriptor matchers (for example, BruteForceMatcher) have an empty implementation of this method. Other matchers really train their inner structures (for example, FlannBasedMatcher trains flann::Index ). Python prototype (for reference only): train() -&gt; None","ref":"Evision.DescriptorMatcher.html#train/1","title":"Evision.DescriptorMatcher.train/1","type":"function"},{"doc":"write Positional Arguments self : Evision.DescriptorMatcher.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.DescriptorMatcher.html#write/2","title":"Evision.DescriptorMatcher.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.DescriptorMatcher.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.DescriptorMatcher.html#write/3","title":"Evision.DescriptorMatcher.write/3","type":"function"},{"doc":"Type that represents an DescriptorMatcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DescriptorMatcher.html#t:t/0","title":"Evision.DescriptorMatcher.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.html","title":"Evision.Detail","type":"module"},{"doc":"Estimates focal lengths for each given camera. Positional Arguments hs : [Evision.Mat] Return retval : bool k : Evision.Mat.t() . Python prototype (for reference only): calibrateRotatingCamera(Hs[, K]) -&gt; retval, K","ref":"Evision.Detail.html#calibrateRotatingCamera/1","title":"Evision.Detail.calibrateRotatingCamera/1","type":"function"},{"doc":"Estimates focal lengths for each given camera. Positional Arguments hs : [Evision.Mat] Return retval : bool k : Evision.Mat.t() . Python prototype (for reference only): calibrateRotatingCamera(Hs[, K]) -&gt; retval, K","ref":"Evision.Detail.html#calibrateRotatingCamera/2","title":"Evision.Detail.calibrateRotatingCamera/2","type":"function"},{"doc":"Positional Arguments featuresFinder : Evision.Feature2D.t() . image : Evision.Mat.t() . Keyword Arguments mask : Evision.Mat.t() . Return features : Evision.Detail.ImageFeatures.t() . Python prototype (for reference only): computeImageFeatures2(featuresFinder, image[, mask]) -&gt; features","ref":"Evision.Detail.html#computeImageFeatures2/2","title":"Evision.Detail.computeImageFeatures2/2","type":"function"},{"doc":"Positional Arguments featuresFinder : Evision.Feature2D.t() . image : Evision.Mat.t() . Keyword Arguments mask : Evision.Mat.t() . Return features : Evision.Detail.ImageFeatures.t() . Python prototype (for reference only): computeImageFeatures2(featuresFinder, image[, mask]) -&gt; features","ref":"Evision.Detail.html#computeImageFeatures2/3","title":"Evision.Detail.computeImageFeatures2/3","type":"function"},{"doc":"Positional Arguments featuresFinder : Evision.Feature2D.t() . images : [Evision.Mat] . Keyword Arguments masks : [Evision.Mat] . Return features : [Evision.Detail.ImageFeatures] . Python prototype (for reference only): computeImageFeatures(featuresFinder, images[, masks]) -&gt; features","ref":"Evision.Detail.html#computeImageFeatures/2","title":"Evision.Detail.computeImageFeatures/2","type":"function"},{"doc":"Positional Arguments featuresFinder : Evision.Feature2D.t() . images : [Evision.Mat] . Keyword Arguments masks : [Evision.Mat] . Return features : [Evision.Detail.ImageFeatures] . Python prototype (for reference only): computeImageFeatures(featuresFinder, images[, masks]) -&gt; features","ref":"Evision.Detail.html#computeImageFeatures/3","title":"Evision.Detail.computeImageFeatures/3","type":"function"},{"doc":"createLaplacePyr Positional Arguments img : Evision.Mat.t() num_levels : int Return pyr : [Evision.Mat] Python prototype (for reference only): createLaplacePyr(img, num_levels, pyr) -&gt; pyr","ref":"Evision.Detail.html#createLaplacePyr/3","title":"Evision.Detail.createLaplacePyr/3","type":"function"},{"doc":"createLaplacePyrGpu Positional Arguments img : Evision.Mat.t() num_levels : int Return pyr : [Evision.Mat] Python prototype (for reference only): createLaplacePyrGpu(img, num_levels, pyr) -&gt; pyr","ref":"Evision.Detail.html#createLaplacePyrGpu/3","title":"Evision.Detail.createLaplacePyrGpu/3","type":"function"},{"doc":"createWeightMap Positional Arguments mask : Evision.Mat.t() sharpness : float Return weight : Evision.Mat.t() Python prototype (for reference only): createWeightMap(mask, sharpness, weight) -&gt; weight","ref":"Evision.Detail.html#createWeightMap/3","title":"Evision.Detail.createWeightMap/3","type":"function"},{"doc":"Tries to estimate focal lengths from the given homography under the assumption that the camera undergoes rotations around its centre only. Positional Arguments h : Evision.Mat.t() . Homography. f0 : double . Estimated focal length along X axis. f1 : double . Estimated focal length along Y axis. f0_ok : bool . True, if f0 was estimated successfully, false otherwise. f1_ok : bool . True, if f1 was estimated successfully, false otherwise. See &quot;Construction of Panoramic Image Mosaics with Global and Local Alignment&quot; by Heung-Yeung Shum and Richard Szeliski. Python prototype (for reference only): focalsFromHomography(H, f0, f1, f0_ok, f1_ok) -&gt; None","ref":"Evision.Detail.html#focalsFromHomography/5","title":"Evision.Detail.focalsFromHomography/5","type":"function"},{"doc":"leaveBiggestComponent Positional Arguments features : [Evision.Detail.ImageFeatures] pairwise_matches : [Evision.Detail.MatchesInfo] conf_threshold : float Return retval : [int] Python prototype (for reference only): leaveBiggestComponent(features, pairwise_matches, conf_threshold) -&gt; retval","ref":"Evision.Detail.html#leaveBiggestComponent/3","title":"Evision.Detail.leaveBiggestComponent/3","type":"function"},{"doc":"matchesGraphAsString Positional Arguments pathes : [String] pairwise_matches : [Evision.Detail.MatchesInfo] conf_threshold : float Return retval : String Python prototype (for reference only): matchesGraphAsString(pathes, pairwise_matches, conf_threshold) -&gt; retval","ref":"Evision.Detail.html#matchesGraphAsString/3","title":"Evision.Detail.matchesGraphAsString/3","type":"function"},{"doc":"normalizeUsingWeightMap Positional Arguments weight : Evision.Mat.t() Return src : Evision.Mat.t() Python prototype (for reference only): normalizeUsingWeightMap(weight, src) -&gt; src","ref":"Evision.Detail.html#normalizeUsingWeightMap/2","title":"Evision.Detail.normalizeUsingWeightMap/2","type":"function"},{"doc":"overlapRoi Positional Arguments tl1 : Point tl2 : Point sz1 : Size sz2 : Size roi : Rect Return retval : bool Python prototype (for reference only): overlapRoi(tl1, tl2, sz1, sz2, roi) -&gt; retval","ref":"Evision.Detail.html#overlapRoi/5","title":"Evision.Detail.overlapRoi/5","type":"function"},{"doc":"restoreImageFromLaplacePyr Return pyr : [Evision.Mat] Python prototype (for reference only): restoreImageFromLaplacePyr(pyr) -&gt; pyr","ref":"Evision.Detail.html#restoreImageFromLaplacePyr/1","title":"Evision.Detail.restoreImageFromLaplacePyr/1","type":"function"},{"doc":"restoreImageFromLaplacePyrGpu Return pyr : [Evision.Mat] Python prototype (for reference only): restoreImageFromLaplacePyrGpu(pyr) -&gt; pyr","ref":"Evision.Detail.html#restoreImageFromLaplacePyrGpu/1","title":"Evision.Detail.restoreImageFromLaplacePyrGpu/1","type":"function"},{"doc":"resultRoi Positional Arguments corners : [Point] sizes : [Size] Return retval : Rect Python prototype (for reference only): resultRoi(corners, sizes) -&gt; retval","ref":"Evision.Detail.html#resultRoi/2","title":"Evision.Detail.resultRoi/2","type":"function"},{"doc":"resultRoiIntersection Positional Arguments corners : [Point] sizes : [Size] Return retval : Rect Python prototype (for reference only): resultRoiIntersection(corners, sizes) -&gt; retval","ref":"Evision.Detail.html#resultRoiIntersection/2","title":"Evision.Detail.resultRoiIntersection/2","type":"function"},{"doc":"resultTl Positional Arguments corners : [Point] Return retval : Point Python prototype (for reference only): resultTl(corners) -&gt; retval","ref":"Evision.Detail.html#resultTl/1","title":"Evision.Detail.resultTl/1","type":"function"},{"doc":"selectRandomSubset Positional Arguments count : int size : int subset : [int] Python prototype (for reference only): selectRandomSubset(count, size, subset) -&gt; None","ref":"Evision.Detail.html#selectRandomSubset/3","title":"Evision.Detail.selectRandomSubset/3","type":"function"},{"doc":"stitchingLogLevel Return retval : int Python prototype (for reference only): stitchingLogLevel() -&gt; retval","ref":"Evision.Detail.html#stitchingLogLevel/0","title":"Evision.Detail.stitchingLogLevel/0","type":"function"},{"doc":"Tries to make panorama more horizontal (or vertical). Positional Arguments kind : WaveCorrectKind . Correction kind, see detail::WaveCorrectKind. Return rmats : [Evision.Mat] . Camera rotation matrices. Python prototype (for reference only): waveCorrect(rmats, kind) -&gt; rmats","ref":"Evision.Detail.html#waveCorrect/2","title":"Evision.Detail.waveCorrect/2","type":"function"},{"doc":"Type that represents an Detail struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.html#t:t/0","title":"Evision.Detail.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.AffineBasedEstimator.html","title":"Evision.Detail.AffineBasedEstimator","type":"module"},{"doc":"AffineBasedEstimator Return self : Evision.Detail.AffineBasedEstimator.t() Python prototype (for reference only): AffineBasedEstimator() -&gt; &lt;detail_AffineBasedEstimator object&gt;","ref":"Evision.Detail.AffineBasedEstimator.html#affineBasedEstimator/0","title":"Evision.Detail.AffineBasedEstimator.affineBasedEstimator/0","type":"function"},{"doc":"Type that represents an Detail.AffineBasedEstimator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.AffineBasedEstimator.html#t:t/0","title":"Evision.Detail.AffineBasedEstimator.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html","title":"Evision.Detail.AffineBestOf2NearestMatcher","type":"module"},{"doc":"Constructs a &quot;best of 2 nearest&quot; matcher that expects affine transformation between images Keyword Arguments full_affine : bool . whether to use full affine transformation with 6 degress of freedom or reduced transformation with 4 degrees of freedom using only rotation, translation and uniform scaling try_use_gpu : bool . Should try to use GPU or not match_conf : float . Match distances ration threshold num_matches_thresh1 : int . Minimum number of matches required for the 2D affine transform estimation used in the inliers classification step Return self : Evision.Detail.AffineBestOf2NearestMatcher.t() @sa cv::estimateAffine2D cv::estimateAffinePartial2D Python prototype (for reference only): AffineBestOf2NearestMatcher([, full_affine[, try_use_gpu[, match_conf[, num_matches_thresh1]]]]) -&gt; &lt;detail_AffineBestOf2NearestMatcher object&gt;","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html#affineBestOf2NearestMatcher/0","title":"Evision.Detail.AffineBestOf2NearestMatcher.affineBestOf2NearestMatcher/0","type":"function"},{"doc":"Constructs a &quot;best of 2 nearest&quot; matcher that expects affine transformation between images Keyword Arguments full_affine : bool . whether to use full affine transformation with 6 degress of freedom or reduced transformation with 4 degrees of freedom using only rotation, translation and uniform scaling try_use_gpu : bool . Should try to use GPU or not match_conf : float . Match distances ration threshold num_matches_thresh1 : int . Minimum number of matches required for the 2D affine transform estimation used in the inliers classification step Return self : Evision.Detail.AffineBestOf2NearestMatcher.t() @sa cv::estimateAffine2D cv::estimateAffinePartial2D Python prototype (for reference only): AffineBestOf2NearestMatcher([, full_affine[, try_use_gpu[, match_conf[, num_matches_thresh1]]]]) -&gt; &lt;detail_AffineBestOf2NearestMatcher object&gt;","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html#affineBestOf2NearestMatcher/1","title":"Evision.Detail.AffineBestOf2NearestMatcher.affineBestOf2NearestMatcher/1","type":"function"},{"doc":"Performs images matching. Positional Arguments self : Evision.Detail.AffineBestOf2NearestMatcher.t() features : [Evision.Detail.ImageFeatures] . Features of the source images Keyword Arguments mask : Evision.Mat.t() . Mask indicating which image pairs must be matched Return pairwise_matches : [Evision.Detail.MatchesInfo] . Found pairwise matches The function is parallelized with the TBB library. @sa detail::MatchesInfo Python prototype (for reference only): apply2(features[, mask]) -&gt; pairwise_matches","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html#apply2/2","title":"Evision.Detail.AffineBestOf2NearestMatcher.apply2/2","type":"function"},{"doc":"Performs images matching. Positional Arguments self : Evision.Detail.AffineBestOf2NearestMatcher.t() features : [Evision.Detail.ImageFeatures] . Features of the source images Keyword Arguments mask : Evision.Mat.t() . Mask indicating which image pairs must be matched Return pairwise_matches : [Evision.Detail.MatchesInfo] . Found pairwise matches The function is parallelized with the TBB library. @sa detail::MatchesInfo Python prototype (for reference only): apply2(features[, mask]) -&gt; pairwise_matches","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html#apply2/3","title":"Evision.Detail.AffineBestOf2NearestMatcher.apply2/3","type":"function"},{"doc":"apply Positional Arguments self : Evision.Detail.AffineBestOf2NearestMatcher.t() features1 : Evision.Detail.ImageFeatures.t() . First image features features2 : Evision.Detail.ImageFeatures.t() . Second image features Return matches_info : Evision.Detail.MatchesInfo.t() . Found matches Has overloading in C++ Python prototype (for reference only): apply(features1, features2) -&gt; matches_info","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html#apply/3","title":"Evision.Detail.AffineBestOf2NearestMatcher.apply/3","type":"function"},{"doc":"collectGarbage Positional Arguments self : Evision.Detail.AffineBestOf2NearestMatcher.t() Python prototype (for reference only): collectGarbage() -&gt; None","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html#collectGarbage/1","title":"Evision.Detail.AffineBestOf2NearestMatcher.collectGarbage/1","type":"function"},{"doc":"create Keyword Arguments try_use_gpu : bool . match_conf : float . num_matches_thresh1 : int . num_matches_thresh2 : int . matches_confindece_thresh : double . Return retval : Evision.Detail.BestOf2NearestMatcher.t() Python prototype (for reference only): create([, try_use_gpu[, match_conf[, num_matches_thresh1[, num_matches_thresh2[, matches_confindece_thresh]]]]]) -&gt; retval","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html#create/0","title":"Evision.Detail.AffineBestOf2NearestMatcher.create/0","type":"function"},{"doc":"create Keyword Arguments try_use_gpu : bool . match_conf : float . num_matches_thresh1 : int . num_matches_thresh2 : int . matches_confindece_thresh : double . Return retval : Evision.Detail.BestOf2NearestMatcher.t() Python prototype (for reference only): create([, try_use_gpu[, match_conf[, num_matches_thresh1[, num_matches_thresh2[, matches_confindece_thresh]]]]]) -&gt; retval","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html#create/1","title":"Evision.Detail.AffineBestOf2NearestMatcher.create/1","type":"function"},{"doc":"isThreadSafe Positional Arguments self : Evision.Detail.AffineBestOf2NearestMatcher.t() Return retval : bool @return True, if it's possible to use the same matcher instance in parallel, false otherwise Python prototype (for reference only): isThreadSafe() -&gt; retval","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html#isThreadSafe/1","title":"Evision.Detail.AffineBestOf2NearestMatcher.isThreadSafe/1","type":"function"},{"doc":"Type that represents an Detail.AffineBestOf2NearestMatcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.AffineBestOf2NearestMatcher.html#t:t/0","title":"Evision.Detail.AffineBestOf2NearestMatcher.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.BestOf2NearestMatcher.html","title":"Evision.Detail.BestOf2NearestMatcher","type":"module"},{"doc":"Performs images matching. Positional Arguments self : Evision.Detail.BestOf2NearestMatcher.t() features : [Evision.Detail.ImageFeatures] . Features of the source images Keyword Arguments mask : Evision.Mat.t() . Mask indicating which image pairs must be matched Return pairwise_matches : [Evision.Detail.MatchesInfo] . Found pairwise matches The function is parallelized with the TBB library. @sa detail::MatchesInfo Python prototype (for reference only): apply2(features[, mask]) -&gt; pairwise_matches","ref":"Evision.Detail.BestOf2NearestMatcher.html#apply2/2","title":"Evision.Detail.BestOf2NearestMatcher.apply2/2","type":"function"},{"doc":"Performs images matching. Positional Arguments self : Evision.Detail.BestOf2NearestMatcher.t() features : [Evision.Detail.ImageFeatures] . Features of the source images Keyword Arguments mask : Evision.Mat.t() . Mask indicating which image pairs must be matched Return pairwise_matches : [Evision.Detail.MatchesInfo] . Found pairwise matches The function is parallelized with the TBB library. @sa detail::MatchesInfo Python prototype (for reference only): apply2(features[, mask]) -&gt; pairwise_matches","ref":"Evision.Detail.BestOf2NearestMatcher.html#apply2/3","title":"Evision.Detail.BestOf2NearestMatcher.apply2/3","type":"function"},{"doc":"apply Positional Arguments self : Evision.Detail.BestOf2NearestMatcher.t() features1 : Evision.Detail.ImageFeatures.t() . First image features features2 : Evision.Detail.ImageFeatures.t() . Second image features Return matches_info : Evision.Detail.MatchesInfo.t() . Found matches Has overloading in C++ Python prototype (for reference only): apply(features1, features2) -&gt; matches_info","ref":"Evision.Detail.BestOf2NearestMatcher.html#apply/3","title":"Evision.Detail.BestOf2NearestMatcher.apply/3","type":"function"},{"doc":"Constructs a &quot;best of 2 nearest&quot; matcher. Keyword Arguments try_use_gpu : bool . Should try to use GPU or not match_conf : float . Match distances ration threshold num_matches_thresh1 : int . Minimum number of matches required for the 2D projective transform estimation used in the inliers classification step num_matches_thresh2 : int . Minimum number of matches required for the 2D projective transform re-estimation on inliers matches_confindece_thresh : double . Matching confidence threshold to take the match into account. The threshold was determined experimentally and set to 3 by default. Return self : Evision.Detail.BestOf2NearestMatcher.t() Python prototype (for reference only): BestOf2NearestMatcher([, try_use_gpu[, match_conf[, num_matches_thresh1[, num_matches_thresh2[, matches_confindece_thresh]]]]]) -&gt; &lt;detail_BestOf2NearestMatcher object&gt;","ref":"Evision.Detail.BestOf2NearestMatcher.html#bestOf2NearestMatcher/0","title":"Evision.Detail.BestOf2NearestMatcher.bestOf2NearestMatcher/0","type":"function"},{"doc":"Constructs a &quot;best of 2 nearest&quot; matcher. Keyword Arguments try_use_gpu : bool . Should try to use GPU or not match_conf : float . Match distances ration threshold num_matches_thresh1 : int . Minimum number of matches required for the 2D projective transform estimation used in the inliers classification step num_matches_thresh2 : int . Minimum number of matches required for the 2D projective transform re-estimation on inliers matches_confindece_thresh : double . Matching confidence threshold to take the match into account. The threshold was determined experimentally and set to 3 by default. Return self : Evision.Detail.BestOf2NearestMatcher.t() Python prototype (for reference only): BestOf2NearestMatcher([, try_use_gpu[, match_conf[, num_matches_thresh1[, num_matches_thresh2[, matches_confindece_thresh]]]]]) -&gt; &lt;detail_BestOf2NearestMatcher object&gt;","ref":"Evision.Detail.BestOf2NearestMatcher.html#bestOf2NearestMatcher/1","title":"Evision.Detail.BestOf2NearestMatcher.bestOf2NearestMatcher/1","type":"function"},{"doc":"collectGarbage Positional Arguments self : Evision.Detail.BestOf2NearestMatcher.t() Python prototype (for reference only): collectGarbage() -&gt; None","ref":"Evision.Detail.BestOf2NearestMatcher.html#collectGarbage/1","title":"Evision.Detail.BestOf2NearestMatcher.collectGarbage/1","type":"function"},{"doc":"create Keyword Arguments try_use_gpu : bool . match_conf : float . num_matches_thresh1 : int . num_matches_thresh2 : int . matches_confindece_thresh : double . Return retval : Evision.Detail.BestOf2NearestMatcher.t() Python prototype (for reference only): create([, try_use_gpu[, match_conf[, num_matches_thresh1[, num_matches_thresh2[, matches_confindece_thresh]]]]]) -&gt; retval","ref":"Evision.Detail.BestOf2NearestMatcher.html#create/0","title":"Evision.Detail.BestOf2NearestMatcher.create/0","type":"function"},{"doc":"create Keyword Arguments try_use_gpu : bool . match_conf : float . num_matches_thresh1 : int . num_matches_thresh2 : int . matches_confindece_thresh : double . Return retval : Evision.Detail.BestOf2NearestMatcher.t() Python prototype (for reference only): create([, try_use_gpu[, match_conf[, num_matches_thresh1[, num_matches_thresh2[, matches_confindece_thresh]]]]]) -&gt; retval","ref":"Evision.Detail.BestOf2NearestMatcher.html#create/1","title":"Evision.Detail.BestOf2NearestMatcher.create/1","type":"function"},{"doc":"isThreadSafe Positional Arguments self : Evision.Detail.BestOf2NearestMatcher.t() Return retval : bool @return True, if it's possible to use the same matcher instance in parallel, false otherwise Python prototype (for reference only): isThreadSafe() -&gt; retval","ref":"Evision.Detail.BestOf2NearestMatcher.html#isThreadSafe/1","title":"Evision.Detail.BestOf2NearestMatcher.isThreadSafe/1","type":"function"},{"doc":"Type that represents an Detail.BestOf2NearestMatcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.BestOf2NearestMatcher.html#t:t/0","title":"Evision.Detail.BestOf2NearestMatcher.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html","title":"Evision.Detail.BestOf2NearestRangeMatcher","type":"module"},{"doc":"Performs images matching. Positional Arguments self : Evision.Detail.BestOf2NearestRangeMatcher.t() features : [Evision.Detail.ImageFeatures] . Features of the source images Keyword Arguments mask : Evision.Mat.t() . Mask indicating which image pairs must be matched Return pairwise_matches : [Evision.Detail.MatchesInfo] . Found pairwise matches The function is parallelized with the TBB library. @sa detail::MatchesInfo Python prototype (for reference only): apply2(features[, mask]) -&gt; pairwise_matches","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html#apply2/2","title":"Evision.Detail.BestOf2NearestRangeMatcher.apply2/2","type":"function"},{"doc":"Performs images matching. Positional Arguments self : Evision.Detail.BestOf2NearestRangeMatcher.t() features : [Evision.Detail.ImageFeatures] . Features of the source images Keyword Arguments mask : Evision.Mat.t() . Mask indicating which image pairs must be matched Return pairwise_matches : [Evision.Detail.MatchesInfo] . Found pairwise matches The function is parallelized with the TBB library. @sa detail::MatchesInfo Python prototype (for reference only): apply2(features[, mask]) -&gt; pairwise_matches","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html#apply2/3","title":"Evision.Detail.BestOf2NearestRangeMatcher.apply2/3","type":"function"},{"doc":"apply Positional Arguments self : Evision.Detail.BestOf2NearestRangeMatcher.t() features1 : Evision.Detail.ImageFeatures.t() . First image features features2 : Evision.Detail.ImageFeatures.t() . Second image features Return matches_info : Evision.Detail.MatchesInfo.t() . Found matches Has overloading in C++ Python prototype (for reference only): apply(features1, features2) -&gt; matches_info","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html#apply/3","title":"Evision.Detail.BestOf2NearestRangeMatcher.apply/3","type":"function"},{"doc":"BestOf2NearestRangeMatcher Keyword Arguments range_width : int . try_use_gpu : bool . match_conf : float . num_matches_thresh1 : int . num_matches_thresh2 : int . Return self : Evision.Detail.BestOf2NearestRangeMatcher.t() Python prototype (for reference only): BestOf2NearestRangeMatcher([, range_width[, try_use_gpu[, match_conf[, num_matches_thresh1[, num_matches_thresh2]]]]]) -&gt; &lt;detail_BestOf2NearestRangeMatcher object&gt;","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html#bestOf2NearestRangeMatcher/0","title":"Evision.Detail.BestOf2NearestRangeMatcher.bestOf2NearestRangeMatcher/0","type":"function"},{"doc":"BestOf2NearestRangeMatcher Keyword Arguments range_width : int . try_use_gpu : bool . match_conf : float . num_matches_thresh1 : int . num_matches_thresh2 : int . Return self : Evision.Detail.BestOf2NearestRangeMatcher.t() Python prototype (for reference only): BestOf2NearestRangeMatcher([, range_width[, try_use_gpu[, match_conf[, num_matches_thresh1[, num_matches_thresh2]]]]]) -&gt; &lt;detail_BestOf2NearestRangeMatcher object&gt;","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html#bestOf2NearestRangeMatcher/1","title":"Evision.Detail.BestOf2NearestRangeMatcher.bestOf2NearestRangeMatcher/1","type":"function"},{"doc":"collectGarbage Positional Arguments self : Evision.Detail.BestOf2NearestRangeMatcher.t() Python prototype (for reference only): collectGarbage() -&gt; None","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html#collectGarbage/1","title":"Evision.Detail.BestOf2NearestRangeMatcher.collectGarbage/1","type":"function"},{"doc":"create Keyword Arguments try_use_gpu : bool . match_conf : float . num_matches_thresh1 : int . num_matches_thresh2 : int . matches_confindece_thresh : double . Return retval : Evision.Detail.BestOf2NearestMatcher.t() Python prototype (for reference only): create([, try_use_gpu[, match_conf[, num_matches_thresh1[, num_matches_thresh2[, matches_confindece_thresh]]]]]) -&gt; retval","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html#create/0","title":"Evision.Detail.BestOf2NearestRangeMatcher.create/0","type":"function"},{"doc":"create Keyword Arguments try_use_gpu : bool . match_conf : float . num_matches_thresh1 : int . num_matches_thresh2 : int . matches_confindece_thresh : double . Return retval : Evision.Detail.BestOf2NearestMatcher.t() Python prototype (for reference only): create([, try_use_gpu[, match_conf[, num_matches_thresh1[, num_matches_thresh2[, matches_confindece_thresh]]]]]) -&gt; retval","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html#create/1","title":"Evision.Detail.BestOf2NearestRangeMatcher.create/1","type":"function"},{"doc":"isThreadSafe Positional Arguments self : Evision.Detail.BestOf2NearestRangeMatcher.t() Return retval : bool @return True, if it's possible to use the same matcher instance in parallel, false otherwise Python prototype (for reference only): isThreadSafe() -&gt; retval","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html#isThreadSafe/1","title":"Evision.Detail.BestOf2NearestRangeMatcher.isThreadSafe/1","type":"function"},{"doc":"Type that represents an Detail.BestOf2NearestRangeMatcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.BestOf2NearestRangeMatcher.html#t:t/0","title":"Evision.Detail.BestOf2NearestRangeMatcher.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.Blender.html","title":"Evision.Detail.Blender","type":"module"},{"doc":"Blends and returns the final pano. Positional Arguments self : Evision.Detail.Blender.t() Return dst : Evision.Mat.t() . Final pano dst_mask : Evision.Mat.t() . Final pano mask Python prototype (for reference only): blend(dst, dst_mask) -&gt; dst, dst_mask","ref":"Evision.Detail.Blender.html#blend/3","title":"Evision.Detail.Blender.blend/3","type":"function"},{"doc":"createDefault Positional Arguments type : int Keyword Arguments try_gpu : bool . Return retval : Evision.Detail.Blender.t() Python prototype (for reference only): createDefault(type[, try_gpu]) -&gt; retval","ref":"Evision.Detail.Blender.html#createDefault/1","title":"Evision.Detail.Blender.createDefault/1","type":"function"},{"doc":"createDefault Positional Arguments type : int Keyword Arguments try_gpu : bool . Return retval : Evision.Detail.Blender.t() Python prototype (for reference only): createDefault(type[, try_gpu]) -&gt; retval","ref":"Evision.Detail.Blender.html#createDefault/2","title":"Evision.Detail.Blender.createDefault/2","type":"function"},{"doc":"Processes the image. Positional Arguments self : Evision.Detail.Blender.t() img : Evision.Mat.t() . Source image mask : Evision.Mat.t() . Source image mask tl : Point . Source image top-left corners Python prototype (for reference only): feed(img, mask, tl) -&gt; None","ref":"Evision.Detail.Blender.html#feed/4","title":"Evision.Detail.Blender.feed/4","type":"function"},{"doc":"prepare Positional Arguments self : Evision.Detail.Blender.t() dst_roi : Rect Has overloading in C++ Python prototype (for reference only): prepare(dst_roi) -&gt; None","ref":"Evision.Detail.Blender.html#prepare/2","title":"Evision.Detail.Blender.prepare/2","type":"function"},{"doc":"Prepares the blender for blending. Positional Arguments self : Evision.Detail.Blender.t() corners : [Point] . Source images top-left corners sizes : [Size] . Source image sizes Python prototype (for reference only): prepare(corners, sizes) -&gt; None","ref":"Evision.Detail.Blender.html#prepare/3","title":"Evision.Detail.Blender.prepare/3","type":"function"},{"doc":"Type that represents an Detail.Blender struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.Blender.html#t:t/0","title":"Evision.Detail.Blender.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.BlocksChannelsCompensator.html","title":"Evision.Detail.BlocksChannelsCompensator","type":"module"},{"doc":"BlocksChannelsCompensator Keyword Arguments bl_width : int . bl_height : int . nr_feeds : int . Return self : Evision.Detail.BlocksChannelsCompensator.t() Python prototype (for reference only): BlocksChannelsCompensator([, bl_width[, bl_height[, nr_feeds]]]) -&gt; &lt;detail_BlocksChannelsCompensator object&gt;","ref":"Evision.Detail.BlocksChannelsCompensator.html#blocksChannelsCompensator/0","title":"Evision.Detail.BlocksChannelsCompensator.blocksChannelsCompensator/0","type":"function"},{"doc":"BlocksChannelsCompensator Keyword Arguments bl_width : int . bl_height : int . nr_feeds : int . Return self : Evision.Detail.BlocksChannelsCompensator.t() Python prototype (for reference only): BlocksChannelsCompensator([, bl_width[, bl_height[, nr_feeds]]]) -&gt; &lt;detail_BlocksChannelsCompensator object&gt;","ref":"Evision.Detail.BlocksChannelsCompensator.html#blocksChannelsCompensator/1","title":"Evision.Detail.BlocksChannelsCompensator.blocksChannelsCompensator/1","type":"function"},{"doc":"Type that represents an Detail.BlocksChannelsCompensator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.BlocksChannelsCompensator.html#t:t/0","title":"Evision.Detail.BlocksChannelsCompensator.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.BlocksCompensator.html","title":"Evision.Detail.BlocksCompensator","type":"module"},{"doc":"apply Positional Arguments self : Evision.Detail.BlocksCompensator.t() index : int corner : Point mask : Evision.Mat.t() Return image : Evision.Mat.t() Python prototype (for reference only): apply(index, corner, image, mask) -&gt; image","ref":"Evision.Detail.BlocksCompensator.html#apply/5","title":"Evision.Detail.BlocksCompensator.apply/5","type":"function"},{"doc":"getBlockSize Positional Arguments self : Evision.Detail.BlocksCompensator.t() Return retval : Size Python prototype (for reference only): getBlockSize() -&gt; retval","ref":"Evision.Detail.BlocksCompensator.html#getBlockSize/1","title":"Evision.Detail.BlocksCompensator.getBlockSize/1","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.BlocksCompensator.t() Return umv : [Evision.Mat] . Python prototype (for reference only): getMatGains([, umv]) -&gt; umv","ref":"Evision.Detail.BlocksCompensator.html#getMatGains/1","title":"Evision.Detail.BlocksCompensator.getMatGains/1","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.BlocksCompensator.t() Return umv : [Evision.Mat] . Python prototype (for reference only): getMatGains([, umv]) -&gt; umv","ref":"Evision.Detail.BlocksCompensator.html#getMatGains/2","title":"Evision.Detail.BlocksCompensator.getMatGains/2","type":"function"},{"doc":"getNrFeeds Positional Arguments self : Evision.Detail.BlocksCompensator.t() Return retval : int Python prototype (for reference only): getNrFeeds() -&gt; retval","ref":"Evision.Detail.BlocksCompensator.html#getNrFeeds/1","title":"Evision.Detail.BlocksCompensator.getNrFeeds/1","type":"function"},{"doc":"getNrGainsFilteringIterations Positional Arguments self : Evision.Detail.BlocksCompensator.t() Return retval : int Python prototype (for reference only): getNrGainsFilteringIterations() -&gt; retval","ref":"Evision.Detail.BlocksCompensator.html#getNrGainsFilteringIterations/1","title":"Evision.Detail.BlocksCompensator.getNrGainsFilteringIterations/1","type":"function"},{"doc":"getSimilarityThreshold Positional Arguments self : Evision.Detail.BlocksCompensator.t() Return retval : double Python prototype (for reference only): getSimilarityThreshold() -&gt; retval","ref":"Evision.Detail.BlocksCompensator.html#getSimilarityThreshold/1","title":"Evision.Detail.BlocksCompensator.getSimilarityThreshold/1","type":"function"},{"doc":"setBlockSize Positional Arguments self : Evision.Detail.BlocksCompensator.t() size : Size Python prototype (for reference only): setBlockSize(size) -&gt; None","ref":"Evision.Detail.BlocksCompensator.html#setBlockSize/2","title":"Evision.Detail.BlocksCompensator.setBlockSize/2","type":"function"},{"doc":"setBlockSize Positional Arguments self : Evision.Detail.BlocksCompensator.t() width : int height : int Python prototype (for reference only): setBlockSize(width, height) -&gt; None","ref":"Evision.Detail.BlocksCompensator.html#setBlockSize/3","title":"Evision.Detail.BlocksCompensator.setBlockSize/3","type":"function"},{"doc":"setMatGains Positional Arguments self : Evision.Detail.BlocksCompensator.t() umv : [Evision.Mat] Python prototype (for reference only): setMatGains(umv) -&gt; None","ref":"Evision.Detail.BlocksCompensator.html#setMatGains/2","title":"Evision.Detail.BlocksCompensator.setMatGains/2","type":"function"},{"doc":"setNrFeeds Positional Arguments self : Evision.Detail.BlocksCompensator.t() nr_feeds : int Python prototype (for reference only): setNrFeeds(nr_feeds) -&gt; None","ref":"Evision.Detail.BlocksCompensator.html#setNrFeeds/2","title":"Evision.Detail.BlocksCompensator.setNrFeeds/2","type":"function"},{"doc":"setNrGainsFilteringIterations Positional Arguments self : Evision.Detail.BlocksCompensator.t() nr_iterations : int Python prototype (for reference only): setNrGainsFilteringIterations(nr_iterations) -&gt; None","ref":"Evision.Detail.BlocksCompensator.html#setNrGainsFilteringIterations/2","title":"Evision.Detail.BlocksCompensator.setNrGainsFilteringIterations/2","type":"function"},{"doc":"setSimilarityThreshold Positional Arguments self : Evision.Detail.BlocksCompensator.t() similarity_threshold : double Python prototype (for reference only): setSimilarityThreshold(similarity_threshold) -&gt; None","ref":"Evision.Detail.BlocksCompensator.html#setSimilarityThreshold/2","title":"Evision.Detail.BlocksCompensator.setSimilarityThreshold/2","type":"function"},{"doc":"Type that represents an Detail.BlocksCompensator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.BlocksCompensator.html#t:t/0","title":"Evision.Detail.BlocksCompensator.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.BlocksGainCompensator.html","title":"Evision.Detail.BlocksGainCompensator","type":"module"},{"doc":"apply Positional Arguments self : Evision.Detail.BlocksGainCompensator.t() index : int corner : Point mask : Evision.Mat.t() Return image : Evision.Mat.t() Python prototype (for reference only): apply(index, corner, image, mask) -&gt; image","ref":"Evision.Detail.BlocksGainCompensator.html#apply/5","title":"Evision.Detail.BlocksGainCompensator.apply/5","type":"function"},{"doc":"BlocksGainCompensator Keyword Arguments bl_width : int . bl_height : int . Return self : Evision.Detail.BlocksGainCompensator.t() Python prototype (for reference only): BlocksGainCompensator([, bl_width[, bl_height]]) -&gt; &lt;detail_BlocksGainCompensator object&gt;","ref":"Evision.Detail.BlocksGainCompensator.html#blocksGainCompensator/0","title":"Evision.Detail.BlocksGainCompensator.blocksGainCompensator/0","type":"function"},{"doc":"BlocksGainCompensator Keyword Arguments bl_width : int . bl_height : int . Return self : Evision.Detail.BlocksGainCompensator.t() Python prototype (for reference only): BlocksGainCompensator([, bl_width[, bl_height]]) -&gt; &lt;detail_BlocksGainCompensator object&gt;","ref":"Evision.Detail.BlocksGainCompensator.html#blocksGainCompensator/1","title":"Evision.Detail.BlocksGainCompensator.blocksGainCompensator/1","type":"function"},{"doc":"BlocksGainCompensator Positional Arguments bl_width : int bl_height : int nr_feeds : int Return self : Evision.Detail.BlocksGainCompensator.t() Python prototype (for reference only): BlocksGainCompensator(bl_width, bl_height, nr_feeds) -&gt; &lt;detail_BlocksGainCompensator object&gt;","ref":"Evision.Detail.BlocksGainCompensator.html#blocksGainCompensator/3","title":"Evision.Detail.BlocksGainCompensator.blocksGainCompensator/3","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.BlocksGainCompensator.t() Return umv : [Evision.Mat] . Python prototype (for reference only): getMatGains([, umv]) -&gt; umv","ref":"Evision.Detail.BlocksGainCompensator.html#getMatGains/1","title":"Evision.Detail.BlocksGainCompensator.getMatGains/1","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.BlocksGainCompensator.t() Return umv : [Evision.Mat] . Python prototype (for reference only): getMatGains([, umv]) -&gt; umv","ref":"Evision.Detail.BlocksGainCompensator.html#getMatGains/2","title":"Evision.Detail.BlocksGainCompensator.getMatGains/2","type":"function"},{"doc":"setMatGains Positional Arguments self : Evision.Detail.BlocksGainCompensator.t() umv : [Evision.Mat] Python prototype (for reference only): setMatGains(umv) -&gt; None","ref":"Evision.Detail.BlocksGainCompensator.html#setMatGains/2","title":"Evision.Detail.BlocksGainCompensator.setMatGains/2","type":"function"},{"doc":"Type that represents an Detail.BlocksGainCompensator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.BlocksGainCompensator.html#t:t/0","title":"Evision.Detail.BlocksGainCompensator.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.BundleAdjusterAffine.html","title":"Evision.Detail.BundleAdjusterAffine","type":"module"},{"doc":"BundleAdjusterAffine Return self : Evision.Detail.BundleAdjusterAffine.t() Python prototype (for reference only): BundleAdjusterAffine() -&gt; &lt;detail_BundleAdjusterAffine object&gt;","ref":"Evision.Detail.BundleAdjusterAffine.html#bundleAdjusterAffine/0","title":"Evision.Detail.BundleAdjusterAffine.bundleAdjusterAffine/0","type":"function"},{"doc":"Type that represents an Detail.BundleAdjusterAffine struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.BundleAdjusterAffine.html#t:t/0","title":"Evision.Detail.BundleAdjusterAffine.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.BundleAdjusterAffinePartial.html","title":"Evision.Detail.BundleAdjusterAffinePartial","type":"module"},{"doc":"BundleAdjusterAffinePartial Return self : Evision.Detail.BundleAdjusterAffinePartial.t() Python prototype (for reference only): BundleAdjusterAffinePartial() -&gt; &lt;detail_BundleAdjusterAffinePartial object&gt;","ref":"Evision.Detail.BundleAdjusterAffinePartial.html#bundleAdjusterAffinePartial/0","title":"Evision.Detail.BundleAdjusterAffinePartial.bundleAdjusterAffinePartial/0","type":"function"},{"doc":"Type that represents an Detail.BundleAdjusterAffinePartial struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.BundleAdjusterAffinePartial.html#t:t/0","title":"Evision.Detail.BundleAdjusterAffinePartial.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.BundleAdjusterBase.html","title":"Evision.Detail.BundleAdjusterBase","type":"module"},{"doc":"confThresh Positional Arguments self : Evision.Detail.BundleAdjusterBase.t() Return retval : double Python prototype (for reference only): confThresh() -&gt; retval","ref":"Evision.Detail.BundleAdjusterBase.html#confThresh/1","title":"Evision.Detail.BundleAdjusterBase.confThresh/1","type":"function"},{"doc":"refinementMask Positional Arguments self : Evision.Detail.BundleAdjusterBase.t() Return retval : Evision.Mat.t() Python prototype (for reference only): refinementMask() -&gt; retval","ref":"Evision.Detail.BundleAdjusterBase.html#refinementMask/1","title":"Evision.Detail.BundleAdjusterBase.refinementMask/1","type":"function"},{"doc":"setConfThresh Positional Arguments self : Evision.Detail.BundleAdjusterBase.t() conf_thresh : double Python prototype (for reference only): setConfThresh(conf_thresh) -&gt; None","ref":"Evision.Detail.BundleAdjusterBase.html#setConfThresh/2","title":"Evision.Detail.BundleAdjusterBase.setConfThresh/2","type":"function"},{"doc":"setRefinementMask Positional Arguments self : Evision.Detail.BundleAdjusterBase.t() mask : Evision.Mat.t() Python prototype (for reference only): setRefinementMask(mask) -&gt; None","ref":"Evision.Detail.BundleAdjusterBase.html#setRefinementMask/2","title":"Evision.Detail.BundleAdjusterBase.setRefinementMask/2","type":"function"},{"doc":"setTermCriteria Positional Arguments self : Evision.Detail.BundleAdjusterBase.t() term_criteria : TermCriteria Python prototype (for reference only): setTermCriteria(term_criteria) -&gt; None","ref":"Evision.Detail.BundleAdjusterBase.html#setTermCriteria/2","title":"Evision.Detail.BundleAdjusterBase.setTermCriteria/2","type":"function"},{"doc":"termCriteria Positional Arguments self : Evision.Detail.BundleAdjusterBase.t() Return retval : TermCriteria Python prototype (for reference only): termCriteria() -&gt; retval","ref":"Evision.Detail.BundleAdjusterBase.html#termCriteria/1","title":"Evision.Detail.BundleAdjusterBase.termCriteria/1","type":"function"},{"doc":"Type that represents an Detail.BundleAdjusterBase struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.BundleAdjusterBase.html#t:t/0","title":"Evision.Detail.BundleAdjusterBase.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.BundleAdjusterRay.html","title":"Evision.Detail.BundleAdjusterRay","type":"module"},{"doc":"BundleAdjusterRay Return self : Evision.Detail.BundleAdjusterRay.t() Python prototype (for reference only): BundleAdjusterRay() -&gt; &lt;detail_BundleAdjusterRay object&gt;","ref":"Evision.Detail.BundleAdjusterRay.html#bundleAdjusterRay/0","title":"Evision.Detail.BundleAdjusterRay.bundleAdjusterRay/0","type":"function"},{"doc":"Type that represents an Detail.BundleAdjusterRay struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.BundleAdjusterRay.html#t:t/0","title":"Evision.Detail.BundleAdjusterRay.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.BundleAdjusterReproj.html","title":"Evision.Detail.BundleAdjusterReproj","type":"module"},{"doc":"BundleAdjusterReproj Return self : Evision.Detail.BundleAdjusterReproj.t() Python prototype (for reference only): BundleAdjusterReproj() -&gt; &lt;detail_BundleAdjusterReproj object&gt;","ref":"Evision.Detail.BundleAdjusterReproj.html#bundleAdjusterReproj/0","title":"Evision.Detail.BundleAdjusterReproj.bundleAdjusterReproj/0","type":"function"},{"doc":"Type that represents an Detail.BundleAdjusterReproj struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.BundleAdjusterReproj.html#t:t/0","title":"Evision.Detail.BundleAdjusterReproj.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.CameraParams.html","title":"Evision.Detail.CameraParams","type":"module"},{"doc":"","ref":"Evision.Detail.CameraParams.html#get_aspect/1","title":"Evision.Detail.CameraParams.get_aspect/1","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#get_focal/1","title":"Evision.Detail.CameraParams.get_focal/1","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#get_ppx/1","title":"Evision.Detail.CameraParams.get_ppx/1","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#get_ppy/1","title":"Evision.Detail.CameraParams.get_ppy/1","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#get_R/1","title":"Evision.Detail.CameraParams.get_R/1","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#get_t/1","title":"Evision.Detail.CameraParams.get_t/1","type":"function"},{"doc":"K Positional Arguments self : Evision.Detail.CameraParams.t() Return retval : Evision.Mat.t() Python prototype (for reference only): K() -&gt; retval","ref":"Evision.Detail.CameraParams.html#k/1","title":"Evision.Detail.CameraParams.k/1","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#set_aspect/2","title":"Evision.Detail.CameraParams.set_aspect/2","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#set_focal/2","title":"Evision.Detail.CameraParams.set_focal/2","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#set_ppx/2","title":"Evision.Detail.CameraParams.set_ppx/2","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#set_ppy/2","title":"Evision.Detail.CameraParams.set_ppy/2","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#set_R/2","title":"Evision.Detail.CameraParams.set_R/2","type":"function"},{"doc":"","ref":"Evision.Detail.CameraParams.html#set_t/2","title":"Evision.Detail.CameraParams.set_t/2","type":"function"},{"doc":"Type that represents an Detail.CameraParams struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.CameraParams.html#t:t/0","title":"Evision.Detail.CameraParams.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.ChannelsCompensator.html","title":"Evision.Detail.ChannelsCompensator","type":"module"},{"doc":"apply Positional Arguments self : Evision.Detail.ChannelsCompensator.t() index : int corner : Point mask : Evision.Mat.t() Return image : Evision.Mat.t() Python prototype (for reference only): apply(index, corner, image, mask) -&gt; image","ref":"Evision.Detail.ChannelsCompensator.html#apply/5","title":"Evision.Detail.ChannelsCompensator.apply/5","type":"function"},{"doc":"ChannelsCompensator Keyword Arguments nr_feeds : int . Return self : Evision.Detail.ChannelsCompensator.t() Python prototype (for reference only): ChannelsCompensator([, nr_feeds]) -&gt; &lt;detail_ChannelsCompensator object&gt;","ref":"Evision.Detail.ChannelsCompensator.html#channelsCompensator/0","title":"Evision.Detail.ChannelsCompensator.channelsCompensator/0","type":"function"},{"doc":"ChannelsCompensator Keyword Arguments nr_feeds : int . Return self : Evision.Detail.ChannelsCompensator.t() Python prototype (for reference only): ChannelsCompensator([, nr_feeds]) -&gt; &lt;detail_ChannelsCompensator object&gt;","ref":"Evision.Detail.ChannelsCompensator.html#channelsCompensator/1","title":"Evision.Detail.ChannelsCompensator.channelsCompensator/1","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.ChannelsCompensator.t() Return umv : [Evision.Mat] . Python prototype (for reference only): getMatGains([, umv]) -&gt; umv","ref":"Evision.Detail.ChannelsCompensator.html#getMatGains/1","title":"Evision.Detail.ChannelsCompensator.getMatGains/1","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.ChannelsCompensator.t() Return umv : [Evision.Mat] . Python prototype (for reference only): getMatGains([, umv]) -&gt; umv","ref":"Evision.Detail.ChannelsCompensator.html#getMatGains/2","title":"Evision.Detail.ChannelsCompensator.getMatGains/2","type":"function"},{"doc":"getNrFeeds Positional Arguments self : Evision.Detail.ChannelsCompensator.t() Return retval : int Python prototype (for reference only): getNrFeeds() -&gt; retval","ref":"Evision.Detail.ChannelsCompensator.html#getNrFeeds/1","title":"Evision.Detail.ChannelsCompensator.getNrFeeds/1","type":"function"},{"doc":"getSimilarityThreshold Positional Arguments self : Evision.Detail.ChannelsCompensator.t() Return retval : double Python prototype (for reference only): getSimilarityThreshold() -&gt; retval","ref":"Evision.Detail.ChannelsCompensator.html#getSimilarityThreshold/1","title":"Evision.Detail.ChannelsCompensator.getSimilarityThreshold/1","type":"function"},{"doc":"setMatGains Positional Arguments self : Evision.Detail.ChannelsCompensator.t() umv : [Evision.Mat] Python prototype (for reference only): setMatGains(umv) -&gt; None","ref":"Evision.Detail.ChannelsCompensator.html#setMatGains/2","title":"Evision.Detail.ChannelsCompensator.setMatGains/2","type":"function"},{"doc":"setNrFeeds Positional Arguments self : Evision.Detail.ChannelsCompensator.t() nr_feeds : int Python prototype (for reference only): setNrFeeds(nr_feeds) -&gt; None","ref":"Evision.Detail.ChannelsCompensator.html#setNrFeeds/2","title":"Evision.Detail.ChannelsCompensator.setNrFeeds/2","type":"function"},{"doc":"setSimilarityThreshold Positional Arguments self : Evision.Detail.ChannelsCompensator.t() similarity_threshold : double Python prototype (for reference only): setSimilarityThreshold(similarity_threshold) -&gt; None","ref":"Evision.Detail.ChannelsCompensator.html#setSimilarityThreshold/2","title":"Evision.Detail.ChannelsCompensator.setSimilarityThreshold/2","type":"function"},{"doc":"Type that represents an Detail.ChannelsCompensator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.ChannelsCompensator.html#t:t/0","title":"Evision.Detail.ChannelsCompensator.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.DpSeamFinder.html","title":"Evision.Detail.DpSeamFinder","type":"module"},{"doc":"DpSeamFinder Positional Arguments costFunc : String Return self : Evision.Detail.DpSeamFinder.t() Python prototype (for reference only): DpSeamFinder(costFunc) -&gt; &lt;detail_DpSeamFinder object&gt;","ref":"Evision.Detail.DpSeamFinder.html#dpSeamFinder/1","title":"Evision.Detail.DpSeamFinder.dpSeamFinder/1","type":"function"},{"doc":"setCostFunction Positional Arguments self : Evision.Detail.DpSeamFinder.t() val : String Python prototype (for reference only): setCostFunction(val) -&gt; None","ref":"Evision.Detail.DpSeamFinder.html#setCostFunction/2","title":"Evision.Detail.DpSeamFinder.setCostFunction/2","type":"function"},{"doc":"Type that represents an Detail.DpSeamFinder struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.DpSeamFinder.html#t:t/0","title":"Evision.Detail.DpSeamFinder.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.Estimator.html","title":"Evision.Detail.Estimator","type":"module"},{"doc":"Estimates camera parameters. Positional Arguments self : Evision.Detail.Estimator.t() features : [Evision.Detail.ImageFeatures] . Features of images pairwise_matches : [Evision.Detail.MatchesInfo] . Pairwise matches of images Return retval : bool cameras : [Evision.Detail.CameraParams] . Estimated camera parameters @return True in case of success, false otherwise Python prototype (for reference only): apply(features, pairwise_matches, cameras) -&gt; retval, cameras","ref":"Evision.Detail.Estimator.html#apply/4","title":"Evision.Detail.Estimator.apply/4","type":"function"},{"doc":"Type that represents an Detail.Estimator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.Estimator.html#t:t/0","title":"Evision.Detail.Estimator.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.ExposureCompensator.html","title":"Evision.Detail.ExposureCompensator","type":"module"},{"doc":"Compensate exposure in the specified image. Positional Arguments self : Evision.Detail.ExposureCompensator.t() index : int . Image index corner : Point . Image top-left corner mask : Evision.Mat.t() . Image mask Return image : Evision.Mat.t() . Image to process Python prototype (for reference only): apply(index, corner, image, mask) -&gt; image","ref":"Evision.Detail.ExposureCompensator.html#apply/5","title":"Evision.Detail.ExposureCompensator.apply/5","type":"function"},{"doc":"createDefault Positional Arguments type : int Return retval : Evision.Detail.ExposureCompensator.t() Python prototype (for reference only): createDefault(type) -&gt; retval","ref":"Evision.Detail.ExposureCompensator.html#createDefault/1","title":"Evision.Detail.ExposureCompensator.createDefault/1","type":"function"},{"doc":"feed Positional Arguments self : Evision.Detail.ExposureCompensator.t() corners : [Point] . Source image top-left corners images : [Evision.Mat] . Source images masks : [Evision.Mat] . Image masks to update (second value in pair specifies the value which should be used to detect where image is) Python prototype (for reference only): feed(corners, images, masks) -&gt; None","ref":"Evision.Detail.ExposureCompensator.html#feed/4","title":"Evision.Detail.ExposureCompensator.feed/4","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.ExposureCompensator.t() Return arg1 : [Evision.Mat] . Python prototype (for reference only): getMatGains([, arg1]) -&gt; arg1","ref":"Evision.Detail.ExposureCompensator.html#getMatGains/1","title":"Evision.Detail.ExposureCompensator.getMatGains/1","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.ExposureCompensator.t() Return arg1 : [Evision.Mat] . Python prototype (for reference only): getMatGains([, arg1]) -&gt; arg1","ref":"Evision.Detail.ExposureCompensator.html#getMatGains/2","title":"Evision.Detail.ExposureCompensator.getMatGains/2","type":"function"},{"doc":"getUpdateGain Positional Arguments self : Evision.Detail.ExposureCompensator.t() Return retval : bool Python prototype (for reference only): getUpdateGain() -&gt; retval","ref":"Evision.Detail.ExposureCompensator.html#getUpdateGain/1","title":"Evision.Detail.ExposureCompensator.getUpdateGain/1","type":"function"},{"doc":"setMatGains Positional Arguments self : Evision.Detail.ExposureCompensator.t() arg1 : [Evision.Mat] Python prototype (for reference only): setMatGains(arg1) -&gt; None","ref":"Evision.Detail.ExposureCompensator.html#setMatGains/2","title":"Evision.Detail.ExposureCompensator.setMatGains/2","type":"function"},{"doc":"setUpdateGain Positional Arguments self : Evision.Detail.ExposureCompensator.t() b : bool Python prototype (for reference only): setUpdateGain(b) -&gt; None","ref":"Evision.Detail.ExposureCompensator.html#setUpdateGain/2","title":"Evision.Detail.ExposureCompensator.setUpdateGain/2","type":"function"},{"doc":"Type that represents an Detail.ExposureCompensator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.ExposureCompensator.html#t:t/0","title":"Evision.Detail.ExposureCompensator.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.FeatherBlender.html","title":"Evision.Detail.FeatherBlender","type":"module"},{"doc":"blend Positional Arguments self : Evision.Detail.FeatherBlender.t() Return dst : Evision.Mat.t() dst_mask : Evision.Mat.t() Python prototype (for reference only): blend(dst, dst_mask) -&gt; dst, dst_mask","ref":"Evision.Detail.FeatherBlender.html#blend/3","title":"Evision.Detail.FeatherBlender.blend/3","type":"function"},{"doc":"createWeightMaps Positional Arguments self : Evision.Detail.FeatherBlender.t() masks : [Evision.Mat] corners : [Point] Return retval : Rect weight_maps : [Evision.Mat] Python prototype (for reference only): createWeightMaps(masks, corners, weight_maps) -&gt; retval, weight_maps","ref":"Evision.Detail.FeatherBlender.html#createWeightMaps/4","title":"Evision.Detail.FeatherBlender.createWeightMaps/4","type":"function"},{"doc":"FeatherBlender Keyword Arguments sharpness : float . Return self : Evision.Detail.FeatherBlender.t() Python prototype (for reference only): FeatherBlender([, sharpness]) -&gt; &lt;detail_FeatherBlender object&gt;","ref":"Evision.Detail.FeatherBlender.html#featherBlender/0","title":"Evision.Detail.FeatherBlender.featherBlender/0","type":"function"},{"doc":"FeatherBlender Keyword Arguments sharpness : float . Return self : Evision.Detail.FeatherBlender.t() Python prototype (for reference only): FeatherBlender([, sharpness]) -&gt; &lt;detail_FeatherBlender object&gt;","ref":"Evision.Detail.FeatherBlender.html#featherBlender/1","title":"Evision.Detail.FeatherBlender.featherBlender/1","type":"function"},{"doc":"feed Positional Arguments self : Evision.Detail.FeatherBlender.t() img : Evision.Mat.t() mask : Evision.Mat.t() tl : Point Python prototype (for reference only): feed(img, mask, tl) -&gt; None","ref":"Evision.Detail.FeatherBlender.html#feed/4","title":"Evision.Detail.FeatherBlender.feed/4","type":"function"},{"doc":"prepare Positional Arguments self : Evision.Detail.FeatherBlender.t() dst_roi : Rect Python prototype (for reference only): prepare(dst_roi) -&gt; None","ref":"Evision.Detail.FeatherBlender.html#prepare/2","title":"Evision.Detail.FeatherBlender.prepare/2","type":"function"},{"doc":"setSharpness Positional Arguments self : Evision.Detail.FeatherBlender.t() val : float Python prototype (for reference only): setSharpness(val) -&gt; None","ref":"Evision.Detail.FeatherBlender.html#setSharpness/2","title":"Evision.Detail.FeatherBlender.setSharpness/2","type":"function"},{"doc":"sharpness Positional Arguments self : Evision.Detail.FeatherBlender.t() Return retval : float Python prototype (for reference only): sharpness() -&gt; retval","ref":"Evision.Detail.FeatherBlender.html#sharpness/1","title":"Evision.Detail.FeatherBlender.sharpness/1","type":"function"},{"doc":"Type that represents an Detail.FeatherBlender struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.FeatherBlender.html#t:t/0","title":"Evision.Detail.FeatherBlender.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.FeaturesMatcher.html","title":"Evision.Detail.FeaturesMatcher","type":"module"},{"doc":"Performs images matching. Positional Arguments self : Evision.Detail.FeaturesMatcher.t() features : [Evision.Detail.ImageFeatures] . Features of the source images Keyword Arguments mask : Evision.Mat.t() . Mask indicating which image pairs must be matched Return pairwise_matches : [Evision.Detail.MatchesInfo] . Found pairwise matches The function is parallelized with the TBB library. @sa detail::MatchesInfo Python prototype (for reference only): apply2(features[, mask]) -&gt; pairwise_matches","ref":"Evision.Detail.FeaturesMatcher.html#apply2/2","title":"Evision.Detail.FeaturesMatcher.apply2/2","type":"function"},{"doc":"Performs images matching. Positional Arguments self : Evision.Detail.FeaturesMatcher.t() features : [Evision.Detail.ImageFeatures] . Features of the source images Keyword Arguments mask : Evision.Mat.t() . Mask indicating which image pairs must be matched Return pairwise_matches : [Evision.Detail.MatchesInfo] . Found pairwise matches The function is parallelized with the TBB library. @sa detail::MatchesInfo Python prototype (for reference only): apply2(features[, mask]) -&gt; pairwise_matches","ref":"Evision.Detail.FeaturesMatcher.html#apply2/3","title":"Evision.Detail.FeaturesMatcher.apply2/3","type":"function"},{"doc":"apply Positional Arguments self : Evision.Detail.FeaturesMatcher.t() features1 : Evision.Detail.ImageFeatures.t() . First image features features2 : Evision.Detail.ImageFeatures.t() . Second image features Return matches_info : Evision.Detail.MatchesInfo.t() . Found matches Has overloading in C++ Python prototype (for reference only): apply(features1, features2) -&gt; matches_info","ref":"Evision.Detail.FeaturesMatcher.html#apply/3","title":"Evision.Detail.FeaturesMatcher.apply/3","type":"function"},{"doc":"Frees unused memory allocated before if there is any. Positional Arguments self : Evision.Detail.FeaturesMatcher.t() Python prototype (for reference only): collectGarbage() -&gt; None","ref":"Evision.Detail.FeaturesMatcher.html#collectGarbage/1","title":"Evision.Detail.FeaturesMatcher.collectGarbage/1","type":"function"},{"doc":"isThreadSafe Positional Arguments self : Evision.Detail.FeaturesMatcher.t() Return retval : bool @return True, if it's possible to use the same matcher instance in parallel, false otherwise Python prototype (for reference only): isThreadSafe() -&gt; retval","ref":"Evision.Detail.FeaturesMatcher.html#isThreadSafe/1","title":"Evision.Detail.FeaturesMatcher.isThreadSafe/1","type":"function"},{"doc":"Type that represents an Detail.FeaturesMatcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.FeaturesMatcher.html#t:t/0","title":"Evision.Detail.FeaturesMatcher.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.GainCompensator.html","title":"Evision.Detail.GainCompensator","type":"module"},{"doc":"apply Positional Arguments self : Evision.Detail.GainCompensator.t() index : int corner : Point mask : Evision.Mat.t() Return image : Evision.Mat.t() Python prototype (for reference only): apply(index, corner, image, mask) -&gt; image","ref":"Evision.Detail.GainCompensator.html#apply/5","title":"Evision.Detail.GainCompensator.apply/5","type":"function"},{"doc":"GainCompensator Return self : Evision.Detail.GainCompensator.t() Python prototype (for reference only): GainCompensator() -&gt; &lt;detail_GainCompensator object&gt;","ref":"Evision.Detail.GainCompensator.html#gainCompensator/0","title":"Evision.Detail.GainCompensator.gainCompensator/0","type":"function"},{"doc":"GainCompensator Positional Arguments nr_feeds : int Return self : Evision.Detail.GainCompensator.t() Python prototype (for reference only): GainCompensator(nr_feeds) -&gt; &lt;detail_GainCompensator object&gt;","ref":"Evision.Detail.GainCompensator.html#gainCompensator/1","title":"Evision.Detail.GainCompensator.gainCompensator/1","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.GainCompensator.t() Return umv : [Evision.Mat] . Python prototype (for reference only): getMatGains([, umv]) -&gt; umv","ref":"Evision.Detail.GainCompensator.html#getMatGains/1","title":"Evision.Detail.GainCompensator.getMatGains/1","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.GainCompensator.t() Return umv : [Evision.Mat] . Python prototype (for reference only): getMatGains([, umv]) -&gt; umv","ref":"Evision.Detail.GainCompensator.html#getMatGains/2","title":"Evision.Detail.GainCompensator.getMatGains/2","type":"function"},{"doc":"getNrFeeds Positional Arguments self : Evision.Detail.GainCompensator.t() Return retval : int Python prototype (for reference only): getNrFeeds() -&gt; retval","ref":"Evision.Detail.GainCompensator.html#getNrFeeds/1","title":"Evision.Detail.GainCompensator.getNrFeeds/1","type":"function"},{"doc":"getSimilarityThreshold Positional Arguments self : Evision.Detail.GainCompensator.t() Return retval : double Python prototype (for reference only): getSimilarityThreshold() -&gt; retval","ref":"Evision.Detail.GainCompensator.html#getSimilarityThreshold/1","title":"Evision.Detail.GainCompensator.getSimilarityThreshold/1","type":"function"},{"doc":"setMatGains Positional Arguments self : Evision.Detail.GainCompensator.t() umv : [Evision.Mat] Python prototype (for reference only): setMatGains(umv) -&gt; None","ref":"Evision.Detail.GainCompensator.html#setMatGains/2","title":"Evision.Detail.GainCompensator.setMatGains/2","type":"function"},{"doc":"setNrFeeds Positional Arguments self : Evision.Detail.GainCompensator.t() nr_feeds : int Python prototype (for reference only): setNrFeeds(nr_feeds) -&gt; None","ref":"Evision.Detail.GainCompensator.html#setNrFeeds/2","title":"Evision.Detail.GainCompensator.setNrFeeds/2","type":"function"},{"doc":"setSimilarityThreshold Positional Arguments self : Evision.Detail.GainCompensator.t() similarity_threshold : double Python prototype (for reference only): setSimilarityThreshold(similarity_threshold) -&gt; None","ref":"Evision.Detail.GainCompensator.html#setSimilarityThreshold/2","title":"Evision.Detail.GainCompensator.setSimilarityThreshold/2","type":"function"},{"doc":"Type that represents an Detail.GainCompensator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.GainCompensator.html#t:t/0","title":"Evision.Detail.GainCompensator.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.GraphCutSeamFinder.html","title":"Evision.Detail.GraphCutSeamFinder","type":"module"},{"doc":"find Positional Arguments self : Evision.Detail.GraphCutSeamFinder.t() src : [Evision.Mat] corners : [Point] Return masks : [Evision.Mat] Python prototype (for reference only): find(src, corners, masks) -&gt; masks","ref":"Evision.Detail.GraphCutSeamFinder.html#find/4","title":"Evision.Detail.GraphCutSeamFinder.find/4","type":"function"},{"doc":"GraphCutSeamFinder Positional Arguments cost_type : String Keyword Arguments terminal_cost : float . bad_region_penalty : float . Return self : Evision.Detail.GraphCutSeamFinder.t() Python prototype (for reference only): GraphCutSeamFinder(cost_type[, terminal_cost[, bad_region_penalty]]) -&gt; &lt;detail_GraphCutSeamFinder object&gt;","ref":"Evision.Detail.GraphCutSeamFinder.html#graphCutSeamFinder/1","title":"Evision.Detail.GraphCutSeamFinder.graphCutSeamFinder/1","type":"function"},{"doc":"GraphCutSeamFinder Positional Arguments cost_type : String Keyword Arguments terminal_cost : float . bad_region_penalty : float . Return self : Evision.Detail.GraphCutSeamFinder.t() Python prototype (for reference only): GraphCutSeamFinder(cost_type[, terminal_cost[, bad_region_penalty]]) -&gt; &lt;detail_GraphCutSeamFinder object&gt;","ref":"Evision.Detail.GraphCutSeamFinder.html#graphCutSeamFinder/2","title":"Evision.Detail.GraphCutSeamFinder.graphCutSeamFinder/2","type":"function"},{"doc":"Type that represents an Detail.GraphCutSeamFinder struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.GraphCutSeamFinder.html#t:t/0","title":"Evision.Detail.GraphCutSeamFinder.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.HomographyBasedEstimator.html","title":"Evision.Detail.HomographyBasedEstimator","type":"module"},{"doc":"HomographyBasedEstimator Keyword Arguments is_focals_estimated : bool . Return self : Evision.Detail.HomographyBasedEstimator.t() Python prototype (for reference only): HomographyBasedEstimator([, is_focals_estimated]) -&gt; &lt;detail_HomographyBasedEstimator object&gt;","ref":"Evision.Detail.HomographyBasedEstimator.html#homographyBasedEstimator/0","title":"Evision.Detail.HomographyBasedEstimator.homographyBasedEstimator/0","type":"function"},{"doc":"HomographyBasedEstimator Keyword Arguments is_focals_estimated : bool . Return self : Evision.Detail.HomographyBasedEstimator.t() Python prototype (for reference only): HomographyBasedEstimator([, is_focals_estimated]) -&gt; &lt;detail_HomographyBasedEstimator object&gt;","ref":"Evision.Detail.HomographyBasedEstimator.html#homographyBasedEstimator/1","title":"Evision.Detail.HomographyBasedEstimator.homographyBasedEstimator/1","type":"function"},{"doc":"Type that represents an Detail.HomographyBasedEstimator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.HomographyBasedEstimator.html#t:t/0","title":"Evision.Detail.HomographyBasedEstimator.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.ImageFeatures.html","title":"Evision.Detail.ImageFeatures","type":"module"},{"doc":"","ref":"Evision.Detail.ImageFeatures.html#get_descriptors/1","title":"Evision.Detail.ImageFeatures.get_descriptors/1","type":"function"},{"doc":"","ref":"Evision.Detail.ImageFeatures.html#get_img_idx/1","title":"Evision.Detail.ImageFeatures.get_img_idx/1","type":"function"},{"doc":"","ref":"Evision.Detail.ImageFeatures.html#get_img_size/1","title":"Evision.Detail.ImageFeatures.get_img_size/1","type":"function"},{"doc":"","ref":"Evision.Detail.ImageFeatures.html#get_keypoints/1","title":"Evision.Detail.ImageFeatures.get_keypoints/1","type":"function"},{"doc":"getKeypoints Positional Arguments self : Evision.Detail.ImageFeatures.t() Return retval : [Evision.KeyPoint] Python prototype (for reference only): getKeypoints() -&gt; retval","ref":"Evision.Detail.ImageFeatures.html#getKeypoints/1","title":"Evision.Detail.ImageFeatures.getKeypoints/1","type":"function"},{"doc":"","ref":"Evision.Detail.ImageFeatures.html#set_descriptors/2","title":"Evision.Detail.ImageFeatures.set_descriptors/2","type":"function"},{"doc":"","ref":"Evision.Detail.ImageFeatures.html#set_img_idx/2","title":"Evision.Detail.ImageFeatures.set_img_idx/2","type":"function"},{"doc":"","ref":"Evision.Detail.ImageFeatures.html#set_img_size/2","title":"Evision.Detail.ImageFeatures.set_img_size/2","type":"function"},{"doc":"","ref":"Evision.Detail.ImageFeatures.html#set_keypoints/2","title":"Evision.Detail.ImageFeatures.set_keypoints/2","type":"function"},{"doc":"Type that represents an Detail.ImageFeatures struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.ImageFeatures.html#t:t/0","title":"Evision.Detail.ImageFeatures.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html","title":"Evision.Detail.MatchesInfo","type":"module"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#get_confidence/1","title":"Evision.Detail.MatchesInfo.get_confidence/1","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#get_dst_img_idx/1","title":"Evision.Detail.MatchesInfo.get_dst_img_idx/1","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#get_H/1","title":"Evision.Detail.MatchesInfo.get_H/1","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#get_inliers_mask/1","title":"Evision.Detail.MatchesInfo.get_inliers_mask/1","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#get_matches/1","title":"Evision.Detail.MatchesInfo.get_matches/1","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#get_num_inliers/1","title":"Evision.Detail.MatchesInfo.get_num_inliers/1","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#get_src_img_idx/1","title":"Evision.Detail.MatchesInfo.get_src_img_idx/1","type":"function"},{"doc":"getInliers Positional Arguments self : Evision.Detail.MatchesInfo.t() Return retval : [uchar] Python prototype (for reference only): getInliers() -&gt; retval","ref":"Evision.Detail.MatchesInfo.html#getInliers/1","title":"Evision.Detail.MatchesInfo.getInliers/1","type":"function"},{"doc":"getMatches Positional Arguments self : Evision.Detail.MatchesInfo.t() Return retval : [Evision.DMatch] Python prototype (for reference only): getMatches() -&gt; retval","ref":"Evision.Detail.MatchesInfo.html#getMatches/1","title":"Evision.Detail.MatchesInfo.getMatches/1","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#set_confidence/2","title":"Evision.Detail.MatchesInfo.set_confidence/2","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#set_dst_img_idx/2","title":"Evision.Detail.MatchesInfo.set_dst_img_idx/2","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#set_H/2","title":"Evision.Detail.MatchesInfo.set_H/2","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#set_inliers_mask/2","title":"Evision.Detail.MatchesInfo.set_inliers_mask/2","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#set_matches/2","title":"Evision.Detail.MatchesInfo.set_matches/2","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#set_num_inliers/2","title":"Evision.Detail.MatchesInfo.set_num_inliers/2","type":"function"},{"doc":"","ref":"Evision.Detail.MatchesInfo.html#set_src_img_idx/2","title":"Evision.Detail.MatchesInfo.set_src_img_idx/2","type":"function"},{"doc":"Type that represents an Detail.MatchesInfo struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.MatchesInfo.html#t:t/0","title":"Evision.Detail.MatchesInfo.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.MultiBandBlender.html","title":"Evision.Detail.MultiBandBlender","type":"module"},{"doc":"blend Positional Arguments self : Evision.Detail.MultiBandBlender.t() Return dst : Evision.Mat.t() dst_mask : Evision.Mat.t() Python prototype (for reference only): blend(dst, dst_mask) -&gt; dst, dst_mask","ref":"Evision.Detail.MultiBandBlender.html#blend/3","title":"Evision.Detail.MultiBandBlender.blend/3","type":"function"},{"doc":"feed Positional Arguments self : Evision.Detail.MultiBandBlender.t() img : Evision.Mat.t() mask : Evision.Mat.t() tl : Point Python prototype (for reference only): feed(img, mask, tl) -&gt; None","ref":"Evision.Detail.MultiBandBlender.html#feed/4","title":"Evision.Detail.MultiBandBlender.feed/4","type":"function"},{"doc":"MultiBandBlender Keyword Arguments try_gpu : int . num_bands : int . weight_type : int . Return self : Evision.Detail.MultiBandBlender.t() Python prototype (for reference only): MultiBandBlender([, try_gpu[, num_bands[, weight_type]]]) -&gt; &lt;detail_MultiBandBlender object&gt;","ref":"Evision.Detail.MultiBandBlender.html#multiBandBlender/0","title":"Evision.Detail.MultiBandBlender.multiBandBlender/0","type":"function"},{"doc":"MultiBandBlender Keyword Arguments try_gpu : int . num_bands : int . weight_type : int . Return self : Evision.Detail.MultiBandBlender.t() Python prototype (for reference only): MultiBandBlender([, try_gpu[, num_bands[, weight_type]]]) -&gt; &lt;detail_MultiBandBlender object&gt;","ref":"Evision.Detail.MultiBandBlender.html#multiBandBlender/1","title":"Evision.Detail.MultiBandBlender.multiBandBlender/1","type":"function"},{"doc":"numBands Positional Arguments self : Evision.Detail.MultiBandBlender.t() Return retval : int Python prototype (for reference only): numBands() -&gt; retval","ref":"Evision.Detail.MultiBandBlender.html#numBands/1","title":"Evision.Detail.MultiBandBlender.numBands/1","type":"function"},{"doc":"prepare Positional Arguments self : Evision.Detail.MultiBandBlender.t() dst_roi : Rect Python prototype (for reference only): prepare(dst_roi) -&gt; None","ref":"Evision.Detail.MultiBandBlender.html#prepare/2","title":"Evision.Detail.MultiBandBlender.prepare/2","type":"function"},{"doc":"setNumBands Positional Arguments self : Evision.Detail.MultiBandBlender.t() val : int Python prototype (for reference only): setNumBands(val) -&gt; None","ref":"Evision.Detail.MultiBandBlender.html#setNumBands/2","title":"Evision.Detail.MultiBandBlender.setNumBands/2","type":"function"},{"doc":"Type that represents an Detail.MultiBandBlender struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.MultiBandBlender.html#t:t/0","title":"Evision.Detail.MultiBandBlender.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.NoBundleAdjuster.html","title":"Evision.Detail.NoBundleAdjuster","type":"module"},{"doc":"NoBundleAdjuster Return self : Evision.Detail.NoBundleAdjuster.t() Python prototype (for reference only): NoBundleAdjuster() -&gt; &lt;detail_NoBundleAdjuster object&gt;","ref":"Evision.Detail.NoBundleAdjuster.html#noBundleAdjuster/0","title":"Evision.Detail.NoBundleAdjuster.noBundleAdjuster/0","type":"function"},{"doc":"Type that represents an Detail.NoBundleAdjuster struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.NoBundleAdjuster.html#t:t/0","title":"Evision.Detail.NoBundleAdjuster.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.NoExposureCompensator.html","title":"Evision.Detail.NoExposureCompensator","type":"module"},{"doc":"apply Positional Arguments self : Evision.Detail.NoExposureCompensator.t() arg1 : int arg2 : Point arg4 : Evision.Mat.t() Return arg3 : Evision.Mat.t() Python prototype (for reference only): apply(arg1, arg2, arg3, arg4) -&gt; arg3","ref":"Evision.Detail.NoExposureCompensator.html#apply/5","title":"Evision.Detail.NoExposureCompensator.apply/5","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.NoExposureCompensator.t() Return umv : [Evision.Mat] . Python prototype (for reference only): getMatGains([, umv]) -&gt; umv","ref":"Evision.Detail.NoExposureCompensator.html#getMatGains/1","title":"Evision.Detail.NoExposureCompensator.getMatGains/1","type":"function"},{"doc":"getMatGains Positional Arguments self : Evision.Detail.NoExposureCompensator.t() Return umv : [Evision.Mat] . Python prototype (for reference only): getMatGains([, umv]) -&gt; umv","ref":"Evision.Detail.NoExposureCompensator.html#getMatGains/2","title":"Evision.Detail.NoExposureCompensator.getMatGains/2","type":"function"},{"doc":"setMatGains Positional Arguments self : Evision.Detail.NoExposureCompensator.t() umv : [Evision.Mat] Python prototype (for reference only): setMatGains(umv) -&gt; None","ref":"Evision.Detail.NoExposureCompensator.html#setMatGains/2","title":"Evision.Detail.NoExposureCompensator.setMatGains/2","type":"function"},{"doc":"Type that represents an Detail.NoExposureCompensator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.NoExposureCompensator.html#t:t/0","title":"Evision.Detail.NoExposureCompensator.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.NoSeamFinder.html","title":"Evision.Detail.NoSeamFinder","type":"module"},{"doc":"find Positional Arguments self : Evision.Detail.NoSeamFinder.t() arg1 : [Evision.Mat] arg2 : [Point] Return arg3 : [Evision.Mat] Python prototype (for reference only): find(arg1, arg2, arg3) -&gt; arg3","ref":"Evision.Detail.NoSeamFinder.html#find/4","title":"Evision.Detail.NoSeamFinder.find/4","type":"function"},{"doc":"Type that represents an Detail.NoSeamFinder struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.NoSeamFinder.html#t:t/0","title":"Evision.Detail.NoSeamFinder.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.PairwiseSeamFinder.html","title":"Evision.Detail.PairwiseSeamFinder","type":"module"},{"doc":"find Positional Arguments self : Evision.Detail.PairwiseSeamFinder.t() src : [Evision.Mat] corners : [Point] Return masks : [Evision.Mat] Python prototype (for reference only): find(src, corners, masks) -&gt; masks","ref":"Evision.Detail.PairwiseSeamFinder.html#find/4","title":"Evision.Detail.PairwiseSeamFinder.find/4","type":"function"},{"doc":"Type that represents an Detail.PairwiseSeamFinder struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.PairwiseSeamFinder.html#t:t/0","title":"Evision.Detail.PairwiseSeamFinder.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.SeamFinder.html","title":"Evision.Detail.SeamFinder","type":"module"},{"doc":"createDefault Positional Arguments type : int Return retval : Evision.Detail.SeamFinder.t() Python prototype (for reference only): createDefault(type) -&gt; retval","ref":"Evision.Detail.SeamFinder.html#createDefault/1","title":"Evision.Detail.SeamFinder.createDefault/1","type":"function"},{"doc":"Estimates seams. Positional Arguments self : Evision.Detail.SeamFinder.t() src : [Evision.Mat] . Source images corners : [Point] . Source image top-left corners Return masks : [Evision.Mat] . Source image masks to update Python prototype (for reference only): find(src, corners, masks) -&gt; masks","ref":"Evision.Detail.SeamFinder.html#find/4","title":"Evision.Detail.SeamFinder.find/4","type":"function"},{"doc":"Type that represents an Detail.SeamFinder struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.SeamFinder.html#t:t/0","title":"Evision.Detail.SeamFinder.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.SphericalProjector.html","title":"Evision.Detail.SphericalProjector","type":"module"},{"doc":"mapBackward Positional Arguments self : Evision.Detail.SphericalProjector.t() u : float v : float x : float y : float Python prototype (for reference only): mapBackward(u, v, x, y) -&gt; None","ref":"Evision.Detail.SphericalProjector.html#mapBackward/5","title":"Evision.Detail.SphericalProjector.mapBackward/5","type":"function"},{"doc":"mapForward Positional Arguments self : Evision.Detail.SphericalProjector.t() x : float y : float u : float v : float Python prototype (for reference only): mapForward(x, y, u, v) -&gt; None","ref":"Evision.Detail.SphericalProjector.html#mapForward/5","title":"Evision.Detail.SphericalProjector.mapForward/5","type":"function"},{"doc":"Type that represents an Detail.SphericalProjector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.SphericalProjector.html#t:t/0","title":"Evision.Detail.SphericalProjector.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.Timelapser.html","title":"Evision.Detail.Timelapser","type":"module"},{"doc":"createDefault Positional Arguments type : int Return retval : Evision.Detail.Timelapser.t() Python prototype (for reference only): createDefault(type) -&gt; retval","ref":"Evision.Detail.Timelapser.html#createDefault/1","title":"Evision.Detail.Timelapser.createDefault/1","type":"function"},{"doc":"getDst Positional Arguments self : Evision.Detail.Timelapser.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getDst() -&gt; retval","ref":"Evision.Detail.Timelapser.html#getDst/1","title":"Evision.Detail.Timelapser.getDst/1","type":"function"},{"doc":"initialize Positional Arguments self : Evision.Detail.Timelapser.t() corners : [Point] sizes : [Size] Python prototype (for reference only): initialize(corners, sizes) -&gt; None","ref":"Evision.Detail.Timelapser.html#initialize/3","title":"Evision.Detail.Timelapser.initialize/3","type":"function"},{"doc":"process Positional Arguments self : Evision.Detail.Timelapser.t() img : Evision.Mat.t() mask : Evision.Mat.t() tl : Point Python prototype (for reference only): process(img, mask, tl) -&gt; None","ref":"Evision.Detail.Timelapser.html#process/4","title":"Evision.Detail.Timelapser.process/4","type":"function"},{"doc":"Type that represents an Detail.Timelapser struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.Timelapser.html#t:t/0","title":"Evision.Detail.Timelapser.t/0","type":"type"},{"doc":"","ref":"Evision.Detail.VoronoiSeamFinder.html","title":"Evision.Detail.VoronoiSeamFinder","type":"module"},{"doc":"find Positional Arguments self : Evision.Detail.VoronoiSeamFinder.t() src : [Evision.Mat] corners : [Point] Return masks : [Evision.Mat] Python prototype (for reference only): find(src, corners, masks) -&gt; masks","ref":"Evision.Detail.VoronoiSeamFinder.html#find/4","title":"Evision.Detail.VoronoiSeamFinder.find/4","type":"function"},{"doc":"Type that represents an Detail.VoronoiSeamFinder struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Detail.VoronoiSeamFinder.html#t:t/0","title":"Evision.Detail.VoronoiSeamFinder.t/0","type":"type"},{"doc":"","ref":"Evision.DynaFu.html","title":"Evision.DynaFu","type":"module"},{"doc":"Type that represents an DynaFu struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DynaFu.html#t:t/0","title":"Evision.DynaFu.t/0","type":"type"},{"doc":"","ref":"Evision.DynaFu.DynaFu.html","title":"Evision.DynaFu.DynaFu","type":"module"},{"doc":"create Positional Arguments params : kinfu::Params Return retval : DynaFu Python prototype (for reference only): create(_params) -&gt; retval","ref":"Evision.DynaFu.DynaFu.html#create/1","title":"Evision.DynaFu.DynaFu.create/1","type":"function"},{"doc":"Gets points and normals of current 3d mesh Positional Arguments self : Evision.DynaFu.DynaFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors normals : Evision.Mat.t() . vector of normals which are 4-float vectors The order of normals corresponds to order of points. The order of points is undefined. Python prototype (for reference only): getCloud([, points[, normals]]) -&gt; points, normals","ref":"Evision.DynaFu.DynaFu.html#getCloud/1","title":"Evision.DynaFu.DynaFu.getCloud/1","type":"function"},{"doc":"Gets points and normals of current 3d mesh Positional Arguments self : Evision.DynaFu.DynaFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors normals : Evision.Mat.t() . vector of normals which are 4-float vectors The order of normals corresponds to order of points. The order of points is undefined. Python prototype (for reference only): getCloud([, points[, normals]]) -&gt; points, normals","ref":"Evision.DynaFu.DynaFu.html#getCloud/2","title":"Evision.DynaFu.DynaFu.getCloud/2","type":"function"},{"doc":"Calculates normals for given points Positional Arguments self : Evision.DynaFu.DynaFu.t() points : Evision.Mat.t() . input vector of points which are 4-float vectors Return normals : Evision.Mat.t() . output vector of corresponding normals which are 4-float vectors Python prototype (for reference only): getNormals(points[, normals]) -&gt; normals","ref":"Evision.DynaFu.DynaFu.html#getNormals/2","title":"Evision.DynaFu.DynaFu.getNormals/2","type":"function"},{"doc":"Calculates normals for given points Positional Arguments self : Evision.DynaFu.DynaFu.t() points : Evision.Mat.t() . input vector of points which are 4-float vectors Return normals : Evision.Mat.t() . output vector of corresponding normals which are 4-float vectors Python prototype (for reference only): getNormals(points[, normals]) -&gt; normals","ref":"Evision.DynaFu.DynaFu.html#getNormals/3","title":"Evision.DynaFu.DynaFu.getNormals/3","type":"function"},{"doc":"Gets points of current 3d mesh Positional Arguments self : Evision.DynaFu.DynaFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors The order of points is undefined. Python prototype (for reference only): getPoints([, points]) -&gt; points","ref":"Evision.DynaFu.DynaFu.html#getPoints/1","title":"Evision.DynaFu.DynaFu.getPoints/1","type":"function"},{"doc":"Gets points of current 3d mesh Positional Arguments self : Evision.DynaFu.DynaFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors The order of points is undefined. Python prototype (for reference only): getPoints([, points]) -&gt; points","ref":"Evision.DynaFu.DynaFu.html#getPoints/2","title":"Evision.DynaFu.DynaFu.getPoints/2","type":"function"},{"doc":"Renders a volume into an image Positional Arguments self : Evision.DynaFu.DynaFu.t() Keyword Arguments cameraPose : Evision.Mat.t() . pose of camera to render from. If empty then render from current pose which is a last frame camera pose. Return image : Evision.Mat.t() . resulting image Renders a 0-surface of TSDF using Phong shading into a CV_8UC4 Mat. Light pose is fixed in DynaFu params. Python prototype (for reference only): render([, image[, cameraPose]]) -&gt; image","ref":"Evision.DynaFu.DynaFu.html#render/1","title":"Evision.DynaFu.DynaFu.render/1","type":"function"},{"doc":"Renders a volume into an image Positional Arguments self : Evision.DynaFu.DynaFu.t() Keyword Arguments cameraPose : Evision.Mat.t() . pose of camera to render from. If empty then render from current pose which is a last frame camera pose. Return image : Evision.Mat.t() . resulting image Renders a 0-surface of TSDF using Phong shading into a CV_8UC4 Mat. Light pose is fixed in DynaFu params. Python prototype (for reference only): render([, image[, cameraPose]]) -&gt; image","ref":"Evision.DynaFu.DynaFu.html#render/2","title":"Evision.DynaFu.DynaFu.render/2","type":"function"},{"doc":"Resets the algorithm Positional Arguments self : Evision.DynaFu.DynaFu.t() Clears current model and resets a pose. Python prototype (for reference only): reset() -&gt; None","ref":"Evision.DynaFu.DynaFu.html#reset/1","title":"Evision.DynaFu.DynaFu.reset/1","type":"function"},{"doc":"Process next depth frame Positional Arguments self : Evision.DynaFu.DynaFu.t() depth : Evision.Mat.t() . one-channel image which size and depth scale is described in algorithm's parameters Return retval : bool Integrates depth into voxel space with respect to its ICP-calculated pose. Input image is converted to CV_32F internally if has another type. @return true if succeeded to align new frame with current scene, false if opposite Python prototype (for reference only): update(depth) -&gt; retval","ref":"Evision.DynaFu.DynaFu.html#update/2","title":"Evision.DynaFu.DynaFu.update/2","type":"function"},{"doc":"Type that represents an DynaFu.DynaFu struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.DynaFu.DynaFu.html#t:t/0","title":"Evision.DynaFu.DynaFu.t/0","type":"type"},{"doc":"","ref":"Evision.EMDHistogramCostExtractor.html","title":"Evision.EMDHistogramCostExtractor","type":"module"},{"doc":"getNormFlag Positional Arguments self : Evision.EMDHistogramCostExtractor.t() Return retval : int Python prototype (for reference only): getNormFlag() -&gt; retval","ref":"Evision.EMDHistogramCostExtractor.html#getNormFlag/1","title":"Evision.EMDHistogramCostExtractor.getNormFlag/1","type":"function"},{"doc":"setNormFlag Positional Arguments self : Evision.EMDHistogramCostExtractor.t() flag : int Python prototype (for reference only): setNormFlag(flag) -&gt; None","ref":"Evision.EMDHistogramCostExtractor.html#setNormFlag/2","title":"Evision.EMDHistogramCostExtractor.setNormFlag/2","type":"function"},{"doc":"Type that represents an EMDHistogramCostExtractor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.EMDHistogramCostExtractor.html#t:t/0","title":"Evision.EMDHistogramCostExtractor.t/0","type":"type"},{"doc":"","ref":"Evision.Face.html","title":"Evision.Face","type":"module"},{"doc":"createFacemarkAAM Return retval : Evision.Face.Facemark.t() Python prototype (for reference only): createFacemarkAAM() -&gt; retval","ref":"Evision.Face.html#createFacemarkAAM/0","title":"Evision.Face.createFacemarkAAM/0","type":"function"},{"doc":"createFacemarkKazemi Return retval : Evision.Face.Facemark.t() Python prototype (for reference only): createFacemarkKazemi() -&gt; retval","ref":"Evision.Face.html#createFacemarkKazemi/0","title":"Evision.Face.createFacemarkKazemi/0","type":"function"},{"doc":"createFacemarkLBF Return retval : Evision.Face.Facemark.t() Python prototype (for reference only): createFacemarkLBF() -&gt; retval","ref":"Evision.Face.html#createFacemarkLBF/0","title":"Evision.Face.createFacemarkLBF/0","type":"function"},{"doc":"Utility to draw the detected facial landmark points Positional Arguments points : Evision.Mat.t() . Contains the data of points which will be drawn. Keyword Arguments color : Scalar . The color of points in BGR format represented by cv::Scalar. Return image : Evision.Mat.t() . The input image to be processed. Example of usage std :: vector &lt; Rect &gt; faces ; std :: vector &lt; std :: vector &lt; Point2f &gt; &gt; landmarks ; facemark -&gt; getFaces ( img , faces ) ; facemark -&gt; fit ( img , faces , landmarks ) ; for ( int j = 0 ; j &lt; rects . size ( ) ; j ++ ) { face :: drawFacemarks ( frame , landmarks [ j ] , Scalar ( 0 , 0 , 255 ) ) ; } Python prototype (for reference only): drawFacemarks(image, points[, color]) -&gt; image","ref":"Evision.Face.html#drawFacemarks/2","title":"Evision.Face.drawFacemarks/2","type":"function"},{"doc":"Utility to draw the detected facial landmark points Positional Arguments points : Evision.Mat.t() . Contains the data of points which will be drawn. Keyword Arguments color : Scalar . The color of points in BGR format represented by cv::Scalar. Return image : Evision.Mat.t() . The input image to be processed. Example of usage std :: vector &lt; Rect &gt; faces ; std :: vector &lt; std :: vector &lt; Point2f &gt; &gt; landmarks ; facemark -&gt; getFaces ( img , faces ) ; facemark -&gt; fit ( img , faces , landmarks ) ; for ( int j = 0 ; j &lt; rects . size ( ) ; j ++ ) { face :: drawFacemarks ( frame , landmarks [ j ] , Scalar ( 0 , 0 , 255 ) ) ; } Python prototype (for reference only): drawFacemarks(image, points[, color]) -&gt; image","ref":"Evision.Face.html#drawFacemarks/3","title":"Evision.Face.drawFacemarks/3","type":"function"},{"doc":"Default face detector This function is mainly utilized by the implementation of a Facemark Algorithm. End users are advised to use function Facemark::getFaces which can be manually defined and circumvented to the algorithm by Facemark::setFaceDetector. Positional Arguments image : Evision.Mat.t() . The input image to be processed. face_cascade_name : String Return retval : bool faces : Evision.Mat.t() . Output of the function which represent region of interest of the detected faces. Each face is stored in cv::Rect container. Example of usage std :: vector &lt; cv :: Rect &gt; faces ; CParams params ( &quot;haarcascade_frontalface_alt.xml&quot; ) ; cv :: face :: getFaces ( frame , faces , &amp; params ) ; for ( int j = 0 ; j &lt; faces . size ( ) ; j ++ ) { cv :: rectangle ( frame , faces [ j ] , cv :: Scalar ( 255 , 0 , 255 ) ) ; } cv :: imshow ( &quot;detection&quot; , frame ) ; Python prototype (for reference only): getFacesHAAR(image, face_cascade_name[, faces]) -&gt; retval, faces","ref":"Evision.Face.html#getFacesHAAR/2","title":"Evision.Face.getFacesHAAR/2","type":"function"},{"doc":"Default face detector This function is mainly utilized by the implementation of a Facemark Algorithm. End users are advised to use function Facemark::getFaces which can be manually defined and circumvented to the algorithm by Facemark::setFaceDetector. Positional Arguments image : Evision.Mat.t() . The input image to be processed. face_cascade_name : String Return retval : bool faces : Evision.Mat.t() . Output of the function which represent region of interest of the detected faces. Each face is stored in cv::Rect container. Example of usage std :: vector &lt; cv :: Rect &gt; faces ; CParams params ( &quot;haarcascade_frontalface_alt.xml&quot; ) ; cv :: face :: getFaces ( frame , faces , &amp; params ) ; for ( int j = 0 ; j &lt; faces . size ( ) ; j ++ ) { cv :: rectangle ( frame , faces [ j ] , cv :: Scalar ( 255 , 0 , 255 ) ) ; } cv :: imshow ( &quot;detection&quot; , frame ) ; Python prototype (for reference only): getFacesHAAR(image, face_cascade_name[, faces]) -&gt; retval, faces","ref":"Evision.Face.html#getFacesHAAR/3","title":"Evision.Face.getFacesHAAR/3","type":"function"},{"doc":"A utility to load list of paths to training image and annotation file. Positional Arguments imageList : String . The specified file contains paths to the training images. annotationList : String . The specified file contains paths to the training annotations. images : [String] . The loaded paths of training images. annotations : [String] . The loaded paths of annotation files. Return retval : bool Example of usage: String imageFiles = &quot;images_path.txt&quot; ; String ptsFiles = &quot;annotations_path.txt&quot; ; std :: vector &lt; String &gt; images_train ; std :: vector &lt; String &gt; landmarks_train ; loadDatasetList ( imageFiles , ptsFiles , images_train , landmarks_train ) ; Python prototype (for reference only): loadDatasetList(imageList, annotationList, images, annotations) -&gt; retval","ref":"Evision.Face.html#loadDatasetList/4","title":"Evision.Face.loadDatasetList/4","type":"function"},{"doc":"A utility to load facial landmark information from a given file. Positional Arguments filename : String . The filename of file contains the facial landmarks data. Keyword Arguments offset : float . An offset value to adjust the loaded points. Return retval : bool points : Evision.Mat.t() . The loaded facial landmark points. Example of usage std :: vector &lt; Point2f &gt; points ; face :: loadFacePoints ( &quot;filename.txt&quot; , points , 0.0 f ) ; The annotation file should follow the default format which is version : 1 n_points : 68 { 212.716603 499.771793 230.232816 566.290071 ... } where n_points is the number of points considered and each point is represented as its position in x and y. Python prototype (for reference only): loadFacePoints(filename[, points[, offset]]) -&gt; retval, points","ref":"Evision.Face.html#loadFacePoints/1","title":"Evision.Face.loadFacePoints/1","type":"function"},{"doc":"A utility to load facial landmark information from a given file. Positional Arguments filename : String . The filename of file contains the facial landmarks data. Keyword Arguments offset : float . An offset value to adjust the loaded points. Return retval : bool points : Evision.Mat.t() . The loaded facial landmark points. Example of usage std :: vector &lt; Point2f &gt; points ; face :: loadFacePoints ( &quot;filename.txt&quot; , points , 0.0 f ) ; The annotation file should follow the default format which is version : 1 n_points : 68 { 212.716603 499.771793 230.232816 566.290071 ... } where n_points is the number of points considered and each point is represented as its position in x and y. Python prototype (for reference only): loadFacePoints(filename[, points[, offset]]) -&gt; retval, points","ref":"Evision.Face.html#loadFacePoints/2","title":"Evision.Face.loadFacePoints/2","type":"function"},{"doc":"A utility to load facial landmark dataset from a single file. Positional Arguments filename : String . The filename of a file that contains the dataset information. Each line contains the filename of an image followed by pairs of x and y values of facial landmarks points separated by a space. Example images : [String] . A vector where each element represent the filename of image in the dataset. Images are not loaded by default to save the memory. Keyword Arguments delim : char . Delimiter between each element, the default value is a whitespace. offset : float . An offset value to adjust the loaded points. Return retval : bool facePoints : Evision.Mat.t() . The loaded landmark points for all training data. / home / user / ibug / image_003_1 . jpg 336.820955 240.864510 334.238298 260.922709 335.266918 ... / home / user / ibug / image_005_1 . jpg 376.158428 230.845712 376.736984 254.924635 383.265403 ... Example of usage cv :: String imageFiles = &quot;../data/images_train.txt&quot; ; cv :: String ptsFiles = &quot;../data/points_train.txt&quot; ; std :: vector &lt; String &gt; images ; std :: vector &lt; std :: vector &lt; Point2f &gt; &gt; facePoints ; loadTrainingData ( imageFiles , ptsFiles , images , facePoints , 0.0 f ) ; Python prototype (for reference only): loadTrainingData(filename, images[, facePoints[, delim[, offset]]]) -&gt; retval, facePoints","ref":"Evision.Face.html#loadTrainingData/2","title":"Evision.Face.loadTrainingData/2","type":"function"},{"doc":"Variant 1: This function extracts the data for training from .txt files which contains the corresponding image name and landmarks. The first file in each file should give the path of the image whose landmarks are being described in the file. Then in the subsequent lines there should be coordinates of the landmarks in the image i.e each line should be of the form x,y where x represents the x coordinate of the landmark and y represents the y coordinate of the landmark. Positional Arguments filename : [String] . A vector of type cv::String containing name of the .txt files. trainlandmarks : [[Point2f]] . A vector of type cv::Point2f that would store shape or landmarks of all images. trainimages : [String] . A vector of type cv::String which stores the name of images whose landmarks are tracked Return retval : bool For reference you can see the files as provided in the HELEN dataset @returns A boolean value. It returns true when it reads the data successfully and false otherwise Python prototype (for reference only): loadTrainingData(filename, trainlandmarks, trainimages) -&gt; retval Variant 2: A utility to load facial landmark information from the dataset. Positional Arguments imageList : String . A file contains the list of image filenames in the training dataset. groundTruth : String . A file contains the list of filenames where the landmarks points information are stored. The content in each file should follow the standard format (see face::loadFacePoints). images : [String] . A vector where each element represent the filename of image in the dataset. Images are not loaded by default to save the memory. Keyword Arguments offset : float . An offset value to adjust the loaded points. Return retval : bool facePoints : Evision.Mat.t() . The loaded landmark points for all training data. Example of usage cv :: String imageFiles = &quot;../data/images_train.txt&quot; ; cv :: String ptsFiles = &quot;../data/points_train.txt&quot; ; std :: vector &lt; String &gt; images ; std :: vector &lt; std :: vector &lt; Point2f &gt; &gt; facePoints ; loadTrainingData ( imageFiles , ptsFiles , images , facePoints , 0.0 f ) ; example of content in the images_train.txt / home / user / ibug / image_003_1 . jpg / home / user / ibug / image_004_1 . jpg / home / user / ibug / image_005_1 . jpg / home / user / ibug / image_006 . jpg example of content in the points_train.txt / home / user / ibug / image_003_1 . pts / home / user / ibug / image_004_1 . pts / home / user / ibug / image_005_1 . pts / home / user / ibug / image_006 . pts Python prototype (for reference only): loadTrainingData(imageList, groundTruth, images[, facePoints[, offset]]) -&gt; retval, facePoints Variant 3: A utility to load facial landmark dataset from a single file. Positional Arguments filename : String . The filename of a file that contains the dataset information. Each line contains the filename of an image followed by pairs of x and y values of facial landmarks points separated by a space. Example images : [String] . A vector where each element represent the filename of image in the dataset. Images are not loaded by default to save the memory. Keyword Arguments delim : char . Delimiter between each element, the default value is a whitespace. offset : float . An offset value to adjust the loaded points. Return retval : bool facePoints : Evision.Mat.t() . The loaded landmark points for all training data. / home / user / ibug / image_003_1 . jpg 336.820955 240.864510 334.238298 260.922709 335.266918 ... / home / user / ibug / image_005_1 . jpg 376.158428 230.845712 376.736984 254.924635 383.265403 ... Example of usage cv :: String imageFiles = &quot;../data/images_train.txt&quot; ; cv :: String ptsFiles = &quot;../data/points_train.txt&quot; ; std :: vector &lt; String &gt; images ; std :: vector &lt; std :: vector &lt; Point2f &gt; &gt; facePoints ; loadTrainingData ( imageFiles , ptsFiles , images , facePoints , 0.0 f ) ; Python prototype (for reference only): loadTrainingData(filename, images[, facePoints[, delim[, offset]]]) -&gt; retval, facePoints","ref":"Evision.Face.html#loadTrainingData/3","title":"Evision.Face.loadTrainingData/3","type":"function"},{"doc":"A utility to load facial landmark information from the dataset. Positional Arguments imageList : String . A file contains the list of image filenames in the training dataset. groundTruth : String . A file contains the list of filenames where the landmarks points information are stored. The content in each file should follow the standard format (see face::loadFacePoints). images : [String] . A vector where each element represent the filename of image in the dataset. Images are not loaded by default to save the memory. Keyword Arguments offset : float . An offset value to adjust the loaded points. Return retval : bool facePoints : Evision.Mat.t() . The loaded landmark points for all training data. Example of usage cv :: String imageFiles = &quot;../data/images_train.txt&quot; ; cv :: String ptsFiles = &quot;../data/points_train.txt&quot; ; std :: vector &lt; String &gt; images ; std :: vector &lt; std :: vector &lt; Point2f &gt; &gt; facePoints ; loadTrainingData ( imageFiles , ptsFiles , images , facePoints , 0.0 f ) ; example of content in the images_train.txt / home / user / ibug / image_003_1 . jpg / home / user / ibug / image_004_1 . jpg / home / user / ibug / image_005_1 . jpg / home / user / ibug / image_006 . jpg example of content in the points_train.txt / home / user / ibug / image_003_1 . pts / home / user / ibug / image_004_1 . pts / home / user / ibug / image_005_1 . pts / home / user / ibug / image_006 . pts Python prototype (for reference only): loadTrainingData(imageList, groundTruth, images[, facePoints[, offset]]) -&gt; retval, facePoints","ref":"Evision.Face.html#loadTrainingData/4","title":"Evision.Face.loadTrainingData/4","type":"function"},{"doc":"Type that represents an Face struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Face.html#t:t/0","title":"Evision.Face.t/0","type":"type"},{"doc":"","ref":"Evision.Face.BIF.html","title":"Evision.Face.BIF","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Face.BIF.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Face.BIF.html#clear/1","title":"Evision.Face.BIF.clear/1","type":"function"},{"doc":"compute Positional Arguments self : Evision.Face.BIF.t() image : Evision.Mat.t() . Input image (CV_32FC1). Return features : Evision.Mat.t() . Feature vector (CV_32FC1). Computes features sby input image. Python prototype (for reference only): compute(image[, features]) -&gt; features","ref":"Evision.Face.BIF.html#compute/2","title":"Evision.Face.BIF.compute/2","type":"function"},{"doc":"compute Positional Arguments self : Evision.Face.BIF.t() image : Evision.Mat.t() . Input image (CV_32FC1). Return features : Evision.Mat.t() . Feature vector (CV_32FC1). Computes features sby input image. Python prototype (for reference only): compute(image[, features]) -&gt; features","ref":"Evision.Face.BIF.html#compute/3","title":"Evision.Face.BIF.compute/3","type":"function"},{"doc":"create Keyword Arguments num_bands : int . The number of filter bands (&lt;=8) used for computing BIF. num_rotations : int . The number of image rotations for computing BIF. Return retval : BIF @returns Object for computing BIF. Python prototype (for reference only): create([, num_bands[, num_rotations]]) -&gt; retval","ref":"Evision.Face.BIF.html#create/0","title":"Evision.Face.BIF.create/0","type":"function"},{"doc":"create Keyword Arguments num_bands : int . The number of filter bands (&lt;=8) used for computing BIF. num_rotations : int . The number of image rotations for computing BIF. Return retval : BIF @returns Object for computing BIF. Python prototype (for reference only): create([, num_bands[, num_rotations]]) -&gt; retval","ref":"Evision.Face.BIF.html#create/1","title":"Evision.Face.BIF.create/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Face.BIF.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Face.BIF.html#empty/1","title":"Evision.Face.BIF.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Face.BIF.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Face.BIF.html#getDefaultName/1","title":"Evision.Face.BIF.getDefaultName/1","type":"function"},{"doc":"getNumBands Positional Arguments self : Evision.Face.BIF.t() Return retval : int @returns The number of filter bands used for computing BIF. Python prototype (for reference only): getNumBands() -&gt; retval","ref":"Evision.Face.BIF.html#getNumBands/1","title":"Evision.Face.BIF.getNumBands/1","type":"function"},{"doc":"getNumRotations Positional Arguments self : Evision.Face.BIF.t() Return retval : int @returns The number of image rotations. Python prototype (for reference only): getNumRotations() -&gt; retval","ref":"Evision.Face.BIF.html#getNumRotations/1","title":"Evision.Face.BIF.getNumRotations/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Face.BIF.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Face.BIF.html#read/2","title":"Evision.Face.BIF.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Face.BIF.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Face.BIF.html#save/2","title":"Evision.Face.BIF.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Face.BIF.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Face.BIF.html#write/2","title":"Evision.Face.BIF.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Face.BIF.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Face.BIF.html#write/3","title":"Evision.Face.BIF.write/3","type":"function"},{"doc":"Type that represents an Face.BIF struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Face.BIF.html#t:t/0","title":"Evision.Face.BIF.t/0","type":"type"},{"doc":"","ref":"Evision.Face.BasicFaceRecognizer.html","title":"Evision.Face.BasicFaceRecognizer","type":"module"},{"doc":"getEigenValues Positional Arguments self : Evision.Face.BasicFaceRecognizer.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getEigenValues() -&gt; retval","ref":"Evision.Face.BasicFaceRecognizer.html#getEigenValues/1","title":"Evision.Face.BasicFaceRecognizer.getEigenValues/1","type":"function"},{"doc":"getEigenVectors Positional Arguments self : Evision.Face.BasicFaceRecognizer.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getEigenVectors() -&gt; retval","ref":"Evision.Face.BasicFaceRecognizer.html#getEigenVectors/1","title":"Evision.Face.BasicFaceRecognizer.getEigenVectors/1","type":"function"},{"doc":"getLabels Positional Arguments self : Evision.Face.BasicFaceRecognizer.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getLabels() -&gt; retval","ref":"Evision.Face.BasicFaceRecognizer.html#getLabels/1","title":"Evision.Face.BasicFaceRecognizer.getLabels/1","type":"function"},{"doc":"getMean Positional Arguments self : Evision.Face.BasicFaceRecognizer.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getMean() -&gt; retval","ref":"Evision.Face.BasicFaceRecognizer.html#getMean/1","title":"Evision.Face.BasicFaceRecognizer.getMean/1","type":"function"},{"doc":"getNumComponents Positional Arguments self : Evision.Face.BasicFaceRecognizer.t() Return retval : int @see setNumComponents/2 Python prototype (for reference only): getNumComponents() -&gt; retval","ref":"Evision.Face.BasicFaceRecognizer.html#getNumComponents/1","title":"Evision.Face.BasicFaceRecognizer.getNumComponents/1","type":"function"},{"doc":"getProjections Positional Arguments self : Evision.Face.BasicFaceRecognizer.t() Return retval : [Evision.Mat] Python prototype (for reference only): getProjections() -&gt; retval","ref":"Evision.Face.BasicFaceRecognizer.html#getProjections/1","title":"Evision.Face.BasicFaceRecognizer.getProjections/1","type":"function"},{"doc":"getThreshold Positional Arguments self : Evision.Face.BasicFaceRecognizer.t() Return retval : double @see setThreshold/2 Python prototype (for reference only): getThreshold() -&gt; retval","ref":"Evision.Face.BasicFaceRecognizer.html#getThreshold/1","title":"Evision.Face.BasicFaceRecognizer.getThreshold/1","type":"function"},{"doc":"setNumComponents Positional Arguments self : Evision.Face.BasicFaceRecognizer.t() val : int @see getNumComponents/1 Python prototype (for reference only): setNumComponents(val) -&gt; None","ref":"Evision.Face.BasicFaceRecognizer.html#setNumComponents/2","title":"Evision.Face.BasicFaceRecognizer.setNumComponents/2","type":"function"},{"doc":"setThreshold Positional Arguments self : Evision.Face.BasicFaceRecognizer.t() val : double @see getThreshold/1 Python prototype (for reference only): setThreshold(val) -&gt; None","ref":"Evision.Face.BasicFaceRecognizer.html#setThreshold/2","title":"Evision.Face.BasicFaceRecognizer.setThreshold/2","type":"function"},{"doc":"Type that represents an Face.BasicFaceRecognizer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Face.BasicFaceRecognizer.html#t:t/0","title":"Evision.Face.BasicFaceRecognizer.t/0","type":"type"},{"doc":"","ref":"Evision.Face.EigenFaceRecognizer.html","title":"Evision.Face.EigenFaceRecognizer","type":"module"},{"doc":"create Keyword Arguments num_components : int . The number of components (read: Eigenfaces) kept for this Principal Component Analysis. As a hint: There's no rule how many components (read: Eigenfaces) should be kept for good reconstruction capabilities. It is based on your input data, so experiment with the number. Keeping 80 components should almost always be sufficient. threshold : double . The threshold applied in the prediction. Return retval : EigenFaceRecognizer Notes: Training and prediction must be done on grayscale images, use cvtColor to convert between the color spaces. THE EIGENFACES METHOD MAKES THE ASSUMPTION, THAT THE TRAINING AND TEST IMAGES ARE OF EQUAL SIZE. (caps-lock, because I got so many mails asking for this). You have to make sure your input data has the correct shape, else a meaningful exception is thrown. Use resize to resize the images. This model does not support updating. Model internal data: num_components see EigenFaceRecognizer::create. threshold see EigenFaceRecognizer::create. eigenvalues The eigenvalues for this Principal Component Analysis (ordered descending). eigenvectors The eigenvectors for this Principal Component Analysis (ordered by their eigenvalue). mean The sample mean calculated from the training data. projections The projections of the training data. labels The threshold applied in the prediction. If the distance to the nearest neighbor is larger than the threshold, this method returns -1. Python prototype (for reference only): create([, num_components[, threshold]]) -&gt; retval","ref":"Evision.Face.EigenFaceRecognizer.html#create/0","title":"Evision.Face.EigenFaceRecognizer.create/0","type":"function"},{"doc":"create Keyword Arguments num_components : int . The number of components (read: Eigenfaces) kept for this Principal Component Analysis. As a hint: There's no rule how many components (read: Eigenfaces) should be kept for good reconstruction capabilities. It is based on your input data, so experiment with the number. Keeping 80 components should almost always be sufficient. threshold : double . The threshold applied in the prediction. Return retval : EigenFaceRecognizer Notes: Training and prediction must be done on grayscale images, use cvtColor to convert between the color spaces. THE EIGENFACES METHOD MAKES THE ASSUMPTION, THAT THE TRAINING AND TEST IMAGES ARE OF EQUAL SIZE. (caps-lock, because I got so many mails asking for this). You have to make sure your input data has the correct shape, else a meaningful exception is thrown. Use resize to resize the images. This model does not support updating. Model internal data: num_components see EigenFaceRecognizer::create. threshold see EigenFaceRecognizer::create. eigenvalues The eigenvalues for this Principal Component Analysis (ordered descending). eigenvectors The eigenvectors for this Principal Component Analysis (ordered by their eigenvalue). mean The sample mean calculated from the training data. projections The projections of the training data. labels The threshold applied in the prediction. If the distance to the nearest neighbor is larger than the threshold, this method returns -1. Python prototype (for reference only): create([, num_components[, threshold]]) -&gt; retval","ref":"Evision.Face.EigenFaceRecognizer.html#create/1","title":"Evision.Face.EigenFaceRecognizer.create/1","type":"function"},{"doc":"Type that represents an Face.EigenFaceRecognizer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Face.EigenFaceRecognizer.html#t:t/0","title":"Evision.Face.EigenFaceRecognizer.t/0","type":"type"},{"doc":"","ref":"Evision.Face.FaceRecognizer.html","title":"Evision.Face.FaceRecognizer","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Face.FaceRecognizer.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Face.FaceRecognizer.html#clear/1","title":"Evision.Face.FaceRecognizer.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Face.FaceRecognizer.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Face.FaceRecognizer.html#empty/1","title":"Evision.Face.FaceRecognizer.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Face.FaceRecognizer.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Face.FaceRecognizer.html#getDefaultName/1","title":"Evision.Face.FaceRecognizer.getDefaultName/1","type":"function"},{"doc":"Gets string information by label. Positional Arguments self : Evision.Face.FaceRecognizer.t() label : int Return retval : String If an unknown label id is provided or there is no label information associated with the specified label id the method returns an empty string. Python prototype (for reference only): getLabelInfo(label) -&gt; retval","ref":"Evision.Face.FaceRecognizer.html#getLabelInfo/2","title":"Evision.Face.FaceRecognizer.getLabelInfo/2","type":"function"},{"doc":"Gets vector of labels by string. Positional Arguments self : Evision.Face.FaceRecognizer.t() str : String Return retval : [int] The function searches for the labels containing the specified sub-string in the associated string info. Python prototype (for reference only): getLabelsByString(str) -&gt; retval","ref":"Evision.Face.FaceRecognizer.html#getLabelsByString/2","title":"Evision.Face.FaceRecognizer.getLabelsByString/2","type":"function"},{"doc":"Predicts a label and associated confidence (e.g. distance) for a given input image. Positional Arguments self : Evision.Face.FaceRecognizer.t() src : Evision.Mat.t() . Sample image to get a prediction from. Return label : int . The predicted label for the given image. confidence : double . Associated confidence (e.g. distance) for the predicted label. The suffix const means that prediction does not affect the internal model state, so the method can be safely called from within different threads. The following example shows how to get a prediction from a trained model: using namespace cv ; // Do your initialization here ( create the cv :: FaceRecognizer model ) ... // ... // Read in a sample image : Mat img = imread ( &quot;person1/3.jpg&quot; , IMREAD_GRAYSCALE ) ; // And get a prediction from the cv :: FaceRecognizer : int predicted = model -&gt; predict ( img ) ; Or to get a prediction and the associated confidence (e.g. distance): using namespace cv ; // Do your initialization here ( create the cv :: FaceRecognizer model ) ... // ... Mat img = imread ( &quot;person1/3.jpg&quot; , IMREAD_GRAYSCALE ) ; // Some variables for the predicted label and associated confidence ( e . g . distance ) : int predicted_label = - 1 ; double predicted_confidence = 0.0 ; // Get the prediction and associated confidence from the model model -&gt; predict ( img , predicted_label , predicted_confidence ) ; Python prototype (for reference only): predict(src) -&gt; label, confidence","ref":"Evision.Face.FaceRecognizer.html#predict/2","title":"Evision.Face.FaceRecognizer.predict/2","type":"function"},{"doc":"if implemented - send all result of prediction to collector that can be used for somehow custom result handling Positional Arguments self : Evision.Face.FaceRecognizer.t() src : Evision.Mat.t() . Sample image to get a prediction from. collector : PredictCollector . User-defined collector object that accepts all results To implement this method u just have to do same internal cycle as in predict(InputArray src, CV_OUT int &amp;label, CV_OUT double &amp;confidence) but not try to get &quot;best@ result, just resend it to caller side with given collector Python prototype (for reference only): predict_collect(src, collector) -&gt; None","ref":"Evision.Face.FaceRecognizer.html#predict_collect/3","title":"Evision.Face.FaceRecognizer.predict_collect/3","type":"function"},{"doc":"predict_label Positional Arguments self : Evision.Face.FaceRecognizer.t() src : Evision.Mat.t() Return retval : int Has overloading in C++ Python prototype (for reference only): predict_label(src) -&gt; retval","ref":"Evision.Face.FaceRecognizer.html#predict_label/2","title":"Evision.Face.FaceRecognizer.predict_label/2","type":"function"},{"doc":"Loads a FaceRecognizer and its model state. Positional Arguments self : Evision.Face.FaceRecognizer.t() filename : String Loads a persisted model and state from a given XML or YAML file . Every FaceRecognizer has to overwrite FaceRecognizer::load(FileStorage&amp; fs) to enable loading the model state. FaceRecognizer::load(FileStorage&amp; fs) in turn gets called by FaceRecognizer::load(const String&amp; filename), to ease saving a model. Python prototype (for reference only): read(filename) -&gt; None","ref":"Evision.Face.FaceRecognizer.html#read/2","title":"Evision.Face.FaceRecognizer.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Face.FaceRecognizer.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Face.FaceRecognizer.html#save/2","title":"Evision.Face.FaceRecognizer.save/2","type":"function"},{"doc":"Sets string info for the specified model's label. Positional Arguments self : Evision.Face.FaceRecognizer.t() label : int strInfo : String The string info is replaced by the provided value if it was set before for the specified label. Python prototype (for reference only): setLabelInfo(label, strInfo) -&gt; None","ref":"Evision.Face.FaceRecognizer.html#setLabelInfo/3","title":"Evision.Face.FaceRecognizer.setLabelInfo/3","type":"function"},{"doc":"Trains a FaceRecognizer with given data and associated labels. Positional Arguments self : Evision.Face.FaceRecognizer.t() src : [Evision.Mat] . The training images, that means the faces you want to learn. The data has to be given as a vector\\&lt;Mat&gt;. labels : Evision.Mat.t() . The labels corresponding to the images have to be given either as a vector\\&lt;int&gt; or a Mat of type CV_32SC1. The following source code snippet shows you how to learn a Fisherfaces model on a given set of images. The images are read with imread and pushed into a std::vector\\&lt;Mat&gt;. The labels of each image are stored within a std::vector\\&lt;int&gt; (you could also use a Mat of type CV_32SC1). Think of the label as the subject (the person) this image belongs to, so same subjects (persons) should have the same label. For the available FaceRecognizer you don't have to pay any attention to the order of the labels, just make sure same persons have the same label: // holds images and labels vector &lt; Mat &gt; images ; vector &lt; int &gt; labels ; // using Mat of type CV_32SC1 // Mat labels ( number_of_samples , 1 , CV_32SC1 ) ; // images for first person images . push_back ( imread ( &quot;person0/0.jpg&quot; , IMREAD_GRAYSCALE ) ) ; labels . push_back ( 0 ) ; images . push_back ( imread ( &quot;person0/1.jpg&quot; , IMREAD_GRAYSCALE ) ) ; labels . push_back ( 0 ) ; images . push_back ( imread ( &quot;person0/2.jpg&quot; , IMREAD_GRAYSCALE ) ) ; labels . push_back ( 0 ) ; // images for second person images . push_back ( imread ( &quot;person1/0.jpg&quot; , IMREAD_GRAYSCALE ) ) ; labels . push_back ( 1 ) ; images . push_back ( imread ( &quot;person1/1.jpg&quot; , IMREAD_GRAYSCALE ) ) ; labels . push_back ( 1 ) ; images . push_back ( imread ( &quot;person1/2.jpg&quot; , IMREAD_GRAYSCALE ) ) ; labels . push_back ( 1 ) ; Now that you have read some images, we can create a new FaceRecognizer. In this example I'll create a Fisherfaces model and decide to keep all of the possible Fisherfaces: // Create a new Fisherfaces model and retain all available Fisherfaces , // this is the most common usage of this specific FaceRecognizer : // Ptr &lt; FaceRecognizer &gt; model = FisherFaceRecognizer :: create ( ) ; And finally train it on the given dataset (the face images and labels): // This is the common interface to train all of the available cv :: FaceRecognizer // implementations : // model -&gt; train ( images , labels ) ; Python prototype (for reference only): train(src, labels) -&gt; None","ref":"Evision.Face.FaceRecognizer.html#train/3","title":"Evision.Face.FaceRecognizer.train/3","type":"function"},{"doc":"Updates a FaceRecognizer with given data and associated labels. Positional Arguments self : Evision.Face.FaceRecognizer.t() src : [Evision.Mat] . The training images, that means the faces you want to learn. The data has to be given as a vector\\&lt;Mat&gt;. labels : Evision.Mat.t() . The labels corresponding to the images have to be given either as a vector\\&lt;int&gt; or a Mat of type CV_32SC1. This method updates a (probably trained) FaceRecognizer, but only if the algorithm supports it. The Local Binary Patterns Histograms (LBPH) recognizer (see createLBPHFaceRecognizer) can be updated. For the Eigenfaces and Fisherfaces method, this is algorithmically not possible and you have to re-estimate the model with FaceRecognizer::train. In any case, a call to train empties the existing model and learns a new model, while update does not delete any model data. // Create a new LBPH model ( it can be updated ) and use the default parameters , // this is the most common usage of this specific FaceRecognizer : // Ptr &lt; FaceRecognizer &gt; model = LBPHFaceRecognizer :: create ( ) ; // This is the common interface to train all of the available cv :: FaceRecognizer // implementations : // model -&gt; train ( images , labels ) ; // Some containers to hold new image : vector &lt; Mat &gt; newImages ; vector &lt; int &gt; newLabels ; // You should add some images to the containers : // // ... // // Now updating the model is as easy as calling : model -&gt; update ( newImages , newLabels ) ; // This will preserve the old model data and extend the existing model // with the new features extracted from newImages! Calling update on an Eigenfaces model (see EigenFaceRecognizer::create), which doesn't support updating, will throw an error similar to: OpenCV Error : The function / feature is not implemented ( This FaceRecognizer ( FaceRecognizer.Eigenfaces ) does not support updating , you have to use FaceRecognizer :: train to update it . ) in update , file / home / philipp / git / opencv / modules / contrib / src / facerec . cpp , line 305 terminate called after throwing an instance of &#39;cv::Exception&#39; Note : The FaceRecognizer does not store your training images, because this would be very memory intense and it's not the responsibility of te FaceRecognizer to do so. The caller is responsible for maintaining the dataset, he want to work with. Python prototype (for reference only): update(src, labels) -&gt; None","ref":"Evision.Face.FaceRecognizer.html#update/3","title":"Evision.Face.FaceRecognizer.update/3","type":"function"},{"doc":"Saves a FaceRecognizer and its model state. Positional Arguments self : Evision.Face.FaceRecognizer.t() filename : String . The filename to store this FaceRecognizer to (either XML/YAML). Saves this model to a given filename, either as XML or YAML. Every FaceRecognizer overwrites FaceRecognizer::save(FileStorage&amp; fs) to save the internal model state. FaceRecognizer::save(const String&amp; filename) saves the state of a model to the given filename. The suffix const means that prediction does not affect the internal model state, so the method can be safely called from within different threads. Python prototype (for reference only): write(filename) -&gt; None","ref":"Evision.Face.FaceRecognizer.html#write/2","title":"Evision.Face.FaceRecognizer.write/2","type":"function"},{"doc":"Type that represents an Face.FaceRecognizer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Face.FaceRecognizer.html#t:t/0","title":"Evision.Face.FaceRecognizer.t/0","type":"type"},{"doc":"","ref":"Evision.Face.Facemark.html","title":"Evision.Face.Facemark","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Face.Facemark.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Face.Facemark.html#clear/1","title":"Evision.Face.Facemark.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Face.Facemark.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Face.Facemark.html#empty/1","title":"Evision.Face.Facemark.empty/1","type":"function"},{"doc":"Detect facial landmarks from an image. Positional Arguments self : Evision.Face.Facemark.t() image : Evision.Mat.t() . Input image. faces : Evision.Mat.t() . Output of the function which represent region of interest of the detected faces. Each face is stored in cv::Rect container. Return retval : bool landmarks : [Evision.Mat] . The detected landmark points for each faces. Example of usage Mat image = imread ( &quot;image.jpg&quot; ) ; std :: vector &lt; Rect &gt; faces ; std :: vector &lt; std :: vector &lt; Point2f &gt; &gt; landmarks ; facemark -&gt; fit ( image , faces , landmarks ) ; Python prototype (for reference only): fit(image, faces[, landmarks]) -&gt; retval, landmarks","ref":"Evision.Face.Facemark.html#fit/3","title":"Evision.Face.Facemark.fit/3","type":"function"},{"doc":"Detect facial landmarks from an image. Positional Arguments self : Evision.Face.Facemark.t() image : Evision.Mat.t() . Input image. faces : Evision.Mat.t() . Output of the function which represent region of interest of the detected faces. Each face is stored in cv::Rect container. Return retval : bool landmarks : [Evision.Mat] . The detected landmark points for each faces. Example of usage Mat image = imread ( &quot;image.jpg&quot; ) ; std :: vector &lt; Rect &gt; faces ; std :: vector &lt; std :: vector &lt; Point2f &gt; &gt; landmarks ; facemark -&gt; fit ( image , faces , landmarks ) ; Python prototype (for reference only): fit(image, faces[, landmarks]) -&gt; retval, landmarks","ref":"Evision.Face.Facemark.html#fit/4","title":"Evision.Face.Facemark.fit/4","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Face.Facemark.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Face.Facemark.html#getDefaultName/1","title":"Evision.Face.Facemark.getDefaultName/1","type":"function"},{"doc":"A function to load the trained model before the fitting process. Positional Arguments self : Evision.Face.Facemark.t() model : String . A string represent the filename of a trained model. Example of usage facemark -&gt; loadModel ( &quot;../data/lbf.model&quot; ) ; Python prototype (for reference only): loadModel(model) -&gt; None","ref":"Evision.Face.Facemark.html#loadModel/2","title":"Evision.Face.Facemark.loadModel/2","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Face.Facemark.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Face.Facemark.html#read/2","title":"Evision.Face.Facemark.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Face.Facemark.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Face.Facemark.html#save/2","title":"Evision.Face.Facemark.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Face.Facemark.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Face.Facemark.html#write/2","title":"Evision.Face.Facemark.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Face.Facemark.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Face.Facemark.html#write/3","title":"Evision.Face.Facemark.write/3","type":"function"},{"doc":"Type that represents an Face.Facemark struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Face.Facemark.html#t:t/0","title":"Evision.Face.Facemark.t/0","type":"type"},{"doc":"","ref":"Evision.Face.FisherFaceRecognizer.html","title":"Evision.Face.FisherFaceRecognizer","type":"module"},{"doc":"create Keyword Arguments num_components : int . The number of components (read: Fisherfaces) kept for this Linear Discriminant Analysis with the Fisherfaces criterion. It's useful to keep all components, that means the number of your classes c (read: subjects, persons you want to recognize). If you leave this at the default (0) or set it to a value less-equal 0 or greater (c-1), it will be set to the correct number (c-1) automatically. threshold : double . The threshold applied in the prediction. If the distance to the nearest neighbor is larger than the threshold, this method returns -1. Return retval : FisherFaceRecognizer Notes: Training and prediction must be done on grayscale images, use cvtColor to convert between the color spaces. THE FISHERFACES METHOD MAKES THE ASSUMPTION, THAT THE TRAINING AND TEST IMAGES ARE OF EQUAL SIZE. (caps-lock, because I got so many mails asking for this). You have to make sure your input data has the correct shape, else a meaningful exception is thrown. Use resize to resize the images. This model does not support updating. Model internal data: num_components see FisherFaceRecognizer::create. threshold see FisherFaceRecognizer::create. eigenvalues The eigenvalues for this Linear Discriminant Analysis (ordered descending). eigenvectors The eigenvectors for this Linear Discriminant Analysis (ordered by their eigenvalue). mean The sample mean calculated from the training data. projections The projections of the training data. labels The labels corresponding to the projections. Python prototype (for reference only): create([, num_components[, threshold]]) -&gt; retval","ref":"Evision.Face.FisherFaceRecognizer.html#create/0","title":"Evision.Face.FisherFaceRecognizer.create/0","type":"function"},{"doc":"create Keyword Arguments num_components : int . The number of components (read: Fisherfaces) kept for this Linear Discriminant Analysis with the Fisherfaces criterion. It's useful to keep all components, that means the number of your classes c (read: subjects, persons you want to recognize). If you leave this at the default (0) or set it to a value less-equal 0 or greater (c-1), it will be set to the correct number (c-1) automatically. threshold : double . The threshold applied in the prediction. If the distance to the nearest neighbor is larger than the threshold, this method returns -1. Return retval : FisherFaceRecognizer Notes: Training and prediction must be done on grayscale images, use cvtColor to convert between the color spaces. THE FISHERFACES METHOD MAKES THE ASSUMPTION, THAT THE TRAINING AND TEST IMAGES ARE OF EQUAL SIZE. (caps-lock, because I got so many mails asking for this). You have to make sure your input data has the correct shape, else a meaningful exception is thrown. Use resize to resize the images. This model does not support updating. Model internal data: num_components see FisherFaceRecognizer::create. threshold see FisherFaceRecognizer::create. eigenvalues The eigenvalues for this Linear Discriminant Analysis (ordered descending). eigenvectors The eigenvectors for this Linear Discriminant Analysis (ordered by their eigenvalue). mean The sample mean calculated from the training data. projections The projections of the training data. labels The labels corresponding to the projections. Python prototype (for reference only): create([, num_components[, threshold]]) -&gt; retval","ref":"Evision.Face.FisherFaceRecognizer.html#create/1","title":"Evision.Face.FisherFaceRecognizer.create/1","type":"function"},{"doc":"Type that represents an Face.FisherFaceRecognizer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Face.FisherFaceRecognizer.html#t:t/0","title":"Evision.Face.FisherFaceRecognizer.t/0","type":"type"},{"doc":"","ref":"Evision.Face.LBPHFaceRecognizer.html","title":"Evision.Face.LBPHFaceRecognizer","type":"module"},{"doc":"create Keyword Arguments radius : int . The radius used for building the Circular Local Binary Pattern. The greater the radius, the smoother the image but more spatial information you can get. neighbors : int . The number of sample points to build a Circular Local Binary Pattern from. An appropriate value is to use 8 sample points. Keep in mind: the more sample points you include, the higher the computational cost. grid_x : int . The number of cells in the horizontal direction, 8 is a common value used in publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. grid_y : int . The number of cells in the vertical direction, 8 is a common value used in publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. threshold : double . The threshold applied in the prediction. If the distance to the nearest neighbor is larger than the threshold, this method returns -1. Return retval : LBPHFaceRecognizer Notes: The Circular Local Binary Patterns (used in training and prediction) expect the data given as grayscale images, use cvtColor to convert between the color spaces. This model supports updating. Model internal data: radius see LBPHFaceRecognizer::create. neighbors see LBPHFaceRecognizer::create. grid_x see LLBPHFaceRecognizer::create. grid_y see LBPHFaceRecognizer::create. threshold see LBPHFaceRecognizer::create. histograms Local Binary Patterns Histograms calculated from the given training data (empty if none was given). labels Labels corresponding to the calculated Local Binary Patterns Histograms. Python prototype (for reference only): create([, radius[, neighbors[, grid_x[, grid_y[, threshold]]]]]) -&gt; retval","ref":"Evision.Face.LBPHFaceRecognizer.html#create/0","title":"Evision.Face.LBPHFaceRecognizer.create/0","type":"function"},{"doc":"create Keyword Arguments radius : int . The radius used for building the Circular Local Binary Pattern. The greater the radius, the smoother the image but more spatial information you can get. neighbors : int . The number of sample points to build a Circular Local Binary Pattern from. An appropriate value is to use 8 sample points. Keep in mind: the more sample points you include, the higher the computational cost. grid_x : int . The number of cells in the horizontal direction, 8 is a common value used in publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. grid_y : int . The number of cells in the vertical direction, 8 is a common value used in publications. The more cells, the finer the grid, the higher the dimensionality of the resulting feature vector. threshold : double . The threshold applied in the prediction. If the distance to the nearest neighbor is larger than the threshold, this method returns -1. Return retval : LBPHFaceRecognizer Notes: The Circular Local Binary Patterns (used in training and prediction) expect the data given as grayscale images, use cvtColor to convert between the color spaces. This model supports updating. Model internal data: radius see LBPHFaceRecognizer::create. neighbors see LBPHFaceRecognizer::create. grid_x see LLBPHFaceRecognizer::create. grid_y see LBPHFaceRecognizer::create. threshold see LBPHFaceRecognizer::create. histograms Local Binary Patterns Histograms calculated from the given training data (empty if none was given). labels Labels corresponding to the calculated Local Binary Patterns Histograms. Python prototype (for reference only): create([, radius[, neighbors[, grid_x[, grid_y[, threshold]]]]]) -&gt; retval","ref":"Evision.Face.LBPHFaceRecognizer.html#create/1","title":"Evision.Face.LBPHFaceRecognizer.create/1","type":"function"},{"doc":"getGridX Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() Return retval : int @see setGridX/2 Python prototype (for reference only): getGridX() -&gt; retval","ref":"Evision.Face.LBPHFaceRecognizer.html#getGridX/1","title":"Evision.Face.LBPHFaceRecognizer.getGridX/1","type":"function"},{"doc":"getGridY Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() Return retval : int @see setGridY/2 Python prototype (for reference only): getGridY() -&gt; retval","ref":"Evision.Face.LBPHFaceRecognizer.html#getGridY/1","title":"Evision.Face.LBPHFaceRecognizer.getGridY/1","type":"function"},{"doc":"getHistograms Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() Return retval : [Evision.Mat] Python prototype (for reference only): getHistograms() -&gt; retval","ref":"Evision.Face.LBPHFaceRecognizer.html#getHistograms/1","title":"Evision.Face.LBPHFaceRecognizer.getHistograms/1","type":"function"},{"doc":"getLabels Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getLabels() -&gt; retval","ref":"Evision.Face.LBPHFaceRecognizer.html#getLabels/1","title":"Evision.Face.LBPHFaceRecognizer.getLabels/1","type":"function"},{"doc":"getNeighbors Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() Return retval : int @see setNeighbors/2 Python prototype (for reference only): getNeighbors() -&gt; retval","ref":"Evision.Face.LBPHFaceRecognizer.html#getNeighbors/1","title":"Evision.Face.LBPHFaceRecognizer.getNeighbors/1","type":"function"},{"doc":"getRadius Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() Return retval : int @see setRadius/2 Python prototype (for reference only): getRadius() -&gt; retval","ref":"Evision.Face.LBPHFaceRecognizer.html#getRadius/1","title":"Evision.Face.LBPHFaceRecognizer.getRadius/1","type":"function"},{"doc":"getThreshold Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() Return retval : double @see setThreshold/2 Python prototype (for reference only): getThreshold() -&gt; retval","ref":"Evision.Face.LBPHFaceRecognizer.html#getThreshold/1","title":"Evision.Face.LBPHFaceRecognizer.getThreshold/1","type":"function"},{"doc":"setGridX Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() val : int @see getGridX/1 Python prototype (for reference only): setGridX(val) -&gt; None","ref":"Evision.Face.LBPHFaceRecognizer.html#setGridX/2","title":"Evision.Face.LBPHFaceRecognizer.setGridX/2","type":"function"},{"doc":"setGridY Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() val : int @see getGridY/1 Python prototype (for reference only): setGridY(val) -&gt; None","ref":"Evision.Face.LBPHFaceRecognizer.html#setGridY/2","title":"Evision.Face.LBPHFaceRecognizer.setGridY/2","type":"function"},{"doc":"setNeighbors Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() val : int @see getNeighbors/1 Python prototype (for reference only): setNeighbors(val) -&gt; None","ref":"Evision.Face.LBPHFaceRecognizer.html#setNeighbors/2","title":"Evision.Face.LBPHFaceRecognizer.setNeighbors/2","type":"function"},{"doc":"setRadius Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() val : int @see getRadius/1 Python prototype (for reference only): setRadius(val) -&gt; None","ref":"Evision.Face.LBPHFaceRecognizer.html#setRadius/2","title":"Evision.Face.LBPHFaceRecognizer.setRadius/2","type":"function"},{"doc":"setThreshold Positional Arguments self : Evision.Face.LBPHFaceRecognizer.t() val : double @see getThreshold/1 Python prototype (for reference only): setThreshold(val) -&gt; None","ref":"Evision.Face.LBPHFaceRecognizer.html#setThreshold/2","title":"Evision.Face.LBPHFaceRecognizer.setThreshold/2","type":"function"},{"doc":"Type that represents an Face.LBPHFaceRecognizer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Face.LBPHFaceRecognizer.html#t:t/0","title":"Evision.Face.LBPHFaceRecognizer.t/0","type":"type"},{"doc":"","ref":"Evision.Face.MACE.html","title":"Evision.Face.MACE","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Face.MACE.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Face.MACE.html#clear/1","title":"Evision.Face.MACE.clear/1","type":"function"},{"doc":"constructor Keyword Arguments iMGSIZE : int . images will get resized to this (should be an even number) Return retval : cv::Ptr&lt;MACE&gt; Python prototype (for reference only): create([, IMGSIZE]) -&gt; retval","ref":"Evision.Face.MACE.html#create/0","title":"Evision.Face.MACE.create/0","type":"function"},{"doc":"constructor Keyword Arguments iMGSIZE : int . images will get resized to this (should be an even number) Return retval : cv::Ptr&lt;MACE&gt; Python prototype (for reference only): create([, IMGSIZE]) -&gt; retval","ref":"Evision.Face.MACE.html#create/1","title":"Evision.Face.MACE.create/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Face.MACE.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Face.MACE.html#empty/1","title":"Evision.Face.MACE.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Face.MACE.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Face.MACE.html#getDefaultName/1","title":"Evision.Face.MACE.getDefaultName/1","type":"function"},{"doc":"constructor Positional Arguments filename : String . build a new MACE instance from a pre-serialized FileStorage Keyword Arguments objname : String . (optional) top-level node in the FileStorage Return retval : cv::Ptr&lt;MACE&gt; Python prototype (for reference only): load(filename[, objname]) -&gt; retval","ref":"Evision.Face.MACE.html#load/1","title":"Evision.Face.MACE.load/1","type":"function"},{"doc":"constructor Positional Arguments filename : String . build a new MACE instance from a pre-serialized FileStorage Keyword Arguments objname : String . (optional) top-level node in the FileStorage Return retval : cv::Ptr&lt;MACE&gt; Python prototype (for reference only): load(filename[, objname]) -&gt; retval","ref":"Evision.Face.MACE.html#load/2","title":"Evision.Face.MACE.load/2","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Face.MACE.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Face.MACE.html#read/2","title":"Evision.Face.MACE.read/2","type":"function"},{"doc":"optionally encrypt images with random convolution Positional Arguments self : Evision.Face.MACE.t() passphrase : String . a crc64 random seed will get generated from this Python prototype (for reference only): salt(passphrase) -&gt; None","ref":"Evision.Face.MACE.html#salt/2","title":"Evision.Face.MACE.salt/2","type":"function"},{"doc":"correlate query img and threshold to min class value Positional Arguments self : Evision.Face.MACE.t() query : Evision.Mat.t() . a Mat with query image Return retval : bool Python prototype (for reference only): same(query) -&gt; retval","ref":"Evision.Face.MACE.html#same/2","title":"Evision.Face.MACE.same/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Face.MACE.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Face.MACE.html#save/2","title":"Evision.Face.MACE.save/2","type":"function"},{"doc":"train it on positive features compute the mace filter: h = D(-1) * X * (X(+) * D(-1) * X)(-1) * C also calculate a minimal threshold for this class, the smallest self-similarity from the train images Positional Arguments self : Evision.Face.MACE.t() images : [Evision.Mat] . a vector&lt;Mat&gt; with the train images Python prototype (for reference only): train(images) -&gt; None","ref":"Evision.Face.MACE.html#train/2","title":"Evision.Face.MACE.train/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Face.MACE.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Face.MACE.html#write/2","title":"Evision.Face.MACE.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Face.MACE.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Face.MACE.html#write/3","title":"Evision.Face.MACE.write/3","type":"function"},{"doc":"Type that represents an Face.MACE struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Face.MACE.html#t:t/0","title":"Evision.Face.MACE.t/0","type":"type"},{"doc":"","ref":"Evision.Face.StandardCollector.html","title":"Evision.Face.StandardCollector","type":"module"},{"doc":"Static constructor Keyword Arguments threshold : double . set threshold Return retval : StandardCollector Python prototype (for reference only): create([, threshold]) -&gt; retval","ref":"Evision.Face.StandardCollector.html#create/0","title":"Evision.Face.StandardCollector.create/0","type":"function"},{"doc":"Static constructor Keyword Arguments threshold : double . set threshold Return retval : StandardCollector Python prototype (for reference only): create([, threshold]) -&gt; retval","ref":"Evision.Face.StandardCollector.html#create/1","title":"Evision.Face.StandardCollector.create/1","type":"function"},{"doc":"Returns minimal distance value Positional Arguments self : Evision.Face.StandardCollector.t() Return retval : double Python prototype (for reference only): getMinDist() -&gt; retval","ref":"Evision.Face.StandardCollector.html#getMinDist/1","title":"Evision.Face.StandardCollector.getMinDist/1","type":"function"},{"doc":"Returns label with minimal distance Positional Arguments self : Evision.Face.StandardCollector.t() Return retval : int Python prototype (for reference only): getMinLabel() -&gt; retval","ref":"Evision.Face.StandardCollector.html#getMinLabel/1","title":"Evision.Face.StandardCollector.getMinLabel/1","type":"function"},{"doc":"Return results as vector Positional Arguments self : Evision.Face.StandardCollector.t() Keyword Arguments sorted : bool . If set, results will be sorted by distance Each values is a pair of label and distance. Return retval : [pair&lt;int, double&gt;] Python prototype (for reference only): getResults([, sorted]) -&gt; retval","ref":"Evision.Face.StandardCollector.html#getResults/1","title":"Evision.Face.StandardCollector.getResults/1","type":"function"},{"doc":"Return results as vector Positional Arguments self : Evision.Face.StandardCollector.t() Keyword Arguments sorted : bool . If set, results will be sorted by distance Each values is a pair of label and distance. Return retval : [pair&lt;int, double&gt;] Python prototype (for reference only): getResults([, sorted]) -&gt; retval","ref":"Evision.Face.StandardCollector.html#getResults/2","title":"Evision.Face.StandardCollector.getResults/2","type":"function"},{"doc":"Type that represents an Face.StandardCollector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Face.StandardCollector.html#t:t/0","title":"Evision.Face.StandardCollector.t/0","type":"type"},{"doc":"","ref":"Evision.FaceDetectorYN.html","title":"Evision.FaceDetectorYN","type":"module"},{"doc":"Creates an instance of this class with given parameters Positional Arguments model : String . the path to the requested model config : String . the path to the config file for compability, which is not requested for ONNX models input_size : Size . the size of the input image Keyword Arguments score_threshold : float . the threshold to filter out bounding boxes of score smaller than the given value nms_threshold : float . the threshold to suppress bounding boxes of IoU bigger than the given value top_k : int . keep top K bboxes before NMS backend_id : int . the id of backend target_id : int . the id of target device Return retval : Evision.FaceDetectorYN.t() Python prototype (for reference only): create(model, config, input_size[, score_threshold[, nms_threshold[, top_k[, backend_id[, target_id]]]]]) -&gt; retval","ref":"Evision.FaceDetectorYN.html#create/3","title":"Evision.FaceDetectorYN.create/3","type":"function"},{"doc":"Creates an instance of this class with given parameters Positional Arguments model : String . the path to the requested model config : String . the path to the config file for compability, which is not requested for ONNX models input_size : Size . the size of the input image Keyword Arguments score_threshold : float . the threshold to filter out bounding boxes of score smaller than the given value nms_threshold : float . the threshold to suppress bounding boxes of IoU bigger than the given value top_k : int . keep top K bboxes before NMS backend_id : int . the id of backend target_id : int . the id of target device Return retval : Evision.FaceDetectorYN.t() Python prototype (for reference only): create(model, config, input_size[, score_threshold[, nms_threshold[, top_k[, backend_id[, target_id]]]]]) -&gt; retval","ref":"Evision.FaceDetectorYN.html#create/4","title":"Evision.FaceDetectorYN.create/4","type":"function"},{"doc":"A simple interface to detect face from given image Positional Arguments self : Evision.FaceDetectorYN.t() image : Evision.Mat.t() . an image to detect Return retval : int faces : Evision.Mat.t() . detection results stored in a cv::Mat Python prototype (for reference only): detect(image[, faces]) -&gt; retval, faces","ref":"Evision.FaceDetectorYN.html#detect/2","title":"Evision.FaceDetectorYN.detect/2","type":"function"},{"doc":"A simple interface to detect face from given image Positional Arguments self : Evision.FaceDetectorYN.t() image : Evision.Mat.t() . an image to detect Return retval : int faces : Evision.Mat.t() . detection results stored in a cv::Mat Python prototype (for reference only): detect(image[, faces]) -&gt; retval, faces","ref":"Evision.FaceDetectorYN.html#detect/3","title":"Evision.FaceDetectorYN.detect/3","type":"function"},{"doc":"getInputSize Positional Arguments self : Evision.FaceDetectorYN.t() Return retval : Size Python prototype (for reference only): getInputSize() -&gt; retval","ref":"Evision.FaceDetectorYN.html#getInputSize/1","title":"Evision.FaceDetectorYN.getInputSize/1","type":"function"},{"doc":"getNMSThreshold Positional Arguments self : Evision.FaceDetectorYN.t() Return retval : float Python prototype (for reference only): getNMSThreshold() -&gt; retval","ref":"Evision.FaceDetectorYN.html#getNMSThreshold/1","title":"Evision.FaceDetectorYN.getNMSThreshold/1","type":"function"},{"doc":"getScoreThreshold Positional Arguments self : Evision.FaceDetectorYN.t() Return retval : float Python prototype (for reference only): getScoreThreshold() -&gt; retval","ref":"Evision.FaceDetectorYN.html#getScoreThreshold/1","title":"Evision.FaceDetectorYN.getScoreThreshold/1","type":"function"},{"doc":"getTopK Positional Arguments self : Evision.FaceDetectorYN.t() Return retval : int Python prototype (for reference only): getTopK() -&gt; retval","ref":"Evision.FaceDetectorYN.html#getTopK/1","title":"Evision.FaceDetectorYN.getTopK/1","type":"function"},{"doc":"Set the size for the network input, which overwrites the input size of creating model. Call this method when the size of input image does not match the input size when creating model Positional Arguments self : Evision.FaceDetectorYN.t() input_size : Size . the size of the input image Python prototype (for reference only): setInputSize(input_size) -&gt; None","ref":"Evision.FaceDetectorYN.html#setInputSize/2","title":"Evision.FaceDetectorYN.setInputSize/2","type":"function"},{"doc":"Set the Non-maximum-suppression threshold to suppress bounding boxes that have IoU greater than the given value Positional Arguments self : Evision.FaceDetectorYN.t() nms_threshold : float . threshold for NMS operation Python prototype (for reference only): setNMSThreshold(nms_threshold) -&gt; None","ref":"Evision.FaceDetectorYN.html#setNMSThreshold/2","title":"Evision.FaceDetectorYN.setNMSThreshold/2","type":"function"},{"doc":"Set the score threshold to filter out bounding boxes of score less than the given value Positional Arguments self : Evision.FaceDetectorYN.t() score_threshold : float . threshold for filtering out bounding boxes Python prototype (for reference only): setScoreThreshold(score_threshold) -&gt; None","ref":"Evision.FaceDetectorYN.html#setScoreThreshold/2","title":"Evision.FaceDetectorYN.setScoreThreshold/2","type":"function"},{"doc":"Set the number of bounding boxes preserved before NMS Positional Arguments self : Evision.FaceDetectorYN.t() top_k : int . the number of bounding boxes to preserve from top rank based on score Python prototype (for reference only): setTopK(top_k) -&gt; None","ref":"Evision.FaceDetectorYN.html#setTopK/2","title":"Evision.FaceDetectorYN.setTopK/2","type":"function"},{"doc":"Type that represents an FaceDetectorYN struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.FaceDetectorYN.html#t:t/0","title":"Evision.FaceDetectorYN.t/0","type":"type"},{"doc":"","ref":"Evision.FaceRecognizerSF.html","title":"Evision.FaceRecognizerSF","type":"module"},{"doc":"Aligning image to put face on the standard position Positional Arguments self : Evision.FaceRecognizerSF.t() src_img : Evision.Mat.t() . input image face_box : Evision.Mat.t() . the detection result used for indicate face in input image Return aligned_img : Evision.Mat.t() . output aligned image Python prototype (for reference only): alignCrop(src_img, face_box[, aligned_img]) -&gt; aligned_img","ref":"Evision.FaceRecognizerSF.html#alignCrop/3","title":"Evision.FaceRecognizerSF.alignCrop/3","type":"function"},{"doc":"Aligning image to put face on the standard position Positional Arguments self : Evision.FaceRecognizerSF.t() src_img : Evision.Mat.t() . input image face_box : Evision.Mat.t() . the detection result used for indicate face in input image Return aligned_img : Evision.Mat.t() . output aligned image Python prototype (for reference only): alignCrop(src_img, face_box[, aligned_img]) -&gt; aligned_img","ref":"Evision.FaceRecognizerSF.html#alignCrop/4","title":"Evision.FaceRecognizerSF.alignCrop/4","type":"function"},{"doc":"Creates an instance of this class with given parameters Positional Arguments model : String . the path of the onnx model used for face recognition config : String . the path to the config file for compability, which is not requested for ONNX models Keyword Arguments backend_id : int . the id of backend target_id : int . the id of target device Return retval : Evision.FaceRecognizerSF.t() Python prototype (for reference only): create(model, config[, backend_id[, target_id]]) -&gt; retval","ref":"Evision.FaceRecognizerSF.html#create/2","title":"Evision.FaceRecognizerSF.create/2","type":"function"},{"doc":"Creates an instance of this class with given parameters Positional Arguments model : String . the path of the onnx model used for face recognition config : String . the path to the config file for compability, which is not requested for ONNX models Keyword Arguments backend_id : int . the id of backend target_id : int . the id of target device Return retval : Evision.FaceRecognizerSF.t() Python prototype (for reference only): create(model, config[, backend_id[, target_id]]) -&gt; retval","ref":"Evision.FaceRecognizerSF.html#create/3","title":"Evision.FaceRecognizerSF.create/3","type":"function"},{"doc":"Extracting face feature from aligned image Positional Arguments self : Evision.FaceRecognizerSF.t() aligned_img : Evision.Mat.t() . input aligned image Return face_feature : Evision.Mat.t() . output face feature Python prototype (for reference only): feature(aligned_img[, face_feature]) -&gt; face_feature","ref":"Evision.FaceRecognizerSF.html#feature/2","title":"Evision.FaceRecognizerSF.feature/2","type":"function"},{"doc":"Extracting face feature from aligned image Positional Arguments self : Evision.FaceRecognizerSF.t() aligned_img : Evision.Mat.t() . input aligned image Return face_feature : Evision.Mat.t() . output face feature Python prototype (for reference only): feature(aligned_img[, face_feature]) -&gt; face_feature","ref":"Evision.FaceRecognizerSF.html#feature/3","title":"Evision.FaceRecognizerSF.feature/3","type":"function"},{"doc":"Calculating the distance between two face features Positional Arguments self : Evision.FaceRecognizerSF.t() face_feature1 : Evision.Mat.t() . the first input feature face_feature2 : Evision.Mat.t() . the second input feature of the same size and the same type as face_feature1 Keyword Arguments dis_type : int . defining the similarity with optional values &quot;FR_OSINE&quot; or &quot;FR_NORM_L2&quot; Return retval : double Python prototype (for reference only): match(face_feature1, face_feature2[, dis_type]) -&gt; retval","ref":"Evision.FaceRecognizerSF.html#match/3","title":"Evision.FaceRecognizerSF.match/3","type":"function"},{"doc":"Calculating the distance between two face features Positional Arguments self : Evision.FaceRecognizerSF.t() face_feature1 : Evision.Mat.t() . the first input feature face_feature2 : Evision.Mat.t() . the second input feature of the same size and the same type as face_feature1 Keyword Arguments dis_type : int . defining the similarity with optional values &quot;FR_OSINE&quot; or &quot;FR_NORM_L2&quot; Return retval : double Python prototype (for reference only): match(face_feature1, face_feature2[, dis_type]) -&gt; retval","ref":"Evision.FaceRecognizerSF.html#match/4","title":"Evision.FaceRecognizerSF.match/4","type":"function"},{"doc":"Type that represents an FaceRecognizerSF struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.FaceRecognizerSF.html#t:t/0","title":"Evision.FaceRecognizerSF.t/0","type":"type"},{"doc":"","ref":"Evision.FarnebackOpticalFlow.html","title":"Evision.FarnebackOpticalFlow","type":"module"},{"doc":"create Keyword Arguments numLevels : int . pyrScale : double . fastPyramids : bool . winSize : int . numIters : int . polyN : int . polySigma : double . flags : int . Return retval : Evision.FarnebackOpticalFlow.t() Python prototype (for reference only): create([, numLevels[, pyrScale[, fastPyramids[, winSize[, numIters[, polyN[, polySigma[, flags]]]]]]]]) -&gt; retval","ref":"Evision.FarnebackOpticalFlow.html#create/0","title":"Evision.FarnebackOpticalFlow.create/0","type":"function"},{"doc":"create Keyword Arguments numLevels : int . pyrScale : double . fastPyramids : bool . winSize : int . numIters : int . polyN : int . polySigma : double . flags : int . Return retval : Evision.FarnebackOpticalFlow.t() Python prototype (for reference only): create([, numLevels[, pyrScale[, fastPyramids[, winSize[, numIters[, polyN[, polySigma[, flags]]]]]]]]) -&gt; retval","ref":"Evision.FarnebackOpticalFlow.html#create/1","title":"Evision.FarnebackOpticalFlow.create/1","type":"function"},{"doc":"getFastPyramids Positional Arguments self : Evision.FarnebackOpticalFlow.t() Return retval : bool Python prototype (for reference only): getFastPyramids() -&gt; retval","ref":"Evision.FarnebackOpticalFlow.html#getFastPyramids/1","title":"Evision.FarnebackOpticalFlow.getFastPyramids/1","type":"function"},{"doc":"getFlags Positional Arguments self : Evision.FarnebackOpticalFlow.t() Return retval : int Python prototype (for reference only): getFlags() -&gt; retval","ref":"Evision.FarnebackOpticalFlow.html#getFlags/1","title":"Evision.FarnebackOpticalFlow.getFlags/1","type":"function"},{"doc":"getNumIters Positional Arguments self : Evision.FarnebackOpticalFlow.t() Return retval : int Python prototype (for reference only): getNumIters() -&gt; retval","ref":"Evision.FarnebackOpticalFlow.html#getNumIters/1","title":"Evision.FarnebackOpticalFlow.getNumIters/1","type":"function"},{"doc":"getNumLevels Positional Arguments self : Evision.FarnebackOpticalFlow.t() Return retval : int Python prototype (for reference only): getNumLevels() -&gt; retval","ref":"Evision.FarnebackOpticalFlow.html#getNumLevels/1","title":"Evision.FarnebackOpticalFlow.getNumLevels/1","type":"function"},{"doc":"getPolyN Positional Arguments self : Evision.FarnebackOpticalFlow.t() Return retval : int Python prototype (for reference only): getPolyN() -&gt; retval","ref":"Evision.FarnebackOpticalFlow.html#getPolyN/1","title":"Evision.FarnebackOpticalFlow.getPolyN/1","type":"function"},{"doc":"getPolySigma Positional Arguments self : Evision.FarnebackOpticalFlow.t() Return retval : double Python prototype (for reference only): getPolySigma() -&gt; retval","ref":"Evision.FarnebackOpticalFlow.html#getPolySigma/1","title":"Evision.FarnebackOpticalFlow.getPolySigma/1","type":"function"},{"doc":"getPyrScale Positional Arguments self : Evision.FarnebackOpticalFlow.t() Return retval : double Python prototype (for reference only): getPyrScale() -&gt; retval","ref":"Evision.FarnebackOpticalFlow.html#getPyrScale/1","title":"Evision.FarnebackOpticalFlow.getPyrScale/1","type":"function"},{"doc":"getWinSize Positional Arguments self : Evision.FarnebackOpticalFlow.t() Return retval : int Python prototype (for reference only): getWinSize() -&gt; retval","ref":"Evision.FarnebackOpticalFlow.html#getWinSize/1","title":"Evision.FarnebackOpticalFlow.getWinSize/1","type":"function"},{"doc":"setFastPyramids Positional Arguments self : Evision.FarnebackOpticalFlow.t() fastPyramids : bool Python prototype (for reference only): setFastPyramids(fastPyramids) -&gt; None","ref":"Evision.FarnebackOpticalFlow.html#setFastPyramids/2","title":"Evision.FarnebackOpticalFlow.setFastPyramids/2","type":"function"},{"doc":"setFlags Positional Arguments self : Evision.FarnebackOpticalFlow.t() flags : int Python prototype (for reference only): setFlags(flags) -&gt; None","ref":"Evision.FarnebackOpticalFlow.html#setFlags/2","title":"Evision.FarnebackOpticalFlow.setFlags/2","type":"function"},{"doc":"setNumIters Positional Arguments self : Evision.FarnebackOpticalFlow.t() numIters : int Python prototype (for reference only): setNumIters(numIters) -&gt; None","ref":"Evision.FarnebackOpticalFlow.html#setNumIters/2","title":"Evision.FarnebackOpticalFlow.setNumIters/2","type":"function"},{"doc":"setNumLevels Positional Arguments self : Evision.FarnebackOpticalFlow.t() numLevels : int Python prototype (for reference only): setNumLevels(numLevels) -&gt; None","ref":"Evision.FarnebackOpticalFlow.html#setNumLevels/2","title":"Evision.FarnebackOpticalFlow.setNumLevels/2","type":"function"},{"doc":"setPolyN Positional Arguments self : Evision.FarnebackOpticalFlow.t() polyN : int Python prototype (for reference only): setPolyN(polyN) -&gt; None","ref":"Evision.FarnebackOpticalFlow.html#setPolyN/2","title":"Evision.FarnebackOpticalFlow.setPolyN/2","type":"function"},{"doc":"setPolySigma Positional Arguments self : Evision.FarnebackOpticalFlow.t() polySigma : double Python prototype (for reference only): setPolySigma(polySigma) -&gt; None","ref":"Evision.FarnebackOpticalFlow.html#setPolySigma/2","title":"Evision.FarnebackOpticalFlow.setPolySigma/2","type":"function"},{"doc":"setPyrScale Positional Arguments self : Evision.FarnebackOpticalFlow.t() pyrScale : double Python prototype (for reference only): setPyrScale(pyrScale) -&gt; None","ref":"Evision.FarnebackOpticalFlow.html#setPyrScale/2","title":"Evision.FarnebackOpticalFlow.setPyrScale/2","type":"function"},{"doc":"setWinSize Positional Arguments self : Evision.FarnebackOpticalFlow.t() winSize : int Python prototype (for reference only): setWinSize(winSize) -&gt; None","ref":"Evision.FarnebackOpticalFlow.html#setWinSize/2","title":"Evision.FarnebackOpticalFlow.setWinSize/2","type":"function"},{"doc":"Type that represents an FarnebackOpticalFlow struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.FarnebackOpticalFlow.html#t:t/0","title":"Evision.FarnebackOpticalFlow.t/0","type":"type"},{"doc":"","ref":"Evision.FastFeatureDetector.html","title":"Evision.FastFeatureDetector","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.FastFeatureDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.FastFeatureDetector.html#compute/3","title":"Evision.FastFeatureDetector.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.FastFeatureDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.FastFeatureDetector.html#compute/4","title":"Evision.FastFeatureDetector.compute/4","type":"function"},{"doc":"create Keyword Arguments threshold : int . nonmaxSuppression : bool . type : FastFeatureDetector_DetectorType . Return retval : Evision.FastFeatureDetector.t() Python prototype (for reference only): create([, threshold[, nonmaxSuppression[, type]]]) -&gt; retval","ref":"Evision.FastFeatureDetector.html#create/0","title":"Evision.FastFeatureDetector.create/0","type":"function"},{"doc":"create Keyword Arguments threshold : int . nonmaxSuppression : bool . type : FastFeatureDetector_DetectorType . Return retval : Evision.FastFeatureDetector.t() Python prototype (for reference only): create([, threshold[, nonmaxSuppression[, type]]]) -&gt; retval","ref":"Evision.FastFeatureDetector.html#create/1","title":"Evision.FastFeatureDetector.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.FastFeatureDetector.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.FastFeatureDetector.html#defaultNorm/1","title":"Evision.FastFeatureDetector.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.FastFeatureDetector.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.FastFeatureDetector.html#descriptorSize/1","title":"Evision.FastFeatureDetector.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.FastFeatureDetector.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.FastFeatureDetector.html#descriptorType/1","title":"Evision.FastFeatureDetector.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.FastFeatureDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.FastFeatureDetector.html#detect/2","title":"Evision.FastFeatureDetector.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.FastFeatureDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.FastFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.FastFeatureDetector.html#detect/3","title":"Evision.FastFeatureDetector.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.FastFeatureDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.FastFeatureDetector.html#detectAndCompute/3","title":"Evision.FastFeatureDetector.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.FastFeatureDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.FastFeatureDetector.html#detectAndCompute/4","title":"Evision.FastFeatureDetector.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.FastFeatureDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.FastFeatureDetector.html#empty/1","title":"Evision.FastFeatureDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.FastFeatureDetector.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.FastFeatureDetector.html#getDefaultName/1","title":"Evision.FastFeatureDetector.getDefaultName/1","type":"function"},{"doc":"getNonmaxSuppression Positional Arguments self : Evision.FastFeatureDetector.t() Return retval : bool Python prototype (for reference only): getNonmaxSuppression() -&gt; retval","ref":"Evision.FastFeatureDetector.html#getNonmaxSuppression/1","title":"Evision.FastFeatureDetector.getNonmaxSuppression/1","type":"function"},{"doc":"getThreshold Positional Arguments self : Evision.FastFeatureDetector.t() Return retval : int Python prototype (for reference only): getThreshold() -&gt; retval","ref":"Evision.FastFeatureDetector.html#getThreshold/1","title":"Evision.FastFeatureDetector.getThreshold/1","type":"function"},{"doc":"getType Positional Arguments self : Evision.FastFeatureDetector.t() Return retval : FastFeatureDetector::DetectorType Python prototype (for reference only): getType() -&gt; retval","ref":"Evision.FastFeatureDetector.html#getType/1","title":"Evision.FastFeatureDetector.getType/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.FastFeatureDetector.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.FastFeatureDetector.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.FastFeatureDetector.html#read/2","title":"Evision.FastFeatureDetector.read/2","type":"function"},{"doc":"setNonmaxSuppression Positional Arguments self : Evision.FastFeatureDetector.t() f : bool Python prototype (for reference only): setNonmaxSuppression(f) -&gt; None","ref":"Evision.FastFeatureDetector.html#setNonmaxSuppression/2","title":"Evision.FastFeatureDetector.setNonmaxSuppression/2","type":"function"},{"doc":"setThreshold Positional Arguments self : Evision.FastFeatureDetector.t() threshold : int Python prototype (for reference only): setThreshold(threshold) -&gt; None","ref":"Evision.FastFeatureDetector.html#setThreshold/2","title":"Evision.FastFeatureDetector.setThreshold/2","type":"function"},{"doc":"setType Positional Arguments self : Evision.FastFeatureDetector.t() type : FastFeatureDetector_DetectorType Python prototype (for reference only): setType(type) -&gt; None","ref":"Evision.FastFeatureDetector.html#setType/2","title":"Evision.FastFeatureDetector.setType/2","type":"function"},{"doc":"write Positional Arguments self : Evision.FastFeatureDetector.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.FastFeatureDetector.html#write/2","title":"Evision.FastFeatureDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.FastFeatureDetector.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.FastFeatureDetector.html#write/3","title":"Evision.FastFeatureDetector.write/3","type":"function"},{"doc":"Type that represents an FastFeatureDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.FastFeatureDetector.html#t:t/0","title":"Evision.FastFeatureDetector.t/0","type":"type"},{"doc":"","ref":"Evision.Feature2D.html","title":"Evision.Feature2D","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.Feature2D.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.Feature2D.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.Feature2D.html#compute/3","title":"Evision.Feature2D.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.Feature2D.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.Feature2D.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.Feature2D.html#compute/4","title":"Evision.Feature2D.compute/4","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.Feature2D.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.Feature2D.html#defaultNorm/1","title":"Evision.Feature2D.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.Feature2D.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.Feature2D.html#descriptorSize/1","title":"Evision.Feature2D.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.Feature2D.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.Feature2D.html#descriptorType/1","title":"Evision.Feature2D.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.Feature2D.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.Feature2D.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.Feature2D.html#detect/2","title":"Evision.Feature2D.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.Feature2D.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.Feature2D.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.Feature2D.html#detect/3","title":"Evision.Feature2D.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.Feature2D.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.Feature2D.html#detectAndCompute/3","title":"Evision.Feature2D.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.Feature2D.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.Feature2D.html#detectAndCompute/4","title":"Evision.Feature2D.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.Feature2D.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Feature2D.html#empty/1","title":"Evision.Feature2D.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Feature2D.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Feature2D.html#getDefaultName/1","title":"Evision.Feature2D.getDefaultName/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.Feature2D.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.Feature2D.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.Feature2D.html#read/2","title":"Evision.Feature2D.read/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Feature2D.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.Feature2D.html#write/2","title":"Evision.Feature2D.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Feature2D.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Feature2D.html#write/3","title":"Evision.Feature2D.write/3","type":"function"},{"doc":"Type that represents an Feature2D struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Feature2D.html#t:t/0","title":"Evision.Feature2D.t/0","type":"type"},{"doc":"","ref":"Evision.FileNode.html","title":"Evision.FileNode","type":"module"},{"doc":"at Positional Arguments self : Evision.FileNode.t() i : int . Index of an element in the sequence node. Return retval : Evision.FileNode.t() Has overloading in C++ Python prototype (for reference only): at(i) -&gt; retval","ref":"Evision.FileNode.html#at/2","title":"Evision.FileNode.at/2","type":"function"},{"doc":"empty Positional Arguments self : Evision.FileNode.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.FileNode.html#empty/1","title":"Evision.FileNode.empty/1","type":"function"},{"doc":"The constructors. Return self : Evision.FileNode.t() These constructors are used to create a default file node, construct it from obsolete structures or from the another file node. Python prototype (for reference only): FileNode() -&gt; &lt;FileNode object&gt;","ref":"Evision.FileNode.html#fileNode/0","title":"Evision.FileNode.fileNode/0","type":"function"},{"doc":"getNode Positional Arguments self : Evision.FileNode.t() nodename : c_string . Name of an element in the mapping node. Return retval : Evision.FileNode.t() Has overloading in C++ Python prototype (for reference only): getNode(nodename) -&gt; retval","ref":"Evision.FileNode.html#getNode/2","title":"Evision.FileNode.getNode/2","type":"function"},{"doc":"isInt Positional Arguments self : Evision.FileNode.t() Return retval : bool Python prototype (for reference only): isInt() -&gt; retval","ref":"Evision.FileNode.html#isInt/1","title":"Evision.FileNode.isInt/1","type":"function"},{"doc":"isMap Positional Arguments self : Evision.FileNode.t() Return retval : bool Python prototype (for reference only): isMap() -&gt; retval","ref":"Evision.FileNode.html#isMap/1","title":"Evision.FileNode.isMap/1","type":"function"},{"doc":"isNamed Positional Arguments self : Evision.FileNode.t() Return retval : bool Python prototype (for reference only): isNamed() -&gt; retval","ref":"Evision.FileNode.html#isNamed/1","title":"Evision.FileNode.isNamed/1","type":"function"},{"doc":"isNone Positional Arguments self : Evision.FileNode.t() Return retval : bool Python prototype (for reference only): isNone() -&gt; retval","ref":"Evision.FileNode.html#isNone/1","title":"Evision.FileNode.isNone/1","type":"function"},{"doc":"isReal Positional Arguments self : Evision.FileNode.t() Return retval : bool Python prototype (for reference only): isReal() -&gt; retval","ref":"Evision.FileNode.html#isReal/1","title":"Evision.FileNode.isReal/1","type":"function"},{"doc":"isSeq Positional Arguments self : Evision.FileNode.t() Return retval : bool Python prototype (for reference only): isSeq() -&gt; retval","ref":"Evision.FileNode.html#isSeq/1","title":"Evision.FileNode.isSeq/1","type":"function"},{"doc":"isString Positional Arguments self : Evision.FileNode.t() Return retval : bool Python prototype (for reference only): isString() -&gt; retval","ref":"Evision.FileNode.html#isString/1","title":"Evision.FileNode.isString/1","type":"function"},{"doc":"Returns keys of a mapping node. Positional Arguments self : Evision.FileNode.t() Return retval : [String] @returns Keys of a mapping node. Python prototype (for reference only): keys() -&gt; retval","ref":"Evision.FileNode.html#keys/1","title":"Evision.FileNode.keys/1","type":"function"},{"doc":"mat Positional Arguments self : Evision.FileNode.t() Return retval : Evision.Mat.t() Python prototype (for reference only): mat() -&gt; retval","ref":"Evision.FileNode.html#mat/1","title":"Evision.FileNode.mat/1","type":"function"},{"doc":"name Positional Arguments self : Evision.FileNode.t() Return retval : string Python prototype (for reference only): name() -&gt; retval","ref":"Evision.FileNode.html#name/1","title":"Evision.FileNode.name/1","type":"function"},{"doc":"rawSize Positional Arguments self : Evision.FileNode.t() Return retval : size_t Python prototype (for reference only): rawSize() -&gt; retval","ref":"Evision.FileNode.html#rawSize/1","title":"Evision.FileNode.rawSize/1","type":"function"},{"doc":"real Positional Arguments self : Evision.FileNode.t() Return retval : double Internal method used when reading FileStorage. Sets the type (int, real or string) and value of the previously created node. Python prototype (for reference only): real() -&gt; retval","ref":"Evision.FileNode.html#real/1","title":"Evision.FileNode.real/1","type":"function"},{"doc":"size Positional Arguments self : Evision.FileNode.t() Return retval : size_t Python prototype (for reference only): size() -&gt; retval","ref":"Evision.FileNode.html#size/1","title":"Evision.FileNode.size/1","type":"function"},{"doc":"string Positional Arguments self : Evision.FileNode.t() Return retval : string Python prototype (for reference only): string() -&gt; retval","ref":"Evision.FileNode.html#string/1","title":"Evision.FileNode.string/1","type":"function"},{"doc":"Returns type of the node. Positional Arguments self : Evision.FileNode.t() Return retval : int @returns Type of the node. See FileNode::Type Python prototype (for reference only): type() -&gt; retval","ref":"Evision.FileNode.html#type/1","title":"Evision.FileNode.type/1","type":"function"},{"doc":"Type that represents an FileNode struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.FileNode.html#t:t/0","title":"Evision.FileNode.t/0","type":"type"},{"doc":"","ref":"Evision.FileStorage.html","title":"Evision.FileStorage","type":"module"},{"doc":"Finishes writing nested structure (should pair startWriteStruct()) Positional Arguments self : Evision.FileStorage.t() Python prototype (for reference only): endWriteStruct() -&gt; None","ref":"Evision.FileStorage.html#endWriteStruct/1","title":"Evision.FileStorage.endWriteStruct/1","type":"function"},{"doc":"The constructors. Return self : Evision.FileStorage.t() The full constructor opens the file. Alternatively you can use the default constructor and then call FileStorage::open. Python prototype (for reference only): FileStorage() -&gt; &lt;FileStorage object&gt;","ref":"Evision.FileStorage.html#fileStorage/0","title":"Evision.FileStorage.fileStorage/0","type":"function"},{"doc":"FileStorage Positional Arguments filename : String flags : int Keyword Arguments encoding : String . Return self : Evision.FileStorage.t() Has overloading in C++ @copydoc open() Python prototype (for reference only): FileStorage(filename, flags[, encoding]) -&gt; &lt;FileStorage object&gt;","ref":"Evision.FileStorage.html#fileStorage/2","title":"Evision.FileStorage.fileStorage/2","type":"function"},{"doc":"FileStorage Positional Arguments filename : String flags : int Keyword Arguments encoding : String . Return self : Evision.FileStorage.t() Has overloading in C++ @copydoc open() Python prototype (for reference only): FileStorage(filename, flags[, encoding]) -&gt; &lt;FileStorage object&gt;","ref":"Evision.FileStorage.html#fileStorage/3","title":"Evision.FileStorage.fileStorage/3","type":"function"},{"doc":"Returns the first element of the top-level mapping. Positional Arguments self : Evision.FileStorage.t() Return retval : Evision.FileNode.t() @returns The first element of the top-level mapping. Python prototype (for reference only): getFirstTopLevelNode() -&gt; retval","ref":"Evision.FileStorage.html#getFirstTopLevelNode/1","title":"Evision.FileStorage.getFirstTopLevelNode/1","type":"function"},{"doc":"Returns the current format. Positional Arguments self : Evision.FileStorage.t() Return retval : int @returns The current format, see FileStorage::Mode Python prototype (for reference only): getFormat() -&gt; retval","ref":"Evision.FileStorage.html#getFormat/1","title":"Evision.FileStorage.getFormat/1","type":"function"},{"doc":"getNode Positional Arguments self : Evision.FileStorage.t() nodename : c_string Return retval : Evision.FileNode.t() Has overloading in C++ Python prototype (for reference only): getNode(nodename) -&gt; retval","ref":"Evision.FileStorage.html#getNode/2","title":"Evision.FileStorage.getNode/2","type":"function"},{"doc":"Checks whether the file is opened. Positional Arguments self : Evision.FileStorage.t() Return retval : bool @returns true if the object is associated with the current file and false otherwise. It is a good practice to call this method after you tried to open a file. Python prototype (for reference only): isOpened() -&gt; retval","ref":"Evision.FileStorage.html#isOpened/1","title":"Evision.FileStorage.isOpened/1","type":"function"},{"doc":"Opens a file. Positional Arguments self : Evision.FileStorage.t() filename : String . Name of the file to open or the text string to read the data from. Extension of the file (.xml, .yml/.yaml or .json) determines its format (XML, YAML or JSON respectively). Also you can append .gz to work with compressed files, for example myHugeMatrix.xml.gz. If both FileStorage::WRITE and FileStorage::MEMORY flags are specified, source is used just to specify the output file format (e.g. mydata.xml, .yml etc.). A file name can also contain parameters. You can use this format, &quot;*?base64&quot; (e.g. &quot;file.json?base64&quot; (case sensitive)), as an alternative to FileStorage::BASE64 flag. flags : int . Mode of operation. One of FileStorage::Mode Keyword Arguments encoding : String . Encoding of the file. Note that UTF-16 XML encoding is not supported currently and you should use 8-bit encoding instead of it. Return retval : bool See description of parameters in FileStorage::FileStorage. The method calls FileStorage::release before opening the file. Python prototype (for reference only): open(filename, flags[, encoding]) -&gt; retval","ref":"Evision.FileStorage.html#open/3","title":"Evision.FileStorage.open/3","type":"function"},{"doc":"Opens a file. Positional Arguments self : Evision.FileStorage.t() filename : String . Name of the file to open or the text string to read the data from. Extension of the file (.xml, .yml/.yaml or .json) determines its format (XML, YAML or JSON respectively). Also you can append .gz to work with compressed files, for example myHugeMatrix.xml.gz. If both FileStorage::WRITE and FileStorage::MEMORY flags are specified, source is used just to specify the output file format (e.g. mydata.xml, .yml etc.). A file name can also contain parameters. You can use this format, &quot;*?base64&quot; (e.g. &quot;file.json?base64&quot; (case sensitive)), as an alternative to FileStorage::BASE64 flag. flags : int . Mode of operation. One of FileStorage::Mode Keyword Arguments encoding : String . Encoding of the file. Note that UTF-16 XML encoding is not supported currently and you should use 8-bit encoding instead of it. Return retval : bool See description of parameters in FileStorage::FileStorage. The method calls FileStorage::release before opening the file. Python prototype (for reference only): open(filename, flags[, encoding]) -&gt; retval","ref":"Evision.FileStorage.html#open/4","title":"Evision.FileStorage.open/4","type":"function"},{"doc":"Closes the file and releases all the memory buffers. Positional Arguments self : Evision.FileStorage.t() Call this method after all I/O operations with the storage are finished. Python prototype (for reference only): release() -&gt; None","ref":"Evision.FileStorage.html#release/1","title":"Evision.FileStorage.release/1","type":"function"},{"doc":"Closes the file and releases all the memory buffers. Positional Arguments self : Evision.FileStorage.t() Return retval : String Call this method after all I/O operations with the storage are finished. If the storage was opened for writing data and FileStorage::WRITE was specified Python prototype (for reference only): releaseAndGetString() -&gt; retval","ref":"Evision.FileStorage.html#releaseAndGetString/1","title":"Evision.FileStorage.releaseAndGetString/1","type":"function"},{"doc":"Returns the top-level mapping Positional Arguments self : Evision.FileStorage.t() Keyword Arguments streamidx : int . Zero-based index of the stream. In most cases there is only one stream in the file. However, YAML supports multiple streams and so there can be several. Return retval : Evision.FileNode.t() @returns The top-level mapping. Python prototype (for reference only): root([, streamidx]) -&gt; retval","ref":"Evision.FileStorage.html#root/1","title":"Evision.FileStorage.root/1","type":"function"},{"doc":"Returns the top-level mapping Positional Arguments self : Evision.FileStorage.t() Keyword Arguments streamidx : int . Zero-based index of the stream. In most cases there is only one stream in the file. However, YAML supports multiple streams and so there can be several. Return retval : Evision.FileNode.t() @returns The top-level mapping. Python prototype (for reference only): root([, streamidx]) -&gt; retval","ref":"Evision.FileStorage.html#root/2","title":"Evision.FileStorage.root/2","type":"function"},{"doc":"Starts to write a nested structure (sequence or a mapping). Positional Arguments self : Evision.FileStorage.t() name : String . name of the structure. When writing to sequences (a.k.a. &quot;arrays&quot;), pass an empty string. flags : int . type of the structure (FileNode::MAP or FileNode::SEQ (both with optional FileNode::FLOW)). Keyword Arguments typeName : String . optional name of the type you store. The effect of setting this depends on the storage format. I.e. if the format has a specification for storing type information, this parameter is used. Python prototype (for reference only): startWriteStruct(name, flags[, typeName]) -&gt; None","ref":"Evision.FileStorage.html#startWriteStruct/3","title":"Evision.FileStorage.startWriteStruct/3","type":"function"},{"doc":"Starts to write a nested structure (sequence or a mapping). Positional Arguments self : Evision.FileStorage.t() name : String . name of the structure. When writing to sequences (a.k.a. &quot;arrays&quot;), pass an empty string. flags : int . type of the structure (FileNode::MAP or FileNode::SEQ (both with optional FileNode::FLOW)). Keyword Arguments typeName : String . optional name of the type you store. The effect of setting this depends on the storage format. I.e. if the format has a specification for storing type information, this parameter is used. Python prototype (for reference only): startWriteStruct(name, flags[, typeName]) -&gt; None","ref":"Evision.FileStorage.html#startWriteStruct/4","title":"Evision.FileStorage.startWriteStruct/4","type":"function"},{"doc":"Variant 1: write Positional Arguments self : Evision.FileStorage.t() name : String val : [String] Python prototype (for reference only): write(name, val) -&gt; None Variant 2: write Positional Arguments self : Evision.FileStorage.t() name : String val : Evision.Mat.t() Python prototype (for reference only): write(name, val) -&gt; None Variant 3: write Positional Arguments self : Evision.FileStorage.t() name : String val : String Python prototype (for reference only): write(name, val) -&gt; None Variant 4: write Positional Arguments self : Evision.FileStorage.t() name : String val : double Python prototype (for reference only): write(name, val) -&gt; None Variant 5: Simplified writing API to use with bindings. Positional Arguments self : Evision.FileStorage.t() name : String . Name of the written object. When writing to sequences (a.k.a. &quot;arrays&quot;), pass an empty string. val : int . Value of the written object. Python prototype (for reference only): write(name, val) -&gt; None","ref":"Evision.FileStorage.html#write/3","title":"Evision.FileStorage.write/3","type":"function"},{"doc":"Writes a comment. Positional Arguments self : Evision.FileStorage.t() comment : String . The written comment, single-line or multi-line Keyword Arguments append : bool . If true, the function tries to put the comment at the end of current line. Else if the comment is multi-line, or if it does not fit at the end of the current line, the comment starts a new line. The function writes a comment into file storage. The comments are skipped when the storage is read. Python prototype (for reference only): writeComment(comment[, append]) -&gt; None","ref":"Evision.FileStorage.html#writeComment/2","title":"Evision.FileStorage.writeComment/2","type":"function"},{"doc":"Writes a comment. Positional Arguments self : Evision.FileStorage.t() comment : String . The written comment, single-line or multi-line Keyword Arguments append : bool . If true, the function tries to put the comment at the end of current line. Else if the comment is multi-line, or if it does not fit at the end of the current line, the comment starts a new line. The function writes a comment into file storage. The comments are skipped when the storage is read. Python prototype (for reference only): writeComment(comment[, append]) -&gt; None","ref":"Evision.FileStorage.html#writeComment/3","title":"Evision.FileStorage.writeComment/3","type":"function"},{"doc":"Type that represents an FileStorage struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.FileStorage.html#t:t/0","title":"Evision.FileStorage.t/0","type":"type"},{"doc":"","ref":"Evision.FishEye.html","title":"Evision.FishEye","type":"module"},{"doc":"Performs camera calibration Positional Arguments objectPoints : [Evision.Mat] . vector of vectors of calibration pattern points in the calibration pattern coordinate space. imagePoints : [Evision.Mat] . vector of vectors of the projections of calibration pattern points. imagePoints.size() and objectPoints.size() and imagePoints[i].size() must be equal to objectPoints[i].size() for each i. image_size : Size . Size of the image used only to initialize the camera intrinsic matrix. Keyword Arguments flags : int . Different flags that may be zero or a combination of the following values: @ref fisheye::CALIB_USE_INTRINSIC_GUESS cameraMatrix contains valid initial values of fx, fy, cx, cy that are optimized further. Otherwise, (cx, cy) is initially set to the image center ( imageSize is used), and focal distances are computed in a least-squares fashion. @ref fisheye::CALIB_RECOMPUTE_EXTRINSIC Extrinsic will be recomputed after each iteration of intrinsic optimization. @ref fisheye::CALIB_CHECK_COND The functions will check validity of condition number. @ref fisheye::CALIB_FIX_SKEW Skew coefficient (alpha) is set to zero and stay zero. @ref fisheye::CALIB_FIX_K1,..., @ref fisheye::CALIB_FIX_K4 Selected distortion coefficients are set to zeros and stay zero. @ref fisheye::CALIB_FIX_PRINCIPAL_POINT The principal point is not changed during the global optimization. It stays at the center or at a different location specified when @ref fisheye::CALIB_USE_INTRINSIC_GUESS is set too. @ref fisheye::CALIB_FIX_FOCAL_LENGTH The focal length is not changed during the global optimization. It is the \\f$max(width,height)/\\pi\\f$ or the provided \\f$f_x\\f$, \\f$f_y\\f$ when @ref fisheye::CALIB_USE_INTRINSIC_GUESS is set too. criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double k : Evision.Mat.t() . Output 3x3 floating-point camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . If d : Evision.Mat.t() . Output vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. rvecs : [Evision.Mat] . Output vector of rotation vectors (see Rodrigues ) estimated for each pattern view. That is, each k-th rotation vector together with the corresponding k-th translation vector (see the next output parameter description) brings the calibration pattern from the model coordinate space (in which object points are specified) to the world coordinate space, that is, a real position of the calibration pattern in the k-th pattern view (k=0.. M -1). tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view. @ref fisheye::CALIB_USE_INTRINSIC_GUESS is specified, some or all of fx, fy, cx, cy must be initialized before calling the function. Python prototype (for reference only): calibrate(objectPoints, imagePoints, image_size, K, D[, rvecs[, tvecs[, flags[, criteria]]]]) -&gt; retval, K, D, rvecs, tvecs","ref":"Evision.FishEye.html#calibrate/5","title":"Evision.FishEye.calibrate/5","type":"function"},{"doc":"Performs camera calibration Positional Arguments objectPoints : [Evision.Mat] . vector of vectors of calibration pattern points in the calibration pattern coordinate space. imagePoints : [Evision.Mat] . vector of vectors of the projections of calibration pattern points. imagePoints.size() and objectPoints.size() and imagePoints[i].size() must be equal to objectPoints[i].size() for each i. image_size : Size . Size of the image used only to initialize the camera intrinsic matrix. Keyword Arguments flags : int . Different flags that may be zero or a combination of the following values: @ref fisheye::CALIB_USE_INTRINSIC_GUESS cameraMatrix contains valid initial values of fx, fy, cx, cy that are optimized further. Otherwise, (cx, cy) is initially set to the image center ( imageSize is used), and focal distances are computed in a least-squares fashion. @ref fisheye::CALIB_RECOMPUTE_EXTRINSIC Extrinsic will be recomputed after each iteration of intrinsic optimization. @ref fisheye::CALIB_CHECK_COND The functions will check validity of condition number. @ref fisheye::CALIB_FIX_SKEW Skew coefficient (alpha) is set to zero and stay zero. @ref fisheye::CALIB_FIX_K1,..., @ref fisheye::CALIB_FIX_K4 Selected distortion coefficients are set to zeros and stay zero. @ref fisheye::CALIB_FIX_PRINCIPAL_POINT The principal point is not changed during the global optimization. It stays at the center or at a different location specified when @ref fisheye::CALIB_USE_INTRINSIC_GUESS is set too. @ref fisheye::CALIB_FIX_FOCAL_LENGTH The focal length is not changed during the global optimization. It is the \\f$max(width,height)/\\pi\\f$ or the provided \\f$f_x\\f$, \\f$f_y\\f$ when @ref fisheye::CALIB_USE_INTRINSIC_GUESS is set too. criteria : TermCriteria . Termination criteria for the iterative optimization algorithm. Return retval : double k : Evision.Mat.t() . Output 3x3 floating-point camera intrinsic matrix \\f$\\cameramatrix{A}\\f$ . If d : Evision.Mat.t() . Output vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. rvecs : [Evision.Mat] . Output vector of rotation vectors (see Rodrigues ) estimated for each pattern view. That is, each k-th rotation vector together with the corresponding k-th translation vector (see the next output parameter description) brings the calibration pattern from the model coordinate space (in which object points are specified) to the world coordinate space, that is, a real position of the calibration pattern in the k-th pattern view (k=0.. M -1). tvecs : [Evision.Mat] . Output vector of translation vectors estimated for each pattern view. @ref fisheye::CALIB_USE_INTRINSIC_GUESS is specified, some or all of fx, fy, cx, cy must be initialized before calling the function. Python prototype (for reference only): calibrate(objectPoints, imagePoints, image_size, K, D[, rvecs[, tvecs[, flags[, criteria]]]]) -&gt; retval, K, D, rvecs, tvecs","ref":"Evision.FishEye.html#calibrate/6","title":"Evision.FishEye.calibrate/6","type":"function"},{"doc":"Distorts 2D points using fisheye model. Positional Arguments undistorted : Evision.Mat.t() . Array of object points, 1xN/Nx1 2-channel (or vector\\&lt;Point2f&gt; ), where N is the number of points in the view. k : Evision.Mat.t() . Camera intrinsic matrix \\f$cameramatrix{K}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. Keyword Arguments alpha : double . The skew coefficient. Return distorted : Evision.Mat.t() . Output array of image points, 1xN/Nx1 2-channel, or vector\\&lt;Point2f&gt; . Note that the function assumes the camera intrinsic matrix of the undistorted points to be identity. This means if you want to distort image points you have to multiply them with \\f$K^{-1}\\f$. Python prototype (for reference only): distortPoints(undistorted, K, D[, distorted[, alpha]]) -&gt; distorted","ref":"Evision.FishEye.html#distortPoints/3","title":"Evision.FishEye.distortPoints/3","type":"function"},{"doc":"Distorts 2D points using fisheye model. Positional Arguments undistorted : Evision.Mat.t() . Array of object points, 1xN/Nx1 2-channel (or vector\\&lt;Point2f&gt; ), where N is the number of points in the view. k : Evision.Mat.t() . Camera intrinsic matrix \\f$cameramatrix{K}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. Keyword Arguments alpha : double . The skew coefficient. Return distorted : Evision.Mat.t() . Output array of image points, 1xN/Nx1 2-channel, or vector\\&lt;Point2f&gt; . Note that the function assumes the camera intrinsic matrix of the undistorted points to be identity. This means if you want to distort image points you have to multiply them with \\f$K^{-1}\\f$. Python prototype (for reference only): distortPoints(undistorted, K, D[, distorted[, alpha]]) -&gt; distorted","ref":"Evision.FishEye.html#distortPoints/4","title":"Evision.FishEye.distortPoints/4","type":"function"},{"doc":"Estimates new camera intrinsic matrix for undistortion or rectification. Positional Arguments k : Evision.Mat.t() . Camera intrinsic matrix \\f$cameramatrix{K}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. image_size : Size . Size of the image r : Evision.Mat.t() . Rectification transformation in the object space: 3x3 1-channel, or vector: 3x1/1x3 1-channel or 1x1 3-channel Keyword Arguments balance : double . Sets the new focal length in range between the min focal length and the max focal length. Balance is in range of [0, 1]. new_size : Size . the new size fov_scale : double . Divisor for new focal length. Return p : Evision.Mat.t() . New camera intrinsic matrix (3x3) or new projection matrix (3x4) Python prototype (for reference only): estimateNewCameraMatrixForUndistortRectify(K, D, image_size, R[, P[, balance[, new_size[, fov_scale]]]]) -&gt; P","ref":"Evision.FishEye.html#estimateNewCameraMatrixForUndistortRectify/4","title":"Evision.FishEye.estimateNewCameraMatrixForUndistortRectify/4","type":"function"},{"doc":"Estimates new camera intrinsic matrix for undistortion or rectification. Positional Arguments k : Evision.Mat.t() . Camera intrinsic matrix \\f$cameramatrix{K}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. image_size : Size . Size of the image r : Evision.Mat.t() . Rectification transformation in the object space: 3x3 1-channel, or vector: 3x1/1x3 1-channel or 1x1 3-channel Keyword Arguments balance : double . Sets the new focal length in range between the min focal length and the max focal length. Balance is in range of [0, 1]. new_size : Size . the new size fov_scale : double . Divisor for new focal length. Return p : Evision.Mat.t() . New camera intrinsic matrix (3x3) or new projection matrix (3x4) Python prototype (for reference only): estimateNewCameraMatrixForUndistortRectify(K, D, image_size, R[, P[, balance[, new_size[, fov_scale]]]]) -&gt; P","ref":"Evision.FishEye.html#estimateNewCameraMatrixForUndistortRectify/5","title":"Evision.FishEye.estimateNewCameraMatrixForUndistortRectify/5","type":"function"},{"doc":"Computes undistortion and rectification maps for image transform by #remap. If D is empty zero distortion is used, if R or P is empty identity matrixes are used. Positional Arguments k : Evision.Mat.t() . Camera intrinsic matrix \\f$cameramatrix{K}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. r : Evision.Mat.t() . Rectification transformation in the object space: 3x3 1-channel, or vector: 3x1/1x3 1-channel or 1x1 3-channel p : Evision.Mat.t() . New camera intrinsic matrix (3x3) or new projection matrix (3x4) size : Size . Undistorted image size. m1type : int . Type of the first output map that can be CV_32FC1 or CV_16SC2 . See #convertMaps for details. Return map1 : Evision.Mat.t() . The first output map. map2 : Evision.Mat.t() . The second output map. Python prototype (for reference only): initUndistortRectifyMap(K, D, R, P, size, m1type[, map1[, map2]]) -&gt; map1, map2","ref":"Evision.FishEye.html#initUndistortRectifyMap/6","title":"Evision.FishEye.initUndistortRectifyMap/6","type":"function"},{"doc":"Computes undistortion and rectification maps for image transform by #remap. If D is empty zero distortion is used, if R or P is empty identity matrixes are used. Positional Arguments k : Evision.Mat.t() . Camera intrinsic matrix \\f$cameramatrix{K}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. r : Evision.Mat.t() . Rectification transformation in the object space: 3x3 1-channel, or vector: 3x1/1x3 1-channel or 1x1 3-channel p : Evision.Mat.t() . New camera intrinsic matrix (3x3) or new projection matrix (3x4) size : Size . Undistorted image size. m1type : int . Type of the first output map that can be CV_32FC1 or CV_16SC2 . See #convertMaps for details. Return map1 : Evision.Mat.t() . The first output map. map2 : Evision.Mat.t() . The second output map. Python prototype (for reference only): initUndistortRectifyMap(K, D, R, P, size, m1type[, map1[, map2]]) -&gt; map1, map2","ref":"Evision.FishEye.html#initUndistortRectifyMap/7","title":"Evision.FishEye.initUndistortRectifyMap/7","type":"function"},{"doc":"projectPoints Positional Arguments objectPoints : Evision.Mat.t() rvec : Evision.Mat.t() tvec : Evision.Mat.t() k : Evision.Mat.t() d : Evision.Mat.t() Keyword Arguments alpha : double . Return imagePoints : Evision.Mat.t() . jacobian : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): projectPoints(objectPoints, rvec, tvec, K, D[, imagePoints[, alpha[, jacobian]]]) -&gt; imagePoints, jacobian","ref":"Evision.FishEye.html#projectPoints/5","title":"Evision.FishEye.projectPoints/5","type":"function"},{"doc":"projectPoints Positional Arguments objectPoints : Evision.Mat.t() rvec : Evision.Mat.t() tvec : Evision.Mat.t() k : Evision.Mat.t() d : Evision.Mat.t() Keyword Arguments alpha : double . Return imagePoints : Evision.Mat.t() . jacobian : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): projectPoints(objectPoints, rvec, tvec, K, D[, imagePoints[, alpha[, jacobian]]]) -&gt; imagePoints, jacobian","ref":"Evision.FishEye.html#projectPoints/6","title":"Evision.FishEye.projectPoints/6","type":"function"},{"doc":"stereoCalibrate Positional Arguments objectPoints : [Evision.Mat] imagePoints1 : [Evision.Mat] imagePoints2 : [Evision.Mat] imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double k1 : Evision.Mat.t() d1 : Evision.Mat.t() k2 : Evision.Mat.t() d2 : Evision.Mat.t() r : Evision.Mat.t() . t : Evision.Mat.t() . Python prototype (for reference only): stereoCalibrate(objectPoints, imagePoints1, imagePoints2, K1, D1, K2, D2, imageSize[, R[, T[, flags[, criteria]]]]) -&gt; retval, K1, D1, K2, D2, R, T","ref":"Evision.FishEye.html#stereoCalibrate/8","title":"Evision.FishEye.stereoCalibrate/8","type":"function"},{"doc":"stereoCalibrate Positional Arguments objectPoints : [Evision.Mat] imagePoints1 : [Evision.Mat] imagePoints2 : [Evision.Mat] imageSize : Size Keyword Arguments flags : int . criteria : TermCriteria . Return retval : double k1 : Evision.Mat.t() d1 : Evision.Mat.t() k2 : Evision.Mat.t() d2 : Evision.Mat.t() r : Evision.Mat.t() . t : Evision.Mat.t() . Python prototype (for reference only): stereoCalibrate(objectPoints, imagePoints1, imagePoints2, K1, D1, K2, D2, imageSize[, R[, T[, flags[, criteria]]]]) -&gt; retval, K1, D1, K2, D2, R, T","ref":"Evision.FishEye.html#stereoCalibrate/9","title":"Evision.FishEye.stereoCalibrate/9","type":"function"},{"doc":"Stereo rectification for fisheye camera model Positional Arguments k1 : Evision.Mat.t() . First camera intrinsic matrix. d1 : Evision.Mat.t() . First camera distortion parameters. k2 : Evision.Mat.t() . Second camera intrinsic matrix. d2 : Evision.Mat.t() . Second camera distortion parameters. imageSize : Size . Size of the image used for stereo calibration. r : Evision.Mat.t() . Rotation matrix between the coordinate systems of the first and the second cameras. tvec : Evision.Mat.t() . Translation vector between coordinate systems of the cameras. flags : int . Operation flags that may be zero or @ref fisheye::CALIB_ZERO_DISPARITY . If the flag is set, the function makes the principal points of each camera have the same pixel coordinates in the rectified views. And if the flag is not set, the function may still shift the images in the horizontal or vertical direction (depending on the orientation of epipolar lines) to maximize the useful image area. Keyword Arguments newImageSize : Size . New image resolution after rectification. The same size should be passed to #initUndistortRectifyMap (see the stereo_calib.cpp sample in OpenCV samples directory). When (0,0) is passed (default), it is set to the original imageSize . Setting it to larger value can help you preserve details in the original image, especially when there is a big radial distortion. balance : double . Sets the new focal length in range between the min focal length and the max focal length. Balance is in range of [0, 1]. fov_scale : double . Divisor for new focal length. Return r1 : Evision.Mat.t() . Output 3x3 rectification transform (rotation matrix) for the first camera. r2 : Evision.Mat.t() . Output 3x3 rectification transform (rotation matrix) for the second camera. p1 : Evision.Mat.t() . Output 3x4 projection matrix in the new (rectified) coordinate systems for the first camera. p2 : Evision.Mat.t() . Output 3x4 projection matrix in the new (rectified) coordinate systems for the second camera. q : Evision.Mat.t() . Output \\f$4 \\times 4\\f$ disparity-to-depth mapping matrix (see #reprojectImageTo3D ). Python prototype (for reference only): stereoRectify(K1, D1, K2, D2, imageSize, R, tvec, flags[, R1[, R2[, P1[, P2[, Q[, newImageSize[, balance[, fov_scale]]]]]]]]) -&gt; R1, R2, P1, P2, Q","ref":"Evision.FishEye.html#stereoRectify/8","title":"Evision.FishEye.stereoRectify/8","type":"function"},{"doc":"Stereo rectification for fisheye camera model Positional Arguments k1 : Evision.Mat.t() . First camera intrinsic matrix. d1 : Evision.Mat.t() . First camera distortion parameters. k2 : Evision.Mat.t() . Second camera intrinsic matrix. d2 : Evision.Mat.t() . Second camera distortion parameters. imageSize : Size . Size of the image used for stereo calibration. r : Evision.Mat.t() . Rotation matrix between the coordinate systems of the first and the second cameras. tvec : Evision.Mat.t() . Translation vector between coordinate systems of the cameras. flags : int . Operation flags that may be zero or @ref fisheye::CALIB_ZERO_DISPARITY . If the flag is set, the function makes the principal points of each camera have the same pixel coordinates in the rectified views. And if the flag is not set, the function may still shift the images in the horizontal or vertical direction (depending on the orientation of epipolar lines) to maximize the useful image area. Keyword Arguments newImageSize : Size . New image resolution after rectification. The same size should be passed to #initUndistortRectifyMap (see the stereo_calib.cpp sample in OpenCV samples directory). When (0,0) is passed (default), it is set to the original imageSize . Setting it to larger value can help you preserve details in the original image, especially when there is a big radial distortion. balance : double . Sets the new focal length in range between the min focal length and the max focal length. Balance is in range of [0, 1]. fov_scale : double . Divisor for new focal length. Return r1 : Evision.Mat.t() . Output 3x3 rectification transform (rotation matrix) for the first camera. r2 : Evision.Mat.t() . Output 3x3 rectification transform (rotation matrix) for the second camera. p1 : Evision.Mat.t() . Output 3x4 projection matrix in the new (rectified) coordinate systems for the first camera. p2 : Evision.Mat.t() . Output 3x4 projection matrix in the new (rectified) coordinate systems for the second camera. q : Evision.Mat.t() . Output \\f$4 \\times 4\\f$ disparity-to-depth mapping matrix (see #reprojectImageTo3D ). Python prototype (for reference only): stereoRectify(K1, D1, K2, D2, imageSize, R, tvec, flags[, R1[, R2[, P1[, P2[, Q[, newImageSize[, balance[, fov_scale]]]]]]]]) -&gt; R1, R2, P1, P2, Q","ref":"Evision.FishEye.html#stereoRectify/9","title":"Evision.FishEye.stereoRectify/9","type":"function"},{"doc":"Transforms an image to compensate for fisheye lens distortion. Positional Arguments distorted : Evision.Mat.t() . image with fisheye lens distortion. k : Evision.Mat.t() . Camera intrinsic matrix \\f$cameramatrix{K}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. Keyword Arguments knew : Evision.Mat.t() . Camera intrinsic matrix of the distorted image. By default, it is the identity matrix but you may additionally scale and shift the result by using a different matrix. new_size : Size . the new size Return undistorted : Evision.Mat.t() . Output image with compensated fisheye lens distortion. The function transforms an image to compensate radial and tangential lens distortion. The function is simply a combination of #fisheye::initUndistortRectifyMap (with unity R ) and #remap (with bilinear interpolation). See the former function for details of the transformation being performed. See below the results of undistortImage. a) result of undistort of perspective camera model (all possible coefficients (k_1, k_2, k_3, k_4, k_5, k_6) of distortion were optimized under calibration) b) result of #fisheye::undistortImage of fisheye camera model (all possible coefficients (k_1, k_2, k_3, k_4) of fisheye distortion were optimized under calibration) c) original image was captured with fisheye lens Pictures a) and b) almost the same. But if we consider points of image located far from the center of image, we can notice that on image a) these points are distorted. Python prototype (for reference only): undistortImage(distorted, K, D[, undistorted[, Knew[, new_size]]]) -&gt; undistorted","ref":"Evision.FishEye.html#undistortImage/3","title":"Evision.FishEye.undistortImage/3","type":"function"},{"doc":"Transforms an image to compensate for fisheye lens distortion. Positional Arguments distorted : Evision.Mat.t() . image with fisheye lens distortion. k : Evision.Mat.t() . Camera intrinsic matrix \\f$cameramatrix{K}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. Keyword Arguments knew : Evision.Mat.t() . Camera intrinsic matrix of the distorted image. By default, it is the identity matrix but you may additionally scale and shift the result by using a different matrix. new_size : Size . the new size Return undistorted : Evision.Mat.t() . Output image with compensated fisheye lens distortion. The function transforms an image to compensate radial and tangential lens distortion. The function is simply a combination of #fisheye::initUndistortRectifyMap (with unity R ) and #remap (with bilinear interpolation). See the former function for details of the transformation being performed. See below the results of undistortImage. a) result of undistort of perspective camera model (all possible coefficients (k_1, k_2, k_3, k_4, k_5, k_6) of distortion were optimized under calibration) b) result of #fisheye::undistortImage of fisheye camera model (all possible coefficients (k_1, k_2, k_3, k_4) of fisheye distortion were optimized under calibration) c) original image was captured with fisheye lens Pictures a) and b) almost the same. But if we consider points of image located far from the center of image, we can notice that on image a) these points are distorted. Python prototype (for reference only): undistortImage(distorted, K, D[, undistorted[, Knew[, new_size]]]) -&gt; undistorted","ref":"Evision.FishEye.html#undistortImage/4","title":"Evision.FishEye.undistortImage/4","type":"function"},{"doc":"Undistorts 2D points using fisheye model Positional Arguments distorted : Evision.Mat.t() . Array of object points, 1xN/Nx1 2-channel (or vector\\&lt;Point2f&gt; ), where N is the number of points in the view. k : Evision.Mat.t() . Camera intrinsic matrix \\f$cameramatrix{K}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. Keyword Arguments r : Evision.Mat.t() . Rectification transformation in the object space: 3x3 1-channel, or vector: 3x1/1x3 1-channel or 1x1 3-channel p : Evision.Mat.t() . New camera intrinsic matrix (3x3) or new projection matrix (3x4) criteria : TermCriteria . Termination criteria Return undistorted : Evision.Mat.t() . Output array of image points, 1xN/Nx1 2-channel, or vector\\&lt;Point2f&gt; . Python prototype (for reference only): undistortPoints(distorted, K, D[, undistorted[, R[, P[, criteria]]]]) -&gt; undistorted","ref":"Evision.FishEye.html#undistortPoints/3","title":"Evision.FishEye.undistortPoints/3","type":"function"},{"doc":"Undistorts 2D points using fisheye model Positional Arguments distorted : Evision.Mat.t() . Array of object points, 1xN/Nx1 2-channel (or vector\\&lt;Point2f&gt; ), where N is the number of points in the view. k : Evision.Mat.t() . Camera intrinsic matrix \\f$cameramatrix{K}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$\\distcoeffsfisheye\\f$. Keyword Arguments r : Evision.Mat.t() . Rectification transformation in the object space: 3x3 1-channel, or vector: 3x1/1x3 1-channel or 1x1 3-channel p : Evision.Mat.t() . New camera intrinsic matrix (3x3) or new projection matrix (3x4) criteria : TermCriteria . Termination criteria Return undistorted : Evision.Mat.t() . Output array of image points, 1xN/Nx1 2-channel, or vector\\&lt;Point2f&gt; . Python prototype (for reference only): undistortPoints(distorted, K, D[, undistorted[, R[, P[, criteria]]]]) -&gt; undistorted","ref":"Evision.FishEye.html#undistortPoints/4","title":"Evision.FishEye.undistortPoints/4","type":"function"},{"doc":"Type that represents an FishEye struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.FishEye.html#t:t/0","title":"Evision.FishEye.t/0","type":"type"},{"doc":"","ref":"Evision.Flann.html","title":"Evision.Flann","type":"module"},{"doc":"Type that represents an Flann struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Flann.html#t:t/0","title":"Evision.Flann.t/0","type":"type"},{"doc":"","ref":"Evision.Flann.Index.html","title":"Evision.Flann.Index","type":"module"},{"doc":"build Positional Arguments self : Evision.Flann.Index.t() features : Evision.Mat.t() params : IndexParams Keyword Arguments distType : cvflann_flann_distance_t . Python prototype (for reference only): build(features, params[, distType]) -&gt; None","ref":"Evision.Flann.Index.html#build/3","title":"Evision.Flann.Index.build/3","type":"function"},{"doc":"build Positional Arguments self : Evision.Flann.Index.t() features : Evision.Mat.t() params : IndexParams Keyword Arguments distType : cvflann_flann_distance_t . Python prototype (for reference only): build(features, params[, distType]) -&gt; None","ref":"Evision.Flann.Index.html#build/4","title":"Evision.Flann.Index.build/4","type":"function"},{"doc":"getAlgorithm Positional Arguments self : Evision.Flann.Index.t() Return retval : cvflann::flann_algorithm_t Python prototype (for reference only): getAlgorithm() -&gt; retval","ref":"Evision.Flann.Index.html#getAlgorithm/1","title":"Evision.Flann.Index.getAlgorithm/1","type":"function"},{"doc":"getDistance Positional Arguments self : Evision.Flann.Index.t() Return retval : cvflann::flann_distance_t Python prototype (for reference only): getDistance() -&gt; retval","ref":"Evision.Flann.Index.html#getDistance/1","title":"Evision.Flann.Index.getDistance/1","type":"function"},{"doc":"Index Return self : Evision.Flann.Index.t() Python prototype (for reference only): Index() -&gt; &lt;flann_Index object&gt;","ref":"Evision.Flann.Index.html#index/0","title":"Evision.Flann.Index.index/0","type":"function"},{"doc":"Index Positional Arguments features : Evision.Mat.t() params : IndexParams Keyword Arguments distType : cvflann_flann_distance_t . Return self : Evision.Flann.Index.t() Python prototype (for reference only): Index(features, params[, distType]) -&gt; &lt;flann_Index object&gt;","ref":"Evision.Flann.Index.html#index/2","title":"Evision.Flann.Index.index/2","type":"function"},{"doc":"Index Positional Arguments features : Evision.Mat.t() params : IndexParams Keyword Arguments distType : cvflann_flann_distance_t . Return self : Evision.Flann.Index.t() Python prototype (for reference only): Index(features, params[, distType]) -&gt; &lt;flann_Index object&gt;","ref":"Evision.Flann.Index.html#index/3","title":"Evision.Flann.Index.index/3","type":"function"},{"doc":"knnSearch Positional Arguments self : Evision.Flann.Index.t() query : Evision.Mat.t() knn : int Keyword Arguments params : SearchParams . Return indices : Evision.Mat.t() . dists : Evision.Mat.t() . Python prototype (for reference only): knnSearch(query, knn[, indices[, dists[, params]]]) -&gt; indices, dists","ref":"Evision.Flann.Index.html#knnSearch/3","title":"Evision.Flann.Index.knnSearch/3","type":"function"},{"doc":"knnSearch Positional Arguments self : Evision.Flann.Index.t() query : Evision.Mat.t() knn : int Keyword Arguments params : SearchParams . Return indices : Evision.Mat.t() . dists : Evision.Mat.t() . Python prototype (for reference only): knnSearch(query, knn[, indices[, dists[, params]]]) -&gt; indices, dists","ref":"Evision.Flann.Index.html#knnSearch/4","title":"Evision.Flann.Index.knnSearch/4","type":"function"},{"doc":"load Positional Arguments self : Evision.Flann.Index.t() features : Evision.Mat.t() filename : String Return retval : bool Python prototype (for reference only): load(features, filename) -&gt; retval","ref":"Evision.Flann.Index.html#load/3","title":"Evision.Flann.Index.load/3","type":"function"},{"doc":"radiusSearch Positional Arguments self : Evision.Flann.Index.t() query : Evision.Mat.t() radius : double maxResults : int Keyword Arguments params : SearchParams . Return retval : int indices : Evision.Mat.t() . dists : Evision.Mat.t() . Python prototype (for reference only): radiusSearch(query, radius, maxResults[, indices[, dists[, params]]]) -&gt; retval, indices, dists","ref":"Evision.Flann.Index.html#radiusSearch/4","title":"Evision.Flann.Index.radiusSearch/4","type":"function"},{"doc":"radiusSearch Positional Arguments self : Evision.Flann.Index.t() query : Evision.Mat.t() radius : double maxResults : int Keyword Arguments params : SearchParams . Return retval : int indices : Evision.Mat.t() . dists : Evision.Mat.t() . Python prototype (for reference only): radiusSearch(query, radius, maxResults[, indices[, dists[, params]]]) -&gt; retval, indices, dists","ref":"Evision.Flann.Index.html#radiusSearch/5","title":"Evision.Flann.Index.radiusSearch/5","type":"function"},{"doc":"release Positional Arguments self : Evision.Flann.Index.t() Python prototype (for reference only): release() -&gt; None","ref":"Evision.Flann.Index.html#release/1","title":"Evision.Flann.Index.release/1","type":"function"},{"doc":"save Positional Arguments self : Evision.Flann.Index.t() filename : String Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Flann.Index.html#save/2","title":"Evision.Flann.Index.save/2","type":"function"},{"doc":"Type that represents an Flann.Index struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Flann.Index.html#t:t/0","title":"Evision.Flann.Index.t/0","type":"type"},{"doc":"","ref":"Evision.FlannBasedMatcher.html","title":"Evision.FlannBasedMatcher","type":"module"},{"doc":"Adds descriptors to train a CPU(trainDescCollectionis) or GPU(utrainDescCollectionis) descriptor collection. Positional Arguments self : Evision.FlannBasedMatcher.t() descriptors : [Evision.Mat] . Descriptors to add. Each descriptors[i] is a set of descriptors from the same train image. If the collection is not empty, the new descriptors are added to existing train descriptors. Python prototype (for reference only): add(descriptors) -&gt; None","ref":"Evision.FlannBasedMatcher.html#add/2","title":"Evision.FlannBasedMatcher.add/2","type":"function"},{"doc":"Clears the train descriptor collections. Positional Arguments self : Evision.FlannBasedMatcher.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.FlannBasedMatcher.html#clear/1","title":"Evision.FlannBasedMatcher.clear/1","type":"function"},{"doc":"Clones the matcher. Positional Arguments self : Evision.FlannBasedMatcher.t() Keyword Arguments emptyTrainData : bool . If emptyTrainData is false, the method creates a deep copy of the object, that is, copies both parameters and train data. If emptyTrainData is true, the method creates an object copy with the current parameters but with empty train data. Return retval : Evision.DescriptorMatcher.t() Python prototype (for reference only): clone([, emptyTrainData]) -&gt; retval","ref":"Evision.FlannBasedMatcher.html#clone/1","title":"Evision.FlannBasedMatcher.clone/1","type":"function"},{"doc":"Clones the matcher. Positional Arguments self : Evision.FlannBasedMatcher.t() Keyword Arguments emptyTrainData : bool . If emptyTrainData is false, the method creates a deep copy of the object, that is, copies both parameters and train data. If emptyTrainData is true, the method creates an object copy with the current parameters but with empty train data. Return retval : Evision.DescriptorMatcher.t() Python prototype (for reference only): clone([, emptyTrainData]) -&gt; retval","ref":"Evision.FlannBasedMatcher.html#clone/2","title":"Evision.FlannBasedMatcher.clone/2","type":"function"},{"doc":"create Return retval : Evision.FlannBasedMatcher.t() Python prototype (for reference only): create() -&gt; retval","ref":"Evision.FlannBasedMatcher.html#create/0","title":"Evision.FlannBasedMatcher.create/0","type":"function"},{"doc":"Returns true if there are no train descriptors in the both collections. Positional Arguments self : Evision.FlannBasedMatcher.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.FlannBasedMatcher.html#empty/1","title":"Evision.FlannBasedMatcher.empty/1","type":"function"},{"doc":"FlannBasedMatcher Keyword Arguments indexParams : flann::IndexParams . searchParams : flann::SearchParams . Return self : Evision.FlannBasedMatcher.t() Python prototype (for reference only): FlannBasedMatcher([, indexParams[, searchParams]]) -&gt; &lt;FlannBasedMatcher object&gt;","ref":"Evision.FlannBasedMatcher.html#flannBasedMatcher/0","title":"Evision.FlannBasedMatcher.flannBasedMatcher/0","type":"function"},{"doc":"FlannBasedMatcher Keyword Arguments indexParams : flann::IndexParams . searchParams : flann::SearchParams . Return self : Evision.FlannBasedMatcher.t() Python prototype (for reference only): FlannBasedMatcher([, indexParams[, searchParams]]) -&gt; &lt;FlannBasedMatcher object&gt;","ref":"Evision.FlannBasedMatcher.html#flannBasedMatcher/1","title":"Evision.FlannBasedMatcher.flannBasedMatcher/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.FlannBasedMatcher.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.FlannBasedMatcher.html#getDefaultName/1","title":"Evision.FlannBasedMatcher.getDefaultName/1","type":"function"},{"doc":"Returns a constant link to the train descriptor collection trainDescCollection . Positional Arguments self : Evision.FlannBasedMatcher.t() Return retval : [Evision.Mat] Python prototype (for reference only): getTrainDescriptors() -&gt; retval","ref":"Evision.FlannBasedMatcher.html#getTrainDescriptors/1","title":"Evision.FlannBasedMatcher.getTrainDescriptors/1","type":"function"},{"doc":"Returns true if the descriptor matcher supports masking permissible matches. Positional Arguments self : Evision.FlannBasedMatcher.t() Return retval : bool Python prototype (for reference only): isMaskSupported() -&gt; retval","ref":"Evision.FlannBasedMatcher.html#isMaskSupported/1","title":"Evision.FlannBasedMatcher.isMaskSupported/1","type":"function"},{"doc":"knnMatch Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. Has overloading in C++ Python prototype (for reference only): knnMatch(queryDescriptors, k[, masks[, compactResult]]) -&gt; matches","ref":"Evision.FlannBasedMatcher.html#knnMatch/3","title":"Evision.FlannBasedMatcher.knnMatch/3","type":"function"},{"doc":"Variant 1: Finds the k best matches for each descriptor from a query set. Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. These extended variants of DescriptorMatcher::match methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::match for the details about query and train descriptors. Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches Variant 2: knnMatch Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. Has overloading in C++ Python prototype (for reference only): knnMatch(queryDescriptors, k[, masks[, compactResult]]) -&gt; matches","ref":"Evision.FlannBasedMatcher.html#knnMatch/4","title":"Evision.FlannBasedMatcher.knnMatch/4","type":"function"},{"doc":"Finds the k best matches for each descriptor from a query set. Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. k : int . Count of best matches found per each query descriptor or less if a query descriptor has less than k possible matches in total. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Matches. Each matches[i] is k or less matches for the same query descriptor. These extended variants of DescriptorMatcher::match methods find several best matches for each query descriptor. The matches are returned in the distance increasing order. See DescriptorMatcher::match for the details about query and train descriptors. Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches","ref":"Evision.FlannBasedMatcher.html#knnMatch/5","title":"Evision.FlannBasedMatcher.knnMatch/5","type":"function"},{"doc":"match Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. Has overloading in C++ Python prototype (for reference only): match(queryDescriptors[, masks]) -&gt; matches","ref":"Evision.FlannBasedMatcher.html#match/2","title":"Evision.FlannBasedMatcher.match/2","type":"function"},{"doc":"Variant 1: Finds the best match for each descriptor from a query set. Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches Variant 2: match Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. Has overloading in C++ Python prototype (for reference only): match(queryDescriptors[, masks]) -&gt; matches","ref":"Evision.FlannBasedMatcher.html#match/3","title":"Evision.FlannBasedMatcher.match/3","type":"function"},{"doc":"Finds the best match for each descriptor from a query set. Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. Return matches : [Evision.DMatch] . Matches. If a query descriptor is masked out in mask , no match is added for this descriptor. So, matches size may be smaller than the query descriptors count. In the first variant of this method, the train descriptors are passed as an input argument. In the second variant of the method, train descriptors collection that was set by DescriptorMatcher::add is used. Optional mask (or masks) can be passed to specify which query and training descriptors can be matched. Namely, queryDescriptors[i] can be matched with trainDescriptors[j] only if mask.at\\&lt;uchar&gt;(i,j) is non-zero. Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches","ref":"Evision.FlannBasedMatcher.html#match/4","title":"Evision.FlannBasedMatcher.match/4","type":"function"},{"doc":"radiusMatch Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. Has overloading in C++ Python prototype (for reference only): radiusMatch(queryDescriptors, maxDistance[, masks[, compactResult]]) -&gt; matches","ref":"Evision.FlannBasedMatcher.html#radiusMatch/3","title":"Evision.FlannBasedMatcher.radiusMatch/3","type":"function"},{"doc":"Variant 1: For each query descriptor, finds the training descriptors not farther than the specified distance. Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatch(queryDescriptors, trainDescriptors, maxDistance[, mask[, compactResult]]) -&gt; matches Variant 2: radiusMatch Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments masks : [Evision.Mat] . Set of masks. Each masks[i] specifies permissible matches between the input query descriptors and stored train descriptors from the i-th image trainDescCollection[i]. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. Has overloading in C++ Python prototype (for reference only): radiusMatch(queryDescriptors, maxDistance[, masks[, compactResult]]) -&gt; matches","ref":"Evision.FlannBasedMatcher.html#radiusMatch/4","title":"Evision.FlannBasedMatcher.radiusMatch/4","type":"function"},{"doc":"For each query descriptor, finds the training descriptors not farther than the specified distance. Positional Arguments self : Evision.FlannBasedMatcher.t() queryDescriptors : Evision.Mat.t() . Query set of descriptors. trainDescriptors : Evision.Mat.t() . Train set of descriptors. This set is not added to the train descriptors collection stored in the class object. maxDistance : float . Threshold for the distance between matched descriptors. Distance means here metric distance (e.g. Hamming distance), not the distance between coordinates (which is measured in Pixels)! Keyword Arguments mask : Evision.Mat.t() . Mask specifying permissible matches between an input query and train matrices of descriptors. compactResult : bool . Parameter used when the mask (or masks) is not empty. If compactResult is false, the matches vector has the same size as queryDescriptors rows. If compactResult is true, the matches vector does not contain matches for fully masked-out query descriptors. Return matches : [[Evision.DMatch]] . Found matches. For each query descriptor, the methods find such training descriptors that the distance between the query descriptor and the training descriptor is equal or smaller than maxDistance. Found matches are returned in the distance increasing order. Python prototype (for reference only): radiusMatch(queryDescriptors, trainDescriptors, maxDistance[, mask[, compactResult]]) -&gt; matches","ref":"Evision.FlannBasedMatcher.html#radiusMatch/5","title":"Evision.FlannBasedMatcher.radiusMatch/5","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.FlannBasedMatcher.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.FlannBasedMatcher.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.FlannBasedMatcher.html#read/2","title":"Evision.FlannBasedMatcher.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.FlannBasedMatcher.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.FlannBasedMatcher.html#save/2","title":"Evision.FlannBasedMatcher.save/2","type":"function"},{"doc":"Trains a descriptor matcher Positional Arguments self : Evision.FlannBasedMatcher.t() Trains a descriptor matcher (for example, the flann index). In all methods to match, the method train() is run every time before matching. Some descriptor matchers (for example, BruteForceMatcher) have an empty implementation of this method. Other matchers really train their inner structures (for example, FlannBasedMatcher trains flann::Index ). Python prototype (for reference only): train() -&gt; None","ref":"Evision.FlannBasedMatcher.html#train/1","title":"Evision.FlannBasedMatcher.train/1","type":"function"},{"doc":"write Positional Arguments self : Evision.FlannBasedMatcher.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.FlannBasedMatcher.html#write/2","title":"Evision.FlannBasedMatcher.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.FlannBasedMatcher.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.FlannBasedMatcher.html#write/3","title":"Evision.FlannBasedMatcher.write/3","type":"function"},{"doc":"Type that represents an FlannBasedMatcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.FlannBasedMatcher.html#t:t/0","title":"Evision.FlannBasedMatcher.t/0","type":"type"},{"doc":"","ref":"Evision.Ft.html","title":"Evision.Ft","type":"module"},{"doc":"Creates kernel from basic functions. Positional Arguments a : Evision.Mat.t() . Basic function used in axis x . b : Evision.Mat.t() . Basic function used in axis y . chn : int . Number of kernel channels. Return kernel : Evision.Mat.t() . Final 32-bit kernel derived from A and B . The function creates kernel usable for latter fuzzy image processing. Python prototype (for reference only): createKernel1(A, B, chn[, kernel]) -&gt; kernel","ref":"Evision.Ft.html#createKernel1/3","title":"Evision.Ft.createKernel1/3","type":"function"},{"doc":"Creates kernel from basic functions. Positional Arguments a : Evision.Mat.t() . Basic function used in axis x . b : Evision.Mat.t() . Basic function used in axis y . chn : int . Number of kernel channels. Return kernel : Evision.Mat.t() . Final 32-bit kernel derived from A and B . The function creates kernel usable for latter fuzzy image processing. Python prototype (for reference only): createKernel1(A, B, chn[, kernel]) -&gt; kernel","ref":"Evision.Ft.html#createKernel1/4","title":"Evision.Ft.createKernel1/4","type":"function"},{"doc":"Creates kernel from general functions. Positional Arguments function : int . Function type could be one of the following: LINEAR Linear basic function. radius : int . Radius of the basic function. chn : int . Number of kernel channels. Return kernel : Evision.Mat.t() . Final 32-bit kernel. The function creates kernel from predefined functions. Python prototype (for reference only): createKernel(function, radius, chn[, kernel]) -&gt; kernel","ref":"Evision.Ft.html#createKernel/3","title":"Evision.Ft.createKernel/3","type":"function"},{"doc":"Creates kernel from general functions. Positional Arguments function : int . Function type could be one of the following: LINEAR Linear basic function. radius : int . Radius of the basic function. chn : int . Number of kernel channels. Return kernel : Evision.Mat.t() . Final 32-bit kernel. The function creates kernel from predefined functions. Python prototype (for reference only): createKernel(function, radius, chn[, kernel]) -&gt; kernel","ref":"Evision.Ft.html#createKernel/4","title":"Evision.Ft.createKernel/4","type":"function"},{"doc":"Image filtering Positional Arguments image : Evision.Mat.t() . Input image. kernel : Evision.Mat.t() . Final 32-bit kernel. Return output : Evision.Mat.t() . Output 32-bit image. Filtering of the input image by means of F-transform. Python prototype (for reference only): filter(image, kernel[, output]) -&gt; output","ref":"Evision.Ft.html#filter/2","title":"Evision.Ft.filter/2","type":"function"},{"doc":"Image filtering Positional Arguments image : Evision.Mat.t() . Input image. kernel : Evision.Mat.t() . Final 32-bit kernel. Return output : Evision.Mat.t() . Output 32-bit image. Filtering of the input image by means of F-transform. Python prototype (for reference only): filter(image, kernel[, output]) -&gt; output","ref":"Evision.Ft.html#filter/3","title":"Evision.Ft.filter/3","type":"function"},{"doc":"Image inpainting Positional Arguments image : Evision.Mat.t() . Input image. mask : Evision.Mat.t() . Mask used for unwanted area marking. radius : int . Radius of the basic function. function : int . Function type could be one of the following: ft::LINEAR Linear basic function. algorithm : int . Algorithm could be one of the following: ft::ONE_STEP One step algorithm. ft::MULTI_STEP This algorithm automaticaly increases radius of the basic function. ft::ITERATIVE Iterative algorithm running in more steps using partial computations. Return output : Evision.Mat.t() . Output 32-bit image. This function provides inpainting technique based on the fuzzy mathematic. Note : The algorithms are described in paper @cite Perf:rec. Python prototype (for reference only): inpaint(image, mask, radius, function, algorithm[, output]) -&gt; output","ref":"Evision.Ft.html#inpaint/5","title":"Evision.Ft.inpaint/5","type":"function"},{"doc":"Image inpainting Positional Arguments image : Evision.Mat.t() . Input image. mask : Evision.Mat.t() . Mask used for unwanted area marking. radius : int . Radius of the basic function. function : int . Function type could be one of the following: ft::LINEAR Linear basic function. algorithm : int . Algorithm could be one of the following: ft::ONE_STEP One step algorithm. ft::MULTI_STEP This algorithm automaticaly increases radius of the basic function. ft::ITERATIVE Iterative algorithm running in more steps using partial computations. Return output : Evision.Mat.t() . Output 32-bit image. This function provides inpainting technique based on the fuzzy mathematic. Note : The algorithms are described in paper @cite Perf:rec. Python prototype (for reference only): inpaint(image, mask, radius, function, algorithm[, output]) -&gt; output","ref":"Evision.Ft.html#inpaint/6","title":"Evision.Ft.inpaint/6","type":"function"},{"doc":"Type that represents an Ft struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Ft.html#t:t/0","title":"Evision.Ft.t/0","type":"type"},{"doc":"","ref":"Evision.GFTTDetector.html","title":"Evision.GFTTDetector","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.GFTTDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.GFTTDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.GFTTDetector.html#compute/3","title":"Evision.GFTTDetector.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.GFTTDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.GFTTDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.GFTTDetector.html#compute/4","title":"Evision.GFTTDetector.compute/4","type":"function"},{"doc":"create Keyword Arguments maxCorners : int . qualityLevel : double . minDistance : double . blockSize : int . useHarrisDetector : bool . k : double . Return retval : Evision.GFTTDetector.t() Python prototype (for reference only): create([, maxCorners[, qualityLevel[, minDistance[, blockSize[, useHarrisDetector[, k]]]]]]) -&gt; retval","ref":"Evision.GFTTDetector.html#create/0","title":"Evision.GFTTDetector.create/0","type":"function"},{"doc":"create Keyword Arguments maxCorners : int . qualityLevel : double . minDistance : double . blockSize : int . useHarrisDetector : bool . k : double . Return retval : Evision.GFTTDetector.t() Python prototype (for reference only): create([, maxCorners[, qualityLevel[, minDistance[, blockSize[, useHarrisDetector[, k]]]]]]) -&gt; retval","ref":"Evision.GFTTDetector.html#create/1","title":"Evision.GFTTDetector.create/1","type":"function"},{"doc":"create Positional Arguments maxCorners : int qualityLevel : double minDistance : double blockSize : int gradiantSize : int Keyword Arguments useHarrisDetector : bool . k : double . Return retval : Evision.GFTTDetector.t() Python prototype (for reference only): create(maxCorners, qualityLevel, minDistance, blockSize, gradiantSize[, useHarrisDetector[, k]]) -&gt; retval","ref":"Evision.GFTTDetector.html#create/5","title":"Evision.GFTTDetector.create/5","type":"function"},{"doc":"create Positional Arguments maxCorners : int qualityLevel : double minDistance : double blockSize : int gradiantSize : int Keyword Arguments useHarrisDetector : bool . k : double . Return retval : Evision.GFTTDetector.t() Python prototype (for reference only): create(maxCorners, qualityLevel, minDistance, blockSize, gradiantSize[, useHarrisDetector[, k]]) -&gt; retval","ref":"Evision.GFTTDetector.html#create/6","title":"Evision.GFTTDetector.create/6","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.GFTTDetector.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.GFTTDetector.html#defaultNorm/1","title":"Evision.GFTTDetector.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.GFTTDetector.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.GFTTDetector.html#descriptorSize/1","title":"Evision.GFTTDetector.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.GFTTDetector.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.GFTTDetector.html#descriptorType/1","title":"Evision.GFTTDetector.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.GFTTDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.GFTTDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.GFTTDetector.html#detect/2","title":"Evision.GFTTDetector.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.GFTTDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.GFTTDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.GFTTDetector.html#detect/3","title":"Evision.GFTTDetector.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.GFTTDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.GFTTDetector.html#detectAndCompute/3","title":"Evision.GFTTDetector.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.GFTTDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.GFTTDetector.html#detectAndCompute/4","title":"Evision.GFTTDetector.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.GFTTDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.GFTTDetector.html#empty/1","title":"Evision.GFTTDetector.empty/1","type":"function"},{"doc":"getBlockSize Positional Arguments self : Evision.GFTTDetector.t() Return retval : int Python prototype (for reference only): getBlockSize() -&gt; retval","ref":"Evision.GFTTDetector.html#getBlockSize/1","title":"Evision.GFTTDetector.getBlockSize/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.GFTTDetector.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.GFTTDetector.html#getDefaultName/1","title":"Evision.GFTTDetector.getDefaultName/1","type":"function"},{"doc":"getGradientSize Positional Arguments self : Evision.GFTTDetector.t() Return retval : int Python prototype (for reference only): getGradientSize() -&gt; retval","ref":"Evision.GFTTDetector.html#getGradientSize/1","title":"Evision.GFTTDetector.getGradientSize/1","type":"function"},{"doc":"getHarrisDetector Positional Arguments self : Evision.GFTTDetector.t() Return retval : bool Python prototype (for reference only): getHarrisDetector() -&gt; retval","ref":"Evision.GFTTDetector.html#getHarrisDetector/1","title":"Evision.GFTTDetector.getHarrisDetector/1","type":"function"},{"doc":"getK Positional Arguments self : Evision.GFTTDetector.t() Return retval : double Python prototype (for reference only): getK() -&gt; retval","ref":"Evision.GFTTDetector.html#getK/1","title":"Evision.GFTTDetector.getK/1","type":"function"},{"doc":"getMaxFeatures Positional Arguments self : Evision.GFTTDetector.t() Return retval : int Python prototype (for reference only): getMaxFeatures() -&gt; retval","ref":"Evision.GFTTDetector.html#getMaxFeatures/1","title":"Evision.GFTTDetector.getMaxFeatures/1","type":"function"},{"doc":"getMinDistance Positional Arguments self : Evision.GFTTDetector.t() Return retval : double Python prototype (for reference only): getMinDistance() -&gt; retval","ref":"Evision.GFTTDetector.html#getMinDistance/1","title":"Evision.GFTTDetector.getMinDistance/1","type":"function"},{"doc":"getQualityLevel Positional Arguments self : Evision.GFTTDetector.t() Return retval : double Python prototype (for reference only): getQualityLevel() -&gt; retval","ref":"Evision.GFTTDetector.html#getQualityLevel/1","title":"Evision.GFTTDetector.getQualityLevel/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.GFTTDetector.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.GFTTDetector.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.GFTTDetector.html#read/2","title":"Evision.GFTTDetector.read/2","type":"function"},{"doc":"setBlockSize Positional Arguments self : Evision.GFTTDetector.t() blockSize : int Python prototype (for reference only): setBlockSize(blockSize) -&gt; None","ref":"Evision.GFTTDetector.html#setBlockSize/2","title":"Evision.GFTTDetector.setBlockSize/2","type":"function"},{"doc":"setGradientSize Positional Arguments self : Evision.GFTTDetector.t() gradientSize_ : int Python prototype (for reference only): setGradientSize(gradientSize_) -&gt; None","ref":"Evision.GFTTDetector.html#setGradientSize/2","title":"Evision.GFTTDetector.setGradientSize/2","type":"function"},{"doc":"setHarrisDetector Positional Arguments self : Evision.GFTTDetector.t() val : bool Python prototype (for reference only): setHarrisDetector(val) -&gt; None","ref":"Evision.GFTTDetector.html#setHarrisDetector/2","title":"Evision.GFTTDetector.setHarrisDetector/2","type":"function"},{"doc":"setK Positional Arguments self : Evision.GFTTDetector.t() k : double Python prototype (for reference only): setK(k) -&gt; None","ref":"Evision.GFTTDetector.html#setK/2","title":"Evision.GFTTDetector.setK/2","type":"function"},{"doc":"setMaxFeatures Positional Arguments self : Evision.GFTTDetector.t() maxFeatures : int Python prototype (for reference only): setMaxFeatures(maxFeatures) -&gt; None","ref":"Evision.GFTTDetector.html#setMaxFeatures/2","title":"Evision.GFTTDetector.setMaxFeatures/2","type":"function"},{"doc":"setMinDistance Positional Arguments self : Evision.GFTTDetector.t() minDistance : double Python prototype (for reference only): setMinDistance(minDistance) -&gt; None","ref":"Evision.GFTTDetector.html#setMinDistance/2","title":"Evision.GFTTDetector.setMinDistance/2","type":"function"},{"doc":"setQualityLevel Positional Arguments self : Evision.GFTTDetector.t() qlevel : double Python prototype (for reference only): setQualityLevel(qlevel) -&gt; None","ref":"Evision.GFTTDetector.html#setQualityLevel/2","title":"Evision.GFTTDetector.setQualityLevel/2","type":"function"},{"doc":"write Positional Arguments self : Evision.GFTTDetector.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.GFTTDetector.html#write/2","title":"Evision.GFTTDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.GFTTDetector.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.GFTTDetector.html#write/3","title":"Evision.GFTTDetector.write/3","type":"function"},{"doc":"Type that represents an GFTTDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.GFTTDetector.html#t:t/0","title":"Evision.GFTTDetector.t/0","type":"type"},{"doc":"","ref":"Evision.GeneralizedHough.html","title":"Evision.GeneralizedHough","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.GeneralizedHough.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.GeneralizedHough.html#clear/1","title":"Evision.GeneralizedHough.clear/1","type":"function"},{"doc":"detect Positional Arguments self : Evision.GeneralizedHough.t() image : Evision.Mat.t() Return positions : Evision.Mat.t() . votes : Evision.Mat.t() . Python prototype (for reference only): detect(image[, positions[, votes]]) -&gt; positions, votes","ref":"Evision.GeneralizedHough.html#detect/2","title":"Evision.GeneralizedHough.detect/2","type":"function"},{"doc":"detect Positional Arguments self : Evision.GeneralizedHough.t() image : Evision.Mat.t() Return positions : Evision.Mat.t() . votes : Evision.Mat.t() . Python prototype (for reference only): detect(image[, positions[, votes]]) -&gt; positions, votes","ref":"Evision.GeneralizedHough.html#detect/3","title":"Evision.GeneralizedHough.detect/3","type":"function"},{"doc":"detect Positional Arguments self : Evision.GeneralizedHough.t() edges : Evision.Mat.t() dx : Evision.Mat.t() dy : Evision.Mat.t() Return positions : Evision.Mat.t() . votes : Evision.Mat.t() . Python prototype (for reference only): detect(edges, dx, dy[, positions[, votes]]) -&gt; positions, votes","ref":"Evision.GeneralizedHough.html#detect/4","title":"Evision.GeneralizedHough.detect/4","type":"function"},{"doc":"detect Positional Arguments self : Evision.GeneralizedHough.t() edges : Evision.Mat.t() dx : Evision.Mat.t() dy : Evision.Mat.t() Return positions : Evision.Mat.t() . votes : Evision.Mat.t() . Python prototype (for reference only): detect(edges, dx, dy[, positions[, votes]]) -&gt; positions, votes","ref":"Evision.GeneralizedHough.html#detect/5","title":"Evision.GeneralizedHough.detect/5","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.GeneralizedHough.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.GeneralizedHough.html#empty/1","title":"Evision.GeneralizedHough.empty/1","type":"function"},{"doc":"getCannyHighThresh Positional Arguments self : Evision.GeneralizedHough.t() Return retval : int Python prototype (for reference only): getCannyHighThresh() -&gt; retval","ref":"Evision.GeneralizedHough.html#getCannyHighThresh/1","title":"Evision.GeneralizedHough.getCannyHighThresh/1","type":"function"},{"doc":"getCannyLowThresh Positional Arguments self : Evision.GeneralizedHough.t() Return retval : int Python prototype (for reference only): getCannyLowThresh() -&gt; retval","ref":"Evision.GeneralizedHough.html#getCannyLowThresh/1","title":"Evision.GeneralizedHough.getCannyLowThresh/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.GeneralizedHough.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.GeneralizedHough.html#getDefaultName/1","title":"Evision.GeneralizedHough.getDefaultName/1","type":"function"},{"doc":"getDp Positional Arguments self : Evision.GeneralizedHough.t() Return retval : double Python prototype (for reference only): getDp() -&gt; retval","ref":"Evision.GeneralizedHough.html#getDp/1","title":"Evision.GeneralizedHough.getDp/1","type":"function"},{"doc":"getMaxBufferSize Positional Arguments self : Evision.GeneralizedHough.t() Return retval : int Python prototype (for reference only): getMaxBufferSize() -&gt; retval","ref":"Evision.GeneralizedHough.html#getMaxBufferSize/1","title":"Evision.GeneralizedHough.getMaxBufferSize/1","type":"function"},{"doc":"getMinDist Positional Arguments self : Evision.GeneralizedHough.t() Return retval : double Python prototype (for reference only): getMinDist() -&gt; retval","ref":"Evision.GeneralizedHough.html#getMinDist/1","title":"Evision.GeneralizedHough.getMinDist/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.GeneralizedHough.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.GeneralizedHough.html#read/2","title":"Evision.GeneralizedHough.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.GeneralizedHough.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.GeneralizedHough.html#save/2","title":"Evision.GeneralizedHough.save/2","type":"function"},{"doc":"setCannyHighThresh Positional Arguments self : Evision.GeneralizedHough.t() cannyHighThresh : int Python prototype (for reference only): setCannyHighThresh(cannyHighThresh) -&gt; None","ref":"Evision.GeneralizedHough.html#setCannyHighThresh/2","title":"Evision.GeneralizedHough.setCannyHighThresh/2","type":"function"},{"doc":"setCannyLowThresh Positional Arguments self : Evision.GeneralizedHough.t() cannyLowThresh : int Python prototype (for reference only): setCannyLowThresh(cannyLowThresh) -&gt; None","ref":"Evision.GeneralizedHough.html#setCannyLowThresh/2","title":"Evision.GeneralizedHough.setCannyLowThresh/2","type":"function"},{"doc":"setDp Positional Arguments self : Evision.GeneralizedHough.t() dp : double Python prototype (for reference only): setDp(dp) -&gt; None","ref":"Evision.GeneralizedHough.html#setDp/2","title":"Evision.GeneralizedHough.setDp/2","type":"function"},{"doc":"setMaxBufferSize Positional Arguments self : Evision.GeneralizedHough.t() maxBufferSize : int Python prototype (for reference only): setMaxBufferSize(maxBufferSize) -&gt; None","ref":"Evision.GeneralizedHough.html#setMaxBufferSize/2","title":"Evision.GeneralizedHough.setMaxBufferSize/2","type":"function"},{"doc":"setMinDist Positional Arguments self : Evision.GeneralizedHough.t() minDist : double Python prototype (for reference only): setMinDist(minDist) -&gt; None","ref":"Evision.GeneralizedHough.html#setMinDist/2","title":"Evision.GeneralizedHough.setMinDist/2","type":"function"},{"doc":"setTemplate Positional Arguments self : Evision.GeneralizedHough.t() templ : Evision.Mat.t() Keyword Arguments templCenter : Point . Python prototype (for reference only): setTemplate(templ[, templCenter]) -&gt; None","ref":"Evision.GeneralizedHough.html#setTemplate/2","title":"Evision.GeneralizedHough.setTemplate/2","type":"function"},{"doc":"setTemplate Positional Arguments self : Evision.GeneralizedHough.t() templ : Evision.Mat.t() Keyword Arguments templCenter : Point . Python prototype (for reference only): setTemplate(templ[, templCenter]) -&gt; None","ref":"Evision.GeneralizedHough.html#setTemplate/3","title":"Evision.GeneralizedHough.setTemplate/3","type":"function"},{"doc":"setTemplate Positional Arguments self : Evision.GeneralizedHough.t() edges : Evision.Mat.t() dx : Evision.Mat.t() dy : Evision.Mat.t() Keyword Arguments templCenter : Point . Python prototype (for reference only): setTemplate(edges, dx, dy[, templCenter]) -&gt; None","ref":"Evision.GeneralizedHough.html#setTemplate/4","title":"Evision.GeneralizedHough.setTemplate/4","type":"function"},{"doc":"setTemplate Positional Arguments self : Evision.GeneralizedHough.t() edges : Evision.Mat.t() dx : Evision.Mat.t() dy : Evision.Mat.t() Keyword Arguments templCenter : Point . Python prototype (for reference only): setTemplate(edges, dx, dy[, templCenter]) -&gt; None","ref":"Evision.GeneralizedHough.html#setTemplate/5","title":"Evision.GeneralizedHough.setTemplate/5","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.GeneralizedHough.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.GeneralizedHough.html#write/2","title":"Evision.GeneralizedHough.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.GeneralizedHough.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.GeneralizedHough.html#write/3","title":"Evision.GeneralizedHough.write/3","type":"function"},{"doc":"Type that represents an GeneralizedHough struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.GeneralizedHough.html#t:t/0","title":"Evision.GeneralizedHough.t/0","type":"type"},{"doc":"","ref":"Evision.GeneralizedHoughBallard.html","title":"Evision.GeneralizedHoughBallard","type":"module"},{"doc":"getLevels Positional Arguments self : Evision.GeneralizedHoughBallard.t() Return retval : int Python prototype (for reference only): getLevels() -&gt; retval","ref":"Evision.GeneralizedHoughBallard.html#getLevels/1","title":"Evision.GeneralizedHoughBallard.getLevels/1","type":"function"},{"doc":"getVotesThreshold Positional Arguments self : Evision.GeneralizedHoughBallard.t() Return retval : int Python prototype (for reference only): getVotesThreshold() -&gt; retval","ref":"Evision.GeneralizedHoughBallard.html#getVotesThreshold/1","title":"Evision.GeneralizedHoughBallard.getVotesThreshold/1","type":"function"},{"doc":"setLevels Positional Arguments self : Evision.GeneralizedHoughBallard.t() levels : int Python prototype (for reference only): setLevels(levels) -&gt; None","ref":"Evision.GeneralizedHoughBallard.html#setLevels/2","title":"Evision.GeneralizedHoughBallard.setLevels/2","type":"function"},{"doc":"setVotesThreshold Positional Arguments self : Evision.GeneralizedHoughBallard.t() votesThreshold : int Python prototype (for reference only): setVotesThreshold(votesThreshold) -&gt; None","ref":"Evision.GeneralizedHoughBallard.html#setVotesThreshold/2","title":"Evision.GeneralizedHoughBallard.setVotesThreshold/2","type":"function"},{"doc":"Type that represents an GeneralizedHoughBallard struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.GeneralizedHoughBallard.html#t:t/0","title":"Evision.GeneralizedHoughBallard.t/0","type":"type"},{"doc":"","ref":"Evision.GeneralizedHoughGuil.html","title":"Evision.GeneralizedHoughGuil","type":"module"},{"doc":"getAngleEpsilon Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : double Python prototype (for reference only): getAngleEpsilon() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getAngleEpsilon/1","title":"Evision.GeneralizedHoughGuil.getAngleEpsilon/1","type":"function"},{"doc":"getAngleStep Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : double Python prototype (for reference only): getAngleStep() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getAngleStep/1","title":"Evision.GeneralizedHoughGuil.getAngleStep/1","type":"function"},{"doc":"getAngleThresh Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : int Python prototype (for reference only): getAngleThresh() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getAngleThresh/1","title":"Evision.GeneralizedHoughGuil.getAngleThresh/1","type":"function"},{"doc":"getLevels Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : int Python prototype (for reference only): getLevels() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getLevels/1","title":"Evision.GeneralizedHoughGuil.getLevels/1","type":"function"},{"doc":"getMaxAngle Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : double Python prototype (for reference only): getMaxAngle() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getMaxAngle/1","title":"Evision.GeneralizedHoughGuil.getMaxAngle/1","type":"function"},{"doc":"getMaxScale Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : double Python prototype (for reference only): getMaxScale() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getMaxScale/1","title":"Evision.GeneralizedHoughGuil.getMaxScale/1","type":"function"},{"doc":"getMinAngle Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : double Python prototype (for reference only): getMinAngle() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getMinAngle/1","title":"Evision.GeneralizedHoughGuil.getMinAngle/1","type":"function"},{"doc":"getMinScale Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : double Python prototype (for reference only): getMinScale() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getMinScale/1","title":"Evision.GeneralizedHoughGuil.getMinScale/1","type":"function"},{"doc":"getPosThresh Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : int Python prototype (for reference only): getPosThresh() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getPosThresh/1","title":"Evision.GeneralizedHoughGuil.getPosThresh/1","type":"function"},{"doc":"getScaleStep Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : double Python prototype (for reference only): getScaleStep() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getScaleStep/1","title":"Evision.GeneralizedHoughGuil.getScaleStep/1","type":"function"},{"doc":"getScaleThresh Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : int Python prototype (for reference only): getScaleThresh() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getScaleThresh/1","title":"Evision.GeneralizedHoughGuil.getScaleThresh/1","type":"function"},{"doc":"getXi Positional Arguments self : Evision.GeneralizedHoughGuil.t() Return retval : double Python prototype (for reference only): getXi() -&gt; retval","ref":"Evision.GeneralizedHoughGuil.html#getXi/1","title":"Evision.GeneralizedHoughGuil.getXi/1","type":"function"},{"doc":"setAngleEpsilon Positional Arguments self : Evision.GeneralizedHoughGuil.t() angleEpsilon : double Python prototype (for reference only): setAngleEpsilon(angleEpsilon) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setAngleEpsilon/2","title":"Evision.GeneralizedHoughGuil.setAngleEpsilon/2","type":"function"},{"doc":"setAngleStep Positional Arguments self : Evision.GeneralizedHoughGuil.t() angleStep : double Python prototype (for reference only): setAngleStep(angleStep) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setAngleStep/2","title":"Evision.GeneralizedHoughGuil.setAngleStep/2","type":"function"},{"doc":"setAngleThresh Positional Arguments self : Evision.GeneralizedHoughGuil.t() angleThresh : int Python prototype (for reference only): setAngleThresh(angleThresh) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setAngleThresh/2","title":"Evision.GeneralizedHoughGuil.setAngleThresh/2","type":"function"},{"doc":"setLevels Positional Arguments self : Evision.GeneralizedHoughGuil.t() levels : int Python prototype (for reference only): setLevels(levels) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setLevels/2","title":"Evision.GeneralizedHoughGuil.setLevels/2","type":"function"},{"doc":"setMaxAngle Positional Arguments self : Evision.GeneralizedHoughGuil.t() maxAngle : double Python prototype (for reference only): setMaxAngle(maxAngle) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setMaxAngle/2","title":"Evision.GeneralizedHoughGuil.setMaxAngle/2","type":"function"},{"doc":"setMaxScale Positional Arguments self : Evision.GeneralizedHoughGuil.t() maxScale : double Python prototype (for reference only): setMaxScale(maxScale) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setMaxScale/2","title":"Evision.GeneralizedHoughGuil.setMaxScale/2","type":"function"},{"doc":"setMinAngle Positional Arguments self : Evision.GeneralizedHoughGuil.t() minAngle : double Python prototype (for reference only): setMinAngle(minAngle) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setMinAngle/2","title":"Evision.GeneralizedHoughGuil.setMinAngle/2","type":"function"},{"doc":"setMinScale Positional Arguments self : Evision.GeneralizedHoughGuil.t() minScale : double Python prototype (for reference only): setMinScale(minScale) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setMinScale/2","title":"Evision.GeneralizedHoughGuil.setMinScale/2","type":"function"},{"doc":"setPosThresh Positional Arguments self : Evision.GeneralizedHoughGuil.t() posThresh : int Python prototype (for reference only): setPosThresh(posThresh) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setPosThresh/2","title":"Evision.GeneralizedHoughGuil.setPosThresh/2","type":"function"},{"doc":"setScaleStep Positional Arguments self : Evision.GeneralizedHoughGuil.t() scaleStep : double Python prototype (for reference only): setScaleStep(scaleStep) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setScaleStep/2","title":"Evision.GeneralizedHoughGuil.setScaleStep/2","type":"function"},{"doc":"setScaleThresh Positional Arguments self : Evision.GeneralizedHoughGuil.t() scaleThresh : int Python prototype (for reference only): setScaleThresh(scaleThresh) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setScaleThresh/2","title":"Evision.GeneralizedHoughGuil.setScaleThresh/2","type":"function"},{"doc":"setXi Positional Arguments self : Evision.GeneralizedHoughGuil.t() xi : double Python prototype (for reference only): setXi(xi) -&gt; None","ref":"Evision.GeneralizedHoughGuil.html#setXi/2","title":"Evision.GeneralizedHoughGuil.setXi/2","type":"function"},{"doc":"Type that represents an GeneralizedHoughGuil struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.GeneralizedHoughGuil.html#t:t/0","title":"Evision.GeneralizedHoughGuil.t/0","type":"type"},{"doc":"","ref":"Evision.HFS.html","title":"Evision.HFS","type":"module"},{"doc":"Type that represents an HFS struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.HFS.html#t:t/0","title":"Evision.HFS.t/0","type":"type"},{"doc":"","ref":"Evision.HFS.HfsSegment.html","title":"Evision.HFS.HfsSegment","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.HFS.HfsSegment.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.HFS.HfsSegment.html#clear/1","title":"Evision.HFS.HfsSegment.clear/1","type":"function"},{"doc":": create a hfs object Positional Arguments height : int . the height of the input image width : int . the width of the input image Keyword Arguments segEgbThresholdI : float . parameter segEgbThresholdI minRegionSizeI : int . parameter minRegionSizeI segEgbThresholdII : float . parameter segEgbThresholdII minRegionSizeII : int . parameter minRegionSizeII spatialWeight : float . parameter spatialWeight slicSpixelSize : int . parameter slicSpixelSize numSlicIter : int . parameter numSlicIter Return retval : HfsSegment Python prototype (for reference only): create(height, width[, segEgbThresholdI[, minRegionSizeI[, segEgbThresholdII[, minRegionSizeII[, spatialWeight[, slicSpixelSize[, numSlicIter]]]]]]]) -&gt; retval","ref":"Evision.HFS.HfsSegment.html#create/2","title":"Evision.HFS.HfsSegment.create/2","type":"function"},{"doc":": create a hfs object Positional Arguments height : int . the height of the input image width : int . the width of the input image Keyword Arguments segEgbThresholdI : float . parameter segEgbThresholdI minRegionSizeI : int . parameter minRegionSizeI segEgbThresholdII : float . parameter segEgbThresholdII minRegionSizeII : int . parameter minRegionSizeII spatialWeight : float . parameter spatialWeight slicSpixelSize : int . parameter slicSpixelSize numSlicIter : int . parameter numSlicIter Return retval : HfsSegment Python prototype (for reference only): create(height, width[, segEgbThresholdI[, minRegionSizeI[, segEgbThresholdII[, minRegionSizeII[, spatialWeight[, slicSpixelSize[, numSlicIter]]]]]]]) -&gt; retval","ref":"Evision.HFS.HfsSegment.html#create/3","title":"Evision.HFS.HfsSegment.create/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.HFS.HfsSegment.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.HFS.HfsSegment.html#empty/1","title":"Evision.HFS.HfsSegment.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.HFS.HfsSegment.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.HFS.HfsSegment.html#getDefaultName/1","title":"Evision.HFS.HfsSegment.getDefaultName/1","type":"function"},{"doc":"getMinRegionSizeI Positional Arguments self : Evision.HFS.HfsSegment.t() Return retval : int Python prototype (for reference only): getMinRegionSizeI() -&gt; retval","ref":"Evision.HFS.HfsSegment.html#getMinRegionSizeI/1","title":"Evision.HFS.HfsSegment.getMinRegionSizeI/1","type":"function"},{"doc":"getMinRegionSizeII Positional Arguments self : Evision.HFS.HfsSegment.t() Return retval : int Python prototype (for reference only): getMinRegionSizeII() -&gt; retval","ref":"Evision.HFS.HfsSegment.html#getMinRegionSizeII/1","title":"Evision.HFS.HfsSegment.getMinRegionSizeII/1","type":"function"},{"doc":"getNumSlicIter Positional Arguments self : Evision.HFS.HfsSegment.t() Return retval : int Python prototype (for reference only): getNumSlicIter() -&gt; retval","ref":"Evision.HFS.HfsSegment.html#getNumSlicIter/1","title":"Evision.HFS.HfsSegment.getNumSlicIter/1","type":"function"},{"doc":"getSegEgbThresholdI Positional Arguments self : Evision.HFS.HfsSegment.t() Return retval : float Python prototype (for reference only): getSegEgbThresholdI() -&gt; retval","ref":"Evision.HFS.HfsSegment.html#getSegEgbThresholdI/1","title":"Evision.HFS.HfsSegment.getSegEgbThresholdI/1","type":"function"},{"doc":"getSegEgbThresholdII Positional Arguments self : Evision.HFS.HfsSegment.t() Return retval : float Python prototype (for reference only): getSegEgbThresholdII() -&gt; retval","ref":"Evision.HFS.HfsSegment.html#getSegEgbThresholdII/1","title":"Evision.HFS.HfsSegment.getSegEgbThresholdII/1","type":"function"},{"doc":"getSlicSpixelSize Positional Arguments self : Evision.HFS.HfsSegment.t() Return retval : int Python prototype (for reference only): getSlicSpixelSize() -&gt; retval","ref":"Evision.HFS.HfsSegment.html#getSlicSpixelSize/1","title":"Evision.HFS.HfsSegment.getSlicSpixelSize/1","type":"function"},{"doc":"getSpatialWeight Positional Arguments self : Evision.HFS.HfsSegment.t() Return retval : float Python prototype (for reference only): getSpatialWeight() -&gt; retval","ref":"Evision.HFS.HfsSegment.html#getSpatialWeight/1","title":"Evision.HFS.HfsSegment.getSpatialWeight/1","type":"function"},{"doc":"do segmentation with cpu This method is only implemented for reference. It is highly NOT recommanded to use it. Positional Arguments self : Evision.HFS.HfsSegment.t() src : Evision.Mat.t() Keyword Arguments ifDraw : bool . Return retval : Evision.Mat.t() Python prototype (for reference only): performSegmentCpu(src[, ifDraw]) -&gt; retval","ref":"Evision.HFS.HfsSegment.html#performSegmentCpu/2","title":"Evision.HFS.HfsSegment.performSegmentCpu/2","type":"function"},{"doc":"do segmentation with cpu This method is only implemented for reference. It is highly NOT recommanded to use it. Positional Arguments self : Evision.HFS.HfsSegment.t() src : Evision.Mat.t() Keyword Arguments ifDraw : bool . Return retval : Evision.Mat.t() Python prototype (for reference only): performSegmentCpu(src[, ifDraw]) -&gt; retval","ref":"Evision.HFS.HfsSegment.html#performSegmentCpu/3","title":"Evision.HFS.HfsSegment.performSegmentCpu/3","type":"function"},{"doc":"do segmentation gpu Positional Arguments self : Evision.HFS.HfsSegment.t() src : Evision.Mat.t() . the input image Keyword Arguments ifDraw : bool . if draw the image in the returned Mat. if this parameter is false, then the content of the returned Mat is a matrix of index, describing the region each pixel belongs to. And it's data type is CV_16U. If this parameter is true, then the returned Mat is a segmented picture, and color of each region is the average color of all pixels in that region. And it's data type is the same as the input image Return retval : Evision.Mat.t() Python prototype (for reference only): performSegmentGpu(src[, ifDraw]) -&gt; retval","ref":"Evision.HFS.HfsSegment.html#performSegmentGpu/2","title":"Evision.HFS.HfsSegment.performSegmentGpu/2","type":"function"},{"doc":"do segmentation gpu Positional Arguments self : Evision.HFS.HfsSegment.t() src : Evision.Mat.t() . the input image Keyword Arguments ifDraw : bool . if draw the image in the returned Mat. if this parameter is false, then the content of the returned Mat is a matrix of index, describing the region each pixel belongs to. And it's data type is CV_16U. If this parameter is true, then the returned Mat is a segmented picture, and color of each region is the average color of all pixels in that region. And it's data type is the same as the input image Return retval : Evision.Mat.t() Python prototype (for reference only): performSegmentGpu(src[, ifDraw]) -&gt; retval","ref":"Evision.HFS.HfsSegment.html#performSegmentGpu/3","title":"Evision.HFS.HfsSegment.performSegmentGpu/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.HFS.HfsSegment.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.HFS.HfsSegment.html#read/2","title":"Evision.HFS.HfsSegment.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.HFS.HfsSegment.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.HFS.HfsSegment.html#save/2","title":"Evision.HFS.HfsSegment.save/2","type":"function"},{"doc":": set and get the parameter minRegionSizeI. This parameter is used in the second stage mentioned above. After the EGB segmentation, regions that have fewer pixels then this parameter will be merged into it's adjacent region. Positional Arguments self : Evision.HFS.HfsSegment.t() n : int Python prototype (for reference only): setMinRegionSizeI(n) -&gt; None","ref":"Evision.HFS.HfsSegment.html#setMinRegionSizeI/2","title":"Evision.HFS.HfsSegment.setMinRegionSizeI/2","type":"function"},{"doc":": set and get the parameter minRegionSizeII. This parameter is used in the third stage mentioned above. It serves the same purpose as minRegionSizeI Positional Arguments self : Evision.HFS.HfsSegment.t() n : int Python prototype (for reference only): setMinRegionSizeII(n) -&gt; None","ref":"Evision.HFS.HfsSegment.html#setMinRegionSizeII/2","title":"Evision.HFS.HfsSegment.setMinRegionSizeII/2","type":"function"},{"doc":": set and get the parameter numSlicIter. This parameter is used in the first stage. It describes how many iteration to perform when executing SLIC. Positional Arguments self : Evision.HFS.HfsSegment.t() n : int Python prototype (for reference only): setNumSlicIter(n) -&gt; None","ref":"Evision.HFS.HfsSegment.html#setNumSlicIter/2","title":"Evision.HFS.HfsSegment.setNumSlicIter/2","type":"function"},{"doc":": set and get the parameter segEgbThresholdI. This parameter is used in the second stage mentioned above. It is a constant used to threshold weights of the edge when merging adjacent nodes when applying EGB algorithm. The segmentation result tends to have more regions remained if this value is large and vice versa. Positional Arguments self : Evision.HFS.HfsSegment.t() c : float Python prototype (for reference only): setSegEgbThresholdI(c) -&gt; None","ref":"Evision.HFS.HfsSegment.html#setSegEgbThresholdI/2","title":"Evision.HFS.HfsSegment.setSegEgbThresholdI/2","type":"function"},{"doc":": set and get the parameter segEgbThresholdII. This parameter is used in the third stage mentioned above. It serves the same purpose as segEgbThresholdI. The segmentation result tends to have more regions remained if this value is large and vice versa. Positional Arguments self : Evision.HFS.HfsSegment.t() c : float Python prototype (for reference only): setSegEgbThresholdII(c) -&gt; None","ref":"Evision.HFS.HfsSegment.html#setSegEgbThresholdII/2","title":"Evision.HFS.HfsSegment.setSegEgbThresholdII/2","type":"function"},{"doc":": set and get the parameter slicSpixelSize. This parameter is used in the first stage mentioned above(the SLIC stage). It describes the size of each superpixel when initializing SLIC. Every superpixel approximately has \\f$slicSpixelSize \\times slicSpixelSize\\f$ pixels in the beginning. Positional Arguments self : Evision.HFS.HfsSegment.t() n : int Python prototype (for reference only): setSlicSpixelSize(n) -&gt; None","ref":"Evision.HFS.HfsSegment.html#setSlicSpixelSize/2","title":"Evision.HFS.HfsSegment.setSlicSpixelSize/2","type":"function"},{"doc":": set and get the parameter spatialWeight. This parameter is used in the first stage mentioned above(the SLIC stage). It describes how important is the role of position when calculating the distance between each pixel and it's center. The exact formula to calculate the distance is \\f$colorDistance + spatialWeight \\times spatialDistance\\f$. The segmentation result tends to have more local consistency if this value is larger. Positional Arguments self : Evision.HFS.HfsSegment.t() w : float Python prototype (for reference only): setSpatialWeight(w) -&gt; None","ref":"Evision.HFS.HfsSegment.html#setSpatialWeight/2","title":"Evision.HFS.HfsSegment.setSpatialWeight/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.HFS.HfsSegment.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.HFS.HfsSegment.html#write/2","title":"Evision.HFS.HfsSegment.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.HFS.HfsSegment.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.HFS.HfsSegment.html#write/3","title":"Evision.HFS.HfsSegment.write/3","type":"function"},{"doc":"Type that represents an HFS.HfsSegment struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.HFS.HfsSegment.html#t:t/0","title":"Evision.HFS.HfsSegment.t/0","type":"type"},{"doc":"","ref":"Evision.HOGDescriptor.html","title":"Evision.HOGDescriptor","type":"module"},{"doc":"Checks if detector size equal to descriptor size. Positional Arguments self : Evision.HOGDescriptor.t() Return retval : bool Python prototype (for reference only): checkDetectorSize() -&gt; retval","ref":"Evision.HOGDescriptor.html#checkDetectorSize/1","title":"Evision.HOGDescriptor.checkDetectorSize/1","type":"function"},{"doc":"Computes HOG descriptors of given image. Positional Arguments self : Evision.HOGDescriptor.t() img : Evision.Mat.t() . Matrix of the type CV_8U containing an image where HOG features will be calculated. Keyword Arguments winStride : Size . Window stride. It must be a multiple of block stride. padding : Size . Padding locations : [Point] . Vector of Point Return descriptors : [float] . Matrix of the type CV_32F Python prototype (for reference only): compute(img[, winStride[, padding[, locations]]]) -&gt; descriptors","ref":"Evision.HOGDescriptor.html#compute/2","title":"Evision.HOGDescriptor.compute/2","type":"function"},{"doc":"Computes HOG descriptors of given image. Positional Arguments self : Evision.HOGDescriptor.t() img : Evision.Mat.t() . Matrix of the type CV_8U containing an image where HOG features will be calculated. Keyword Arguments winStride : Size . Window stride. It must be a multiple of block stride. padding : Size . Padding locations : [Point] . Vector of Point Return descriptors : [float] . Matrix of the type CV_32F Python prototype (for reference only): compute(img[, winStride[, padding[, locations]]]) -&gt; descriptors","ref":"Evision.HOGDescriptor.html#compute/3","title":"Evision.HOGDescriptor.compute/3","type":"function"},{"doc":"Computes gradients and quantized gradient orientations. Positional Arguments self : Evision.HOGDescriptor.t() img : Evision.Mat.t() . Matrix contains the image to be computed Keyword Arguments paddingTL : Size . Padding from top-left paddingBR : Size . Padding from bottom-right Return grad : Evision.Mat.t() . Matrix of type CV_32FC2 contains computed gradients angleOfs : Evision.Mat.t() . Matrix of type CV_8UC2 contains quantized gradient orientations Python prototype (for reference only): computeGradient(img, grad, angleOfs[, paddingTL[, paddingBR]]) -&gt; grad, angleOfs","ref":"Evision.HOGDescriptor.html#computeGradient/4","title":"Evision.HOGDescriptor.computeGradient/4","type":"function"},{"doc":"Computes gradients and quantized gradient orientations. Positional Arguments self : Evision.HOGDescriptor.t() img : Evision.Mat.t() . Matrix contains the image to be computed Keyword Arguments paddingTL : Size . Padding from top-left paddingBR : Size . Padding from bottom-right Return grad : Evision.Mat.t() . Matrix of type CV_32FC2 contains computed gradients angleOfs : Evision.Mat.t() . Matrix of type CV_8UC2 contains quantized gradient orientations Python prototype (for reference only): computeGradient(img, grad, angleOfs[, paddingTL[, paddingBR]]) -&gt; grad, angleOfs","ref":"Evision.HOGDescriptor.html#computeGradient/5","title":"Evision.HOGDescriptor.computeGradient/5","type":"function"},{"doc":"Performs object detection without a multi-scale window. Positional Arguments self : Evision.HOGDescriptor.t() img : Evision.Mat.t() . Matrix of the type CV_8U or CV_8UC3 containing an image where objects are detected. Keyword Arguments hitThreshold : double . Threshold for the distance between features and SVM classifying plane. Usually it is 0 and should be specified in the detector coefficients (as the last free coefficient). But if the free coefficient is omitted (which is allowed), you can specify it manually here. winStride : Size . Window stride. It must be a multiple of block stride. padding : Size . Padding searchLocations : [Point] . Vector of Point includes set of requested locations to be evaluated. Return foundLocations : [Point] . Vector of point where each point contains left-top corner point of detected object boundaries. weights : [double] . Vector that will contain confidence values for each detected object. Python prototype (for reference only): detect(img[, hitThreshold[, winStride[, padding[, searchLocations]]]]) -&gt; foundLocations, weights","ref":"Evision.HOGDescriptor.html#detect/2","title":"Evision.HOGDescriptor.detect/2","type":"function"},{"doc":"Performs object detection without a multi-scale window. Positional Arguments self : Evision.HOGDescriptor.t() img : Evision.Mat.t() . Matrix of the type CV_8U or CV_8UC3 containing an image where objects are detected. Keyword Arguments hitThreshold : double . Threshold for the distance between features and SVM classifying plane. Usually it is 0 and should be specified in the detector coefficients (as the last free coefficient). But if the free coefficient is omitted (which is allowed), you can specify it manually here. winStride : Size . Window stride. It must be a multiple of block stride. padding : Size . Padding searchLocations : [Point] . Vector of Point includes set of requested locations to be evaluated. Return foundLocations : [Point] . Vector of point where each point contains left-top corner point of detected object boundaries. weights : [double] . Vector that will contain confidence values for each detected object. Python prototype (for reference only): detect(img[, hitThreshold[, winStride[, padding[, searchLocations]]]]) -&gt; foundLocations, weights","ref":"Evision.HOGDescriptor.html#detect/3","title":"Evision.HOGDescriptor.detect/3","type":"function"},{"doc":"Detects objects of different sizes in the input image. The detected objects are returned as a list of rectangles. Positional Arguments self : Evision.HOGDescriptor.t() img : Evision.Mat.t() . Matrix of the type CV_8U or CV_8UC3 containing an image where objects are detected. Keyword Arguments hitThreshold : double . Threshold for the distance between features and SVM classifying plane. Usually it is 0 and should be specified in the detector coefficients (as the last free coefficient). But if the free coefficient is omitted (which is allowed), you can specify it manually here. winStride : Size . Window stride. It must be a multiple of block stride. padding : Size . Padding scale : double . Coefficient of the detection window increase. groupThreshold : double . Coefficient to regulate the similarity threshold. When detected, some objects can be covered by many rectangles. 0 means not to perform grouping. useMeanshiftGrouping : bool . indicates grouping algorithm Return foundLocations : [Rect] . Vector of rectangles where each rectangle contains the detected object. foundWeights : [double] . Vector that will contain confidence values for each detected object. Python prototype (for reference only): detectMultiScale(img[, hitThreshold[, winStride[, padding[, scale[, groupThreshold[, useMeanshiftGrouping]]]]]]) -&gt; foundLocations, foundWeights","ref":"Evision.HOGDescriptor.html#detectMultiScale/2","title":"Evision.HOGDescriptor.detectMultiScale/2","type":"function"},{"doc":"Detects objects of different sizes in the input image. The detected objects are returned as a list of rectangles. Positional Arguments self : Evision.HOGDescriptor.t() img : Evision.Mat.t() . Matrix of the type CV_8U or CV_8UC3 containing an image where objects are detected. Keyword Arguments hitThreshold : double . Threshold for the distance between features and SVM classifying plane. Usually it is 0 and should be specified in the detector coefficients (as the last free coefficient). But if the free coefficient is omitted (which is allowed), you can specify it manually here. winStride : Size . Window stride. It must be a multiple of block stride. padding : Size . Padding scale : double . Coefficient of the detection window increase. groupThreshold : double . Coefficient to regulate the similarity threshold. When detected, some objects can be covered by many rectangles. 0 means not to perform grouping. useMeanshiftGrouping : bool . indicates grouping algorithm Return foundLocations : [Rect] . Vector of rectangles where each rectangle contains the detected object. foundWeights : [double] . Vector that will contain confidence values for each detected object. Python prototype (for reference only): detectMultiScale(img[, hitThreshold[, winStride[, padding[, scale[, groupThreshold[, useMeanshiftGrouping]]]]]]) -&gt; foundLocations, foundWeights","ref":"Evision.HOGDescriptor.html#detectMultiScale/3","title":"Evision.HOGDescriptor.detectMultiScale/3","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_blockSize/1","title":"Evision.HOGDescriptor.get_blockSize/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_blockStride/1","title":"Evision.HOGDescriptor.get_blockStride/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_cellSize/1","title":"Evision.HOGDescriptor.get_cellSize/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_derivAperture/1","title":"Evision.HOGDescriptor.get_derivAperture/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_gammaCorrection/1","title":"Evision.HOGDescriptor.get_gammaCorrection/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_histogramNormType/1","title":"Evision.HOGDescriptor.get_histogramNormType/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_L2HysThreshold/1","title":"Evision.HOGDescriptor.get_L2HysThreshold/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_nbins/1","title":"Evision.HOGDescriptor.get_nbins/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_nlevels/1","title":"Evision.HOGDescriptor.get_nlevels/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_signedGradient/1","title":"Evision.HOGDescriptor.get_signedGradient/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_svmDetector/1","title":"Evision.HOGDescriptor.get_svmDetector/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_winSigma/1","title":"Evision.HOGDescriptor.get_winSigma/1","type":"function"},{"doc":"","ref":"Evision.HOGDescriptor.html#get_winSize/1","title":"Evision.HOGDescriptor.get_winSize/1","type":"function"},{"doc":"Returns coefficients of the classifier trained for people detection (for 48x96 windows). Return retval : [float] Python prototype (for reference only): getDaimlerPeopleDetector() -&gt; retval","ref":"Evision.HOGDescriptor.html#getDaimlerPeopleDetector/0","title":"Evision.HOGDescriptor.getDaimlerPeopleDetector/0","type":"function"},{"doc":"Returns coefficients of the classifier trained for people detection (for 64x128 windows). Return retval : [float] Python prototype (for reference only): getDefaultPeopleDetector() -&gt; retval","ref":"Evision.HOGDescriptor.html#getDefaultPeopleDetector/0","title":"Evision.HOGDescriptor.getDefaultPeopleDetector/0","type":"function"},{"doc":"Returns the number of coefficients required for the classification. Positional Arguments self : Evision.HOGDescriptor.t() Return retval : size_t Python prototype (for reference only): getDescriptorSize() -&gt; retval","ref":"Evision.HOGDescriptor.html#getDescriptorSize/1","title":"Evision.HOGDescriptor.getDescriptorSize/1","type":"function"},{"doc":"Returns winSigma value Positional Arguments self : Evision.HOGDescriptor.t() Return retval : double Python prototype (for reference only): getWinSigma() -&gt; retval","ref":"Evision.HOGDescriptor.html#getWinSigma/1","title":"Evision.HOGDescriptor.getWinSigma/1","type":"function"},{"doc":"Creates the HOG descriptor and detector with default parameters. Return self : Evision.HOGDescriptor.t() aqual to HOGDescriptor(Size(64,128), Size(16,16), Size(8,8), Size(8,8), 9 ) Python prototype (for reference only): HOGDescriptor() -&gt; &lt;HOGDescriptor object&gt;","ref":"Evision.HOGDescriptor.html#hogDescriptor/0","title":"Evision.HOGDescriptor.hogDescriptor/0","type":"function"},{"doc":"HOGDescriptor Positional Arguments filename : String . The file name containing HOGDescriptor properties and coefficients for the linear SVM classifier. Return self : Evision.HOGDescriptor.t() Has overloading in C++ Creates the HOG descriptor and detector and loads HOGDescriptor parameters and coefficients for the linear SVM classifier from a file. Python prototype (for reference only): HOGDescriptor(filename) -&gt; &lt;HOGDescriptor object&gt;","ref":"Evision.HOGDescriptor.html#hogDescriptor/1","title":"Evision.HOGDescriptor.hogDescriptor/1","type":"function"},{"doc":"HOGDescriptor Positional Arguments winSize : Size . sets winSize with given value. blockSize : Size . sets blockSize with given value. blockStride : Size . sets blockStride with given value. cellSize : Size . sets cellSize with given value. nbins : int . sets nbins with given value. Keyword Arguments derivAperture : int . sets derivAperture with given value. winSigma : double . sets winSigma with given value. histogramNormType : HOGDescriptor_HistogramNormType . sets histogramNormType with given value. l2HysThreshold : double . sets L2HysThreshold with given value. gammaCorrection : bool . sets gammaCorrection with given value. nlevels : int . sets nlevels with given value. signedGradient : bool . sets signedGradient with given value. Return self : Evision.HOGDescriptor.t() Has overloading in C++ Python prototype (for reference only): HOGDescriptor(_winSize, _blockSize, _blockStride, _cellSize, _nbins[, _derivAperture[, _winSigma[, _histogramNormType[, _L2HysThreshold[, _gammaCorrection[, _nlevels[, _signedGradient]]]]]]]) -&gt; &lt;HOGDescriptor object&gt;","ref":"Evision.HOGDescriptor.html#hogDescriptor/5","title":"Evision.HOGDescriptor.hogDescriptor/5","type":"function"},{"doc":"HOGDescriptor Positional Arguments winSize : Size . sets winSize with given value. blockSize : Size . sets blockSize with given value. blockStride : Size . sets blockStride with given value. cellSize : Size . sets cellSize with given value. nbins : int . sets nbins with given value. Keyword Arguments derivAperture : int . sets derivAperture with given value. winSigma : double . sets winSigma with given value. histogramNormType : HOGDescriptor_HistogramNormType . sets histogramNormType with given value. l2HysThreshold : double . sets L2HysThreshold with given value. gammaCorrection : bool . sets gammaCorrection with given value. nlevels : int . sets nlevels with given value. signedGradient : bool . sets signedGradient with given value. Return self : Evision.HOGDescriptor.t() Has overloading in C++ Python prototype (for reference only): HOGDescriptor(_winSize, _blockSize, _blockStride, _cellSize, _nbins[, _derivAperture[, _winSigma[, _histogramNormType[, _L2HysThreshold[, _gammaCorrection[, _nlevels[, _signedGradient]]]]]]]) -&gt; &lt;HOGDescriptor object&gt;","ref":"Evision.HOGDescriptor.html#hogDescriptor/6","title":"Evision.HOGDescriptor.hogDescriptor/6","type":"function"},{"doc":"loads HOGDescriptor parameters and coefficients for the linear SVM classifier from a file Positional Arguments self : Evision.HOGDescriptor.t() filename : String . Name of the file to read. Keyword Arguments objname : String . The optional name of the node to read (if empty, the first top-level node will be used). Return retval : bool Python prototype (for reference only): load(filename[, objname]) -&gt; retval","ref":"Evision.HOGDescriptor.html#load/2","title":"Evision.HOGDescriptor.load/2","type":"function"},{"doc":"loads HOGDescriptor parameters and coefficients for the linear SVM classifier from a file Positional Arguments self : Evision.HOGDescriptor.t() filename : String . Name of the file to read. Keyword Arguments objname : String . The optional name of the node to read (if empty, the first top-level node will be used). Return retval : bool Python prototype (for reference only): load(filename[, objname]) -&gt; retval","ref":"Evision.HOGDescriptor.html#load/3","title":"Evision.HOGDescriptor.load/3","type":"function"},{"doc":"saves HOGDescriptor parameters and coefficients for the linear SVM classifier to a file Positional Arguments self : Evision.HOGDescriptor.t() filename : String . File name Keyword Arguments objname : String . Object name Python prototype (for reference only): save(filename[, objname]) -&gt; None","ref":"Evision.HOGDescriptor.html#save/2","title":"Evision.HOGDescriptor.save/2","type":"function"},{"doc":"saves HOGDescriptor parameters and coefficients for the linear SVM classifier to a file Positional Arguments self : Evision.HOGDescriptor.t() filename : String . File name Keyword Arguments objname : String . Object name Python prototype (for reference only): save(filename[, objname]) -&gt; None","ref":"Evision.HOGDescriptor.html#save/3","title":"Evision.HOGDescriptor.save/3","type":"function"},{"doc":"Sets coefficients for the linear SVM classifier. Positional Arguments self : Evision.HOGDescriptor.t() svmdetector : Evision.Mat.t() . coefficients for the linear SVM classifier. Python prototype (for reference only): setSVMDetector(svmdetector) -&gt; None","ref":"Evision.HOGDescriptor.html#setSVMDetector/2","title":"Evision.HOGDescriptor.setSVMDetector/2","type":"function"},{"doc":"Type that represents an HOGDescriptor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.HOGDescriptor.html#t:t/0","title":"Evision.HOGDescriptor.t/0","type":"type"},{"doc":"","ref":"Evision.HausdorffDistanceExtractor.html","title":"Evision.HausdorffDistanceExtractor","type":"module"},{"doc":"getDistanceFlag Positional Arguments self : Evision.HausdorffDistanceExtractor.t() Return retval : int Python prototype (for reference only): getDistanceFlag() -&gt; retval","ref":"Evision.HausdorffDistanceExtractor.html#getDistanceFlag/1","title":"Evision.HausdorffDistanceExtractor.getDistanceFlag/1","type":"function"},{"doc":"getRankProportion Positional Arguments self : Evision.HausdorffDistanceExtractor.t() Return retval : float Python prototype (for reference only): getRankProportion() -&gt; retval","ref":"Evision.HausdorffDistanceExtractor.html#getRankProportion/1","title":"Evision.HausdorffDistanceExtractor.getRankProportion/1","type":"function"},{"doc":"Set the norm used to compute the Hausdorff value between two shapes. It can be L1 or L2 norm. Positional Arguments self : Evision.HausdorffDistanceExtractor.t() distanceFlag : int . Flag indicating which norm is used to compute the Hausdorff distance (NORM_L1, NORM_L2). Python prototype (for reference only): setDistanceFlag(distanceFlag) -&gt; None","ref":"Evision.HausdorffDistanceExtractor.html#setDistanceFlag/2","title":"Evision.HausdorffDistanceExtractor.setDistanceFlag/2","type":"function"},{"doc":"This method sets the rank proportion (or fractional value) that establish the Kth ranked value of the partial Hausdorff distance. Experimentally had been shown that 0.6 is a good value to compare shapes. Positional Arguments self : Evision.HausdorffDistanceExtractor.t() rankProportion : float . fractional value (between 0 and 1). Python prototype (for reference only): setRankProportion(rankProportion) -&gt; None","ref":"Evision.HausdorffDistanceExtractor.html#setRankProportion/2","title":"Evision.HausdorffDistanceExtractor.setRankProportion/2","type":"function"},{"doc":"Type that represents an HausdorffDistanceExtractor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.HausdorffDistanceExtractor.html#t:t/0","title":"Evision.HausdorffDistanceExtractor.t/0","type":"type"},{"doc":"High-level Graphical User Interface","ref":"Evision.HighGui.html","title":"Evision.HighGui","type":"module"},{"doc":"Close all windows","ref":"Evision.HighGui.html#destroyAllWindows/0","title":"Evision.HighGui.destroyAllWindows/0","type":"function"},{"doc":"Close a named window Positional Arguments winname . String The name of the window.","ref":"Evision.HighGui.html#destroyWindow/1","title":"Evision.HighGui.destroyWindow/1","type":"function"},{"doc":"Show a mat in a named window Positional Arguments winname . String The name of the window. mat . Evision.Mat The image. Example iex&gt; mat = Evision . imread! ( &quot;example.jpg&quot; ) iex&gt; Evision . imshow ( &quot;OpenCV&quot; , mat ) # the following line may be necessary on your system # will try to improve this later iex&gt; Evision . waitkey ( 0 )","ref":"Evision.HighGui.html#imshow/2","title":"Evision.HighGui.imshow/2","type":"function"},{"doc":"Wait for user keyboard event for a delay amount of time (ms) Positional Arguments delay . int Wait for delay ms.","ref":"Evision.HighGui.html#waitKey/1","title":"Evision.HighGui.waitKey/1","type":"function"},{"doc":"","ref":"Evision.HistogramCostExtractor.html","title":"Evision.HistogramCostExtractor","type":"module"},{"doc":"buildCostMatrix Positional Arguments self : Evision.HistogramCostExtractor.t() descriptors1 : Evision.Mat.t() descriptors2 : Evision.Mat.t() Return costMatrix : Evision.Mat.t() . Python prototype (for reference only): buildCostMatrix(descriptors1, descriptors2[, costMatrix]) -&gt; costMatrix","ref":"Evision.HistogramCostExtractor.html#buildCostMatrix/3","title":"Evision.HistogramCostExtractor.buildCostMatrix/3","type":"function"},{"doc":"buildCostMatrix Positional Arguments self : Evision.HistogramCostExtractor.t() descriptors1 : Evision.Mat.t() descriptors2 : Evision.Mat.t() Return costMatrix : Evision.Mat.t() . Python prototype (for reference only): buildCostMatrix(descriptors1, descriptors2[, costMatrix]) -&gt; costMatrix","ref":"Evision.HistogramCostExtractor.html#buildCostMatrix/4","title":"Evision.HistogramCostExtractor.buildCostMatrix/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.HistogramCostExtractor.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.HistogramCostExtractor.html#clear/1","title":"Evision.HistogramCostExtractor.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.HistogramCostExtractor.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.HistogramCostExtractor.html#empty/1","title":"Evision.HistogramCostExtractor.empty/1","type":"function"},{"doc":"getDefaultCost Positional Arguments self : Evision.HistogramCostExtractor.t() Return retval : float Python prototype (for reference only): getDefaultCost() -&gt; retval","ref":"Evision.HistogramCostExtractor.html#getDefaultCost/1","title":"Evision.HistogramCostExtractor.getDefaultCost/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.HistogramCostExtractor.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.HistogramCostExtractor.html#getDefaultName/1","title":"Evision.HistogramCostExtractor.getDefaultName/1","type":"function"},{"doc":"getNDummies Positional Arguments self : Evision.HistogramCostExtractor.t() Return retval : int Python prototype (for reference only): getNDummies() -&gt; retval","ref":"Evision.HistogramCostExtractor.html#getNDummies/1","title":"Evision.HistogramCostExtractor.getNDummies/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.HistogramCostExtractor.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.HistogramCostExtractor.html#read/2","title":"Evision.HistogramCostExtractor.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.HistogramCostExtractor.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.HistogramCostExtractor.html#save/2","title":"Evision.HistogramCostExtractor.save/2","type":"function"},{"doc":"setDefaultCost Positional Arguments self : Evision.HistogramCostExtractor.t() defaultCost : float Python prototype (for reference only): setDefaultCost(defaultCost) -&gt; None","ref":"Evision.HistogramCostExtractor.html#setDefaultCost/2","title":"Evision.HistogramCostExtractor.setDefaultCost/2","type":"function"},{"doc":"setNDummies Positional Arguments self : Evision.HistogramCostExtractor.t() nDummies : int Python prototype (for reference only): setNDummies(nDummies) -&gt; None","ref":"Evision.HistogramCostExtractor.html#setNDummies/2","title":"Evision.HistogramCostExtractor.setNDummies/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.HistogramCostExtractor.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.HistogramCostExtractor.html#write/2","title":"Evision.HistogramCostExtractor.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.HistogramCostExtractor.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.HistogramCostExtractor.html#write/3","title":"Evision.HistogramCostExtractor.write/3","type":"function"},{"doc":"Type that represents an HistogramCostExtractor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.HistogramCostExtractor.html#t:t/0","title":"Evision.HistogramCostExtractor.t/0","type":"type"},{"doc":"","ref":"Evision.ImgHash.html","title":"Evision.ImgHash","type":"module"},{"doc":"Calculates img_hash::AverageHash in one call Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3 or CV_8UC1. Return outputArr : Evision.Mat.t() . Hash value of input, it will contain 16 hex decimal number, return type is CV_8U Python prototype (for reference only): averageHash(inputArr[, outputArr]) -&gt; outputArr","ref":"Evision.ImgHash.html#averageHash/1","title":"Evision.ImgHash.averageHash/1","type":"function"},{"doc":"Calculates img_hash::AverageHash in one call Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3 or CV_8UC1. Return outputArr : Evision.Mat.t() . Hash value of input, it will contain 16 hex decimal number, return type is CV_8U Python prototype (for reference only): averageHash(inputArr[, outputArr]) -&gt; outputArr","ref":"Evision.ImgHash.html#averageHash/2","title":"Evision.ImgHash.averageHash/2","type":"function"},{"doc":"Computes block mean hash of the input image Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3 or CV_8UC1. Keyword Arguments mode : int . the mode Return outputArr : Evision.Mat.t() . Hash value of input, it will contain 16 hex decimal number, return type is CV_8U Python prototype (for reference only): blockMeanHash(inputArr[, outputArr[, mode]]) -&gt; outputArr","ref":"Evision.ImgHash.html#blockMeanHash/1","title":"Evision.ImgHash.blockMeanHash/1","type":"function"},{"doc":"Computes block mean hash of the input image Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3 or CV_8UC1. Keyword Arguments mode : int . the mode Return outputArr : Evision.Mat.t() . Hash value of input, it will contain 16 hex decimal number, return type is CV_8U Python prototype (for reference only): blockMeanHash(inputArr[, outputArr[, mode]]) -&gt; outputArr","ref":"Evision.ImgHash.html#blockMeanHash/2","title":"Evision.ImgHash.blockMeanHash/2","type":"function"},{"doc":"Computes color moment hash of the input, the algorithm is come from the paper &quot;Perceptual Hashing for Color Images Using Invariant Moments&quot; Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3 or CV_8UC1. Return outputArr : Evision.Mat.t() . 42 hash values with type CV_64F(double) Python prototype (for reference only): colorMomentHash(inputArr[, outputArr]) -&gt; outputArr","ref":"Evision.ImgHash.html#colorMomentHash/1","title":"Evision.ImgHash.colorMomentHash/1","type":"function"},{"doc":"Computes color moment hash of the input, the algorithm is come from the paper &quot;Perceptual Hashing for Color Images Using Invariant Moments&quot; Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3 or CV_8UC1. Return outputArr : Evision.Mat.t() . 42 hash values with type CV_64F(double) Python prototype (for reference only): colorMomentHash(inputArr[, outputArr]) -&gt; outputArr","ref":"Evision.ImgHash.html#colorMomentHash/2","title":"Evision.ImgHash.colorMomentHash/2","type":"function"},{"doc":"Computes average hash value of the input image Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3, CV_8UC1. Keyword Arguments alpha : float . int scale factor for marr wavelet (default=2). scale : float . int level of scale factor (default = 1) Return outputArr : Evision.Mat.t() . Hash value of input, it will contain 16 hex decimal number, return type is CV_8U Python prototype (for reference only): marrHildrethHash(inputArr[, outputArr[, alpha[, scale]]]) -&gt; outputArr","ref":"Evision.ImgHash.html#marrHildrethHash/1","title":"Evision.ImgHash.marrHildrethHash/1","type":"function"},{"doc":"Computes average hash value of the input image Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3, CV_8UC1. Keyword Arguments alpha : float . int scale factor for marr wavelet (default=2). scale : float . int level of scale factor (default = 1) Return outputArr : Evision.Mat.t() . Hash value of input, it will contain 16 hex decimal number, return type is CV_8U Python prototype (for reference only): marrHildrethHash(inputArr[, outputArr[, alpha[, scale]]]) -&gt; outputArr","ref":"Evision.ImgHash.html#marrHildrethHash/2","title":"Evision.ImgHash.marrHildrethHash/2","type":"function"},{"doc":"Computes pHash value of the input image Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3, CV_8UC1. Return outputArr : Evision.Mat.t() . Hash value of input, it will contain 8 uchar value Python prototype (for reference only): pHash(inputArr[, outputArr]) -&gt; outputArr","ref":"Evision.ImgHash.html#pHash/1","title":"Evision.ImgHash.pHash/1","type":"function"},{"doc":"Computes pHash value of the input image Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3, CV_8UC1. Return outputArr : Evision.Mat.t() . Hash value of input, it will contain 8 uchar value Python prototype (for reference only): pHash(inputArr[, outputArr]) -&gt; outputArr","ref":"Evision.ImgHash.html#pHash/2","title":"Evision.ImgHash.pHash/2","type":"function"},{"doc":"Computes radial variance hash of the input image Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3, CV_8UC1. Keyword Arguments sigma : double . Gaussian kernel standard deviation numOfAngleLine : int . The number of angles to consider Return outputArr : Evision.Mat.t() . Hash value of input Python prototype (for reference only): radialVarianceHash(inputArr[, outputArr[, sigma[, numOfAngleLine]]]) -&gt; outputArr","ref":"Evision.ImgHash.html#radialVarianceHash/1","title":"Evision.ImgHash.radialVarianceHash/1","type":"function"},{"doc":"Computes radial variance hash of the input image Positional Arguments inputArr : Evision.Mat.t() . input image want to compute hash value, type should be CV_8UC4, CV_8UC3, CV_8UC1. Keyword Arguments sigma : double . Gaussian kernel standard deviation numOfAngleLine : int . The number of angles to consider Return outputArr : Evision.Mat.t() . Hash value of input Python prototype (for reference only): radialVarianceHash(inputArr[, outputArr[, sigma[, numOfAngleLine]]]) -&gt; outputArr","ref":"Evision.ImgHash.html#radialVarianceHash/2","title":"Evision.ImgHash.radialVarianceHash/2","type":"function"},{"doc":"Type that represents an ImgHash struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ImgHash.html#t:t/0","title":"Evision.ImgHash.t/0","type":"type"},{"doc":"","ref":"Evision.ImgHash.AverageHash.html","title":"Evision.ImgHash.AverageHash","type":"module"},{"doc":"create Return retval : AverageHash Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ImgHash.AverageHash.html#create/0","title":"Evision.ImgHash.AverageHash.create/0","type":"function"},{"doc":"Type that represents an ImgHash.AverageHash struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ImgHash.AverageHash.html#t:t/0","title":"Evision.ImgHash.AverageHash.t/0","type":"type"},{"doc":"","ref":"Evision.ImgHash.BlockMeanHash.html","title":"Evision.ImgHash.BlockMeanHash","type":"module"},{"doc":"create Keyword Arguments mode : int . Return retval : BlockMeanHash Python prototype (for reference only): create([, mode]) -&gt; retval","ref":"Evision.ImgHash.BlockMeanHash.html#create/0","title":"Evision.ImgHash.BlockMeanHash.create/0","type":"function"},{"doc":"create Keyword Arguments mode : int . Return retval : BlockMeanHash Python prototype (for reference only): create([, mode]) -&gt; retval","ref":"Evision.ImgHash.BlockMeanHash.html#create/1","title":"Evision.ImgHash.BlockMeanHash.create/1","type":"function"},{"doc":"getMean Positional Arguments self : Evision.ImgHash.BlockMeanHash.t() Return retval : [double] Python prototype (for reference only): getMean() -&gt; retval","ref":"Evision.ImgHash.BlockMeanHash.html#getMean/1","title":"Evision.ImgHash.BlockMeanHash.getMean/1","type":"function"},{"doc":"Create BlockMeanHash object Positional Arguments self : Evision.ImgHash.BlockMeanHash.t() mode : int . the mode Python prototype (for reference only): setMode(mode) -&gt; None","ref":"Evision.ImgHash.BlockMeanHash.html#setMode/2","title":"Evision.ImgHash.BlockMeanHash.setMode/2","type":"function"},{"doc":"Type that represents an ImgHash.BlockMeanHash struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ImgHash.BlockMeanHash.html#t:t/0","title":"Evision.ImgHash.BlockMeanHash.t/0","type":"type"},{"doc":"","ref":"Evision.ImgHash.ColorMomentHash.html","title":"Evision.ImgHash.ColorMomentHash","type":"module"},{"doc":"create Return retval : Evision.ImgHash.ColorMomentHash.t() Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ImgHash.ColorMomentHash.html#create/0","title":"Evision.ImgHash.ColorMomentHash.create/0","type":"function"},{"doc":"Type that represents an ImgHash.ColorMomentHash struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ImgHash.ColorMomentHash.html#t:t/0","title":"Evision.ImgHash.ColorMomentHash.t/0","type":"type"},{"doc":"","ref":"Evision.ImgHash.ImgHashBase.html","title":"Evision.ImgHash.ImgHashBase","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ImgHash.ImgHashBase.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ImgHash.ImgHashBase.html#clear/1","title":"Evision.ImgHash.ImgHashBase.clear/1","type":"function"},{"doc":"Compare the hash value between inOne and inTwo Positional Arguments self : Evision.ImgHash.ImgHashBase.t() hashOne : Evision.Mat.t() . Hash value one hashTwo : Evision.Mat.t() . Hash value two Return retval : double @return value indicate similarity between inOne and inTwo, the meaning of the value vary from algorithms to algorithms Python prototype (for reference only): compare(hashOne, hashTwo) -&gt; retval","ref":"Evision.ImgHash.ImgHashBase.html#compare/3","title":"Evision.ImgHash.ImgHashBase.compare/3","type":"function"},{"doc":"Computes hash of the input image Positional Arguments self : Evision.ImgHash.ImgHashBase.t() inputArr : Evision.Mat.t() . input image want to compute hash value Return outputArr : Evision.Mat.t() . hash of the image Python prototype (for reference only): compute(inputArr[, outputArr]) -&gt; outputArr","ref":"Evision.ImgHash.ImgHashBase.html#compute/2","title":"Evision.ImgHash.ImgHashBase.compute/2","type":"function"},{"doc":"Computes hash of the input image Positional Arguments self : Evision.ImgHash.ImgHashBase.t() inputArr : Evision.Mat.t() . input image want to compute hash value Return outputArr : Evision.Mat.t() . hash of the image Python prototype (for reference only): compute(inputArr[, outputArr]) -&gt; outputArr","ref":"Evision.ImgHash.ImgHashBase.html#compute/3","title":"Evision.ImgHash.ImgHashBase.compute/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.ImgHash.ImgHashBase.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ImgHash.ImgHashBase.html#empty/1","title":"Evision.ImgHash.ImgHashBase.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ImgHash.ImgHashBase.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ImgHash.ImgHashBase.html#getDefaultName/1","title":"Evision.ImgHash.ImgHashBase.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ImgHash.ImgHashBase.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ImgHash.ImgHashBase.html#read/2","title":"Evision.ImgHash.ImgHashBase.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ImgHash.ImgHashBase.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ImgHash.ImgHashBase.html#save/2","title":"Evision.ImgHash.ImgHashBase.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ImgHash.ImgHashBase.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ImgHash.ImgHashBase.html#write/2","title":"Evision.ImgHash.ImgHashBase.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ImgHash.ImgHashBase.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ImgHash.ImgHashBase.html#write/3","title":"Evision.ImgHash.ImgHashBase.write/3","type":"function"},{"doc":"Type that represents an ImgHash.ImgHashBase struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ImgHash.ImgHashBase.html#t:t/0","title":"Evision.ImgHash.ImgHashBase.t/0","type":"type"},{"doc":"","ref":"Evision.ImgHash.MarrHildrethHash.html","title":"Evision.ImgHash.MarrHildrethHash","type":"module"},{"doc":"create Keyword Arguments alpha : float . int scale factor for marr wavelet (default=2). scale : float . int level of scale factor (default = 1) Return retval : Evision.ImgHash.MarrHildrethHash.t() Python prototype (for reference only): create([, alpha[, scale]]) -&gt; retval","ref":"Evision.ImgHash.MarrHildrethHash.html#create/0","title":"Evision.ImgHash.MarrHildrethHash.create/0","type":"function"},{"doc":"create Keyword Arguments alpha : float . int scale factor for marr wavelet (default=2). scale : float . int level of scale factor (default = 1) Return retval : Evision.ImgHash.MarrHildrethHash.t() Python prototype (for reference only): create([, alpha[, scale]]) -&gt; retval","ref":"Evision.ImgHash.MarrHildrethHash.html#create/1","title":"Evision.ImgHash.MarrHildrethHash.create/1","type":"function"},{"doc":"self explain Positional Arguments self : Evision.ImgHash.MarrHildrethHash.t() Return retval : float Python prototype (for reference only): getAlpha() -&gt; retval","ref":"Evision.ImgHash.MarrHildrethHash.html#getAlpha/1","title":"Evision.ImgHash.MarrHildrethHash.getAlpha/1","type":"function"},{"doc":"self explain Positional Arguments self : Evision.ImgHash.MarrHildrethHash.t() Return retval : float Python prototype (for reference only): getScale() -&gt; retval","ref":"Evision.ImgHash.MarrHildrethHash.html#getScale/1","title":"Evision.ImgHash.MarrHildrethHash.getScale/1","type":"function"},{"doc":"Set Mh kernel parameters Positional Arguments self : Evision.ImgHash.MarrHildrethHash.t() alpha : float . int scale factor for marr wavelet (default=2). scale : float . int level of scale factor (default = 1) Python prototype (for reference only): setKernelParam(alpha, scale) -&gt; None","ref":"Evision.ImgHash.MarrHildrethHash.html#setKernelParam/3","title":"Evision.ImgHash.MarrHildrethHash.setKernelParam/3","type":"function"},{"doc":"Type that represents an ImgHash.MarrHildrethHash struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ImgHash.MarrHildrethHash.html#t:t/0","title":"Evision.ImgHash.MarrHildrethHash.t/0","type":"type"},{"doc":"","ref":"Evision.ImgHash.PHash.html","title":"Evision.ImgHash.PHash","type":"module"},{"doc":"create Return retval : Evision.ImgHash.PHash.t() Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ImgHash.PHash.html#create/0","title":"Evision.ImgHash.PHash.create/0","type":"function"},{"doc":"Type that represents an ImgHash.PHash struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ImgHash.PHash.html#t:t/0","title":"Evision.ImgHash.PHash.t/0","type":"type"},{"doc":"","ref":"Evision.ImgHash.RadialVarianceHash.html","title":"Evision.ImgHash.RadialVarianceHash","type":"module"},{"doc":"create Keyword Arguments sigma : double . numOfAngleLine : int . Return retval : Evision.ImgHash.RadialVarianceHash.t() Python prototype (for reference only): create([, sigma[, numOfAngleLine]]) -&gt; retval","ref":"Evision.ImgHash.RadialVarianceHash.html#create/0","title":"Evision.ImgHash.RadialVarianceHash.create/0","type":"function"},{"doc":"create Keyword Arguments sigma : double . numOfAngleLine : int . Return retval : Evision.ImgHash.RadialVarianceHash.t() Python prototype (for reference only): create([, sigma[, numOfAngleLine]]) -&gt; retval","ref":"Evision.ImgHash.RadialVarianceHash.html#create/1","title":"Evision.ImgHash.RadialVarianceHash.create/1","type":"function"},{"doc":"getNumOfAngleLine Positional Arguments self : Evision.ImgHash.RadialVarianceHash.t() Return retval : int Python prototype (for reference only): getNumOfAngleLine() -&gt; retval","ref":"Evision.ImgHash.RadialVarianceHash.html#getNumOfAngleLine/1","title":"Evision.ImgHash.RadialVarianceHash.getNumOfAngleLine/1","type":"function"},{"doc":"getSigma Positional Arguments self : Evision.ImgHash.RadialVarianceHash.t() Return retval : double Python prototype (for reference only): getSigma() -&gt; retval","ref":"Evision.ImgHash.RadialVarianceHash.html#getSigma/1","title":"Evision.ImgHash.RadialVarianceHash.getSigma/1","type":"function"},{"doc":"setNumOfAngleLine Positional Arguments self : Evision.ImgHash.RadialVarianceHash.t() value : int Python prototype (for reference only): setNumOfAngleLine(value) -&gt; None","ref":"Evision.ImgHash.RadialVarianceHash.html#setNumOfAngleLine/2","title":"Evision.ImgHash.RadialVarianceHash.setNumOfAngleLine/2","type":"function"},{"doc":"setSigma Positional Arguments self : Evision.ImgHash.RadialVarianceHash.t() value : double Python prototype (for reference only): setSigma(value) -&gt; None","ref":"Evision.ImgHash.RadialVarianceHash.html#setSigma/2","title":"Evision.ImgHash.RadialVarianceHash.setSigma/2","type":"function"},{"doc":"Type that represents an ImgHash.RadialVarianceHash struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ImgHash.RadialVarianceHash.html#t:t/0","title":"Evision.ImgHash.RadialVarianceHash.t/0","type":"type"},{"doc":"","ref":"Evision.Intensitytransform.html","title":"Evision.Intensitytransform","type":"module"},{"doc":"Given an input bgr or grayscale image, apply autoscaling on domain [0, 255] to increase the contrast of the input image and return the resulting image. Positional Arguments input : Evision.Mat.t() . input bgr or grayscale image. output : Evision.Mat.t() . resulting image of autoscaling. Python prototype (for reference only): autoscaling(input, output) -&gt; None","ref":"Evision.Intensitytransform.html#autoscaling/2","title":"Evision.Intensitytransform.autoscaling/2","type":"function"},{"doc":"Given an input color image, enhance low-light images using the BIMEF method (@cite ying2017bio @cite ying2017new). Positional Arguments input : Evision.Mat.t() . input color image. k : float . exposure ratio. mu : float . enhancement ratio. a : float . a-parameter in the Camera Response Function (CRF). b : float . b-parameter in the Camera Response Function (CRF). Return output : Evision.Mat.t() . resulting image. This is an overloaded function with the exposure ratio given as parameter. @warning This is a C++ implementation of the original MATLAB algorithm . Compared to the original code, this implementation is a little bit slower and does not provide the same results. In particular, quality of the image enhancement is degraded for the bright areas in certain conditions. Python prototype (for reference only): BIMEF2(input, k, mu, a, b[, output]) -&gt; output","ref":"Evision.Intensitytransform.html#bimef2/5","title":"Evision.Intensitytransform.bimef2/5","type":"function"},{"doc":"Given an input color image, enhance low-light images using the BIMEF method (@cite ying2017bio @cite ying2017new). Positional Arguments input : Evision.Mat.t() . input color image. k : float . exposure ratio. mu : float . enhancement ratio. a : float . a-parameter in the Camera Response Function (CRF). b : float . b-parameter in the Camera Response Function (CRF). Return output : Evision.Mat.t() . resulting image. This is an overloaded function with the exposure ratio given as parameter. @warning This is a C++ implementation of the original MATLAB algorithm . Compared to the original code, this implementation is a little bit slower and does not provide the same results. In particular, quality of the image enhancement is degraded for the bright areas in certain conditions. Python prototype (for reference only): BIMEF2(input, k, mu, a, b[, output]) -&gt; output","ref":"Evision.Intensitytransform.html#bimef2/6","title":"Evision.Intensitytransform.bimef2/6","type":"function"},{"doc":"Given an input color image, enhance low-light images using the BIMEF method (@cite ying2017bio @cite ying2017new). Positional Arguments input : Evision.Mat.t() . input color image. Keyword Arguments mu : float . enhancement ratio. a : float . a-parameter in the Camera Response Function (CRF). b : float . b-parameter in the Camera Response Function (CRF). Return output : Evision.Mat.t() . resulting image. @warning This is a C++ implementation of the original MATLAB algorithm . Compared to the original code, this implementation is a little bit slower and does not provide the same results. In particular, quality of the image enhancement is degraded for the bright areas in certain conditions. Python prototype (for reference only): BIMEF(input[, output[, mu[, a[, b]]]]) -&gt; output","ref":"Evision.Intensitytransform.html#bimef/1","title":"Evision.Intensitytransform.bimef/1","type":"function"},{"doc":"Given an input color image, enhance low-light images using the BIMEF method (@cite ying2017bio @cite ying2017new). Positional Arguments input : Evision.Mat.t() . input color image. Keyword Arguments mu : float . enhancement ratio. a : float . a-parameter in the Camera Response Function (CRF). b : float . b-parameter in the Camera Response Function (CRF). Return output : Evision.Mat.t() . resulting image. @warning This is a C++ implementation of the original MATLAB algorithm . Compared to the original code, this implementation is a little bit slower and does not provide the same results. In particular, quality of the image enhancement is degraded for the bright areas in certain conditions. Python prototype (for reference only): BIMEF(input[, output[, mu[, a[, b]]]]) -&gt; output","ref":"Evision.Intensitytransform.html#bimef/2","title":"Evision.Intensitytransform.bimef/2","type":"function"},{"doc":"Given an input bgr or grayscale image, apply linear contrast stretching on domain [0, 255] and return the resulting image. Positional Arguments input : Evision.Mat.t() . input bgr or grayscale image. output : Evision.Mat.t() . resulting image of contrast stretching. r1 : int . x coordinate of first point (r1, s1) in the transformation function. s1 : int . y coordinate of first point (r1, s1) in the transformation function. r2 : int . x coordinate of second point (r2, s2) in the transformation function. s2 : int . y coordinate of second point (r2, s2) in the transformation function. Python prototype (for reference only): contrastStretching(input, output, r1, s1, r2, s2) -&gt; None","ref":"Evision.Intensitytransform.html#contrastStretching/6","title":"Evision.Intensitytransform.contrastStretching/6","type":"function"},{"doc":"Given an input bgr or grayscale image and constant gamma, apply power-law transformation, a.k.a. gamma correction to the image on domain [0, 255] and return the resulting image. Positional Arguments input : Evision.Mat.t() . input bgr or grayscale image. output : Evision.Mat.t() . resulting image of gamma corrections. gamma : float . constant in c*r^gamma where r is pixel value. Python prototype (for reference only): gammaCorrection(input, output, gamma) -&gt; None","ref":"Evision.Intensitytransform.html#gammaCorrection/3","title":"Evision.Intensitytransform.gammaCorrection/3","type":"function"},{"doc":"Given an input bgr or grayscale image and constant c, apply log transformation to the image on domain [0, 255] and return the resulting image. Positional Arguments input : Evision.Mat.t() . input bgr or grayscale image. output : Evision.Mat.t() . resulting image of log transformations. Python prototype (for reference only): logTransform(input, output) -&gt; None","ref":"Evision.Intensitytransform.html#logTransform/2","title":"Evision.Intensitytransform.logTransform/2","type":"function"},{"doc":"Type that represents an Intensitytransform struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Intensitytransform.html#t:t/0","title":"Evision.Intensitytransform.t/0","type":"type"},{"doc":"","ref":"Evision.Ipp.html","title":"Evision.Ipp","type":"module"},{"doc":"getIppVersion Return retval : String Python prototype (for reference only): getIppVersion() -&gt; retval","ref":"Evision.Ipp.html#getIppVersion/0","title":"Evision.Ipp.getIppVersion/0","type":"function"},{"doc":"setUseIPP Positional Arguments flag : bool Python prototype (for reference only): setUseIPP(flag) -&gt; None","ref":"Evision.Ipp.html#setUseIPP/1","title":"Evision.Ipp.setUseIPP/1","type":"function"},{"doc":"useIPP Return retval : bool proxy for hal::Cholesky Python prototype (for reference only): useIPP() -&gt; retval","ref":"Evision.Ipp.html#useIPP/0","title":"Evision.Ipp.useIPP/0","type":"function"},{"doc":"Type that represents an Ipp struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Ipp.html#t:t/0","title":"Evision.Ipp.t/0","type":"type"},{"doc":"","ref":"Evision.KAZE.html","title":"Evision.KAZE","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.KAZE.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.KAZE.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.KAZE.html#compute/3","title":"Evision.KAZE.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.KAZE.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.KAZE.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.KAZE.html#compute/4","title":"Evision.KAZE.compute/4","type":"function"},{"doc":"The KAZE constructor Keyword Arguments extended : bool . Set to enable extraction of extended (128-byte) descriptor. upright : bool . Set to enable use of upright descriptors (non rotation-invariant). threshold : float . Detector response threshold to accept point nOctaves : int . Maximum octave evolution of the image nOctaveLayers : int . Default number of sublevels per scale level diffusivity : KAZE_DiffusivityType . Diffusivity type. DIFF_PM_G1, DIFF_PM_G2, DIFF_WEICKERT or DIFF_CHARBONNIER Return retval : Evision.KAZE.t() Python prototype (for reference only): create([, extended[, upright[, threshold[, nOctaves[, nOctaveLayers[, diffusivity]]]]]]) -&gt; retval","ref":"Evision.KAZE.html#create/0","title":"Evision.KAZE.create/0","type":"function"},{"doc":"The KAZE constructor Keyword Arguments extended : bool . Set to enable extraction of extended (128-byte) descriptor. upright : bool . Set to enable use of upright descriptors (non rotation-invariant). threshold : float . Detector response threshold to accept point nOctaves : int . Maximum octave evolution of the image nOctaveLayers : int . Default number of sublevels per scale level diffusivity : KAZE_DiffusivityType . Diffusivity type. DIFF_PM_G1, DIFF_PM_G2, DIFF_WEICKERT or DIFF_CHARBONNIER Return retval : Evision.KAZE.t() Python prototype (for reference only): create([, extended[, upright[, threshold[, nOctaves[, nOctaveLayers[, diffusivity]]]]]]) -&gt; retval","ref":"Evision.KAZE.html#create/1","title":"Evision.KAZE.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.KAZE.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.KAZE.html#defaultNorm/1","title":"Evision.KAZE.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.KAZE.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.KAZE.html#descriptorSize/1","title":"Evision.KAZE.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.KAZE.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.KAZE.html#descriptorType/1","title":"Evision.KAZE.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.KAZE.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.KAZE.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.KAZE.html#detect/2","title":"Evision.KAZE.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.KAZE.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.KAZE.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.KAZE.html#detect/3","title":"Evision.KAZE.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.KAZE.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.KAZE.html#detectAndCompute/3","title":"Evision.KAZE.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.KAZE.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.KAZE.html#detectAndCompute/4","title":"Evision.KAZE.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.KAZE.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.KAZE.html#empty/1","title":"Evision.KAZE.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.KAZE.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.KAZE.html#getDefaultName/1","title":"Evision.KAZE.getDefaultName/1","type":"function"},{"doc":"getDiffusivity Positional Arguments self : Evision.KAZE.t() Return retval : KAZE::DiffusivityType Python prototype (for reference only): getDiffusivity() -&gt; retval","ref":"Evision.KAZE.html#getDiffusivity/1","title":"Evision.KAZE.getDiffusivity/1","type":"function"},{"doc":"getExtended Positional Arguments self : Evision.KAZE.t() Return retval : bool Python prototype (for reference only): getExtended() -&gt; retval","ref":"Evision.KAZE.html#getExtended/1","title":"Evision.KAZE.getExtended/1","type":"function"},{"doc":"getNOctaveLayers Positional Arguments self : Evision.KAZE.t() Return retval : int Python prototype (for reference only): getNOctaveLayers() -&gt; retval","ref":"Evision.KAZE.html#getNOctaveLayers/1","title":"Evision.KAZE.getNOctaveLayers/1","type":"function"},{"doc":"getNOctaves Positional Arguments self : Evision.KAZE.t() Return retval : int Python prototype (for reference only): getNOctaves() -&gt; retval","ref":"Evision.KAZE.html#getNOctaves/1","title":"Evision.KAZE.getNOctaves/1","type":"function"},{"doc":"getThreshold Positional Arguments self : Evision.KAZE.t() Return retval : double Python prototype (for reference only): getThreshold() -&gt; retval","ref":"Evision.KAZE.html#getThreshold/1","title":"Evision.KAZE.getThreshold/1","type":"function"},{"doc":"getUpright Positional Arguments self : Evision.KAZE.t() Return retval : bool Python prototype (for reference only): getUpright() -&gt; retval","ref":"Evision.KAZE.html#getUpright/1","title":"Evision.KAZE.getUpright/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.KAZE.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.KAZE.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.KAZE.html#read/2","title":"Evision.KAZE.read/2","type":"function"},{"doc":"setDiffusivity Positional Arguments self : Evision.KAZE.t() diff : KAZE_DiffusivityType Python prototype (for reference only): setDiffusivity(diff) -&gt; None","ref":"Evision.KAZE.html#setDiffusivity/2","title":"Evision.KAZE.setDiffusivity/2","type":"function"},{"doc":"setExtended Positional Arguments self : Evision.KAZE.t() extended : bool Python prototype (for reference only): setExtended(extended) -&gt; None","ref":"Evision.KAZE.html#setExtended/2","title":"Evision.KAZE.setExtended/2","type":"function"},{"doc":"setNOctaveLayers Positional Arguments self : Evision.KAZE.t() octaveLayers : int Python prototype (for reference only): setNOctaveLayers(octaveLayers) -&gt; None","ref":"Evision.KAZE.html#setNOctaveLayers/2","title":"Evision.KAZE.setNOctaveLayers/2","type":"function"},{"doc":"setNOctaves Positional Arguments self : Evision.KAZE.t() octaves : int Python prototype (for reference only): setNOctaves(octaves) -&gt; None","ref":"Evision.KAZE.html#setNOctaves/2","title":"Evision.KAZE.setNOctaves/2","type":"function"},{"doc":"setThreshold Positional Arguments self : Evision.KAZE.t() threshold : double Python prototype (for reference only): setThreshold(threshold) -&gt; None","ref":"Evision.KAZE.html#setThreshold/2","title":"Evision.KAZE.setThreshold/2","type":"function"},{"doc":"setUpright Positional Arguments self : Evision.KAZE.t() upright : bool Python prototype (for reference only): setUpright(upright) -&gt; None","ref":"Evision.KAZE.html#setUpright/2","title":"Evision.KAZE.setUpright/2","type":"function"},{"doc":"write Positional Arguments self : Evision.KAZE.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.KAZE.html#write/2","title":"Evision.KAZE.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.KAZE.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.KAZE.html#write/3","title":"Evision.KAZE.write/3","type":"function"},{"doc":"Type that represents an KAZE struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.KAZE.html#t:t/0","title":"Evision.KAZE.t/0","type":"type"},{"doc":"","ref":"Evision.KalmanFilter.html","title":"Evision.KalmanFilter","type":"module"},{"doc":"Updates the predicted state from the measurement. Positional Arguments self : Evision.KalmanFilter.t() measurement : Evision.Mat.t() . The measured system parameters Return retval : Evision.Mat.t() Python prototype (for reference only): correct(measurement) -&gt; retval","ref":"Evision.KalmanFilter.html#correct/2","title":"Evision.KalmanFilter.correct/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#get_controlMatrix/1","title":"Evision.KalmanFilter.get_controlMatrix/1","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#get_errorCovPost/1","title":"Evision.KalmanFilter.get_errorCovPost/1","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#get_errorCovPre/1","title":"Evision.KalmanFilter.get_errorCovPre/1","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#get_gain/1","title":"Evision.KalmanFilter.get_gain/1","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#get_measurementMatrix/1","title":"Evision.KalmanFilter.get_measurementMatrix/1","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#get_measurementNoiseCov/1","title":"Evision.KalmanFilter.get_measurementNoiseCov/1","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#get_processNoiseCov/1","title":"Evision.KalmanFilter.get_processNoiseCov/1","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#get_statePost/1","title":"Evision.KalmanFilter.get_statePost/1","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#get_statePre/1","title":"Evision.KalmanFilter.get_statePre/1","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#get_transitionMatrix/1","title":"Evision.KalmanFilter.get_transitionMatrix/1","type":"function"},{"doc":"KalmanFilter Return self : Evision.KalmanFilter.t() Python prototype (for reference only): KalmanFilter() -&gt; &lt;KalmanFilter object&gt;","ref":"Evision.KalmanFilter.html#kalmanFilter/0","title":"Evision.KalmanFilter.kalmanFilter/0","type":"function"},{"doc":"KalmanFilter Positional Arguments dynamParams : int . Dimensionality of the state. measureParams : int . Dimensionality of the measurement. Keyword Arguments controlParams : int . Dimensionality of the control vector. type : int . Type of the created matrices that should be CV_32F or CV_64F. Return self : Evision.KalmanFilter.t() Has overloading in C++ Python prototype (for reference only): KalmanFilter(dynamParams, measureParams[, controlParams[, type]]) -&gt; &lt;KalmanFilter object&gt;","ref":"Evision.KalmanFilter.html#kalmanFilter/2","title":"Evision.KalmanFilter.kalmanFilter/2","type":"function"},{"doc":"KalmanFilter Positional Arguments dynamParams : int . Dimensionality of the state. measureParams : int . Dimensionality of the measurement. Keyword Arguments controlParams : int . Dimensionality of the control vector. type : int . Type of the created matrices that should be CV_32F or CV_64F. Return self : Evision.KalmanFilter.t() Has overloading in C++ Python prototype (for reference only): KalmanFilter(dynamParams, measureParams[, controlParams[, type]]) -&gt; &lt;KalmanFilter object&gt;","ref":"Evision.KalmanFilter.html#kalmanFilter/3","title":"Evision.KalmanFilter.kalmanFilter/3","type":"function"},{"doc":"Computes a predicted state. Positional Arguments self : Evision.KalmanFilter.t() Keyword Arguments control : Evision.Mat.t() . The optional input control Return retval : Evision.Mat.t() Python prototype (for reference only): predict([, control]) -&gt; retval","ref":"Evision.KalmanFilter.html#predict/1","title":"Evision.KalmanFilter.predict/1","type":"function"},{"doc":"Computes a predicted state. Positional Arguments self : Evision.KalmanFilter.t() Keyword Arguments control : Evision.Mat.t() . The optional input control Return retval : Evision.Mat.t() Python prototype (for reference only): predict([, control]) -&gt; retval","ref":"Evision.KalmanFilter.html#predict/2","title":"Evision.KalmanFilter.predict/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#set_controlMatrix/2","title":"Evision.KalmanFilter.set_controlMatrix/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#set_errorCovPost/2","title":"Evision.KalmanFilter.set_errorCovPost/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#set_errorCovPre/2","title":"Evision.KalmanFilter.set_errorCovPre/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#set_gain/2","title":"Evision.KalmanFilter.set_gain/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#set_measurementMatrix/2","title":"Evision.KalmanFilter.set_measurementMatrix/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#set_measurementNoiseCov/2","title":"Evision.KalmanFilter.set_measurementNoiseCov/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#set_processNoiseCov/2","title":"Evision.KalmanFilter.set_processNoiseCov/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#set_statePost/2","title":"Evision.KalmanFilter.set_statePost/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#set_statePre/2","title":"Evision.KalmanFilter.set_statePre/2","type":"function"},{"doc":"","ref":"Evision.KalmanFilter.html#set_transitionMatrix/2","title":"Evision.KalmanFilter.set_transitionMatrix/2","type":"function"},{"doc":"Type that represents an KalmanFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.KalmanFilter.html#t:t/0","title":"Evision.KalmanFilter.t/0","type":"type"},{"doc":"","ref":"Evision.KeyPoint.html","title":"Evision.KeyPoint","type":"module"},{"doc":"convert Positional Arguments points2f : [Point2f] . Array of (x,y) coordinates of each keypoint Keyword Arguments size : float . keypoint diameter response : float . keypoint detector response on the keypoint (that is, strength of the keypoint) octave : int . pyramid octave in which the keypoint has been detected class_id : int . object id Return keypoints : [Evision.KeyPoint] . Keypoints obtained from any feature detection algorithm like SIFT/SURF/ORB Has overloading in C++ Python prototype (for reference only): convert(points2f[, size[, response[, octave[, class_id]]]]) -&gt; keypoints","ref":"Evision.KeyPoint.html#convert/1","title":"Evision.KeyPoint.convert/1","type":"function"},{"doc":"convert Positional Arguments points2f : [Point2f] . Array of (x,y) coordinates of each keypoint Keyword Arguments size : float . keypoint diameter response : float . keypoint detector response on the keypoint (that is, strength of the keypoint) octave : int . pyramid octave in which the keypoint has been detected class_id : int . object id Return keypoints : [Evision.KeyPoint] . Keypoints obtained from any feature detection algorithm like SIFT/SURF/ORB Has overloading in C++ Python prototype (for reference only): convert(points2f[, size[, response[, octave[, class_id]]]]) -&gt; keypoints","ref":"Evision.KeyPoint.html#convert/2","title":"Evision.KeyPoint.convert/2","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#get_angle/1","title":"Evision.KeyPoint.get_angle/1","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#get_class_id/1","title":"Evision.KeyPoint.get_class_id/1","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#get_octave/1","title":"Evision.KeyPoint.get_octave/1","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#get_pt/1","title":"Evision.KeyPoint.get_pt/1","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#get_response/1","title":"Evision.KeyPoint.get_response/1","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#get_size/1","title":"Evision.KeyPoint.get_size/1","type":"function"},{"doc":"KeyPoint Return self : Evision.KeyPoint.t() Python prototype (for reference only): KeyPoint() -&gt; &lt;KeyPoint object&gt;","ref":"Evision.KeyPoint.html#keyPoint/0","title":"Evision.KeyPoint.keyPoint/0","type":"function"},{"doc":"KeyPoint Positional Arguments x : float . x-coordinate of the keypoint y : float . y-coordinate of the keypoint size : float . keypoint diameter Keyword Arguments angle : float . keypoint orientation response : float . keypoint detector response on the keypoint (that is, strength of the keypoint) octave : int . pyramid octave in which the keypoint has been detected class_id : int . object id Return self : Evision.KeyPoint.t() Python prototype (for reference only): KeyPoint(x, y, size[, angle[, response[, octave[, class_id]]]]) -&gt; &lt;KeyPoint object&gt;","ref":"Evision.KeyPoint.html#keyPoint/3","title":"Evision.KeyPoint.keyPoint/3","type":"function"},{"doc":"KeyPoint Positional Arguments x : float . x-coordinate of the keypoint y : float . y-coordinate of the keypoint size : float . keypoint diameter Keyword Arguments angle : float . keypoint orientation response : float . keypoint detector response on the keypoint (that is, strength of the keypoint) octave : int . pyramid octave in which the keypoint has been detected class_id : int . object id Return self : Evision.KeyPoint.t() Python prototype (for reference only): KeyPoint(x, y, size[, angle[, response[, octave[, class_id]]]]) -&gt; &lt;KeyPoint object&gt;","ref":"Evision.KeyPoint.html#keyPoint/4","title":"Evision.KeyPoint.keyPoint/4","type":"function"},{"doc":"overlap Positional Arguments kp1 : Evision.KeyPoint.t() . First keypoint kp2 : Evision.KeyPoint.t() . Second keypoint Return retval : float This method computes overlap for pair of keypoints. Overlap is the ratio between area of keypoint regions' intersection and area of keypoint regions' union (considering keypoint region as circle). If they don't overlap, we get zero. If they coincide at same location with same size, we get 1. Python prototype (for reference only): overlap(kp1, kp2) -&gt; retval","ref":"Evision.KeyPoint.html#overlap/2","title":"Evision.KeyPoint.overlap/2","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#set_angle/2","title":"Evision.KeyPoint.set_angle/2","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#set_class_id/2","title":"Evision.KeyPoint.set_class_id/2","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#set_octave/2","title":"Evision.KeyPoint.set_octave/2","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#set_pt/2","title":"Evision.KeyPoint.set_pt/2","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#set_response/2","title":"Evision.KeyPoint.set_response/2","type":"function"},{"doc":"","ref":"Evision.KeyPoint.html#set_size/2","title":"Evision.KeyPoint.set_size/2","type":"function"},{"doc":"Type that represents an KeyPoint struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.KeyPoint.html#t:t/0","title":"Evision.KeyPoint.t/0","type":"type"},{"doc":"","ref":"Evision.KinFu.html","title":"Evision.KinFu","type":"module"},{"doc":"makeVolume Positional Arguments volumeType : VolumeType voxelSize : float pose : Evision.Mat.t() raycastStepFactor : float truncDist : float maxWeight : int truncateThreshold : float resolution : Vec3i Return retval : Volume Python prototype (for reference only): makeVolume(_volumeType, _voxelSize, _pose, _raycastStepFactor, _truncDist, _maxWeight, _truncateThreshold, _resolution) -&gt; retval","ref":"Evision.KinFu.html#makeVolume/8","title":"Evision.KinFu.makeVolume/8","type":"function"},{"doc":"Type that represents an KinFu struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.KinFu.html#t:t/0","title":"Evision.KinFu.t/0","type":"type"},{"doc":"","ref":"Evision.KinFu.KinFu.html","title":"Evision.KinFu.KinFu","type":"module"},{"doc":"create Positional Arguments params : Params Return retval : KinFu Python prototype (for reference only): create(_params) -&gt; retval","ref":"Evision.KinFu.KinFu.html#create/1","title":"Evision.KinFu.KinFu.create/1","type":"function"},{"doc":"Gets points and normals of current 3d mesh Positional Arguments self : Evision.KinFu.KinFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors normals : Evision.Mat.t() . vector of normals which are 4-float vectors The order of normals corresponds to order of points. The order of points is undefined. Python prototype (for reference only): getCloud([, points[, normals]]) -&gt; points, normals","ref":"Evision.KinFu.KinFu.html#getCloud/1","title":"Evision.KinFu.KinFu.getCloud/1","type":"function"},{"doc":"Gets points and normals of current 3d mesh Positional Arguments self : Evision.KinFu.KinFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors normals : Evision.Mat.t() . vector of normals which are 4-float vectors The order of normals corresponds to order of points. The order of points is undefined. Python prototype (for reference only): getCloud([, points[, normals]]) -&gt; points, normals","ref":"Evision.KinFu.KinFu.html#getCloud/2","title":"Evision.KinFu.KinFu.getCloud/2","type":"function"},{"doc":"Calculates normals for given points Positional Arguments self : Evision.KinFu.KinFu.t() points : Evision.Mat.t() . input vector of points which are 4-float vectors Return normals : Evision.Mat.t() . output vector of corresponding normals which are 4-float vectors Python prototype (for reference only): getNormals(points[, normals]) -&gt; normals","ref":"Evision.KinFu.KinFu.html#getNormals/2","title":"Evision.KinFu.KinFu.getNormals/2","type":"function"},{"doc":"Calculates normals for given points Positional Arguments self : Evision.KinFu.KinFu.t() points : Evision.Mat.t() . input vector of points which are 4-float vectors Return normals : Evision.Mat.t() . output vector of corresponding normals which are 4-float vectors Python prototype (for reference only): getNormals(points[, normals]) -&gt; normals","ref":"Evision.KinFu.KinFu.html#getNormals/3","title":"Evision.KinFu.KinFu.getNormals/3","type":"function"},{"doc":"Gets points of current 3d mesh Positional Arguments self : Evision.KinFu.KinFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors The order of points is undefined. Python prototype (for reference only): getPoints([, points]) -&gt; points","ref":"Evision.KinFu.KinFu.html#getPoints/1","title":"Evision.KinFu.KinFu.getPoints/1","type":"function"},{"doc":"Gets points of current 3d mesh Positional Arguments self : Evision.KinFu.KinFu.t() Return points : Evision.Mat.t() . vector of points which are 4-float vectors The order of points is undefined. Python prototype (for reference only): getPoints([, points]) -&gt; points","ref":"Evision.KinFu.KinFu.html#getPoints/2","title":"Evision.KinFu.KinFu.getPoints/2","type":"function"},{"doc":"Renders a volume into an image Positional Arguments self : Evision.KinFu.KinFu.t() Return image : Evision.Mat.t() . resulting image Renders a 0-surface of TSDF using Phong shading into a CV_8UC4 Mat. Light pose is fixed in KinFu params. Python prototype (for reference only): render([, image]) -&gt; image","ref":"Evision.KinFu.KinFu.html#render/1","title":"Evision.KinFu.KinFu.render/1","type":"function"},{"doc":"Variant 1: Renders a volume into an image Positional Arguments self : Evision.KinFu.KinFu.t() cameraPose : Evision.Mat.t() . pose of camera to render from. If empty then render from current pose which is a last frame camera pose. Return image : Evision.Mat.t() . resulting image Renders a 0-surface of TSDF using Phong shading into a CV_8UC4 Mat. Light pose is fixed in KinFu params. Python prototype (for reference only): render(cameraPose[, image]) -&gt; image Variant 2: Renders a volume into an image Positional Arguments self : Evision.KinFu.KinFu.t() Return image : Evision.Mat.t() . resulting image Renders a 0-surface of TSDF using Phong shading into a CV_8UC4 Mat. Light pose is fixed in KinFu params. Python prototype (for reference only): render([, image]) -&gt; image","ref":"Evision.KinFu.KinFu.html#render/2","title":"Evision.KinFu.KinFu.render/2","type":"function"},{"doc":"Renders a volume into an image Positional Arguments self : Evision.KinFu.KinFu.t() cameraPose : Evision.Mat.t() . pose of camera to render from. If empty then render from current pose which is a last frame camera pose. Return image : Evision.Mat.t() . resulting image Renders a 0-surface of TSDF using Phong shading into a CV_8UC4 Mat. Light pose is fixed in KinFu params. Python prototype (for reference only): render(cameraPose[, image]) -&gt; image","ref":"Evision.KinFu.KinFu.html#render/3","title":"Evision.KinFu.KinFu.render/3","type":"function"},{"doc":"Resets the algorithm Positional Arguments self : Evision.KinFu.KinFu.t() Clears current model and resets a pose. Python prototype (for reference only): reset() -&gt; None","ref":"Evision.KinFu.KinFu.html#reset/1","title":"Evision.KinFu.KinFu.reset/1","type":"function"},{"doc":"Process next depth frame Positional Arguments self : Evision.KinFu.KinFu.t() depth : Evision.Mat.t() . one-channel image which size and depth scale is described in algorithm's parameters Return retval : bool Integrates depth into voxel space with respect to its ICP-calculated pose. Input image is converted to CV_32F internally if has another type. @return true if succeeded to align new frame with current scene, false if opposite Python prototype (for reference only): update(depth) -&gt; retval","ref":"Evision.KinFu.KinFu.html#update/2","title":"Evision.KinFu.KinFu.update/2","type":"function"},{"doc":"Type that represents an KinFu.KinFu struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.KinFu.KinFu.html#t:t/0","title":"Evision.KinFu.KinFu.t/0","type":"type"},{"doc":"","ref":"Evision.KinFu.Params.html","title":"Evision.KinFu.Params","type":"module"},{"doc":"Coarse parameters A set of parameters which provides better speed, can fail to match frames in case of rapid sensor motion. Return retval : Params Python prototype (for reference only): coarseParams() -&gt; retval","ref":"Evision.KinFu.Params.html#coarseParams/0","title":"Evision.KinFu.Params.coarseParams/0","type":"function"},{"doc":"ColoredTSDF parameters A set of parameters suitable for use with ColoredTSDFVolume Positional Arguments isCoarse : bool Return retval : Params Python prototype (for reference only): coloredTSDFParams(isCoarse) -&gt; retval","ref":"Evision.KinFu.Params.html#coloredTSDFParams/1","title":"Evision.KinFu.Params.coloredTSDFParams/1","type":"function"},{"doc":"Default parameters A set of parameters which provides better model quality, can be very slow. Return retval : Params Python prototype (for reference only): defaultParams() -&gt; retval","ref":"Evision.KinFu.Params.html#defaultParams/0","title":"Evision.KinFu.Params.defaultParams/0","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_bilateral_kernel_size/1","title":"Evision.KinFu.Params.get_bilateral_kernel_size/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_bilateral_sigma_depth/1","title":"Evision.KinFu.Params.get_bilateral_sigma_depth/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_bilateral_sigma_spatial/1","title":"Evision.KinFu.Params.get_bilateral_sigma_spatial/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_depthFactor/1","title":"Evision.KinFu.Params.get_depthFactor/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_frameSize/1","title":"Evision.KinFu.Params.get_frameSize/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_icpAngleThresh/1","title":"Evision.KinFu.Params.get_icpAngleThresh/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_icpDistThresh/1","title":"Evision.KinFu.Params.get_icpDistThresh/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_icpIterations/1","title":"Evision.KinFu.Params.get_icpIterations/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_intr/1","title":"Evision.KinFu.Params.get_intr/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_lightPose/1","title":"Evision.KinFu.Params.get_lightPose/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_pyramidLevels/1","title":"Evision.KinFu.Params.get_pyramidLevels/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_raycast_step_factor/1","title":"Evision.KinFu.Params.get_raycast_step_factor/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_rgb_intr/1","title":"Evision.KinFu.Params.get_rgb_intr/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_truncateThreshold/1","title":"Evision.KinFu.Params.get_truncateThreshold/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_tsdf_max_weight/1","title":"Evision.KinFu.Params.get_tsdf_max_weight/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_tsdf_min_camera_movement/1","title":"Evision.KinFu.Params.get_tsdf_min_camera_movement/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_tsdf_trunc_dist/1","title":"Evision.KinFu.Params.get_tsdf_trunc_dist/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_volumeDims/1","title":"Evision.KinFu.Params.get_volumeDims/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_volumeType/1","title":"Evision.KinFu.Params.get_volumeType/1","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#get_voxelSize/1","title":"Evision.KinFu.Params.get_voxelSize/1","type":"function"},{"doc":"HashTSDF parameters A set of parameters suitable for use with HashTSDFVolume Positional Arguments isCoarse : bool Return retval : Params Python prototype (for reference only): hashTSDFParams(isCoarse) -&gt; retval","ref":"Evision.KinFu.Params.html#hashTSDFParams/1","title":"Evision.KinFu.Params.hashTSDFParams/1","type":"function"},{"doc":"Params Return self : Params Python prototype (for reference only): Params() -&gt; &lt;kinfu_Params object&gt;","ref":"Evision.KinFu.Params.html#params/0","title":"Evision.KinFu.Params.params/0","type":"function"},{"doc":"Constructor for Params Sets the initial pose of the TSDF volume. Positional Arguments volumeInitialPose : Evision.Mat.t() . 4 by 4 Homogeneous Transform matrix to set the intial pose of TSDF volume Return self : Params Python prototype (for reference only): Params(volumeInitialPose) -&gt; &lt;kinfu_Params object&gt;","ref":"Evision.KinFu.Params.html#params/1","title":"Evision.KinFu.Params.params/1","type":"function"},{"doc":"Constructor for Params Sets the initial pose of the TSDF volume. Positional Arguments volumeInitialPoseRot : Evision.Mat.t() . rotation matrix volumeInitialPoseTransl : Vec3f . translation vector Return self : Params Python prototype (for reference only): Params(volumeInitialPoseRot, volumeInitialPoseTransl) -&gt; &lt;kinfu_Params object&gt;","ref":"Evision.KinFu.Params.html#params/2","title":"Evision.KinFu.Params.params/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_bilateral_kernel_size/2","title":"Evision.KinFu.Params.set_bilateral_kernel_size/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_bilateral_sigma_depth/2","title":"Evision.KinFu.Params.set_bilateral_sigma_depth/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_bilateral_sigma_spatial/2","title":"Evision.KinFu.Params.set_bilateral_sigma_spatial/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_depthFactor/2","title":"Evision.KinFu.Params.set_depthFactor/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_frameSize/2","title":"Evision.KinFu.Params.set_frameSize/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_icpAngleThresh/2","title":"Evision.KinFu.Params.set_icpAngleThresh/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_icpDistThresh/2","title":"Evision.KinFu.Params.set_icpDistThresh/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_icpIterations/2","title":"Evision.KinFu.Params.set_icpIterations/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_intr/2","title":"Evision.KinFu.Params.set_intr/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_lightPose/2","title":"Evision.KinFu.Params.set_lightPose/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_pyramidLevels/2","title":"Evision.KinFu.Params.set_pyramidLevels/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_raycast_step_factor/2","title":"Evision.KinFu.Params.set_raycast_step_factor/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_rgb_intr/2","title":"Evision.KinFu.Params.set_rgb_intr/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_truncateThreshold/2","title":"Evision.KinFu.Params.set_truncateThreshold/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_tsdf_max_weight/2","title":"Evision.KinFu.Params.set_tsdf_max_weight/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_tsdf_min_camera_movement/2","title":"Evision.KinFu.Params.set_tsdf_min_camera_movement/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_tsdf_trunc_dist/2","title":"Evision.KinFu.Params.set_tsdf_trunc_dist/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_volumeDims/2","title":"Evision.KinFu.Params.set_volumeDims/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_volumeType/2","title":"Evision.KinFu.Params.set_volumeType/2","type":"function"},{"doc":"","ref":"Evision.KinFu.Params.html#set_voxelSize/2","title":"Evision.KinFu.Params.set_voxelSize/2","type":"function"},{"doc":"Set Initial Volume Pose Sets the initial pose of the TSDF volume. Positional Arguments self : Evision.KinFu.Params.t() homogen_tf : Evision.Mat.t() . 4 by 4 Homogeneous Transform matrix to set the intial pose of TSDF volume Python prototype (for reference only): setInitialVolumePose(homogen_tf) -&gt; None","ref":"Evision.KinFu.Params.html#setInitialVolumePose/2","title":"Evision.KinFu.Params.setInitialVolumePose/2","type":"function"},{"doc":"Set Initial Volume Pose Sets the initial pose of the TSDF volume. Positional Arguments self : Evision.KinFu.Params.t() r : Evision.Mat.t() . rotation matrix t : Vec3f . translation vector Python prototype (for reference only): setInitialVolumePose(R, t) -&gt; None","ref":"Evision.KinFu.Params.html#setInitialVolumePose/3","title":"Evision.KinFu.Params.setInitialVolumePose/3","type":"function"},{"doc":"Type that represents an KinFu.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.KinFu.Params.html#t:t/0","title":"Evision.KinFu.Params.t/0","type":"type"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html","title":"Evision.KinFu.VolumeParams","type":"module"},{"doc":"Coarse set of parameters that provides relatively higher performance at the cost of reconstrution quality. Positional Arguments volumeType : VolumeType Return retval : VolumeParams Python prototype (for reference only): coarseParams(_volumeType) -&gt; retval","ref":"Evision.KinFu.VolumeParams.html#coarseParams/1","title":"Evision.KinFu.VolumeParams.coarseParams/1","type":"function"},{"doc":"Default set of parameters that provide higher quality reconstruction at the cost of slow performance. Positional Arguments volumeType : VolumeType Return retval : VolumeParams Python prototype (for reference only): defaultParams(_volumeType) -&gt; retval","ref":"Evision.KinFu.VolumeParams.html#defaultParams/1","title":"Evision.KinFu.VolumeParams.defaultParams/1","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#get_depthTruncThreshold/1","title":"Evision.KinFu.VolumeParams.get_depthTruncThreshold/1","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#get_maxWeight/1","title":"Evision.KinFu.VolumeParams.get_maxWeight/1","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#get_raycastStepFactor/1","title":"Evision.KinFu.VolumeParams.get_raycastStepFactor/1","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#get_resolution/1","title":"Evision.KinFu.VolumeParams.get_resolution/1","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#get_tsdfTruncDist/1","title":"Evision.KinFu.VolumeParams.get_tsdfTruncDist/1","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#get_type/1","title":"Evision.KinFu.VolumeParams.get_type/1","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#get_voxelSize/1","title":"Evision.KinFu.VolumeParams.get_voxelSize/1","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#set_depthTruncThreshold/2","title":"Evision.KinFu.VolumeParams.set_depthTruncThreshold/2","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#set_maxWeight/2","title":"Evision.KinFu.VolumeParams.set_maxWeight/2","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#set_raycastStepFactor/2","title":"Evision.KinFu.VolumeParams.set_raycastStepFactor/2","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#set_resolution/2","title":"Evision.KinFu.VolumeParams.set_resolution/2","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#set_tsdfTruncDist/2","title":"Evision.KinFu.VolumeParams.set_tsdfTruncDist/2","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#set_type/2","title":"Evision.KinFu.VolumeParams.set_type/2","type":"function"},{"doc":"","ref":"Evision.KinFu.VolumeParams.html#set_voxelSize/2","title":"Evision.KinFu.VolumeParams.set_voxelSize/2","type":"function"},{"doc":"Type that represents an KinFu.VolumeParams struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.KinFu.VolumeParams.html#t:t/0","title":"Evision.KinFu.VolumeParams.t/0","type":"type"},{"doc":"","ref":"Evision.LargeKinfu.html","title":"Evision.LargeKinfu","type":"module"},{"doc":"Type that represents an LargeKinfu struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LargeKinfu.html#t:t/0","title":"Evision.LargeKinfu.t/0","type":"type"},{"doc":"","ref":"Evision.LargeKinfu.LargeKinfu.html","title":"Evision.LargeKinfu.LargeKinfu","type":"module"},{"doc":"create Positional Arguments params : Params Return retval : Evision.LargeKinfu.t() Python prototype (for reference only): create(_params) -&gt; retval","ref":"Evision.LargeKinfu.LargeKinfu.html#create/1","title":"Evision.LargeKinfu.LargeKinfu.create/1","type":"function"},{"doc":"getCloud Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() Return points : Evision.Mat.t() . normals : Evision.Mat.t() . Python prototype (for reference only): getCloud([, points[, normals]]) -&gt; points, normals","ref":"Evision.LargeKinfu.LargeKinfu.html#getCloud/1","title":"Evision.LargeKinfu.LargeKinfu.getCloud/1","type":"function"},{"doc":"getCloud Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() Return points : Evision.Mat.t() . normals : Evision.Mat.t() . Python prototype (for reference only): getCloud([, points[, normals]]) -&gt; points, normals","ref":"Evision.LargeKinfu.LargeKinfu.html#getCloud/2","title":"Evision.LargeKinfu.LargeKinfu.getCloud/2","type":"function"},{"doc":"getNormals Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() points : Evision.Mat.t() Return normals : Evision.Mat.t() . Python prototype (for reference only): getNormals(points[, normals]) -&gt; normals","ref":"Evision.LargeKinfu.LargeKinfu.html#getNormals/2","title":"Evision.LargeKinfu.LargeKinfu.getNormals/2","type":"function"},{"doc":"getNormals Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() points : Evision.Mat.t() Return normals : Evision.Mat.t() . Python prototype (for reference only): getNormals(points[, normals]) -&gt; normals","ref":"Evision.LargeKinfu.LargeKinfu.html#getNormals/3","title":"Evision.LargeKinfu.LargeKinfu.getNormals/3","type":"function"},{"doc":"getPoints Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() Return points : Evision.Mat.t() . Python prototype (for reference only): getPoints([, points]) -&gt; points","ref":"Evision.LargeKinfu.LargeKinfu.html#getPoints/1","title":"Evision.LargeKinfu.LargeKinfu.getPoints/1","type":"function"},{"doc":"getPoints Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() Return points : Evision.Mat.t() . Python prototype (for reference only): getPoints([, points]) -&gt; points","ref":"Evision.LargeKinfu.LargeKinfu.html#getPoints/2","title":"Evision.LargeKinfu.LargeKinfu.getPoints/2","type":"function"},{"doc":"render Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() Return image : Evision.Mat.t() . Python prototype (for reference only): render([, image]) -&gt; image","ref":"Evision.LargeKinfu.LargeKinfu.html#render/1","title":"Evision.LargeKinfu.LargeKinfu.render/1","type":"function"},{"doc":"Variant 1: render Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() cameraPose : Evision.Mat.t() Return image : Evision.Mat.t() . Python prototype (for reference only): render(cameraPose[, image]) -&gt; image Variant 2: render Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() Return image : Evision.Mat.t() . Python prototype (for reference only): render([, image]) -&gt; image","ref":"Evision.LargeKinfu.LargeKinfu.html#render/2","title":"Evision.LargeKinfu.LargeKinfu.render/2","type":"function"},{"doc":"render Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() cameraPose : Evision.Mat.t() Return image : Evision.Mat.t() . Python prototype (for reference only): render(cameraPose[, image]) -&gt; image","ref":"Evision.LargeKinfu.LargeKinfu.html#render/3","title":"Evision.LargeKinfu.LargeKinfu.render/3","type":"function"},{"doc":"reset Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() Python prototype (for reference only): reset() -&gt; None","ref":"Evision.LargeKinfu.LargeKinfu.html#reset/1","title":"Evision.LargeKinfu.LargeKinfu.reset/1","type":"function"},{"doc":"update Positional Arguments self : Evision.LargeKinfu.LargeKinfu.t() depth : Evision.Mat.t() Return retval : bool Python prototype (for reference only): update(depth) -&gt; retval","ref":"Evision.LargeKinfu.LargeKinfu.html#update/2","title":"Evision.LargeKinfu.LargeKinfu.update/2","type":"function"},{"doc":"Type that represents an LargeKinfu.LargeKinfu struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LargeKinfu.LargeKinfu.html#t:t/0","title":"Evision.LargeKinfu.LargeKinfu.t/0","type":"type"},{"doc":"","ref":"Evision.LargeKinfu.Params.html","title":"Evision.LargeKinfu.Params","type":"module"},{"doc":"Coarse parameters A set of parameters which provides better speed, can fail to match frames in case of rapid sensor motion. Return retval : Params Python prototype (for reference only): coarseParams() -&gt; retval","ref":"Evision.LargeKinfu.Params.html#coarseParams/0","title":"Evision.LargeKinfu.Params.coarseParams/0","type":"function"},{"doc":"Default parameters A set of parameters which provides better model quality, can be very slow. Return retval : Params Python prototype (for reference only): defaultParams() -&gt; retval","ref":"Evision.LargeKinfu.Params.html#defaultParams/0","title":"Evision.LargeKinfu.Params.defaultParams/0","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_bilateral_kernel_size/1","title":"Evision.LargeKinfu.Params.get_bilateral_kernel_size/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_bilateral_sigma_depth/1","title":"Evision.LargeKinfu.Params.get_bilateral_sigma_depth/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_bilateral_sigma_spatial/1","title":"Evision.LargeKinfu.Params.get_bilateral_sigma_spatial/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_depthFactor/1","title":"Evision.LargeKinfu.Params.get_depthFactor/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_frameSize/1","title":"Evision.LargeKinfu.Params.get_frameSize/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_icpAngleThresh/1","title":"Evision.LargeKinfu.Params.get_icpAngleThresh/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_icpDistThresh/1","title":"Evision.LargeKinfu.Params.get_icpDistThresh/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_icpIterations/1","title":"Evision.LargeKinfu.Params.get_icpIterations/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_intr/1","title":"Evision.LargeKinfu.Params.get_intr/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_lightPose/1","title":"Evision.LargeKinfu.Params.get_lightPose/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_pyramidLevels/1","title":"Evision.LargeKinfu.Params.get_pyramidLevels/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_rgb_intr/1","title":"Evision.LargeKinfu.Params.get_rgb_intr/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_truncateThreshold/1","title":"Evision.LargeKinfu.Params.get_truncateThreshold/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#get_tsdf_min_camera_movement/1","title":"Evision.LargeKinfu.Params.get_tsdf_min_camera_movement/1","type":"function"},{"doc":"HashTSDF parameters A set of parameters suitable for use with HashTSDFVolume Positional Arguments isCoarse : bool Return retval : Params Python prototype (for reference only): hashTSDFParams(isCoarse) -&gt; retval","ref":"Evision.LargeKinfu.Params.html#hashTSDFParams/1","title":"Evision.LargeKinfu.Params.hashTSDFParams/1","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_bilateral_kernel_size/2","title":"Evision.LargeKinfu.Params.set_bilateral_kernel_size/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_bilateral_sigma_depth/2","title":"Evision.LargeKinfu.Params.set_bilateral_sigma_depth/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_bilateral_sigma_spatial/2","title":"Evision.LargeKinfu.Params.set_bilateral_sigma_spatial/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_depthFactor/2","title":"Evision.LargeKinfu.Params.set_depthFactor/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_frameSize/2","title":"Evision.LargeKinfu.Params.set_frameSize/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_icpAngleThresh/2","title":"Evision.LargeKinfu.Params.set_icpAngleThresh/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_icpDistThresh/2","title":"Evision.LargeKinfu.Params.set_icpDistThresh/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_icpIterations/2","title":"Evision.LargeKinfu.Params.set_icpIterations/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_intr/2","title":"Evision.LargeKinfu.Params.set_intr/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_lightPose/2","title":"Evision.LargeKinfu.Params.set_lightPose/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_pyramidLevels/2","title":"Evision.LargeKinfu.Params.set_pyramidLevels/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_rgb_intr/2","title":"Evision.LargeKinfu.Params.set_rgb_intr/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_truncateThreshold/2","title":"Evision.LargeKinfu.Params.set_truncateThreshold/2","type":"function"},{"doc":"","ref":"Evision.LargeKinfu.Params.html#set_tsdf_min_camera_movement/2","title":"Evision.LargeKinfu.Params.set_tsdf_min_camera_movement/2","type":"function"},{"doc":"Type that represents an LargeKinfu.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LargeKinfu.Params.html#t:t/0","title":"Evision.LargeKinfu.Params.t/0","type":"type"},{"doc":"","ref":"Evision.Legacy.html","title":"Evision.Legacy","type":"module"},{"doc":"upgradeTrackingAPI Positional Arguments legacy_tracker : Evision.Legacy.MultiTracker.t() Return retval : Evision.Tracker.t() Python prototype (for reference only): upgradeTrackingAPI(legacy_tracker) -&gt; retval","ref":"Evision.Legacy.html#upgradeTrackingAPI/1","title":"Evision.Legacy.upgradeTrackingAPI/1","type":"function"},{"doc":"Type that represents an Legacy struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Legacy.html#t:t/0","title":"Evision.Legacy.t/0","type":"type"},{"doc":"","ref":"Evision.Legacy.MultiTracker.html","title":"Evision.Legacy.MultiTracker","type":"module"},{"doc":"add Positional Arguments self : Evision.Legacy.MultiTracker.t() newTracker : Evision.Legacy.MultiTracker.t() . tracking algorithm to be used image : Evision.Mat.t() . input image boundingBox : Rect2d . a rectangle represents ROI of the tracked object Return retval : bool \\brief Add a new object to be tracked. Python prototype (for reference only): add(newTracker, image, boundingBox) -&gt; retval","ref":"Evision.Legacy.MultiTracker.html#add/4","title":"Evision.Legacy.MultiTracker.add/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Legacy.MultiTracker.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Legacy.MultiTracker.html#clear/1","title":"Evision.Legacy.MultiTracker.clear/1","type":"function"},{"doc":"create Return retval : MultiTracker \\brief Returns a pointer to a new instance of MultiTracker Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Legacy.MultiTracker.html#create/0","title":"Evision.Legacy.MultiTracker.create/0","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Legacy.MultiTracker.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Legacy.MultiTracker.html#empty/1","title":"Evision.Legacy.MultiTracker.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Legacy.MultiTracker.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Legacy.MultiTracker.html#getDefaultName/1","title":"Evision.Legacy.MultiTracker.getDefaultName/1","type":"function"},{"doc":"getObjects Positional Arguments self : Evision.Legacy.MultiTracker.t() Return retval : [Rect2d] \\brief Returns a reference to a storage for the tracked objects, each object corresponds to one tracker algorithm Python prototype (for reference only): getObjects() -&gt; retval","ref":"Evision.Legacy.MultiTracker.html#getObjects/1","title":"Evision.Legacy.MultiTracker.getObjects/1","type":"function"},{"doc":"MultiTracker Return self : MultiTracker \\brief Constructor. Python prototype (for reference only): MultiTracker() -&gt; &lt;legacy_MultiTracker object&gt;","ref":"Evision.Legacy.MultiTracker.html#multiTracker/0","title":"Evision.Legacy.MultiTracker.multiTracker/0","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Legacy.MultiTracker.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Legacy.MultiTracker.html#read/2","title":"Evision.Legacy.MultiTracker.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Legacy.MultiTracker.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Legacy.MultiTracker.html#save/2","title":"Evision.Legacy.MultiTracker.save/2","type":"function"},{"doc":"update Positional Arguments self : Evision.Legacy.MultiTracker.t() image : Evision.Mat.t() . input image Return retval : bool boundingBox : [Rect2d] . the tracking result, represent a list of ROIs of the tracked objects. \\brief Update the current tracking status. Python prototype (for reference only): update(image) -&gt; retval, boundingBox","ref":"Evision.Legacy.MultiTracker.html#update/2","title":"Evision.Legacy.MultiTracker.update/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Legacy.MultiTracker.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Legacy.MultiTracker.html#write/2","title":"Evision.Legacy.MultiTracker.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Legacy.MultiTracker.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Legacy.MultiTracker.html#write/3","title":"Evision.Legacy.MultiTracker.write/3","type":"function"},{"doc":"Type that represents an Legacy.MultiTracker struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Legacy.MultiTracker.html#t:t/0","title":"Evision.Legacy.MultiTracker.t/0","type":"type"},{"doc":"","ref":"Evision.Legacy.Tracker.html","title":"Evision.Legacy.Tracker","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Legacy.Tracker.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Legacy.Tracker.html#clear/1","title":"Evision.Legacy.Tracker.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Legacy.Tracker.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Legacy.Tracker.html#empty/1","title":"Evision.Legacy.Tracker.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Legacy.Tracker.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Legacy.Tracker.html#getDefaultName/1","title":"Evision.Legacy.Tracker.getDefaultName/1","type":"function"},{"doc":"Initialize the tracker with a known bounding box that surrounded the target Positional Arguments self : Evision.Legacy.Tracker.t() image : Evision.Mat.t() . The initial frame boundingBox : Rect2d . The initial bounding box Return retval : bool @return True if initialization went succesfully, false otherwise Python prototype (for reference only): init(image, boundingBox) -&gt; retval","ref":"Evision.Legacy.Tracker.html#init/3","title":"Evision.Legacy.Tracker.init/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Legacy.Tracker.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Legacy.Tracker.html#read/2","title":"Evision.Legacy.Tracker.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Legacy.Tracker.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Legacy.Tracker.html#save/2","title":"Evision.Legacy.Tracker.save/2","type":"function"},{"doc":"Update the tracker, find the new most likely bounding box for the target Positional Arguments self : Evision.Legacy.Tracker.t() image : Evision.Mat.t() . The current frame Return retval : bool boundingBox : Rect2d . The bounding box that represent the new target location, if true was returned, not modified otherwise @return True means that target was located and false means that tracker cannot locate target in current frame. Note, that latter does not imply that tracker has failed, maybe target is indeed missing from the frame (say, out of sight) Python prototype (for reference only): update(image) -&gt; retval, boundingBox","ref":"Evision.Legacy.Tracker.html#update/2","title":"Evision.Legacy.Tracker.update/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Legacy.Tracker.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Legacy.Tracker.html#write/2","title":"Evision.Legacy.Tracker.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Legacy.Tracker.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Legacy.Tracker.html#write/3","title":"Evision.Legacy.Tracker.write/3","type":"function"},{"doc":"Type that represents an Legacy.Tracker struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Legacy.Tracker.html#t:t/0","title":"Evision.Legacy.Tracker.t/0","type":"type"},{"doc":"","ref":"Evision.Legacy.TrackerBoosting.html","title":"Evision.Legacy.TrackerBoosting","type":"module"},{"doc":"Constructor Return retval : legacy::TrackerBoosting Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Legacy.TrackerBoosting.html#create/0","title":"Evision.Legacy.TrackerBoosting.create/0","type":"function"},{"doc":"Type that represents an Legacy.TrackerBoosting struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Legacy.TrackerBoosting.html#t:t/0","title":"Evision.Legacy.TrackerBoosting.t/0","type":"type"},{"doc":"","ref":"Evision.Legacy.TrackerCSRT.html","title":"Evision.Legacy.TrackerCSRT","type":"module"},{"doc":"Constructor Return retval : legacy::TrackerCSRT Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Legacy.TrackerCSRT.html#create/0","title":"Evision.Legacy.TrackerCSRT.create/0","type":"function"},{"doc":"setInitialMask Positional Arguments self : Evision.Legacy.TrackerCSRT.t() mask : Evision.Mat.t() Python prototype (for reference only): setInitialMask(mask) -&gt; None","ref":"Evision.Legacy.TrackerCSRT.html#setInitialMask/2","title":"Evision.Legacy.TrackerCSRT.setInitialMask/2","type":"function"},{"doc":"Type that represents an Legacy.TrackerCSRT struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Legacy.TrackerCSRT.html#t:t/0","title":"Evision.Legacy.TrackerCSRT.t/0","type":"type"},{"doc":"","ref":"Evision.Legacy.TrackerKCF.html","title":"Evision.Legacy.TrackerKCF","type":"module"},{"doc":"Constructor Return retval : legacy::TrackerKCF Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Legacy.TrackerKCF.html#create/0","title":"Evision.Legacy.TrackerKCF.create/0","type":"function"},{"doc":"Type that represents an Legacy.TrackerKCF struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Legacy.TrackerKCF.html#t:t/0","title":"Evision.Legacy.TrackerKCF.t/0","type":"type"},{"doc":"","ref":"Evision.Legacy.TrackerMIL.html","title":"Evision.Legacy.TrackerMIL","type":"module"},{"doc":"Constructor Return retval : legacy::TrackerMIL Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Legacy.TrackerMIL.html#create/0","title":"Evision.Legacy.TrackerMIL.create/0","type":"function"},{"doc":"Type that represents an Legacy.TrackerMIL struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Legacy.TrackerMIL.html#t:t/0","title":"Evision.Legacy.TrackerMIL.t/0","type":"type"},{"doc":"","ref":"Evision.Legacy.TrackerMOSSE.html","title":"Evision.Legacy.TrackerMOSSE","type":"module"},{"doc":"Constructor Return retval : legacy::TrackerMOSSE Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Legacy.TrackerMOSSE.html#create/0","title":"Evision.Legacy.TrackerMOSSE.create/0","type":"function"},{"doc":"Type that represents an Legacy.TrackerMOSSE struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Legacy.TrackerMOSSE.html#t:t/0","title":"Evision.Legacy.TrackerMOSSE.t/0","type":"type"},{"doc":"","ref":"Evision.Legacy.TrackerMedianFlow.html","title":"Evision.Legacy.TrackerMedianFlow","type":"module"},{"doc":"Constructor Return retval : legacy::TrackerMedianFlow Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Legacy.TrackerMedianFlow.html#create/0","title":"Evision.Legacy.TrackerMedianFlow.create/0","type":"function"},{"doc":"Type that represents an Legacy.TrackerMedianFlow struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Legacy.TrackerMedianFlow.html#t:t/0","title":"Evision.Legacy.TrackerMedianFlow.t/0","type":"type"},{"doc":"","ref":"Evision.Legacy.TrackerTLD.html","title":"Evision.Legacy.TrackerTLD","type":"module"},{"doc":"Constructor Return retval : legacy::TrackerTLD Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Legacy.TrackerTLD.html#create/0","title":"Evision.Legacy.TrackerTLD.create/0","type":"function"},{"doc":"Type that represents an Legacy.TrackerTLD struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Legacy.TrackerTLD.html#t:t/0","title":"Evision.Legacy.TrackerTLD.t/0","type":"type"},{"doc":"","ref":"Evision.LineDescriptor.html","title":"Evision.LineDescriptor","type":"module"},{"doc":"Draws keylines. Positional Arguments image : Evision.Mat.t() . input image keylines : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . keylines to be drawn Keyword Arguments color : Scalar . color of lines to be drawn (if set to defaul value, color is chosen randomly) flags : int . drawing flags Return outImage : Evision.Mat.t() . output image to draw on Python prototype (for reference only): drawKeylines(image, keylines[, outImage[, color[, flags]]]) -&gt; outImage","ref":"Evision.LineDescriptor.html#drawKeylines/2","title":"Evision.LineDescriptor.drawKeylines/2","type":"function"},{"doc":"Draws keylines. Positional Arguments image : Evision.Mat.t() . input image keylines : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . keylines to be drawn Keyword Arguments color : Scalar . color of lines to be drawn (if set to defaul value, color is chosen randomly) flags : int . drawing flags Return outImage : Evision.Mat.t() . output image to draw on Python prototype (for reference only): drawKeylines(image, keylines[, outImage[, color[, flags]]]) -&gt; outImage","ref":"Evision.LineDescriptor.html#drawKeylines/3","title":"Evision.LineDescriptor.drawKeylines/3","type":"function"},{"doc":"Draws the found matches of keylines from two images. Positional Arguments img1 : Evision.Mat.t() . first image keylines1 : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . keylines extracted from first image img2 : Evision.Mat.t() . second image keylines2 : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . keylines extracted from second image matches1to2 : [Evision.DMatch] . vector of matches Keyword Arguments matchColor : Scalar . drawing color for matches (chosen randomly in case of default value) singleLineColor : Scalar . drawing color for keylines (chosen randomly in case of default value) matchesMask : [char] . mask to indicate which matches must be drawn flags : int . drawing flags, see DrawLinesMatchesFlags Return outImg : Evision.Mat.t() . output matrix to draw on Note : If both matchColor and singleLineColor are set to their default values, function draws matched lines and line connecting them with same color Python prototype (for reference only): drawLineMatches(img1, keylines1, img2, keylines2, matches1to2[, outImg[, matchColor[, singleLineColor[, matchesMask[, flags]]]]]) -&gt; outImg","ref":"Evision.LineDescriptor.html#drawLineMatches/5","title":"Evision.LineDescriptor.drawLineMatches/5","type":"function"},{"doc":"Draws the found matches of keylines from two images. Positional Arguments img1 : Evision.Mat.t() . first image keylines1 : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . keylines extracted from first image img2 : Evision.Mat.t() . second image keylines2 : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . keylines extracted from second image matches1to2 : [Evision.DMatch] . vector of matches Keyword Arguments matchColor : Scalar . drawing color for matches (chosen randomly in case of default value) singleLineColor : Scalar . drawing color for keylines (chosen randomly in case of default value) matchesMask : [char] . mask to indicate which matches must be drawn flags : int . drawing flags, see DrawLinesMatchesFlags Return outImg : Evision.Mat.t() . output matrix to draw on Note : If both matchColor and singleLineColor are set to their default values, function draws matched lines and line connecting them with same color Python prototype (for reference only): drawLineMatches(img1, keylines1, img2, keylines2, matches1to2[, outImg[, matchColor[, singleLineColor[, matchesMask[, flags]]]]]) -&gt; outImg","ref":"Evision.LineDescriptor.html#drawLineMatches/6","title":"Evision.LineDescriptor.drawLineMatches/6","type":"function"},{"doc":"Type that represents an LineDescriptor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineDescriptor.html#t:t/0","title":"Evision.LineDescriptor.t/0","type":"type"},{"doc":"","ref":"Evision.LineDescriptor.BinaryDescriptor.html","title":"Evision.LineDescriptor.BinaryDescriptor","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptor.html#clear/1","title":"Evision.LineDescriptor.BinaryDescriptor.clear/1","type":"function"},{"doc":"Requires descriptors computation Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() image : Evision.Mat.t() . input image Keyword Arguments returnFloatDescr : bool . flag (when set to true, original non-binary descriptors are returned) Return keylines : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . vector containing lines for which descriptors must be computed descriptors : Evision.Mat.t() . Python prototype (for reference only): compute(image, keylines[, descriptors[, returnFloatDescr]]) -&gt; keylines, descriptors","ref":"Evision.LineDescriptor.BinaryDescriptor.html#compute/3","title":"Evision.LineDescriptor.BinaryDescriptor.compute/3","type":"function"},{"doc":"Requires descriptors computation Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() image : Evision.Mat.t() . input image Keyword Arguments returnFloatDescr : bool . flag (when set to true, original non-binary descriptors are returned) Return keylines : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . vector containing lines for which descriptors must be computed descriptors : Evision.Mat.t() . Python prototype (for reference only): compute(image, keylines[, descriptors[, returnFloatDescr]]) -&gt; keylines, descriptors","ref":"Evision.LineDescriptor.BinaryDescriptor.html#compute/4","title":"Evision.LineDescriptor.BinaryDescriptor.compute/4","type":"function"},{"doc":"Create a BinaryDescriptor object with default parameters (or with the ones provided) and return a smart pointer to it Return retval : Evision.LineDescriptor.BinaryDescriptor.t() Python prototype (for reference only): createBinaryDescriptor() -&gt; retval","ref":"Evision.LineDescriptor.BinaryDescriptor.html#createBinaryDescriptor/0","title":"Evision.LineDescriptor.BinaryDescriptor.createBinaryDescriptor/0","type":"function"},{"doc":"Requires line detection Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() image : Evision.Mat.t() . input image Keyword Arguments mask : Evision.Mat.t() . mask matrix to detect only KeyLines of interest Return keypoints : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . vector that will store extracted lines for one or more images Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.LineDescriptor.BinaryDescriptor.html#detect/2","title":"Evision.LineDescriptor.BinaryDescriptor.detect/2","type":"function"},{"doc":"Requires line detection Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() image : Evision.Mat.t() . input image Keyword Arguments mask : Evision.Mat.t() . mask matrix to detect only KeyLines of interest Return keypoints : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . vector that will store extracted lines for one or more images Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.LineDescriptor.BinaryDescriptor.html#detect/3","title":"Evision.LineDescriptor.BinaryDescriptor.detect/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.LineDescriptor.BinaryDescriptor.html#empty/1","title":"Evision.LineDescriptor.BinaryDescriptor.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.LineDescriptor.BinaryDescriptor.html#getDefaultName/1","title":"Evision.LineDescriptor.BinaryDescriptor.getDefaultName/1","type":"function"},{"doc":"Get current number of octaves Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() Return retval : int Python prototype (for reference only): getNumOfOctaves() -&gt; retval","ref":"Evision.LineDescriptor.BinaryDescriptor.html#getNumOfOctaves/1","title":"Evision.LineDescriptor.BinaryDescriptor.getNumOfOctaves/1","type":"function"},{"doc":"Get current reduction ratio (used in Gaussian pyramids) Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() Return retval : int Python prototype (for reference only): getReductionRatio() -&gt; retval","ref":"Evision.LineDescriptor.BinaryDescriptor.html#getReductionRatio/1","title":"Evision.LineDescriptor.BinaryDescriptor.getReductionRatio/1","type":"function"},{"doc":"Get current width of bands Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() Return retval : int Python prototype (for reference only): getWidthOfBand() -&gt; retval","ref":"Evision.LineDescriptor.BinaryDescriptor.html#getWidthOfBand/1","title":"Evision.LineDescriptor.BinaryDescriptor.getWidthOfBand/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptor.html#read/2","title":"Evision.LineDescriptor.BinaryDescriptor.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptor.html#save/2","title":"Evision.LineDescriptor.BinaryDescriptor.save/2","type":"function"},{"doc":"Set number of octaves Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() octaves : int . number of octaves Python prototype (for reference only): setNumOfOctaves(octaves) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptor.html#setNumOfOctaves/2","title":"Evision.LineDescriptor.BinaryDescriptor.setNumOfOctaves/2","type":"function"},{"doc":"Set reduction ratio (used in Gaussian pyramids) Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() rRatio : int . reduction ratio Python prototype (for reference only): setReductionRatio(rRatio) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptor.html#setReductionRatio/2","title":"Evision.LineDescriptor.BinaryDescriptor.setReductionRatio/2","type":"function"},{"doc":"Set width of bands Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() width : int . width of bands Python prototype (for reference only): setWidthOfBand(width) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptor.html#setWidthOfBand/2","title":"Evision.LineDescriptor.BinaryDescriptor.setWidthOfBand/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptor.html#write/2","title":"Evision.LineDescriptor.BinaryDescriptor.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.LineDescriptor.BinaryDescriptor.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptor.html#write/3","title":"Evision.LineDescriptor.BinaryDescriptor.write/3","type":"function"},{"doc":"Type that represents an LineDescriptor.BinaryDescriptor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineDescriptor.BinaryDescriptor.html#t:t/0","title":"Evision.LineDescriptor.BinaryDescriptor.t/0","type":"type"},{"doc":"","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html","title":"Evision.LineDescriptor.BinaryDescriptorMatcher","type":"module"},{"doc":"Constructor. Return self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() The BinaryDescriptorMatcher constructed is able to store and manage 256-bits long entries. Python prototype (for reference only): BinaryDescriptorMatcher() -&gt; &lt;line_descriptor_BinaryDescriptorMatcher object&gt;","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#binaryDescriptorMatcher/0","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.binaryDescriptorMatcher/0","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#clear/1","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#empty/1","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#getDefaultName/1","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.getDefaultName/1","type":"function"},{"doc":"For every input query descriptor, retrieve the best k matching ones from a dataset provided from user or from the one internal to class Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . query descriptors trainDescriptors : Evision.Mat.t() . dataset of descriptors furnished by user k : int . number of the closest descriptors to be returned for every input query Keyword Arguments mask : Evision.Mat.t() . mask to select which input descriptors must be matched to ones in dataset compactResult : bool . flag to obtain a compact result (if true, a vector that doesn't contain any matches for a given query is not inserted in final result) Return matches : [[Evision.DMatch]] . vector to host retrieved matches Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#knnMatch/4","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.knnMatch/4","type":"function"},{"doc":"For every input query descriptor, retrieve the best k matching ones from a dataset provided from user or from the one internal to class Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . query descriptors trainDescriptors : Evision.Mat.t() . dataset of descriptors furnished by user k : int . number of the closest descriptors to be returned for every input query Keyword Arguments mask : Evision.Mat.t() . mask to select which input descriptors must be matched to ones in dataset compactResult : bool . flag to obtain a compact result (if true, a vector that doesn't contain any matches for a given query is not inserted in final result) Return matches : [[Evision.DMatch]] . vector to host retrieved matches Python prototype (for reference only): knnMatch(queryDescriptors, trainDescriptors, k[, mask[, compactResult]]) -&gt; matches","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#knnMatch/5","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.knnMatch/5","type":"function"},{"doc":"knnMatchQuery Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . query descriptors matches : [[Evision.DMatch]] . vector to host retrieved matches k : int . number of the closest descriptors to be returned for every input query Keyword Arguments masks : [Evision.Mat] . vector of masks to select which input descriptors must be matched to ones in dataset (the i -th mask in vector indicates whether each input query can be matched with descriptors in dataset relative to i -th image) compactResult : bool . flag to obtain a compact result (if true, a vector that doesn't contain any matches for a given query is not inserted in final result) Has overloading in C++ Python prototype (for reference only): knnMatchQuery(queryDescriptors, matches, k[, masks[, compactResult]]) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#knnMatchQuery/4","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.knnMatchQuery/4","type":"function"},{"doc":"knnMatchQuery Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . query descriptors matches : [[Evision.DMatch]] . vector to host retrieved matches k : int . number of the closest descriptors to be returned for every input query Keyword Arguments masks : [Evision.Mat] . vector of masks to select which input descriptors must be matched to ones in dataset (the i -th mask in vector indicates whether each input query can be matched with descriptors in dataset relative to i -th image) compactResult : bool . flag to obtain a compact result (if true, a vector that doesn't contain any matches for a given query is not inserted in final result) Has overloading in C++ Python prototype (for reference only): knnMatchQuery(queryDescriptors, matches, k[, masks[, compactResult]]) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#knnMatchQuery/5","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.knnMatchQuery/5","type":"function"},{"doc":"For every input query descriptor, retrieve the best matching one from a dataset provided from user or from the one internal to class Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . query descriptors trainDescriptors : Evision.Mat.t() . dataset of descriptors furnished by user Keyword Arguments mask : Evision.Mat.t() . mask to select which input descriptors must be matched to one in dataset Return matches : [Evision.DMatch] . vector to host retrieved matches Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#match/3","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.match/3","type":"function"},{"doc":"For every input query descriptor, retrieve the best matching one from a dataset provided from user or from the one internal to class Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . query descriptors trainDescriptors : Evision.Mat.t() . dataset of descriptors furnished by user Keyword Arguments mask : Evision.Mat.t() . mask to select which input descriptors must be matched to one in dataset Return matches : [Evision.DMatch] . vector to host retrieved matches Python prototype (for reference only): match(queryDescriptors, trainDescriptors[, mask]) -&gt; matches","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#match/4","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.match/4","type":"function"},{"doc":"matchQuery Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . query descriptors Keyword Arguments masks : [Evision.Mat] . vector of masks to select which input descriptors must be matched to one in dataset (the i -th mask in vector indicates whether each input query can be matched with descriptors in dataset relative to i -th image) Return matches : [Evision.DMatch] . vector to host retrieved matches Has overloading in C++ Python prototype (for reference only): matchQuery(queryDescriptors[, masks]) -&gt; matches","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#matchQuery/2","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.matchQuery/2","type":"function"},{"doc":"matchQuery Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() queryDescriptors : Evision.Mat.t() . query descriptors Keyword Arguments masks : [Evision.Mat] . vector of masks to select which input descriptors must be matched to one in dataset (the i -th mask in vector indicates whether each input query can be matched with descriptors in dataset relative to i -th image) Return matches : [Evision.DMatch] . vector to host retrieved matches Has overloading in C++ Python prototype (for reference only): matchQuery(queryDescriptors[, masks]) -&gt; matches","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#matchQuery/3","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.matchQuery/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#read/2","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#save/2","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#write/2","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.LineDescriptor.BinaryDescriptorMatcher.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#write/3","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.write/3","type":"function"},{"doc":"Type that represents an LineDescriptor.BinaryDescriptorMatcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineDescriptor.BinaryDescriptorMatcher.html#t:t/0","title":"Evision.LineDescriptor.BinaryDescriptorMatcher.t/0","type":"type"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html","title":"Evision.LineDescriptor.KeyLine","type":"module"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_angle/1","title":"Evision.LineDescriptor.KeyLine.get_angle/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_class_id/1","title":"Evision.LineDescriptor.KeyLine.get_class_id/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_endPointX/1","title":"Evision.LineDescriptor.KeyLine.get_endPointX/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_endPointY/1","title":"Evision.LineDescriptor.KeyLine.get_endPointY/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_ePointInOctaveX/1","title":"Evision.LineDescriptor.KeyLine.get_ePointInOctaveX/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_ePointInOctaveY/1","title":"Evision.LineDescriptor.KeyLine.get_ePointInOctaveY/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_lineLength/1","title":"Evision.LineDescriptor.KeyLine.get_lineLength/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_numOfPixels/1","title":"Evision.LineDescriptor.KeyLine.get_numOfPixels/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_octave/1","title":"Evision.LineDescriptor.KeyLine.get_octave/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_pt/1","title":"Evision.LineDescriptor.KeyLine.get_pt/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_response/1","title":"Evision.LineDescriptor.KeyLine.get_response/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_size/1","title":"Evision.LineDescriptor.KeyLine.get_size/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_sPointInOctaveX/1","title":"Evision.LineDescriptor.KeyLine.get_sPointInOctaveX/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_sPointInOctaveY/1","title":"Evision.LineDescriptor.KeyLine.get_sPointInOctaveY/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_startPointX/1","title":"Evision.LineDescriptor.KeyLine.get_startPointX/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#get_startPointY/1","title":"Evision.LineDescriptor.KeyLine.get_startPointY/1","type":"function"},{"doc":"getEndPoint Positional Arguments self : Evision.LineDescriptor.KeyLine.t() Return retval : Point2f Returns the end point of the line in the original image Python prototype (for reference only): getEndPoint() -&gt; retval","ref":"Evision.LineDescriptor.KeyLine.html#getEndPoint/1","title":"Evision.LineDescriptor.KeyLine.getEndPoint/1","type":"function"},{"doc":"getEndPointInOctave Positional Arguments self : Evision.LineDescriptor.KeyLine.t() Return retval : Point2f Returns the end point of the line in the octave it was extracted from Python prototype (for reference only): getEndPointInOctave() -&gt; retval","ref":"Evision.LineDescriptor.KeyLine.html#getEndPointInOctave/1","title":"Evision.LineDescriptor.KeyLine.getEndPointInOctave/1","type":"function"},{"doc":"getStartPoint Positional Arguments self : Evision.LineDescriptor.KeyLine.t() Return retval : Point2f Returns the start point of the line in the original image Python prototype (for reference only): getStartPoint() -&gt; retval","ref":"Evision.LineDescriptor.KeyLine.html#getStartPoint/1","title":"Evision.LineDescriptor.KeyLine.getStartPoint/1","type":"function"},{"doc":"getStartPointInOctave Positional Arguments self : Evision.LineDescriptor.KeyLine.t() Return retval : Point2f Returns the start point of the line in the octave it was extracted from Python prototype (for reference only): getStartPointInOctave() -&gt; retval","ref":"Evision.LineDescriptor.KeyLine.html#getStartPointInOctave/1","title":"Evision.LineDescriptor.KeyLine.getStartPointInOctave/1","type":"function"},{"doc":"KeyLine Return self : Evision.LineDescriptor.BinaryDescriptor.KeyLine.t() constructor Python prototype (for reference only): KeyLine() -&gt; &lt;line_descriptor_KeyLine object&gt;","ref":"Evision.LineDescriptor.KeyLine.html#keyLine/0","title":"Evision.LineDescriptor.KeyLine.keyLine/0","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_angle/2","title":"Evision.LineDescriptor.KeyLine.set_angle/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_class_id/2","title":"Evision.LineDescriptor.KeyLine.set_class_id/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_endPointX/2","title":"Evision.LineDescriptor.KeyLine.set_endPointX/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_endPointY/2","title":"Evision.LineDescriptor.KeyLine.set_endPointY/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_ePointInOctaveX/2","title":"Evision.LineDescriptor.KeyLine.set_ePointInOctaveX/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_ePointInOctaveY/2","title":"Evision.LineDescriptor.KeyLine.set_ePointInOctaveY/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_lineLength/2","title":"Evision.LineDescriptor.KeyLine.set_lineLength/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_numOfPixels/2","title":"Evision.LineDescriptor.KeyLine.set_numOfPixels/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_octave/2","title":"Evision.LineDescriptor.KeyLine.set_octave/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_pt/2","title":"Evision.LineDescriptor.KeyLine.set_pt/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_response/2","title":"Evision.LineDescriptor.KeyLine.set_response/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_size/2","title":"Evision.LineDescriptor.KeyLine.set_size/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_sPointInOctaveX/2","title":"Evision.LineDescriptor.KeyLine.set_sPointInOctaveX/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_sPointInOctaveY/2","title":"Evision.LineDescriptor.KeyLine.set_sPointInOctaveY/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_startPointX/2","title":"Evision.LineDescriptor.KeyLine.set_startPointX/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.KeyLine.html#set_startPointY/2","title":"Evision.LineDescriptor.KeyLine.set_startPointY/2","type":"function"},{"doc":"Type that represents an LineDescriptor.KeyLine struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineDescriptor.KeyLine.html#t:t/0","title":"Evision.LineDescriptor.KeyLine.t/0","type":"type"},{"doc":"","ref":"Evision.LineDescriptor.LSDDetector.html","title":"Evision.LineDescriptor.LSDDetector","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.LineDescriptor.LSDDetector.html#clear/1","title":"Evision.LineDescriptor.LSDDetector.clear/1","type":"function"},{"doc":"Creates ad LSDDetector object, using smart pointers. Return retval : Evision.LineDescriptor.LSDDetector.t() Python prototype (for reference only): createLSDDetector() -&gt; retval","ref":"Evision.LineDescriptor.LSDDetector.html#createLSDDetector/0","title":"Evision.LineDescriptor.LSDDetector.createLSDDetector/0","type":"function"},{"doc":"createLSDDetectorWithParams Positional Arguments params : Evision.LineDescriptor.LSDParam.t() Return retval : Evision.LineDescriptor.LSDDetector.t() Python prototype (for reference only): createLSDDetectorWithParams(params) -&gt; retval","ref":"Evision.LineDescriptor.LSDDetector.html#createLSDDetectorWithParams/1","title":"Evision.LineDescriptor.LSDDetector.createLSDDetectorWithParams/1","type":"function"},{"doc":"Detect lines inside an image. Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() image : Evision.Mat.t() . input image scale : int . scale factor used in pyramids generation numOctaves : int . number of octaves inside pyramid Keyword Arguments mask : Evision.Mat.t() . mask matrix to detect only KeyLines of interest Return keypoints : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . vector that will store extracted lines for one or more images Python prototype (for reference only): detect(image, scale, numOctaves[, mask]) -&gt; keypoints","ref":"Evision.LineDescriptor.LSDDetector.html#detect/4","title":"Evision.LineDescriptor.LSDDetector.detect/4","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() images : [Evision.Mat] . input images keylines : [[Evision.LineDescriptor.BinaryDescriptor.KeyLine]] . set of vectors that will store extracted lines for one or more images scale : int . scale factor used in pyramids generation numOctaves : int . number of octaves inside pyramid Keyword Arguments masks : [Evision.Mat] . vector of mask matrices to detect only KeyLines of interest from each input image Has overloading in C++ Python prototype (for reference only): detect(images, keylines, scale, numOctaves[, masks]) -&gt; None Variant 2: Detect lines inside an image. Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() image : Evision.Mat.t() . input image scale : int . scale factor used in pyramids generation numOctaves : int . number of octaves inside pyramid Keyword Arguments mask : Evision.Mat.t() . mask matrix to detect only KeyLines of interest Return keypoints : [Evision.LineDescriptor.BinaryDescriptor.KeyLine] . vector that will store extracted lines for one or more images Python prototype (for reference only): detect(image, scale, numOctaves[, mask]) -&gt; keypoints","ref":"Evision.LineDescriptor.LSDDetector.html#detect/5","title":"Evision.LineDescriptor.LSDDetector.detect/5","type":"function"},{"doc":"detect Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() images : [Evision.Mat] . input images keylines : [[Evision.LineDescriptor.BinaryDescriptor.KeyLine]] . set of vectors that will store extracted lines for one or more images scale : int . scale factor used in pyramids generation numOctaves : int . number of octaves inside pyramid Keyword Arguments masks : [Evision.Mat] . vector of mask matrices to detect only KeyLines of interest from each input image Has overloading in C++ Python prototype (for reference only): detect(images, keylines, scale, numOctaves[, masks]) -&gt; None","ref":"Evision.LineDescriptor.LSDDetector.html#detect/6","title":"Evision.LineDescriptor.LSDDetector.detect/6","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.LineDescriptor.LSDDetector.html#empty/1","title":"Evision.LineDescriptor.LSDDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.LineDescriptor.LSDDetector.html#getDefaultName/1","title":"Evision.LineDescriptor.LSDDetector.getDefaultName/1","type":"function"},{"doc":"LSDDetectorWithParams Positional Arguments params : Evision.LineDescriptor.LSDParam.t() Return self : Evision.LineDescriptor.LSDDetector.t() Python prototype (for reference only): LSDDetectorWithParams(_params) -&gt; &lt;line_descriptor_LSDDetector object&gt;","ref":"Evision.LineDescriptor.LSDDetector.html#lSDDetector/1","title":"Evision.LineDescriptor.LSDDetector.lSDDetector/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.LineDescriptor.LSDDetector.html#read/2","title":"Evision.LineDescriptor.LSDDetector.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.LineDescriptor.LSDDetector.html#save/2","title":"Evision.LineDescriptor.LSDDetector.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.LineDescriptor.LSDDetector.html#write/2","title":"Evision.LineDescriptor.LSDDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.LineDescriptor.LSDDetector.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.LineDescriptor.LSDDetector.html#write/3","title":"Evision.LineDescriptor.LSDDetector.write/3","type":"function"},{"doc":"Type that represents an LineDescriptor.LSDDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineDescriptor.LSDDetector.html#t:t/0","title":"Evision.LineDescriptor.LSDDetector.t/0","type":"type"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html","title":"Evision.LineDescriptor.LSDParam","type":"module"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#get_ang_th/1","title":"Evision.LineDescriptor.LSDParam.get_ang_th/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#get_density_th/1","title":"Evision.LineDescriptor.LSDParam.get_density_th/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#get_log_eps/1","title":"Evision.LineDescriptor.LSDParam.get_log_eps/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#get_n_bins/1","title":"Evision.LineDescriptor.LSDParam.get_n_bins/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#get_quant/1","title":"Evision.LineDescriptor.LSDParam.get_quant/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#get_scale/1","title":"Evision.LineDescriptor.LSDParam.get_scale/1","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#get_sigma_scale/1","title":"Evision.LineDescriptor.LSDParam.get_sigma_scale/1","type":"function"},{"doc":"LSDParam Return self : Evision.LineDescriptor.LSDParam.t() Python prototype (for reference only): LSDParam() -&gt; &lt;line_descriptor_LSDParam object&gt;","ref":"Evision.LineDescriptor.LSDParam.html#lSDParam/0","title":"Evision.LineDescriptor.LSDParam.lSDParam/0","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#set_ang_th/2","title":"Evision.LineDescriptor.LSDParam.set_ang_th/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#set_density_th/2","title":"Evision.LineDescriptor.LSDParam.set_density_th/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#set_log_eps/2","title":"Evision.LineDescriptor.LSDParam.set_log_eps/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#set_n_bins/2","title":"Evision.LineDescriptor.LSDParam.set_n_bins/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#set_quant/2","title":"Evision.LineDescriptor.LSDParam.set_quant/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#set_scale/2","title":"Evision.LineDescriptor.LSDParam.set_scale/2","type":"function"},{"doc":"","ref":"Evision.LineDescriptor.LSDParam.html#set_sigma_scale/2","title":"Evision.LineDescriptor.LSDParam.set_sigma_scale/2","type":"function"},{"doc":"Type that represents an LineDescriptor.LSDParam struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineDescriptor.LSDParam.html#t:t/0","title":"Evision.LineDescriptor.LSDParam.t/0","type":"type"},{"doc":"","ref":"Evision.LineMod.html","title":"Evision.LineMod","type":"module"},{"doc":"colormap Positional Arguments quantized : Evision.Mat.t() Return dst : Evision.Mat.t() . \\brief Debug function to colormap a quantized image for viewing. Python prototype (for reference only): colormap(quantized[, dst]) -&gt; dst","ref":"Evision.LineMod.html#colormap/1","title":"Evision.LineMod.colormap/1","type":"function"},{"doc":"colormap Positional Arguments quantized : Evision.Mat.t() Return dst : Evision.Mat.t() . \\brief Debug function to colormap a quantized image for viewing. Python prototype (for reference only): colormap(quantized[, dst]) -&gt; dst","ref":"Evision.LineMod.html#colormap/2","title":"Evision.LineMod.colormap/2","type":"function"},{"doc":"drawFeatures Positional Arguments templates : [Evision.LineMod.Template] . see @ref Detector::addTemplate tl : Point2i . template bbox top-left offset see @ref Detector::addTemplate Keyword Arguments size : int . marker size see @ref cv::drawMarker Return img : Evision.Mat.t() . \\brief Debug function to draw linemod features Python prototype (for reference only): drawFeatures(img, templates, tl[, size]) -&gt; img","ref":"Evision.LineMod.html#drawFeatures/3","title":"Evision.LineMod.drawFeatures/3","type":"function"},{"doc":"drawFeatures Positional Arguments templates : [Evision.LineMod.Template] . see @ref Detector::addTemplate tl : Point2i . template bbox top-left offset see @ref Detector::addTemplate Keyword Arguments size : int . marker size see @ref cv::drawMarker Return img : Evision.Mat.t() . \\brief Debug function to draw linemod features Python prototype (for reference only): drawFeatures(img, templates, tl[, size]) -&gt; img","ref":"Evision.LineMod.html#drawFeatures/4","title":"Evision.LineMod.drawFeatures/4","type":"function"},{"doc":"getDefaultLINE Return retval : Evision.LineMod.Detector.t() \\brief Factory function for detector using LINE algorithm with color gradients. Default parameter settings suitable for VGA images. Python prototype (for reference only): getDefaultLINE() -&gt; retval","ref":"Evision.LineMod.html#getDefaultLINE/0","title":"Evision.LineMod.getDefaultLINE/0","type":"function"},{"doc":"getDefaultLINEMOD Return retval : Evision.LineMod.Detector.t() \\brief Factory function for detector using LINE-MOD algorithm with color gradients and depth normals. Default parameter settings suitable for VGA images. Python prototype (for reference only): getDefaultLINEMOD() -&gt; retval","ref":"Evision.LineMod.html#getDefaultLINEMOD/0","title":"Evision.LineMod.getDefaultLINEMOD/0","type":"function"},{"doc":"Type that represents an LineMod struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineMod.html#t:t/0","title":"Evision.LineMod.t/0","type":"type"},{"doc":"","ref":"Evision.LineMod.ColorGradient.html","title":"Evision.LineMod.ColorGradient","type":"module"},{"doc":"create Positional Arguments weak_threshold : float num_features : size_t strong_threshold : float Return retval : ColorGradient \\brief Constructor. \\param weak_threshold When quantizing, discard gradients with magnitude less than this. \\param num_features How many features a template must contain. \\param strong_threshold Consider as candidate features only gradients whose norms are larger than this . Python prototype (for reference only): create(weak_threshold, num_features, strong_threshold) -&gt; retval","ref":"Evision.LineMod.ColorGradient.html#create/3","title":"Evision.LineMod.ColorGradient.create/3","type":"function"},{"doc":"","ref":"Evision.LineMod.ColorGradient.html#get_num_features/1","title":"Evision.LineMod.ColorGradient.get_num_features/1","type":"function"},{"doc":"","ref":"Evision.LineMod.ColorGradient.html#get_strong_threshold/1","title":"Evision.LineMod.ColorGradient.get_strong_threshold/1","type":"function"},{"doc":"","ref":"Evision.LineMod.ColorGradient.html#get_weak_threshold/1","title":"Evision.LineMod.ColorGradient.get_weak_threshold/1","type":"function"},{"doc":"Type that represents an LineMod.ColorGradient struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineMod.ColorGradient.html#t:t/0","title":"Evision.LineMod.ColorGradient.t/0","type":"type"},{"doc":"","ref":"Evision.LineMod.DepthNormal.html","title":"Evision.LineMod.DepthNormal","type":"module"},{"doc":"create Positional Arguments distance_threshold : int difference_threshold : int num_features : size_t extract_threshold : int Return retval : DepthNormal \\brief Constructor. \\param distance_threshold Ignore pixels beyond this distance. \\param difference_threshold When computing normals, ignore contributions of pixels whose depth difference with the central pixel is above this threshold . \\param num_features How many features a template must contain. \\param extract_threshold Consider as candidate feature only if there are no differing orientations within a distance of extract_threshold . Python prototype (for reference only): create(distance_threshold, difference_threshold, num_features, extract_threshold) -&gt; retval","ref":"Evision.LineMod.DepthNormal.html#create/4","title":"Evision.LineMod.DepthNormal.create/4","type":"function"},{"doc":"","ref":"Evision.LineMod.DepthNormal.html#get_difference_threshold/1","title":"Evision.LineMod.DepthNormal.get_difference_threshold/1","type":"function"},{"doc":"","ref":"Evision.LineMod.DepthNormal.html#get_distance_threshold/1","title":"Evision.LineMod.DepthNormal.get_distance_threshold/1","type":"function"},{"doc":"","ref":"Evision.LineMod.DepthNormal.html#get_extract_threshold/1","title":"Evision.LineMod.DepthNormal.get_extract_threshold/1","type":"function"},{"doc":"","ref":"Evision.LineMod.DepthNormal.html#get_num_features/1","title":"Evision.LineMod.DepthNormal.get_num_features/1","type":"function"},{"doc":"Type that represents an LineMod.DepthNormal struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineMod.DepthNormal.html#t:t/0","title":"Evision.LineMod.DepthNormal.t/0","type":"type"},{"doc":"","ref":"Evision.LineMod.Detector.html","title":"Evision.LineMod.Detector","type":"module"},{"doc":"addSyntheticTemplate Positional Arguments self : Evision.LineMod.Detector.t() templates : [Evision.LineMod.Template] class_id : String Return retval : int \\brief Add a new object template computed by external means. Python prototype (for reference only): addSyntheticTemplate(templates, class_id) -&gt; retval","ref":"Evision.LineMod.Detector.html#addSyntheticTemplate/3","title":"Evision.LineMod.Detector.addSyntheticTemplate/3","type":"function"},{"doc":"addTemplate Positional Arguments self : Evision.LineMod.Detector.t() sources : [Evision.Mat] class_id : String object_mask : Evision.Mat.t() Return retval : int bounding_box : Rect* \\brief Add new object template. \\param sources Source images, one for each modality. \\param class_id Object class ID. \\param object_mask Mask separating object from background. \\param[out] bounding_box Optionally return bounding box of the extracted features. \\return Template ID, or -1 if failed to extract a valid template. Python prototype (for reference only): addTemplate(sources, class_id, object_mask) -&gt; retval, bounding_box","ref":"Evision.LineMod.Detector.html#addTemplate/4","title":"Evision.LineMod.Detector.addTemplate/4","type":"function"},{"doc":"classIds Positional Arguments self : Evision.LineMod.Detector.t() Return retval : [String] Python prototype (for reference only): classIds() -&gt; retval","ref":"Evision.LineMod.Detector.html#classIds/1","title":"Evision.LineMod.Detector.classIds/1","type":"function"},{"doc":"Detector Return self : Detector \\brief Empty constructor, initialize with read(). Python prototype (for reference only): Detector() -&gt; &lt;linemod_Detector object&gt;","ref":"Evision.LineMod.Detector.html#detector/0","title":"Evision.LineMod.Detector.detector/0","type":"function"},{"doc":"Detector Positional Arguments modalities : [Ptr_Modality] t_pyramid : [int] Return self : Detector \\brief Constructor. \\param modalities Modalities to use (color gradients, depth normals, ...). \\param T_pyramid Value of the sampling step T at each pyramid level. The number of pyramid levels is T_pyramid . size ( ) . Python prototype (for reference only): Detector(modalities, T_pyramid) -&gt; &lt;linemod_Detector object&gt;","ref":"Evision.LineMod.Detector.html#detector/2","title":"Evision.LineMod.Detector.detector/2","type":"function"},{"doc":"getModalities Positional Arguments self : Evision.LineMod.Detector.t() Return retval : [Modality] \\brief Get the modalities used by this detector. You are not permitted to add/remove modalities, but you may dynamic_cast them to tweak parameters. Python prototype (for reference only): getModalities() -&gt; retval","ref":"Evision.LineMod.Detector.html#getModalities/1","title":"Evision.LineMod.Detector.getModalities/1","type":"function"},{"doc":"getT Positional Arguments self : Evision.LineMod.Detector.t() pyramid_level : int Return retval : int \\brief Get sampling step T at pyramid_level. Python prototype (for reference only): getT(pyramid_level) -&gt; retval","ref":"Evision.LineMod.Detector.html#getT/2","title":"Evision.LineMod.Detector.getT/2","type":"function"},{"doc":"getTemplates Positional Arguments self : Evision.LineMod.Detector.t() class_id : String template_id : int Return retval : [Evision.LineMod.Template] \\brief Get the template pyramid identified by template_id. For example, with 2 modalities (Gradient, Normal) and two pyramid levels (L0, L1), the order is (GradientL0, NormalL0, GradientL1, NormalL1). Python prototype (for reference only): getTemplates(class_id, template_id) -&gt; retval","ref":"Evision.LineMod.Detector.html#getTemplates/3","title":"Evision.LineMod.Detector.getTemplates/3","type":"function"},{"doc":"match Positional Arguments self : Evision.LineMod.Detector.t() sources : [Evision.Mat] threshold : float Keyword Arguments class_ids : [String] . masks : [Evision.Mat] . Return matches : [Match] quantized_images : [Evision.Mat] . \\brief Detect objects by template matching. Matches globally at the lowest pyramid level, then refines locally stepping up the pyramid. \\param sources Source images, one for each modality. \\param threshold Similarity threshold, a percentage between 0 and 100. \\param[out] matches Template matches, sorted by similarity score. \\param class_ids If non-empty, only search for the desired object classes. \\param[out] quantized_images Optionally return vector&lt;Mat&gt; of quantized images. \\param masks The masks for consideration during matching. The masks should be CV_8UC1 where 255 represents a valid pixel . If non - empty , the vector must be the same size as sources . Each element must be empty or the same size as its corresponding source . Python prototype (for reference only): match(sources, threshold[, class_ids[, quantized_images[, masks]]]) -&gt; matches, quantized_images","ref":"Evision.LineMod.Detector.html#match/3","title":"Evision.LineMod.Detector.match/3","type":"function"},{"doc":"match Positional Arguments self : Evision.LineMod.Detector.t() sources : [Evision.Mat] threshold : float Keyword Arguments class_ids : [String] . masks : [Evision.Mat] . Return matches : [Match] quantized_images : [Evision.Mat] . \\brief Detect objects by template matching. Matches globally at the lowest pyramid level, then refines locally stepping up the pyramid. \\param sources Source images, one for each modality. \\param threshold Similarity threshold, a percentage between 0 and 100. \\param[out] matches Template matches, sorted by similarity score. \\param class_ids If non-empty, only search for the desired object classes. \\param[out] quantized_images Optionally return vector&lt;Mat&gt; of quantized images. \\param masks The masks for consideration during matching. The masks should be CV_8UC1 where 255 represents a valid pixel . If non - empty , the vector must be the same size as sources . Each element must be empty or the same size as its corresponding source . Python prototype (for reference only): match(sources, threshold[, class_ids[, quantized_images[, masks]]]) -&gt; matches, quantized_images","ref":"Evision.LineMod.Detector.html#match/4","title":"Evision.LineMod.Detector.match/4","type":"function"},{"doc":"numClasses Positional Arguments self : Evision.LineMod.Detector.t() Return retval : int Python prototype (for reference only): numClasses() -&gt; retval","ref":"Evision.LineMod.Detector.html#numClasses/1","title":"Evision.LineMod.Detector.numClasses/1","type":"function"},{"doc":"numTemplates Positional Arguments self : Evision.LineMod.Detector.t() Return retval : int Python prototype (for reference only): numTemplates() -&gt; retval","ref":"Evision.LineMod.Detector.html#numTemplates/1","title":"Evision.LineMod.Detector.numTemplates/1","type":"function"},{"doc":"numTemplates Positional Arguments self : Evision.LineMod.Detector.t() class_id : String Return retval : int Python prototype (for reference only): numTemplates(class_id) -&gt; retval","ref":"Evision.LineMod.Detector.html#numTemplates/2","title":"Evision.LineMod.Detector.numTemplates/2","type":"function"},{"doc":"pyramidLevels Positional Arguments self : Evision.LineMod.Detector.t() Return retval : int \\brief Get number of pyramid levels used by this detector. Python prototype (for reference only): pyramidLevels() -&gt; retval","ref":"Evision.LineMod.Detector.html#pyramidLevels/1","title":"Evision.LineMod.Detector.pyramidLevels/1","type":"function"},{"doc":"read Positional Arguments self : Evision.LineMod.Detector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.LineMod.Detector.html#read/2","title":"Evision.LineMod.Detector.read/2","type":"function"},{"doc":"readClasses Positional Arguments self : Evision.LineMod.Detector.t() class_ids : [String] Keyword Arguments format : String . Python prototype (for reference only): readClasses(class_ids[, format]) -&gt; None","ref":"Evision.LineMod.Detector.html#readClasses/2","title":"Evision.LineMod.Detector.readClasses/2","type":"function"},{"doc":"readClasses Positional Arguments self : Evision.LineMod.Detector.t() class_ids : [String] Keyword Arguments format : String . Python prototype (for reference only): readClasses(class_ids[, format]) -&gt; None","ref":"Evision.LineMod.Detector.html#readClasses/3","title":"Evision.LineMod.Detector.readClasses/3","type":"function"},{"doc":"writeClasses Positional Arguments self : Evision.LineMod.Detector.t() Keyword Arguments format : String . Python prototype (for reference only): writeClasses([, format]) -&gt; None","ref":"Evision.LineMod.Detector.html#writeClasses/1","title":"Evision.LineMod.Detector.writeClasses/1","type":"function"},{"doc":"writeClasses Positional Arguments self : Evision.LineMod.Detector.t() Keyword Arguments format : String . Python prototype (for reference only): writeClasses([, format]) -&gt; None","ref":"Evision.LineMod.Detector.html#writeClasses/2","title":"Evision.LineMod.Detector.writeClasses/2","type":"function"},{"doc":"Type that represents an LineMod.Detector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineMod.Detector.html#t:t/0","title":"Evision.LineMod.Detector.t/0","type":"type"},{"doc":"","ref":"Evision.LineMod.Feature.html","title":"Evision.LineMod.Feature","type":"module"},{"doc":"Feature Return self : Feature Python prototype (for reference only): Feature() -&gt; &lt;linemod_Feature object&gt;","ref":"Evision.LineMod.Feature.html#feature/0","title":"Evision.LineMod.Feature.feature/0","type":"function"},{"doc":"Feature Positional Arguments x : int y : int label : int Return self : Feature Python prototype (for reference only): Feature(x, y, label) -&gt; &lt;linemod_Feature object&gt;","ref":"Evision.LineMod.Feature.html#feature/3","title":"Evision.LineMod.Feature.feature/3","type":"function"},{"doc":"","ref":"Evision.LineMod.Feature.html#get_label/1","title":"Evision.LineMod.Feature.get_label/1","type":"function"},{"doc":"","ref":"Evision.LineMod.Feature.html#get_x/1","title":"Evision.LineMod.Feature.get_x/1","type":"function"},{"doc":"","ref":"Evision.LineMod.Feature.html#get_y/1","title":"Evision.LineMod.Feature.get_y/1","type":"function"},{"doc":"","ref":"Evision.LineMod.Feature.html#set_label/2","title":"Evision.LineMod.Feature.set_label/2","type":"function"},{"doc":"","ref":"Evision.LineMod.Feature.html#set_x/2","title":"Evision.LineMod.Feature.set_x/2","type":"function"},{"doc":"","ref":"Evision.LineMod.Feature.html#set_y/2","title":"Evision.LineMod.Feature.set_y/2","type":"function"},{"doc":"Type that represents an LineMod.Feature struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineMod.Feature.html#t:t/0","title":"Evision.LineMod.Feature.t/0","type":"type"},{"doc":"","ref":"Evision.LineMod.Match.html","title":"Evision.LineMod.Match","type":"module"},{"doc":"","ref":"Evision.LineMod.Match.html#get_class_id/1","title":"Evision.LineMod.Match.get_class_id/1","type":"function"},{"doc":"","ref":"Evision.LineMod.Match.html#get_similarity/1","title":"Evision.LineMod.Match.get_similarity/1","type":"function"},{"doc":"","ref":"Evision.LineMod.Match.html#get_template_id/1","title":"Evision.LineMod.Match.get_template_id/1","type":"function"},{"doc":"","ref":"Evision.LineMod.Match.html#get_x/1","title":"Evision.LineMod.Match.get_x/1","type":"function"},{"doc":"","ref":"Evision.LineMod.Match.html#get_y/1","title":"Evision.LineMod.Match.get_y/1","type":"function"},{"doc":"Match Return self : Match Python prototype (for reference only): Match() -&gt; &lt;linemod_Match object&gt;","ref":"Evision.LineMod.Match.html#match/0","title":"Evision.LineMod.Match.match/0","type":"function"},{"doc":"Match Positional Arguments x : int y : int similarity : float class_id : String template_id : int Return self : Match Python prototype (for reference only): Match(x, y, similarity, class_id, template_id) -&gt; &lt;linemod_Match object&gt;","ref":"Evision.LineMod.Match.html#match/5","title":"Evision.LineMod.Match.match/5","type":"function"},{"doc":"","ref":"Evision.LineMod.Match.html#set_class_id/2","title":"Evision.LineMod.Match.set_class_id/2","type":"function"},{"doc":"","ref":"Evision.LineMod.Match.html#set_similarity/2","title":"Evision.LineMod.Match.set_similarity/2","type":"function"},{"doc":"","ref":"Evision.LineMod.Match.html#set_template_id/2","title":"Evision.LineMod.Match.set_template_id/2","type":"function"},{"doc":"","ref":"Evision.LineMod.Match.html#set_x/2","title":"Evision.LineMod.Match.set_x/2","type":"function"},{"doc":"","ref":"Evision.LineMod.Match.html#set_y/2","title":"Evision.LineMod.Match.set_y/2","type":"function"},{"doc":"Type that represents an LineMod.Match struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineMod.Match.html#t:t/0","title":"Evision.LineMod.Match.t/0","type":"type"},{"doc":"","ref":"Evision.LineMod.Modality.html","title":"Evision.LineMod.Modality","type":"module"},{"doc":"Variant 1: create Positional Arguments fn_ : Evision.FileNode.t() Return retval : Modality \\brief Load a modality from file. Python prototype (for reference only): create(fn_) -&gt; retval Variant 2: create Positional Arguments modality_type : String Return retval : Modality \\brief Create modality by name. The following modality types are supported: &quot;ColorGradient&quot; &quot;DepthNormal&quot; Python prototype (for reference only): create(modality_type) -&gt; retval","ref":"Evision.LineMod.Modality.html#create/1","title":"Evision.LineMod.Modality.create/1","type":"function"},{"doc":"name Positional Arguments self : Evision.LineMod.Modality.t() Return retval : String Python prototype (for reference only): name() -&gt; retval","ref":"Evision.LineMod.Modality.html#name/1","title":"Evision.LineMod.Modality.name/1","type":"function"},{"doc":"process Positional Arguments self : Evision.LineMod.Modality.t() src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . Return retval : QuantizedPyramid \\brief Form a quantized image pyramid from a source image. \\param[in] src The source image. Type depends on the modality. \\param[in] mask Optional mask. If not empty, unmasked pixels are set to zero in quantized image and cannot be extracted as features . Python prototype (for reference only): process(src[, mask]) -&gt; retval","ref":"Evision.LineMod.Modality.html#process/2","title":"Evision.LineMod.Modality.process/2","type":"function"},{"doc":"process Positional Arguments self : Evision.LineMod.Modality.t() src : Evision.Mat.t() Keyword Arguments mask : Evision.Mat.t() . Return retval : QuantizedPyramid \\brief Form a quantized image pyramid from a source image. \\param[in] src The source image. Type depends on the modality. \\param[in] mask Optional mask. If not empty, unmasked pixels are set to zero in quantized image and cannot be extracted as features . Python prototype (for reference only): process(src[, mask]) -&gt; retval","ref":"Evision.LineMod.Modality.html#process/3","title":"Evision.LineMod.Modality.process/3","type":"function"},{"doc":"read Positional Arguments self : Evision.LineMod.Modality.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.LineMod.Modality.html#read/2","title":"Evision.LineMod.Modality.read/2","type":"function"},{"doc":"Type that represents an LineMod.Modality struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineMod.Modality.html#t:t/0","title":"Evision.LineMod.Modality.t/0","type":"type"},{"doc":"","ref":"Evision.LineMod.QuantizedPyramid.html","title":"Evision.LineMod.QuantizedPyramid","type":"module"},{"doc":"extractTemplate Positional Arguments self : Evision.LineMod.QuantizedPyramid.t() Return retval : bool templ : Evision.LineMod.Template.t() \\brief Extract most discriminant features at current pyramid level to form a new template. \\param[out] templ The new template. Python prototype (for reference only): extractTemplate() -&gt; retval, templ","ref":"Evision.LineMod.QuantizedPyramid.html#extractTemplate/1","title":"Evision.LineMod.QuantizedPyramid.extractTemplate/1","type":"function"},{"doc":"pyrDown Positional Arguments self : Evision.LineMod.QuantizedPyramid.t() \\brief Go to the next pyramid level. \\todo Allow pyramid scale factor other than 2 Python prototype (for reference only): pyrDown() -&gt; None","ref":"Evision.LineMod.QuantizedPyramid.html#pyrDown/1","title":"Evision.LineMod.QuantizedPyramid.pyrDown/1","type":"function"},{"doc":"quantize Positional Arguments self : Evision.LineMod.QuantizedPyramid.t() Return dst : Evision.Mat.t() . \\brief Compute quantized image at current pyramid level for online detection. \\param[out] dst The destination 8-bit image. For each pixel at most one bit is set, representing its classification . Python prototype (for reference only): quantize([, dst]) -&gt; dst","ref":"Evision.LineMod.QuantizedPyramid.html#quantize/1","title":"Evision.LineMod.QuantizedPyramid.quantize/1","type":"function"},{"doc":"quantize Positional Arguments self : Evision.LineMod.QuantizedPyramid.t() Return dst : Evision.Mat.t() . \\brief Compute quantized image at current pyramid level for online detection. \\param[out] dst The destination 8-bit image. For each pixel at most one bit is set, representing its classification . Python prototype (for reference only): quantize([, dst]) -&gt; dst","ref":"Evision.LineMod.QuantizedPyramid.html#quantize/2","title":"Evision.LineMod.QuantizedPyramid.quantize/2","type":"function"},{"doc":"Type that represents an LineMod.QuantizedPyramid struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineMod.QuantizedPyramid.html#t:t/0","title":"Evision.LineMod.QuantizedPyramid.t/0","type":"type"},{"doc":"","ref":"Evision.LineMod.Template.html","title":"Evision.LineMod.Template","type":"module"},{"doc":"","ref":"Evision.LineMod.Template.html#get_features/1","title":"Evision.LineMod.Template.get_features/1","type":"function"},{"doc":"","ref":"Evision.LineMod.Template.html#get_height/1","title":"Evision.LineMod.Template.get_height/1","type":"function"},{"doc":"","ref":"Evision.LineMod.Template.html#get_pyramid_level/1","title":"Evision.LineMod.Template.get_pyramid_level/1","type":"function"},{"doc":"","ref":"Evision.LineMod.Template.html#get_width/1","title":"Evision.LineMod.Template.get_width/1","type":"function"},{"doc":"Type that represents an LineMod.Template struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineMod.Template.html#t:t/0","title":"Evision.LineMod.Template.t/0","type":"type"},{"doc":"","ref":"Evision.LineSegmentDetector.html","title":"Evision.LineSegmentDetector","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.LineSegmentDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.LineSegmentDetector.html#clear/1","title":"Evision.LineSegmentDetector.clear/1","type":"function"},{"doc":"Draws two groups of lines in blue and red, counting the non overlapping (mismatching) pixels. Positional Arguments self : Evision.LineSegmentDetector.t() size : Size . The size of the image, where lines1 and lines2 were found. lines1 : Evision.Mat.t() . The first group of lines that needs to be drawn. It is visualized in blue color. lines2 : Evision.Mat.t() . The second group of lines. They visualized in red color. Return retval : int image : Evision.Mat.t() . Optional image, where the lines will be drawn. The image should be color(3-channel) in order for lines1 and lines2 to be drawn in the above mentioned colors. Python prototype (for reference only): compareSegments(size, lines1, lines2[, image]) -&gt; retval, image","ref":"Evision.LineSegmentDetector.html#compareSegments/4","title":"Evision.LineSegmentDetector.compareSegments/4","type":"function"},{"doc":"Draws two groups of lines in blue and red, counting the non overlapping (mismatching) pixels. Positional Arguments self : Evision.LineSegmentDetector.t() size : Size . The size of the image, where lines1 and lines2 were found. lines1 : Evision.Mat.t() . The first group of lines that needs to be drawn. It is visualized in blue color. lines2 : Evision.Mat.t() . The second group of lines. They visualized in red color. Return retval : int image : Evision.Mat.t() . Optional image, where the lines will be drawn. The image should be color(3-channel) in order for lines1 and lines2 to be drawn in the above mentioned colors. Python prototype (for reference only): compareSegments(size, lines1, lines2[, image]) -&gt; retval, image","ref":"Evision.LineSegmentDetector.html#compareSegments/5","title":"Evision.LineSegmentDetector.compareSegments/5","type":"function"},{"doc":"Finds lines in the input image. Positional Arguments self : Evision.LineSegmentDetector.t() image : Evision.Mat.t() . A grayscale (CV_8UC1) input image. If only a roi needs to be selected, use: lsd_ptr-\\&gt;detect(image(roi), lines, ...); lines += Scalar(roi.x, roi.y, roi.x, roi.y); Return lines : Evision.Mat.t() . A vector of Vec4f elements specifying the beginning and ending point of a line. Where Vec4f is (x1, y1, x2, y2), point 1 is the start, point 2 - end. Returned lines are strictly oriented depending on the gradient. width : Evision.Mat.t() . Vector of widths of the regions, where the lines are found. E.g. Width of line. prec : Evision.Mat.t() . Vector of precisions with which the lines are found. nfa : Evision.Mat.t() . Vector containing number of false alarms in the line region, with precision of 10%. The bigger the value, logarithmically better the detection. -1 corresponds to 10 mean false alarms 0 corresponds to 1 mean false alarm 1 corresponds to 0.1 mean false alarms This vector will be calculated only when the objects type is #LSD_REFINE_ADV. This is the output of the default parameters of the algorithm on the above shown image. Python prototype (for reference only): detect(image[, lines[, width[, prec[, nfa]]]]) -&gt; lines, width, prec, nfa","ref":"Evision.LineSegmentDetector.html#detect/2","title":"Evision.LineSegmentDetector.detect/2","type":"function"},{"doc":"Finds lines in the input image. Positional Arguments self : Evision.LineSegmentDetector.t() image : Evision.Mat.t() . A grayscale (CV_8UC1) input image. If only a roi needs to be selected, use: lsd_ptr-\\&gt;detect(image(roi), lines, ...); lines += Scalar(roi.x, roi.y, roi.x, roi.y); Return lines : Evision.Mat.t() . A vector of Vec4f elements specifying the beginning and ending point of a line. Where Vec4f is (x1, y1, x2, y2), point 1 is the start, point 2 - end. Returned lines are strictly oriented depending on the gradient. width : Evision.Mat.t() . Vector of widths of the regions, where the lines are found. E.g. Width of line. prec : Evision.Mat.t() . Vector of precisions with which the lines are found. nfa : Evision.Mat.t() . Vector containing number of false alarms in the line region, with precision of 10%. The bigger the value, logarithmically better the detection. -1 corresponds to 10 mean false alarms 0 corresponds to 1 mean false alarm 1 corresponds to 0.1 mean false alarms This vector will be calculated only when the objects type is #LSD_REFINE_ADV. This is the output of the default parameters of the algorithm on the above shown image. Python prototype (for reference only): detect(image[, lines[, width[, prec[, nfa]]]]) -&gt; lines, width, prec, nfa","ref":"Evision.LineSegmentDetector.html#detect/3","title":"Evision.LineSegmentDetector.detect/3","type":"function"},{"doc":"Draws the line segments on a given image. Positional Arguments self : Evision.LineSegmentDetector.t() lines : Evision.Mat.t() . A vector of the lines that needed to be drawn. Return image : Evision.Mat.t() . The image, where the lines will be drawn. Should be bigger or equal to the image, where the lines were found. Python prototype (for reference only): drawSegments(image, lines) -&gt; image","ref":"Evision.LineSegmentDetector.html#drawSegments/3","title":"Evision.LineSegmentDetector.drawSegments/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.LineSegmentDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.LineSegmentDetector.html#empty/1","title":"Evision.LineSegmentDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.LineSegmentDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.LineSegmentDetector.html#getDefaultName/1","title":"Evision.LineSegmentDetector.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.LineSegmentDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.LineSegmentDetector.html#read/2","title":"Evision.LineSegmentDetector.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.LineSegmentDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.LineSegmentDetector.html#save/2","title":"Evision.LineSegmentDetector.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.LineSegmentDetector.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.LineSegmentDetector.html#write/2","title":"Evision.LineSegmentDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.LineSegmentDetector.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.LineSegmentDetector.html#write/3","title":"Evision.LineSegmentDetector.write/3","type":"function"},{"doc":"Type that represents an LineSegmentDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.LineSegmentDetector.html#t:t/0","title":"Evision.LineSegmentDetector.t/0","type":"type"},{"doc":"","ref":"Evision.MCC.html","title":"Evision.MCC","type":"module"},{"doc":"Type that represents an MCC struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.MCC.html#t:t/0","title":"Evision.MCC.t/0","type":"type"},{"doc":"","ref":"Evision.MCC.CChecker.html","title":"Evision.MCC.CChecker","type":"module"},{"doc":"create Return retval : CChecker \\brief Create a new CChecker object. \\return A pointer to the implementation of the CChecker Python prototype (for reference only): create() -&gt; retval","ref":"Evision.MCC.CChecker.html#create/0","title":"Evision.MCC.CChecker.create/0","type":"function"},{"doc":"getBox Positional Arguments self : Evision.MCC.CChecker.t() Return retval : [Point2f] Python prototype (for reference only): getBox() -&gt; retval","ref":"Evision.MCC.CChecker.html#getBox/1","title":"Evision.MCC.CChecker.getBox/1","type":"function"},{"doc":"getCenter Positional Arguments self : Evision.MCC.CChecker.t() Return retval : Point2f Python prototype (for reference only): getCenter() -&gt; retval","ref":"Evision.MCC.CChecker.html#getCenter/1","title":"Evision.MCC.CChecker.getCenter/1","type":"function"},{"doc":"getChartsRGB Positional Arguments self : Evision.MCC.CChecker.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getChartsRGB() -&gt; retval","ref":"Evision.MCC.CChecker.html#getChartsRGB/1","title":"Evision.MCC.CChecker.getChartsRGB/1","type":"function"},{"doc":"getChartsYCbCr Positional Arguments self : Evision.MCC.CChecker.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getChartsYCbCr() -&gt; retval","ref":"Evision.MCC.CChecker.html#getChartsYCbCr/1","title":"Evision.MCC.CChecker.getChartsYCbCr/1","type":"function"},{"doc":"getCost Positional Arguments self : Evision.MCC.CChecker.t() Return retval : float Python prototype (for reference only): getCost() -&gt; retval","ref":"Evision.MCC.CChecker.html#getCost/1","title":"Evision.MCC.CChecker.getCost/1","type":"function"},{"doc":"getTarget Positional Arguments self : Evision.MCC.CChecker.t() Return retval : TYPECHART Python prototype (for reference only): getTarget() -&gt; retval","ref":"Evision.MCC.CChecker.html#getTarget/1","title":"Evision.MCC.CChecker.getTarget/1","type":"function"},{"doc":"setBox Positional Arguments self : Evision.MCC.CChecker.t() box : [Point2f] Python prototype (for reference only): setBox(_box) -&gt; None","ref":"Evision.MCC.CChecker.html#setBox/2","title":"Evision.MCC.CChecker.setBox/2","type":"function"},{"doc":"setCenter Positional Arguments self : Evision.MCC.CChecker.t() center : Point2f Python prototype (for reference only): setCenter(_center) -&gt; None","ref":"Evision.MCC.CChecker.html#setCenter/2","title":"Evision.MCC.CChecker.setCenter/2","type":"function"},{"doc":"setChartsRGB Positional Arguments self : Evision.MCC.CChecker.t() chartsRGB : Evision.Mat.t() Python prototype (for reference only): setChartsRGB(_chartsRGB) -&gt; None","ref":"Evision.MCC.CChecker.html#setChartsRGB/2","title":"Evision.MCC.CChecker.setChartsRGB/2","type":"function"},{"doc":"setChartsYCbCr Positional Arguments self : Evision.MCC.CChecker.t() chartsYCbCr : Evision.Mat.t() Python prototype (for reference only): setChartsYCbCr(_chartsYCbCr) -&gt; None","ref":"Evision.MCC.CChecker.html#setChartsYCbCr/2","title":"Evision.MCC.CChecker.setChartsYCbCr/2","type":"function"},{"doc":"setCost Positional Arguments self : Evision.MCC.CChecker.t() cost : float Python prototype (for reference only): setCost(_cost) -&gt; None","ref":"Evision.MCC.CChecker.html#setCost/2","title":"Evision.MCC.CChecker.setCost/2","type":"function"},{"doc":"setTarget Positional Arguments self : Evision.MCC.CChecker.t() target : TYPECHART Python prototype (for reference only): setTarget(_target) -&gt; None","ref":"Evision.MCC.CChecker.html#setTarget/2","title":"Evision.MCC.CChecker.setTarget/2","type":"function"},{"doc":"Type that represents an MCC.CChecker struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.MCC.CChecker.html#t:t/0","title":"Evision.MCC.CChecker.t/0","type":"type"},{"doc":"","ref":"Evision.MCC.CCheckerDetector.html","title":"Evision.MCC.CCheckerDetector","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.MCC.CCheckerDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.MCC.CCheckerDetector.html#clear/1","title":"Evision.MCC.CCheckerDetector.clear/1","type":"function"},{"doc":"create Return retval : CCheckerDetector \\brief Returns the implementation of the CCheckerDetector. Python prototype (for reference only): create() -&gt; retval","ref":"Evision.MCC.CCheckerDetector.html#create/0","title":"Evision.MCC.CCheckerDetector.create/0","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.MCC.CCheckerDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.MCC.CCheckerDetector.html#empty/1","title":"Evision.MCC.CCheckerDetector.empty/1","type":"function"},{"doc":"getBestColorChecker Positional Arguments self : Evision.MCC.CCheckerDetector.t() Return retval : Evision.MCC.CCheckerDetector.t() \\brief Get the best color checker. By the best it means the one detected with the highest confidence . \\return checker A single colorchecker, if atleast one colorchecker was detected , &#39;nullptr&#39; otherwise . Python prototype (for reference only): getBestColorChecker() -&gt; retval","ref":"Evision.MCC.CCheckerDetector.html#getBestColorChecker/1","title":"Evision.MCC.CCheckerDetector.getBestColorChecker/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.MCC.CCheckerDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.MCC.CCheckerDetector.html#getDefaultName/1","title":"Evision.MCC.CCheckerDetector.getDefaultName/1","type":"function"},{"doc":"getListColorChecker Positional Arguments self : Evision.MCC.CCheckerDetector.t() Return retval : [CChecker] \\brief Get the list of all detected colorcheckers \\return checkers vector of colorcheckers Python prototype (for reference only): getListColorChecker() -&gt; retval","ref":"Evision.MCC.CCheckerDetector.html#getListColorChecker/1","title":"Evision.MCC.CCheckerDetector.getListColorChecker/1","type":"function"},{"doc":"process Positional Arguments self : Evision.MCC.CCheckerDetector.t() image : Evision.Mat.t() chartType : TYPECHART Keyword Arguments nc : int . useNet : bool . params : DetectorParameters . Return retval : bool \\brief Find the ColorCharts in the given image. Differs from the above one only in the arguments. This version searches for the chart in the full image. The found charts are not returned but instead stored in the detector, these can be accessed later on using getBestColorChecker() and getListColorChecker() \\param image image in color space BGR \\param chartType type of the chart to detect \\param nc number of charts in the image, if you don't know the exact then keeping this number high helps . \\param useNet if it is true the network provided using the setNet() is used for preliminary search for regions where chart could be present , inside the regionsOfInterest provied . \\param params parameters of the detection system. More information about them can be found in the struct DetectorParameters . \\return true if atleast one chart is detected otherwise false Python prototype (for reference only): process(image, chartType[, nc[, useNet[, params]]]) -&gt; retval","ref":"Evision.MCC.CCheckerDetector.html#process/3","title":"Evision.MCC.CCheckerDetector.process/3","type":"function"},{"doc":"process Positional Arguments self : Evision.MCC.CCheckerDetector.t() image : Evision.Mat.t() chartType : TYPECHART Keyword Arguments nc : int . useNet : bool . params : DetectorParameters . Return retval : bool \\brief Find the ColorCharts in the given image. Differs from the above one only in the arguments. This version searches for the chart in the full image. The found charts are not returned but instead stored in the detector, these can be accessed later on using getBestColorChecker() and getListColorChecker() \\param image image in color space BGR \\param chartType type of the chart to detect \\param nc number of charts in the image, if you don't know the exact then keeping this number high helps . \\param useNet if it is true the network provided using the setNet() is used for preliminary search for regions where chart could be present , inside the regionsOfInterest provied . \\param params parameters of the detection system. More information about them can be found in the struct DetectorParameters . \\return true if atleast one chart is detected otherwise false Python prototype (for reference only): process(image, chartType[, nc[, useNet[, params]]]) -&gt; retval","ref":"Evision.MCC.CCheckerDetector.html#process/4","title":"Evision.MCC.CCheckerDetector.process/4","type":"function"},{"doc":"processWithROI Positional Arguments self : Evision.MCC.CCheckerDetector.t() image : Evision.Mat.t() chartType : TYPECHART regionsOfInterest : [Rect] Keyword Arguments nc : int . useNet : bool . params : DetectorParameters . Return retval : bool \\brief Find the ColorCharts in the given image. The found charts are not returned but instead stored in the detector, these can be accessed later on using getBestColorChecker() and getListColorChecker() \\param image image in color space BGR \\param chartType type of the chart to detect \\param regionsOfInterest regions of image to look for the chart, if it is empty , charts are looked for in the entire image \\param nc number of charts in the image, if you don't know the exact then keeping this number high helps . \\param useNet if it is true the network provided using the setNet() is used for preliminary search for regions where chart could be present , inside the regionsOfInterest provied . \\param params parameters of the detection system. More information about them can be found in the struct DetectorParameters . \\return true if atleast one chart is detected otherwise false Python prototype (for reference only): processWithROI(image, chartType, regionsOfInterest[, nc[, useNet[, params]]]) -&gt; retval","ref":"Evision.MCC.CCheckerDetector.html#processWithROI/4","title":"Evision.MCC.CCheckerDetector.processWithROI/4","type":"function"},{"doc":"processWithROI Positional Arguments self : Evision.MCC.CCheckerDetector.t() image : Evision.Mat.t() chartType : TYPECHART regionsOfInterest : [Rect] Keyword Arguments nc : int . useNet : bool . params : DetectorParameters . Return retval : bool \\brief Find the ColorCharts in the given image. The found charts are not returned but instead stored in the detector, these can be accessed later on using getBestColorChecker() and getListColorChecker() \\param image image in color space BGR \\param chartType type of the chart to detect \\param regionsOfInterest regions of image to look for the chart, if it is empty , charts are looked for in the entire image \\param nc number of charts in the image, if you don't know the exact then keeping this number high helps . \\param useNet if it is true the network provided using the setNet() is used for preliminary search for regions where chart could be present , inside the regionsOfInterest provied . \\param params parameters of the detection system. More information about them can be found in the struct DetectorParameters . \\return true if atleast one chart is detected otherwise false Python prototype (for reference only): processWithROI(image, chartType, regionsOfInterest[, nc[, useNet[, params]]]) -&gt; retval","ref":"Evision.MCC.CCheckerDetector.html#processWithROI/5","title":"Evision.MCC.CCheckerDetector.processWithROI/5","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.MCC.CCheckerDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.MCC.CCheckerDetector.html#read/2","title":"Evision.MCC.CCheckerDetector.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.MCC.CCheckerDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.MCC.CCheckerDetector.html#save/2","title":"Evision.MCC.CCheckerDetector.save/2","type":"function"},{"doc":"setNet Positional Arguments self : Evision.MCC.CCheckerDetector.t() net : Evision.DNN.Net.t() Return retval : bool \\brief Set the net which will be used to find the approximate bounding boxes for the color charts . It is not necessary to use this, but this usually results in better detection rate. \\param net the neural network, if the network in empty, then the function will return false . \\return true if it was able to set the detector's network, false otherwise . Python prototype (for reference only): setNet(net) -&gt; retval","ref":"Evision.MCC.CCheckerDetector.html#setNet/2","title":"Evision.MCC.CCheckerDetector.setNet/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.MCC.CCheckerDetector.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.MCC.CCheckerDetector.html#write/2","title":"Evision.MCC.CCheckerDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.MCC.CCheckerDetector.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.MCC.CCheckerDetector.html#write/3","title":"Evision.MCC.CCheckerDetector.write/3","type":"function"},{"doc":"Type that represents an MCC.CCheckerDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.MCC.CCheckerDetector.html#t:t/0","title":"Evision.MCC.CCheckerDetector.t/0","type":"type"},{"doc":"","ref":"Evision.MCC.CCheckerDraw.html","title":"Evision.MCC.CCheckerDraw","type":"module"},{"doc":"create Positional Arguments pChecker : CChecker Keyword Arguments color : Scalar . thickness : int . Return retval : CCheckerDraw \\brief Create a new CCheckerDraw object. \\param pChecker The checker which will be drawn by this object. \\param color The color by with which the squares of the checker will be drawn \\param thickness The thickness with which the sqaures will be drawn \\return A pointer to the implementation of the CCheckerDraw Python prototype (for reference only): create(pChecker[, color[, thickness]]) -&gt; retval","ref":"Evision.MCC.CCheckerDraw.html#create/1","title":"Evision.MCC.CCheckerDraw.create/1","type":"function"},{"doc":"create Positional Arguments pChecker : CChecker Keyword Arguments color : Scalar . thickness : int . Return retval : CCheckerDraw \\brief Create a new CCheckerDraw object. \\param pChecker The checker which will be drawn by this object. \\param color The color by with which the squares of the checker will be drawn \\param thickness The thickness with which the sqaures will be drawn \\return A pointer to the implementation of the CCheckerDraw Python prototype (for reference only): create(pChecker[, color[, thickness]]) -&gt; retval","ref":"Evision.MCC.CCheckerDraw.html#create/2","title":"Evision.MCC.CCheckerDraw.create/2","type":"function"},{"doc":"draw Positional Arguments self : Evision.MCC.CCheckerDraw.t() Return img : Evision.Mat.t() \\brief Draws the checker to the given image. \\param img image in color space BGR \\return void Python prototype (for reference only): draw(img) -&gt; img","ref":"Evision.MCC.CCheckerDraw.html#draw/2","title":"Evision.MCC.CCheckerDraw.draw/2","type":"function"},{"doc":"Type that represents an MCC.CCheckerDraw struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.MCC.CCheckerDraw.html#t:t/0","title":"Evision.MCC.CCheckerDraw.t/0","type":"type"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html","title":"Evision.MCC.DetectorParameters","type":"module"},{"doc":"create Return retval : DetectorParameters Python prototype (for reference only): create() -&gt; retval","ref":"Evision.MCC.DetectorParameters.html#create/0","title":"Evision.MCC.DetectorParameters.create/0","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_adaptiveThreshConstant/1","title":"Evision.MCC.DetectorParameters.get_adaptiveThreshConstant/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_adaptiveThreshWinSizeMax/1","title":"Evision.MCC.DetectorParameters.get_adaptiveThreshWinSizeMax/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_adaptiveThreshWinSizeMin/1","title":"Evision.MCC.DetectorParameters.get_adaptiveThreshWinSizeMin/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_adaptiveThreshWinSizeStep/1","title":"Evision.MCC.DetectorParameters.get_adaptiveThreshWinSizeStep/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_B0factor/1","title":"Evision.MCC.DetectorParameters.get_B0factor/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_borderWidth/1","title":"Evision.MCC.DetectorParameters.get_borderWidth/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_confidenceThreshold/1","title":"Evision.MCC.DetectorParameters.get_confidenceThreshold/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_findCandidatesApproxPolyDPEpsMultiplier/1","title":"Evision.MCC.DetectorParameters.get_findCandidatesApproxPolyDPEpsMultiplier/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_maxError/1","title":"Evision.MCC.DetectorParameters.get_maxError/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_minContourLengthAllowed/1","title":"Evision.MCC.DetectorParameters.get_minContourLengthAllowed/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_minContourPointsAllowed/1","title":"Evision.MCC.DetectorParameters.get_minContourPointsAllowed/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_minContourSolidity/1","title":"Evision.MCC.DetectorParameters.get_minContourSolidity/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_minContoursArea/1","title":"Evision.MCC.DetectorParameters.get_minContoursArea/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_minContoursAreaRate/1","title":"Evision.MCC.DetectorParameters.get_minContoursAreaRate/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_minGroupSize/1","title":"Evision.MCC.DetectorParameters.get_minGroupSize/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_minImageSize/1","title":"Evision.MCC.DetectorParameters.get_minImageSize/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_minInterCheckerDistance/1","title":"Evision.MCC.DetectorParameters.get_minInterCheckerDistance/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#get_minInterContourDistance/1","title":"Evision.MCC.DetectorParameters.get_minInterContourDistance/1","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_adaptiveThreshConstant/2","title":"Evision.MCC.DetectorParameters.set_adaptiveThreshConstant/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_adaptiveThreshWinSizeMax/2","title":"Evision.MCC.DetectorParameters.set_adaptiveThreshWinSizeMax/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_adaptiveThreshWinSizeMin/2","title":"Evision.MCC.DetectorParameters.set_adaptiveThreshWinSizeMin/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_adaptiveThreshWinSizeStep/2","title":"Evision.MCC.DetectorParameters.set_adaptiveThreshWinSizeStep/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_B0factor/2","title":"Evision.MCC.DetectorParameters.set_B0factor/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_borderWidth/2","title":"Evision.MCC.DetectorParameters.set_borderWidth/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_confidenceThreshold/2","title":"Evision.MCC.DetectorParameters.set_confidenceThreshold/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_findCandidatesApproxPolyDPEpsMultiplier/2","title":"Evision.MCC.DetectorParameters.set_findCandidatesApproxPolyDPEpsMultiplier/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_maxError/2","title":"Evision.MCC.DetectorParameters.set_maxError/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_minContourLengthAllowed/2","title":"Evision.MCC.DetectorParameters.set_minContourLengthAllowed/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_minContourPointsAllowed/2","title":"Evision.MCC.DetectorParameters.set_minContourPointsAllowed/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_minContourSolidity/2","title":"Evision.MCC.DetectorParameters.set_minContourSolidity/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_minContoursArea/2","title":"Evision.MCC.DetectorParameters.set_minContoursArea/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_minContoursAreaRate/2","title":"Evision.MCC.DetectorParameters.set_minContoursAreaRate/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_minGroupSize/2","title":"Evision.MCC.DetectorParameters.set_minGroupSize/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_minImageSize/2","title":"Evision.MCC.DetectorParameters.set_minImageSize/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_minInterCheckerDistance/2","title":"Evision.MCC.DetectorParameters.set_minInterCheckerDistance/2","type":"function"},{"doc":"","ref":"Evision.MCC.DetectorParameters.html#set_minInterContourDistance/2","title":"Evision.MCC.DetectorParameters.set_minInterContourDistance/2","type":"function"},{"doc":"Type that represents an MCC.DetectorParameters struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.MCC.DetectorParameters.html#t:t/0","title":"Evision.MCC.DetectorParameters.t/0","type":"type"},{"doc":"","ref":"Evision.ML.html","title":"Evision.ML","type":"module"},{"doc":"Type that represents an ML struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.html#t:t/0","title":"Evision.ML.t/0","type":"type"},{"doc":"","ref":"Evision.ML.ANNMLP.html","title":"Evision.ML.ANNMLP","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.ANNMLP.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.ANNMLP.html#calcError/3","title":"Evision.ML.ANNMLP.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.ANNMLP.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.ANNMLP.html#calcError/4","title":"Evision.ML.ANNMLP.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.ANNMLP.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.ANNMLP.html#clear/1","title":"Evision.ML.ANNMLP.clear/1","type":"function"},{"doc":"Creates empty model Return retval : Evision.ML.ANNMLP.t() Use StatModel::train to train the model, Algorithm::load\\&lt;ANN_MLP&gt;(filename) to load the pre-trained model. Note that the train method has optional flags: ANN_MLP::TrainFlags. Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ML.ANNMLP.html#create/0","title":"Evision.ML.ANNMLP.create/0","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.ANNMLP.html#empty/1","title":"Evision.ML.ANNMLP.empty/1","type":"function"},{"doc":"getAnnealCoolingRatio Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : double @see setAnnealCoolingRatio/2 Python prototype (for reference only): getAnnealCoolingRatio() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getAnnealCoolingRatio/1","title":"Evision.ML.ANNMLP.getAnnealCoolingRatio/1","type":"function"},{"doc":"getAnnealFinalT Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : double @see setAnnealFinalT/2 Python prototype (for reference only): getAnnealFinalT() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getAnnealFinalT/1","title":"Evision.ML.ANNMLP.getAnnealFinalT/1","type":"function"},{"doc":"getAnnealInitialT Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : double @see setAnnealInitialT/2 Python prototype (for reference only): getAnnealInitialT() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getAnnealInitialT/1","title":"Evision.ML.ANNMLP.getAnnealInitialT/1","type":"function"},{"doc":"getAnnealItePerStep Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : int @see setAnnealItePerStep/2 Python prototype (for reference only): getAnnealItePerStep() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getAnnealItePerStep/1","title":"Evision.ML.ANNMLP.getAnnealItePerStep/1","type":"function"},{"doc":"getBackpropMomentumScale Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : double @see setBackpropMomentumScale/2 Python prototype (for reference only): getBackpropMomentumScale() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getBackpropMomentumScale/1","title":"Evision.ML.ANNMLP.getBackpropMomentumScale/1","type":"function"},{"doc":"getBackpropWeightScale Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : double @see setBackpropWeightScale/2 Python prototype (for reference only): getBackpropWeightScale() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getBackpropWeightScale/1","title":"Evision.ML.ANNMLP.getBackpropWeightScale/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getDefaultName/1","title":"Evision.ML.ANNMLP.getDefaultName/1","type":"function"},{"doc":"getLayerSizes Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : Evision.Mat.t() Integer vector specifying the number of neurons in each layer including the input and output layers. The very first element specifies the number of elements in the input layer. The last element - number of elements in the output layer. @sa setLayerSizes Python prototype (for reference only): getLayerSizes() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getLayerSizes/1","title":"Evision.ML.ANNMLP.getLayerSizes/1","type":"function"},{"doc":"getRpropDW0 Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : double @see setRpropDW0/2 Python prototype (for reference only): getRpropDW0() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getRpropDW0/1","title":"Evision.ML.ANNMLP.getRpropDW0/1","type":"function"},{"doc":"getRpropDWMax Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : double @see setRpropDWMax/2 Python prototype (for reference only): getRpropDWMax() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getRpropDWMax/1","title":"Evision.ML.ANNMLP.getRpropDWMax/1","type":"function"},{"doc":"getRpropDWMin Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : double @see setRpropDWMin/2 Python prototype (for reference only): getRpropDWMin() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getRpropDWMin/1","title":"Evision.ML.ANNMLP.getRpropDWMin/1","type":"function"},{"doc":"getRpropDWMinus Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : double @see setRpropDWMinus/2 Python prototype (for reference only): getRpropDWMinus() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getRpropDWMinus/1","title":"Evision.ML.ANNMLP.getRpropDWMinus/1","type":"function"},{"doc":"getRpropDWPlus Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : double @see setRpropDWPlus/2 Python prototype (for reference only): getRpropDWPlus() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getRpropDWPlus/1","title":"Evision.ML.ANNMLP.getRpropDWPlus/1","type":"function"},{"doc":"getTermCriteria Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : TermCriteria @see setTermCriteria/2 Python prototype (for reference only): getTermCriteria() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getTermCriteria/1","title":"Evision.ML.ANNMLP.getTermCriteria/1","type":"function"},{"doc":"getTrainMethod Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : int Returns current training method Python prototype (for reference only): getTrainMethod() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getTrainMethod/1","title":"Evision.ML.ANNMLP.getTrainMethod/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.ANNMLP.html#getVarCount/1","title":"Evision.ML.ANNMLP.getVarCount/1","type":"function"},{"doc":"getWeights Positional Arguments self : Evision.ML.ANNMLP.t() layerIdx : int Return retval : Evision.Mat.t() Python prototype (for reference only): getWeights(layerIdx) -&gt; retval","ref":"Evision.ML.ANNMLP.html#getWeights/2","title":"Evision.ML.ANNMLP.getWeights/2","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.ANNMLP.html#isClassifier/1","title":"Evision.ML.ANNMLP.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.ANNMLP.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.ANNMLP.html#isTrained/1","title":"Evision.ML.ANNMLP.isTrained/1","type":"function"},{"doc":"Loads and creates a serialized ANN from a file Positional Arguments filepath : String . path to serialized ANN Return retval : Evision.ML.ANNMLP.t() Use ANN::save to serialize and store an ANN to disk. Load the ANN from this file again, by calling this function with the path to the file. Python prototype (for reference only): load(filepath) -&gt; retval","ref":"Evision.ML.ANNMLP.html#load/1","title":"Evision.ML.ANNMLP.load/1","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.ANNMLP.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.ANNMLP.html#predict/2","title":"Evision.ML.ANNMLP.predict/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.ANNMLP.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.ANNMLP.html#predict/3","title":"Evision.ML.ANNMLP.predict/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.ANNMLP.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.ANNMLP.html#read/2","title":"Evision.ML.ANNMLP.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.ANNMLP.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.ANNMLP.html#save/2","title":"Evision.ML.ANNMLP.save/2","type":"function"},{"doc":"setActivationFunction Positional Arguments self : Evision.ML.ANNMLP.t() type : int . The type of activation function. See ANN_MLP::ActivationFunctions. Keyword Arguments param1 : double . The first parameter of the activation function, \\f$\\alpha\\f$. Default value is 0. param2 : double . The second parameter of the activation function, \\f$\\beta\\f$. Default value is 0. Initialize the activation function for each neuron. Currently the default and the only fully supported activation function is ANN_MLP::SIGMOID_SYM. Python prototype (for reference only): setActivationFunction(type[, param1[, param2]]) -&gt; None","ref":"Evision.ML.ANNMLP.html#setActivationFunction/2","title":"Evision.ML.ANNMLP.setActivationFunction/2","type":"function"},{"doc":"setActivationFunction Positional Arguments self : Evision.ML.ANNMLP.t() type : int . The type of activation function. See ANN_MLP::ActivationFunctions. Keyword Arguments param1 : double . The first parameter of the activation function, \\f$\\alpha\\f$. Default value is 0. param2 : double . The second parameter of the activation function, \\f$\\beta\\f$. Default value is 0. Initialize the activation function for each neuron. Currently the default and the only fully supported activation function is ANN_MLP::SIGMOID_SYM. Python prototype (for reference only): setActivationFunction(type[, param1[, param2]]) -&gt; None","ref":"Evision.ML.ANNMLP.html#setActivationFunction/3","title":"Evision.ML.ANNMLP.setActivationFunction/3","type":"function"},{"doc":"setAnnealCoolingRatio Positional Arguments self : Evision.ML.ANNMLP.t() val : double @see getAnnealCoolingRatio/1 Python prototype (for reference only): setAnnealCoolingRatio(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setAnnealCoolingRatio/2","title":"Evision.ML.ANNMLP.setAnnealCoolingRatio/2","type":"function"},{"doc":"setAnnealFinalT Positional Arguments self : Evision.ML.ANNMLP.t() val : double @see getAnnealFinalT/1 Python prototype (for reference only): setAnnealFinalT(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setAnnealFinalT/2","title":"Evision.ML.ANNMLP.setAnnealFinalT/2","type":"function"},{"doc":"setAnnealInitialT Positional Arguments self : Evision.ML.ANNMLP.t() val : double @see getAnnealInitialT/1 Python prototype (for reference only): setAnnealInitialT(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setAnnealInitialT/2","title":"Evision.ML.ANNMLP.setAnnealInitialT/2","type":"function"},{"doc":"setAnnealItePerStep Positional Arguments self : Evision.ML.ANNMLP.t() val : int @see getAnnealItePerStep/1 Python prototype (for reference only): setAnnealItePerStep(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setAnnealItePerStep/2","title":"Evision.ML.ANNMLP.setAnnealItePerStep/2","type":"function"},{"doc":"setBackpropMomentumScale Positional Arguments self : Evision.ML.ANNMLP.t() val : double @see getBackpropMomentumScale/1 Python prototype (for reference only): setBackpropMomentumScale(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setBackpropMomentumScale/2","title":"Evision.ML.ANNMLP.setBackpropMomentumScale/2","type":"function"},{"doc":"setBackpropWeightScale Positional Arguments self : Evision.ML.ANNMLP.t() val : double @see getBackpropWeightScale/1 Python prototype (for reference only): setBackpropWeightScale(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setBackpropWeightScale/2","title":"Evision.ML.ANNMLP.setBackpropWeightScale/2","type":"function"},{"doc":"setLayerSizes Positional Arguments self : Evision.ML.ANNMLP.t() layer_sizes : Evision.Mat.t() Integer vector specifying the number of neurons in each layer including the input and output layers. The very first element specifies the number of elements in the input layer. The last element - number of elements in the output layer. Default value is empty Mat. @sa getLayerSizes Python prototype (for reference only): setLayerSizes(_layer_sizes) -&gt; None","ref":"Evision.ML.ANNMLP.html#setLayerSizes/2","title":"Evision.ML.ANNMLP.setLayerSizes/2","type":"function"},{"doc":"setRpropDW0 Positional Arguments self : Evision.ML.ANNMLP.t() val : double @see getRpropDW0/1 Python prototype (for reference only): setRpropDW0(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setRpropDW0/2","title":"Evision.ML.ANNMLP.setRpropDW0/2","type":"function"},{"doc":"setRpropDWMax Positional Arguments self : Evision.ML.ANNMLP.t() val : double @see getRpropDWMax/1 Python prototype (for reference only): setRpropDWMax(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setRpropDWMax/2","title":"Evision.ML.ANNMLP.setRpropDWMax/2","type":"function"},{"doc":"setRpropDWMin Positional Arguments self : Evision.ML.ANNMLP.t() val : double @see getRpropDWMin/1 Python prototype (for reference only): setRpropDWMin(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setRpropDWMin/2","title":"Evision.ML.ANNMLP.setRpropDWMin/2","type":"function"},{"doc":"setRpropDWMinus Positional Arguments self : Evision.ML.ANNMLP.t() val : double @see getRpropDWMinus/1 Python prototype (for reference only): setRpropDWMinus(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setRpropDWMinus/2","title":"Evision.ML.ANNMLP.setRpropDWMinus/2","type":"function"},{"doc":"setRpropDWPlus Positional Arguments self : Evision.ML.ANNMLP.t() val : double @see getRpropDWPlus/1 Python prototype (for reference only): setRpropDWPlus(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setRpropDWPlus/2","title":"Evision.ML.ANNMLP.setRpropDWPlus/2","type":"function"},{"doc":"setTermCriteria Positional Arguments self : Evision.ML.ANNMLP.t() val : TermCriteria @see getTermCriteria/1 Python prototype (for reference only): setTermCriteria(val) -&gt; None","ref":"Evision.ML.ANNMLP.html#setTermCriteria/2","title":"Evision.ML.ANNMLP.setTermCriteria/2","type":"function"},{"doc":"setTrainMethod Positional Arguments self : Evision.ML.ANNMLP.t() method : int . Default value is ANN_MLP::RPROP. See ANN_MLP::TrainingMethods. Keyword Arguments param1 : double . passed to setRpropDW0 for ANN_MLP::RPROP and to setBackpropWeightScale for ANN_MLP::BACKPROP and to initialT for ANN_MLP::ANNEAL. param2 : double . passed to setRpropDWMin for ANN_MLP::RPROP and to setBackpropMomentumScale for ANN_MLP::BACKPROP and to finalT for ANN_MLP::ANNEAL. Sets training method and common parameters. Python prototype (for reference only): setTrainMethod(method[, param1[, param2]]) -&gt; None","ref":"Evision.ML.ANNMLP.html#setTrainMethod/2","title":"Evision.ML.ANNMLP.setTrainMethod/2","type":"function"},{"doc":"setTrainMethod Positional Arguments self : Evision.ML.ANNMLP.t() method : int . Default value is ANN_MLP::RPROP. See ANN_MLP::TrainingMethods. Keyword Arguments param1 : double . passed to setRpropDW0 for ANN_MLP::RPROP and to setBackpropWeightScale for ANN_MLP::BACKPROP and to initialT for ANN_MLP::ANNEAL. param2 : double . passed to setRpropDWMin for ANN_MLP::RPROP and to setBackpropMomentumScale for ANN_MLP::BACKPROP and to finalT for ANN_MLP::ANNEAL. Sets training method and common parameters. Python prototype (for reference only): setTrainMethod(method[, param1[, param2]]) -&gt; None","ref":"Evision.ML.ANNMLP.html#setTrainMethod/3","title":"Evision.ML.ANNMLP.setTrainMethod/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.ANNMLP.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.ANNMLP.html#train/2","title":"Evision.ML.ANNMLP.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.ANNMLP.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.ANNMLP.html#train/3","title":"Evision.ML.ANNMLP.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.ANNMLP.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.ANNMLP.html#train/4","title":"Evision.ML.ANNMLP.train/4","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.ANNMLP.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.ANNMLP.html#write/2","title":"Evision.ML.ANNMLP.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.ANNMLP.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.ANNMLP.html#write/3","title":"Evision.ML.ANNMLP.write/3","type":"function"},{"doc":"Type that represents an ML.ANNMLP struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.ANNMLP.html#t:t/0","title":"Evision.ML.ANNMLP.t/0","type":"type"},{"doc":"","ref":"Evision.ML.Boost.html","title":"Evision.ML.Boost","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.Boost.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.Boost.html#calcError/3","title":"Evision.ML.Boost.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.Boost.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.Boost.html#calcError/4","title":"Evision.ML.Boost.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.Boost.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.Boost.html#clear/1","title":"Evision.ML.Boost.clear/1","type":"function"},{"doc":"create Return retval : Evision.ML.Boost.t() Creates the empty model. Use StatModel::train to train the model, Algorithm::load\\&lt;Boost&gt;(filename) to load the pre-trained model. Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ML.Boost.html#create/0","title":"Evision.ML.Boost.create/0","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.Boost.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.Boost.html#empty/1","title":"Evision.ML.Boost.empty/1","type":"function"},{"doc":"getBoostType Positional Arguments self : Evision.ML.Boost.t() Return retval : int @see setBoostType/2 Python prototype (for reference only): getBoostType() -&gt; retval","ref":"Evision.ML.Boost.html#getBoostType/1","title":"Evision.ML.Boost.getBoostType/1","type":"function"},{"doc":"getCVFolds Positional Arguments self : Evision.ML.Boost.t() Return retval : int @see setCVFolds/2 Python prototype (for reference only): getCVFolds() -&gt; retval","ref":"Evision.ML.Boost.html#getCVFolds/1","title":"Evision.ML.Boost.getCVFolds/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.Boost.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.Boost.html#getDefaultName/1","title":"Evision.ML.Boost.getDefaultName/1","type":"function"},{"doc":"getMaxCategories Positional Arguments self : Evision.ML.Boost.t() Return retval : int @see setMaxCategories/2 Python prototype (for reference only): getMaxCategories() -&gt; retval","ref":"Evision.ML.Boost.html#getMaxCategories/1","title":"Evision.ML.Boost.getMaxCategories/1","type":"function"},{"doc":"getMaxDepth Positional Arguments self : Evision.ML.Boost.t() Return retval : int @see setMaxDepth/2 Python prototype (for reference only): getMaxDepth() -&gt; retval","ref":"Evision.ML.Boost.html#getMaxDepth/1","title":"Evision.ML.Boost.getMaxDepth/1","type":"function"},{"doc":"getMinSampleCount Positional Arguments self : Evision.ML.Boost.t() Return retval : int @see setMinSampleCount/2 Python prototype (for reference only): getMinSampleCount() -&gt; retval","ref":"Evision.ML.Boost.html#getMinSampleCount/1","title":"Evision.ML.Boost.getMinSampleCount/1","type":"function"},{"doc":"getPriors Positional Arguments self : Evision.ML.Boost.t() Return retval : Evision.Mat.t() @see setPriors/2 Python prototype (for reference only): getPriors() -&gt; retval","ref":"Evision.ML.Boost.html#getPriors/1","title":"Evision.ML.Boost.getPriors/1","type":"function"},{"doc":"getRegressionAccuracy Positional Arguments self : Evision.ML.Boost.t() Return retval : float @see setRegressionAccuracy/2 Python prototype (for reference only): getRegressionAccuracy() -&gt; retval","ref":"Evision.ML.Boost.html#getRegressionAccuracy/1","title":"Evision.ML.Boost.getRegressionAccuracy/1","type":"function"},{"doc":"getTruncatePrunedTree Positional Arguments self : Evision.ML.Boost.t() Return retval : bool @see setTruncatePrunedTree/2 Python prototype (for reference only): getTruncatePrunedTree() -&gt; retval","ref":"Evision.ML.Boost.html#getTruncatePrunedTree/1","title":"Evision.ML.Boost.getTruncatePrunedTree/1","type":"function"},{"doc":"getUse1SERule Positional Arguments self : Evision.ML.Boost.t() Return retval : bool @see setUse1SERule/2 Python prototype (for reference only): getUse1SERule() -&gt; retval","ref":"Evision.ML.Boost.html#getUse1SERule/1","title":"Evision.ML.Boost.getUse1SERule/1","type":"function"},{"doc":"getUseSurrogates Positional Arguments self : Evision.ML.Boost.t() Return retval : bool @see setUseSurrogates/2 Python prototype (for reference only): getUseSurrogates() -&gt; retval","ref":"Evision.ML.Boost.html#getUseSurrogates/1","title":"Evision.ML.Boost.getUseSurrogates/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.Boost.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.Boost.html#getVarCount/1","title":"Evision.ML.Boost.getVarCount/1","type":"function"},{"doc":"getWeakCount Positional Arguments self : Evision.ML.Boost.t() Return retval : int @see setWeakCount/2 Python prototype (for reference only): getWeakCount() -&gt; retval","ref":"Evision.ML.Boost.html#getWeakCount/1","title":"Evision.ML.Boost.getWeakCount/1","type":"function"},{"doc":"getWeightTrimRate Positional Arguments self : Evision.ML.Boost.t() Return retval : double @see setWeightTrimRate/2 Python prototype (for reference only): getWeightTrimRate() -&gt; retval","ref":"Evision.ML.Boost.html#getWeightTrimRate/1","title":"Evision.ML.Boost.getWeightTrimRate/1","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.Boost.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.Boost.html#isClassifier/1","title":"Evision.ML.Boost.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.Boost.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.Boost.html#isTrained/1","title":"Evision.ML.Boost.isTrained/1","type":"function"},{"doc":"Loads and creates a serialized Boost from a file Positional Arguments filepath : String . path to serialized Boost Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.Boost.t() Use Boost::save to serialize and store an RTree to disk. Load the Boost from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.Boost.html#load/1","title":"Evision.ML.Boost.load/1","type":"function"},{"doc":"Loads and creates a serialized Boost from a file Positional Arguments filepath : String . path to serialized Boost Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.Boost.t() Use Boost::save to serialize and store an RTree to disk. Load the Boost from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.Boost.html#load/2","title":"Evision.ML.Boost.load/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.Boost.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.Boost.html#predict/2","title":"Evision.ML.Boost.predict/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.Boost.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.Boost.html#predict/3","title":"Evision.ML.Boost.predict/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.Boost.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.Boost.html#read/2","title":"Evision.ML.Boost.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.Boost.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.Boost.html#save/2","title":"Evision.ML.Boost.save/2","type":"function"},{"doc":"setBoostType Positional Arguments self : Evision.ML.Boost.t() val : int @see getBoostType/1 Python prototype (for reference only): setBoostType(val) -&gt; None","ref":"Evision.ML.Boost.html#setBoostType/2","title":"Evision.ML.Boost.setBoostType/2","type":"function"},{"doc":"setCVFolds Positional Arguments self : Evision.ML.Boost.t() val : int @see getCVFolds/1 Python prototype (for reference only): setCVFolds(val) -&gt; None","ref":"Evision.ML.Boost.html#setCVFolds/2","title":"Evision.ML.Boost.setCVFolds/2","type":"function"},{"doc":"setMaxCategories Positional Arguments self : Evision.ML.Boost.t() val : int @see getMaxCategories/1 Python prototype (for reference only): setMaxCategories(val) -&gt; None","ref":"Evision.ML.Boost.html#setMaxCategories/2","title":"Evision.ML.Boost.setMaxCategories/2","type":"function"},{"doc":"setMaxDepth Positional Arguments self : Evision.ML.Boost.t() val : int @see getMaxDepth/1 Python prototype (for reference only): setMaxDepth(val) -&gt; None","ref":"Evision.ML.Boost.html#setMaxDepth/2","title":"Evision.ML.Boost.setMaxDepth/2","type":"function"},{"doc":"setMinSampleCount Positional Arguments self : Evision.ML.Boost.t() val : int @see getMinSampleCount/1 Python prototype (for reference only): setMinSampleCount(val) -&gt; None","ref":"Evision.ML.Boost.html#setMinSampleCount/2","title":"Evision.ML.Boost.setMinSampleCount/2","type":"function"},{"doc":"setPriors Positional Arguments self : Evision.ML.Boost.t() val : Evision.Mat.t() @see getPriors/1 Python prototype (for reference only): setPriors(val) -&gt; None","ref":"Evision.ML.Boost.html#setPriors/2","title":"Evision.ML.Boost.setPriors/2","type":"function"},{"doc":"setRegressionAccuracy Positional Arguments self : Evision.ML.Boost.t() val : float @see getRegressionAccuracy/1 Python prototype (for reference only): setRegressionAccuracy(val) -&gt; None","ref":"Evision.ML.Boost.html#setRegressionAccuracy/2","title":"Evision.ML.Boost.setRegressionAccuracy/2","type":"function"},{"doc":"setTruncatePrunedTree Positional Arguments self : Evision.ML.Boost.t() val : bool @see getTruncatePrunedTree/1 Python prototype (for reference only): setTruncatePrunedTree(val) -&gt; None","ref":"Evision.ML.Boost.html#setTruncatePrunedTree/2","title":"Evision.ML.Boost.setTruncatePrunedTree/2","type":"function"},{"doc":"setUse1SERule Positional Arguments self : Evision.ML.Boost.t() val : bool @see getUse1SERule/1 Python prototype (for reference only): setUse1SERule(val) -&gt; None","ref":"Evision.ML.Boost.html#setUse1SERule/2","title":"Evision.ML.Boost.setUse1SERule/2","type":"function"},{"doc":"setUseSurrogates Positional Arguments self : Evision.ML.Boost.t() val : bool @see getUseSurrogates/1 Python prototype (for reference only): setUseSurrogates(val) -&gt; None","ref":"Evision.ML.Boost.html#setUseSurrogates/2","title":"Evision.ML.Boost.setUseSurrogates/2","type":"function"},{"doc":"setWeakCount Positional Arguments self : Evision.ML.Boost.t() val : int @see getWeakCount/1 Python prototype (for reference only): setWeakCount(val) -&gt; None","ref":"Evision.ML.Boost.html#setWeakCount/2","title":"Evision.ML.Boost.setWeakCount/2","type":"function"},{"doc":"setWeightTrimRate Positional Arguments self : Evision.ML.Boost.t() val : double @see getWeightTrimRate/1 Python prototype (for reference only): setWeightTrimRate(val) -&gt; None","ref":"Evision.ML.Boost.html#setWeightTrimRate/2","title":"Evision.ML.Boost.setWeightTrimRate/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.Boost.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.Boost.html#train/2","title":"Evision.ML.Boost.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.Boost.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.Boost.html#train/3","title":"Evision.ML.Boost.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.Boost.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.Boost.html#train/4","title":"Evision.ML.Boost.train/4","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.Boost.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.Boost.html#write/2","title":"Evision.ML.Boost.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.Boost.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.Boost.html#write/3","title":"Evision.ML.Boost.write/3","type":"function"},{"doc":"Type that represents an ML.Boost struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.Boost.html#t:t/0","title":"Evision.ML.Boost.t/0","type":"type"},{"doc":"","ref":"Evision.ML.DTrees.html","title":"Evision.ML.DTrees","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.DTrees.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.DTrees.html#calcError/3","title":"Evision.ML.DTrees.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.DTrees.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.DTrees.html#calcError/4","title":"Evision.ML.DTrees.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.DTrees.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.DTrees.html#clear/1","title":"Evision.ML.DTrees.clear/1","type":"function"},{"doc":"Creates the empty model Return retval : Evision.ML.DTrees.t() The static method creates empty decision tree with the specified parameters. It should be then trained using train method (see StatModel::train). Alternatively, you can load the model from file using Algorithm::load\\&lt;DTrees&gt;(filename). Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ML.DTrees.html#create/0","title":"Evision.ML.DTrees.create/0","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.DTrees.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.DTrees.html#empty/1","title":"Evision.ML.DTrees.empty/1","type":"function"},{"doc":"getCVFolds Positional Arguments self : Evision.ML.DTrees.t() Return retval : int @see setCVFolds/2 Python prototype (for reference only): getCVFolds() -&gt; retval","ref":"Evision.ML.DTrees.html#getCVFolds/1","title":"Evision.ML.DTrees.getCVFolds/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.DTrees.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.DTrees.html#getDefaultName/1","title":"Evision.ML.DTrees.getDefaultName/1","type":"function"},{"doc":"getMaxCategories Positional Arguments self : Evision.ML.DTrees.t() Return retval : int @see setMaxCategories/2 Python prototype (for reference only): getMaxCategories() -&gt; retval","ref":"Evision.ML.DTrees.html#getMaxCategories/1","title":"Evision.ML.DTrees.getMaxCategories/1","type":"function"},{"doc":"getMaxDepth Positional Arguments self : Evision.ML.DTrees.t() Return retval : int @see setMaxDepth/2 Python prototype (for reference only): getMaxDepth() -&gt; retval","ref":"Evision.ML.DTrees.html#getMaxDepth/1","title":"Evision.ML.DTrees.getMaxDepth/1","type":"function"},{"doc":"getMinSampleCount Positional Arguments self : Evision.ML.DTrees.t() Return retval : int @see setMinSampleCount/2 Python prototype (for reference only): getMinSampleCount() -&gt; retval","ref":"Evision.ML.DTrees.html#getMinSampleCount/1","title":"Evision.ML.DTrees.getMinSampleCount/1","type":"function"},{"doc":"getPriors Positional Arguments self : Evision.ML.DTrees.t() Return retval : Evision.Mat.t() @see setPriors/2 Python prototype (for reference only): getPriors() -&gt; retval","ref":"Evision.ML.DTrees.html#getPriors/1","title":"Evision.ML.DTrees.getPriors/1","type":"function"},{"doc":"getRegressionAccuracy Positional Arguments self : Evision.ML.DTrees.t() Return retval : float @see setRegressionAccuracy/2 Python prototype (for reference only): getRegressionAccuracy() -&gt; retval","ref":"Evision.ML.DTrees.html#getRegressionAccuracy/1","title":"Evision.ML.DTrees.getRegressionAccuracy/1","type":"function"},{"doc":"getTruncatePrunedTree Positional Arguments self : Evision.ML.DTrees.t() Return retval : bool @see setTruncatePrunedTree/2 Python prototype (for reference only): getTruncatePrunedTree() -&gt; retval","ref":"Evision.ML.DTrees.html#getTruncatePrunedTree/1","title":"Evision.ML.DTrees.getTruncatePrunedTree/1","type":"function"},{"doc":"getUse1SERule Positional Arguments self : Evision.ML.DTrees.t() Return retval : bool @see setUse1SERule/2 Python prototype (for reference only): getUse1SERule() -&gt; retval","ref":"Evision.ML.DTrees.html#getUse1SERule/1","title":"Evision.ML.DTrees.getUse1SERule/1","type":"function"},{"doc":"getUseSurrogates Positional Arguments self : Evision.ML.DTrees.t() Return retval : bool @see setUseSurrogates/2 Python prototype (for reference only): getUseSurrogates() -&gt; retval","ref":"Evision.ML.DTrees.html#getUseSurrogates/1","title":"Evision.ML.DTrees.getUseSurrogates/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.DTrees.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.DTrees.html#getVarCount/1","title":"Evision.ML.DTrees.getVarCount/1","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.DTrees.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.DTrees.html#isClassifier/1","title":"Evision.ML.DTrees.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.DTrees.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.DTrees.html#isTrained/1","title":"Evision.ML.DTrees.isTrained/1","type":"function"},{"doc":"Loads and creates a serialized DTrees from a file Positional Arguments filepath : String . path to serialized DTree Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.DTrees.t() Use DTree::save to serialize and store an DTree to disk. Load the DTree from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.DTrees.html#load/1","title":"Evision.ML.DTrees.load/1","type":"function"},{"doc":"Loads and creates a serialized DTrees from a file Positional Arguments filepath : String . path to serialized DTree Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.DTrees.t() Use DTree::save to serialize and store an DTree to disk. Load the DTree from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.DTrees.html#load/2","title":"Evision.ML.DTrees.load/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.DTrees.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.DTrees.html#predict/2","title":"Evision.ML.DTrees.predict/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.DTrees.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.DTrees.html#predict/3","title":"Evision.ML.DTrees.predict/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.DTrees.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.DTrees.html#read/2","title":"Evision.ML.DTrees.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.DTrees.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.DTrees.html#save/2","title":"Evision.ML.DTrees.save/2","type":"function"},{"doc":"setCVFolds Positional Arguments self : Evision.ML.DTrees.t() val : int @see getCVFolds/1 Python prototype (for reference only): setCVFolds(val) -&gt; None","ref":"Evision.ML.DTrees.html#setCVFolds/2","title":"Evision.ML.DTrees.setCVFolds/2","type":"function"},{"doc":"setMaxCategories Positional Arguments self : Evision.ML.DTrees.t() val : int @see getMaxCategories/1 Python prototype (for reference only): setMaxCategories(val) -&gt; None","ref":"Evision.ML.DTrees.html#setMaxCategories/2","title":"Evision.ML.DTrees.setMaxCategories/2","type":"function"},{"doc":"setMaxDepth Positional Arguments self : Evision.ML.DTrees.t() val : int @see getMaxDepth/1 Python prototype (for reference only): setMaxDepth(val) -&gt; None","ref":"Evision.ML.DTrees.html#setMaxDepth/2","title":"Evision.ML.DTrees.setMaxDepth/2","type":"function"},{"doc":"setMinSampleCount Positional Arguments self : Evision.ML.DTrees.t() val : int @see getMinSampleCount/1 Python prototype (for reference only): setMinSampleCount(val) -&gt; None","ref":"Evision.ML.DTrees.html#setMinSampleCount/2","title":"Evision.ML.DTrees.setMinSampleCount/2","type":"function"},{"doc":"setPriors Positional Arguments self : Evision.ML.DTrees.t() val : Evision.Mat.t() @see getPriors/1 Python prototype (for reference only): setPriors(val) -&gt; None","ref":"Evision.ML.DTrees.html#setPriors/2","title":"Evision.ML.DTrees.setPriors/2","type":"function"},{"doc":"setRegressionAccuracy Positional Arguments self : Evision.ML.DTrees.t() val : float @see getRegressionAccuracy/1 Python prototype (for reference only): setRegressionAccuracy(val) -&gt; None","ref":"Evision.ML.DTrees.html#setRegressionAccuracy/2","title":"Evision.ML.DTrees.setRegressionAccuracy/2","type":"function"},{"doc":"setTruncatePrunedTree Positional Arguments self : Evision.ML.DTrees.t() val : bool @see getTruncatePrunedTree/1 Python prototype (for reference only): setTruncatePrunedTree(val) -&gt; None","ref":"Evision.ML.DTrees.html#setTruncatePrunedTree/2","title":"Evision.ML.DTrees.setTruncatePrunedTree/2","type":"function"},{"doc":"setUse1SERule Positional Arguments self : Evision.ML.DTrees.t() val : bool @see getUse1SERule/1 Python prototype (for reference only): setUse1SERule(val) -&gt; None","ref":"Evision.ML.DTrees.html#setUse1SERule/2","title":"Evision.ML.DTrees.setUse1SERule/2","type":"function"},{"doc":"setUseSurrogates Positional Arguments self : Evision.ML.DTrees.t() val : bool @see getUseSurrogates/1 Python prototype (for reference only): setUseSurrogates(val) -&gt; None","ref":"Evision.ML.DTrees.html#setUseSurrogates/2","title":"Evision.ML.DTrees.setUseSurrogates/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.DTrees.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.DTrees.html#train/2","title":"Evision.ML.DTrees.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.DTrees.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.DTrees.html#train/3","title":"Evision.ML.DTrees.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.DTrees.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.DTrees.html#train/4","title":"Evision.ML.DTrees.train/4","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.DTrees.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.DTrees.html#write/2","title":"Evision.ML.DTrees.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.DTrees.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.DTrees.html#write/3","title":"Evision.ML.DTrees.write/3","type":"function"},{"doc":"Type that represents an ML.DTrees struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.DTrees.html#t:t/0","title":"Evision.ML.DTrees.t/0","type":"type"},{"doc":"","ref":"Evision.ML.EM.html","title":"Evision.ML.EM","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.EM.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.EM.html#calcError/3","title":"Evision.ML.EM.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.EM.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.EM.html#calcError/4","title":"Evision.ML.EM.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.EM.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.EM.html#clear/1","title":"Evision.ML.EM.clear/1","type":"function"},{"doc":"create Return retval : Evision.ML.EM.t() Creates empty %EM model. The model should be trained then using StatModel::train(traindata, flags) method. Alternatively, you can use one of the EM::train* methods or load it from file using Algorithm::load\\&lt;EM&gt;(filename). Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ML.EM.html#create/0","title":"Evision.ML.EM.create/0","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.EM.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.EM.html#empty/1","title":"Evision.ML.EM.empty/1","type":"function"},{"doc":"getClustersNumber Positional Arguments self : Evision.ML.EM.t() Return retval : int @see setClustersNumber/2 Python prototype (for reference only): getClustersNumber() -&gt; retval","ref":"Evision.ML.EM.html#getClustersNumber/1","title":"Evision.ML.EM.getClustersNumber/1","type":"function"},{"doc":"getCovarianceMatrixType Positional Arguments self : Evision.ML.EM.t() Return retval : int @see setCovarianceMatrixType/2 Python prototype (for reference only): getCovarianceMatrixType() -&gt; retval","ref":"Evision.ML.EM.html#getCovarianceMatrixType/1","title":"Evision.ML.EM.getCovarianceMatrixType/1","type":"function"},{"doc":"Returns covariation matrices Positional Arguments self : Evision.ML.EM.t() Return covs : [Evision.Mat] . Returns vector of covariation matrices. Number of matrices is the number of gaussian mixtures, each matrix is a square floating-point matrix NxN, where N is the space dimensionality. Python prototype (for reference only): getCovs([, covs]) -&gt; covs","ref":"Evision.ML.EM.html#getCovs/1","title":"Evision.ML.EM.getCovs/1","type":"function"},{"doc":"Returns covariation matrices Positional Arguments self : Evision.ML.EM.t() Return covs : [Evision.Mat] . Returns vector of covariation matrices. Number of matrices is the number of gaussian mixtures, each matrix is a square floating-point matrix NxN, where N is the space dimensionality. Python prototype (for reference only): getCovs([, covs]) -&gt; covs","ref":"Evision.ML.EM.html#getCovs/2","title":"Evision.ML.EM.getCovs/2","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.EM.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.EM.html#getDefaultName/1","title":"Evision.ML.EM.getDefaultName/1","type":"function"},{"doc":"Returns the cluster centers (means of the Gaussian mixture) Positional Arguments self : Evision.ML.EM.t() Return retval : Evision.Mat.t() Returns matrix with the number of rows equal to the number of mixtures and number of columns equal to the space dimensionality. Python prototype (for reference only): getMeans() -&gt; retval","ref":"Evision.ML.EM.html#getMeans/1","title":"Evision.ML.EM.getMeans/1","type":"function"},{"doc":"getTermCriteria Positional Arguments self : Evision.ML.EM.t() Return retval : TermCriteria @see setTermCriteria/2 Python prototype (for reference only): getTermCriteria() -&gt; retval","ref":"Evision.ML.EM.html#getTermCriteria/1","title":"Evision.ML.EM.getTermCriteria/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.EM.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.EM.html#getVarCount/1","title":"Evision.ML.EM.getVarCount/1","type":"function"},{"doc":"Returns weights of the mixtures Positional Arguments self : Evision.ML.EM.t() Return retval : Evision.Mat.t() Returns vector with the number of elements equal to the number of mixtures. Python prototype (for reference only): getWeights() -&gt; retval","ref":"Evision.ML.EM.html#getWeights/1","title":"Evision.ML.EM.getWeights/1","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.EM.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.EM.html#isClassifier/1","title":"Evision.ML.EM.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.EM.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.EM.html#isTrained/1","title":"Evision.ML.EM.isTrained/1","type":"function"},{"doc":"Loads and creates a serialized EM from a file Positional Arguments filepath : String . path to serialized EM Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.EM.t() Use EM::save to serialize and store an EM to disk. Load the EM from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.EM.html#load/1","title":"Evision.ML.EM.load/1","type":"function"},{"doc":"Loads and creates a serialized EM from a file Positional Arguments filepath : String . path to serialized EM Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.EM.t() Use EM::save to serialize and store an EM to disk. Load the EM from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.EM.html#load/2","title":"Evision.ML.EM.load/2","type":"function"},{"doc":"Returns a likelihood logarithm value and an index of the most probable mixture component for the given sample. Positional Arguments self : Evision.ML.EM.t() sample : Evision.Mat.t() . A sample for classification. It should be a one-channel matrix of \\f$1 \\times dims\\f$ or \\f$dims \\times 1\\f$ size. Return retval : Vec2d probs : Evision.Mat.t() . Optional output matrix that contains posterior probabilities of each component given the sample. It has \\f$1 \\times nclusters\\f$ size and CV_64FC1 type. The method returns a two-element double vector. Zero element is a likelihood logarithm value for the sample. First element is an index of the most probable mixture component for the given sample. Python prototype (for reference only): predict2(sample[, probs]) -&gt; retval, probs","ref":"Evision.ML.EM.html#predict2/2","title":"Evision.ML.EM.predict2/2","type":"function"},{"doc":"Returns a likelihood logarithm value and an index of the most probable mixture component for the given sample. Positional Arguments self : Evision.ML.EM.t() sample : Evision.Mat.t() . A sample for classification. It should be a one-channel matrix of \\f$1 \\times dims\\f$ or \\f$dims \\times 1\\f$ size. Return retval : Vec2d probs : Evision.Mat.t() . Optional output matrix that contains posterior probabilities of each component given the sample. It has \\f$1 \\times nclusters\\f$ size and CV_64FC1 type. The method returns a two-element double vector. Zero element is a likelihood logarithm value for the sample. First element is an index of the most probable mixture component for the given sample. Python prototype (for reference only): predict2(sample[, probs]) -&gt; retval, probs","ref":"Evision.ML.EM.html#predict2/3","title":"Evision.ML.EM.predict2/3","type":"function"},{"doc":"Returns posterior probabilities for the provided samples Positional Arguments self : Evision.ML.EM.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . This parameter will be ignored Return retval : float results : Evision.Mat.t() . The optional output \\f$ nSamples \\times nClusters\\f$ matrix of results. It contains posterior probabilities for each sample from the input Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.EM.html#predict/2","title":"Evision.ML.EM.predict/2","type":"function"},{"doc":"Returns posterior probabilities for the provided samples Positional Arguments self : Evision.ML.EM.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . This parameter will be ignored Return retval : float results : Evision.Mat.t() . The optional output \\f$ nSamples \\times nClusters\\f$ matrix of results. It contains posterior probabilities for each sample from the input Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.EM.html#predict/3","title":"Evision.ML.EM.predict/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.EM.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.EM.html#read/2","title":"Evision.ML.EM.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.EM.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.EM.html#save/2","title":"Evision.ML.EM.save/2","type":"function"},{"doc":"setClustersNumber Positional Arguments self : Evision.ML.EM.t() val : int @see getClustersNumber/1 Python prototype (for reference only): setClustersNumber(val) -&gt; None","ref":"Evision.ML.EM.html#setClustersNumber/2","title":"Evision.ML.EM.setClustersNumber/2","type":"function"},{"doc":"setCovarianceMatrixType Positional Arguments self : Evision.ML.EM.t() val : int @see getCovarianceMatrixType/1 Python prototype (for reference only): setCovarianceMatrixType(val) -&gt; None","ref":"Evision.ML.EM.html#setCovarianceMatrixType/2","title":"Evision.ML.EM.setCovarianceMatrixType/2","type":"function"},{"doc":"setTermCriteria Positional Arguments self : Evision.ML.EM.t() val : TermCriteria @see getTermCriteria/1 Python prototype (for reference only): setTermCriteria(val) -&gt; None","ref":"Evision.ML.EM.html#setTermCriteria/2","title":"Evision.ML.EM.setTermCriteria/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.EM.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.EM.html#train/2","title":"Evision.ML.EM.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.EM.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.EM.html#train/3","title":"Evision.ML.EM.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.EM.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.EM.html#train/4","title":"Evision.ML.EM.train/4","type":"function"},{"doc":"Estimate the Gaussian mixture parameters from a samples set. Positional Arguments self : Evision.ML.EM.t() samples : Evision.Mat.t() . Samples from which the Gaussian mixture model will be estimated. It should be a one-channel matrix, each row of which is a sample. If the matrix does not have CV_64F type it will be converted to the inner matrix of such type for the further computing. means0 : Evision.Mat.t() . Initial means \\f$a_k\\f$ of mixture components. It is a one-channel matrix of \\f$nclusters \\times dims\\f$ size. If the matrix does not have CV_64F type it will be converted to the inner matrix of such type for the further computing. Keyword Arguments covs0 : Evision.Mat.t() . The vector of initial covariance matrices \\f$S_k\\f$ of mixture components. Each of covariance matrices is a one-channel matrix of \\f$dims \\times dims\\f$ size. If the matrices do not have CV_64F type they will be converted to the inner matrices of such type for the further computing. weights0 : Evision.Mat.t() . Initial weights \\f$\\pi_k\\f$ of mixture components. It should be a one-channel floating-point matrix with \\f$1 \\times nclusters\\f$ or \\f$nclusters \\times 1\\f$ size. Return retval : bool logLikelihoods : Evision.Mat.t() . The optional output matrix that contains a likelihood logarithm value for each sample. It has \\f$nsamples \\times 1\\f$ size and CV_64FC1 type. labels : Evision.Mat.t() . The optional output &quot;class label&quot; for each sample: \\f$\\texttt{labels} i=\\texttt{arg max}_k(p {i,k}), i=1..N\\f$ (indices of the most probable mixture component for each sample). It has \\f$nsamples \\times 1\\f$ size and CV_32SC1 type. probs : Evision.Mat.t() . The optional output matrix that contains posterior probabilities of each Gaussian mixture component given the each sample. It has \\f$nsamples \\times nclusters\\f$ size and CV_64FC1 type. This variation starts with Expectation step. You need to provide initial means \\f$a_k\\f$ of mixture components. Optionally you can pass initial weights \\f$\\pi_k\\f$ and covariance matrices \\f$S_k\\f$ of mixture components. Python prototype (for reference only): trainE(samples, means0[, covs0[, weights0[, logLikelihoods[, labels[, probs]]]]]) -&gt; retval, logLikelihoods, labels, probs","ref":"Evision.ML.EM.html#trainE/3","title":"Evision.ML.EM.trainE/3","type":"function"},{"doc":"Estimate the Gaussian mixture parameters from a samples set. Positional Arguments self : Evision.ML.EM.t() samples : Evision.Mat.t() . Samples from which the Gaussian mixture model will be estimated. It should be a one-channel matrix, each row of which is a sample. If the matrix does not have CV_64F type it will be converted to the inner matrix of such type for the further computing. means0 : Evision.Mat.t() . Initial means \\f$a_k\\f$ of mixture components. It is a one-channel matrix of \\f$nclusters \\times dims\\f$ size. If the matrix does not have CV_64F type it will be converted to the inner matrix of such type for the further computing. Keyword Arguments covs0 : Evision.Mat.t() . The vector of initial covariance matrices \\f$S_k\\f$ of mixture components. Each of covariance matrices is a one-channel matrix of \\f$dims \\times dims\\f$ size. If the matrices do not have CV_64F type they will be converted to the inner matrices of such type for the further computing. weights0 : Evision.Mat.t() . Initial weights \\f$\\pi_k\\f$ of mixture components. It should be a one-channel floating-point matrix with \\f$1 \\times nclusters\\f$ or \\f$nclusters \\times 1\\f$ size. Return retval : bool logLikelihoods : Evision.Mat.t() . The optional output matrix that contains a likelihood logarithm value for each sample. It has \\f$nsamples \\times 1\\f$ size and CV_64FC1 type. labels : Evision.Mat.t() . The optional output &quot;class label&quot; for each sample: \\f$\\texttt{labels} i=\\texttt{arg max}_k(p {i,k}), i=1..N\\f$ (indices of the most probable mixture component for each sample). It has \\f$nsamples \\times 1\\f$ size and CV_32SC1 type. probs : Evision.Mat.t() . The optional output matrix that contains posterior probabilities of each Gaussian mixture component given the each sample. It has \\f$nsamples \\times nclusters\\f$ size and CV_64FC1 type. This variation starts with Expectation step. You need to provide initial means \\f$a_k\\f$ of mixture components. Optionally you can pass initial weights \\f$\\pi_k\\f$ and covariance matrices \\f$S_k\\f$ of mixture components. Python prototype (for reference only): trainE(samples, means0[, covs0[, weights0[, logLikelihoods[, labels[, probs]]]]]) -&gt; retval, logLikelihoods, labels, probs","ref":"Evision.ML.EM.html#trainE/4","title":"Evision.ML.EM.trainE/4","type":"function"},{"doc":"Estimate the Gaussian mixture parameters from a samples set. Positional Arguments self : Evision.ML.EM.t() samples : Evision.Mat.t() . Samples from which the Gaussian mixture model will be estimated. It should be a one-channel matrix, each row of which is a sample. If the matrix does not have CV_64F type it will be converted to the inner matrix of such type for the further computing. Return retval : bool logLikelihoods : Evision.Mat.t() . The optional output matrix that contains a likelihood logarithm value for each sample. It has \\f$nsamples \\times 1\\f$ size and CV_64FC1 type. labels : Evision.Mat.t() . The optional output &quot;class label&quot; for each sample: \\f$\\texttt{labels} i=\\texttt{arg max}_k(p {i,k}), i=1..N\\f$ (indices of the most probable mixture component for each sample). It has \\f$nsamples \\times 1\\f$ size and CV_32SC1 type. probs : Evision.Mat.t() . The optional output matrix that contains posterior probabilities of each Gaussian mixture component given the each sample. It has \\f$nsamples \\times nclusters\\f$ size and CV_64FC1 type. This variation starts with Expectation step. Initial values of the model parameters will be estimated by the k-means algorithm. Unlike many of the ML models, %EM is an unsupervised learning algorithm and it does not take responses (class labels or function values) as input. Instead, it computes the Maximum Likelihood Estimate of the Gaussian mixture parameters from an input sample set, stores all the parameters inside the structure: \\f$p_{i,k}\\f$ in probs, \\f$a_k\\f$ in means , \\f$S_k\\f$ in covs[k], \\f$\\pi_k\\f$ in weights , and optionally computes the output &quot;class label&quot; for each sample: \\f$\\texttt{labels}_i=\\texttt{arg max}_k(p_{i,k}), i=1..N\\f$ (indices of the most probable mixture component for each sample). The trained model can be used further for prediction, just like any other classifier. The trained model is similar to the NormalBayesClassifier. Python prototype (for reference only): trainEM(samples[, logLikelihoods[, labels[, probs]]]) -&gt; retval, logLikelihoods, labels, probs","ref":"Evision.ML.EM.html#trainEM/2","title":"Evision.ML.EM.trainEM/2","type":"function"},{"doc":"Estimate the Gaussian mixture parameters from a samples set. Positional Arguments self : Evision.ML.EM.t() samples : Evision.Mat.t() . Samples from which the Gaussian mixture model will be estimated. It should be a one-channel matrix, each row of which is a sample. If the matrix does not have CV_64F type it will be converted to the inner matrix of such type for the further computing. Return retval : bool logLikelihoods : Evision.Mat.t() . The optional output matrix that contains a likelihood logarithm value for each sample. It has \\f$nsamples \\times 1\\f$ size and CV_64FC1 type. labels : Evision.Mat.t() . The optional output &quot;class label&quot; for each sample: \\f$\\texttt{labels} i=\\texttt{arg max}_k(p {i,k}), i=1..N\\f$ (indices of the most probable mixture component for each sample). It has \\f$nsamples \\times 1\\f$ size and CV_32SC1 type. probs : Evision.Mat.t() . The optional output matrix that contains posterior probabilities of each Gaussian mixture component given the each sample. It has \\f$nsamples \\times nclusters\\f$ size and CV_64FC1 type. This variation starts with Expectation step. Initial values of the model parameters will be estimated by the k-means algorithm. Unlike many of the ML models, %EM is an unsupervised learning algorithm and it does not take responses (class labels or function values) as input. Instead, it computes the Maximum Likelihood Estimate of the Gaussian mixture parameters from an input sample set, stores all the parameters inside the structure: \\f$p_{i,k}\\f$ in probs, \\f$a_k\\f$ in means , \\f$S_k\\f$ in covs[k], \\f$\\pi_k\\f$ in weights , and optionally computes the output &quot;class label&quot; for each sample: \\f$\\texttt{labels}_i=\\texttt{arg max}_k(p_{i,k}), i=1..N\\f$ (indices of the most probable mixture component for each sample). The trained model can be used further for prediction, just like any other classifier. The trained model is similar to the NormalBayesClassifier. Python prototype (for reference only): trainEM(samples[, logLikelihoods[, labels[, probs]]]) -&gt; retval, logLikelihoods, labels, probs","ref":"Evision.ML.EM.html#trainEM/3","title":"Evision.ML.EM.trainEM/3","type":"function"},{"doc":"Estimate the Gaussian mixture parameters from a samples set. Positional Arguments self : Evision.ML.EM.t() samples : Evision.Mat.t() . Samples from which the Gaussian mixture model will be estimated. It should be a one-channel matrix, each row of which is a sample. If the matrix does not have CV_64F type it will be converted to the inner matrix of such type for the further computing. probs0 : Evision.Mat.t() . the probabilities Return retval : bool logLikelihoods : Evision.Mat.t() . The optional output matrix that contains a likelihood logarithm value for each sample. It has \\f$nsamples \\times 1\\f$ size and CV_64FC1 type. labels : Evision.Mat.t() . The optional output &quot;class label&quot; for each sample: \\f$\\texttt{labels} i=\\texttt{arg max}_k(p {i,k}), i=1..N\\f$ (indices of the most probable mixture component for each sample). It has \\f$nsamples \\times 1\\f$ size and CV_32SC1 type. probs : Evision.Mat.t() . The optional output matrix that contains posterior probabilities of each Gaussian mixture component given the each sample. It has \\f$nsamples \\times nclusters\\f$ size and CV_64FC1 type. This variation starts with Maximization step. You need to provide initial probabilities \\f$p_{i,k}\\f$ to use this option. Python prototype (for reference only): trainM(samples, probs0[, logLikelihoods[, labels[, probs]]]) -&gt; retval, logLikelihoods, labels, probs","ref":"Evision.ML.EM.html#trainM/3","title":"Evision.ML.EM.trainM/3","type":"function"},{"doc":"Estimate the Gaussian mixture parameters from a samples set. Positional Arguments self : Evision.ML.EM.t() samples : Evision.Mat.t() . Samples from which the Gaussian mixture model will be estimated. It should be a one-channel matrix, each row of which is a sample. If the matrix does not have CV_64F type it will be converted to the inner matrix of such type for the further computing. probs0 : Evision.Mat.t() . the probabilities Return retval : bool logLikelihoods : Evision.Mat.t() . The optional output matrix that contains a likelihood logarithm value for each sample. It has \\f$nsamples \\times 1\\f$ size and CV_64FC1 type. labels : Evision.Mat.t() . The optional output &quot;class label&quot; for each sample: \\f$\\texttt{labels} i=\\texttt{arg max}_k(p {i,k}), i=1..N\\f$ (indices of the most probable mixture component for each sample). It has \\f$nsamples \\times 1\\f$ size and CV_32SC1 type. probs : Evision.Mat.t() . The optional output matrix that contains posterior probabilities of each Gaussian mixture component given the each sample. It has \\f$nsamples \\times nclusters\\f$ size and CV_64FC1 type. This variation starts with Maximization step. You need to provide initial probabilities \\f$p_{i,k}\\f$ to use this option. Python prototype (for reference only): trainM(samples, probs0[, logLikelihoods[, labels[, probs]]]) -&gt; retval, logLikelihoods, labels, probs","ref":"Evision.ML.EM.html#trainM/4","title":"Evision.ML.EM.trainM/4","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.EM.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.EM.html#write/2","title":"Evision.ML.EM.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.EM.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.EM.html#write/3","title":"Evision.ML.EM.write/3","type":"function"},{"doc":"Type that represents an ML.EM struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.EM.html#t:t/0","title":"Evision.ML.EM.t/0","type":"type"},{"doc":"","ref":"Evision.ML.KNearest.html","title":"Evision.ML.KNearest","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.KNearest.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.KNearest.html#calcError/3","title":"Evision.ML.KNearest.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.KNearest.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.KNearest.html#calcError/4","title":"Evision.ML.KNearest.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.KNearest.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.KNearest.html#clear/1","title":"Evision.ML.KNearest.clear/1","type":"function"},{"doc":"Creates the empty model Return retval : Evision.ML.KNearest.t() The static method creates empty %KNearest classifier. It should be then trained using StatModel::train method. Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ML.KNearest.html#create/0","title":"Evision.ML.KNearest.create/0","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.KNearest.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.KNearest.html#empty/1","title":"Evision.ML.KNearest.empty/1","type":"function"},{"doc":"Finds the neighbors and predicts responses for input vectors. Positional Arguments self : Evision.ML.KNearest.t() samples : Evision.Mat.t() . Input samples stored by rows. It is a single-precision floating-point matrix of &lt;number_of_samples&gt; * k size. k : int . Number of used nearest neighbors. Should be greater than 1. Return retval : float results : Evision.Mat.t() . Vector with results of prediction (regression or classification) for each input sample. It is a single-precision floating-point vector with &lt;number_of_samples&gt; elements. neighborResponses : Evision.Mat.t() . Optional output values for corresponding neighbors. It is a single- precision floating-point matrix of &lt;number_of_samples&gt; * k size. dist : Evision.Mat.t() . Optional output distances from the input vectors to the corresponding neighbors. It is a single-precision floating-point matrix of &lt;number_of_samples&gt; * k size. For each input vector (a row of the matrix samples), the method finds the k nearest neighbors. In case of regression, the predicted result is a mean value of the particular vector's neighbor responses. In case of classification, the class is determined by voting. For each input vector, the neighbors are sorted by their distances to the vector. In case of C++ interface you can use output pointers to empty matrices and the function will allocate memory itself. If only a single input vector is passed, all output matrices are optional and the predicted value is returned by the method. The function is parallelized with the TBB library. Python prototype (for reference only): findNearest(samples, k[, results[, neighborResponses[, dist]]]) -&gt; retval, results, neighborResponses, dist","ref":"Evision.ML.KNearest.html#findNearest/3","title":"Evision.ML.KNearest.findNearest/3","type":"function"},{"doc":"Finds the neighbors and predicts responses for input vectors. Positional Arguments self : Evision.ML.KNearest.t() samples : Evision.Mat.t() . Input samples stored by rows. It is a single-precision floating-point matrix of &lt;number_of_samples&gt; * k size. k : int . Number of used nearest neighbors. Should be greater than 1. Return retval : float results : Evision.Mat.t() . Vector with results of prediction (regression or classification) for each input sample. It is a single-precision floating-point vector with &lt;number_of_samples&gt; elements. neighborResponses : Evision.Mat.t() . Optional output values for corresponding neighbors. It is a single- precision floating-point matrix of &lt;number_of_samples&gt; * k size. dist : Evision.Mat.t() . Optional output distances from the input vectors to the corresponding neighbors. It is a single-precision floating-point matrix of &lt;number_of_samples&gt; * k size. For each input vector (a row of the matrix samples), the method finds the k nearest neighbors. In case of regression, the predicted result is a mean value of the particular vector's neighbor responses. In case of classification, the class is determined by voting. For each input vector, the neighbors are sorted by their distances to the vector. In case of C++ interface you can use output pointers to empty matrices and the function will allocate memory itself. If only a single input vector is passed, all output matrices are optional and the predicted value is returned by the method. The function is parallelized with the TBB library. Python prototype (for reference only): findNearest(samples, k[, results[, neighborResponses[, dist]]]) -&gt; retval, results, neighborResponses, dist","ref":"Evision.ML.KNearest.html#findNearest/4","title":"Evision.ML.KNearest.findNearest/4","type":"function"},{"doc":"getAlgorithmType Positional Arguments self : Evision.ML.KNearest.t() Return retval : int @see setAlgorithmType/2 Python prototype (for reference only): getAlgorithmType() -&gt; retval","ref":"Evision.ML.KNearest.html#getAlgorithmType/1","title":"Evision.ML.KNearest.getAlgorithmType/1","type":"function"},{"doc":"getDefaultK Positional Arguments self : Evision.ML.KNearest.t() Return retval : int @see setDefaultK/2 Python prototype (for reference only): getDefaultK() -&gt; retval","ref":"Evision.ML.KNearest.html#getDefaultK/1","title":"Evision.ML.KNearest.getDefaultK/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.KNearest.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.KNearest.html#getDefaultName/1","title":"Evision.ML.KNearest.getDefaultName/1","type":"function"},{"doc":"getEmax Positional Arguments self : Evision.ML.KNearest.t() Return retval : int @see setEmax/2 Python prototype (for reference only): getEmax() -&gt; retval","ref":"Evision.ML.KNearest.html#getEmax/1","title":"Evision.ML.KNearest.getEmax/1","type":"function"},{"doc":"getIsClassifier Positional Arguments self : Evision.ML.KNearest.t() Return retval : bool @see setIsClassifier/2 Python prototype (for reference only): getIsClassifier() -&gt; retval","ref":"Evision.ML.KNearest.html#getIsClassifier/1","title":"Evision.ML.KNearest.getIsClassifier/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.KNearest.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.KNearest.html#getVarCount/1","title":"Evision.ML.KNearest.getVarCount/1","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.KNearest.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.KNearest.html#isClassifier/1","title":"Evision.ML.KNearest.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.KNearest.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.KNearest.html#isTrained/1","title":"Evision.ML.KNearest.isTrained/1","type":"function"},{"doc":"Loads and creates a serialized knearest from a file Positional Arguments filepath : String . path to serialized KNearest Return retval : Evision.ML.KNearest.t() Use KNearest::save to serialize and store an KNearest to disk. Load the KNearest from this file again, by calling this function with the path to the file. Python prototype (for reference only): load(filepath) -&gt; retval","ref":"Evision.ML.KNearest.html#load/1","title":"Evision.ML.KNearest.load/1","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.KNearest.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.KNearest.html#predict/2","title":"Evision.ML.KNearest.predict/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.KNearest.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.KNearest.html#predict/3","title":"Evision.ML.KNearest.predict/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.KNearest.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.KNearest.html#read/2","title":"Evision.ML.KNearest.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.KNearest.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.KNearest.html#save/2","title":"Evision.ML.KNearest.save/2","type":"function"},{"doc":"setAlgorithmType Positional Arguments self : Evision.ML.KNearest.t() val : int @see getAlgorithmType/1 Python prototype (for reference only): setAlgorithmType(val) -&gt; None","ref":"Evision.ML.KNearest.html#setAlgorithmType/2","title":"Evision.ML.KNearest.setAlgorithmType/2","type":"function"},{"doc":"setDefaultK Positional Arguments self : Evision.ML.KNearest.t() val : int @see getDefaultK/1 Python prototype (for reference only): setDefaultK(val) -&gt; None","ref":"Evision.ML.KNearest.html#setDefaultK/2","title":"Evision.ML.KNearest.setDefaultK/2","type":"function"},{"doc":"setEmax Positional Arguments self : Evision.ML.KNearest.t() val : int @see getEmax/1 Python prototype (for reference only): setEmax(val) -&gt; None","ref":"Evision.ML.KNearest.html#setEmax/2","title":"Evision.ML.KNearest.setEmax/2","type":"function"},{"doc":"setIsClassifier Positional Arguments self : Evision.ML.KNearest.t() val : bool @see getIsClassifier/1 Python prototype (for reference only): setIsClassifier(val) -&gt; None","ref":"Evision.ML.KNearest.html#setIsClassifier/2","title":"Evision.ML.KNearest.setIsClassifier/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.KNearest.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.KNearest.html#train/2","title":"Evision.ML.KNearest.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.KNearest.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.KNearest.html#train/3","title":"Evision.ML.KNearest.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.KNearest.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.KNearest.html#train/4","title":"Evision.ML.KNearest.train/4","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.KNearest.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.KNearest.html#write/2","title":"Evision.ML.KNearest.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.KNearest.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.KNearest.html#write/3","title":"Evision.ML.KNearest.write/3","type":"function"},{"doc":"Type that represents an ML.KNearest struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.KNearest.html#t:t/0","title":"Evision.ML.KNearest.t/0","type":"type"},{"doc":"","ref":"Evision.ML.LogisticRegression.html","title":"Evision.ML.LogisticRegression","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.LogisticRegression.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.LogisticRegression.html#calcError/3","title":"Evision.ML.LogisticRegression.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.LogisticRegression.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.LogisticRegression.html#calcError/4","title":"Evision.ML.LogisticRegression.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.LogisticRegression.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.LogisticRegression.html#clear/1","title":"Evision.ML.LogisticRegression.clear/1","type":"function"},{"doc":"Creates empty model. Return retval : Evision.ML.LogisticRegression.t() Creates Logistic Regression model with parameters given. Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#create/0","title":"Evision.ML.LogisticRegression.create/0","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#empty/1","title":"Evision.ML.LogisticRegression.empty/1","type":"function"},{"doc":"This function returns the trained parameters arranged across rows. Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : Evision.Mat.t() For a two class classification problem, it returns a row matrix. It returns learnt parameters of the Logistic Regression as a matrix of type CV_32F. Python prototype (for reference only): get_learnt_thetas() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#get_learnt_thetas/1","title":"Evision.ML.LogisticRegression.get_learnt_thetas/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#getDefaultName/1","title":"Evision.ML.LogisticRegression.getDefaultName/1","type":"function"},{"doc":"getIterations Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : int @see setIterations/2 Python prototype (for reference only): getIterations() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#getIterations/1","title":"Evision.ML.LogisticRegression.getIterations/1","type":"function"},{"doc":"getLearningRate Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : double @see setLearningRate/2 Python prototype (for reference only): getLearningRate() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#getLearningRate/1","title":"Evision.ML.LogisticRegression.getLearningRate/1","type":"function"},{"doc":"getMiniBatchSize Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : int @see setMiniBatchSize/2 Python prototype (for reference only): getMiniBatchSize() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#getMiniBatchSize/1","title":"Evision.ML.LogisticRegression.getMiniBatchSize/1","type":"function"},{"doc":"getRegularization Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : int @see setRegularization/2 Python prototype (for reference only): getRegularization() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#getRegularization/1","title":"Evision.ML.LogisticRegression.getRegularization/1","type":"function"},{"doc":"getTermCriteria Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : TermCriteria @see setTermCriteria/2 Python prototype (for reference only): getTermCriteria() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#getTermCriteria/1","title":"Evision.ML.LogisticRegression.getTermCriteria/1","type":"function"},{"doc":"getTrainMethod Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : int @see setTrainMethod/2 Python prototype (for reference only): getTrainMethod() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#getTrainMethod/1","title":"Evision.ML.LogisticRegression.getTrainMethod/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#getVarCount/1","title":"Evision.ML.LogisticRegression.getVarCount/1","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#isClassifier/1","title":"Evision.ML.LogisticRegression.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.LogisticRegression.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.LogisticRegression.html#isTrained/1","title":"Evision.ML.LogisticRegression.isTrained/1","type":"function"},{"doc":"Loads and creates a serialized LogisticRegression from a file Positional Arguments filepath : String . path to serialized LogisticRegression Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.LogisticRegression.t() Use LogisticRegression::save to serialize and store an LogisticRegression to disk. Load the LogisticRegression from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.LogisticRegression.html#load/1","title":"Evision.ML.LogisticRegression.load/1","type":"function"},{"doc":"Loads and creates a serialized LogisticRegression from a file Positional Arguments filepath : String . path to serialized LogisticRegression Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.LogisticRegression.t() Use LogisticRegression::save to serialize and store an LogisticRegression to disk. Load the LogisticRegression from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.LogisticRegression.html#load/2","title":"Evision.ML.LogisticRegression.load/2","type":"function"},{"doc":"Predicts responses for input samples and returns a float type. Positional Arguments self : Evision.ML.LogisticRegression.t() samples : Evision.Mat.t() . The input data for the prediction algorithm. Matrix [m x n], where each row contains variables (features) of one object being classified. Should have data type CV_32F. Keyword Arguments flags : int . Not used. Return retval : float results : Evision.Mat.t() . Predicted labels as a column matrix of type CV_32S. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.LogisticRegression.html#predict/2","title":"Evision.ML.LogisticRegression.predict/2","type":"function"},{"doc":"Predicts responses for input samples and returns a float type. Positional Arguments self : Evision.ML.LogisticRegression.t() samples : Evision.Mat.t() . The input data for the prediction algorithm. Matrix [m x n], where each row contains variables (features) of one object being classified. Should have data type CV_32F. Keyword Arguments flags : int . Not used. Return retval : float results : Evision.Mat.t() . Predicted labels as a column matrix of type CV_32S. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.LogisticRegression.html#predict/3","title":"Evision.ML.LogisticRegression.predict/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.LogisticRegression.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.LogisticRegression.html#read/2","title":"Evision.ML.LogisticRegression.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.LogisticRegression.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.LogisticRegression.html#save/2","title":"Evision.ML.LogisticRegression.save/2","type":"function"},{"doc":"setIterations Positional Arguments self : Evision.ML.LogisticRegression.t() val : int @see getIterations/1 Python prototype (for reference only): setIterations(val) -&gt; None","ref":"Evision.ML.LogisticRegression.html#setIterations/2","title":"Evision.ML.LogisticRegression.setIterations/2","type":"function"},{"doc":"setLearningRate Positional Arguments self : Evision.ML.LogisticRegression.t() val : double @see getLearningRate/1 Python prototype (for reference only): setLearningRate(val) -&gt; None","ref":"Evision.ML.LogisticRegression.html#setLearningRate/2","title":"Evision.ML.LogisticRegression.setLearningRate/2","type":"function"},{"doc":"setMiniBatchSize Positional Arguments self : Evision.ML.LogisticRegression.t() val : int @see getMiniBatchSize/1 Python prototype (for reference only): setMiniBatchSize(val) -&gt; None","ref":"Evision.ML.LogisticRegression.html#setMiniBatchSize/2","title":"Evision.ML.LogisticRegression.setMiniBatchSize/2","type":"function"},{"doc":"setRegularization Positional Arguments self : Evision.ML.LogisticRegression.t() val : int @see getRegularization/1 Python prototype (for reference only): setRegularization(val) -&gt; None","ref":"Evision.ML.LogisticRegression.html#setRegularization/2","title":"Evision.ML.LogisticRegression.setRegularization/2","type":"function"},{"doc":"setTermCriteria Positional Arguments self : Evision.ML.LogisticRegression.t() val : TermCriteria @see getTermCriteria/1 Python prototype (for reference only): setTermCriteria(val) -&gt; None","ref":"Evision.ML.LogisticRegression.html#setTermCriteria/2","title":"Evision.ML.LogisticRegression.setTermCriteria/2","type":"function"},{"doc":"setTrainMethod Positional Arguments self : Evision.ML.LogisticRegression.t() val : int @see getTrainMethod/1 Python prototype (for reference only): setTrainMethod(val) -&gt; None","ref":"Evision.ML.LogisticRegression.html#setTrainMethod/2","title":"Evision.ML.LogisticRegression.setTrainMethod/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.LogisticRegression.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.LogisticRegression.html#train/2","title":"Evision.ML.LogisticRegression.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.LogisticRegression.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.LogisticRegression.html#train/3","title":"Evision.ML.LogisticRegression.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.LogisticRegression.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.LogisticRegression.html#train/4","title":"Evision.ML.LogisticRegression.train/4","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.LogisticRegression.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.LogisticRegression.html#write/2","title":"Evision.ML.LogisticRegression.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.LogisticRegression.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.LogisticRegression.html#write/3","title":"Evision.ML.LogisticRegression.write/3","type":"function"},{"doc":"Type that represents an ML.LogisticRegression struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.LogisticRegression.html#t:t/0","title":"Evision.ML.LogisticRegression.t/0","type":"type"},{"doc":"","ref":"Evision.ML.NormalBayesClassifier.html","title":"Evision.ML.NormalBayesClassifier","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.NormalBayesClassifier.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.NormalBayesClassifier.html#calcError/3","title":"Evision.ML.NormalBayesClassifier.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.NormalBayesClassifier.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.NormalBayesClassifier.html#calcError/4","title":"Evision.ML.NormalBayesClassifier.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.NormalBayesClassifier.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.NormalBayesClassifier.html#clear/1","title":"Evision.ML.NormalBayesClassifier.clear/1","type":"function"},{"doc":"create Return retval : Evision.ML.NormalBayesClassifier.t() Creates empty model Use StatModel::train to train the model after creation. Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#create/0","title":"Evision.ML.NormalBayesClassifier.create/0","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.NormalBayesClassifier.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#empty/1","title":"Evision.ML.NormalBayesClassifier.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.NormalBayesClassifier.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#getDefaultName/1","title":"Evision.ML.NormalBayesClassifier.getDefaultName/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.NormalBayesClassifier.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#getVarCount/1","title":"Evision.ML.NormalBayesClassifier.getVarCount/1","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.NormalBayesClassifier.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#isClassifier/1","title":"Evision.ML.NormalBayesClassifier.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.NormalBayesClassifier.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#isTrained/1","title":"Evision.ML.NormalBayesClassifier.isTrained/1","type":"function"},{"doc":"Loads and creates a serialized NormalBayesClassifier from a file Positional Arguments filepath : String . path to serialized NormalBayesClassifier Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.NormalBayesClassifier.t() Use NormalBayesClassifier::save to serialize and store an NormalBayesClassifier to disk. Load the NormalBayesClassifier from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#load/1","title":"Evision.ML.NormalBayesClassifier.load/1","type":"function"},{"doc":"Loads and creates a serialized NormalBayesClassifier from a file Positional Arguments filepath : String . path to serialized NormalBayesClassifier Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.NormalBayesClassifier.t() Use NormalBayesClassifier::save to serialize and store an NormalBayesClassifier to disk. Load the NormalBayesClassifier from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#load/2","title":"Evision.ML.NormalBayesClassifier.load/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.NormalBayesClassifier.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.NormalBayesClassifier.html#predict/2","title":"Evision.ML.NormalBayesClassifier.predict/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.NormalBayesClassifier.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.NormalBayesClassifier.html#predict/3","title":"Evision.ML.NormalBayesClassifier.predict/3","type":"function"},{"doc":"Predicts the response for sample(s). Positional Arguments self : Evision.ML.NormalBayesClassifier.t() inputs : Evision.Mat.t() Keyword Arguments flags : int . Return retval : float outputs : Evision.Mat.t() . outputProbs : Evision.Mat.t() . The method estimates the most probable classes for input vectors. Input vectors (one or more) are stored as rows of the matrix inputs. In case of multiple input vectors, there should be one output vector outputs. The predicted class for a single input vector is returned by the method. The vector outputProbs contains the output probabilities corresponding to each element of result. Python prototype (for reference only): predictProb(inputs[, outputs[, outputProbs[, flags]]]) -&gt; retval, outputs, outputProbs","ref":"Evision.ML.NormalBayesClassifier.html#predictProb/2","title":"Evision.ML.NormalBayesClassifier.predictProb/2","type":"function"},{"doc":"Predicts the response for sample(s). Positional Arguments self : Evision.ML.NormalBayesClassifier.t() inputs : Evision.Mat.t() Keyword Arguments flags : int . Return retval : float outputs : Evision.Mat.t() . outputProbs : Evision.Mat.t() . The method estimates the most probable classes for input vectors. Input vectors (one or more) are stored as rows of the matrix inputs. In case of multiple input vectors, there should be one output vector outputs. The predicted class for a single input vector is returned by the method. The vector outputProbs contains the output probabilities corresponding to each element of result. Python prototype (for reference only): predictProb(inputs[, outputs[, outputProbs[, flags]]]) -&gt; retval, outputs, outputProbs","ref":"Evision.ML.NormalBayesClassifier.html#predictProb/3","title":"Evision.ML.NormalBayesClassifier.predictProb/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.NormalBayesClassifier.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.NormalBayesClassifier.html#read/2","title":"Evision.ML.NormalBayesClassifier.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.NormalBayesClassifier.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.NormalBayesClassifier.html#save/2","title":"Evision.ML.NormalBayesClassifier.save/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.NormalBayesClassifier.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#train/2","title":"Evision.ML.NormalBayesClassifier.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.NormalBayesClassifier.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#train/3","title":"Evision.ML.NormalBayesClassifier.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.NormalBayesClassifier.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.NormalBayesClassifier.html#train/4","title":"Evision.ML.NormalBayesClassifier.train/4","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.NormalBayesClassifier.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.NormalBayesClassifier.html#write/2","title":"Evision.ML.NormalBayesClassifier.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.NormalBayesClassifier.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.NormalBayesClassifier.html#write/3","title":"Evision.ML.NormalBayesClassifier.write/3","type":"function"},{"doc":"Type that represents an ML.NormalBayesClassifier struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.NormalBayesClassifier.html#t:t/0","title":"Evision.ML.NormalBayesClassifier.t/0","type":"type"},{"doc":"","ref":"Evision.ML.ParamGrid.html","title":"Evision.ML.ParamGrid","type":"module"},{"doc":"Creates a ParamGrid Ptr that can be given to the %SVM::trainAuto method Keyword Arguments minVal : double . minimum value of the parameter grid maxVal : double . maximum value of the parameter grid logstep : double . Logarithmic step for iterating the statmodel parameter Return retval : Evision.ML.ParamGrid.t() Python prototype (for reference only): create([, minVal[, maxVal[, logstep]]]) -&gt; retval","ref":"Evision.ML.ParamGrid.html#create/0","title":"Evision.ML.ParamGrid.create/0","type":"function"},{"doc":"Creates a ParamGrid Ptr that can be given to the %SVM::trainAuto method Keyword Arguments minVal : double . minimum value of the parameter grid maxVal : double . maximum value of the parameter grid logstep : double . Logarithmic step for iterating the statmodel parameter Return retval : Evision.ML.ParamGrid.t() Python prototype (for reference only): create([, minVal[, maxVal[, logstep]]]) -&gt; retval","ref":"Evision.ML.ParamGrid.html#create/1","title":"Evision.ML.ParamGrid.create/1","type":"function"},{"doc":"","ref":"Evision.ML.ParamGrid.html#get_logStep/1","title":"Evision.ML.ParamGrid.get_logStep/1","type":"function"},{"doc":"","ref":"Evision.ML.ParamGrid.html#get_maxVal/1","title":"Evision.ML.ParamGrid.get_maxVal/1","type":"function"},{"doc":"","ref":"Evision.ML.ParamGrid.html#get_minVal/1","title":"Evision.ML.ParamGrid.get_minVal/1","type":"function"},{"doc":"","ref":"Evision.ML.ParamGrid.html#set_logStep/2","title":"Evision.ML.ParamGrid.set_logStep/2","type":"function"},{"doc":"","ref":"Evision.ML.ParamGrid.html#set_maxVal/2","title":"Evision.ML.ParamGrid.set_maxVal/2","type":"function"},{"doc":"","ref":"Evision.ML.ParamGrid.html#set_minVal/2","title":"Evision.ML.ParamGrid.set_minVal/2","type":"function"},{"doc":"Type that represents an ML.ParamGrid struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.ParamGrid.html#t:t/0","title":"Evision.ML.ParamGrid.t/0","type":"type"},{"doc":"","ref":"Evision.ML.RTrees.html","title":"Evision.ML.RTrees","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.RTrees.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.RTrees.html#calcError/3","title":"Evision.ML.RTrees.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.RTrees.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.RTrees.html#calcError/4","title":"Evision.ML.RTrees.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.RTrees.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.RTrees.html#clear/1","title":"Evision.ML.RTrees.clear/1","type":"function"},{"doc":"create Return retval : Evision.ML.RTrees.t() Creates the empty model. Use StatModel::train to train the model, StatModel::train to create and train the model, Algorithm::load to load the pre-trained model. Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ML.RTrees.html#create/0","title":"Evision.ML.RTrees.create/0","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.RTrees.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.RTrees.html#empty/1","title":"Evision.ML.RTrees.empty/1","type":"function"},{"doc":"getActiveVarCount Positional Arguments self : Evision.ML.RTrees.t() Return retval : int @see setActiveVarCount/2 Python prototype (for reference only): getActiveVarCount() -&gt; retval","ref":"Evision.ML.RTrees.html#getActiveVarCount/1","title":"Evision.ML.RTrees.getActiveVarCount/1","type":"function"},{"doc":"getCalculateVarImportance Positional Arguments self : Evision.ML.RTrees.t() Return retval : bool @see setCalculateVarImportance/2 Python prototype (for reference only): getCalculateVarImportance() -&gt; retval","ref":"Evision.ML.RTrees.html#getCalculateVarImportance/1","title":"Evision.ML.RTrees.getCalculateVarImportance/1","type":"function"},{"doc":"getCVFolds Positional Arguments self : Evision.ML.RTrees.t() Return retval : int @see setCVFolds/2 Python prototype (for reference only): getCVFolds() -&gt; retval","ref":"Evision.ML.RTrees.html#getCVFolds/1","title":"Evision.ML.RTrees.getCVFolds/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.RTrees.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.RTrees.html#getDefaultName/1","title":"Evision.ML.RTrees.getDefaultName/1","type":"function"},{"doc":"getMaxCategories Positional Arguments self : Evision.ML.RTrees.t() Return retval : int @see setMaxCategories/2 Python prototype (for reference only): getMaxCategories() -&gt; retval","ref":"Evision.ML.RTrees.html#getMaxCategories/1","title":"Evision.ML.RTrees.getMaxCategories/1","type":"function"},{"doc":"getMaxDepth Positional Arguments self : Evision.ML.RTrees.t() Return retval : int @see setMaxDepth/2 Python prototype (for reference only): getMaxDepth() -&gt; retval","ref":"Evision.ML.RTrees.html#getMaxDepth/1","title":"Evision.ML.RTrees.getMaxDepth/1","type":"function"},{"doc":"getMinSampleCount Positional Arguments self : Evision.ML.RTrees.t() Return retval : int @see setMinSampleCount/2 Python prototype (for reference only): getMinSampleCount() -&gt; retval","ref":"Evision.ML.RTrees.html#getMinSampleCount/1","title":"Evision.ML.RTrees.getMinSampleCount/1","type":"function"},{"doc":"getOOBError Positional Arguments self : Evision.ML.RTrees.t() Return retval : double Returns the OOB error value, computed at the training stage when calcOOBError is set to true. If this flag was set to false, 0 is returned. The OOB error is also scaled by sample weighting. Python prototype (for reference only): getOOBError() -&gt; retval","ref":"Evision.ML.RTrees.html#getOOBError/1","title":"Evision.ML.RTrees.getOOBError/1","type":"function"},{"doc":"getPriors Positional Arguments self : Evision.ML.RTrees.t() Return retval : Evision.Mat.t() @see setPriors/2 Python prototype (for reference only): getPriors() -&gt; retval","ref":"Evision.ML.RTrees.html#getPriors/1","title":"Evision.ML.RTrees.getPriors/1","type":"function"},{"doc":"getRegressionAccuracy Positional Arguments self : Evision.ML.RTrees.t() Return retval : float @see setRegressionAccuracy/2 Python prototype (for reference only): getRegressionAccuracy() -&gt; retval","ref":"Evision.ML.RTrees.html#getRegressionAccuracy/1","title":"Evision.ML.RTrees.getRegressionAccuracy/1","type":"function"},{"doc":"getTermCriteria Positional Arguments self : Evision.ML.RTrees.t() Return retval : TermCriteria @see setTermCriteria/2 Python prototype (for reference only): getTermCriteria() -&gt; retval","ref":"Evision.ML.RTrees.html#getTermCriteria/1","title":"Evision.ML.RTrees.getTermCriteria/1","type":"function"},{"doc":"getTruncatePrunedTree Positional Arguments self : Evision.ML.RTrees.t() Return retval : bool @see setTruncatePrunedTree/2 Python prototype (for reference only): getTruncatePrunedTree() -&gt; retval","ref":"Evision.ML.RTrees.html#getTruncatePrunedTree/1","title":"Evision.ML.RTrees.getTruncatePrunedTree/1","type":"function"},{"doc":"getUse1SERule Positional Arguments self : Evision.ML.RTrees.t() Return retval : bool @see setUse1SERule/2 Python prototype (for reference only): getUse1SERule() -&gt; retval","ref":"Evision.ML.RTrees.html#getUse1SERule/1","title":"Evision.ML.RTrees.getUse1SERule/1","type":"function"},{"doc":"getUseSurrogates Positional Arguments self : Evision.ML.RTrees.t() Return retval : bool @see setUseSurrogates/2 Python prototype (for reference only): getUseSurrogates() -&gt; retval","ref":"Evision.ML.RTrees.html#getUseSurrogates/1","title":"Evision.ML.RTrees.getUseSurrogates/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.RTrees.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.RTrees.html#getVarCount/1","title":"Evision.ML.RTrees.getVarCount/1","type":"function"},{"doc":"getVarImportance Positional Arguments self : Evision.ML.RTrees.t() Return retval : Evision.Mat.t() Returns the variable importance array. The method returns the variable importance vector, computed at the training stage when CalculateVarImportance is set to true. If this flag was set to false, the empty matrix is returned. Python prototype (for reference only): getVarImportance() -&gt; retval","ref":"Evision.ML.RTrees.html#getVarImportance/1","title":"Evision.ML.RTrees.getVarImportance/1","type":"function"},{"doc":"getVotes Positional Arguments self : Evision.ML.RTrees.t() samples : Evision.Mat.t() . Array containing the samples for which votes will be calculated. flags : int . Flags for defining the type of RTrees. Return results : Evision.Mat.t() . Array where the result of the calculation will be written. Returns the result of each individual tree in the forest. In case the model is a regression problem, the method will return each of the trees' results for each of the sample cases. If the model is a classifier, it will return a Mat with samples + 1 rows, where the first row gives the class number and the following rows return the votes each class had for each sample. Python prototype (for reference only): getVotes(samples, flags[, results]) -&gt; results","ref":"Evision.ML.RTrees.html#getVotes/3","title":"Evision.ML.RTrees.getVotes/3","type":"function"},{"doc":"getVotes Positional Arguments self : Evision.ML.RTrees.t() samples : Evision.Mat.t() . Array containing the samples for which votes will be calculated. flags : int . Flags for defining the type of RTrees. Return results : Evision.Mat.t() . Array where the result of the calculation will be written. Returns the result of each individual tree in the forest. In case the model is a regression problem, the method will return each of the trees' results for each of the sample cases. If the model is a classifier, it will return a Mat with samples + 1 rows, where the first row gives the class number and the following rows return the votes each class had for each sample. Python prototype (for reference only): getVotes(samples, flags[, results]) -&gt; results","ref":"Evision.ML.RTrees.html#getVotes/4","title":"Evision.ML.RTrees.getVotes/4","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.RTrees.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.RTrees.html#isClassifier/1","title":"Evision.ML.RTrees.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.RTrees.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.RTrees.html#isTrained/1","title":"Evision.ML.RTrees.isTrained/1","type":"function"},{"doc":"Loads and creates a serialized RTree from a file Positional Arguments filepath : String . path to serialized RTree Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.RTrees.t() Use RTree::save to serialize and store an RTree to disk. Load the RTree from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.RTrees.html#load/1","title":"Evision.ML.RTrees.load/1","type":"function"},{"doc":"Loads and creates a serialized RTree from a file Positional Arguments filepath : String . path to serialized RTree Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.RTrees.t() Use RTree::save to serialize and store an RTree to disk. Load the RTree from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.RTrees.html#load/2","title":"Evision.ML.RTrees.load/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.RTrees.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.RTrees.html#predict/2","title":"Evision.ML.RTrees.predict/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.RTrees.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.RTrees.html#predict/3","title":"Evision.ML.RTrees.predict/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.RTrees.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.RTrees.html#read/2","title":"Evision.ML.RTrees.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.RTrees.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.RTrees.html#save/2","title":"Evision.ML.RTrees.save/2","type":"function"},{"doc":"setActiveVarCount Positional Arguments self : Evision.ML.RTrees.t() val : int @see getActiveVarCount/1 Python prototype (for reference only): setActiveVarCount(val) -&gt; None","ref":"Evision.ML.RTrees.html#setActiveVarCount/2","title":"Evision.ML.RTrees.setActiveVarCount/2","type":"function"},{"doc":"setCalculateVarImportance Positional Arguments self : Evision.ML.RTrees.t() val : bool @see getCalculateVarImportance/1 Python prototype (for reference only): setCalculateVarImportance(val) -&gt; None","ref":"Evision.ML.RTrees.html#setCalculateVarImportance/2","title":"Evision.ML.RTrees.setCalculateVarImportance/2","type":"function"},{"doc":"setCVFolds Positional Arguments self : Evision.ML.RTrees.t() val : int @see getCVFolds/1 Python prototype (for reference only): setCVFolds(val) -&gt; None","ref":"Evision.ML.RTrees.html#setCVFolds/2","title":"Evision.ML.RTrees.setCVFolds/2","type":"function"},{"doc":"setMaxCategories Positional Arguments self : Evision.ML.RTrees.t() val : int @see getMaxCategories/1 Python prototype (for reference only): setMaxCategories(val) -&gt; None","ref":"Evision.ML.RTrees.html#setMaxCategories/2","title":"Evision.ML.RTrees.setMaxCategories/2","type":"function"},{"doc":"setMaxDepth Positional Arguments self : Evision.ML.RTrees.t() val : int @see getMaxDepth/1 Python prototype (for reference only): setMaxDepth(val) -&gt; None","ref":"Evision.ML.RTrees.html#setMaxDepth/2","title":"Evision.ML.RTrees.setMaxDepth/2","type":"function"},{"doc":"setMinSampleCount Positional Arguments self : Evision.ML.RTrees.t() val : int @see getMinSampleCount/1 Python prototype (for reference only): setMinSampleCount(val) -&gt; None","ref":"Evision.ML.RTrees.html#setMinSampleCount/2","title":"Evision.ML.RTrees.setMinSampleCount/2","type":"function"},{"doc":"setPriors Positional Arguments self : Evision.ML.RTrees.t() val : Evision.Mat.t() @see getPriors/1 Python prototype (for reference only): setPriors(val) -&gt; None","ref":"Evision.ML.RTrees.html#setPriors/2","title":"Evision.ML.RTrees.setPriors/2","type":"function"},{"doc":"setRegressionAccuracy Positional Arguments self : Evision.ML.RTrees.t() val : float @see getRegressionAccuracy/1 Python prototype (for reference only): setRegressionAccuracy(val) -&gt; None","ref":"Evision.ML.RTrees.html#setRegressionAccuracy/2","title":"Evision.ML.RTrees.setRegressionAccuracy/2","type":"function"},{"doc":"setTermCriteria Positional Arguments self : Evision.ML.RTrees.t() val : TermCriteria @see getTermCriteria/1 Python prototype (for reference only): setTermCriteria(val) -&gt; None","ref":"Evision.ML.RTrees.html#setTermCriteria/2","title":"Evision.ML.RTrees.setTermCriteria/2","type":"function"},{"doc":"setTruncatePrunedTree Positional Arguments self : Evision.ML.RTrees.t() val : bool @see getTruncatePrunedTree/1 Python prototype (for reference only): setTruncatePrunedTree(val) -&gt; None","ref":"Evision.ML.RTrees.html#setTruncatePrunedTree/2","title":"Evision.ML.RTrees.setTruncatePrunedTree/2","type":"function"},{"doc":"setUse1SERule Positional Arguments self : Evision.ML.RTrees.t() val : bool @see getUse1SERule/1 Python prototype (for reference only): setUse1SERule(val) -&gt; None","ref":"Evision.ML.RTrees.html#setUse1SERule/2","title":"Evision.ML.RTrees.setUse1SERule/2","type":"function"},{"doc":"setUseSurrogates Positional Arguments self : Evision.ML.RTrees.t() val : bool @see getUseSurrogates/1 Python prototype (for reference only): setUseSurrogates(val) -&gt; None","ref":"Evision.ML.RTrees.html#setUseSurrogates/2","title":"Evision.ML.RTrees.setUseSurrogates/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.RTrees.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.RTrees.html#train/2","title":"Evision.ML.RTrees.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.RTrees.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.RTrees.html#train/3","title":"Evision.ML.RTrees.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.RTrees.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.RTrees.html#train/4","title":"Evision.ML.RTrees.train/4","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.RTrees.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.RTrees.html#write/2","title":"Evision.ML.RTrees.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.RTrees.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.RTrees.html#write/3","title":"Evision.ML.RTrees.write/3","type":"function"},{"doc":"Type that represents an ML.RTrees struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.RTrees.html#t:t/0","title":"Evision.ML.RTrees.t/0","type":"type"},{"doc":"","ref":"Evision.ML.SVM.html","title":"Evision.ML.SVM","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.SVM.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.SVM.html#calcError/3","title":"Evision.ML.SVM.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.SVM.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.SVM.html#calcError/4","title":"Evision.ML.SVM.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.SVM.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.SVM.html#clear/1","title":"Evision.ML.SVM.clear/1","type":"function"},{"doc":"create Return retval : Evision.ML.SVM.t() Creates empty model. Use StatModel::train to train the model. Since %SVM has several parameters, you may want to find the best parameters for your problem, it can be done with SVM::trainAuto. Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ML.SVM.html#create/0","title":"Evision.ML.SVM.create/0","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.SVM.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.SVM.html#empty/1","title":"Evision.ML.SVM.empty/1","type":"function"},{"doc":"getC Positional Arguments self : Evision.ML.SVM.t() Return retval : double @see setC/2 Python prototype (for reference only): getC() -&gt; retval","ref":"Evision.ML.SVM.html#getC/1","title":"Evision.ML.SVM.getC/1","type":"function"},{"doc":"getClassWeights Positional Arguments self : Evision.ML.SVM.t() Return retval : Evision.Mat.t() @see setClassWeights/2 Python prototype (for reference only): getClassWeights() -&gt; retval","ref":"Evision.ML.SVM.html#getClassWeights/1","title":"Evision.ML.SVM.getClassWeights/1","type":"function"},{"doc":"getCoef0 Positional Arguments self : Evision.ML.SVM.t() Return retval : double @see setCoef0/2 Python prototype (for reference only): getCoef0() -&gt; retval","ref":"Evision.ML.SVM.html#getCoef0/1","title":"Evision.ML.SVM.getCoef0/1","type":"function"},{"doc":"Retrieves the decision function Positional Arguments self : Evision.ML.SVM.t() i : int . the index of the decision function. If the problem solved is regression, 1-class or 2-class classification, then there will be just one decision function and the index should always be 0. Otherwise, in the case of N-class classification, there will be \\f$N(N-1)/2\\f$ decision functions. Return retval : double alpha : Evision.Mat.t() . the optional output vector for weights, corresponding to different support vectors. In the case of linear %SVM all the alpha's will be 1's. svidx : Evision.Mat.t() . the optional output vector of indices of support vectors within the matrix of support vectors (which can be retrieved by SVM::getSupportVectors). In the case of linear %SVM each decision function consists of a single &quot;compressed&quot; support vector. The method returns rho parameter of the decision function, a scalar subtracted from the weighted sum of kernel responses. Python prototype (for reference only): getDecisionFunction(i[, alpha[, svidx]]) -&gt; retval, alpha, svidx","ref":"Evision.ML.SVM.html#getDecisionFunction/2","title":"Evision.ML.SVM.getDecisionFunction/2","type":"function"},{"doc":"Retrieves the decision function Positional Arguments self : Evision.ML.SVM.t() i : int . the index of the decision function. If the problem solved is regression, 1-class or 2-class classification, then there will be just one decision function and the index should always be 0. Otherwise, in the case of N-class classification, there will be \\f$N(N-1)/2\\f$ decision functions. Return retval : double alpha : Evision.Mat.t() . the optional output vector for weights, corresponding to different support vectors. In the case of linear %SVM all the alpha's will be 1's. svidx : Evision.Mat.t() . the optional output vector of indices of support vectors within the matrix of support vectors (which can be retrieved by SVM::getSupportVectors). In the case of linear %SVM each decision function consists of a single &quot;compressed&quot; support vector. The method returns rho parameter of the decision function, a scalar subtracted from the weighted sum of kernel responses. Python prototype (for reference only): getDecisionFunction(i[, alpha[, svidx]]) -&gt; retval, alpha, svidx","ref":"Evision.ML.SVM.html#getDecisionFunction/3","title":"Evision.ML.SVM.getDecisionFunction/3","type":"function"},{"doc":"Generates a grid for %SVM parameters. Positional Arguments param_id : int . %SVM parameters IDs that must be one of the SVM::ParamTypes. The grid is generated for the parameter with this ID. Return retval : Evision.ML.ParamGrid.t() The function generates a grid pointer for the specified parameter of the %SVM algorithm. The grid may be passed to the function SVM::trainAuto. Python prototype (for reference only): getDefaultGridPtr(param_id) -&gt; retval","ref":"Evision.ML.SVM.html#getDefaultGridPtr/1","title":"Evision.ML.SVM.getDefaultGridPtr/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.SVM.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.SVM.html#getDefaultName/1","title":"Evision.ML.SVM.getDefaultName/1","type":"function"},{"doc":"getDegree Positional Arguments self : Evision.ML.SVM.t() Return retval : double @see setDegree/2 Python prototype (for reference only): getDegree() -&gt; retval","ref":"Evision.ML.SVM.html#getDegree/1","title":"Evision.ML.SVM.getDegree/1","type":"function"},{"doc":"getGamma Positional Arguments self : Evision.ML.SVM.t() Return retval : double @see setGamma/2 Python prototype (for reference only): getGamma() -&gt; retval","ref":"Evision.ML.SVM.html#getGamma/1","title":"Evision.ML.SVM.getGamma/1","type":"function"},{"doc":"getKernelType Positional Arguments self : Evision.ML.SVM.t() Return retval : int Type of a %SVM kernel. See SVM::KernelTypes. Default value is SVM::RBF. Python prototype (for reference only): getKernelType() -&gt; retval","ref":"Evision.ML.SVM.html#getKernelType/1","title":"Evision.ML.SVM.getKernelType/1","type":"function"},{"doc":"getNu Positional Arguments self : Evision.ML.SVM.t() Return retval : double @see setNu/2 Python prototype (for reference only): getNu() -&gt; retval","ref":"Evision.ML.SVM.html#getNu/1","title":"Evision.ML.SVM.getNu/1","type":"function"},{"doc":"getP Positional Arguments self : Evision.ML.SVM.t() Return retval : double @see setP/2 Python prototype (for reference only): getP() -&gt; retval","ref":"Evision.ML.SVM.html#getP/1","title":"Evision.ML.SVM.getP/1","type":"function"},{"doc":"Retrieves all the support vectors Positional Arguments self : Evision.ML.SVM.t() Return retval : Evision.Mat.t() The method returns all the support vectors as a floating-point matrix, where support vectors are stored as matrix rows. Python prototype (for reference only): getSupportVectors() -&gt; retval","ref":"Evision.ML.SVM.html#getSupportVectors/1","title":"Evision.ML.SVM.getSupportVectors/1","type":"function"},{"doc":"getTermCriteria Positional Arguments self : Evision.ML.SVM.t() Return retval : cv::TermCriteria @see setTermCriteria/2 Python prototype (for reference only): getTermCriteria() -&gt; retval","ref":"Evision.ML.SVM.html#getTermCriteria/1","title":"Evision.ML.SVM.getTermCriteria/1","type":"function"},{"doc":"getType Positional Arguments self : Evision.ML.SVM.t() Return retval : int @see setType/2 Python prototype (for reference only): getType() -&gt; retval","ref":"Evision.ML.SVM.html#getType/1","title":"Evision.ML.SVM.getType/1","type":"function"},{"doc":"Retrieves all the uncompressed support vectors of a linear %SVM Positional Arguments self : Evision.ML.SVM.t() Return retval : Evision.Mat.t() The method returns all the uncompressed support vectors of a linear %SVM that the compressed support vector, used for prediction, was derived from. They are returned in a floating-point matrix, where the support vectors are stored as matrix rows. Python prototype (for reference only): getUncompressedSupportVectors() -&gt; retval","ref":"Evision.ML.SVM.html#getUncompressedSupportVectors/1","title":"Evision.ML.SVM.getUncompressedSupportVectors/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.SVM.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.SVM.html#getVarCount/1","title":"Evision.ML.SVM.getVarCount/1","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.SVM.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.SVM.html#isClassifier/1","title":"Evision.ML.SVM.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.SVM.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.SVM.html#isTrained/1","title":"Evision.ML.SVM.isTrained/1","type":"function"},{"doc":"Loads and creates a serialized svm from a file Positional Arguments filepath : String . path to serialized svm Return retval : Evision.ML.SVM.t() Use SVM::save to serialize and store an SVM to disk. Load the SVM from this file again, by calling this function with the path to the file. Python prototype (for reference only): load(filepath) -&gt; retval","ref":"Evision.ML.SVM.html#load/1","title":"Evision.ML.SVM.load/1","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.SVM.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.SVM.html#predict/2","title":"Evision.ML.SVM.predict/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.SVM.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.SVM.html#predict/3","title":"Evision.ML.SVM.predict/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.SVM.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.SVM.html#read/2","title":"Evision.ML.SVM.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.SVM.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.SVM.html#save/2","title":"Evision.ML.SVM.save/2","type":"function"},{"doc":"setC Positional Arguments self : Evision.ML.SVM.t() val : double @see getC/1 Python prototype (for reference only): setC(val) -&gt; None","ref":"Evision.ML.SVM.html#setC/2","title":"Evision.ML.SVM.setC/2","type":"function"},{"doc":"setClassWeights Positional Arguments self : Evision.ML.SVM.t() val : Evision.Mat.t() @see getClassWeights/1 Python prototype (for reference only): setClassWeights(val) -&gt; None","ref":"Evision.ML.SVM.html#setClassWeights/2","title":"Evision.ML.SVM.setClassWeights/2","type":"function"},{"doc":"setCoef0 Positional Arguments self : Evision.ML.SVM.t() val : double @see getCoef0/1 Python prototype (for reference only): setCoef0(val) -&gt; None","ref":"Evision.ML.SVM.html#setCoef0/2","title":"Evision.ML.SVM.setCoef0/2","type":"function"},{"doc":"setDegree Positional Arguments self : Evision.ML.SVM.t() val : double @see getDegree/1 Python prototype (for reference only): setDegree(val) -&gt; None","ref":"Evision.ML.SVM.html#setDegree/2","title":"Evision.ML.SVM.setDegree/2","type":"function"},{"doc":"setGamma Positional Arguments self : Evision.ML.SVM.t() val : double @see getGamma/1 Python prototype (for reference only): setGamma(val) -&gt; None","ref":"Evision.ML.SVM.html#setGamma/2","title":"Evision.ML.SVM.setGamma/2","type":"function"},{"doc":"setKernel Positional Arguments self : Evision.ML.SVM.t() kernelType : int Initialize with one of predefined kernels. See SVM::KernelTypes. Python prototype (for reference only): setKernel(kernelType) -&gt; None","ref":"Evision.ML.SVM.html#setKernel/2","title":"Evision.ML.SVM.setKernel/2","type":"function"},{"doc":"setNu Positional Arguments self : Evision.ML.SVM.t() val : double @see getNu/1 Python prototype (for reference only): setNu(val) -&gt; None","ref":"Evision.ML.SVM.html#setNu/2","title":"Evision.ML.SVM.setNu/2","type":"function"},{"doc":"setP Positional Arguments self : Evision.ML.SVM.t() val : double @see getP/1 Python prototype (for reference only): setP(val) -&gt; None","ref":"Evision.ML.SVM.html#setP/2","title":"Evision.ML.SVM.setP/2","type":"function"},{"doc":"setTermCriteria Positional Arguments self : Evision.ML.SVM.t() val : TermCriteria @see getTermCriteria/1 Python prototype (for reference only): setTermCriteria(val) -&gt; None","ref":"Evision.ML.SVM.html#setTermCriteria/2","title":"Evision.ML.SVM.setTermCriteria/2","type":"function"},{"doc":"setType Positional Arguments self : Evision.ML.SVM.t() val : int @see getType/1 Python prototype (for reference only): setType(val) -&gt; None","ref":"Evision.ML.SVM.html#setType/2","title":"Evision.ML.SVM.setType/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.SVM.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.SVM.html#train/2","title":"Evision.ML.SVM.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.SVM.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.SVM.html#train/3","title":"Evision.ML.SVM.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.SVM.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.SVM.html#train/4","title":"Evision.ML.SVM.train/4","type":"function"},{"doc":"Trains an %SVM with optimal parameters Positional Arguments self : Evision.ML.SVM.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Keyword Arguments kFold : int . Cross-validation parameter. The training set is divided into kFold subsets. One subset is used to test the model, the others form the train set. So, the %SVM algorithm is cgrid : Evision.ML.ParamGrid.t() . gammaGrid : Evision.ML.ParamGrid.t() . grid for gamma pGrid : Evision.ML.ParamGrid.t() . nuGrid : Evision.ML.ParamGrid.t() . coeffGrid : Evision.ML.ParamGrid.t() . grid for coeff degreeGrid : Evision.ML.ParamGrid.t() . grid for degree balanced : bool . If true and the problem is 2-class classification then the method creates more balanced cross-validation subsets that is proportions between classes in subsets are close to such proportion in the whole train dataset. Return retval : bool The method trains the %SVM model automatically by choosing the optimal parameters C, gamma, p, nu, coef0, degree. Parameters are considered optimal when the cross-validation estimate of the test set error is minimal. This function only makes use of SVM::getDefaultGrid for parameter optimization and thus only offers rudimentary parameter options. This function works for the classification (SVM::C_SVC or SVM::NU_SVC) as well as for the regression (SVM::EPS_SVR or SVM::NU_SVR). If it is SVM::ONE_CLASS, no optimization is made and the usual %SVM with parameters specified in params is executed. Python prototype (for reference only): trainAuto(samples, layout, responses[, kFold[, Cgrid[, gammaGrid[, pGrid[, nuGrid[, coeffGrid[, degreeGrid[, balanced]]]]]]]]) -&gt; retval","ref":"Evision.ML.SVM.html#trainAuto/4","title":"Evision.ML.SVM.trainAuto/4","type":"function"},{"doc":"Trains an %SVM with optimal parameters Positional Arguments self : Evision.ML.SVM.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Keyword Arguments kFold : int . Cross-validation parameter. The training set is divided into kFold subsets. One subset is used to test the model, the others form the train set. So, the %SVM algorithm is cgrid : Evision.ML.ParamGrid.t() . gammaGrid : Evision.ML.ParamGrid.t() . grid for gamma pGrid : Evision.ML.ParamGrid.t() . nuGrid : Evision.ML.ParamGrid.t() . coeffGrid : Evision.ML.ParamGrid.t() . grid for coeff degreeGrid : Evision.ML.ParamGrid.t() . grid for degree balanced : bool . If true and the problem is 2-class classification then the method creates more balanced cross-validation subsets that is proportions between classes in subsets are close to such proportion in the whole train dataset. Return retval : bool The method trains the %SVM model automatically by choosing the optimal parameters C, gamma, p, nu, coef0, degree. Parameters are considered optimal when the cross-validation estimate of the test set error is minimal. This function only makes use of SVM::getDefaultGrid for parameter optimization and thus only offers rudimentary parameter options. This function works for the classification (SVM::C_SVC or SVM::NU_SVC) as well as for the regression (SVM::EPS_SVR or SVM::NU_SVR). If it is SVM::ONE_CLASS, no optimization is made and the usual %SVM with parameters specified in params is executed. Python prototype (for reference only): trainAuto(samples, layout, responses[, kFold[, Cgrid[, gammaGrid[, pGrid[, nuGrid[, coeffGrid[, degreeGrid[, balanced]]]]]]]]) -&gt; retval","ref":"Evision.ML.SVM.html#trainAuto/5","title":"Evision.ML.SVM.trainAuto/5","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.SVM.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.SVM.html#write/2","title":"Evision.ML.SVM.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.SVM.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.SVM.html#write/3","title":"Evision.ML.SVM.write/3","type":"function"},{"doc":"Type that represents an ML.SVM struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.SVM.html#t:t/0","title":"Evision.ML.SVM.t/0","type":"type"},{"doc":"","ref":"Evision.ML.SVMSGD.html","title":"Evision.ML.SVMSGD","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.SVMSGD.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.SVMSGD.html#calcError/3","title":"Evision.ML.SVMSGD.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.SVMSGD.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.SVMSGD.html#calcError/4","title":"Evision.ML.SVMSGD.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.SVMSGD.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.SVMSGD.html#clear/1","title":"Evision.ML.SVMSGD.clear/1","type":"function"},{"doc":"Creates empty model. Use StatModel::train to train the model. Since %SVMSGD has several parameters, you may want to find the best parameters for your problem or use setOptimalParameters() to set some default parameters. Return retval : Evision.ML.SVMSGD.t() Python prototype (for reference only): create() -&gt; retval","ref":"Evision.ML.SVMSGD.html#create/0","title":"Evision.ML.SVMSGD.create/0","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.SVMSGD.html#empty/1","title":"Evision.ML.SVMSGD.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.SVMSGD.html#getDefaultName/1","title":"Evision.ML.SVMSGD.getDefaultName/1","type":"function"},{"doc":"getInitialStepSize Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : float @see setInitialStepSize/2 Python prototype (for reference only): getInitialStepSize() -&gt; retval","ref":"Evision.ML.SVMSGD.html#getInitialStepSize/1","title":"Evision.ML.SVMSGD.getInitialStepSize/1","type":"function"},{"doc":"getMarginRegularization Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : float @see setMarginRegularization/2 Python prototype (for reference only): getMarginRegularization() -&gt; retval","ref":"Evision.ML.SVMSGD.html#getMarginRegularization/1","title":"Evision.ML.SVMSGD.getMarginRegularization/1","type":"function"},{"doc":"getMarginType Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : int @see setMarginType/2 Python prototype (for reference only): getMarginType() -&gt; retval","ref":"Evision.ML.SVMSGD.html#getMarginType/1","title":"Evision.ML.SVMSGD.getMarginType/1","type":"function"},{"doc":"getShift Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : float @return the shift of the trained model (decision function f(x) = weights * x + shift). Python prototype (for reference only): getShift() -&gt; retval","ref":"Evision.ML.SVMSGD.html#getShift/1","title":"Evision.ML.SVMSGD.getShift/1","type":"function"},{"doc":"getStepDecreasingPower Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : float @see setStepDecreasingPower/2 Python prototype (for reference only): getStepDecreasingPower() -&gt; retval","ref":"Evision.ML.SVMSGD.html#getStepDecreasingPower/1","title":"Evision.ML.SVMSGD.getStepDecreasingPower/1","type":"function"},{"doc":"getSvmsgdType Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : int @see setSvmsgdType/2 Python prototype (for reference only): getSvmsgdType() -&gt; retval","ref":"Evision.ML.SVMSGD.html#getSvmsgdType/1","title":"Evision.ML.SVMSGD.getSvmsgdType/1","type":"function"},{"doc":"getTermCriteria Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : TermCriteria @see setTermCriteria/2 Python prototype (for reference only): getTermCriteria() -&gt; retval","ref":"Evision.ML.SVMSGD.html#getTermCriteria/1","title":"Evision.ML.SVMSGD.getTermCriteria/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.SVMSGD.html#getVarCount/1","title":"Evision.ML.SVMSGD.getVarCount/1","type":"function"},{"doc":"getWeights Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : Evision.Mat.t() @return the weights of the trained model (decision function f(x) = weights * x + shift). Python prototype (for reference only): getWeights() -&gt; retval","ref":"Evision.ML.SVMSGD.html#getWeights/1","title":"Evision.ML.SVMSGD.getWeights/1","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.SVMSGD.html#isClassifier/1","title":"Evision.ML.SVMSGD.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.SVMSGD.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.SVMSGD.html#isTrained/1","title":"Evision.ML.SVMSGD.isTrained/1","type":"function"},{"doc":"Loads and creates a serialized SVMSGD from a file Positional Arguments filepath : String . path to serialized SVMSGD Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.SVMSGD.t() Use SVMSGD::save to serialize and store an SVMSGD to disk. Load the SVMSGD from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.SVMSGD.html#load/1","title":"Evision.ML.SVMSGD.load/1","type":"function"},{"doc":"Loads and creates a serialized SVMSGD from a file Positional Arguments filepath : String . path to serialized SVMSGD Keyword Arguments nodeName : String . name of node containing the classifier Return retval : Evision.ML.SVMSGD.t() Use SVMSGD::save to serialize and store an SVMSGD to disk. Load the SVMSGD from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier Python prototype (for reference only): load(filepath[, nodeName]) -&gt; retval","ref":"Evision.ML.SVMSGD.html#load/2","title":"Evision.ML.SVMSGD.load/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.SVMSGD.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.SVMSGD.html#predict/2","title":"Evision.ML.SVMSGD.predict/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.SVMSGD.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.SVMSGD.html#predict/3","title":"Evision.ML.SVMSGD.predict/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.SVMSGD.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.SVMSGD.html#read/2","title":"Evision.ML.SVMSGD.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.SVMSGD.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.SVMSGD.html#save/2","title":"Evision.ML.SVMSGD.save/2","type":"function"},{"doc":"setInitialStepSize Positional Arguments self : Evision.ML.SVMSGD.t() initialStepSize : float @see getInitialStepSize/1 Python prototype (for reference only): setInitialStepSize(InitialStepSize) -&gt; None","ref":"Evision.ML.SVMSGD.html#setInitialStepSize/2","title":"Evision.ML.SVMSGD.setInitialStepSize/2","type":"function"},{"doc":"setMarginRegularization Positional Arguments self : Evision.ML.SVMSGD.t() marginRegularization : float @see getMarginRegularization/1 Python prototype (for reference only): setMarginRegularization(marginRegularization) -&gt; None","ref":"Evision.ML.SVMSGD.html#setMarginRegularization/2","title":"Evision.ML.SVMSGD.setMarginRegularization/2","type":"function"},{"doc":"setMarginType Positional Arguments self : Evision.ML.SVMSGD.t() marginType : int @see getMarginType/1 Python prototype (for reference only): setMarginType(marginType) -&gt; None","ref":"Evision.ML.SVMSGD.html#setMarginType/2","title":"Evision.ML.SVMSGD.setMarginType/2","type":"function"},{"doc":"Function sets optimal parameters values for chosen SVM SGD model. Positional Arguments self : Evision.ML.SVMSGD.t() Keyword Arguments svmsgdType : int . is the type of SVMSGD classifier. marginType : int . is the type of margin constraint. Python prototype (for reference only): setOptimalParameters([, svmsgdType[, marginType]]) -&gt; None","ref":"Evision.ML.SVMSGD.html#setOptimalParameters/1","title":"Evision.ML.SVMSGD.setOptimalParameters/1","type":"function"},{"doc":"Function sets optimal parameters values for chosen SVM SGD model. Positional Arguments self : Evision.ML.SVMSGD.t() Keyword Arguments svmsgdType : int . is the type of SVMSGD classifier. marginType : int . is the type of margin constraint. Python prototype (for reference only): setOptimalParameters([, svmsgdType[, marginType]]) -&gt; None","ref":"Evision.ML.SVMSGD.html#setOptimalParameters/2","title":"Evision.ML.SVMSGD.setOptimalParameters/2","type":"function"},{"doc":"setStepDecreasingPower Positional Arguments self : Evision.ML.SVMSGD.t() stepDecreasingPower : float @see getStepDecreasingPower/1 Python prototype (for reference only): setStepDecreasingPower(stepDecreasingPower) -&gt; None","ref":"Evision.ML.SVMSGD.html#setStepDecreasingPower/2","title":"Evision.ML.SVMSGD.setStepDecreasingPower/2","type":"function"},{"doc":"setSvmsgdType Positional Arguments self : Evision.ML.SVMSGD.t() svmsgdType : int @see getSvmsgdType/1 Python prototype (for reference only): setSvmsgdType(svmsgdType) -&gt; None","ref":"Evision.ML.SVMSGD.html#setSvmsgdType/2","title":"Evision.ML.SVMSGD.setSvmsgdType/2","type":"function"},{"doc":"setTermCriteria Positional Arguments self : Evision.ML.SVMSGD.t() val : TermCriteria @see getTermCriteria/1 Python prototype (for reference only): setTermCriteria(val) -&gt; None","ref":"Evision.ML.SVMSGD.html#setTermCriteria/2","title":"Evision.ML.SVMSGD.setTermCriteria/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.SVMSGD.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.SVMSGD.html#train/2","title":"Evision.ML.SVMSGD.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.SVMSGD.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.SVMSGD.html#train/3","title":"Evision.ML.SVMSGD.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.SVMSGD.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.SVMSGD.html#train/4","title":"Evision.ML.SVMSGD.train/4","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.SVMSGD.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.SVMSGD.html#write/2","title":"Evision.ML.SVMSGD.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.SVMSGD.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.SVMSGD.html#write/3","title":"Evision.ML.SVMSGD.write/3","type":"function"},{"doc":"Type that represents an ML.SVMSGD struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.SVMSGD.html#t:t/0","title":"Evision.ML.SVMSGD.t/0","type":"type"},{"doc":"","ref":"Evision.ML.StatModel.html","title":"Evision.ML.StatModel","type":"module"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.StatModel.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.StatModel.html#calcError/3","title":"Evision.ML.StatModel.calcError/3","type":"function"},{"doc":"Computes error on the training or test dataset Positional Arguments self : Evision.ML.StatModel.t() data : Evision.ML.TrainData.t() . the training data test : bool . if true, the error is computed over the test subset of the data, otherwise it's computed over the training subset of the data. Please note that if you loaded a completely different dataset to evaluate already trained classifier, you will probably want not to set the test subset at all with TrainData::setTrainTestSplitRatio and specify test=false, so that the error is computed for the whole new set. Yes, this sounds a bit confusing. Return retval : float resp : Evision.Mat.t() . the optional output responses. The method uses StatModel::predict to compute the error. For regression models the error is computed as RMS, for classifiers - as a percent of missclassified samples (0%-100%). Python prototype (for reference only): calcError(data, test[, resp]) -&gt; retval, resp","ref":"Evision.ML.StatModel.html#calcError/4","title":"Evision.ML.StatModel.calcError/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ML.StatModel.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ML.StatModel.html#clear/1","title":"Evision.ML.StatModel.clear/1","type":"function"},{"doc":"empty Positional Arguments self : Evision.ML.StatModel.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ML.StatModel.html#empty/1","title":"Evision.ML.StatModel.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ML.StatModel.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ML.StatModel.html#getDefaultName/1","title":"Evision.ML.StatModel.getDefaultName/1","type":"function"},{"doc":"Returns the number of variables in training samples Positional Arguments self : Evision.ML.StatModel.t() Return retval : int Python prototype (for reference only): getVarCount() -&gt; retval","ref":"Evision.ML.StatModel.html#getVarCount/1","title":"Evision.ML.StatModel.getVarCount/1","type":"function"},{"doc":"Returns true if the model is classifier Positional Arguments self : Evision.ML.StatModel.t() Return retval : bool Python prototype (for reference only): isClassifier() -&gt; retval","ref":"Evision.ML.StatModel.html#isClassifier/1","title":"Evision.ML.StatModel.isClassifier/1","type":"function"},{"doc":"Returns true if the model is trained Positional Arguments self : Evision.ML.StatModel.t() Return retval : bool Python prototype (for reference only): isTrained() -&gt; retval","ref":"Evision.ML.StatModel.html#isTrained/1","title":"Evision.ML.StatModel.isTrained/1","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.StatModel.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.StatModel.html#predict/2","title":"Evision.ML.StatModel.predict/2","type":"function"},{"doc":"Predicts response(s) for the provided sample(s) Positional Arguments self : Evision.ML.StatModel.t() samples : Evision.Mat.t() . The input samples, floating-point matrix Keyword Arguments flags : int . The optional flags, model-dependent. See cv::ml::StatModel::Flags. Return retval : float results : Evision.Mat.t() . The optional output matrix of results. Python prototype (for reference only): predict(samples[, results[, flags]]) -&gt; retval, results","ref":"Evision.ML.StatModel.html#predict/3","title":"Evision.ML.StatModel.predict/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ML.StatModel.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ML.StatModel.html#read/2","title":"Evision.ML.StatModel.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ML.StatModel.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ML.StatModel.html#save/2","title":"Evision.ML.StatModel.save/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.StatModel.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.StatModel.html#train/2","title":"Evision.ML.StatModel.train/2","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.StatModel.t() trainData : Evision.ML.TrainData.t() . training data that can be loaded from file using TrainData::loadFromCSV or created with TrainData::create. Keyword Arguments flags : int . optional flags, depending on the model. Some of the models can be updated with the new training samples, not completely overwritten (such as NormalBayesClassifier or ANN_MLP). Return retval : bool Python prototype (for reference only): train(trainData[, flags]) -&gt; retval","ref":"Evision.ML.StatModel.html#train/3","title":"Evision.ML.StatModel.train/3","type":"function"},{"doc":"Trains the statistical model Positional Arguments self : Evision.ML.StatModel.t() samples : Evision.Mat.t() . training samples layout : int . See ml::SampleTypes. responses : Evision.Mat.t() . vector of responses associated with the training samples. Return retval : bool Python prototype (for reference only): train(samples, layout, responses) -&gt; retval","ref":"Evision.ML.StatModel.html#train/4","title":"Evision.ML.StatModel.train/4","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ML.StatModel.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ML.StatModel.html#write/2","title":"Evision.ML.StatModel.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ML.StatModel.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ML.StatModel.html#write/3","title":"Evision.ML.StatModel.write/3","type":"function"},{"doc":"Type that represents an ML.StatModel struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.StatModel.html#t:t/0","title":"Evision.ML.StatModel.t/0","type":"type"},{"doc":"","ref":"Evision.ML.TrainData.html","title":"Evision.ML.TrainData","type":"module"},{"doc":"Creates training data from in-memory arrays. Positional Arguments samples : Evision.Mat.t() . matrix of samples. It should have CV_32F type. layout : int . see ml::SampleTypes. responses : Evision.Mat.t() . matrix of responses. If the responses are scalar, they should be stored as a single row or as a single column. The matrix should have type CV_32F or CV_32S (in the former case the responses are considered as ordered by default; in the latter case - as categorical) Keyword Arguments varIdx : Evision.Mat.t() . vector specifying which variables to use for training. It can be an integer vector (CV_32S) containing 0-based variable indices or byte vector (CV_8U) containing a mask of active variables. sampleIdx : Evision.Mat.t() . vector specifying which samples to use for training. It can be an integer vector (CV_32S) containing 0-based sample indices or byte vector (CV_8U) containing a mask of training samples. sampleWeights : Evision.Mat.t() . optional vector with weights for each sample. It should have CV_32F type. varType : Evision.Mat.t() . optional vector of type CV_8U and size &lt;number_of_variables_in_samples&gt; + &lt;number_of_variables_in_responses&gt; , containing types of each input and output variable. See ml::VariableTypes. Return retval : Evision.ML.TrainData.t() Python prototype (for reference only): create(samples, layout, responses[, varIdx[, sampleIdx[, sampleWeights[, varType]]]]) -&gt; retval","ref":"Evision.ML.TrainData.html#create/3","title":"Evision.ML.TrainData.create/3","type":"function"},{"doc":"Creates training data from in-memory arrays. Positional Arguments samples : Evision.Mat.t() . matrix of samples. It should have CV_32F type. layout : int . see ml::SampleTypes. responses : Evision.Mat.t() . matrix of responses. If the responses are scalar, they should be stored as a single row or as a single column. The matrix should have type CV_32F or CV_32S (in the former case the responses are considered as ordered by default; in the latter case - as categorical) Keyword Arguments varIdx : Evision.Mat.t() . vector specifying which variables to use for training. It can be an integer vector (CV_32S) containing 0-based variable indices or byte vector (CV_8U) containing a mask of active variables. sampleIdx : Evision.Mat.t() . vector specifying which samples to use for training. It can be an integer vector (CV_32S) containing 0-based sample indices or byte vector (CV_8U) containing a mask of training samples. sampleWeights : Evision.Mat.t() . optional vector with weights for each sample. It should have CV_32F type. varType : Evision.Mat.t() . optional vector of type CV_8U and size &lt;number_of_variables_in_samples&gt; + &lt;number_of_variables_in_responses&gt; , containing types of each input and output variable. See ml::VariableTypes. Return retval : Evision.ML.TrainData.t() Python prototype (for reference only): create(samples, layout, responses[, varIdx[, sampleIdx[, sampleWeights[, varType]]]]) -&gt; retval","ref":"Evision.ML.TrainData.html#create/4","title":"Evision.ML.TrainData.create/4","type":"function"},{"doc":"getCatCount Positional Arguments self : Evision.ML.TrainData.t() vi : int Return retval : int Python prototype (for reference only): getCatCount(vi) -&gt; retval","ref":"Evision.ML.TrainData.html#getCatCount/2","title":"Evision.ML.TrainData.getCatCount/2","type":"function"},{"doc":"getCatMap Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getCatMap() -&gt; retval","ref":"Evision.ML.TrainData.html#getCatMap/1","title":"Evision.ML.TrainData.getCatMap/1","type":"function"},{"doc":"getCatOfs Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getCatOfs() -&gt; retval","ref":"Evision.ML.TrainData.html#getCatOfs/1","title":"Evision.ML.TrainData.getCatOfs/1","type":"function"},{"doc":"Returns the vector of class labels Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() The function returns vector of unique labels occurred in the responses. Python prototype (for reference only): getClassLabels() -&gt; retval","ref":"Evision.ML.TrainData.html#getClassLabels/1","title":"Evision.ML.TrainData.getClassLabels/1","type":"function"},{"doc":"getDefaultSubstValues Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getDefaultSubstValues() -&gt; retval","ref":"Evision.ML.TrainData.html#getDefaultSubstValues/1","title":"Evision.ML.TrainData.getDefaultSubstValues/1","type":"function"},{"doc":"getLayout Positional Arguments self : Evision.ML.TrainData.t() Return retval : int Python prototype (for reference only): getLayout() -&gt; retval","ref":"Evision.ML.TrainData.html#getLayout/1","title":"Evision.ML.TrainData.getLayout/1","type":"function"},{"doc":"getMissing Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getMissing() -&gt; retval","ref":"Evision.ML.TrainData.html#getMissing/1","title":"Evision.ML.TrainData.getMissing/1","type":"function"},{"doc":"getNAllVars Positional Arguments self : Evision.ML.TrainData.t() Return retval : int Python prototype (for reference only): getNAllVars() -&gt; retval","ref":"Evision.ML.TrainData.html#getNAllVars/1","title":"Evision.ML.TrainData.getNAllVars/1","type":"function"},{"doc":"Returns vector of symbolic names captured in loadFromCSV() Positional Arguments self : Evision.ML.TrainData.t() names : [String] Python prototype (for reference only): getNames(names) -&gt; None","ref":"Evision.ML.TrainData.html#getNames/2","title":"Evision.ML.TrainData.getNames/2","type":"function"},{"doc":"getNormCatResponses Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getNormCatResponses() -&gt; retval","ref":"Evision.ML.TrainData.html#getNormCatResponses/1","title":"Evision.ML.TrainData.getNormCatResponses/1","type":"function"},{"doc":"getNSamples Positional Arguments self : Evision.ML.TrainData.t() Return retval : int Python prototype (for reference only): getNSamples() -&gt; retval","ref":"Evision.ML.TrainData.html#getNSamples/1","title":"Evision.ML.TrainData.getNSamples/1","type":"function"},{"doc":"getNTestSamples Positional Arguments self : Evision.ML.TrainData.t() Return retval : int Python prototype (for reference only): getNTestSamples() -&gt; retval","ref":"Evision.ML.TrainData.html#getNTestSamples/1","title":"Evision.ML.TrainData.getNTestSamples/1","type":"function"},{"doc":"getNTrainSamples Positional Arguments self : Evision.ML.TrainData.t() Return retval : int Python prototype (for reference only): getNTrainSamples() -&gt; retval","ref":"Evision.ML.TrainData.html#getNTrainSamples/1","title":"Evision.ML.TrainData.getNTrainSamples/1","type":"function"},{"doc":"getNVars Positional Arguments self : Evision.ML.TrainData.t() Return retval : int Python prototype (for reference only): getNVars() -&gt; retval","ref":"Evision.ML.TrainData.html#getNVars/1","title":"Evision.ML.TrainData.getNVars/1","type":"function"},{"doc":"getResponses Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getResponses() -&gt; retval","ref":"Evision.ML.TrainData.html#getResponses/1","title":"Evision.ML.TrainData.getResponses/1","type":"function"},{"doc":"getResponseType Positional Arguments self : Evision.ML.TrainData.t() Return retval : int Python prototype (for reference only): getResponseType() -&gt; retval","ref":"Evision.ML.TrainData.html#getResponseType/1","title":"Evision.ML.TrainData.getResponseType/1","type":"function"},{"doc":"getSample Positional Arguments self : Evision.ML.TrainData.t() varIdx : Evision.Mat.t() sidx : int buf : float* Python prototype (for reference only): getSample(varIdx, sidx, buf) -&gt; None","ref":"Evision.ML.TrainData.html#getSample/4","title":"Evision.ML.TrainData.getSample/4","type":"function"},{"doc":"getSamples Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getSamples() -&gt; retval","ref":"Evision.ML.TrainData.html#getSamples/1","title":"Evision.ML.TrainData.getSamples/1","type":"function"},{"doc":"getSampleWeights Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getSampleWeights() -&gt; retval","ref":"Evision.ML.TrainData.html#getSampleWeights/1","title":"Evision.ML.TrainData.getSampleWeights/1","type":"function"},{"doc":"Extract from matrix rows/cols specified by passed indexes. Positional Arguments matrix : Evision.Mat.t() . input matrix (supported types: CV_32S, CV_32F, CV_64F) idx : Evision.Mat.t() . 1D index vector layout : int . specifies to extract rows (cv::ml::ROW_SAMPLES) or to extract columns (cv::ml::COL_SAMPLES) Return retval : Evision.Mat.t() Python prototype (for reference only): getSubMatrix(matrix, idx, layout) -&gt; retval","ref":"Evision.ML.TrainData.html#getSubMatrix/3","title":"Evision.ML.TrainData.getSubMatrix/3","type":"function"},{"doc":"Extract from 1D vector elements specified by passed indexes. Positional Arguments vec : Evision.Mat.t() . input vector (supported types: CV_32S, CV_32F, CV_64F) idx : Evision.Mat.t() . 1D index vector Return retval : Evision.Mat.t() Python prototype (for reference only): getSubVector(vec, idx) -&gt; retval","ref":"Evision.ML.TrainData.html#getSubVector/2","title":"Evision.ML.TrainData.getSubVector/2","type":"function"},{"doc":"getTestNormCatResponses Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getTestNormCatResponses() -&gt; retval","ref":"Evision.ML.TrainData.html#getTestNormCatResponses/1","title":"Evision.ML.TrainData.getTestNormCatResponses/1","type":"function"},{"doc":"getTestResponses Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getTestResponses() -&gt; retval","ref":"Evision.ML.TrainData.html#getTestResponses/1","title":"Evision.ML.TrainData.getTestResponses/1","type":"function"},{"doc":"getTestSampleIdx Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getTestSampleIdx() -&gt; retval","ref":"Evision.ML.TrainData.html#getTestSampleIdx/1","title":"Evision.ML.TrainData.getTestSampleIdx/1","type":"function"},{"doc":"Returns matrix of test samples Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getTestSamples() -&gt; retval","ref":"Evision.ML.TrainData.html#getTestSamples/1","title":"Evision.ML.TrainData.getTestSamples/1","type":"function"},{"doc":"getTestSampleWeights Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getTestSampleWeights() -&gt; retval","ref":"Evision.ML.TrainData.html#getTestSampleWeights/1","title":"Evision.ML.TrainData.getTestSampleWeights/1","type":"function"},{"doc":"Returns the vector of normalized categorical responses Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() The function returns vector of responses. Each response is integer from 0 to &lt;number of classes&gt;-1 . The actual label value can be retrieved then from the class label vector, see TrainData::getClassLabels. Python prototype (for reference only): getTrainNormCatResponses() -&gt; retval","ref":"Evision.ML.TrainData.html#getTrainNormCatResponses/1","title":"Evision.ML.TrainData.getTrainNormCatResponses/1","type":"function"},{"doc":"Returns the vector of responses Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() The function returns ordered or the original categorical responses. Usually it's used in regression algorithms. Python prototype (for reference only): getTrainResponses() -&gt; retval","ref":"Evision.ML.TrainData.html#getTrainResponses/1","title":"Evision.ML.TrainData.getTrainResponses/1","type":"function"},{"doc":"getTrainSampleIdx Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getTrainSampleIdx() -&gt; retval","ref":"Evision.ML.TrainData.html#getTrainSampleIdx/1","title":"Evision.ML.TrainData.getTrainSampleIdx/1","type":"function"},{"doc":"Returns matrix of train samples Positional Arguments self : Evision.ML.TrainData.t() Keyword Arguments layout : int . The requested layout. If it's different from the initial one, the matrix is transposed. See ml::SampleTypes. compressSamples : bool . if true, the function returns only the training samples (specified by sampleIdx) compressVars : bool . if true, the function returns the shorter training samples, containing only the active variables. Return retval : Evision.Mat.t() In current implementation the function tries to avoid physical data copying and returns the matrix stored inside TrainData (unless the transposition or compression is needed). Python prototype (for reference only): getTrainSamples([, layout[, compressSamples[, compressVars]]]) -&gt; retval","ref":"Evision.ML.TrainData.html#getTrainSamples/1","title":"Evision.ML.TrainData.getTrainSamples/1","type":"function"},{"doc":"Returns matrix of train samples Positional Arguments self : Evision.ML.TrainData.t() Keyword Arguments layout : int . The requested layout. If it's different from the initial one, the matrix is transposed. See ml::SampleTypes. compressSamples : bool . if true, the function returns only the training samples (specified by sampleIdx) compressVars : bool . if true, the function returns the shorter training samples, containing only the active variables. Return retval : Evision.Mat.t() In current implementation the function tries to avoid physical data copying and returns the matrix stored inside TrainData (unless the transposition or compression is needed). Python prototype (for reference only): getTrainSamples([, layout[, compressSamples[, compressVars]]]) -&gt; retval","ref":"Evision.ML.TrainData.html#getTrainSamples/2","title":"Evision.ML.TrainData.getTrainSamples/2","type":"function"},{"doc":"getTrainSampleWeights Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getTrainSampleWeights() -&gt; retval","ref":"Evision.ML.TrainData.html#getTrainSampleWeights/1","title":"Evision.ML.TrainData.getTrainSampleWeights/1","type":"function"},{"doc":"getValues Positional Arguments self : Evision.ML.TrainData.t() vi : int sidx : Evision.Mat.t() values : float* Python prototype (for reference only): getValues(vi, sidx, values) -&gt; None","ref":"Evision.ML.TrainData.html#getValues/4","title":"Evision.ML.TrainData.getValues/4","type":"function"},{"doc":"getVarIdx Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getVarIdx() -&gt; retval","ref":"Evision.ML.TrainData.html#getVarIdx/1","title":"Evision.ML.TrainData.getVarIdx/1","type":"function"},{"doc":"getVarSymbolFlags Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getVarSymbolFlags() -&gt; retval","ref":"Evision.ML.TrainData.html#getVarSymbolFlags/1","title":"Evision.ML.TrainData.getVarSymbolFlags/1","type":"function"},{"doc":"getVarType Positional Arguments self : Evision.ML.TrainData.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getVarType() -&gt; retval","ref":"Evision.ML.TrainData.html#getVarType/1","title":"Evision.ML.TrainData.getVarType/1","type":"function"},{"doc":"Splits the training data into the training and test parts Positional Arguments self : Evision.ML.TrainData.t() count : int Keyword Arguments shuffle : bool . @sa TrainData::setTrainTestSplitRatio Python prototype (for reference only): setTrainTestSplit(count[, shuffle]) -&gt; None","ref":"Evision.ML.TrainData.html#setTrainTestSplit/2","title":"Evision.ML.TrainData.setTrainTestSplit/2","type":"function"},{"doc":"Splits the training data into the training and test parts Positional Arguments self : Evision.ML.TrainData.t() count : int Keyword Arguments shuffle : bool . @sa TrainData::setTrainTestSplitRatio Python prototype (for reference only): setTrainTestSplit(count[, shuffle]) -&gt; None","ref":"Evision.ML.TrainData.html#setTrainTestSplit/3","title":"Evision.ML.TrainData.setTrainTestSplit/3","type":"function"},{"doc":"Splits the training data into the training and test parts Positional Arguments self : Evision.ML.TrainData.t() ratio : double Keyword Arguments shuffle : bool . The function selects a subset of specified relative size and then returns it as the training set. If the function is not called, all the data is used for training. Please, note that for each of TrainData::getTrain* there is corresponding TrainData::getTest*, so that the test subset can be retrieved and processed as well. @sa TrainData::setTrainTestSplit Python prototype (for reference only): setTrainTestSplitRatio(ratio[, shuffle]) -&gt; None","ref":"Evision.ML.TrainData.html#setTrainTestSplitRatio/2","title":"Evision.ML.TrainData.setTrainTestSplitRatio/2","type":"function"},{"doc":"Splits the training data into the training and test parts Positional Arguments self : Evision.ML.TrainData.t() ratio : double Keyword Arguments shuffle : bool . The function selects a subset of specified relative size and then returns it as the training set. If the function is not called, all the data is used for training. Please, note that for each of TrainData::getTrain* there is corresponding TrainData::getTest*, so that the test subset can be retrieved and processed as well. @sa TrainData::setTrainTestSplit Python prototype (for reference only): setTrainTestSplitRatio(ratio[, shuffle]) -&gt; None","ref":"Evision.ML.TrainData.html#setTrainTestSplitRatio/3","title":"Evision.ML.TrainData.setTrainTestSplitRatio/3","type":"function"},{"doc":"shuffleTrainTest Positional Arguments self : Evision.ML.TrainData.t() Python prototype (for reference only): shuffleTrainTest() -&gt; None","ref":"Evision.ML.TrainData.html#shuffleTrainTest/1","title":"Evision.ML.TrainData.shuffleTrainTest/1","type":"function"},{"doc":"Type that represents an ML.TrainData struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ML.TrainData.html#t:t/0","title":"Evision.ML.TrainData.t/0","type":"type"},{"doc":"","ref":"Evision.MSER.html","title":"Evision.MSER","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.MSER.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.MSER.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.MSER.html#compute/3","title":"Evision.MSER.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.MSER.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.MSER.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.MSER.html#compute/4","title":"Evision.MSER.compute/4","type":"function"},{"doc":"Full constructor for %MSER detector Keyword Arguments delta : int . it compares \\f$(size {i}-size {i-delta})/size_{i-delta}\\f$ min_area : int . prune the area which smaller than minArea max_area : int . prune the area which bigger than maxArea max_variation : double . prune the area have similar size to its children min_diversity : double . for color image, trace back to cut off mser with diversity less than min_diversity max_evolution : int . for color image, the evolution steps area_threshold : double . for color image, the area threshold to cause re-initialize min_margin : double . for color image, ignore too small margin edge_blur_size : int . for color image, the aperture size for edge blur Return retval : Evision.MSER.t() Python prototype (for reference only): create([, delta[, min_area[, max_area[, max_variation[, min_diversity[, max_evolution[, area_threshold[, min_margin[, edge_blur_size]]]]]]]]]) -&gt; retval","ref":"Evision.MSER.html#create/0","title":"Evision.MSER.create/0","type":"function"},{"doc":"Full constructor for %MSER detector Keyword Arguments delta : int . it compares \\f$(size {i}-size {i-delta})/size_{i-delta}\\f$ min_area : int . prune the area which smaller than minArea max_area : int . prune the area which bigger than maxArea max_variation : double . prune the area have similar size to its children min_diversity : double . for color image, trace back to cut off mser with diversity less than min_diversity max_evolution : int . for color image, the evolution steps area_threshold : double . for color image, the area threshold to cause re-initialize min_margin : double . for color image, ignore too small margin edge_blur_size : int . for color image, the aperture size for edge blur Return retval : Evision.MSER.t() Python prototype (for reference only): create([, delta[, min_area[, max_area[, max_variation[, min_diversity[, max_evolution[, area_threshold[, min_margin[, edge_blur_size]]]]]]]]]) -&gt; retval","ref":"Evision.MSER.html#create/1","title":"Evision.MSER.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.MSER.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.MSER.html#defaultNorm/1","title":"Evision.MSER.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.MSER.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.MSER.html#descriptorSize/1","title":"Evision.MSER.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.MSER.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.MSER.html#descriptorType/1","title":"Evision.MSER.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.MSER.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.MSER.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.MSER.html#detect/2","title":"Evision.MSER.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.MSER.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.MSER.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.MSER.html#detect/3","title":"Evision.MSER.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.MSER.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.MSER.html#detectAndCompute/3","title":"Evision.MSER.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.MSER.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.MSER.html#detectAndCompute/4","title":"Evision.MSER.detectAndCompute/4","type":"function"},{"doc":"Detect %MSER regions Positional Arguments self : Evision.MSER.t() image : Evision.Mat.t() . input image (8UC1, 8UC3 or 8UC4, must be greater or equal than 3x3) Return msers : [[Point]] . resulting list of point sets bboxes : [Rect] . resulting bounding boxes Python prototype (for reference only): detectRegions(image) -&gt; msers, bboxes","ref":"Evision.MSER.html#detectRegions/2","title":"Evision.MSER.detectRegions/2","type":"function"},{"doc":"empty Positional Arguments self : Evision.MSER.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.MSER.html#empty/1","title":"Evision.MSER.empty/1","type":"function"},{"doc":"getAreaThreshold Positional Arguments self : Evision.MSER.t() Return retval : double Python prototype (for reference only): getAreaThreshold() -&gt; retval","ref":"Evision.MSER.html#getAreaThreshold/1","title":"Evision.MSER.getAreaThreshold/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.MSER.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.MSER.html#getDefaultName/1","title":"Evision.MSER.getDefaultName/1","type":"function"},{"doc":"getDelta Positional Arguments self : Evision.MSER.t() Return retval : int Python prototype (for reference only): getDelta() -&gt; retval","ref":"Evision.MSER.html#getDelta/1","title":"Evision.MSER.getDelta/1","type":"function"},{"doc":"getEdgeBlurSize Positional Arguments self : Evision.MSER.t() Return retval : int Python prototype (for reference only): getEdgeBlurSize() -&gt; retval","ref":"Evision.MSER.html#getEdgeBlurSize/1","title":"Evision.MSER.getEdgeBlurSize/1","type":"function"},{"doc":"getMaxArea Positional Arguments self : Evision.MSER.t() Return retval : int Python prototype (for reference only): getMaxArea() -&gt; retval","ref":"Evision.MSER.html#getMaxArea/1","title":"Evision.MSER.getMaxArea/1","type":"function"},{"doc":"getMaxEvolution Positional Arguments self : Evision.MSER.t() Return retval : int Python prototype (for reference only): getMaxEvolution() -&gt; retval","ref":"Evision.MSER.html#getMaxEvolution/1","title":"Evision.MSER.getMaxEvolution/1","type":"function"},{"doc":"getMaxVariation Positional Arguments self : Evision.MSER.t() Return retval : double Python prototype (for reference only): getMaxVariation() -&gt; retval","ref":"Evision.MSER.html#getMaxVariation/1","title":"Evision.MSER.getMaxVariation/1","type":"function"},{"doc":"getMinArea Positional Arguments self : Evision.MSER.t() Return retval : int Python prototype (for reference only): getMinArea() -&gt; retval","ref":"Evision.MSER.html#getMinArea/1","title":"Evision.MSER.getMinArea/1","type":"function"},{"doc":"getMinDiversity Positional Arguments self : Evision.MSER.t() Return retval : double Python prototype (for reference only): getMinDiversity() -&gt; retval","ref":"Evision.MSER.html#getMinDiversity/1","title":"Evision.MSER.getMinDiversity/1","type":"function"},{"doc":"getMinMargin Positional Arguments self : Evision.MSER.t() Return retval : double Python prototype (for reference only): getMinMargin() -&gt; retval","ref":"Evision.MSER.html#getMinMargin/1","title":"Evision.MSER.getMinMargin/1","type":"function"},{"doc":"getPass2Only Positional Arguments self : Evision.MSER.t() Return retval : bool Python prototype (for reference only): getPass2Only() -&gt; retval","ref":"Evision.MSER.html#getPass2Only/1","title":"Evision.MSER.getPass2Only/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.MSER.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.MSER.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.MSER.html#read/2","title":"Evision.MSER.read/2","type":"function"},{"doc":"setAreaThreshold Positional Arguments self : Evision.MSER.t() areaThreshold : double Python prototype (for reference only): setAreaThreshold(areaThreshold) -&gt; None","ref":"Evision.MSER.html#setAreaThreshold/2","title":"Evision.MSER.setAreaThreshold/2","type":"function"},{"doc":"setDelta Positional Arguments self : Evision.MSER.t() delta : int Python prototype (for reference only): setDelta(delta) -&gt; None","ref":"Evision.MSER.html#setDelta/2","title":"Evision.MSER.setDelta/2","type":"function"},{"doc":"setEdgeBlurSize Positional Arguments self : Evision.MSER.t() edge_blur_size : int Python prototype (for reference only): setEdgeBlurSize(edge_blur_size) -&gt; None","ref":"Evision.MSER.html#setEdgeBlurSize/2","title":"Evision.MSER.setEdgeBlurSize/2","type":"function"},{"doc":"setMaxArea Positional Arguments self : Evision.MSER.t() maxArea : int Python prototype (for reference only): setMaxArea(maxArea) -&gt; None","ref":"Evision.MSER.html#setMaxArea/2","title":"Evision.MSER.setMaxArea/2","type":"function"},{"doc":"setMaxEvolution Positional Arguments self : Evision.MSER.t() maxEvolution : int Python prototype (for reference only): setMaxEvolution(maxEvolution) -&gt; None","ref":"Evision.MSER.html#setMaxEvolution/2","title":"Evision.MSER.setMaxEvolution/2","type":"function"},{"doc":"setMaxVariation Positional Arguments self : Evision.MSER.t() maxVariation : double Python prototype (for reference only): setMaxVariation(maxVariation) -&gt; None","ref":"Evision.MSER.html#setMaxVariation/2","title":"Evision.MSER.setMaxVariation/2","type":"function"},{"doc":"setMinArea Positional Arguments self : Evision.MSER.t() minArea : int Python prototype (for reference only): setMinArea(minArea) -&gt; None","ref":"Evision.MSER.html#setMinArea/2","title":"Evision.MSER.setMinArea/2","type":"function"},{"doc":"setMinDiversity Positional Arguments self : Evision.MSER.t() minDiversity : double Python prototype (for reference only): setMinDiversity(minDiversity) -&gt; None","ref":"Evision.MSER.html#setMinDiversity/2","title":"Evision.MSER.setMinDiversity/2","type":"function"},{"doc":"setMinMargin Positional Arguments self : Evision.MSER.t() min_margin : double Python prototype (for reference only): setMinMargin(min_margin) -&gt; None","ref":"Evision.MSER.html#setMinMargin/2","title":"Evision.MSER.setMinMargin/2","type":"function"},{"doc":"setPass2Only Positional Arguments self : Evision.MSER.t() f : bool Python prototype (for reference only): setPass2Only(f) -&gt; None","ref":"Evision.MSER.html#setPass2Only/2","title":"Evision.MSER.setPass2Only/2","type":"function"},{"doc":"write Positional Arguments self : Evision.MSER.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.MSER.html#write/2","title":"Evision.MSER.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.MSER.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.MSER.html#write/3","title":"Evision.MSER.write/3","type":"function"},{"doc":"Type that represents an MSER struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.MSER.html#t:t/0","title":"Evision.MSER.t/0","type":"type"},{"doc":"Evision Mat","ref":"Evision.Mat.html","title":"Evision.Mat","type":"module"},{"doc":"","ref":"Evision.Mat.html#abs/1","title":"Evision.Mat.abs/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#add/2","title":"Evision.Mat.add/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#add/3","title":"Evision.Mat.add/3","type":"function"},{"doc":"Generate a Mat with shape {1, length} , where length is the amount of numbers starting from from to to with step size step","ref":"Evision.Mat.html#arange/4","title":"Evision.Mat.arange/4","type":"function"},{"doc":"Generate a Mat with a list of number starting from from to to with step size step . The generated Mat will then be reshaped to the requested shape if applicable.","ref":"Evision.Mat.html#arange/5","title":"Evision.Mat.arange/5","type":"function"},{"doc":"This method does not change the underlying data. It only changes the steps when accessing the matrix. If intended to change the underlying data to the new shape, please use Evision.Mat.reshape/2 .","ref":"Evision.Mat.html#as_shape/2","title":"Evision.Mat.as_shape/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#as_type/2","title":"Evision.Mat.as_type/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#at/2","title":"Evision.Mat.at/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#bitwise_and/2","title":"Evision.Mat.bitwise_and/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#bitwise_not/1","title":"Evision.Mat.bitwise_not/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#bitwise_or/2","title":"Evision.Mat.bitwise_or/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#bitwise_xor/2","title":"Evision.Mat.bitwise_xor/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#broadcast_to/2","title":"Evision.Mat.broadcast_to/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#broadcast_to/3","title":"Evision.Mat.broadcast_to/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#ceil/1","title":"Evision.Mat.ceil/1","type":"function"},{"doc":"This function does the opposite as to Evision.Mat.last_dim_as_channel/1 . If the number of channels of the input Evision.Mat is greater than 1, then this function would convert the input Evision.Mat with dims dims=list(int()) to a 1 -channel Evision.Mat with dims [dims | channels] . If the number of channels of the input Evision.Mat is equal to 1, if dims == shape, then nothing happens otherwise, a new Evision.Mat that has dims= [dims | channels] will be returned","ref":"Evision.Mat.html#channel_as_last_dim/1","title":"Evision.Mat.channel_as_last_dim/1","type":"function"},{"doc":"The method returns the number of matrix channels.","ref":"Evision.Mat.html#channels/1","title":"Evision.Mat.channels/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#clip/3","title":"Evision.Mat.clip/3","type":"function"},{"doc":"Get a clone an Evision.Mat . Data will be copied to the resulting Evision.Mat .","ref":"Evision.Mat.html#clone/1","title":"Evision.Mat.clone/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#cmp/3","title":"Evision.Mat.cmp/3","type":"function"},{"doc":"Returns the depth of a matrix element. The method returns the identifier of the matrix element depth (the type of each individual channel). For example, for a 16-bit signed element array, the method returns CV_16S. A complete list of matrix types contains the following values: CV_8U - 8-bit unsigned integers ( 0..255 ) CV_8S - 8-bit signed integers ( -128..127 ) CV_16U - 16-bit unsigned integers ( 0..65535 ) CV_16S - 16-bit signed integers ( -32768..32767 ) CV_32S - 32-bit signed integers ( -2147483648..2147483647 ) CV_32F - 32-bit floating-point numbers ( -FLT_MAX..FLT_MAX, INF, NAN ) CV_64F - 64-bit floating-point numbers ( -DBL_MAX..DBL_MAX, INF, NAN )","ref":"Evision.Mat.html#depth/1","title":"Evision.Mat.depth/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#divide/2","title":"Evision.Mat.divide/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#divide/3","title":"Evision.Mat.divide/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#dot/2","title":"Evision.Mat.dot/2","type":"function"},{"doc":"Returns the size of each matrix element channel in bytes. The method returns the matrix element channel size in bytes, that is, it ignores the number of channels. For example, if the matrix type is CV_16SC3 , the method returns sizeof(short) or 2.","ref":"Evision.Mat.html#elemSize1/1","title":"Evision.Mat.elemSize1/1","type":"function"},{"doc":"Returns the matrix element size in bytes. The method returns the matrix element size in bytes. For example, if the matrix type is CV_16SC3, the method returns 3*sizeof(short) or 6.","ref":"Evision.Mat.html#elemSize/1","title":"Evision.Mat.elemSize/1","type":"function"},{"doc":"Create an empty Evision.Mat . This function is the Elixir equvilent of calling cv::Mat() in C++.","ref":"Evision.Mat.html#empty/0","title":"Evision.Mat.empty/0","type":"function"},{"doc":"","ref":"Evision.Mat.html#expm1/1","title":"Evision.Mat.expm1/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#eye/2","title":"Evision.Mat.eye/2","type":"function"},{"doc":"Access.fetch implementation for Evision.Mat. iex&gt; img = Evision . imread ( &quot;test/qr_detector_test.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 300 , 300 , 3 } , ref : # Reference &lt; 0.809884129 . 802291734.78316 &gt; } # Same behaviour as Nx. # Also, img[0] gives the same result as img[[0]] # For this example, they are both equvilent of img[[0, :all, :all]] iex&gt; img [ [ 0 ] ] % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1 , 300 , 3 } , ref : # Reference &lt; 0.809884129 . 802291731.77296 &gt; } # same as img[[0..100, 50..200, :all]] # however, currently we only support ranges with step size 1 # # **IMPORTANT NOTE** # # also, please note that we are using Elixir.Range here # and Elixir.Range is **inclusive**, i.e, [start, end] # while cv::Range `{integer(), integer()}` is `[start, end)` # the difference can be observed in the `shape` field iex&gt; img [ [ 0 .. 100 , 50 .. 200 ] ] % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 101 , 151 , 3 } , ref : # Reference &lt; 0.809884129 . 802291731.77297 &gt; } iex&gt; img [ [ { 0 , 100 } , { 50 , 200 } ] ] % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 100 , 150 , 3 } , ref : # Reference &lt; 0.809884129 . 802291731.77297 &gt; } # for this example, the result is the same as `Evision.extractChannel(img, 0)` iex&gt; img [ [ :all , :all , 0 ] ] % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 300 , 300 } , ref : # Reference &lt; 0.809884129 . 802291731.77298 &gt; } iex&gt; img [ [ :all , :all , 0 .. 1 ] ] % Evision.Mat { channels : 2 , dims : 2 , type : { :u , 8 } , raw_type : 8 , shape : { 300 , 300 , 2 } , ref : # Reference &lt; 0.809884129 . 802291731.77299 &gt; } # when index is out of bounds iex&gt; img [ [ :all , :all , 42 ] ] { :error , &quot;index 42 is out of bounds for axis 2 with size 3&quot; } # it works the same way for any dimensional Evision.Mat iex&gt; mat = Evision.Mat . ones ( { 10 , 10 , 10 , 10 , 10 } , :u8 ) iex&gt; mat [ [ 1 .. 7 , :all , 2 .. 6 , 3 .. 9 , :all ] ] % Evision.Mat { channels : 1 , dims : 5 , type : { :u , 8 } , raw_type : 0 , shape : { 7 , 10 , 5 , 7 , 10 } , ref : # Reference &lt; 0.3015448455 . 3766878228.259075 &gt; }","ref":"Evision.Mat.html#fetch/2","title":"Evision.Mat.fetch/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#floor/1","title":"Evision.Mat.floor/1","type":"function"},{"doc":"Create Mat from binary (pixel) data binary . The binary pixel data type . one of [{:u, 8}, {:s, 8}, {:u, 16}, {:s, 16}, {:s, 32}, {:f, 32}, {:f, 64}] and their corresponding shorthands. rows . int Number of rows (i.e., the height of the image) cols . int Number of cols (i.e., the width of the image) channels . int Number of channels.","ref":"Evision.Mat.html#from_binary/5","title":"Evision.Mat.from_binary/5","type":"function"},{"doc":"","ref":"Evision.Mat.html#from_binary_by_shape/3","title":"Evision.Mat.from_binary_by_shape/3","type":"function"},{"doc":"Converts a tensor from Nx.Tensor to Evision.Mat . Positional Arguments t . Nx.Tensor Return An Evision.Mat that has the same shape and type. (except for :s64 , :u32 and :u64 , please see more details at https://github.com/cocoa-xu/evision/issues/48 ).","ref":"Evision.Mat.html#from_nx/1","title":"Evision.Mat.from_nx/1","type":"function"},{"doc":"Converts a tensor from Nx.Tensor to Evision.Mat . Positional Arguments t . Nx.Tensor as_shape . tuple . Return An Evision.Mat that has the specified shape (if the number of elements matches) and the same type as the given tensor. (except for :s64 , :u32 and :u64 , please see more details at https://github.com/cocoa-xu/evision/issues/48 ).","ref":"Evision.Mat.html#from_nx/2","title":"Evision.Mat.from_nx/2","type":"function"},{"doc":"Converts a tensor from Nx.Tensor to a 2D Evision.Mat . If the tuple size of the shape is 3, the resulting Evision.Mat will be a c -channel 2D image, where c is the last number in the shape tuple. If the tuple size of the shape is 2, the resulting Evision.Mat will be a 1-channel 2D image. Otherwise, it's not possible to convert the tensor to a 2D image.","ref":"Evision.Mat.html#from_nx_2d/1","title":"Evision.Mat.from_nx_2d/1","type":"function"},{"doc":"Generate a Mat with all of its elements equal to number . Positional Arguments shape . tuple The expected shape of the resulting Evision.Mat number . number Element value. type . Value type.","ref":"Evision.Mat.html#full/3","title":"Evision.Mat.full/3","type":"function"},{"doc":"Access.get_and_update/3 implementation for Evision.Mat iex&gt; mat = Evision.Mat . zeros ( { 5 , 5 } , :u8 ) iex&gt; Evision.Mat . to_nx ( mat ) # Nx.Tensor &lt; u8 [ 5 ] [ 5 ] Evision.Backend [ [ 0 , 0 , 0 , 0 , 0 ] , [ 0 , 0 , 0 , 0 , 0 ] , [ 0 , 0 , 0 , 0 , 0 ] , [ 0 , 0 , 0 , 0 , 0 ] , [ 0 , 0 , 0 , 0 , 0 ] ] &gt; iex&gt; { old , new } = Evision.Mat . get_and_update ( mat , [ 1 .. 3 , 1 .. 3 ] , fn roi -&gt; { roi , Nx . broadcast ( Nx . tensor ( 255 , type : roi . type ) , roi . shape ) } end ) iex&gt; Evision.Mat . to_nx ( new ) # Nx.Tensor &lt; u8 [ 5 ] [ 5 ] Evision.Backend [ [ 0 , 0 , 0 , 0 , 0 ] , [ 0 , 255 , 255 , 255 , 0 ] , [ 0 , 255 , 255 , 255 , 0 ] , [ 0 , 255 , 255 , 255 , 0 ] , [ 0 , 0 , 0 , 0 , 0 ] ] &gt;","ref":"Evision.Mat.html#get_and_update/3","title":"Evision.Mat.get_and_update/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#isContinuous/1","title":"Evision.Mat.isContinuous/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#isSubmatrix/1","title":"Evision.Mat.isSubmatrix/1","type":"function"},{"doc":"Get preferred image encoding when rendering in Kino. Default value is Application.compile_env(:evision, :kino_render_image_encoding, :png) .","ref":"Evision.Mat.html#kino_render_image_encoding/0","title":"Evision.Mat.kino_render_image_encoding/0","type":"function"},{"doc":"Get the maximum allowed image size to render in Kino. Default value is Application.compile_env(:evision, :kino_render_image_max_size, {8192, 8192}) .","ref":"Evision.Mat.html#kino_render_image_max_size/0","title":"Evision.Mat.kino_render_image_max_size/0","type":"function"},{"doc":"Get preferred order of Kino.Layout tabs for Evision.Mat in Livebook. Default value is Enum.uniq(Application.compile_env(:evision, :kino_render_tab_order, [:image, :raw, :numerical])) .","ref":"Evision.Mat.html#kino_render_tab_order/0","title":"Evision.Mat.kino_render_tab_order/0","type":"function"},{"doc":"This function would convert the input tensor with dims [height, width, dims] to a dims -channel image with dims [height, width] . Note that OpenCV has limitation on the number of channels. Currently the maximum number of channels is 512 .","ref":"Evision.Mat.html#last_dim_as_channel/1","title":"Evision.Mat.last_dim_as_channel/1","type":"function"},{"doc":"Create an Evision.Mat from list literals. Example Creating Evision.Mat from empty list literal ( [] ) is the same as calling Evision.Mat.empty() . iex&gt; Evision.Mat . literal! ( [ ] ) % Evision.Mat { channels : 1 , dims : 0 , type : { :u , 8 } , raw_type : 0 , shape : { } , ref : # Reference &lt; 0.1204050731 . 2031747092.46781 &gt; } By default, the shape of the Mat will stay as is. iex&gt; Evision.Mat . literal! ( [ [ [ 1 , 1 , 1 ] , [ 2 , 2 , 2 ] , [ 3 , 3 , 3 ] ] ] , :u8 ) % Evision.Mat { channels : 1 , dims : 3 , type : { :u , 8 } , raw_type : 0 , shape : { 1 , 3 , 3 } , ref : # Reference &lt; 0.512519210 . 691404819.106300 &gt; } Evision.Mat.literal/3 will return a valid 2D image if the keyword argument, as_2d , is set to true and if the list literal can be represented as a 2D image. iex&gt; Evision.Mat . literal! ( [ [ [ 1 , 1 , 1 ] , [ 2 , 2 , 2 ] , [ 3 , 3 , 3 ] ] ] , :u8 , as_2d : true ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1 , 3 , 3 } , ref : # Reference &lt; 0.512519210 . 691404820.106293 &gt; }","ref":"Evision.Mat.html#literal/1","title":"Evision.Mat.literal/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#literal/3","title":"Evision.Mat.literal/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#logical_and/2","title":"Evision.Mat.logical_and/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#logical_or/2","title":"Evision.Mat.logical_or/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#logical_xor/2","title":"Evision.Mat.logical_xor/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#matrix_multiply/3","title":"Evision.Mat.matrix_multiply/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#multiply/2","title":"Evision.Mat.multiply/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#multiply/3","title":"Evision.Mat.multiply/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#negate/1","title":"Evision.Mat.negate/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#number/2","title":"Evision.Mat.number/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#ones/2","title":"Evision.Mat.ones/2","type":"function"},{"doc":"Access.pop/2 is not implemented yet","ref":"Evision.Mat.html#pop/2","title":"Evision.Mat.pop/2","type":"function"},{"doc":"Display inline image in terminal for iTerm2 users. This function will check the value of :display_inline_image_iterm2 in the application config. If is true , then it will detect if current session is running in iTerm2 (by checking the environment variable LC_TERMINAL ). If both are true , we next check if the image is a 2D image, also if its size is within the limits. The maximum size can be set in the application config, for example, config :evision , display_inline_image_iterm2 : true config :evision , display_inline_image_max_size : { 8192 , 8192 } If it passes all the checks, then it will be displayed as an inline image in iTerm2.","ref":"Evision.Mat.html#quicklook/1","title":"Evision.Mat.quicklook/1","type":"function"},{"doc":"Returns the type of a matrix. As Evision.Mat.type/1 returns the type used by Nx, this method gives the raw value of cv::Mat.type()","ref":"Evision.Mat.html#raw_type/1","title":"Evision.Mat.raw_type/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#reshape/2","title":"Evision.Mat.reshape/2","type":"function"},{"doc":"Extracts a rectangular submatrix. Variant 1 Positional Arguments mat . maybe_mat_in() The matrix. rect . {int, int, int, int} The rect that specifies {x, y, width, height} . Return Extracted submatrix specified as a rectangle. (data is copied) Variant 2 Positional Arguments mat . maybe_mat_in() The matrix. ranges . [{int, int} | :all] Array of selected ranges along each array dimension. Return Extracted submatrix. (data is copied)","ref":"Evision.Mat.html#roi/2","title":"Evision.Mat.roi/2","type":"function"},{"doc":"Extracts a rectangular submatrix. The submatrix data is copied. Variant 1 Positional Arguments mat . maybe_mat_in() The matrix. rowRange . {int, int} | :all . Start and end row of the extracted submatrix. The upper boundary is not included. colRange . {int, int} | :all . Start and end column of the extracted submatrix. The upper boundary is not included. Return Extracted submatrix (data is copied). Variant 2 Positional Arguments mat . maybe_mat_in() The matrix. rowRange . Range.t(step: 1) . Start and end row of the extracted submatrix. The upper boundary is not included. colRange . Range.t(step: 1) . Start and end column of the extracted submatrix. The upper boundary is not included. Return Extracted submatrix (data is copied).","ref":"Evision.Mat.html#roi/3","title":"Evision.Mat.roi/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#round/1","title":"Evision.Mat.round/1","type":"function"},{"doc":"Set preferred image encoding when rendering in Kino. Only valid when :kino &gt;= 0.7 and using in livebook Positional Arguments encoding . :png | :jpeg . When rendering a 2D image with Kino in Livebook the image will first be encoded into either :png or :jpeg :png usually has better quality because it is lossless compression, however, it uses more bandwidth to transfer :jpeg require less bandwidth to pass from the backend to the livebook frontend, but it is lossy compression","ref":"Evision.Mat.html#set_kino_render_image_encoding/1","title":"Evision.Mat.set_kino_render_image_encoding/1","type":"function"},{"doc":"Set the maximum allowed image size to render in Kino. Only valid when :kino &gt;= 0.7 and using in livebook Positional Arguments size . {height, width} .","ref":"Evision.Mat.html#set_kino_render_image_max_size/1","title":"Evision.Mat.set_kino_render_image_max_size/1","type":"function"},{"doc":"Set preferred order of Kino.Layout tabs for Evision.Mat in Livebook. Only valid when :kino &gt;= 0.7 and using in Livebook. Positional Arguments order : [atom()] Default order is [:image, :raw, :numerical] , and the corresponding tabs will be: Image | Raw | Numerical Note that the :image tab will not show if the Evision.Mat is not a 2D image. Also, it's possible to specify any combination (any subset) of these tabs, including the empty one, [] , and in that case, the output content in the livebook cell will be the same as :raw but without any tabs. Simply put, [] means to only do the basic inspect and not use Kino.Layout.tabs It's worth noting that [] != nil , because nil is default return value when kino_render_tab_order is not configured -- hence evision will use the default order, [:image, :raw, :numerical] in such case When only specifying one type, i.e., [:image] , [:raw] or [:numerical] , only one tab will be shown. Furthermore, when kino_render_tab_order is configured to [:image] and when the Evision.Mat is not a 2D image, it will automatically fallback to :raw . Simply put, [:image] in this case (when only specifying one type) means: displaying the Evision.Mat as an image whenever possible, and fallback to :raw if it's not a 2D image","ref":"Evision.Mat.html#set_kino_render_tab_order/1","title":"Evision.Mat.set_kino_render_tab_order/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#setTo/3","title":"Evision.Mat.setTo/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#shape/1","title":"Evision.Mat.shape/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#sign/1","title":"Evision.Mat.sign/1","type":"function"},{"doc":"Returns the cv::MatSize of the matrix. The method returns a tuple {dims, p} where dims is the number of dimensions, and p is a list with dims elements.","ref":"Evision.Mat.html#size/1","title":"Evision.Mat.size/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#squeeze/1","title":"Evision.Mat.squeeze/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#subtract/2","title":"Evision.Mat.subtract/2","type":"function"},{"doc":"","ref":"Evision.Mat.html#subtract/3","title":"Evision.Mat.subtract/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#to_batched/3","title":"Evision.Mat.to_batched/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#to_batched/4","title":"Evision.Mat.to_batched/4","type":"function"},{"doc":"","ref":"Evision.Mat.html#to_binary/2","title":"Evision.Mat.to_binary/2","type":"function"},{"doc":"Transform an Evision.Mat to Nx.tensor . Positional Arguments mat : maybe_mat_in() Evision.Mat backend : module() Nx backend. Return If the input Evision.Mat represents a 2D image, the resulting tensor will have shape {height, width, channels} . Example iex&gt; % Evision.Mat { } = mat = Evision . imread ( &quot;/path/to/exist/img.png&quot; ) iex&gt; nx_tensor = Evision.Mat . to_nx ( mat ) # Nx.Tensor &lt; u8 [ 1080 ] [ 1920 ] [ 3 ] [ [ ... pixel data ... ] ] &gt;","ref":"Evision.Mat.html#to_nx/2","title":"Evision.Mat.to_nx/2","type":"function"},{"doc":"Returns the total number of array elements. The method returns the number of array elements (a number of pixels if the array represents an image).","ref":"Evision.Mat.html#total/1","title":"Evision.Mat.total/1","type":"function"},{"doc":"Returns the total number of array elements. The method returns the number of elements within a certain sub-array slice with start_dim &lt;= dim &lt; end_dim","ref":"Evision.Mat.html#total/3","title":"Evision.Mat.total/3","type":"function"},{"doc":"Transpose a matrix Parameters mat . The matrix. by default it reverses the order of the axes.","ref":"Evision.Mat.html#transpose/1","title":"Evision.Mat.transpose/1","type":"function"},{"doc":"Transpose a matrix Parameters mat . Evision.Mat axes . [int] It must be a list which contains a permutation of [0,1,..,N-1] where N is the number of axes of mat . The i’th axis of the returned array will correspond to the axis numbered axes[i] of the input. opts . Keyword options. as_shape . A tuple or list which overwrites the shape of the matrix (the total number of elements must be equal to the one as in its original shape). For example, a 4x4 matrix can be treated as a 2x2x2x2 matrix and transposed with axes=[2,1,3,0] in a single call. When specified, it combines the reshape and transpose operation in a single NIF call.","ref":"Evision.Mat.html#transpose/3","title":"Evision.Mat.transpose/3","type":"function"},{"doc":"This method returns the type-tuple used by Nx. To get the raw value of cv::Mat.type() , please use Evision.Mat.raw_type/1 .","ref":"Evision.Mat.html#type/1","title":"Evision.Mat.type/1","type":"function"},{"doc":"","ref":"Evision.Mat.html#update_roi/3","title":"Evision.Mat.update_roi/3","type":"function"},{"doc":"","ref":"Evision.Mat.html#zeros/2","title":"Evision.Mat.zeros/2","type":"function"},{"doc":"Types for Evision.Mat Shorthand :u8 :u16 :s16 :s32 :f32 :f64 :f16 Tuple Form {:u, 8} {:u, 16} {:s, 8} {:s, 16} {:s, 32} {:f, 32} {:f, 64} {:f, 16}","ref":"Evision.Mat.html#t:mat_type/0","title":"Evision.Mat.mat_type/0","type":"type"},{"doc":"","ref":"Evision.Mat.html#t:mat_type_tuple_form/0","title":"Evision.Mat.mat_type_tuple_form/0","type":"type"},{"doc":"Input argument, Evision.Mat , Nx.Tensor or #reference . Evision.Mat , recommended to use. Nx.Tensor Accepting this type so that it's easier to interact with a Nx.Tensor . reference() , not recommended. Only some internal functions will pass the raw reference variables around.","ref":"Evision.Mat.html#t:maybe_mat_in/0","title":"Evision.Mat.maybe_mat_in/0","type":"type"},{"doc":"The resulting ok-error tuple when a NIF function can return Evision.Mat .","ref":"Evision.Mat.html#t:maybe_mat_out/0","title":"Evision.Mat.maybe_mat_out/0","type":"type"},{"doc":"Type that represents an Evision.Mat struct. channels : int . The number of matrix channels. dims : int . Matrix dimensionality. type : mat_type . Type of the matrix elements, following :nx 's convention. raw_type : int . The raw value returned from int cv::Mat::type() . shape : tuple . The shape of the matrix. ref : reference . The underlying erlang resource variable.","ref":"Evision.Mat.html#t:t/0","title":"Evision.Mat.t/0","type":"type"},{"doc":"","ref":"Evision.MergeDebevec.html","title":"Evision.MergeDebevec","type":"module"},{"doc":"process Positional Arguments self : Evision.MergeDebevec.t() src : [Evision.Mat] times : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): process(src, times[, dst]) -&gt; dst","ref":"Evision.MergeDebevec.html#process/3","title":"Evision.MergeDebevec.process/3","type":"function"},{"doc":"Variant 1: process Positional Arguments self : Evision.MergeDebevec.t() src : [Evision.Mat] times : Evision.Mat.t() response : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): process(src, times, response[, dst]) -&gt; dst Variant 2: process Positional Arguments self : Evision.MergeDebevec.t() src : [Evision.Mat] times : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): process(src, times[, dst]) -&gt; dst","ref":"Evision.MergeDebevec.html#process/4","title":"Evision.MergeDebevec.process/4","type":"function"},{"doc":"process Positional Arguments self : Evision.MergeDebevec.t() src : [Evision.Mat] times : Evision.Mat.t() response : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): process(src, times, response[, dst]) -&gt; dst","ref":"Evision.MergeDebevec.html#process/5","title":"Evision.MergeDebevec.process/5","type":"function"},{"doc":"Type that represents an MergeDebevec struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.MergeDebevec.html#t:t/0","title":"Evision.MergeDebevec.t/0","type":"type"},{"doc":"","ref":"Evision.MergeExposures.html","title":"Evision.MergeExposures","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.MergeExposures.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.MergeExposures.html#clear/1","title":"Evision.MergeExposures.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.MergeExposures.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.MergeExposures.html#empty/1","title":"Evision.MergeExposures.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.MergeExposures.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.MergeExposures.html#getDefaultName/1","title":"Evision.MergeExposures.getDefaultName/1","type":"function"},{"doc":"Merges images. Positional Arguments self : Evision.MergeExposures.t() src : [Evision.Mat] . vector of input images times : Evision.Mat.t() . vector of exposure time values for each image response : Evision.Mat.t() . 256x1 matrix with inverse camera response function for each pixel value, it should have the same number of channels as images. Return dst : Evision.Mat.t() . result image Python prototype (for reference only): process(src, times, response[, dst]) -&gt; dst","ref":"Evision.MergeExposures.html#process/4","title":"Evision.MergeExposures.process/4","type":"function"},{"doc":"Merges images. Positional Arguments self : Evision.MergeExposures.t() src : [Evision.Mat] . vector of input images times : Evision.Mat.t() . vector of exposure time values for each image response : Evision.Mat.t() . 256x1 matrix with inverse camera response function for each pixel value, it should have the same number of channels as images. Return dst : Evision.Mat.t() . result image Python prototype (for reference only): process(src, times, response[, dst]) -&gt; dst","ref":"Evision.MergeExposures.html#process/5","title":"Evision.MergeExposures.process/5","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.MergeExposures.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.MergeExposures.html#read/2","title":"Evision.MergeExposures.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.MergeExposures.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.MergeExposures.html#save/2","title":"Evision.MergeExposures.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.MergeExposures.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.MergeExposures.html#write/2","title":"Evision.MergeExposures.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.MergeExposures.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.MergeExposures.html#write/3","title":"Evision.MergeExposures.write/3","type":"function"},{"doc":"Type that represents an MergeExposures struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.MergeExposures.html#t:t/0","title":"Evision.MergeExposures.t/0","type":"type"},{"doc":"","ref":"Evision.MergeMertens.html","title":"Evision.MergeMertens","type":"module"},{"doc":"getContrastWeight Positional Arguments self : Evision.MergeMertens.t() Return retval : float Python prototype (for reference only): getContrastWeight() -&gt; retval","ref":"Evision.MergeMertens.html#getContrastWeight/1","title":"Evision.MergeMertens.getContrastWeight/1","type":"function"},{"doc":"getExposureWeight Positional Arguments self : Evision.MergeMertens.t() Return retval : float Python prototype (for reference only): getExposureWeight() -&gt; retval","ref":"Evision.MergeMertens.html#getExposureWeight/1","title":"Evision.MergeMertens.getExposureWeight/1","type":"function"},{"doc":"getSaturationWeight Positional Arguments self : Evision.MergeMertens.t() Return retval : float Python prototype (for reference only): getSaturationWeight() -&gt; retval","ref":"Evision.MergeMertens.html#getSaturationWeight/1","title":"Evision.MergeMertens.getSaturationWeight/1","type":"function"},{"doc":"Short version of process, that doesn't take extra arguments. Positional Arguments self : Evision.MergeMertens.t() src : [Evision.Mat] . vector of input images Return dst : Evision.Mat.t() . result image Python prototype (for reference only): process(src[, dst]) -&gt; dst","ref":"Evision.MergeMertens.html#process/2","title":"Evision.MergeMertens.process/2","type":"function"},{"doc":"Short version of process, that doesn't take extra arguments. Positional Arguments self : Evision.MergeMertens.t() src : [Evision.Mat] . vector of input images Return dst : Evision.Mat.t() . result image Python prototype (for reference only): process(src[, dst]) -&gt; dst","ref":"Evision.MergeMertens.html#process/3","title":"Evision.MergeMertens.process/3","type":"function"},{"doc":"process Positional Arguments self : Evision.MergeMertens.t() src : [Evision.Mat] times : Evision.Mat.t() response : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): process(src, times, response[, dst]) -&gt; dst","ref":"Evision.MergeMertens.html#process/4","title":"Evision.MergeMertens.process/4","type":"function"},{"doc":"process Positional Arguments self : Evision.MergeMertens.t() src : [Evision.Mat] times : Evision.Mat.t() response : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): process(src, times, response[, dst]) -&gt; dst","ref":"Evision.MergeMertens.html#process/5","title":"Evision.MergeMertens.process/5","type":"function"},{"doc":"setContrastWeight Positional Arguments self : Evision.MergeMertens.t() contrast_weiht : float Python prototype (for reference only): setContrastWeight(contrast_weiht) -&gt; None","ref":"Evision.MergeMertens.html#setContrastWeight/2","title":"Evision.MergeMertens.setContrastWeight/2","type":"function"},{"doc":"setExposureWeight Positional Arguments self : Evision.MergeMertens.t() exposure_weight : float Python prototype (for reference only): setExposureWeight(exposure_weight) -&gt; None","ref":"Evision.MergeMertens.html#setExposureWeight/2","title":"Evision.MergeMertens.setExposureWeight/2","type":"function"},{"doc":"setSaturationWeight Positional Arguments self : Evision.MergeMertens.t() saturation_weight : float Python prototype (for reference only): setSaturationWeight(saturation_weight) -&gt; None","ref":"Evision.MergeMertens.html#setSaturationWeight/2","title":"Evision.MergeMertens.setSaturationWeight/2","type":"function"},{"doc":"Type that represents an MergeMertens struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.MergeMertens.html#t:t/0","title":"Evision.MergeMertens.t/0","type":"type"},{"doc":"","ref":"Evision.MergeRobertson.html","title":"Evision.MergeRobertson","type":"module"},{"doc":"process Positional Arguments self : Evision.MergeRobertson.t() src : [Evision.Mat] times : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): process(src, times[, dst]) -&gt; dst","ref":"Evision.MergeRobertson.html#process/3","title":"Evision.MergeRobertson.process/3","type":"function"},{"doc":"Variant 1: process Positional Arguments self : Evision.MergeRobertson.t() src : [Evision.Mat] times : Evision.Mat.t() response : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): process(src, times, response[, dst]) -&gt; dst Variant 2: process Positional Arguments self : Evision.MergeRobertson.t() src : [Evision.Mat] times : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): process(src, times[, dst]) -&gt; dst","ref":"Evision.MergeRobertson.html#process/4","title":"Evision.MergeRobertson.process/4","type":"function"},{"doc":"process Positional Arguments self : Evision.MergeRobertson.t() src : [Evision.Mat] times : Evision.Mat.t() response : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): process(src, times, response[, dst]) -&gt; dst","ref":"Evision.MergeRobertson.html#process/5","title":"Evision.MergeRobertson.process/5","type":"function"},{"doc":"Type that represents an MergeRobertson struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.MergeRobertson.html#t:t/0","title":"Evision.MergeRobertson.t/0","type":"type"},{"doc":"","ref":"Evision.NormHistogramCostExtractor.html","title":"Evision.NormHistogramCostExtractor","type":"module"},{"doc":"getNormFlag Positional Arguments self : Evision.NormHistogramCostExtractor.t() Return retval : int Python prototype (for reference only): getNormFlag() -&gt; retval","ref":"Evision.NormHistogramCostExtractor.html#getNormFlag/1","title":"Evision.NormHistogramCostExtractor.getNormFlag/1","type":"function"},{"doc":"setNormFlag Positional Arguments self : Evision.NormHistogramCostExtractor.t() flag : int Python prototype (for reference only): setNormFlag(flag) -&gt; None","ref":"Evision.NormHistogramCostExtractor.html#setNormFlag/2","title":"Evision.NormHistogramCostExtractor.setNormFlag/2","type":"function"},{"doc":"Type that represents an NormHistogramCostExtractor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.NormHistogramCostExtractor.html#t:t/0","title":"Evision.NormHistogramCostExtractor.t/0","type":"type"},{"doc":"","ref":"Evision.OCL.html","title":"Evision.OCL","type":"module"},{"doc":"finish Python prototype (for reference only): finish() -&gt; None","ref":"Evision.OCL.html#finish/0","title":"Evision.OCL.finish/0","type":"function"},{"doc":"haveAmdBlas Return retval : bool Python prototype (for reference only): haveAmdBlas() -&gt; retval","ref":"Evision.OCL.html#haveAmdBlas/0","title":"Evision.OCL.haveAmdBlas/0","type":"function"},{"doc":"haveAmdFft Return retval : bool Python prototype (for reference only): haveAmdFft() -&gt; retval","ref":"Evision.OCL.html#haveAmdFft/0","title":"Evision.OCL.haveAmdFft/0","type":"function"},{"doc":"haveOpenCL Return retval : bool Python prototype (for reference only): haveOpenCL() -&gt; retval","ref":"Evision.OCL.html#haveOpenCL/0","title":"Evision.OCL.haveOpenCL/0","type":"function"},{"doc":"setUseOpenCL Positional Arguments flag : bool Python prototype (for reference only): setUseOpenCL(flag) -&gt; None","ref":"Evision.OCL.html#setUseOpenCL/1","title":"Evision.OCL.setUseOpenCL/1","type":"function"},{"doc":"useOpenCL Return retval : bool Python prototype (for reference only): useOpenCL() -&gt; retval","ref":"Evision.OCL.html#useOpenCL/0","title":"Evision.OCL.useOpenCL/0","type":"function"},{"doc":"Type that represents an OCL struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.OCL.html#t:t/0","title":"Evision.OCL.t/0","type":"type"},{"doc":"","ref":"Evision.OCL.Device.html","title":"Evision.OCL.Device","type":"module"},{"doc":"addressBits Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): addressBits() -&gt; retval","ref":"Evision.OCL.Device.html#addressBits/1","title":"Evision.OCL.Device.addressBits/1","type":"function"},{"doc":"available Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): available() -&gt; retval","ref":"Evision.OCL.Device.html#available/1","title":"Evision.OCL.Device.available/1","type":"function"},{"doc":"compilerAvailable Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): compilerAvailable() -&gt; retval","ref":"Evision.OCL.Device.html#compilerAvailable/1","title":"Evision.OCL.Device.compilerAvailable/1","type":"function"},{"doc":"Device Return self : Evision.OCL.Device.t() Python prototype (for reference only): Device() -&gt; &lt;ocl_Device object&gt;","ref":"Evision.OCL.Device.html#device/0","title":"Evision.OCL.Device.device/0","type":"function"},{"doc":"deviceVersionMajor Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): deviceVersionMajor() -&gt; retval","ref":"Evision.OCL.Device.html#deviceVersionMajor/1","title":"Evision.OCL.Device.deviceVersionMajor/1","type":"function"},{"doc":"deviceVersionMinor Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): deviceVersionMinor() -&gt; retval","ref":"Evision.OCL.Device.html#deviceVersionMinor/1","title":"Evision.OCL.Device.deviceVersionMinor/1","type":"function"},{"doc":"doubleFPConfig Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): doubleFPConfig() -&gt; retval","ref":"Evision.OCL.Device.html#doubleFPConfig/1","title":"Evision.OCL.Device.doubleFPConfig/1","type":"function"},{"doc":"driverVersion Positional Arguments self : Evision.OCL.Device.t() Return retval : String Python prototype (for reference only): driverVersion() -&gt; retval","ref":"Evision.OCL.Device.html#driverVersion/1","title":"Evision.OCL.Device.driverVersion/1","type":"function"},{"doc":"endianLittle Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): endianLittle() -&gt; retval","ref":"Evision.OCL.Device.html#endianLittle/1","title":"Evision.OCL.Device.endianLittle/1","type":"function"},{"doc":"errorCorrectionSupport Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): errorCorrectionSupport() -&gt; retval","ref":"Evision.OCL.Device.html#errorCorrectionSupport/1","title":"Evision.OCL.Device.errorCorrectionSupport/1","type":"function"},{"doc":"executionCapabilities Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): executionCapabilities() -&gt; retval","ref":"Evision.OCL.Device.html#executionCapabilities/1","title":"Evision.OCL.Device.executionCapabilities/1","type":"function"},{"doc":"extensions Positional Arguments self : Evision.OCL.Device.t() Return retval : String Python prototype (for reference only): extensions() -&gt; retval","ref":"Evision.OCL.Device.html#extensions/1","title":"Evision.OCL.Device.extensions/1","type":"function"},{"doc":"getDefault Return retval : Evision.OCL.Device.t() Python prototype (for reference only): getDefault() -&gt; retval","ref":"Evision.OCL.Device.html#getDefault/0","title":"Evision.OCL.Device.getDefault/0","type":"function"},{"doc":"globalMemCacheLineSize Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): globalMemCacheLineSize() -&gt; retval","ref":"Evision.OCL.Device.html#globalMemCacheLineSize/1","title":"Evision.OCL.Device.globalMemCacheLineSize/1","type":"function"},{"doc":"globalMemCacheSize Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): globalMemCacheSize() -&gt; retval","ref":"Evision.OCL.Device.html#globalMemCacheSize/1","title":"Evision.OCL.Device.globalMemCacheSize/1","type":"function"},{"doc":"globalMemCacheType Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): globalMemCacheType() -&gt; retval","ref":"Evision.OCL.Device.html#globalMemCacheType/1","title":"Evision.OCL.Device.globalMemCacheType/1","type":"function"},{"doc":"globalMemSize Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): globalMemSize() -&gt; retval","ref":"Evision.OCL.Device.html#globalMemSize/1","title":"Evision.OCL.Device.globalMemSize/1","type":"function"},{"doc":"halfFPConfig Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): halfFPConfig() -&gt; retval","ref":"Evision.OCL.Device.html#halfFPConfig/1","title":"Evision.OCL.Device.halfFPConfig/1","type":"function"},{"doc":"hostUnifiedMemory Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): hostUnifiedMemory() -&gt; retval","ref":"Evision.OCL.Device.html#hostUnifiedMemory/1","title":"Evision.OCL.Device.hostUnifiedMemory/1","type":"function"},{"doc":"image2DMaxHeight Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): image2DMaxHeight() -&gt; retval","ref":"Evision.OCL.Device.html#image2DMaxHeight/1","title":"Evision.OCL.Device.image2DMaxHeight/1","type":"function"},{"doc":"image2DMaxWidth Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): image2DMaxWidth() -&gt; retval","ref":"Evision.OCL.Device.html#image2DMaxWidth/1","title":"Evision.OCL.Device.image2DMaxWidth/1","type":"function"},{"doc":"image3DMaxDepth Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): image3DMaxDepth() -&gt; retval","ref":"Evision.OCL.Device.html#image3DMaxDepth/1","title":"Evision.OCL.Device.image3DMaxDepth/1","type":"function"},{"doc":"image3DMaxHeight Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): image3DMaxHeight() -&gt; retval","ref":"Evision.OCL.Device.html#image3DMaxHeight/1","title":"Evision.OCL.Device.image3DMaxHeight/1","type":"function"},{"doc":"image3DMaxWidth Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): image3DMaxWidth() -&gt; retval","ref":"Evision.OCL.Device.html#image3DMaxWidth/1","title":"Evision.OCL.Device.image3DMaxWidth/1","type":"function"},{"doc":"imageFromBufferSupport Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): imageFromBufferSupport() -&gt; retval","ref":"Evision.OCL.Device.html#imageFromBufferSupport/1","title":"Evision.OCL.Device.imageFromBufferSupport/1","type":"function"},{"doc":"imageMaxArraySize Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): imageMaxArraySize() -&gt; retval","ref":"Evision.OCL.Device.html#imageMaxArraySize/1","title":"Evision.OCL.Device.imageMaxArraySize/1","type":"function"},{"doc":"imageMaxBufferSize Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): imageMaxBufferSize() -&gt; retval","ref":"Evision.OCL.Device.html#imageMaxBufferSize/1","title":"Evision.OCL.Device.imageMaxBufferSize/1","type":"function"},{"doc":"imageSupport Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): imageSupport() -&gt; retval","ref":"Evision.OCL.Device.html#imageSupport/1","title":"Evision.OCL.Device.imageSupport/1","type":"function"},{"doc":"intelSubgroupsSupport Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): intelSubgroupsSupport() -&gt; retval","ref":"Evision.OCL.Device.html#intelSubgroupsSupport/1","title":"Evision.OCL.Device.intelSubgroupsSupport/1","type":"function"},{"doc":"isAMD Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): isAMD() -&gt; retval","ref":"Evision.OCL.Device.html#isAMD/1","title":"Evision.OCL.Device.isAMD/1","type":"function"},{"doc":"isExtensionSupported Positional Arguments self : Evision.OCL.Device.t() extensionName : String Return retval : bool Python prototype (for reference only): isExtensionSupported(extensionName) -&gt; retval","ref":"Evision.OCL.Device.html#isExtensionSupported/2","title":"Evision.OCL.Device.isExtensionSupported/2","type":"function"},{"doc":"isIntel Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): isIntel() -&gt; retval","ref":"Evision.OCL.Device.html#isIntel/1","title":"Evision.OCL.Device.isIntel/1","type":"function"},{"doc":"isNVidia Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): isNVidia() -&gt; retval","ref":"Evision.OCL.Device.html#isNVidia/1","title":"Evision.OCL.Device.isNVidia/1","type":"function"},{"doc":"linkerAvailable Positional Arguments self : Evision.OCL.Device.t() Return retval : bool Python prototype (for reference only): linkerAvailable() -&gt; retval","ref":"Evision.OCL.Device.html#linkerAvailable/1","title":"Evision.OCL.Device.linkerAvailable/1","type":"function"},{"doc":"localMemSize Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): localMemSize() -&gt; retval","ref":"Evision.OCL.Device.html#localMemSize/1","title":"Evision.OCL.Device.localMemSize/1","type":"function"},{"doc":"localMemType Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): localMemType() -&gt; retval","ref":"Evision.OCL.Device.html#localMemType/1","title":"Evision.OCL.Device.localMemType/1","type":"function"},{"doc":"maxClockFrequency Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): maxClockFrequency() -&gt; retval","ref":"Evision.OCL.Device.html#maxClockFrequency/1","title":"Evision.OCL.Device.maxClockFrequency/1","type":"function"},{"doc":"maxComputeUnits Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): maxComputeUnits() -&gt; retval","ref":"Evision.OCL.Device.html#maxComputeUnits/1","title":"Evision.OCL.Device.maxComputeUnits/1","type":"function"},{"doc":"maxConstantArgs Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): maxConstantArgs() -&gt; retval","ref":"Evision.OCL.Device.html#maxConstantArgs/1","title":"Evision.OCL.Device.maxConstantArgs/1","type":"function"},{"doc":"maxConstantBufferSize Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): maxConstantBufferSize() -&gt; retval","ref":"Evision.OCL.Device.html#maxConstantBufferSize/1","title":"Evision.OCL.Device.maxConstantBufferSize/1","type":"function"},{"doc":"maxMemAllocSize Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): maxMemAllocSize() -&gt; retval","ref":"Evision.OCL.Device.html#maxMemAllocSize/1","title":"Evision.OCL.Device.maxMemAllocSize/1","type":"function"},{"doc":"maxParameterSize Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): maxParameterSize() -&gt; retval","ref":"Evision.OCL.Device.html#maxParameterSize/1","title":"Evision.OCL.Device.maxParameterSize/1","type":"function"},{"doc":"maxReadImageArgs Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): maxReadImageArgs() -&gt; retval","ref":"Evision.OCL.Device.html#maxReadImageArgs/1","title":"Evision.OCL.Device.maxReadImageArgs/1","type":"function"},{"doc":"maxSamplers Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): maxSamplers() -&gt; retval","ref":"Evision.OCL.Device.html#maxSamplers/1","title":"Evision.OCL.Device.maxSamplers/1","type":"function"},{"doc":"maxWorkGroupSize Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): maxWorkGroupSize() -&gt; retval","ref":"Evision.OCL.Device.html#maxWorkGroupSize/1","title":"Evision.OCL.Device.maxWorkGroupSize/1","type":"function"},{"doc":"maxWorkItemDims Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): maxWorkItemDims() -&gt; retval","ref":"Evision.OCL.Device.html#maxWorkItemDims/1","title":"Evision.OCL.Device.maxWorkItemDims/1","type":"function"},{"doc":"maxWriteImageArgs Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): maxWriteImageArgs() -&gt; retval","ref":"Evision.OCL.Device.html#maxWriteImageArgs/1","title":"Evision.OCL.Device.maxWriteImageArgs/1","type":"function"},{"doc":"memBaseAddrAlign Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): memBaseAddrAlign() -&gt; retval","ref":"Evision.OCL.Device.html#memBaseAddrAlign/1","title":"Evision.OCL.Device.memBaseAddrAlign/1","type":"function"},{"doc":"name Positional Arguments self : Evision.OCL.Device.t() Return retval : String Python prototype (for reference only): name() -&gt; retval","ref":"Evision.OCL.Device.html#name/1","title":"Evision.OCL.Device.name/1","type":"function"},{"doc":"nativeVectorWidthChar Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): nativeVectorWidthChar() -&gt; retval","ref":"Evision.OCL.Device.html#nativeVectorWidthChar/1","title":"Evision.OCL.Device.nativeVectorWidthChar/1","type":"function"},{"doc":"nativeVectorWidthDouble Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): nativeVectorWidthDouble() -&gt; retval","ref":"Evision.OCL.Device.html#nativeVectorWidthDouble/1","title":"Evision.OCL.Device.nativeVectorWidthDouble/1","type":"function"},{"doc":"nativeVectorWidthFloat Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): nativeVectorWidthFloat() -&gt; retval","ref":"Evision.OCL.Device.html#nativeVectorWidthFloat/1","title":"Evision.OCL.Device.nativeVectorWidthFloat/1","type":"function"},{"doc":"nativeVectorWidthHalf Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): nativeVectorWidthHalf() -&gt; retval","ref":"Evision.OCL.Device.html#nativeVectorWidthHalf/1","title":"Evision.OCL.Device.nativeVectorWidthHalf/1","type":"function"},{"doc":"nativeVectorWidthInt Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): nativeVectorWidthInt() -&gt; retval","ref":"Evision.OCL.Device.html#nativeVectorWidthInt/1","title":"Evision.OCL.Device.nativeVectorWidthInt/1","type":"function"},{"doc":"nativeVectorWidthLong Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): nativeVectorWidthLong() -&gt; retval","ref":"Evision.OCL.Device.html#nativeVectorWidthLong/1","title":"Evision.OCL.Device.nativeVectorWidthLong/1","type":"function"},{"doc":"nativeVectorWidthShort Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): nativeVectorWidthShort() -&gt; retval","ref":"Evision.OCL.Device.html#nativeVectorWidthShort/1","title":"Evision.OCL.Device.nativeVectorWidthShort/1","type":"function"},{"doc":"OpenCL_C_Version Positional Arguments self : Evision.OCL.Device.t() Return retval : String Python prototype (for reference only): OpenCL_C_Version() -&gt; retval","ref":"Evision.OCL.Device.html#openCL_C_Version/1","title":"Evision.OCL.Device.openCL_C_Version/1","type":"function"},{"doc":"OpenCLVersion Positional Arguments self : Evision.OCL.Device.t() Return retval : String Python prototype (for reference only): OpenCLVersion() -&gt; retval","ref":"Evision.OCL.Device.html#openCLVersion/1","title":"Evision.OCL.Device.openCLVersion/1","type":"function"},{"doc":"preferredVectorWidthChar Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): preferredVectorWidthChar() -&gt; retval","ref":"Evision.OCL.Device.html#preferredVectorWidthChar/1","title":"Evision.OCL.Device.preferredVectorWidthChar/1","type":"function"},{"doc":"preferredVectorWidthDouble Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): preferredVectorWidthDouble() -&gt; retval","ref":"Evision.OCL.Device.html#preferredVectorWidthDouble/1","title":"Evision.OCL.Device.preferredVectorWidthDouble/1","type":"function"},{"doc":"preferredVectorWidthFloat Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): preferredVectorWidthFloat() -&gt; retval","ref":"Evision.OCL.Device.html#preferredVectorWidthFloat/1","title":"Evision.OCL.Device.preferredVectorWidthFloat/1","type":"function"},{"doc":"preferredVectorWidthHalf Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): preferredVectorWidthHalf() -&gt; retval","ref":"Evision.OCL.Device.html#preferredVectorWidthHalf/1","title":"Evision.OCL.Device.preferredVectorWidthHalf/1","type":"function"},{"doc":"preferredVectorWidthInt Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): preferredVectorWidthInt() -&gt; retval","ref":"Evision.OCL.Device.html#preferredVectorWidthInt/1","title":"Evision.OCL.Device.preferredVectorWidthInt/1","type":"function"},{"doc":"preferredVectorWidthLong Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): preferredVectorWidthLong() -&gt; retval","ref":"Evision.OCL.Device.html#preferredVectorWidthLong/1","title":"Evision.OCL.Device.preferredVectorWidthLong/1","type":"function"},{"doc":"preferredVectorWidthShort Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): preferredVectorWidthShort() -&gt; retval","ref":"Evision.OCL.Device.html#preferredVectorWidthShort/1","title":"Evision.OCL.Device.preferredVectorWidthShort/1","type":"function"},{"doc":"printfBufferSize Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): printfBufferSize() -&gt; retval","ref":"Evision.OCL.Device.html#printfBufferSize/1","title":"Evision.OCL.Device.printfBufferSize/1","type":"function"},{"doc":"profilingTimerResolution Positional Arguments self : Evision.OCL.Device.t() Return retval : size_t Python prototype (for reference only): profilingTimerResolution() -&gt; retval","ref":"Evision.OCL.Device.html#profilingTimerResolution/1","title":"Evision.OCL.Device.profilingTimerResolution/1","type":"function"},{"doc":"singleFPConfig Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): singleFPConfig() -&gt; retval","ref":"Evision.OCL.Device.html#singleFPConfig/1","title":"Evision.OCL.Device.singleFPConfig/1","type":"function"},{"doc":"type Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): type() -&gt; retval","ref":"Evision.OCL.Device.html#type/1","title":"Evision.OCL.Device.type/1","type":"function"},{"doc":"vendorID Positional Arguments self : Evision.OCL.Device.t() Return retval : int Python prototype (for reference only): vendorID() -&gt; retval","ref":"Evision.OCL.Device.html#vendorID/1","title":"Evision.OCL.Device.vendorID/1","type":"function"},{"doc":"vendorName Positional Arguments self : Evision.OCL.Device.t() Return retval : String Python prototype (for reference only): vendorName() -&gt; retval","ref":"Evision.OCL.Device.html#vendorName/1","title":"Evision.OCL.Device.vendorName/1","type":"function"},{"doc":"version Positional Arguments self : Evision.OCL.Device.t() Return retval : String Python prototype (for reference only): version() -&gt; retval","ref":"Evision.OCL.Device.html#version/1","title":"Evision.OCL.Device.version/1","type":"function"},{"doc":"Type that represents an OCL.Device struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.OCL.Device.html#t:t/0","title":"Evision.OCL.Device.t/0","type":"type"},{"doc":"","ref":"Evision.ORB.html","title":"Evision.ORB","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.ORB.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.ORB.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.ORB.html#compute/3","title":"Evision.ORB.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.ORB.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.ORB.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.ORB.html#compute/4","title":"Evision.ORB.compute/4","type":"function"},{"doc":"The ORB constructor Keyword Arguments nfeatures : int . The maximum number of features to retain. scaleFactor : float . Pyramid decimation ratio, greater than 1. scaleFactor==2 means the classical pyramid, where each next level has 4x less pixels than the previous, but such a big scale factor will degrade feature matching scores dramatically. On the other hand, too close to 1 scale factor will mean that to cover certain scale range you will need more pyramid levels and so the speed will suffer. nlevels : int . The number of pyramid levels. The smallest level will have linear size equal to input_image_linear_size/pow(scaleFactor, nlevels - firstLevel). edgeThreshold : int . This is size of the border where the features are not detected. It should roughly match the patchSize parameter. firstLevel : int . The level of pyramid to put source image to. Previous layers are filled with upscaled source image. wTA_K : int . The number of points that produce each element of the oriented BRIEF descriptor. The default value 2 means the BRIEF where we take a random point pair and compare their brightnesses, so we get 0/1 response. Other possible values are 3 and 4. For example, 3 means that we take 3 random points (of course, those point coordinates are random, but they are generated from the pre-defined seed, so each element of BRIEF descriptor is computed deterministically from the pixel rectangle), find point of maximum brightness and output index of the winner (0, 1 or 2). Such output will occupy 2 bits, and therefore it will need a special variant of Hamming distance, denoted as NORM_HAMMING2 (2 bits per bin). When WTA_K=4, we take 4 random points to compute each bin (that will also occupy 2 bits with possible values 0, 1, 2 or 3). scoreType : ORB_ScoreType . The default HARRIS_SCORE means that Harris algorithm is used to rank features (the score is written to KeyPoint::score and is used to retain best nfeatures features); FAST_SCORE is alternative value of the parameter that produces slightly less stable keypoints, but it is a little faster to compute. patchSize : int . size of the patch used by the oriented BRIEF descriptor. Of course, on smaller pyramid layers the perceived image area covered by a feature will be larger. fastThreshold : int . the fast threshold Return retval : Evision.ORB.t() Python prototype (for reference only): create([, nfeatures[, scaleFactor[, nlevels[, edgeThreshold[, firstLevel[, WTA_K[, scoreType[, patchSize[, fastThreshold]]]]]]]]]) -&gt; retval","ref":"Evision.ORB.html#create/0","title":"Evision.ORB.create/0","type":"function"},{"doc":"The ORB constructor Keyword Arguments nfeatures : int . The maximum number of features to retain. scaleFactor : float . Pyramid decimation ratio, greater than 1. scaleFactor==2 means the classical pyramid, where each next level has 4x less pixels than the previous, but such a big scale factor will degrade feature matching scores dramatically. On the other hand, too close to 1 scale factor will mean that to cover certain scale range you will need more pyramid levels and so the speed will suffer. nlevels : int . The number of pyramid levels. The smallest level will have linear size equal to input_image_linear_size/pow(scaleFactor, nlevels - firstLevel). edgeThreshold : int . This is size of the border where the features are not detected. It should roughly match the patchSize parameter. firstLevel : int . The level of pyramid to put source image to. Previous layers are filled with upscaled source image. wTA_K : int . The number of points that produce each element of the oriented BRIEF descriptor. The default value 2 means the BRIEF where we take a random point pair and compare their brightnesses, so we get 0/1 response. Other possible values are 3 and 4. For example, 3 means that we take 3 random points (of course, those point coordinates are random, but they are generated from the pre-defined seed, so each element of BRIEF descriptor is computed deterministically from the pixel rectangle), find point of maximum brightness and output index of the winner (0, 1 or 2). Such output will occupy 2 bits, and therefore it will need a special variant of Hamming distance, denoted as NORM_HAMMING2 (2 bits per bin). When WTA_K=4, we take 4 random points to compute each bin (that will also occupy 2 bits with possible values 0, 1, 2 or 3). scoreType : ORB_ScoreType . The default HARRIS_SCORE means that Harris algorithm is used to rank features (the score is written to KeyPoint::score and is used to retain best nfeatures features); FAST_SCORE is alternative value of the parameter that produces slightly less stable keypoints, but it is a little faster to compute. patchSize : int . size of the patch used by the oriented BRIEF descriptor. Of course, on smaller pyramid layers the perceived image area covered by a feature will be larger. fastThreshold : int . the fast threshold Return retval : Evision.ORB.t() Python prototype (for reference only): create([, nfeatures[, scaleFactor[, nlevels[, edgeThreshold[, firstLevel[, WTA_K[, scoreType[, patchSize[, fastThreshold]]]]]]]]]) -&gt; retval","ref":"Evision.ORB.html#create/1","title":"Evision.ORB.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.ORB.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.ORB.html#defaultNorm/1","title":"Evision.ORB.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.ORB.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.ORB.html#descriptorSize/1","title":"Evision.ORB.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.ORB.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.ORB.html#descriptorType/1","title":"Evision.ORB.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.ORB.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.ORB.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.ORB.html#detect/2","title":"Evision.ORB.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.ORB.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.ORB.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.ORB.html#detect/3","title":"Evision.ORB.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.ORB.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.ORB.html#detectAndCompute/3","title":"Evision.ORB.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.ORB.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.ORB.html#detectAndCompute/4","title":"Evision.ORB.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.ORB.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ORB.html#empty/1","title":"Evision.ORB.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ORB.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ORB.html#getDefaultName/1","title":"Evision.ORB.getDefaultName/1","type":"function"},{"doc":"getEdgeThreshold Positional Arguments self : Evision.ORB.t() Return retval : int Python prototype (for reference only): getEdgeThreshold() -&gt; retval","ref":"Evision.ORB.html#getEdgeThreshold/1","title":"Evision.ORB.getEdgeThreshold/1","type":"function"},{"doc":"getFastThreshold Positional Arguments self : Evision.ORB.t() Return retval : int Python prototype (for reference only): getFastThreshold() -&gt; retval","ref":"Evision.ORB.html#getFastThreshold/1","title":"Evision.ORB.getFastThreshold/1","type":"function"},{"doc":"getFirstLevel Positional Arguments self : Evision.ORB.t() Return retval : int Python prototype (for reference only): getFirstLevel() -&gt; retval","ref":"Evision.ORB.html#getFirstLevel/1","title":"Evision.ORB.getFirstLevel/1","type":"function"},{"doc":"getMaxFeatures Positional Arguments self : Evision.ORB.t() Return retval : int Python prototype (for reference only): getMaxFeatures() -&gt; retval","ref":"Evision.ORB.html#getMaxFeatures/1","title":"Evision.ORB.getMaxFeatures/1","type":"function"},{"doc":"getNLevels Positional Arguments self : Evision.ORB.t() Return retval : int Python prototype (for reference only): getNLevels() -&gt; retval","ref":"Evision.ORB.html#getNLevels/1","title":"Evision.ORB.getNLevels/1","type":"function"},{"doc":"getPatchSize Positional Arguments self : Evision.ORB.t() Return retval : int Python prototype (for reference only): getPatchSize() -&gt; retval","ref":"Evision.ORB.html#getPatchSize/1","title":"Evision.ORB.getPatchSize/1","type":"function"},{"doc":"getScaleFactor Positional Arguments self : Evision.ORB.t() Return retval : double Python prototype (for reference only): getScaleFactor() -&gt; retval","ref":"Evision.ORB.html#getScaleFactor/1","title":"Evision.ORB.getScaleFactor/1","type":"function"},{"doc":"getScoreType Positional Arguments self : Evision.ORB.t() Return retval : ORB::ScoreType Python prototype (for reference only): getScoreType() -&gt; retval","ref":"Evision.ORB.html#getScoreType/1","title":"Evision.ORB.getScoreType/1","type":"function"},{"doc":"getWTA_K Positional Arguments self : Evision.ORB.t() Return retval : int Python prototype (for reference only): getWTA_K() -&gt; retval","ref":"Evision.ORB.html#getWTA_K/1","title":"Evision.ORB.getWTA_K/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.ORB.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.ORB.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.ORB.html#read/2","title":"Evision.ORB.read/2","type":"function"},{"doc":"setEdgeThreshold Positional Arguments self : Evision.ORB.t() edgeThreshold : int Python prototype (for reference only): setEdgeThreshold(edgeThreshold) -&gt; None","ref":"Evision.ORB.html#setEdgeThreshold/2","title":"Evision.ORB.setEdgeThreshold/2","type":"function"},{"doc":"setFastThreshold Positional Arguments self : Evision.ORB.t() fastThreshold : int Python prototype (for reference only): setFastThreshold(fastThreshold) -&gt; None","ref":"Evision.ORB.html#setFastThreshold/2","title":"Evision.ORB.setFastThreshold/2","type":"function"},{"doc":"setFirstLevel Positional Arguments self : Evision.ORB.t() firstLevel : int Python prototype (for reference only): setFirstLevel(firstLevel) -&gt; None","ref":"Evision.ORB.html#setFirstLevel/2","title":"Evision.ORB.setFirstLevel/2","type":"function"},{"doc":"setMaxFeatures Positional Arguments self : Evision.ORB.t() maxFeatures : int Python prototype (for reference only): setMaxFeatures(maxFeatures) -&gt; None","ref":"Evision.ORB.html#setMaxFeatures/2","title":"Evision.ORB.setMaxFeatures/2","type":"function"},{"doc":"setNLevels Positional Arguments self : Evision.ORB.t() nlevels : int Python prototype (for reference only): setNLevels(nlevels) -&gt; None","ref":"Evision.ORB.html#setNLevels/2","title":"Evision.ORB.setNLevels/2","type":"function"},{"doc":"setPatchSize Positional Arguments self : Evision.ORB.t() patchSize : int Python prototype (for reference only): setPatchSize(patchSize) -&gt; None","ref":"Evision.ORB.html#setPatchSize/2","title":"Evision.ORB.setPatchSize/2","type":"function"},{"doc":"setScaleFactor Positional Arguments self : Evision.ORB.t() scaleFactor : double Python prototype (for reference only): setScaleFactor(scaleFactor) -&gt; None","ref":"Evision.ORB.html#setScaleFactor/2","title":"Evision.ORB.setScaleFactor/2","type":"function"},{"doc":"setScoreType Positional Arguments self : Evision.ORB.t() scoreType : ORB_ScoreType Python prototype (for reference only): setScoreType(scoreType) -&gt; None","ref":"Evision.ORB.html#setScoreType/2","title":"Evision.ORB.setScoreType/2","type":"function"},{"doc":"setWTA_K Positional Arguments self : Evision.ORB.t() wta_k : int Python prototype (for reference only): setWTA_K(wta_k) -&gt; None","ref":"Evision.ORB.html#setWTA_K/2","title":"Evision.ORB.setWTA_K/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ORB.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.ORB.html#write/2","title":"Evision.ORB.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ORB.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ORB.html#write/3","title":"Evision.ORB.write/3","type":"function"},{"doc":"Type that represents an ORB struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ORB.html#t:t/0","title":"Evision.ORB.t/0","type":"type"},{"doc":"","ref":"Evision.Omnidir.html","title":"Evision.Omnidir","type":"module"},{"doc":"Perform omnidirectional camera calibration, the default depth of outputs is CV_64F. Positional Arguments objectPoints : [Evision.Mat] . Vector of vector of Vec3f object points in world (pattern) coordinate. It also can be vector of Mat with size 1xN/Nx1 and type CV_32FC3. Data with depth of 64_F is also acceptable. imagePoints : [Evision.Mat] . Vector of vector of Vec2f corresponding image points of objectPoints. It must be the same size and the same type with objectPoints. size : Size . Image size of calibration images. flags : int . The flags that control calibrate criteria : TermCriteria . Termination criteria for optimization Return retval : double k : Evision.Mat.t() . Output calibrated camera matrix. xi : Evision.Mat.t() . Output parameter xi for CMei's model d : Evision.Mat.t() . Output distortion parameters \\f$(k_1, k_2, p_1, p_2)\\f$ rvecs : [Evision.Mat] . Output rotations for each calibration images tvecs : [Evision.Mat] . Output translation for each calibration images idx : Evision.Mat.t() . Indices of images that pass initialization, which are really used in calibration. So the size of rvecs is the same as idx.total(). Python prototype (for reference only): calibrate(objectPoints, imagePoints, size, K, xi, D, flags, criteria[, rvecs[, tvecs[, idx]]]) -&gt; retval, K, xi, D, rvecs, tvecs, idx","ref":"Evision.Omnidir.html#calibrate/8","title":"Evision.Omnidir.calibrate/8","type":"function"},{"doc":"Perform omnidirectional camera calibration, the default depth of outputs is CV_64F. Positional Arguments objectPoints : [Evision.Mat] . Vector of vector of Vec3f object points in world (pattern) coordinate. It also can be vector of Mat with size 1xN/Nx1 and type CV_32FC3. Data with depth of 64_F is also acceptable. imagePoints : [Evision.Mat] . Vector of vector of Vec2f corresponding image points of objectPoints. It must be the same size and the same type with objectPoints. size : Size . Image size of calibration images. flags : int . The flags that control calibrate criteria : TermCriteria . Termination criteria for optimization Return retval : double k : Evision.Mat.t() . Output calibrated camera matrix. xi : Evision.Mat.t() . Output parameter xi for CMei's model d : Evision.Mat.t() . Output distortion parameters \\f$(k_1, k_2, p_1, p_2)\\f$ rvecs : [Evision.Mat] . Output rotations for each calibration images tvecs : [Evision.Mat] . Output translation for each calibration images idx : Evision.Mat.t() . Indices of images that pass initialization, which are really used in calibration. So the size of rvecs is the same as idx.total(). Python prototype (for reference only): calibrate(objectPoints, imagePoints, size, K, xi, D, flags, criteria[, rvecs[, tvecs[, idx]]]) -&gt; retval, K, xi, D, rvecs, tvecs, idx","ref":"Evision.Omnidir.html#calibrate/9","title":"Evision.Omnidir.calibrate/9","type":"function"},{"doc":"Computes undistortion and rectification maps for omnidirectional camera image transform by a rotation R. It output two maps that are used for cv::remap(). If D is empty then zero distortion is used, if R or P is empty then identity matrices are used. Positional Arguments k : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{s}{c_x}{0}{f_y}{c_y}{0}{0}{_1}\\f$, with depth CV_32F or CV_64F d : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2)\\f$, with depth CV_32F or CV_64F xi : Evision.Mat.t() . The parameter xi for CMei's model r : Evision.Mat.t() . Rotation transform between the original and object space : 3x3 1-channel, or vector: 3x1/1x3, with depth CV_32F or CV_64F p : Evision.Mat.t() . New camera matrix (3x3) or new projection matrix (3x4) size : Size . Undistorted image size. m1type : int . Type of the first output map that can be CV_32FC1 or CV_16SC2 . See convertMaps() for details. flags : int . Flags indicates the rectification type, RECTIFY_PERSPECTIVE, RECTIFY_CYLINDRICAL, RECTIFY_LONGLATI and RECTIFY_STEREOGRAPHIC are supported. Return map1 : Evision.Mat.t() . The first output map. map2 : Evision.Mat.t() . The second output map. Python prototype (for reference only): initUndistortRectifyMap(K, D, xi, R, P, size, m1type, flags[, map1[, map2]]) -&gt; map1, map2","ref":"Evision.Omnidir.html#initUndistortRectifyMap/8","title":"Evision.Omnidir.initUndistortRectifyMap/8","type":"function"},{"doc":"Computes undistortion and rectification maps for omnidirectional camera image transform by a rotation R. It output two maps that are used for cv::remap(). If D is empty then zero distortion is used, if R or P is empty then identity matrices are used. Positional Arguments k : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{s}{c_x}{0}{f_y}{c_y}{0}{0}{_1}\\f$, with depth CV_32F or CV_64F d : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2)\\f$, with depth CV_32F or CV_64F xi : Evision.Mat.t() . The parameter xi for CMei's model r : Evision.Mat.t() . Rotation transform between the original and object space : 3x3 1-channel, or vector: 3x1/1x3, with depth CV_32F or CV_64F p : Evision.Mat.t() . New camera matrix (3x3) or new projection matrix (3x4) size : Size . Undistorted image size. m1type : int . Type of the first output map that can be CV_32FC1 or CV_16SC2 . See convertMaps() for details. flags : int . Flags indicates the rectification type, RECTIFY_PERSPECTIVE, RECTIFY_CYLINDRICAL, RECTIFY_LONGLATI and RECTIFY_STEREOGRAPHIC are supported. Return map1 : Evision.Mat.t() . The first output map. map2 : Evision.Mat.t() . The second output map. Python prototype (for reference only): initUndistortRectifyMap(K, D, xi, R, P, size, m1type, flags[, map1[, map2]]) -&gt; map1, map2","ref":"Evision.Omnidir.html#initUndistortRectifyMap/9","title":"Evision.Omnidir.initUndistortRectifyMap/9","type":"function"},{"doc":"Projects points for omnidirectional camera using CMei's model Positional Arguments objectPoints : Evision.Mat.t() . Object points in world coordinate, vector of vector of Vec3f or Mat of 1xN/Nx1 3-channel of type CV_32F and N is the number of points. 64F is also acceptable. rvec : Evision.Mat.t() . vector of rotation between world coordinate and camera coordinate, i.e., om tvec : Evision.Mat.t() . vector of translation between pattern coordinate and camera coordinate k : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{s}{c_x}{0}{f_y}{c_y}{0}{0}{_1}\\f$. xi : double . The parameter xi for CMei's model d : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2)\\f$. Return imagePoints : Evision.Mat.t() . Output array of image points, vector of vector of Vec2f or 1xN/Nx1 2-channel of type CV_32F. 64F is also acceptable. jacobian : Evision.Mat.t() . Optional output 2Nx16 of type CV_64F jacobian matrix, contains the derivatives of image pixel points wrt parameters including \\f$om, T, f_x, f_y, s, c_x, c_y, xi, k_1, k_2, p_1, p_2\\f$. This matrix will be used in calibration by optimization. The function projects object 3D points of world coordinate to image pixels, parameter by intrinsic and extrinsic parameters. Also, it optionally compute a by-product: the jacobian matrix containing contains the derivatives of image pixel points wrt intrinsic and extrinsic parameters. Python prototype (for reference only): projectPoints(objectPoints, rvec, tvec, K, xi, D[, imagePoints[, jacobian]]) -&gt; imagePoints, jacobian","ref":"Evision.Omnidir.html#projectPoints/6","title":"Evision.Omnidir.projectPoints/6","type":"function"},{"doc":"Projects points for omnidirectional camera using CMei's model Positional Arguments objectPoints : Evision.Mat.t() . Object points in world coordinate, vector of vector of Vec3f or Mat of 1xN/Nx1 3-channel of type CV_32F and N is the number of points. 64F is also acceptable. rvec : Evision.Mat.t() . vector of rotation between world coordinate and camera coordinate, i.e., om tvec : Evision.Mat.t() . vector of translation between pattern coordinate and camera coordinate k : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{s}{c_x}{0}{f_y}{c_y}{0}{0}{_1}\\f$. xi : double . The parameter xi for CMei's model d : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2)\\f$. Return imagePoints : Evision.Mat.t() . Output array of image points, vector of vector of Vec2f or 1xN/Nx1 2-channel of type CV_32F. 64F is also acceptable. jacobian : Evision.Mat.t() . Optional output 2Nx16 of type CV_64F jacobian matrix, contains the derivatives of image pixel points wrt parameters including \\f$om, T, f_x, f_y, s, c_x, c_y, xi, k_1, k_2, p_1, p_2\\f$. This matrix will be used in calibration by optimization. The function projects object 3D points of world coordinate to image pixels, parameter by intrinsic and extrinsic parameters. Also, it optionally compute a by-product: the jacobian matrix containing contains the derivatives of image pixel points wrt intrinsic and extrinsic parameters. Python prototype (for reference only): projectPoints(objectPoints, rvec, tvec, K, xi, D[, imagePoints[, jacobian]]) -&gt; imagePoints, jacobian","ref":"Evision.Omnidir.html#projectPoints/7","title":"Evision.Omnidir.projectPoints/7","type":"function"},{"doc":"Stereo calibration for omnidirectional camera model. It computes the intrinsic parameters for two cameras and the extrinsic parameters between two cameras. The default depth of outputs is CV_64F. Positional Arguments imageSize1 : Size . Image size of calibration images of the first camera. imageSize2 : Size . Image size of calibration images of the second camera. flags : int . The flags that control stereoCalibrate criteria : TermCriteria . Termination criteria for optimization Return retval : double objectPoints : [Evision.Mat] . Object points in world (pattern) coordinate. Its type is vector&lt;vector&lt;Vec3f&gt; &gt;. It also can be vector of Mat with size 1xN/Nx1 and type CV_32FC3. Data with depth of 64_F is also acceptable. imagePoints1 : [Evision.Mat] . The corresponding image points of the first camera, with type vector&lt;vector&lt;Vec2f&gt; &gt;. It must be the same size and the same type as objectPoints. imagePoints2 : [Evision.Mat] . The corresponding image points of the second camera, with type vector&lt;vector&lt;Vec2f&gt; &gt;. It must be the same size and the same type as objectPoints. k1 : Evision.Mat.t() . Output camera matrix for the first camera. xi1 : Evision.Mat.t() . Output parameter xi of Mei's model for the first camera d1 : Evision.Mat.t() . Output distortion parameters \\f$(k_1, k_2, p_1, p_2)\\f$ for the first camera k2 : Evision.Mat.t() . Output camera matrix for the first camera. xi2 : Evision.Mat.t() . Output parameter xi of CMei's model for the second camera d2 : Evision.Mat.t() . Output distortion parameters \\f$(k_1, k_2, p_1, p_2)\\f$ for the second camera rvec : Evision.Mat.t() . Output rotation between the first and second camera tvec : Evision.Mat.t() . Output translation between the first and second camera rvecsL : [Evision.Mat] . Output rotation for each image of the first camera tvecsL : [Evision.Mat] . Output translation for each image of the first camera idx : Evision.Mat.t() . Indices of image pairs that pass initialization, which are really used in calibration. So the size of rvecs is the same as idx.total(). @ Python prototype (for reference only): stereoCalibrate(objectPoints, imagePoints1, imagePoints2, imageSize1, imageSize2, K1, xi1, D1, K2, xi2, D2, flags, criteria[, rvec[, tvec[, rvecsL[, tvecsL[, idx]]]]]) -&gt; retval, objectPoints, imagePoints1, imagePoints2, K1, xi1, D1, K2, xi2, D2, rvec, tvec, rvecsL, tvecsL, idx","ref":"Evision.Omnidir.html#stereoCalibrate/13","title":"Evision.Omnidir.stereoCalibrate/13","type":"function"},{"doc":"Stereo calibration for omnidirectional camera model. It computes the intrinsic parameters for two cameras and the extrinsic parameters between two cameras. The default depth of outputs is CV_64F. Positional Arguments imageSize1 : Size . Image size of calibration images of the first camera. imageSize2 : Size . Image size of calibration images of the second camera. flags : int . The flags that control stereoCalibrate criteria : TermCriteria . Termination criteria for optimization Return retval : double objectPoints : [Evision.Mat] . Object points in world (pattern) coordinate. Its type is vector&lt;vector&lt;Vec3f&gt; &gt;. It also can be vector of Mat with size 1xN/Nx1 and type CV_32FC3. Data with depth of 64_F is also acceptable. imagePoints1 : [Evision.Mat] . The corresponding image points of the first camera, with type vector&lt;vector&lt;Vec2f&gt; &gt;. It must be the same size and the same type as objectPoints. imagePoints2 : [Evision.Mat] . The corresponding image points of the second camera, with type vector&lt;vector&lt;Vec2f&gt; &gt;. It must be the same size and the same type as objectPoints. k1 : Evision.Mat.t() . Output camera matrix for the first camera. xi1 : Evision.Mat.t() . Output parameter xi of Mei's model for the first camera d1 : Evision.Mat.t() . Output distortion parameters \\f$(k_1, k_2, p_1, p_2)\\f$ for the first camera k2 : Evision.Mat.t() . Output camera matrix for the first camera. xi2 : Evision.Mat.t() . Output parameter xi of CMei's model for the second camera d2 : Evision.Mat.t() . Output distortion parameters \\f$(k_1, k_2, p_1, p_2)\\f$ for the second camera rvec : Evision.Mat.t() . Output rotation between the first and second camera tvec : Evision.Mat.t() . Output translation between the first and second camera rvecsL : [Evision.Mat] . Output rotation for each image of the first camera tvecsL : [Evision.Mat] . Output translation for each image of the first camera idx : Evision.Mat.t() . Indices of image pairs that pass initialization, which are really used in calibration. So the size of rvecs is the same as idx.total(). @ Python prototype (for reference only): stereoCalibrate(objectPoints, imagePoints1, imagePoints2, imageSize1, imageSize2, K1, xi1, D1, K2, xi2, D2, flags, criteria[, rvec[, tvec[, rvecsL[, tvecsL[, idx]]]]]) -&gt; retval, objectPoints, imagePoints1, imagePoints2, K1, xi1, D1, K2, xi2, D2, rvec, tvec, rvecsL, tvecsL, idx","ref":"Evision.Omnidir.html#stereoCalibrate/14","title":"Evision.Omnidir.stereoCalibrate/14","type":"function"},{"doc":"Stereo 3D reconstruction from a pair of images Positional Arguments image1 : Evision.Mat.t() . The first input image image2 : Evision.Mat.t() . The second input image k1 : Evision.Mat.t() . Input camera matrix of the first camera d1 : Evision.Mat.t() . Input distortion parameters \\f$(k_1, k_2, p_1, p_2)\\f$ for the first camera xi1 : Evision.Mat.t() . Input parameter xi for the first camera for CMei's model k2 : Evision.Mat.t() . Input camera matrix of the second camera d2 : Evision.Mat.t() . Input distortion parameters \\f$(k_1, k_2, p_1, p_2)\\f$ for the second camera xi2 : Evision.Mat.t() . Input parameter xi for the second camera for CMei's model r : Evision.Mat.t() . Rotation between the first and second camera t : Evision.Mat.t() . Translation between the first and second camera flag : int . Flag of rectification type, RECTIFY_PERSPECTIVE or RECTIFY_LONGLATI numDisparities : int . The parameter 'numDisparities' in StereoSGBM, see StereoSGBM for details. sADWindowSize : int . The parameter 'SADWindowSize' in StereoSGBM, see StereoSGBM for details. Keyword Arguments newSize : Size . Image size of rectified image, see omnidir::undistortImage knew : Evision.Mat.t() . New camera matrix of rectified image, see omnidir::undistortImage pointType : int . Point cloud type, it can be XYZRGB or XYZ Return disparity : Evision.Mat.t() . Disparity map generated by stereo matching image1Rec : Evision.Mat.t() . Rectified image of the first image image2Rec : Evision.Mat.t() . rectified image of the second image pointCloud : Evision.Mat.t() . Point cloud of 3D reconstruction, with type CV_64FC3 Python prototype (for reference only): stereoReconstruct(image1, image2, K1, D1, xi1, K2, D2, xi2, R, T, flag, numDisparities, SADWindowSize[, disparity[, image1Rec[, image2Rec[, newSize[, Knew[, pointCloud[, pointType]]]]]]]) -&gt; disparity, image1Rec, image2Rec, pointCloud","ref":"Evision.Omnidir.html#stereoReconstruct/13","title":"Evision.Omnidir.stereoReconstruct/13","type":"function"},{"doc":"Stereo 3D reconstruction from a pair of images Positional Arguments image1 : Evision.Mat.t() . The first input image image2 : Evision.Mat.t() . The second input image k1 : Evision.Mat.t() . Input camera matrix of the first camera d1 : Evision.Mat.t() . Input distortion parameters \\f$(k_1, k_2, p_1, p_2)\\f$ for the first camera xi1 : Evision.Mat.t() . Input parameter xi for the first camera for CMei's model k2 : Evision.Mat.t() . Input camera matrix of the second camera d2 : Evision.Mat.t() . Input distortion parameters \\f$(k_1, k_2, p_1, p_2)\\f$ for the second camera xi2 : Evision.Mat.t() . Input parameter xi for the second camera for CMei's model r : Evision.Mat.t() . Rotation between the first and second camera t : Evision.Mat.t() . Translation between the first and second camera flag : int . Flag of rectification type, RECTIFY_PERSPECTIVE or RECTIFY_LONGLATI numDisparities : int . The parameter 'numDisparities' in StereoSGBM, see StereoSGBM for details. sADWindowSize : int . The parameter 'SADWindowSize' in StereoSGBM, see StereoSGBM for details. Keyword Arguments newSize : Size . Image size of rectified image, see omnidir::undistortImage knew : Evision.Mat.t() . New camera matrix of rectified image, see omnidir::undistortImage pointType : int . Point cloud type, it can be XYZRGB or XYZ Return disparity : Evision.Mat.t() . Disparity map generated by stereo matching image1Rec : Evision.Mat.t() . Rectified image of the first image image2Rec : Evision.Mat.t() . rectified image of the second image pointCloud : Evision.Mat.t() . Point cloud of 3D reconstruction, with type CV_64FC3 Python prototype (for reference only): stereoReconstruct(image1, image2, K1, D1, xi1, K2, D2, xi2, R, T, flag, numDisparities, SADWindowSize[, disparity[, image1Rec[, image2Rec[, newSize[, Knew[, pointCloud[, pointType]]]]]]]) -&gt; disparity, image1Rec, image2Rec, pointCloud","ref":"Evision.Omnidir.html#stereoReconstruct/14","title":"Evision.Omnidir.stereoReconstruct/14","type":"function"},{"doc":"Stereo rectification for omnidirectional camera model. It computes the rectification rotations for two cameras Positional Arguments r : Evision.Mat.t() . Rotation between the first and second camera t : Evision.Mat.t() . Translation between the first and second camera Return r1 : Evision.Mat.t() . Output 3x3 rotation matrix for the first camera r2 : Evision.Mat.t() . Output 3x3 rotation matrix for the second camera Python prototype (for reference only): stereoRectify(R, T[, R1[, R2]]) -&gt; R1, R2","ref":"Evision.Omnidir.html#stereoRectify/2","title":"Evision.Omnidir.stereoRectify/2","type":"function"},{"doc":"Stereo rectification for omnidirectional camera model. It computes the rectification rotations for two cameras Positional Arguments r : Evision.Mat.t() . Rotation between the first and second camera t : Evision.Mat.t() . Translation between the first and second camera Return r1 : Evision.Mat.t() . Output 3x3 rotation matrix for the first camera r2 : Evision.Mat.t() . Output 3x3 rotation matrix for the second camera Python prototype (for reference only): stereoRectify(R, T[, R1[, R2]]) -&gt; R1, R2","ref":"Evision.Omnidir.html#stereoRectify/3","title":"Evision.Omnidir.stereoRectify/3","type":"function"},{"doc":"Undistort omnidirectional images to perspective images Positional Arguments distorted : Evision.Mat.t() . The input omnidirectional image. k : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{s}{c_x}{0}{f_y}{c_y}{0}{0}{_1}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2)\\f$. xi : Evision.Mat.t() . The parameter xi for CMei's model. flags : int . Flags indicates the rectification type, RECTIFY_PERSPECTIVE, RECTIFY_CYLINDRICAL, RECTIFY_LONGLATI and RECTIFY_STEREOGRAPHIC Keyword Arguments knew : Evision.Mat.t() . Camera matrix of the distorted image. If it is not assigned, it is just K. new_size : Size . The new image size. By default, it is the size of distorted. r : Evision.Mat.t() . Rotation matrix between the input and output images. By default, it is identity matrix. Return undistorted : Evision.Mat.t() . The output undistorted image. Python prototype (for reference only): undistortImage(distorted, K, D, xi, flags[, undistorted[, Knew[, new_size[, R]]]]) -&gt; undistorted","ref":"Evision.Omnidir.html#undistortImage/5","title":"Evision.Omnidir.undistortImage/5","type":"function"},{"doc":"Undistort omnidirectional images to perspective images Positional Arguments distorted : Evision.Mat.t() . The input omnidirectional image. k : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{s}{c_x}{0}{f_y}{c_y}{0}{0}{_1}\\f$. d : Evision.Mat.t() . Input vector of distortion coefficients \\f$(k_1, k_2, p_1, p_2)\\f$. xi : Evision.Mat.t() . The parameter xi for CMei's model. flags : int . Flags indicates the rectification type, RECTIFY_PERSPECTIVE, RECTIFY_CYLINDRICAL, RECTIFY_LONGLATI and RECTIFY_STEREOGRAPHIC Keyword Arguments knew : Evision.Mat.t() . Camera matrix of the distorted image. If it is not assigned, it is just K. new_size : Size . The new image size. By default, it is the size of distorted. r : Evision.Mat.t() . Rotation matrix between the input and output images. By default, it is identity matrix. Return undistorted : Evision.Mat.t() . The output undistorted image. Python prototype (for reference only): undistortImage(distorted, K, D, xi, flags[, undistorted[, Knew[, new_size[, R]]]]) -&gt; undistorted","ref":"Evision.Omnidir.html#undistortImage/6","title":"Evision.Omnidir.undistortImage/6","type":"function"},{"doc":"Undistort 2D image points for omnidirectional camera using CMei's model Positional Arguments distorted : Evision.Mat.t() . Array of distorted image points, vector of Vec2f or 1xN/Nx1 2-channel Mat of type CV_32F, 64F depth is also acceptable k : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{s}{c_x}{0}{f_y}{c_y}{0}{0}{_1}\\f$. d : Evision.Mat.t() . Distortion coefficients \\f$(k_1, k_2, p_1, p_2)\\f$. xi : Evision.Mat.t() . The parameter xi for CMei's model r : Evision.Mat.t() . Rotation trainsform between the original and object space : 3x3 1-channel, or vector: 3x1/1x3 1-channel or 1x1 3-channel Return undistorted : Evision.Mat.t() . array of normalized object points, vector of Vec2f/Vec2d or 1xN/Nx1 2-channel Mat with the same depth of distorted points. Python prototype (for reference only): undistortPoints(distorted, K, D, xi, R[, undistorted]) -&gt; undistorted","ref":"Evision.Omnidir.html#undistortPoints/5","title":"Evision.Omnidir.undistortPoints/5","type":"function"},{"doc":"Undistort 2D image points for omnidirectional camera using CMei's model Positional Arguments distorted : Evision.Mat.t() . Array of distorted image points, vector of Vec2f or 1xN/Nx1 2-channel Mat of type CV_32F, 64F depth is also acceptable k : Evision.Mat.t() . Camera matrix \\f$K = \\vecthreethree{f_x}{s}{c_x}{0}{f_y}{c_y}{0}{0}{_1}\\f$. d : Evision.Mat.t() . Distortion coefficients \\f$(k_1, k_2, p_1, p_2)\\f$. xi : Evision.Mat.t() . The parameter xi for CMei's model r : Evision.Mat.t() . Rotation trainsform between the original and object space : 3x3 1-channel, or vector: 3x1/1x3 1-channel or 1x1 3-channel Return undistorted : Evision.Mat.t() . array of normalized object points, vector of Vec2f/Vec2d or 1xN/Nx1 2-channel Mat with the same depth of distorted points. Python prototype (for reference only): undistortPoints(distorted, K, D, xi, R[, undistorted]) -&gt; undistorted","ref":"Evision.Omnidir.html#undistortPoints/6","title":"Evision.Omnidir.undistortPoints/6","type":"function"},{"doc":"Type that represents an Omnidir struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Omnidir.html#t:t/0","title":"Evision.Omnidir.t/0","type":"type"},{"doc":"","ref":"Evision.PPFMatch3D.html","title":"Evision.PPFMatch3D","type":"module"},{"doc":"addNoisePC Positional Arguments pc : Evision.Mat.t() scale : double Return retval : Evision.Mat.t() Adds a uniform noise in the given scale to the input point cloud Python prototype (for reference only): addNoisePC(pc, scale) -&gt; retval","ref":"Evision.PPFMatch3D.html#addNoisePC/2","title":"Evision.PPFMatch3D.addNoisePC/2","type":"function"},{"doc":"Compute the normals of an arbitrary point cloud computeNormalsPC3d uses a plane fitting approach to smoothly compute local normals. Normals are obtained through the eigenvector of the covariance matrix, corresponding to the smallest eigen value. If PCNormals is provided to be an Nx6 matrix, then no new allocation is made, instead the existing memory is overwritten. Positional Arguments pC : Evision.Mat.t() numNeighbors : int flipViewpoint : bool viewpoint : Vec3f Return retval : int pCNormals : Evision.Mat.t() . @return Returns 0 on success Python prototype (for reference only): computeNormalsPC3d(PC, NumNeighbors, FlipViewpoint, viewpoint[, PCNormals]) -&gt; retval, PCNormals","ref":"Evision.PPFMatch3D.html#computeNormalsPC3d/4","title":"Evision.PPFMatch3D.computeNormalsPC3d/4","type":"function"},{"doc":"Compute the normals of an arbitrary point cloud computeNormalsPC3d uses a plane fitting approach to smoothly compute local normals. Normals are obtained through the eigenvector of the covariance matrix, corresponding to the smallest eigen value. If PCNormals is provided to be an Nx6 matrix, then no new allocation is made, instead the existing memory is overwritten. Positional Arguments pC : Evision.Mat.t() numNeighbors : int flipViewpoint : bool viewpoint : Vec3f Return retval : int pCNormals : Evision.Mat.t() . @return Returns 0 on success Python prototype (for reference only): computeNormalsPC3d(PC, NumNeighbors, FlipViewpoint, viewpoint[, PCNormals]) -&gt; retval, PCNormals","ref":"Evision.PPFMatch3D.html#computeNormalsPC3d/5","title":"Evision.PPFMatch3D.computeNormalsPC3d/5","type":"function"},{"doc":"getRandomPose Positional Arguments pose : Evision.Mat.t() Generate a random 4x4 pose matrix Python prototype (for reference only): getRandomPose(Pose) -&gt; None","ref":"Evision.PPFMatch3D.html#getRandomPose/1","title":"Evision.PPFMatch3D.getRandomPose/1","type":"function"},{"doc":"Load a PLY file Positional Arguments fileName : c_string Keyword Arguments withNormals : int . Return retval : Evision.Mat.t() @return Returns the matrix on successful load Python prototype (for reference only): loadPLYSimple(fileName[, withNormals]) -&gt; retval","ref":"Evision.PPFMatch3D.html#loadPLYSimple/1","title":"Evision.PPFMatch3D.loadPLYSimple/1","type":"function"},{"doc":"Load a PLY file Positional Arguments fileName : c_string Keyword Arguments withNormals : int . Return retval : Evision.Mat.t() @return Returns the matrix on successful load Python prototype (for reference only): loadPLYSimple(fileName[, withNormals]) -&gt; retval","ref":"Evision.PPFMatch3D.html#loadPLYSimple/2","title":"Evision.PPFMatch3D.loadPLYSimple/2","type":"function"},{"doc":"samplePCByQuantization Positional Arguments pc : Evision.Mat.t() xrange : Vec2f yrange : Vec2f zrange : Vec2f sample_step_relative : float Keyword Arguments weightByCenter : int . Return retval : Evision.Mat.t() Sample a point cloud using uniform steps @return Sampled point cloud Python prototype (for reference only): samplePCByQuantization(pc, xrange, yrange, zrange, sample_step_relative[, weightByCenter]) -&gt; retval","ref":"Evision.PPFMatch3D.html#samplePCByQuantization/5","title":"Evision.PPFMatch3D.samplePCByQuantization/5","type":"function"},{"doc":"samplePCByQuantization Positional Arguments pc : Evision.Mat.t() xrange : Vec2f yrange : Vec2f zrange : Vec2f sample_step_relative : float Keyword Arguments weightByCenter : int . Return retval : Evision.Mat.t() Sample a point cloud using uniform steps @return Sampled point cloud Python prototype (for reference only): samplePCByQuantization(pc, xrange, yrange, zrange, sample_step_relative[, weightByCenter]) -&gt; retval","ref":"Evision.PPFMatch3D.html#samplePCByQuantization/6","title":"Evision.PPFMatch3D.samplePCByQuantization/6","type":"function"},{"doc":"transformPCPose Positional Arguments pc : Evision.Mat.t() pose : Evision.Mat.t() Return retval : Evision.Mat.t() Transforms the point cloud with a given a homogeneous 4x4 pose matrix (in double precision) @return Transformed point cloud Python prototype (for reference only): transformPCPose(pc, Pose) -&gt; retval","ref":"Evision.PPFMatch3D.html#transformPCPose/2","title":"Evision.PPFMatch3D.transformPCPose/2","type":"function"},{"doc":"Write a point cloud to PLY file Positional Arguments pC : Evision.Mat.t() fileName : c_string Python prototype (for reference only): writePLY(PC, fileName) -&gt; None","ref":"Evision.PPFMatch3D.html#writePLY/2","title":"Evision.PPFMatch3D.writePLY/2","type":"function"},{"doc":"Used for debbuging pruposes, writes a point cloud to a PLY file with the tip of the normal vectors as visible red points Positional Arguments pC : Evision.Mat.t() fileName : c_string Python prototype (for reference only): writePLYVisibleNormals(PC, fileName) -&gt; None","ref":"Evision.PPFMatch3D.html#writePLYVisibleNormals/2","title":"Evision.PPFMatch3D.writePLYVisibleNormals/2","type":"function"},{"doc":"Type that represents an PPFMatch3D struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.PPFMatch3D.html#t:t/0","title":"Evision.PPFMatch3D.t/0","type":"type"},{"doc":"","ref":"Evision.PPFMatch3D.ICP.html","title":"Evision.PPFMatch3D.ICP","type":"module"},{"doc":"ICP Return self : ICP Python prototype (for reference only): ICP() -&gt; &lt;ppf_match_3d_ICP object&gt;","ref":"Evision.PPFMatch3D.ICP.html#iCP/0","title":"Evision.PPFMatch3D.ICP.iCP/0","type":"function"},{"doc":"ICP Positional Arguments iterations : int Keyword Arguments tolerence : float . rejectionScale : float . numLevels : int . sampleType : int . numMaxCorr : int . Return self : ICP \\brief ICP constructor with default arguments. Python prototype (for reference only): ICP(iterations[, tolerence[, rejectionScale[, numLevels[, sampleType[, numMaxCorr]]]]]) -&gt; &lt;ppf_match_3d_ICP object&gt;","ref":"Evision.PPFMatch3D.ICP.html#iCP/1","title":"Evision.PPFMatch3D.ICP.iCP/1","type":"function"},{"doc":"ICP Positional Arguments iterations : int Keyword Arguments tolerence : float . rejectionScale : float . numLevels : int . sampleType : int . numMaxCorr : int . Return self : ICP \\brief ICP constructor with default arguments. Python prototype (for reference only): ICP(iterations[, tolerence[, rejectionScale[, numLevels[, sampleType[, numMaxCorr]]]]]) -&gt; &lt;ppf_match_3d_ICP object&gt;","ref":"Evision.PPFMatch3D.ICP.html#iCP/2","title":"Evision.PPFMatch3D.ICP.iCP/2","type":"function"},{"doc":"registerModelToScene Positional Arguments self : Evision.PPFMatch3D.ICP.t() srcPC : Evision.Mat.t() dstPC : Evision.Mat.t() Return retval : int residual : double pose : Evision.Mat.t() \\brief Perform registration \\details It is assumed that the model is registered on the scene. Scene remains static, while the model transforms. The output poses transform the models onto the scene. Because of the point to plane minimization, the scene is expected to have the normals available. Expected to have the normals (Nx6). Python prototype (for reference only): registerModelToScene(srcPC, dstPC) -&gt; retval, residual, pose","ref":"Evision.PPFMatch3D.ICP.html#registerModelToScene/3","title":"Evision.PPFMatch3D.ICP.registerModelToScene/3","type":"function"},{"doc":"registerModelToScene Positional Arguments self : Evision.PPFMatch3D.ICP.t() srcPC : Evision.Mat.t() dstPC : Evision.Mat.t() Return retval : int poses : [Evision.PPFMatch3D.Pose3D] \\brief Perform registration with multiple initial poses \\details It is assumed that the model is registered on the scene. Scene remains static, while the model transforms. The output poses transform the models onto the scene. Because of the point to plane minimization, the scene is expected to have the normals available. Expected to have the normals (Nx6). Python prototype (for reference only): registerModelToScene(srcPC, dstPC, poses) -&gt; retval, poses","ref":"Evision.PPFMatch3D.ICP.html#registerModelToScene/4","title":"Evision.PPFMatch3D.ICP.registerModelToScene/4","type":"function"},{"doc":"Type that represents an PPFMatch3D.ICP struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.PPFMatch3D.ICP.html#t:t/0","title":"Evision.PPFMatch3D.ICP.t/0","type":"type"},{"doc":"","ref":"Evision.PPFMatch3D.PPF3DDetector.html","title":"Evision.PPFMatch3D.PPF3DDetector","type":"module"},{"doc":"match Positional Arguments self : Evision.PPFMatch3D.PPF3DDetector.t() scene : Evision.Mat.t() Keyword Arguments relativeSceneSampleStep : double . relativeSceneDistance : double . Return results : [Evision.PPFMatch3D.Pose3D] \\brief Matches a trained model across a provided scene. Python prototype (for reference only): match(scene[, relativeSceneSampleStep[, relativeSceneDistance]]) -&gt; results","ref":"Evision.PPFMatch3D.PPF3DDetector.html#match/2","title":"Evision.PPFMatch3D.PPF3DDetector.match/2","type":"function"},{"doc":"match Positional Arguments self : Evision.PPFMatch3D.PPF3DDetector.t() scene : Evision.Mat.t() Keyword Arguments relativeSceneSampleStep : double . relativeSceneDistance : double . Return results : [Evision.PPFMatch3D.Pose3D] \\brief Matches a trained model across a provided scene. Python prototype (for reference only): match(scene[, relativeSceneSampleStep[, relativeSceneDistance]]) -&gt; results","ref":"Evision.PPFMatch3D.PPF3DDetector.html#match/3","title":"Evision.PPFMatch3D.PPF3DDetector.match/3","type":"function"},{"doc":"PPF3DDetector Return self : Evision.PPFMatch3D.PPF3DDetector.t() \\brief Empty constructor. Sets default arguments Python prototype (for reference only): PPF3DDetector() -&gt; &lt;ppf_match_3d_PPF3DDetector object&gt;","ref":"Evision.PPFMatch3D.PPF3DDetector.html#pPF3DDetector/0","title":"Evision.PPFMatch3D.PPF3DDetector.pPF3DDetector/0","type":"function"},{"doc":"PPF3DDetector Positional Arguments relativeSamplingStep : double Keyword Arguments relativeDistanceStep : double . numAngles : double . Return self : Evision.PPFMatch3D.PPF3DDetector.t() Constructor with arguments Python prototype (for reference only): PPF3DDetector(relativeSamplingStep[, relativeDistanceStep[, numAngles]]) -&gt; &lt;ppf_match_3d_PPF3DDetector object&gt;","ref":"Evision.PPFMatch3D.PPF3DDetector.html#pPF3DDetector/1","title":"Evision.PPFMatch3D.PPF3DDetector.pPF3DDetector/1","type":"function"},{"doc":"PPF3DDetector Positional Arguments relativeSamplingStep : double Keyword Arguments relativeDistanceStep : double . numAngles : double . Return self : Evision.PPFMatch3D.PPF3DDetector.t() Constructor with arguments Python prototype (for reference only): PPF3DDetector(relativeSamplingStep[, relativeDistanceStep[, numAngles]]) -&gt; &lt;ppf_match_3d_PPF3DDetector object&gt;","ref":"Evision.PPFMatch3D.PPF3DDetector.html#pPF3DDetector/2","title":"Evision.PPFMatch3D.PPF3DDetector.pPF3DDetector/2","type":"function"},{"doc":"trainModel Positional Arguments self : Evision.PPFMatch3D.PPF3DDetector.t() model : Evision.Mat.t() \\brief Trains a new model. \\details Uses the parameters set in the constructor to downsample and learn a new model. When the model is learnt, the instance gets ready for calling &quot;match&quot;. Python prototype (for reference only): trainModel(Model) -&gt; None","ref":"Evision.PPFMatch3D.PPF3DDetector.html#trainModel/2","title":"Evision.PPFMatch3D.PPF3DDetector.trainModel/2","type":"function"},{"doc":"Type that represents an PPFMatch3D.PPF3DDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.PPFMatch3D.PPF3DDetector.html#t:t/0","title":"Evision.PPFMatch3D.PPF3DDetector.t/0","type":"type"},{"doc":"","ref":"Evision.PPFMatch3D.Pose3D.html","title":"Evision.PPFMatch3D.Pose3D","type":"module"},{"doc":"appendPose Positional Arguments self : Evision.PPFMatch3D.Pose3D.t() incrementalPose : Evision.Mat.t() \\brief Left multiplies the existing pose in order to update the transformation \\param [in] IncrementalPose New pose to apply Python prototype (for reference only): appendPose(IncrementalPose) -&gt; None","ref":"Evision.PPFMatch3D.Pose3D.html#appendPose/2","title":"Evision.PPFMatch3D.Pose3D.appendPose/2","type":"function"},{"doc":"","ref":"Evision.PPFMatch3D.Pose3D.html#get_alpha/1","title":"Evision.PPFMatch3D.Pose3D.get_alpha/1","type":"function"},{"doc":"","ref":"Evision.PPFMatch3D.Pose3D.html#get_angle/1","title":"Evision.PPFMatch3D.Pose3D.get_angle/1","type":"function"},{"doc":"","ref":"Evision.PPFMatch3D.Pose3D.html#get_modelIndex/1","title":"Evision.PPFMatch3D.Pose3D.get_modelIndex/1","type":"function"},{"doc":"","ref":"Evision.PPFMatch3D.Pose3D.html#get_numVotes/1","title":"Evision.PPFMatch3D.Pose3D.get_numVotes/1","type":"function"},{"doc":"","ref":"Evision.PPFMatch3D.Pose3D.html#get_pose/1","title":"Evision.PPFMatch3D.Pose3D.get_pose/1","type":"function"},{"doc":"","ref":"Evision.PPFMatch3D.Pose3D.html#get_q/1","title":"Evision.PPFMatch3D.Pose3D.get_q/1","type":"function"},{"doc":"","ref":"Evision.PPFMatch3D.Pose3D.html#get_residual/1","title":"Evision.PPFMatch3D.Pose3D.get_residual/1","type":"function"},{"doc":"","ref":"Evision.PPFMatch3D.Pose3D.html#get_t/1","title":"Evision.PPFMatch3D.Pose3D.get_t/1","type":"function"},{"doc":"Pose3D Return self : Evision.PPFMatch3D.Pose3D.t() Python prototype (for reference only): Pose3D() -&gt; &lt;ppf_match_3d_Pose3D object&gt;","ref":"Evision.PPFMatch3D.Pose3D.html#pose3D/0","title":"Evision.PPFMatch3D.Pose3D.pose3D/0","type":"function"},{"doc":"Pose3D Positional Arguments alpha : double Keyword Arguments modelIndex : size_t . numVotes : size_t . Return self : Evision.PPFMatch3D.Pose3D.t() Python prototype (for reference only): Pose3D(Alpha[, ModelIndex[, NumVotes]]) -&gt; &lt;ppf_match_3d_Pose3D object&gt;","ref":"Evision.PPFMatch3D.Pose3D.html#pose3D/1","title":"Evision.PPFMatch3D.Pose3D.pose3D/1","type":"function"},{"doc":"Pose3D Positional Arguments alpha : double Keyword Arguments modelIndex : size_t . numVotes : size_t . Return self : Evision.PPFMatch3D.Pose3D.t() Python prototype (for reference only): Pose3D(Alpha[, ModelIndex[, NumVotes]]) -&gt; &lt;ppf_match_3d_Pose3D object&gt;","ref":"Evision.PPFMatch3D.Pose3D.html#pose3D/2","title":"Evision.PPFMatch3D.Pose3D.pose3D/2","type":"function"},{"doc":"printPose Positional Arguments self : Evision.PPFMatch3D.Pose3D.t() Python prototype (for reference only): printPose() -&gt; None","ref":"Evision.PPFMatch3D.Pose3D.html#printPose/1","title":"Evision.PPFMatch3D.Pose3D.printPose/1","type":"function"},{"doc":"updatePose Positional Arguments self : Evision.PPFMatch3D.Pose3D.t() newPose : Evision.Mat.t() \\brief Updates the pose with the new one \\param [in] NewPose New pose to overwrite Python prototype (for reference only): updatePose(NewPose) -&gt; None","ref":"Evision.PPFMatch3D.Pose3D.html#updatePose/2","title":"Evision.PPFMatch3D.Pose3D.updatePose/2","type":"function"},{"doc":"updatePose Positional Arguments self : Evision.PPFMatch3D.Pose3D.t() newR : Evision.Mat.t() newT : Vec3d \\brief Updates the pose with the new one Python prototype (for reference only): updatePose(NewR, NewT) -&gt; None","ref":"Evision.PPFMatch3D.Pose3D.html#updatePose/3","title":"Evision.PPFMatch3D.Pose3D.updatePose/3","type":"function"},{"doc":"updatePoseQuat Positional Arguments self : Evision.PPFMatch3D.Pose3D.t() q : Vec4d newT : Vec3d \\brief Updates the pose with the new one, but this time using quaternions to represent rotation Python prototype (for reference only): updatePoseQuat(Q, NewT) -&gt; None","ref":"Evision.PPFMatch3D.Pose3D.html#updatePoseQuat/3","title":"Evision.PPFMatch3D.Pose3D.updatePoseQuat/3","type":"function"},{"doc":"Type that represents an PPFMatch3D.Pose3D struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.PPFMatch3D.Pose3D.html#t:t/0","title":"Evision.PPFMatch3D.Pose3D.t/0","type":"type"},{"doc":"","ref":"Evision.Parallel.html","title":"Evision.Parallel","type":"module"},{"doc":"Change OpenCV parallel_for backend Positional Arguments backendName : string Keyword Arguments propagateNumThreads : bool . Return retval : bool Note : This call is not thread-safe. Consider calling this function from the main() before any other OpenCV processing functions (and without any other created threads). Python prototype (for reference only): setParallelForBackend(backendName[, propagateNumThreads]) -&gt; retval","ref":"Evision.Parallel.html#setParallelForBackend/1","title":"Evision.Parallel.setParallelForBackend/1","type":"function"},{"doc":"Change OpenCV parallel_for backend Positional Arguments backendName : string Keyword Arguments propagateNumThreads : bool . Return retval : bool Note : This call is not thread-safe. Consider calling this function from the main() before any other OpenCV processing functions (and without any other created threads). Python prototype (for reference only): setParallelForBackend(backendName[, propagateNumThreads]) -&gt; retval","ref":"Evision.Parallel.html#setParallelForBackend/2","title":"Evision.Parallel.setParallelForBackend/2","type":"function"},{"doc":"Type that represents an Parallel struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Parallel.html#t:t/0","title":"Evision.Parallel.t/0","type":"type"},{"doc":"","ref":"Evision.PhaseUnwrapping.html","title":"Evision.PhaseUnwrapping","type":"module"},{"doc":"Type that represents an PhaseUnwrapping struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.PhaseUnwrapping.html#t:t/0","title":"Evision.PhaseUnwrapping.t/0","type":"type"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.html","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping","type":"module"},{"doc":"Constructor Keyword Arguments parameters : Evision.HistogramPhaseUnwrapping.Params.t() . HistogramPhaseUnwrapping parameters HistogramPhaseUnwrapping::Params: width,height of the phase map and histogram characteristics. Return retval : Evision.HistogramPhaseUnwrapping.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.html#create/0","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.create/0","type":"function"},{"doc":"Constructor Keyword Arguments parameters : Evision.HistogramPhaseUnwrapping.Params.t() . HistogramPhaseUnwrapping parameters HistogramPhaseUnwrapping::Params: width,height of the phase map and histogram characteristics. Return retval : Evision.HistogramPhaseUnwrapping.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.html#create/1","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.create/1","type":"function"},{"doc":"Get the reliability map computed from the wrapped phase map. Positional Arguments self : Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.t() Return reliabilityMap : Evision.Mat.t() . Image where the reliability map is stored. Python prototype (for reference only): getInverseReliabilityMap([, reliabilityMap]) -&gt; reliabilityMap","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.html#getInverseReliabilityMap/1","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.getInverseReliabilityMap/1","type":"function"},{"doc":"Get the reliability map computed from the wrapped phase map. Positional Arguments self : Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.t() Return reliabilityMap : Evision.Mat.t() . Image where the reliability map is stored. Python prototype (for reference only): getInverseReliabilityMap([, reliabilityMap]) -&gt; reliabilityMap","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.html#getInverseReliabilityMap/2","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.getInverseReliabilityMap/2","type":"function"},{"doc":"Type that represents an PhaseUnwrapping.HistogramPhaseUnwrapping struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.html#t:t/0","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.t/0","type":"type"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params","type":"module"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#get_height/1","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.get_height/1","type":"function"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#get_histThresh/1","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.get_histThresh/1","type":"function"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#get_nbrOfLargeBins/1","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.get_nbrOfLargeBins/1","type":"function"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#get_nbrOfSmallBins/1","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.get_nbrOfSmallBins/1","type":"function"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#get_width/1","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.get_width/1","type":"function"},{"doc":"HistogramPhaseUnwrapping_Params Return self : Evision.HistogramPhaseUnwrapping.Params.t() Python prototype (for reference only): HistogramPhaseUnwrapping_Params() -&gt; &lt;phase_unwrapping_HistogramPhaseUnwrapping_Params object&gt;","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#phase_unwrapping_HistogramPhaseUnwrapping_Params/0","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.phase_unwrapping_HistogramPhaseUnwrapping_Params/0","type":"function"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#set_height/2","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.set_height/2","type":"function"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#set_histThresh/2","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.set_histThresh/2","type":"function"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#set_nbrOfLargeBins/2","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.set_nbrOfLargeBins/2","type":"function"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#set_nbrOfSmallBins/2","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.set_nbrOfSmallBins/2","type":"function"},{"doc":"","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#set_width/2","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.set_width/2","type":"function"},{"doc":"Type that represents an PhaseUnwrapping.HistogramPhaseUnwrapping.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.html#t:t/0","title":"Evision.PhaseUnwrapping.HistogramPhaseUnwrapping.Params.t/0","type":"type"},{"doc":"","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html","title":"Evision.PhaseUnwrapping.PhaseUnwrapping","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.PhaseUnwrapping.PhaseUnwrapping.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html#clear/1","title":"Evision.PhaseUnwrapping.PhaseUnwrapping.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.PhaseUnwrapping.PhaseUnwrapping.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html#empty/1","title":"Evision.PhaseUnwrapping.PhaseUnwrapping.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.PhaseUnwrapping.PhaseUnwrapping.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html#getDefaultName/1","title":"Evision.PhaseUnwrapping.PhaseUnwrapping.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.PhaseUnwrapping.PhaseUnwrapping.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html#read/2","title":"Evision.PhaseUnwrapping.PhaseUnwrapping.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.PhaseUnwrapping.PhaseUnwrapping.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html#save/2","title":"Evision.PhaseUnwrapping.PhaseUnwrapping.save/2","type":"function"},{"doc":"Unwraps a 2D phase map. Positional Arguments self : Evision.PhaseUnwrapping.PhaseUnwrapping.t() wrappedPhaseMap : Evision.Mat.t() . The wrapped phase map of type CV_32FC1 that needs to be unwrapped. Keyword Arguments shadowMask : Evision.Mat.t() . Optional CV_8UC1 mask image used when some pixels do not hold any phase information in the wrapped phase map. Return unwrappedPhaseMap : Evision.Mat.t() . The unwrapped phase map. Python prototype (for reference only): unwrapPhaseMap(wrappedPhaseMap[, unwrappedPhaseMap[, shadowMask]]) -&gt; unwrappedPhaseMap","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html#unwrapPhaseMap/2","title":"Evision.PhaseUnwrapping.PhaseUnwrapping.unwrapPhaseMap/2","type":"function"},{"doc":"Unwraps a 2D phase map. Positional Arguments self : Evision.PhaseUnwrapping.PhaseUnwrapping.t() wrappedPhaseMap : Evision.Mat.t() . The wrapped phase map of type CV_32FC1 that needs to be unwrapped. Keyword Arguments shadowMask : Evision.Mat.t() . Optional CV_8UC1 mask image used when some pixels do not hold any phase information in the wrapped phase map. Return unwrappedPhaseMap : Evision.Mat.t() . The unwrapped phase map. Python prototype (for reference only): unwrapPhaseMap(wrappedPhaseMap[, unwrappedPhaseMap[, shadowMask]]) -&gt; unwrappedPhaseMap","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html#unwrapPhaseMap/3","title":"Evision.PhaseUnwrapping.PhaseUnwrapping.unwrapPhaseMap/3","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.PhaseUnwrapping.PhaseUnwrapping.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html#write/2","title":"Evision.PhaseUnwrapping.PhaseUnwrapping.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.PhaseUnwrapping.PhaseUnwrapping.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html#write/3","title":"Evision.PhaseUnwrapping.PhaseUnwrapping.write/3","type":"function"},{"doc":"Type that represents an PhaseUnwrapping.PhaseUnwrapping struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.PhaseUnwrapping.PhaseUnwrapping.html#t:t/0","title":"Evision.PhaseUnwrapping.PhaseUnwrapping.t/0","type":"type"},{"doc":"","ref":"Evision.Plot.html","title":"Evision.Plot","type":"module"},{"doc":"Type that represents an Plot struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Plot.html#t:t/0","title":"Evision.Plot.t/0","type":"type"},{"doc":"","ref":"Evision.Plot.Plot2d.html","title":"Evision.Plot.Plot2d","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Plot.Plot2d.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Plot.Plot2d.html#clear/1","title":"Evision.Plot.Plot2d.clear/1","type":"function"},{"doc":"Creates Plot2d object Positional Arguments data : Evision.Mat.t() . \\f$1xN\\f$ or \\f$Nx1\\f$ matrix containing \\f$Y\\f$ values of points to plot. \\f$X\\f$ values will be equal to indexes of correspondind elements in data matrix. Return retval : Plot2d Python prototype (for reference only): create(data) -&gt; retval","ref":"Evision.Plot.Plot2d.html#create/1","title":"Evision.Plot.Plot2d.create/1","type":"function"},{"doc":"Creates Plot2d object Positional Arguments dataX : Evision.Mat.t() . \\f$1xN\\f$ or \\f$Nx1\\f$ matrix \\f$X\\f$ values of points to plot. dataY : Evision.Mat.t() . \\f$1xN\\f$ or \\f$Nx1\\f$ matrix containing \\f$Y\\f$ values of points to plot. Return retval : Plot2d Python prototype (for reference only): create(dataX, dataY) -&gt; retval","ref":"Evision.Plot.Plot2d.html#create/2","title":"Evision.Plot.Plot2d.create/2","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Plot.Plot2d.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Plot.Plot2d.html#empty/1","title":"Evision.Plot.Plot2d.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Plot.Plot2d.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Plot.Plot2d.html#getDefaultName/1","title":"Evision.Plot.Plot2d.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Plot.Plot2d.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Plot.Plot2d.html#read/2","title":"Evision.Plot.Plot2d.read/2","type":"function"},{"doc":"render Positional Arguments self : Evision.Plot.Plot2d.t() Return plotResult : Evision.Mat.t() . Python prototype (for reference only): render([, _plotResult]) -&gt; _plotResult","ref":"Evision.Plot.Plot2d.html#render/1","title":"Evision.Plot.Plot2d.render/1","type":"function"},{"doc":"render Positional Arguments self : Evision.Plot.Plot2d.t() Return plotResult : Evision.Mat.t() . Python prototype (for reference only): render([, _plotResult]) -&gt; _plotResult","ref":"Evision.Plot.Plot2d.html#render/2","title":"Evision.Plot.Plot2d.render/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Plot.Plot2d.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Plot.Plot2d.html#save/2","title":"Evision.Plot.Plot2d.save/2","type":"function"},{"doc":"setGridLinesNumber Positional Arguments self : Evision.Plot.Plot2d.t() gridLinesNumber : int Python prototype (for reference only): setGridLinesNumber(gridLinesNumber) -&gt; None","ref":"Evision.Plot.Plot2d.html#setGridLinesNumber/2","title":"Evision.Plot.Plot2d.setGridLinesNumber/2","type":"function"},{"doc":"setInvertOrientation Positional Arguments self : Evision.Plot.Plot2d.t() invertOrientation : bool Python prototype (for reference only): setInvertOrientation(_invertOrientation) -&gt; None","ref":"Evision.Plot.Plot2d.html#setInvertOrientation/2","title":"Evision.Plot.Plot2d.setInvertOrientation/2","type":"function"},{"doc":"setMaxX Positional Arguments self : Evision.Plot.Plot2d.t() plotMaxX : double Python prototype (for reference only): setMaxX(_plotMaxX) -&gt; None","ref":"Evision.Plot.Plot2d.html#setMaxX/2","title":"Evision.Plot.Plot2d.setMaxX/2","type":"function"},{"doc":"setMaxY Positional Arguments self : Evision.Plot.Plot2d.t() plotMaxY : double Python prototype (for reference only): setMaxY(_plotMaxY) -&gt; None","ref":"Evision.Plot.Plot2d.html#setMaxY/2","title":"Evision.Plot.Plot2d.setMaxY/2","type":"function"},{"doc":"setMinX Positional Arguments self : Evision.Plot.Plot2d.t() plotMinX : double Python prototype (for reference only): setMinX(_plotMinX) -&gt; None","ref":"Evision.Plot.Plot2d.html#setMinX/2","title":"Evision.Plot.Plot2d.setMinX/2","type":"function"},{"doc":"setMinY Positional Arguments self : Evision.Plot.Plot2d.t() plotMinY : double Python prototype (for reference only): setMinY(_plotMinY) -&gt; None","ref":"Evision.Plot.Plot2d.html#setMinY/2","title":"Evision.Plot.Plot2d.setMinY/2","type":"function"},{"doc":"Switches data visualization mode Positional Arguments self : Evision.Plot.Plot2d.t() needPlotLine : bool . if true then neighbour plot points will be connected by lines. In other case data will be plotted as a set of standalone points. Python prototype (for reference only): setNeedPlotLine(_needPlotLine) -&gt; None","ref":"Evision.Plot.Plot2d.html#setNeedPlotLine/2","title":"Evision.Plot.Plot2d.setNeedPlotLine/2","type":"function"},{"doc":"setPlotAxisColor Positional Arguments self : Evision.Plot.Plot2d.t() plotAxisColor : Scalar Python prototype (for reference only): setPlotAxisColor(_plotAxisColor) -&gt; None","ref":"Evision.Plot.Plot2d.html#setPlotAxisColor/2","title":"Evision.Plot.Plot2d.setPlotAxisColor/2","type":"function"},{"doc":"setPlotBackgroundColor Positional Arguments self : Evision.Plot.Plot2d.t() plotBackgroundColor : Scalar Python prototype (for reference only): setPlotBackgroundColor(_plotBackgroundColor) -&gt; None","ref":"Evision.Plot.Plot2d.html#setPlotBackgroundColor/2","title":"Evision.Plot.Plot2d.setPlotBackgroundColor/2","type":"function"},{"doc":"setPlotGridColor Positional Arguments self : Evision.Plot.Plot2d.t() plotGridColor : Scalar Python prototype (for reference only): setPlotGridColor(_plotGridColor) -&gt; None","ref":"Evision.Plot.Plot2d.html#setPlotGridColor/2","title":"Evision.Plot.Plot2d.setPlotGridColor/2","type":"function"},{"doc":"setPlotLineColor Positional Arguments self : Evision.Plot.Plot2d.t() plotLineColor : Scalar Python prototype (for reference only): setPlotLineColor(_plotLineColor) -&gt; None","ref":"Evision.Plot.Plot2d.html#setPlotLineColor/2","title":"Evision.Plot.Plot2d.setPlotLineColor/2","type":"function"},{"doc":"setPlotLineWidth Positional Arguments self : Evision.Plot.Plot2d.t() plotLineWidth : int Python prototype (for reference only): setPlotLineWidth(_plotLineWidth) -&gt; None","ref":"Evision.Plot.Plot2d.html#setPlotLineWidth/2","title":"Evision.Plot.Plot2d.setPlotLineWidth/2","type":"function"},{"doc":"setPlotSize Positional Arguments self : Evision.Plot.Plot2d.t() plotSizeWidth : int plotSizeHeight : int Python prototype (for reference only): setPlotSize(_plotSizeWidth, _plotSizeHeight) -&gt; None","ref":"Evision.Plot.Plot2d.html#setPlotSize/3","title":"Evision.Plot.Plot2d.setPlotSize/3","type":"function"},{"doc":"setPlotTextColor Positional Arguments self : Evision.Plot.Plot2d.t() plotTextColor : Scalar Python prototype (for reference only): setPlotTextColor(_plotTextColor) -&gt; None","ref":"Evision.Plot.Plot2d.html#setPlotTextColor/2","title":"Evision.Plot.Plot2d.setPlotTextColor/2","type":"function"},{"doc":"Sets the index of a point which coordinates will be printed on the top left corner of the plot (if ShowText flag is true). Positional Arguments self : Evision.Plot.Plot2d.t() pointIdx : int . index of the required point in data array. Python prototype (for reference only): setPointIdxToPrint(pointIdx) -&gt; None","ref":"Evision.Plot.Plot2d.html#setPointIdxToPrint/2","title":"Evision.Plot.Plot2d.setPointIdxToPrint/2","type":"function"},{"doc":"setShowGrid Positional Arguments self : Evision.Plot.Plot2d.t() needShowGrid : bool Python prototype (for reference only): setShowGrid(needShowGrid) -&gt; None","ref":"Evision.Plot.Plot2d.html#setShowGrid/2","title":"Evision.Plot.Plot2d.setShowGrid/2","type":"function"},{"doc":"setShowText Positional Arguments self : Evision.Plot.Plot2d.t() needShowText : bool Python prototype (for reference only): setShowText(needShowText) -&gt; None","ref":"Evision.Plot.Plot2d.html#setShowText/2","title":"Evision.Plot.Plot2d.setShowText/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Plot.Plot2d.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Plot.Plot2d.html#write/2","title":"Evision.Plot.Plot2d.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Plot.Plot2d.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Plot.Plot2d.html#write/3","title":"Evision.Plot.Plot2d.write/3","type":"function"},{"doc":"Type that represents an Plot.Plot2d struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Plot.Plot2d.html#t:t/0","title":"Evision.Plot.Plot2d.t/0","type":"type"},{"doc":"","ref":"Evision.PyRotationWarper.html","title":"Evision.PyRotationWarper","type":"module"},{"doc":"Builds the projection maps according to the given camera data. Positional Arguments self : Evision.PyRotationWarper.t() src_size : Size . Source image size k : Evision.Mat.t() . Camera intrinsic parameters r : Evision.Mat.t() . Camera rotation matrix Return retval : Rect xmap : Evision.Mat.t() . Projection map for the x axis ymap : Evision.Mat.t() . Projection map for the y axis @return Projected image minimum bounding box Python prototype (for reference only): buildMaps(src_size, K, R[, xmap[, ymap]]) -&gt; retval, xmap, ymap","ref":"Evision.PyRotationWarper.html#buildMaps/4","title":"Evision.PyRotationWarper.buildMaps/4","type":"function"},{"doc":"Builds the projection maps according to the given camera data. Positional Arguments self : Evision.PyRotationWarper.t() src_size : Size . Source image size k : Evision.Mat.t() . Camera intrinsic parameters r : Evision.Mat.t() . Camera rotation matrix Return retval : Rect xmap : Evision.Mat.t() . Projection map for the x axis ymap : Evision.Mat.t() . Projection map for the y axis @return Projected image minimum bounding box Python prototype (for reference only): buildMaps(src_size, K, R[, xmap[, ymap]]) -&gt; retval, xmap, ymap","ref":"Evision.PyRotationWarper.html#buildMaps/5","title":"Evision.PyRotationWarper.buildMaps/5","type":"function"},{"doc":"getScale Positional Arguments self : Evision.PyRotationWarper.t() Return retval : float Python prototype (for reference only): getScale() -&gt; retval","ref":"Evision.PyRotationWarper.html#getScale/1","title":"Evision.PyRotationWarper.getScale/1","type":"function"},{"doc":"PyRotationWarper Return self : Evision.PyRotationWarper.t() Python prototype (for reference only): PyRotationWarper() -&gt; &lt;PyRotationWarper object&gt;","ref":"Evision.PyRotationWarper.html#pyRotationWarper/0","title":"Evision.PyRotationWarper.pyRotationWarper/0","type":"function"},{"doc":"PyRotationWarper Positional Arguments type : String scale : float Return self : Evision.PyRotationWarper.t() Python prototype (for reference only): PyRotationWarper(type, scale) -&gt; &lt;PyRotationWarper object&gt;","ref":"Evision.PyRotationWarper.html#pyRotationWarper/2","title":"Evision.PyRotationWarper.pyRotationWarper/2","type":"function"},{"doc":"setScale Positional Arguments self : Evision.PyRotationWarper.t() arg1 : float Python prototype (for reference only): setScale(arg1) -&gt; None","ref":"Evision.PyRotationWarper.html#setScale/2","title":"Evision.PyRotationWarper.setScale/2","type":"function"},{"doc":"Projects the image. Positional Arguments self : Evision.PyRotationWarper.t() src : Evision.Mat.t() . Source image k : Evision.Mat.t() . Camera intrinsic parameters r : Evision.Mat.t() . Camera rotation matrix interp_mode : int . Interpolation mode border_mode : int . Border extrapolation mode Return retval : Point dst : Evision.Mat.t() . Projected image @return Project image top-left corner Python prototype (for reference only): warp(src, K, R, interp_mode, border_mode[, dst]) -&gt; retval, dst","ref":"Evision.PyRotationWarper.html#warp/6","title":"Evision.PyRotationWarper.warp/6","type":"function"},{"doc":"Projects the image. Positional Arguments self : Evision.PyRotationWarper.t() src : Evision.Mat.t() . Source image k : Evision.Mat.t() . Camera intrinsic parameters r : Evision.Mat.t() . Camera rotation matrix interp_mode : int . Interpolation mode border_mode : int . Border extrapolation mode Return retval : Point dst : Evision.Mat.t() . Projected image @return Project image top-left corner Python prototype (for reference only): warp(src, K, R, interp_mode, border_mode[, dst]) -&gt; retval, dst","ref":"Evision.PyRotationWarper.html#warp/7","title":"Evision.PyRotationWarper.warp/7","type":"function"},{"doc":"Projects the image backward. Positional Arguments self : Evision.PyRotationWarper.t() src : Evision.Mat.t() . Projected image k : Evision.Mat.t() . Camera intrinsic parameters r : Evision.Mat.t() . Camera rotation matrix interp_mode : int . Interpolation mode border_mode : int . Border extrapolation mode dst_size : Size . Backward-projected image size Return dst : Evision.Mat.t() . Backward-projected image Python prototype (for reference only): warpBackward(src, K, R, interp_mode, border_mode, dst_size[, dst]) -&gt; dst","ref":"Evision.PyRotationWarper.html#warpBackward/7","title":"Evision.PyRotationWarper.warpBackward/7","type":"function"},{"doc":"Projects the image backward. Positional Arguments self : Evision.PyRotationWarper.t() src : Evision.Mat.t() . Projected image k : Evision.Mat.t() . Camera intrinsic parameters r : Evision.Mat.t() . Camera rotation matrix interp_mode : int . Interpolation mode border_mode : int . Border extrapolation mode dst_size : Size . Backward-projected image size Return dst : Evision.Mat.t() . Backward-projected image Python prototype (for reference only): warpBackward(src, K, R, interp_mode, border_mode, dst_size[, dst]) -&gt; dst","ref":"Evision.PyRotationWarper.html#warpBackward/8","title":"Evision.PyRotationWarper.warpBackward/8","type":"function"},{"doc":"Projects the image point. Positional Arguments self : Evision.PyRotationWarper.t() pt : Point2f . Source point k : Evision.Mat.t() . Camera intrinsic parameters r : Evision.Mat.t() . Camera rotation matrix Return retval : Point2f @return Projected point Python prototype (for reference only): warpPoint(pt, K, R) -&gt; retval","ref":"Evision.PyRotationWarper.html#warpPoint/4","title":"Evision.PyRotationWarper.warpPoint/4","type":"function"},{"doc":"warpPointBackward Positional Arguments self : Evision.PyRotationWarper.t() pt : Point2f k : Evision.Mat.t() r : Evision.Mat.t() Return retval : Point2f Python prototype (for reference only): warpPointBackward(pt, K, R) -&gt; retval","ref":"Evision.PyRotationWarper.html#warpPointBackward/4","title":"Evision.PyRotationWarper.warpPointBackward/4","type":"function"},{"doc":"warpRoi Positional Arguments self : Evision.PyRotationWarper.t() src_size : Size . Source image bounding box k : Evision.Mat.t() . Camera intrinsic parameters r : Evision.Mat.t() . Camera rotation matrix Return retval : Rect @return Projected image minimum bounding box Python prototype (for reference only): warpRoi(src_size, K, R) -&gt; retval","ref":"Evision.PyRotationWarper.html#warpRoi/4","title":"Evision.PyRotationWarper.warpRoi/4","type":"function"},{"doc":"Type that represents an PyRotationWarper struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.PyRotationWarper.html#t:t/0","title":"Evision.PyRotationWarper.t/0","type":"type"},{"doc":"","ref":"Evision.QRCodeDetector.html","title":"Evision.QRCodeDetector","type":"module"},{"doc":"Decodes QR code in image once it's found by the detect() method. Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR code. points : Evision.Mat.t() . Quadrangle vertices found by detect() method (or some other algorithm). Return retval : string straight_qrcode : Evision.Mat.t() . The optional output image containing rectified and binarized QR code Returns UTF8-encoded output string or empty string if the code cannot be decoded. Python prototype (for reference only): decode(img, points[, straight_qrcode]) -&gt; retval, straight_qrcode","ref":"Evision.QRCodeDetector.html#decode/3","title":"Evision.QRCodeDetector.decode/3","type":"function"},{"doc":"Decodes QR code in image once it's found by the detect() method. Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR code. points : Evision.Mat.t() . Quadrangle vertices found by detect() method (or some other algorithm). Return retval : string straight_qrcode : Evision.Mat.t() . The optional output image containing rectified and binarized QR code Returns UTF8-encoded output string or empty string if the code cannot be decoded. Python prototype (for reference only): decode(img, points[, straight_qrcode]) -&gt; retval, straight_qrcode","ref":"Evision.QRCodeDetector.html#decode/4","title":"Evision.QRCodeDetector.decode/4","type":"function"},{"doc":"Decodes QR code on a curved surface in image once it's found by the detect() method. Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR code. points : Evision.Mat.t() . Quadrangle vertices found by detect() method (or some other algorithm). Return retval : String straight_qrcode : Evision.Mat.t() . The optional output image containing rectified and binarized QR code Returns UTF8-encoded output string or empty string if the code cannot be decoded. Python prototype (for reference only): decodeCurved(img, points[, straight_qrcode]) -&gt; retval, straight_qrcode","ref":"Evision.QRCodeDetector.html#decodeCurved/3","title":"Evision.QRCodeDetector.decodeCurved/3","type":"function"},{"doc":"Decodes QR code on a curved surface in image once it's found by the detect() method. Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR code. points : Evision.Mat.t() . Quadrangle vertices found by detect() method (or some other algorithm). Return retval : String straight_qrcode : Evision.Mat.t() . The optional output image containing rectified and binarized QR code Returns UTF8-encoded output string or empty string if the code cannot be decoded. Python prototype (for reference only): decodeCurved(img, points[, straight_qrcode]) -&gt; retval, straight_qrcode","ref":"Evision.QRCodeDetector.html#decodeCurved/4","title":"Evision.QRCodeDetector.decodeCurved/4","type":"function"},{"doc":"Decodes QR codes in image once it's found by the detect() method. Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR codes. points : Evision.Mat.t() . vector of Quadrangle vertices found by detect() method (or some other algorithm). Return retval : bool decoded_info : [string] . UTF8-encoded output vector of string or empty vector of string if the codes cannot be decoded. straight_qrcode : [Evision.Mat] . The optional output vector of images containing rectified and binarized QR codes Python prototype (for reference only): decodeMulti(img, points[, straight_qrcode]) -&gt; retval, decoded_info, straight_qrcode","ref":"Evision.QRCodeDetector.html#decodeMulti/3","title":"Evision.QRCodeDetector.decodeMulti/3","type":"function"},{"doc":"Decodes QR codes in image once it's found by the detect() method. Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR codes. points : Evision.Mat.t() . vector of Quadrangle vertices found by detect() method (or some other algorithm). Return retval : bool decoded_info : [string] . UTF8-encoded output vector of string or empty vector of string if the codes cannot be decoded. straight_qrcode : [Evision.Mat] . The optional output vector of images containing rectified and binarized QR codes Python prototype (for reference only): decodeMulti(img, points[, straight_qrcode]) -&gt; retval, decoded_info, straight_qrcode","ref":"Evision.QRCodeDetector.html#decodeMulti/4","title":"Evision.QRCodeDetector.decodeMulti/4","type":"function"},{"doc":"Detects QR code in image and returns the quadrangle containing the code. Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing (or not) QR code. Return retval : bool points : Evision.Mat.t() . Output vector of vertices of the minimum-area quadrangle containing the code. Python prototype (for reference only): detect(img[, points]) -&gt; retval, points","ref":"Evision.QRCodeDetector.html#detect/2","title":"Evision.QRCodeDetector.detect/2","type":"function"},{"doc":"Detects QR code in image and returns the quadrangle containing the code. Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing (or not) QR code. Return retval : bool points : Evision.Mat.t() . Output vector of vertices of the minimum-area quadrangle containing the code. Python prototype (for reference only): detect(img[, points]) -&gt; retval, points","ref":"Evision.QRCodeDetector.html#detect/3","title":"Evision.QRCodeDetector.detect/3","type":"function"},{"doc":"Both detects and decodes QR code Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR code. Return retval : string points : Evision.Mat.t() . optional output array of vertices of the found QR code quadrangle. Will be empty if not found. straight_qrcode : Evision.Mat.t() . The optional output image containing rectified and binarized QR code Python prototype (for reference only): detectAndDecode(img[, points[, straight_qrcode]]) -&gt; retval, points, straight_qrcode","ref":"Evision.QRCodeDetector.html#detectAndDecode/2","title":"Evision.QRCodeDetector.detectAndDecode/2","type":"function"},{"doc":"Both detects and decodes QR code Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR code. Return retval : string points : Evision.Mat.t() . optional output array of vertices of the found QR code quadrangle. Will be empty if not found. straight_qrcode : Evision.Mat.t() . The optional output image containing rectified and binarized QR code Python prototype (for reference only): detectAndDecode(img[, points[, straight_qrcode]]) -&gt; retval, points, straight_qrcode","ref":"Evision.QRCodeDetector.html#detectAndDecode/3","title":"Evision.QRCodeDetector.detectAndDecode/3","type":"function"},{"doc":"Both detects and decodes QR code on a curved surface Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR code. Return retval : string points : Evision.Mat.t() . optional output array of vertices of the found QR code quadrangle. Will be empty if not found. straight_qrcode : Evision.Mat.t() . The optional output image containing rectified and binarized QR code Python prototype (for reference only): detectAndDecodeCurved(img[, points[, straight_qrcode]]) -&gt; retval, points, straight_qrcode","ref":"Evision.QRCodeDetector.html#detectAndDecodeCurved/2","title":"Evision.QRCodeDetector.detectAndDecodeCurved/2","type":"function"},{"doc":"Both detects and decodes QR code on a curved surface Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR code. Return retval : string points : Evision.Mat.t() . optional output array of vertices of the found QR code quadrangle. Will be empty if not found. straight_qrcode : Evision.Mat.t() . The optional output image containing rectified and binarized QR code Python prototype (for reference only): detectAndDecodeCurved(img[, points[, straight_qrcode]]) -&gt; retval, points, straight_qrcode","ref":"Evision.QRCodeDetector.html#detectAndDecodeCurved/3","title":"Evision.QRCodeDetector.detectAndDecodeCurved/3","type":"function"},{"doc":"Both detects and decodes QR codes Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR codes. Return retval : bool decoded_info : [string] . UTF8-encoded output vector of string or empty vector of string if the codes cannot be decoded. points : Evision.Mat.t() . optional output vector of vertices of the found QR code quadrangles. Will be empty if not found. straight_qrcode : [Evision.Mat] . The optional output vector of images containing rectified and binarized QR codes Python prototype (for reference only): detectAndDecodeMulti(img[, points[, straight_qrcode]]) -&gt; retval, decoded_info, points, straight_qrcode","ref":"Evision.QRCodeDetector.html#detectAndDecodeMulti/2","title":"Evision.QRCodeDetector.detectAndDecodeMulti/2","type":"function"},{"doc":"Both detects and decodes QR codes Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing QR codes. Return retval : bool decoded_info : [string] . UTF8-encoded output vector of string or empty vector of string if the codes cannot be decoded. points : Evision.Mat.t() . optional output vector of vertices of the found QR code quadrangles. Will be empty if not found. straight_qrcode : [Evision.Mat] . The optional output vector of images containing rectified and binarized QR codes Python prototype (for reference only): detectAndDecodeMulti(img[, points[, straight_qrcode]]) -&gt; retval, decoded_info, points, straight_qrcode","ref":"Evision.QRCodeDetector.html#detectAndDecodeMulti/3","title":"Evision.QRCodeDetector.detectAndDecodeMulti/3","type":"function"},{"doc":"Detects QR codes in image and returns the vector of the quadrangles containing the codes. Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing (or not) QR codes. Return retval : bool points : Evision.Mat.t() . Output vector of vector of vertices of the minimum-area quadrangle containing the codes. Python prototype (for reference only): detectMulti(img[, points]) -&gt; retval, points","ref":"Evision.QRCodeDetector.html#detectMulti/2","title":"Evision.QRCodeDetector.detectMulti/2","type":"function"},{"doc":"Detects QR codes in image and returns the vector of the quadrangles containing the codes. Positional Arguments self : Evision.QRCodeDetector.t() img : Evision.Mat.t() . grayscale or color (BGR) image containing (or not) QR codes. Return retval : bool points : Evision.Mat.t() . Output vector of vector of vertices of the minimum-area quadrangle containing the codes. Python prototype (for reference only): detectMulti(img[, points]) -&gt; retval, points","ref":"Evision.QRCodeDetector.html#detectMulti/3","title":"Evision.QRCodeDetector.detectMulti/3","type":"function"},{"doc":"QRCodeDetector Return self : Evision.QRCodeDetector.t() Python prototype (for reference only): QRCodeDetector() -&gt; &lt;QRCodeDetector object&gt;","ref":"Evision.QRCodeDetector.html#qrCodeDetector/0","title":"Evision.QRCodeDetector.qrCodeDetector/0","type":"function"},{"doc":"sets the epsilon used during the horizontal scan of QR code stop marker detection. Positional Arguments self : Evision.QRCodeDetector.t() epsX : double . Epsilon neighborhood, which allows you to determine the horizontal pattern of the scheme 1:1:3:1:1 according to QR code standard. Python prototype (for reference only): setEpsX(epsX) -&gt; None","ref":"Evision.QRCodeDetector.html#setEpsX/2","title":"Evision.QRCodeDetector.setEpsX/2","type":"function"},{"doc":"sets the epsilon used during the vertical scan of QR code stop marker detection. Positional Arguments self : Evision.QRCodeDetector.t() epsY : double . Epsilon neighborhood, which allows you to determine the vertical pattern of the scheme 1:1:3:1:1 according to QR code standard. Python prototype (for reference only): setEpsY(epsY) -&gt; None","ref":"Evision.QRCodeDetector.html#setEpsY/2","title":"Evision.QRCodeDetector.setEpsY/2","type":"function"},{"doc":"use markers to improve the position of the corners of the QR code Positional Arguments self : Evision.QRCodeDetector.t() useAlignmentMarkers : bool alignmentMarkers using by default Python prototype (for reference only): setUseAlignmentMarkers(useAlignmentMarkers) -&gt; None","ref":"Evision.QRCodeDetector.html#setUseAlignmentMarkers/2","title":"Evision.QRCodeDetector.setUseAlignmentMarkers/2","type":"function"},{"doc":"Type that represents an QRCodeDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.QRCodeDetector.html#t:t/0","title":"Evision.QRCodeDetector.t/0","type":"type"},{"doc":"","ref":"Evision.QRCodeEncoder.html","title":"Evision.QRCodeEncoder","type":"module"},{"doc":"Constructor Keyword Arguments parameters : Evision.QRCodeEncoder.Params.t() . QR code encoder parameters QRCodeEncoder::Params Return retval : Evision.QRCodeEncoder.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.QRCodeEncoder.html#create/0","title":"Evision.QRCodeEncoder.create/0","type":"function"},{"doc":"Constructor Keyword Arguments parameters : Evision.QRCodeEncoder.Params.t() . QR code encoder parameters QRCodeEncoder::Params Return retval : Evision.QRCodeEncoder.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.QRCodeEncoder.html#create/1","title":"Evision.QRCodeEncoder.create/1","type":"function"},{"doc":"Generates QR code from input string. Positional Arguments self : Evision.QRCodeEncoder.t() encoded_info : String . Input string to encode. Return qrcode : Evision.Mat.t() . Generated QR code. Python prototype (for reference only): encode(encoded_info[, qrcode]) -&gt; qrcode","ref":"Evision.QRCodeEncoder.html#encode/2","title":"Evision.QRCodeEncoder.encode/2","type":"function"},{"doc":"Generates QR code from input string. Positional Arguments self : Evision.QRCodeEncoder.t() encoded_info : String . Input string to encode. Return qrcode : Evision.Mat.t() . Generated QR code. Python prototype (for reference only): encode(encoded_info[, qrcode]) -&gt; qrcode","ref":"Evision.QRCodeEncoder.html#encode/3","title":"Evision.QRCodeEncoder.encode/3","type":"function"},{"doc":"Generates QR code from input string in Structured Append mode. The encoded message is splitting over a number of QR codes. Positional Arguments self : Evision.QRCodeEncoder.t() encoded_info : String . Input string to encode. Return qrcodes : [Evision.Mat] . Vector of generated QR codes. Python prototype (for reference only): encodeStructuredAppend(encoded_info[, qrcodes]) -&gt; qrcodes","ref":"Evision.QRCodeEncoder.html#encodeStructuredAppend/2","title":"Evision.QRCodeEncoder.encodeStructuredAppend/2","type":"function"},{"doc":"Generates QR code from input string in Structured Append mode. The encoded message is splitting over a number of QR codes. Positional Arguments self : Evision.QRCodeEncoder.t() encoded_info : String . Input string to encode. Return qrcodes : [Evision.Mat] . Vector of generated QR codes. Python prototype (for reference only): encodeStructuredAppend(encoded_info[, qrcodes]) -&gt; qrcodes","ref":"Evision.QRCodeEncoder.html#encodeStructuredAppend/3","title":"Evision.QRCodeEncoder.encodeStructuredAppend/3","type":"function"},{"doc":"Type that represents an QRCodeEncoder struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.QRCodeEncoder.html#t:t/0","title":"Evision.QRCodeEncoder.t/0","type":"type"},{"doc":"","ref":"Evision.QRCodeEncoder.Params.html","title":"Evision.QRCodeEncoder.Params","type":"module"},{"doc":"","ref":"Evision.QRCodeEncoder.Params.html#get_correction_level/1","title":"Evision.QRCodeEncoder.Params.get_correction_level/1","type":"function"},{"doc":"","ref":"Evision.QRCodeEncoder.Params.html#get_mode/1","title":"Evision.QRCodeEncoder.Params.get_mode/1","type":"function"},{"doc":"","ref":"Evision.QRCodeEncoder.Params.html#get_structure_number/1","title":"Evision.QRCodeEncoder.Params.get_structure_number/1","type":"function"},{"doc":"","ref":"Evision.QRCodeEncoder.Params.html#get_version/1","title":"Evision.QRCodeEncoder.Params.get_version/1","type":"function"},{"doc":"QRCodeEncoder_Params Return self : Evision.QRCodeEncoder.Params.t() Python prototype (for reference only): QRCodeEncoder_Params() -&gt; &lt;QRCodeEncoder_Params object&gt;","ref":"Evision.QRCodeEncoder.Params.html#params/0","title":"Evision.QRCodeEncoder.Params.params/0","type":"function"},{"doc":"","ref":"Evision.QRCodeEncoder.Params.html#set_correction_level/2","title":"Evision.QRCodeEncoder.Params.set_correction_level/2","type":"function"},{"doc":"","ref":"Evision.QRCodeEncoder.Params.html#set_mode/2","title":"Evision.QRCodeEncoder.Params.set_mode/2","type":"function"},{"doc":"","ref":"Evision.QRCodeEncoder.Params.html#set_structure_number/2","title":"Evision.QRCodeEncoder.Params.set_structure_number/2","type":"function"},{"doc":"","ref":"Evision.QRCodeEncoder.Params.html#set_version/2","title":"Evision.QRCodeEncoder.Params.set_version/2","type":"function"},{"doc":"Type that represents an QRCodeEncoder.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.QRCodeEncoder.Params.html#t:t/0","title":"Evision.QRCodeEncoder.Params.t/0","type":"type"},{"doc":"","ref":"Evision.Quality.html","title":"Evision.Quality","type":"module"},{"doc":"Type that represents an Quality struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Quality.html#t:t/0","title":"Evision.Quality.t/0","type":"type"},{"doc":"","ref":"Evision.Quality.QualityBRISQUE.html","title":"Evision.Quality.QualityBRISQUE","type":"module"},{"doc":"Computes BRISQUE quality score for input image Positional Arguments self : Evision.Quality.QualityBRISQUE.t() img : Evision.Mat.t() . Image for which to compute quality Return retval : cv::Scalar @returns cv::Scalar with the score in the first element. The score ranges from 0 (best quality) to 100 (worst quality) Python prototype (for reference only): compute(img) -&gt; retval","ref":"Evision.Quality.QualityBRISQUE.html#compute/2","title":"Evision.Quality.QualityBRISQUE.compute/2","type":"function"},{"doc":"static method for computing quality Positional Arguments self : Evision.Quality.QualityBRISQUE.t() img : Evision.Mat.t() . image for which to compute quality model_file_path : String . cv::String which contains a path to the BRISQUE model data, eg. /path/to/brisque_model_live.yml range_file_path : String . cv::String which contains a path to the BRISQUE range data, eg. /path/to/brisque_range_live.yml Return retval : cv::Scalar @returns cv::Scalar with the score in the first element. The score ranges from 0 (best quality) to 100 (worst quality) Python prototype (for reference only): compute(img, model_file_path, range_file_path) -&gt; retval","ref":"Evision.Quality.QualityBRISQUE.html#compute/4","title":"Evision.Quality.QualityBRISQUE.compute/4","type":"function"},{"doc":"static method for computing image features used by the BRISQUE algorithm Positional Arguments img : Evision.Mat.t() . image (BGR(A) or grayscale) for which to compute features Return features : Evision.Mat.t() . output row vector of features to cv::Mat or cv::UMat Python prototype (for reference only): computeFeatures(img[, features]) -&gt; features","ref":"Evision.Quality.QualityBRISQUE.html#computeFeatures/1","title":"Evision.Quality.QualityBRISQUE.computeFeatures/1","type":"function"},{"doc":"static method for computing image features used by the BRISQUE algorithm Positional Arguments img : Evision.Mat.t() . image (BGR(A) or grayscale) for which to compute features Return features : Evision.Mat.t() . output row vector of features to cv::Mat or cv::UMat Python prototype (for reference only): computeFeatures(img[, features]) -&gt; features","ref":"Evision.Quality.QualityBRISQUE.html#computeFeatures/2","title":"Evision.Quality.QualityBRISQUE.computeFeatures/2","type":"function"},{"doc":"Variant 1: Create an object which calculates quality Positional Arguments model : ml::SVM . cv::Ptr&lt;cv::ml::SVM&gt; which contains a loaded BRISQUE model range : Evision.Mat.t() . cv::Mat which contains BRISQUE range data Return retval : QualityBRISQUE Python prototype (for reference only): create(model, range) -&gt; retval Variant 2: Create an object which calculates quality Positional Arguments model_file_path : String . cv::String which contains a path to the BRISQUE model data, eg. /path/to/brisque_model_live.yml range_file_path : String . cv::String which contains a path to the BRISQUE range data, eg. /path/to/brisque_range_live.yml Return retval : QualityBRISQUE Python prototype (for reference only): create(model_file_path, range_file_path) -&gt; retval","ref":"Evision.Quality.QualityBRISQUE.html#create/2","title":"Evision.Quality.QualityBRISQUE.create/2","type":"function"},{"doc":"Type that represents an Quality.QualityBRISQUE struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Quality.QualityBRISQUE.html#t:t/0","title":"Evision.Quality.QualityBRISQUE.t/0","type":"type"},{"doc":"","ref":"Evision.Quality.QualityBase.html","title":"Evision.Quality.QualityBase","type":"module"},{"doc":"Implements Algorithm::clear() Positional Arguments self : Evision.Quality.QualityBase.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Quality.QualityBase.html#clear/1","title":"Evision.Quality.QualityBase.clear/1","type":"function"},{"doc":"Compute quality score per channel with the per-channel score in each element of the resulting cv::Scalar. See specific algorithm for interpreting result scores Positional Arguments self : Evision.Quality.QualityBase.t() img : Evision.Mat.t() . comparison image, or image to evalute for no-reference quality algorithms Return retval : cv::Scalar Python prototype (for reference only): compute(img) -&gt; retval","ref":"Evision.Quality.QualityBase.html#compute/2","title":"Evision.Quality.QualityBase.compute/2","type":"function"},{"doc":"Implements Algorithm::empty() Positional Arguments self : Evision.Quality.QualityBase.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Quality.QualityBase.html#empty/1","title":"Evision.Quality.QualityBase.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Quality.QualityBase.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Quality.QualityBase.html#getDefaultName/1","title":"Evision.Quality.QualityBase.getDefaultName/1","type":"function"},{"doc":"Returns output quality map that was generated during computation, if supported by the algorithm Positional Arguments self : Evision.Quality.QualityBase.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): getQualityMap([, dst]) -&gt; dst","ref":"Evision.Quality.QualityBase.html#getQualityMap/1","title":"Evision.Quality.QualityBase.getQualityMap/1","type":"function"},{"doc":"Returns output quality map that was generated during computation, if supported by the algorithm Positional Arguments self : Evision.Quality.QualityBase.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): getQualityMap([, dst]) -&gt; dst","ref":"Evision.Quality.QualityBase.html#getQualityMap/2","title":"Evision.Quality.QualityBase.getQualityMap/2","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Quality.QualityBase.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Quality.QualityBase.html#read/2","title":"Evision.Quality.QualityBase.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Quality.QualityBase.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Quality.QualityBase.html#save/2","title":"Evision.Quality.QualityBase.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Quality.QualityBase.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Quality.QualityBase.html#write/2","title":"Evision.Quality.QualityBase.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Quality.QualityBase.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Quality.QualityBase.html#write/3","title":"Evision.Quality.QualityBase.write/3","type":"function"},{"doc":"Type that represents an Quality.QualityBase struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Quality.QualityBase.html#t:t/0","title":"Evision.Quality.QualityBase.t/0","type":"type"},{"doc":"","ref":"Evision.Quality.QualityGMSD.html","title":"Evision.Quality.QualityGMSD","type":"module"},{"doc":"Implements Algorithm::clear() Positional Arguments self : Evision.Quality.QualityGMSD.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Quality.QualityGMSD.html#clear/1","title":"Evision.Quality.QualityGMSD.clear/1","type":"function"},{"doc":"Compute GMSD Positional Arguments self : Evision.Quality.QualityGMSD.t() cmp : Evision.Mat.t() . comparison image Return retval : cv::Scalar @returns cv::Scalar with per-channel quality value. Values range from 0 (worst) to 1 (best) Python prototype (for reference only): compute(cmp) -&gt; retval","ref":"Evision.Quality.QualityGMSD.html#compute/2","title":"Evision.Quality.QualityGMSD.compute/2","type":"function"},{"doc":"static method for computing quality Positional Arguments self : Evision.Quality.QualityGMSD.t() ref : Evision.Mat.t() . reference image cmp : Evision.Mat.t() . comparison image Return retval : cv::Scalar qualityMap : Evision.Mat.t() . output quality map, or cv::noArray() @returns cv::Scalar with per-channel quality value. Values range from 0 (worst) to 1 (best) Python prototype (for reference only): compute(ref, cmp[, qualityMap]) -&gt; retval, qualityMap","ref":"Evision.Quality.QualityGMSD.html#compute/3","title":"Evision.Quality.QualityGMSD.compute/3","type":"function"},{"doc":"static method for computing quality Positional Arguments self : Evision.Quality.QualityGMSD.t() ref : Evision.Mat.t() . reference image cmp : Evision.Mat.t() . comparison image Return retval : cv::Scalar qualityMap : Evision.Mat.t() . output quality map, or cv::noArray() @returns cv::Scalar with per-channel quality value. Values range from 0 (worst) to 1 (best) Python prototype (for reference only): compute(ref, cmp[, qualityMap]) -&gt; retval, qualityMap","ref":"Evision.Quality.QualityGMSD.html#compute/4","title":"Evision.Quality.QualityGMSD.compute/4","type":"function"},{"doc":"Create an object which calculates image quality Positional Arguments ref : Evision.Mat.t() . reference image Return retval : QualityGMSD Python prototype (for reference only): create(ref) -&gt; retval","ref":"Evision.Quality.QualityGMSD.html#create/1","title":"Evision.Quality.QualityGMSD.create/1","type":"function"},{"doc":"Implements Algorithm::empty() Positional Arguments self : Evision.Quality.QualityGMSD.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Quality.QualityGMSD.html#empty/1","title":"Evision.Quality.QualityGMSD.empty/1","type":"function"},{"doc":"Type that represents an Quality.QualityGMSD struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Quality.QualityGMSD.html#t:t/0","title":"Evision.Quality.QualityGMSD.t/0","type":"type"},{"doc":"","ref":"Evision.Quality.QualityMSE.html","title":"Evision.Quality.QualityMSE","type":"module"},{"doc":"Implements Algorithm::clear() Positional Arguments self : Evision.Quality.QualityMSE.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Quality.QualityMSE.html#clear/1","title":"Evision.Quality.QualityMSE.clear/1","type":"function"},{"doc":"Computes MSE for reference images supplied in class constructor and provided comparison images Positional Arguments self : Evision.Quality.QualityMSE.t() cmpImgs : [Evision.Mat] . Comparison image(s) Return retval : cv::Scalar @returns cv::Scalar with per-channel quality values. Values range from 0 (best) to potentially max float (worst) Python prototype (for reference only): compute(cmpImgs) -&gt; retval","ref":"Evision.Quality.QualityMSE.html#compute/2","title":"Evision.Quality.QualityMSE.compute/2","type":"function"},{"doc":"static method for computing quality Positional Arguments self : Evision.Quality.QualityMSE.t() ref : Evision.Mat.t() . reference image cmp : Evision.Mat.t() . comparison image= Return retval : cv::Scalar qualityMap : Evision.Mat.t() . output quality map, or cv::noArray() @returns cv::Scalar with per-channel quality values. Values range from 0 (best) to max float (worst) Python prototype (for reference only): compute(ref, cmp[, qualityMap]) -&gt; retval, qualityMap","ref":"Evision.Quality.QualityMSE.html#compute/3","title":"Evision.Quality.QualityMSE.compute/3","type":"function"},{"doc":"static method for computing quality Positional Arguments self : Evision.Quality.QualityMSE.t() ref : Evision.Mat.t() . reference image cmp : Evision.Mat.t() . comparison image= Return retval : cv::Scalar qualityMap : Evision.Mat.t() . output quality map, or cv::noArray() @returns cv::Scalar with per-channel quality values. Values range from 0 (best) to max float (worst) Python prototype (for reference only): compute(ref, cmp[, qualityMap]) -&gt; retval, qualityMap","ref":"Evision.Quality.QualityMSE.html#compute/4","title":"Evision.Quality.QualityMSE.compute/4","type":"function"},{"doc":"Create an object which calculates quality Positional Arguments ref : Evision.Mat.t() . input image to use as the reference for comparison Return retval : QualityMSE Python prototype (for reference only): create(ref) -&gt; retval","ref":"Evision.Quality.QualityMSE.html#create/1","title":"Evision.Quality.QualityMSE.create/1","type":"function"},{"doc":"Implements Algorithm::empty() Positional Arguments self : Evision.Quality.QualityMSE.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Quality.QualityMSE.html#empty/1","title":"Evision.Quality.QualityMSE.empty/1","type":"function"},{"doc":"Type that represents an Quality.QualityMSE struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Quality.QualityMSE.html#t:t/0","title":"Evision.Quality.QualityMSE.t/0","type":"type"},{"doc":"","ref":"Evision.Quality.QualityPSNR.html","title":"Evision.Quality.QualityPSNR","type":"module"},{"doc":"Implements Algorithm::clear() Positional Arguments self : Evision.Quality.QualityPSNR.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Quality.QualityPSNR.html#clear/1","title":"Evision.Quality.QualityPSNR.clear/1","type":"function"},{"doc":"Compute the PSNR Positional Arguments self : Evision.Quality.QualityPSNR.t() cmp : Evision.Mat.t() . Comparison image Return retval : cv::Scalar @returns Per-channel PSNR value, or std::numeric_limits&lt;double&gt;::infinity() if the MSE between the two images == 0 Python prototype (for reference only): compute(cmp) -&gt; retval","ref":"Evision.Quality.QualityPSNR.html#compute/2","title":"Evision.Quality.QualityPSNR.compute/2","type":"function"},{"doc":"static method for computing quality Positional Arguments self : Evision.Quality.QualityPSNR.t() ref : Evision.Mat.t() . reference image cmp : Evision.Mat.t() . comparison image Keyword Arguments maxPixelValue : double . maximum per-channel value for any individual pixel; eg 255 for uint8 image Return retval : cv::Scalar qualityMap : Evision.Mat.t() . output quality map, or cv::noArray() @returns PSNR value, or std::numeric_limits&lt;double&gt;::infinity() if the MSE between the two images == 0 Python prototype (for reference only): compute(ref, cmp[, qualityMap[, maxPixelValue]]) -&gt; retval, qualityMap","ref":"Evision.Quality.QualityPSNR.html#compute/3","title":"Evision.Quality.QualityPSNR.compute/3","type":"function"},{"doc":"static method for computing quality Positional Arguments self : Evision.Quality.QualityPSNR.t() ref : Evision.Mat.t() . reference image cmp : Evision.Mat.t() . comparison image Keyword Arguments maxPixelValue : double . maximum per-channel value for any individual pixel; eg 255 for uint8 image Return retval : cv::Scalar qualityMap : Evision.Mat.t() . output quality map, or cv::noArray() @returns PSNR value, or std::numeric_limits&lt;double&gt;::infinity() if the MSE between the two images == 0 Python prototype (for reference only): compute(ref, cmp[, qualityMap[, maxPixelValue]]) -&gt; retval, qualityMap","ref":"Evision.Quality.QualityPSNR.html#compute/4","title":"Evision.Quality.QualityPSNR.compute/4","type":"function"},{"doc":"Create an object which calculates quality Positional Arguments ref : Evision.Mat.t() . input image to use as the source for comparison Keyword Arguments maxPixelValue : double . maximum per-channel value for any individual pixel; eg 255 for uint8 image Return retval : QualityPSNR Python prototype (for reference only): create(ref[, maxPixelValue]) -&gt; retval","ref":"Evision.Quality.QualityPSNR.html#create/1","title":"Evision.Quality.QualityPSNR.create/1","type":"function"},{"doc":"Create an object which calculates quality Positional Arguments ref : Evision.Mat.t() . input image to use as the source for comparison Keyword Arguments maxPixelValue : double . maximum per-channel value for any individual pixel; eg 255 for uint8 image Return retval : QualityPSNR Python prototype (for reference only): create(ref[, maxPixelValue]) -&gt; retval","ref":"Evision.Quality.QualityPSNR.html#create/2","title":"Evision.Quality.QualityPSNR.create/2","type":"function"},{"doc":"Implements Algorithm::empty() Positional Arguments self : Evision.Quality.QualityPSNR.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Quality.QualityPSNR.html#empty/1","title":"Evision.Quality.QualityPSNR.empty/1","type":"function"},{"doc":"return the maximum pixel value used for PSNR computation Positional Arguments self : Evision.Quality.QualityPSNR.t() Return retval : double Python prototype (for reference only): getMaxPixelValue() -&gt; retval","ref":"Evision.Quality.QualityPSNR.html#getMaxPixelValue/1","title":"Evision.Quality.QualityPSNR.getMaxPixelValue/1","type":"function"},{"doc":"sets the maximum pixel value used for PSNR computation Positional Arguments self : Evision.Quality.QualityPSNR.t() val : double . Maximum pixel value Python prototype (for reference only): setMaxPixelValue(val) -&gt; None","ref":"Evision.Quality.QualityPSNR.html#setMaxPixelValue/2","title":"Evision.Quality.QualityPSNR.setMaxPixelValue/2","type":"function"},{"doc":"Type that represents an Quality.QualityPSNR struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Quality.QualityPSNR.html#t:t/0","title":"Evision.Quality.QualityPSNR.t/0","type":"type"},{"doc":"","ref":"Evision.Quality.QualitySSIM.html","title":"Evision.Quality.QualitySSIM","type":"module"},{"doc":"Implements Algorithm::clear() Positional Arguments self : Evision.Quality.QualitySSIM.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Quality.QualitySSIM.html#clear/1","title":"Evision.Quality.QualitySSIM.clear/1","type":"function"},{"doc":"Computes SSIM Positional Arguments self : Evision.Quality.QualitySSIM.t() cmp : Evision.Mat.t() . Comparison image Return retval : cv::Scalar @returns cv::Scalar with per-channel quality values. Values range from 0 (worst) to 1 (best) Python prototype (for reference only): compute(cmp) -&gt; retval","ref":"Evision.Quality.QualitySSIM.html#compute/2","title":"Evision.Quality.QualitySSIM.compute/2","type":"function"},{"doc":"static method for computing quality Positional Arguments self : Evision.Quality.QualitySSIM.t() ref : Evision.Mat.t() . reference image cmp : Evision.Mat.t() . comparison image Return retval : cv::Scalar qualityMap : Evision.Mat.t() . output quality map, or cv::noArray() @returns cv::Scalar with per-channel quality values. Values range from 0 (worst) to 1 (best) Python prototype (for reference only): compute(ref, cmp[, qualityMap]) -&gt; retval, qualityMap","ref":"Evision.Quality.QualitySSIM.html#compute/3","title":"Evision.Quality.QualitySSIM.compute/3","type":"function"},{"doc":"static method for computing quality Positional Arguments self : Evision.Quality.QualitySSIM.t() ref : Evision.Mat.t() . reference image cmp : Evision.Mat.t() . comparison image Return retval : cv::Scalar qualityMap : Evision.Mat.t() . output quality map, or cv::noArray() @returns cv::Scalar with per-channel quality values. Values range from 0 (worst) to 1 (best) Python prototype (for reference only): compute(ref, cmp[, qualityMap]) -&gt; retval, qualityMap","ref":"Evision.Quality.QualitySSIM.html#compute/4","title":"Evision.Quality.QualitySSIM.compute/4","type":"function"},{"doc":"Create an object which calculates quality Positional Arguments ref : Evision.Mat.t() . input image to use as the reference image for comparison Return retval : QualitySSIM Python prototype (for reference only): create(ref) -&gt; retval","ref":"Evision.Quality.QualitySSIM.html#create/1","title":"Evision.Quality.QualitySSIM.create/1","type":"function"},{"doc":"Implements Algorithm::empty() Positional Arguments self : Evision.Quality.QualitySSIM.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Quality.QualitySSIM.html#empty/1","title":"Evision.Quality.QualitySSIM.empty/1","type":"function"},{"doc":"Type that represents an Quality.QualitySSIM struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Quality.QualitySSIM.html#t:t/0","title":"Evision.Quality.QualitySSIM.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.html","title":"Evision.RGBD","type":"module"},{"doc":"depthTo3d Positional Arguments depth : Evision.Mat.t() . the depth image (if given as short int CV_U, it is assumed to be the depth in millimeters (as done with the Microsoft Kinect), otherwise, if given as CV_32F or CV_64F, it is assumed in meters) k : Evision.Mat.t() . The calibration matrix Keyword Arguments mask : Evision.Mat.t() . the mask of the points to consider (can be empty) Return points3d : Evision.Mat.t() . the resulting 3d points. They are of depth the same as depth if it is CV_32F or CV_64F, and the depth of K if depth is of depth CV_U Converts a depth image to an organized set of 3d points. The coordinate system is x pointing left, y down and z away from the camera Python prototype (for reference only): depthTo3d(depth, K[, points3d[, mask]]) -&gt; points3d","ref":"Evision.RGBD.html#depthTo3d/2","title":"Evision.RGBD.depthTo3d/2","type":"function"},{"doc":"depthTo3d Positional Arguments depth : Evision.Mat.t() . the depth image (if given as short int CV_U, it is assumed to be the depth in millimeters (as done with the Microsoft Kinect), otherwise, if given as CV_32F or CV_64F, it is assumed in meters) k : Evision.Mat.t() . The calibration matrix Keyword Arguments mask : Evision.Mat.t() . the mask of the points to consider (can be empty) Return points3d : Evision.Mat.t() . the resulting 3d points. They are of depth the same as depth if it is CV_32F or CV_64F, and the depth of K if depth is of depth CV_U Converts a depth image to an organized set of 3d points. The coordinate system is x pointing left, y down and z away from the camera Python prototype (for reference only): depthTo3d(depth, K[, points3d[, mask]]) -&gt; points3d","ref":"Evision.RGBD.html#depthTo3d/3","title":"Evision.RGBD.depthTo3d/3","type":"function"},{"doc":"depthTo3dSparse Positional Arguments depth : Evision.Mat.t() . the depth image in_K : Evision.Mat.t() . in_points : Evision.Mat.t() . the list of xy coordinates Return points3d : Evision.Mat.t() . the resulting 3d points Python prototype (for reference only): depthTo3dSparse(depth, in_K, in_points[, points3d]) -&gt; points3d","ref":"Evision.RGBD.html#depthTo3dSparse/3","title":"Evision.RGBD.depthTo3dSparse/3","type":"function"},{"doc":"depthTo3dSparse Positional Arguments depth : Evision.Mat.t() . the depth image in_K : Evision.Mat.t() . in_points : Evision.Mat.t() . the list of xy coordinates Return points3d : Evision.Mat.t() . the resulting 3d points Python prototype (for reference only): depthTo3dSparse(depth, in_K, in_points[, points3d]) -&gt; points3d","ref":"Evision.RGBD.html#depthTo3dSparse/4","title":"Evision.RGBD.depthTo3dSparse/4","type":"function"},{"doc":"registerDepth Positional Arguments unregisteredCameraMatrix : Evision.Mat.t() . the camera matrix of the depth camera registeredCameraMatrix : Evision.Mat.t() . the camera matrix of the external camera registeredDistCoeffs : Evision.Mat.t() . the distortion coefficients of the external camera rt : Evision.Mat.t() . the rigid body transform between the cameras. Transforms points from depth camera frame to external camera frame. unregisteredDepth : Evision.Mat.t() . the input depth data outputImagePlaneSize : Size . the image plane dimensions of the external camera (width, height) Keyword Arguments depthDilation : bool . whether or not the depth is dilated to avoid holes and occlusion errors (optional) Return registeredDepth : Evision.Mat.t() . the result of transforming the depth into the external camera Registers depth data to an external camera Registration is performed by creating a depth cloud, transforming the cloud by the rigid body transformation between the cameras, and then projecting the transformed points into the RGB camera. uv_rgb = K_rgb [R | t] z inv(K_ir) uv_ir Currently does not check for negative depth values. Python prototype (for reference only): registerDepth(unregisteredCameraMatrix, registeredCameraMatrix, registeredDistCoeffs, Rt, unregisteredDepth, outputImagePlaneSize[, registeredDepth[, depthDilation]]) -&gt; registeredDepth","ref":"Evision.RGBD.html#registerDepth/6","title":"Evision.RGBD.registerDepth/6","type":"function"},{"doc":"registerDepth Positional Arguments unregisteredCameraMatrix : Evision.Mat.t() . the camera matrix of the depth camera registeredCameraMatrix : Evision.Mat.t() . the camera matrix of the external camera registeredDistCoeffs : Evision.Mat.t() . the distortion coefficients of the external camera rt : Evision.Mat.t() . the rigid body transform between the cameras. Transforms points from depth camera frame to external camera frame. unregisteredDepth : Evision.Mat.t() . the input depth data outputImagePlaneSize : Size . the image plane dimensions of the external camera (width, height) Keyword Arguments depthDilation : bool . whether or not the depth is dilated to avoid holes and occlusion errors (optional) Return registeredDepth : Evision.Mat.t() . the result of transforming the depth into the external camera Registers depth data to an external camera Registration is performed by creating a depth cloud, transforming the cloud by the rigid body transformation between the cameras, and then projecting the transformed points into the RGB camera. uv_rgb = K_rgb [R | t] z inv(K_ir) uv_ir Currently does not check for negative depth values. Python prototype (for reference only): registerDepth(unregisteredCameraMatrix, registeredCameraMatrix, registeredDistCoeffs, Rt, unregisteredDepth, outputImagePlaneSize[, registeredDepth[, depthDilation]]) -&gt; registeredDepth","ref":"Evision.RGBD.html#registerDepth/7","title":"Evision.RGBD.registerDepth/7","type":"function"},{"doc":"rescaleDepth Positional Arguments in_ : Evision.Mat.t() depth : int . the desired output depth (floats or double) Keyword Arguments depth_factor : double . (optional) factor by which depth is converted to distance (by default = 1000.0 for Kinect sensor) Return out : Evision.Mat.t() . The rescaled float depth image If the input image is of type CV_16UC1 (like the Kinect one), the image is converted to floats, divided by depth_factor to get a depth in meters, and the values 0 are converted to std::numeric_limits&lt;float&gt;::quiet_NaN() Otherwise, the image is simply converted to floats Python prototype (for reference only): rescaleDepth(in_, depth[, out[, depth_factor]]) -&gt; out","ref":"Evision.RGBD.html#rescaleDepth/2","title":"Evision.RGBD.rescaleDepth/2","type":"function"},{"doc":"rescaleDepth Positional Arguments in_ : Evision.Mat.t() depth : int . the desired output depth (floats or double) Keyword Arguments depth_factor : double . (optional) factor by which depth is converted to distance (by default = 1000.0 for Kinect sensor) Return out : Evision.Mat.t() . The rescaled float depth image If the input image is of type CV_16UC1 (like the Kinect one), the image is converted to floats, divided by depth_factor to get a depth in meters, and the values 0 are converted to std::numeric_limits&lt;float&gt;::quiet_NaN() Otherwise, the image is simply converted to floats Python prototype (for reference only): rescaleDepth(in_, depth[, out[, depth_factor]]) -&gt; out","ref":"Evision.RGBD.html#rescaleDepth/3","title":"Evision.RGBD.rescaleDepth/3","type":"function"},{"doc":"warpFrame Positional Arguments image : Evision.Mat.t() . The image (of CV_8UC1 or CV_8UC3 type) depth : Evision.Mat.t() . The depth (of type used in depthTo3d fuction) mask : Evision.Mat.t() . The mask of used pixels (of CV_8UC1), it can be empty rt : Evision.Mat.t() . The transformation that will be applied to the 3d points computed from the depth cameraMatrix : Evision.Mat.t() . Camera matrix distCoeff : Evision.Mat.t() . Distortion coefficients Return warpedImage : Evision.Mat.t() . The warped image. warpedDepth : Evision.Mat.t() . The warped depth. warpedMask : Evision.Mat.t() . The warped mask. Warp the image: compute 3d points from the depth, transform them using given transformation, then project color point cloud to an image plane. This function can be used to visualize results of the Odometry algorithm. Python prototype (for reference only): warpFrame(image, depth, mask, Rt, cameraMatrix, distCoeff[, warpedImage[, warpedDepth[, warpedMask]]]) -&gt; warpedImage, warpedDepth, warpedMask","ref":"Evision.RGBD.html#warpFrame/6","title":"Evision.RGBD.warpFrame/6","type":"function"},{"doc":"warpFrame Positional Arguments image : Evision.Mat.t() . The image (of CV_8UC1 or CV_8UC3 type) depth : Evision.Mat.t() . The depth (of type used in depthTo3d fuction) mask : Evision.Mat.t() . The mask of used pixels (of CV_8UC1), it can be empty rt : Evision.Mat.t() . The transformation that will be applied to the 3d points computed from the depth cameraMatrix : Evision.Mat.t() . Camera matrix distCoeff : Evision.Mat.t() . Distortion coefficients Return warpedImage : Evision.Mat.t() . The warped image. warpedDepth : Evision.Mat.t() . The warped depth. warpedMask : Evision.Mat.t() . The warped mask. Warp the image: compute 3d points from the depth, transform them using given transformation, then project color point cloud to an image plane. This function can be used to visualize results of the Odometry algorithm. Python prototype (for reference only): warpFrame(image, depth, mask, Rt, cameraMatrix, distCoeff[, warpedImage[, warpedDepth[, warpedMask]]]) -&gt; warpedImage, warpedDepth, warpedMask","ref":"Evision.RGBD.html#warpFrame/7","title":"Evision.RGBD.warpFrame/7","type":"function"},{"doc":"Type that represents an RGBD struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.html#t:t/0","title":"Evision.RGBD.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.DepthCleaner.html","title":"Evision.RGBD.DepthCleaner","type":"module"},{"doc":"apply Positional Arguments self : Evision.RGBD.DepthCleaner.t() points : Evision.Mat.t() . a rows x cols x 3 matrix of CV_32F/CV64F or a rows x cols x 1 CV_U16S Return depth : Evision.Mat.t() . a rows x cols matrix of the cleaned up depth Given a set of 3d points in a depth image, compute the normals at each point. Python prototype (for reference only): apply(points[, depth]) -&gt; depth","ref":"Evision.RGBD.DepthCleaner.html#apply/2","title":"Evision.RGBD.DepthCleaner.apply/2","type":"function"},{"doc":"apply Positional Arguments self : Evision.RGBD.DepthCleaner.t() points : Evision.Mat.t() . a rows x cols x 3 matrix of CV_32F/CV64F or a rows x cols x 1 CV_U16S Return depth : Evision.Mat.t() . a rows x cols matrix of the cleaned up depth Given a set of 3d points in a depth image, compute the normals at each point. Python prototype (for reference only): apply(points[, depth]) -&gt; depth","ref":"Evision.RGBD.DepthCleaner.html#apply/3","title":"Evision.RGBD.DepthCleaner.apply/3","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.RGBD.DepthCleaner.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.RGBD.DepthCleaner.html#clear/1","title":"Evision.RGBD.DepthCleaner.clear/1","type":"function"},{"doc":"create Positional Arguments depth : int . the depth of the normals (only CV_32F or CV_64F) Keyword Arguments window_size : int . the window size to compute the normals: can only be 1,3,5 or 7 method : int . one of the methods to use: RGBD_NORMALS_METHOD_SRI, RGBD_NORMALS_METHOD_FALS Return retval : DepthCleaner Constructor Python prototype (for reference only): create(depth[, window_size[, method]]) -&gt; retval","ref":"Evision.RGBD.DepthCleaner.html#create/1","title":"Evision.RGBD.DepthCleaner.create/1","type":"function"},{"doc":"create Positional Arguments depth : int . the depth of the normals (only CV_32F or CV_64F) Keyword Arguments window_size : int . the window size to compute the normals: can only be 1,3,5 or 7 method : int . one of the methods to use: RGBD_NORMALS_METHOD_SRI, RGBD_NORMALS_METHOD_FALS Return retval : DepthCleaner Constructor Python prototype (for reference only): create(depth[, window_size[, method]]) -&gt; retval","ref":"Evision.RGBD.DepthCleaner.html#create/2","title":"Evision.RGBD.DepthCleaner.create/2","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.RGBD.DepthCleaner.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.RGBD.DepthCleaner.html#empty/1","title":"Evision.RGBD.DepthCleaner.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.RGBD.DepthCleaner.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.RGBD.DepthCleaner.html#getDefaultName/1","title":"Evision.RGBD.DepthCleaner.getDefaultName/1","type":"function"},{"doc":"getDepth Positional Arguments self : Evision.RGBD.DepthCleaner.t() Return retval : int Python prototype (for reference only): getDepth() -&gt; retval","ref":"Evision.RGBD.DepthCleaner.html#getDepth/1","title":"Evision.RGBD.DepthCleaner.getDepth/1","type":"function"},{"doc":"getMethod Positional Arguments self : Evision.RGBD.DepthCleaner.t() Return retval : int Python prototype (for reference only): getMethod() -&gt; retval","ref":"Evision.RGBD.DepthCleaner.html#getMethod/1","title":"Evision.RGBD.DepthCleaner.getMethod/1","type":"function"},{"doc":"getWindowSize Positional Arguments self : Evision.RGBD.DepthCleaner.t() Return retval : int Python prototype (for reference only): getWindowSize() -&gt; retval","ref":"Evision.RGBD.DepthCleaner.html#getWindowSize/1","title":"Evision.RGBD.DepthCleaner.getWindowSize/1","type":"function"},{"doc":"initialize Positional Arguments self : Evision.RGBD.DepthCleaner.t() Initializes some data that is cached for later computation If that function is not called, it will be called the first time normals are computed Python prototype (for reference only): initialize() -&gt; None","ref":"Evision.RGBD.DepthCleaner.html#initialize/1","title":"Evision.RGBD.DepthCleaner.initialize/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.RGBD.DepthCleaner.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.RGBD.DepthCleaner.html#read/2","title":"Evision.RGBD.DepthCleaner.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.RGBD.DepthCleaner.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.RGBD.DepthCleaner.html#save/2","title":"Evision.RGBD.DepthCleaner.save/2","type":"function"},{"doc":"setDepth Positional Arguments self : Evision.RGBD.DepthCleaner.t() val : int Python prototype (for reference only): setDepth(val) -&gt; None","ref":"Evision.RGBD.DepthCleaner.html#setDepth/2","title":"Evision.RGBD.DepthCleaner.setDepth/2","type":"function"},{"doc":"setMethod Positional Arguments self : Evision.RGBD.DepthCleaner.t() val : int Python prototype (for reference only): setMethod(val) -&gt; None","ref":"Evision.RGBD.DepthCleaner.html#setMethod/2","title":"Evision.RGBD.DepthCleaner.setMethod/2","type":"function"},{"doc":"setWindowSize Positional Arguments self : Evision.RGBD.DepthCleaner.t() val : int Python prototype (for reference only): setWindowSize(val) -&gt; None","ref":"Evision.RGBD.DepthCleaner.html#setWindowSize/2","title":"Evision.RGBD.DepthCleaner.setWindowSize/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.RGBD.DepthCleaner.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.RGBD.DepthCleaner.html#write/2","title":"Evision.RGBD.DepthCleaner.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.RGBD.DepthCleaner.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.RGBD.DepthCleaner.html#write/3","title":"Evision.RGBD.DepthCleaner.write/3","type":"function"},{"doc":"Type that represents an RGBD.DepthCleaner struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.DepthCleaner.html#t:t/0","title":"Evision.RGBD.DepthCleaner.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.FastICPOdometry.html","title":"Evision.RGBD.FastICPOdometry","type":"module"},{"doc":"create Positional Arguments cameraMatrix : Evision.Mat.t() . Camera matrix Keyword Arguments maxDistDiff : float . Correspondences between pixels of two given frames will be filtered out if their depth difference is larger than maxDepthDiff angleThreshold : float . Correspondence will be filtered out if an angle between their normals is bigger than threshold sigmaDepth : float . Depth sigma in meters for bilateral smooth sigmaSpatial : float . Spatial sigma in pixels for bilateral smooth kernelSize : int . Kernel size in pixels for bilateral smooth iterCounts : [int] . Count of iterations on each pyramid level Return retval : FastICPOdometry Constructor. Python prototype (for reference only): create(cameraMatrix[, maxDistDiff[, angleThreshold[, sigmaDepth[, sigmaSpatial[, kernelSize[, iterCounts]]]]]]) -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#create/1","title":"Evision.RGBD.FastICPOdometry.create/1","type":"function"},{"doc":"create Positional Arguments cameraMatrix : Evision.Mat.t() . Camera matrix Keyword Arguments maxDistDiff : float . Correspondences between pixels of two given frames will be filtered out if their depth difference is larger than maxDepthDiff angleThreshold : float . Correspondence will be filtered out if an angle between their normals is bigger than threshold sigmaDepth : float . Depth sigma in meters for bilateral smooth sigmaSpatial : float . Spatial sigma in pixels for bilateral smooth kernelSize : int . Kernel size in pixels for bilateral smooth iterCounts : [int] . Count of iterations on each pyramid level Return retval : FastICPOdometry Constructor. Python prototype (for reference only): create(cameraMatrix[, maxDistDiff[, angleThreshold[, sigmaDepth[, sigmaSpatial[, kernelSize[, iterCounts]]]]]]) -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#create/2","title":"Evision.RGBD.FastICPOdometry.create/2","type":"function"},{"doc":"getAngleThreshold Positional Arguments self : Evision.RGBD.FastICPOdometry.t() Return retval : float Python prototype (for reference only): getAngleThreshold() -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#getAngleThreshold/1","title":"Evision.RGBD.FastICPOdometry.getAngleThreshold/1","type":"function"},{"doc":"getCameraMatrix Positional Arguments self : Evision.RGBD.FastICPOdometry.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getCameraMatrix() -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#getCameraMatrix/1","title":"Evision.RGBD.FastICPOdometry.getCameraMatrix/1","type":"function"},{"doc":"getIterationCounts Positional Arguments self : Evision.RGBD.FastICPOdometry.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getIterationCounts() -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#getIterationCounts/1","title":"Evision.RGBD.FastICPOdometry.getIterationCounts/1","type":"function"},{"doc":"getKernelSize Positional Arguments self : Evision.RGBD.FastICPOdometry.t() Return retval : int Python prototype (for reference only): getKernelSize() -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#getKernelSize/1","title":"Evision.RGBD.FastICPOdometry.getKernelSize/1","type":"function"},{"doc":"getMaxDistDiff Positional Arguments self : Evision.RGBD.FastICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxDistDiff() -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#getMaxDistDiff/1","title":"Evision.RGBD.FastICPOdometry.getMaxDistDiff/1","type":"function"},{"doc":"getSigmaDepth Positional Arguments self : Evision.RGBD.FastICPOdometry.t() Return retval : float Python prototype (for reference only): getSigmaDepth() -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#getSigmaDepth/1","title":"Evision.RGBD.FastICPOdometry.getSigmaDepth/1","type":"function"},{"doc":"getSigmaSpatial Positional Arguments self : Evision.RGBD.FastICPOdometry.t() Return retval : float Python prototype (for reference only): getSigmaSpatial() -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#getSigmaSpatial/1","title":"Evision.RGBD.FastICPOdometry.getSigmaSpatial/1","type":"function"},{"doc":"getTransformType Positional Arguments self : Evision.RGBD.FastICPOdometry.t() Return retval : int Python prototype (for reference only): getTransformType() -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#getTransformType/1","title":"Evision.RGBD.FastICPOdometry.getTransformType/1","type":"function"},{"doc":"prepareFrameCache Positional Arguments self : Evision.RGBD.FastICPOdometry.t() frame : OdometryFrame cacheType : int Return retval : Size Python prototype (for reference only): prepareFrameCache(frame, cacheType) -&gt; retval","ref":"Evision.RGBD.FastICPOdometry.html#prepareFrameCache/3","title":"Evision.RGBD.FastICPOdometry.prepareFrameCache/3","type":"function"},{"doc":"setAngleThreshold Positional Arguments self : Evision.RGBD.FastICPOdometry.t() f : float Python prototype (for reference only): setAngleThreshold(f) -&gt; None","ref":"Evision.RGBD.FastICPOdometry.html#setAngleThreshold/2","title":"Evision.RGBD.FastICPOdometry.setAngleThreshold/2","type":"function"},{"doc":"setCameraMatrix Positional Arguments self : Evision.RGBD.FastICPOdometry.t() val : Evision.Mat.t() Python prototype (for reference only): setCameraMatrix(val) -&gt; None","ref":"Evision.RGBD.FastICPOdometry.html#setCameraMatrix/2","title":"Evision.RGBD.FastICPOdometry.setCameraMatrix/2","type":"function"},{"doc":"setIterationCounts Positional Arguments self : Evision.RGBD.FastICPOdometry.t() val : Evision.Mat.t() Python prototype (for reference only): setIterationCounts(val) -&gt; None","ref":"Evision.RGBD.FastICPOdometry.html#setIterationCounts/2","title":"Evision.RGBD.FastICPOdometry.setIterationCounts/2","type":"function"},{"doc":"setKernelSize Positional Arguments self : Evision.RGBD.FastICPOdometry.t() f : int Python prototype (for reference only): setKernelSize(f) -&gt; None","ref":"Evision.RGBD.FastICPOdometry.html#setKernelSize/2","title":"Evision.RGBD.FastICPOdometry.setKernelSize/2","type":"function"},{"doc":"setMaxDistDiff Positional Arguments self : Evision.RGBD.FastICPOdometry.t() val : float Python prototype (for reference only): setMaxDistDiff(val) -&gt; None","ref":"Evision.RGBD.FastICPOdometry.html#setMaxDistDiff/2","title":"Evision.RGBD.FastICPOdometry.setMaxDistDiff/2","type":"function"},{"doc":"setSigmaDepth Positional Arguments self : Evision.RGBD.FastICPOdometry.t() f : float Python prototype (for reference only): setSigmaDepth(f) -&gt; None","ref":"Evision.RGBD.FastICPOdometry.html#setSigmaDepth/2","title":"Evision.RGBD.FastICPOdometry.setSigmaDepth/2","type":"function"},{"doc":"setSigmaSpatial Positional Arguments self : Evision.RGBD.FastICPOdometry.t() f : float Python prototype (for reference only): setSigmaSpatial(f) -&gt; None","ref":"Evision.RGBD.FastICPOdometry.html#setSigmaSpatial/2","title":"Evision.RGBD.FastICPOdometry.setSigmaSpatial/2","type":"function"},{"doc":"setTransformType Positional Arguments self : Evision.RGBD.FastICPOdometry.t() val : int Python prototype (for reference only): setTransformType(val) -&gt; None","ref":"Evision.RGBD.FastICPOdometry.html#setTransformType/2","title":"Evision.RGBD.FastICPOdometry.setTransformType/2","type":"function"},{"doc":"Type that represents an RGBD.FastICPOdometry struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.FastICPOdometry.html#t:t/0","title":"Evision.RGBD.FastICPOdometry.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.ICPOdometry.html","title":"Evision.RGBD.ICPOdometry","type":"module"},{"doc":"create Keyword Arguments cameraMatrix : Evision.Mat.t() . Camera matrix minDepth : float . Pixels with depth less than minDepth will not be used maxDepth : float . Pixels with depth larger than maxDepth will not be used maxDepthDiff : float . Correspondences between pixels of two given frames will be filtered out if their depth difference is larger than maxDepthDiff maxPointsPart : float . The method uses a random pixels subset of size frameWidth x frameHeight x pointsPart iterCounts : [int] . Count of iterations on each pyramid level. transformType : int . Class of trasformation Return retval : ICPOdometry Constructor. Python prototype (for reference only): create([, cameraMatrix[, minDepth[, maxDepth[, maxDepthDiff[, maxPointsPart[, iterCounts[, transformType]]]]]]]) -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#create/0","title":"Evision.RGBD.ICPOdometry.create/0","type":"function"},{"doc":"create Keyword Arguments cameraMatrix : Evision.Mat.t() . Camera matrix minDepth : float . Pixels with depth less than minDepth will not be used maxDepth : float . Pixels with depth larger than maxDepth will not be used maxDepthDiff : float . Correspondences between pixels of two given frames will be filtered out if their depth difference is larger than maxDepthDiff maxPointsPart : float . The method uses a random pixels subset of size frameWidth x frameHeight x pointsPart iterCounts : [int] . Count of iterations on each pyramid level. transformType : int . Class of trasformation Return retval : ICPOdometry Constructor. Python prototype (for reference only): create([, cameraMatrix[, minDepth[, maxDepth[, maxDepthDiff[, maxPointsPart[, iterCounts[, transformType]]]]]]]) -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#create/1","title":"Evision.RGBD.ICPOdometry.create/1","type":"function"},{"doc":"getCameraMatrix Positional Arguments self : Evision.RGBD.ICPOdometry.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getCameraMatrix() -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#getCameraMatrix/1","title":"Evision.RGBD.ICPOdometry.getCameraMatrix/1","type":"function"},{"doc":"getIterationCounts Positional Arguments self : Evision.RGBD.ICPOdometry.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getIterationCounts() -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#getIterationCounts/1","title":"Evision.RGBD.ICPOdometry.getIterationCounts/1","type":"function"},{"doc":"getMaxDepth Positional Arguments self : Evision.RGBD.ICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxDepth() -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#getMaxDepth/1","title":"Evision.RGBD.ICPOdometry.getMaxDepth/1","type":"function"},{"doc":"getMaxDepthDiff Positional Arguments self : Evision.RGBD.ICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxDepthDiff() -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#getMaxDepthDiff/1","title":"Evision.RGBD.ICPOdometry.getMaxDepthDiff/1","type":"function"},{"doc":"getMaxPointsPart Positional Arguments self : Evision.RGBD.ICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxPointsPart() -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#getMaxPointsPart/1","title":"Evision.RGBD.ICPOdometry.getMaxPointsPart/1","type":"function"},{"doc":"getMaxRotation Positional Arguments self : Evision.RGBD.ICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxRotation() -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#getMaxRotation/1","title":"Evision.RGBD.ICPOdometry.getMaxRotation/1","type":"function"},{"doc":"getMaxTranslation Positional Arguments self : Evision.RGBD.ICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxTranslation() -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#getMaxTranslation/1","title":"Evision.RGBD.ICPOdometry.getMaxTranslation/1","type":"function"},{"doc":"getMinDepth Positional Arguments self : Evision.RGBD.ICPOdometry.t() Return retval : double Python prototype (for reference only): getMinDepth() -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#getMinDepth/1","title":"Evision.RGBD.ICPOdometry.getMinDepth/1","type":"function"},{"doc":"getNormalsComputer Positional Arguments self : Evision.RGBD.ICPOdometry.t() Return retval : RgbdNormals Python prototype (for reference only): getNormalsComputer() -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#getNormalsComputer/1","title":"Evision.RGBD.ICPOdometry.getNormalsComputer/1","type":"function"},{"doc":"getTransformType Positional Arguments self : Evision.RGBD.ICPOdometry.t() Return retval : int Python prototype (for reference only): getTransformType() -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#getTransformType/1","title":"Evision.RGBD.ICPOdometry.getTransformType/1","type":"function"},{"doc":"prepareFrameCache Positional Arguments self : Evision.RGBD.ICPOdometry.t() frame : OdometryFrame cacheType : int Return retval : Size Python prototype (for reference only): prepareFrameCache(frame, cacheType) -&gt; retval","ref":"Evision.RGBD.ICPOdometry.html#prepareFrameCache/3","title":"Evision.RGBD.ICPOdometry.prepareFrameCache/3","type":"function"},{"doc":"setCameraMatrix Positional Arguments self : Evision.RGBD.ICPOdometry.t() val : Evision.Mat.t() Python prototype (for reference only): setCameraMatrix(val) -&gt; None","ref":"Evision.RGBD.ICPOdometry.html#setCameraMatrix/2","title":"Evision.RGBD.ICPOdometry.setCameraMatrix/2","type":"function"},{"doc":"setIterationCounts Positional Arguments self : Evision.RGBD.ICPOdometry.t() val : Evision.Mat.t() Python prototype (for reference only): setIterationCounts(val) -&gt; None","ref":"Evision.RGBD.ICPOdometry.html#setIterationCounts/2","title":"Evision.RGBD.ICPOdometry.setIterationCounts/2","type":"function"},{"doc":"setMaxDepth Positional Arguments self : Evision.RGBD.ICPOdometry.t() val : double Python prototype (for reference only): setMaxDepth(val) -&gt; None","ref":"Evision.RGBD.ICPOdometry.html#setMaxDepth/2","title":"Evision.RGBD.ICPOdometry.setMaxDepth/2","type":"function"},{"doc":"setMaxDepthDiff Positional Arguments self : Evision.RGBD.ICPOdometry.t() val : double Python prototype (for reference only): setMaxDepthDiff(val) -&gt; None","ref":"Evision.RGBD.ICPOdometry.html#setMaxDepthDiff/2","title":"Evision.RGBD.ICPOdometry.setMaxDepthDiff/2","type":"function"},{"doc":"setMaxPointsPart Positional Arguments self : Evision.RGBD.ICPOdometry.t() val : double Python prototype (for reference only): setMaxPointsPart(val) -&gt; None","ref":"Evision.RGBD.ICPOdometry.html#setMaxPointsPart/2","title":"Evision.RGBD.ICPOdometry.setMaxPointsPart/2","type":"function"},{"doc":"setMaxRotation Positional Arguments self : Evision.RGBD.ICPOdometry.t() val : double Python prototype (for reference only): setMaxRotation(val) -&gt; None","ref":"Evision.RGBD.ICPOdometry.html#setMaxRotation/2","title":"Evision.RGBD.ICPOdometry.setMaxRotation/2","type":"function"},{"doc":"setMaxTranslation Positional Arguments self : Evision.RGBD.ICPOdometry.t() val : double Python prototype (for reference only): setMaxTranslation(val) -&gt; None","ref":"Evision.RGBD.ICPOdometry.html#setMaxTranslation/2","title":"Evision.RGBD.ICPOdometry.setMaxTranslation/2","type":"function"},{"doc":"setMinDepth Positional Arguments self : Evision.RGBD.ICPOdometry.t() val : double Python prototype (for reference only): setMinDepth(val) -&gt; None","ref":"Evision.RGBD.ICPOdometry.html#setMinDepth/2","title":"Evision.RGBD.ICPOdometry.setMinDepth/2","type":"function"},{"doc":"setTransformType Positional Arguments self : Evision.RGBD.ICPOdometry.t() val : int Python prototype (for reference only): setTransformType(val) -&gt; None","ref":"Evision.RGBD.ICPOdometry.html#setTransformType/2","title":"Evision.RGBD.ICPOdometry.setTransformType/2","type":"function"},{"doc":"Type that represents an RGBD.ICPOdometry struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.ICPOdometry.html#t:t/0","title":"Evision.RGBD.ICPOdometry.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.Odometry.html","title":"Evision.RGBD.Odometry","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.RGBD.Odometry.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.RGBD.Odometry.html#clear/1","title":"Evision.RGBD.Odometry.clear/1","type":"function"},{"doc":"compute2 Positional Arguments self : Evision.RGBD.Odometry.t() srcFrame : OdometryFrame dstFrame : OdometryFrame Keyword Arguments initRt : Evision.Mat.t() . Return retval : bool rt : Evision.Mat.t() . One more method to compute a transformation from the source frame to the destination one. It is designed to save on computing the frame data (image pyramids, normals, etc.). Python prototype (for reference only): compute2(srcFrame, dstFrame[, Rt[, initRt]]) -&gt; retval, Rt","ref":"Evision.RGBD.Odometry.html#compute2/3","title":"Evision.RGBD.Odometry.compute2/3","type":"function"},{"doc":"compute2 Positional Arguments self : Evision.RGBD.Odometry.t() srcFrame : OdometryFrame dstFrame : OdometryFrame Keyword Arguments initRt : Evision.Mat.t() . Return retval : bool rt : Evision.Mat.t() . One more method to compute a transformation from the source frame to the destination one. It is designed to save on computing the frame data (image pyramids, normals, etc.). Python prototype (for reference only): compute2(srcFrame, dstFrame[, Rt[, initRt]]) -&gt; retval, Rt","ref":"Evision.RGBD.Odometry.html#compute2/4","title":"Evision.RGBD.Odometry.compute2/4","type":"function"},{"doc":"compute Positional Arguments self : Evision.RGBD.Odometry.t() srcImage : Evision.Mat.t() . Image data of the source frame (CV_8UC1) srcDepth : Evision.Mat.t() . Depth data of the source frame (CV_32FC1, in meters) srcMask : Evision.Mat.t() . Mask that sets which pixels have to be used from the source frame (CV_8UC1) dstImage : Evision.Mat.t() . Image data of the destination frame (CV_8UC1) dstDepth : Evision.Mat.t() . Depth data of the destination frame (CV_32FC1, in meters) dstMask : Evision.Mat.t() . Mask that sets which pixels have to be used from the destination frame (CV_8UC1) Keyword Arguments initRt : Evision.Mat.t() . Initial transformation from the source frame to the destination one (optional) Return retval : bool rt : Evision.Mat.t() . Resulting transformation from the source frame to the destination one (rigid body motion): dst_p = Rt * src_p, where dst_p is a homogeneous point in the destination frame and src_p is homogeneous point in the source frame, Rt is 4x4 matrix of CV_64FC1 type. Method to compute a transformation from the source frame to the destination one. Some odometry algorithms do not used some data of frames (eg. ICP does not use images). In such case corresponding arguments can be set as empty Mat. The method returns true if all internal computations were possible (e.g. there were enough correspondences, system of equations has a solution, etc) and resulting transformation satisfies some test if it's provided by the Odometry inheritor implementation (e.g. thresholds for maximum translation and rotation). Python prototype (for reference only): compute(srcImage, srcDepth, srcMask, dstImage, dstDepth, dstMask[, Rt[, initRt]]) -&gt; retval, Rt","ref":"Evision.RGBD.Odometry.html#compute/7","title":"Evision.RGBD.Odometry.compute/7","type":"function"},{"doc":"compute Positional Arguments self : Evision.RGBD.Odometry.t() srcImage : Evision.Mat.t() . Image data of the source frame (CV_8UC1) srcDepth : Evision.Mat.t() . Depth data of the source frame (CV_32FC1, in meters) srcMask : Evision.Mat.t() . Mask that sets which pixels have to be used from the source frame (CV_8UC1) dstImage : Evision.Mat.t() . Image data of the destination frame (CV_8UC1) dstDepth : Evision.Mat.t() . Depth data of the destination frame (CV_32FC1, in meters) dstMask : Evision.Mat.t() . Mask that sets which pixels have to be used from the destination frame (CV_8UC1) Keyword Arguments initRt : Evision.Mat.t() . Initial transformation from the source frame to the destination one (optional) Return retval : bool rt : Evision.Mat.t() . Resulting transformation from the source frame to the destination one (rigid body motion): dst_p = Rt * src_p, where dst_p is a homogeneous point in the destination frame and src_p is homogeneous point in the source frame, Rt is 4x4 matrix of CV_64FC1 type. Method to compute a transformation from the source frame to the destination one. Some odometry algorithms do not used some data of frames (eg. ICP does not use images). In such case corresponding arguments can be set as empty Mat. The method returns true if all internal computations were possible (e.g. there were enough correspondences, system of equations has a solution, etc) and resulting transformation satisfies some test if it's provided by the Odometry inheritor implementation (e.g. thresholds for maximum translation and rotation). Python prototype (for reference only): compute(srcImage, srcDepth, srcMask, dstImage, dstDepth, dstMask[, Rt[, initRt]]) -&gt; retval, Rt","ref":"Evision.RGBD.Odometry.html#compute/8","title":"Evision.RGBD.Odometry.compute/8","type":"function"},{"doc":"create Positional Arguments odometryType : String Return retval : Odometry Python prototype (for reference only): create(odometryType) -&gt; retval","ref":"Evision.RGBD.Odometry.html#create/1","title":"Evision.RGBD.Odometry.create/1","type":"function"},{"doc":"DEFAULT_MAX_DEPTH Positional Arguments self : Evision.RGBD.Odometry.t() Return retval : float Python prototype (for reference only): DEFAULT_MAX_DEPTH() -&gt; retval","ref":"Evision.RGBD.Odometry.html#default_max_depth/1","title":"Evision.RGBD.Odometry.default_max_depth/1","type":"function"},{"doc":"DEFAULT_MAX_DEPTH_DIFF Positional Arguments self : Evision.RGBD.Odometry.t() Return retval : float Python prototype (for reference only): DEFAULT_MAX_DEPTH_DIFF() -&gt; retval","ref":"Evision.RGBD.Odometry.html#default_max_depth_diff/1","title":"Evision.RGBD.Odometry.default_max_depth_diff/1","type":"function"},{"doc":"DEFAULT_MAX_POINTS_PART Positional Arguments self : Evision.RGBD.Odometry.t() Return retval : float Python prototype (for reference only): DEFAULT_MAX_POINTS_PART() -&gt; retval","ref":"Evision.RGBD.Odometry.html#default_max_points_part/1","title":"Evision.RGBD.Odometry.default_max_points_part/1","type":"function"},{"doc":"DEFAULT_MAX_ROTATION Positional Arguments self : Evision.RGBD.Odometry.t() Return retval : float Python prototype (for reference only): DEFAULT_MAX_ROTATION() -&gt; retval","ref":"Evision.RGBD.Odometry.html#default_max_rotation/1","title":"Evision.RGBD.Odometry.default_max_rotation/1","type":"function"},{"doc":"DEFAULT_MAX_TRANSLATION Positional Arguments self : Evision.RGBD.Odometry.t() Return retval : float Python prototype (for reference only): DEFAULT_MAX_TRANSLATION() -&gt; retval","ref":"Evision.RGBD.Odometry.html#default_max_translation/1","title":"Evision.RGBD.Odometry.default_max_translation/1","type":"function"},{"doc":"DEFAULT_MIN_DEPTH Positional Arguments self : Evision.RGBD.Odometry.t() Return retval : float Python prototype (for reference only): DEFAULT_MIN_DEPTH() -&gt; retval","ref":"Evision.RGBD.Odometry.html#default_min_depth/1","title":"Evision.RGBD.Odometry.default_min_depth/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.RGBD.Odometry.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.RGBD.Odometry.html#empty/1","title":"Evision.RGBD.Odometry.empty/1","type":"function"},{"doc":"getCameraMatrix Positional Arguments self : Evision.RGBD.Odometry.t() Return retval : Evision.Mat.t() @see setCameraMatrix/2 Python prototype (for reference only): getCameraMatrix() -&gt; retval","ref":"Evision.RGBD.Odometry.html#getCameraMatrix/1","title":"Evision.RGBD.Odometry.getCameraMatrix/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.RGBD.Odometry.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.RGBD.Odometry.html#getDefaultName/1","title":"Evision.RGBD.Odometry.getDefaultName/1","type":"function"},{"doc":"getTransformType Positional Arguments self : Evision.RGBD.Odometry.t() Return retval : int @see setTransformType/2 Python prototype (for reference only): getTransformType() -&gt; retval","ref":"Evision.RGBD.Odometry.html#getTransformType/1","title":"Evision.RGBD.Odometry.getTransformType/1","type":"function"},{"doc":"prepareFrameCache Positional Arguments self : Evision.RGBD.Odometry.t() frame : OdometryFrame . The odometry which will process the frame. cacheType : int . The cache type: CACHE_SRC, CACHE_DST or CACHE_ALL. Return retval : Size Prepare a cache for the frame. The function checks the precomputed/passed data (throws the error if this data does not satisfy) and computes all remaining cache data needed for the frame. Returned size is a resolution of the prepared frame. Python prototype (for reference only): prepareFrameCache(frame, cacheType) -&gt; retval","ref":"Evision.RGBD.Odometry.html#prepareFrameCache/3","title":"Evision.RGBD.Odometry.prepareFrameCache/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.RGBD.Odometry.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.RGBD.Odometry.html#read/2","title":"Evision.RGBD.Odometry.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.RGBD.Odometry.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.RGBD.Odometry.html#save/2","title":"Evision.RGBD.Odometry.save/2","type":"function"},{"doc":"setCameraMatrix Positional Arguments self : Evision.RGBD.Odometry.t() val : Evision.Mat.t() @see getCameraMatrix/1 Python prototype (for reference only): setCameraMatrix(val) -&gt; None","ref":"Evision.RGBD.Odometry.html#setCameraMatrix/2","title":"Evision.RGBD.Odometry.setCameraMatrix/2","type":"function"},{"doc":"setTransformType Positional Arguments self : Evision.RGBD.Odometry.t() val : int @see getTransformType/1 Python prototype (for reference only): setTransformType(val) -&gt; None","ref":"Evision.RGBD.Odometry.html#setTransformType/2","title":"Evision.RGBD.Odometry.setTransformType/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.RGBD.Odometry.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.RGBD.Odometry.html#write/2","title":"Evision.RGBD.Odometry.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.RGBD.Odometry.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.RGBD.Odometry.html#write/3","title":"Evision.RGBD.Odometry.write/3","type":"function"},{"doc":"Type that represents an RGBD.Odometry struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.Odometry.html#t:t/0","title":"Evision.RGBD.Odometry.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.OdometryFrame.html","title":"Evision.RGBD.OdometryFrame","type":"module"},{"doc":"create Keyword Arguments image : Evision.Mat.t() . depth : Evision.Mat.t() . mask : Evision.Mat.t() . normals : Evision.Mat.t() . iD : int . Return retval : OdometryFrame Python prototype (for reference only): create([, image[, depth[, mask[, normals[, ID]]]]]) -&gt; retval","ref":"Evision.RGBD.OdometryFrame.html#create/0","title":"Evision.RGBD.OdometryFrame.create/0","type":"function"},{"doc":"create Keyword Arguments image : Evision.Mat.t() . depth : Evision.Mat.t() . mask : Evision.Mat.t() . normals : Evision.Mat.t() . iD : int . Return retval : OdometryFrame Python prototype (for reference only): create([, image[, depth[, mask[, normals[, ID]]]]]) -&gt; retval","ref":"Evision.RGBD.OdometryFrame.html#create/1","title":"Evision.RGBD.OdometryFrame.create/1","type":"function"},{"doc":"","ref":"Evision.RGBD.OdometryFrame.html#get_pyramid_dI_dx/1","title":"Evision.RGBD.OdometryFrame.get_pyramid_dI_dx/1","type":"function"},{"doc":"","ref":"Evision.RGBD.OdometryFrame.html#get_pyramid_dI_dy/1","title":"Evision.RGBD.OdometryFrame.get_pyramid_dI_dy/1","type":"function"},{"doc":"","ref":"Evision.RGBD.OdometryFrame.html#get_pyramidCloud/1","title":"Evision.RGBD.OdometryFrame.get_pyramidCloud/1","type":"function"},{"doc":"","ref":"Evision.RGBD.OdometryFrame.html#get_pyramidDepth/1","title":"Evision.RGBD.OdometryFrame.get_pyramidDepth/1","type":"function"},{"doc":"","ref":"Evision.RGBD.OdometryFrame.html#get_pyramidImage/1","title":"Evision.RGBD.OdometryFrame.get_pyramidImage/1","type":"function"},{"doc":"","ref":"Evision.RGBD.OdometryFrame.html#get_pyramidMask/1","title":"Evision.RGBD.OdometryFrame.get_pyramidMask/1","type":"function"},{"doc":"","ref":"Evision.RGBD.OdometryFrame.html#get_pyramidNormals/1","title":"Evision.RGBD.OdometryFrame.get_pyramidNormals/1","type":"function"},{"doc":"","ref":"Evision.RGBD.OdometryFrame.html#get_pyramidNormalsMask/1","title":"Evision.RGBD.OdometryFrame.get_pyramidNormalsMask/1","type":"function"},{"doc":"","ref":"Evision.RGBD.OdometryFrame.html#get_pyramidTexturedMask/1","title":"Evision.RGBD.OdometryFrame.get_pyramidTexturedMask/1","type":"function"},{"doc":"release Positional Arguments self : Evision.RGBD.OdometryFrame.t() Python prototype (for reference only): release() -&gt; None","ref":"Evision.RGBD.OdometryFrame.html#release/1","title":"Evision.RGBD.OdometryFrame.release/1","type":"function"},{"doc":"releasePyramids Positional Arguments self : Evision.RGBD.OdometryFrame.t() Python prototype (for reference only): releasePyramids() -&gt; None","ref":"Evision.RGBD.OdometryFrame.html#releasePyramids/1","title":"Evision.RGBD.OdometryFrame.releasePyramids/1","type":"function"},{"doc":"Type that represents an RGBD.OdometryFrame struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.OdometryFrame.html#t:t/0","title":"Evision.RGBD.OdometryFrame.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.RgbdFrame.html","title":"Evision.RGBD.RgbdFrame","type":"module"},{"doc":"create Keyword Arguments image : Evision.Mat.t() . depth : Evision.Mat.t() . mask : Evision.Mat.t() . normals : Evision.Mat.t() . iD : int . Return retval : RgbdFrame Python prototype (for reference only): create([, image[, depth[, mask[, normals[, ID]]]]]) -&gt; retval","ref":"Evision.RGBD.RgbdFrame.html#create/0","title":"Evision.RGBD.RgbdFrame.create/0","type":"function"},{"doc":"create Keyword Arguments image : Evision.Mat.t() . depth : Evision.Mat.t() . mask : Evision.Mat.t() . normals : Evision.Mat.t() . iD : int . Return retval : RgbdFrame Python prototype (for reference only): create([, image[, depth[, mask[, normals[, ID]]]]]) -&gt; retval","ref":"Evision.RGBD.RgbdFrame.html#create/1","title":"Evision.RGBD.RgbdFrame.create/1","type":"function"},{"doc":"","ref":"Evision.RGBD.RgbdFrame.html#get_depth/1","title":"Evision.RGBD.RgbdFrame.get_depth/1","type":"function"},{"doc":"","ref":"Evision.RGBD.RgbdFrame.html#get_ID/1","title":"Evision.RGBD.RgbdFrame.get_ID/1","type":"function"},{"doc":"","ref":"Evision.RGBD.RgbdFrame.html#get_image/1","title":"Evision.RGBD.RgbdFrame.get_image/1","type":"function"},{"doc":"","ref":"Evision.RGBD.RgbdFrame.html#get_mask/1","title":"Evision.RGBD.RgbdFrame.get_mask/1","type":"function"},{"doc":"","ref":"Evision.RGBD.RgbdFrame.html#get_normals/1","title":"Evision.RGBD.RgbdFrame.get_normals/1","type":"function"},{"doc":"release Positional Arguments self : Evision.RGBD.RgbdFrame.t() Python prototype (for reference only): release() -&gt; None","ref":"Evision.RGBD.RgbdFrame.html#release/1","title":"Evision.RGBD.RgbdFrame.release/1","type":"function"},{"doc":"Type that represents an RGBD.RgbdFrame struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.RgbdFrame.html#t:t/0","title":"Evision.RGBD.RgbdFrame.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.RgbdICPOdometry.html","title":"Evision.RGBD.RgbdICPOdometry","type":"module"},{"doc":"create Keyword Arguments cameraMatrix : Evision.Mat.t() . Camera matrix minDepth : float . Pixels with depth less than minDepth will not be used maxDepth : float . Pixels with depth larger than maxDepth will not be used maxDepthDiff : float . Correspondences between pixels of two given frames will be filtered out if their depth difference is larger than maxDepthDiff maxPointsPart : float . The method uses a random pixels subset of size frameWidth x frameHeight x pointsPart iterCounts : [int] . Count of iterations on each pyramid level. minGradientMagnitudes : [float] . For each pyramid level the pixels will be filtered out if they have gradient magnitude less than minGradientMagnitudes[level]. transformType : int . Class of trasformation Return retval : RgbdICPOdometry Constructor. Python prototype (for reference only): create([, cameraMatrix[, minDepth[, maxDepth[, maxDepthDiff[, maxPointsPart[, iterCounts[, minGradientMagnitudes[, transformType]]]]]]]]) -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#create/0","title":"Evision.RGBD.RgbdICPOdometry.create/0","type":"function"},{"doc":"create Keyword Arguments cameraMatrix : Evision.Mat.t() . Camera matrix minDepth : float . Pixels with depth less than minDepth will not be used maxDepth : float . Pixels with depth larger than maxDepth will not be used maxDepthDiff : float . Correspondences between pixels of two given frames will be filtered out if their depth difference is larger than maxDepthDiff maxPointsPart : float . The method uses a random pixels subset of size frameWidth x frameHeight x pointsPart iterCounts : [int] . Count of iterations on each pyramid level. minGradientMagnitudes : [float] . For each pyramid level the pixels will be filtered out if they have gradient magnitude less than minGradientMagnitudes[level]. transformType : int . Class of trasformation Return retval : RgbdICPOdometry Constructor. Python prototype (for reference only): create([, cameraMatrix[, minDepth[, maxDepth[, maxDepthDiff[, maxPointsPart[, iterCounts[, minGradientMagnitudes[, transformType]]]]]]]]) -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#create/1","title":"Evision.RGBD.RgbdICPOdometry.create/1","type":"function"},{"doc":"getCameraMatrix Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getCameraMatrix() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getCameraMatrix/1","title":"Evision.RGBD.RgbdICPOdometry.getCameraMatrix/1","type":"function"},{"doc":"getIterationCounts Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getIterationCounts() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getIterationCounts/1","title":"Evision.RGBD.RgbdICPOdometry.getIterationCounts/1","type":"function"},{"doc":"getMaxDepth Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxDepth() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getMaxDepth/1","title":"Evision.RGBD.RgbdICPOdometry.getMaxDepth/1","type":"function"},{"doc":"getMaxDepthDiff Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxDepthDiff() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getMaxDepthDiff/1","title":"Evision.RGBD.RgbdICPOdometry.getMaxDepthDiff/1","type":"function"},{"doc":"getMaxPointsPart Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxPointsPart() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getMaxPointsPart/1","title":"Evision.RGBD.RgbdICPOdometry.getMaxPointsPart/1","type":"function"},{"doc":"getMaxRotation Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxRotation() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getMaxRotation/1","title":"Evision.RGBD.RgbdICPOdometry.getMaxRotation/1","type":"function"},{"doc":"getMaxTranslation Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : double Python prototype (for reference only): getMaxTranslation() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getMaxTranslation/1","title":"Evision.RGBD.RgbdICPOdometry.getMaxTranslation/1","type":"function"},{"doc":"getMinDepth Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : double Python prototype (for reference only): getMinDepth() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getMinDepth/1","title":"Evision.RGBD.RgbdICPOdometry.getMinDepth/1","type":"function"},{"doc":"getMinGradientMagnitudes Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getMinGradientMagnitudes() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getMinGradientMagnitudes/1","title":"Evision.RGBD.RgbdICPOdometry.getMinGradientMagnitudes/1","type":"function"},{"doc":"getNormalsComputer Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : RgbdNormals Python prototype (for reference only): getNormalsComputer() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getNormalsComputer/1","title":"Evision.RGBD.RgbdICPOdometry.getNormalsComputer/1","type":"function"},{"doc":"getTransformType Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() Return retval : int Python prototype (for reference only): getTransformType() -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#getTransformType/1","title":"Evision.RGBD.RgbdICPOdometry.getTransformType/1","type":"function"},{"doc":"prepareFrameCache Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() frame : OdometryFrame cacheType : int Return retval : Size Python prototype (for reference only): prepareFrameCache(frame, cacheType) -&gt; retval","ref":"Evision.RGBD.RgbdICPOdometry.html#prepareFrameCache/3","title":"Evision.RGBD.RgbdICPOdometry.prepareFrameCache/3","type":"function"},{"doc":"setCameraMatrix Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() val : Evision.Mat.t() Python prototype (for reference only): setCameraMatrix(val) -&gt; None","ref":"Evision.RGBD.RgbdICPOdometry.html#setCameraMatrix/2","title":"Evision.RGBD.RgbdICPOdometry.setCameraMatrix/2","type":"function"},{"doc":"setIterationCounts Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() val : Evision.Mat.t() Python prototype (for reference only): setIterationCounts(val) -&gt; None","ref":"Evision.RGBD.RgbdICPOdometry.html#setIterationCounts/2","title":"Evision.RGBD.RgbdICPOdometry.setIterationCounts/2","type":"function"},{"doc":"setMaxDepth Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() val : double Python prototype (for reference only): setMaxDepth(val) -&gt; None","ref":"Evision.RGBD.RgbdICPOdometry.html#setMaxDepth/2","title":"Evision.RGBD.RgbdICPOdometry.setMaxDepth/2","type":"function"},{"doc":"setMaxDepthDiff Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() val : double Python prototype (for reference only): setMaxDepthDiff(val) -&gt; None","ref":"Evision.RGBD.RgbdICPOdometry.html#setMaxDepthDiff/2","title":"Evision.RGBD.RgbdICPOdometry.setMaxDepthDiff/2","type":"function"},{"doc":"setMaxPointsPart Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() val : double Python prototype (for reference only): setMaxPointsPart(val) -&gt; None","ref":"Evision.RGBD.RgbdICPOdometry.html#setMaxPointsPart/2","title":"Evision.RGBD.RgbdICPOdometry.setMaxPointsPart/2","type":"function"},{"doc":"setMaxRotation Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() val : double Python prototype (for reference only): setMaxRotation(val) -&gt; None","ref":"Evision.RGBD.RgbdICPOdometry.html#setMaxRotation/2","title":"Evision.RGBD.RgbdICPOdometry.setMaxRotation/2","type":"function"},{"doc":"setMaxTranslation Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() val : double Python prototype (for reference only): setMaxTranslation(val) -&gt; None","ref":"Evision.RGBD.RgbdICPOdometry.html#setMaxTranslation/2","title":"Evision.RGBD.RgbdICPOdometry.setMaxTranslation/2","type":"function"},{"doc":"setMinDepth Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() val : double Python prototype (for reference only): setMinDepth(val) -&gt; None","ref":"Evision.RGBD.RgbdICPOdometry.html#setMinDepth/2","title":"Evision.RGBD.RgbdICPOdometry.setMinDepth/2","type":"function"},{"doc":"setMinGradientMagnitudes Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() val : Evision.Mat.t() Python prototype (for reference only): setMinGradientMagnitudes(val) -&gt; None","ref":"Evision.RGBD.RgbdICPOdometry.html#setMinGradientMagnitudes/2","title":"Evision.RGBD.RgbdICPOdometry.setMinGradientMagnitudes/2","type":"function"},{"doc":"setTransformType Positional Arguments self : Evision.RGBD.RgbdICPOdometry.t() val : int Python prototype (for reference only): setTransformType(val) -&gt; None","ref":"Evision.RGBD.RgbdICPOdometry.html#setTransformType/2","title":"Evision.RGBD.RgbdICPOdometry.setTransformType/2","type":"function"},{"doc":"Type that represents an RGBD.RgbdICPOdometry struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.RgbdICPOdometry.html#t:t/0","title":"Evision.RGBD.RgbdICPOdometry.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.RgbdNormals.html","title":"Evision.RGBD.RgbdNormals","type":"module"},{"doc":"apply Positional Arguments self : Evision.RGBD.RgbdNormals.t() points : Evision.Mat.t() . a rows x cols x 3 matrix of CV_32F/CV64F or a rows x cols x 1 CV_U16S Return normals : Evision.Mat.t() . a rows x cols x 3 matrix Given a set of 3d points in a depth image, compute the normals at each point. Python prototype (for reference only): apply(points[, normals]) -&gt; normals","ref":"Evision.RGBD.RgbdNormals.html#apply/2","title":"Evision.RGBD.RgbdNormals.apply/2","type":"function"},{"doc":"apply Positional Arguments self : Evision.RGBD.RgbdNormals.t() points : Evision.Mat.t() . a rows x cols x 3 matrix of CV_32F/CV64F or a rows x cols x 1 CV_U16S Return normals : Evision.Mat.t() . a rows x cols x 3 matrix Given a set of 3d points in a depth image, compute the normals at each point. Python prototype (for reference only): apply(points[, normals]) -&gt; normals","ref":"Evision.RGBD.RgbdNormals.html#apply/3","title":"Evision.RGBD.RgbdNormals.apply/3","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.RGBD.RgbdNormals.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#clear/1","title":"Evision.RGBD.RgbdNormals.clear/1","type":"function"},{"doc":"create Positional Arguments rows : int . the number of rows of the depth image normals will be computed on cols : int . the number of cols of the depth image normals will be computed on depth : int . the depth of the normals (only CV_32F or CV_64F) k : Evision.Mat.t() . the calibration matrix to use Keyword Arguments window_size : int . the window size to compute the normals: can only be 1,3,5 or 7 method : int . one of the methods to use: RGBD_NORMALS_METHOD_SRI, RGBD_NORMALS_METHOD_FALS Return retval : RgbdNormals Constructor Python prototype (for reference only): create(rows, cols, depth, K[, window_size[, method]]) -&gt; retval","ref":"Evision.RGBD.RgbdNormals.html#create/4","title":"Evision.RGBD.RgbdNormals.create/4","type":"function"},{"doc":"create Positional Arguments rows : int . the number of rows of the depth image normals will be computed on cols : int . the number of cols of the depth image normals will be computed on depth : int . the depth of the normals (only CV_32F or CV_64F) k : Evision.Mat.t() . the calibration matrix to use Keyword Arguments window_size : int . the window size to compute the normals: can only be 1,3,5 or 7 method : int . one of the methods to use: RGBD_NORMALS_METHOD_SRI, RGBD_NORMALS_METHOD_FALS Return retval : RgbdNormals Constructor Python prototype (for reference only): create(rows, cols, depth, K[, window_size[, method]]) -&gt; retval","ref":"Evision.RGBD.RgbdNormals.html#create/5","title":"Evision.RGBD.RgbdNormals.create/5","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.RGBD.RgbdNormals.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.RGBD.RgbdNormals.html#empty/1","title":"Evision.RGBD.RgbdNormals.empty/1","type":"function"},{"doc":"getCols Positional Arguments self : Evision.RGBD.RgbdNormals.t() Return retval : int Python prototype (for reference only): getCols() -&gt; retval","ref":"Evision.RGBD.RgbdNormals.html#getCols/1","title":"Evision.RGBD.RgbdNormals.getCols/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.RGBD.RgbdNormals.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.RGBD.RgbdNormals.html#getDefaultName/1","title":"Evision.RGBD.RgbdNormals.getDefaultName/1","type":"function"},{"doc":"getDepth Positional Arguments self : Evision.RGBD.RgbdNormals.t() Return retval : int Python prototype (for reference only): getDepth() -&gt; retval","ref":"Evision.RGBD.RgbdNormals.html#getDepth/1","title":"Evision.RGBD.RgbdNormals.getDepth/1","type":"function"},{"doc":"getK Positional Arguments self : Evision.RGBD.RgbdNormals.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getK() -&gt; retval","ref":"Evision.RGBD.RgbdNormals.html#getK/1","title":"Evision.RGBD.RgbdNormals.getK/1","type":"function"},{"doc":"getMethod Positional Arguments self : Evision.RGBD.RgbdNormals.t() Return retval : int Python prototype (for reference only): getMethod() -&gt; retval","ref":"Evision.RGBD.RgbdNormals.html#getMethod/1","title":"Evision.RGBD.RgbdNormals.getMethod/1","type":"function"},{"doc":"getRows Positional Arguments self : Evision.RGBD.RgbdNormals.t() Return retval : int Python prototype (for reference only): getRows() -&gt; retval","ref":"Evision.RGBD.RgbdNormals.html#getRows/1","title":"Evision.RGBD.RgbdNormals.getRows/1","type":"function"},{"doc":"getWindowSize Positional Arguments self : Evision.RGBD.RgbdNormals.t() Return retval : int Python prototype (for reference only): getWindowSize() -&gt; retval","ref":"Evision.RGBD.RgbdNormals.html#getWindowSize/1","title":"Evision.RGBD.RgbdNormals.getWindowSize/1","type":"function"},{"doc":"initialize Positional Arguments self : Evision.RGBD.RgbdNormals.t() Initializes some data that is cached for later computation If that function is not called, it will be called the first time normals are computed Python prototype (for reference only): initialize() -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#initialize/1","title":"Evision.RGBD.RgbdNormals.initialize/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.RGBD.RgbdNormals.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#read/2","title":"Evision.RGBD.RgbdNormals.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.RGBD.RgbdNormals.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#save/2","title":"Evision.RGBD.RgbdNormals.save/2","type":"function"},{"doc":"setCols Positional Arguments self : Evision.RGBD.RgbdNormals.t() val : int Python prototype (for reference only): setCols(val) -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#setCols/2","title":"Evision.RGBD.RgbdNormals.setCols/2","type":"function"},{"doc":"setDepth Positional Arguments self : Evision.RGBD.RgbdNormals.t() val : int Python prototype (for reference only): setDepth(val) -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#setDepth/2","title":"Evision.RGBD.RgbdNormals.setDepth/2","type":"function"},{"doc":"setK Positional Arguments self : Evision.RGBD.RgbdNormals.t() val : Evision.Mat.t() Python prototype (for reference only): setK(val) -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#setK/2","title":"Evision.RGBD.RgbdNormals.setK/2","type":"function"},{"doc":"setMethod Positional Arguments self : Evision.RGBD.RgbdNormals.t() val : int Python prototype (for reference only): setMethod(val) -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#setMethod/2","title":"Evision.RGBD.RgbdNormals.setMethod/2","type":"function"},{"doc":"setRows Positional Arguments self : Evision.RGBD.RgbdNormals.t() val : int Python prototype (for reference only): setRows(val) -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#setRows/2","title":"Evision.RGBD.RgbdNormals.setRows/2","type":"function"},{"doc":"setWindowSize Positional Arguments self : Evision.RGBD.RgbdNormals.t() val : int Python prototype (for reference only): setWindowSize(val) -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#setWindowSize/2","title":"Evision.RGBD.RgbdNormals.setWindowSize/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.RGBD.RgbdNormals.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#write/2","title":"Evision.RGBD.RgbdNormals.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.RGBD.RgbdNormals.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.RGBD.RgbdNormals.html#write/3","title":"Evision.RGBD.RgbdNormals.write/3","type":"function"},{"doc":"Type that represents an RGBD.RgbdNormals struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.RgbdNormals.html#t:t/0","title":"Evision.RGBD.RgbdNormals.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.RgbdOdometry.html","title":"Evision.RGBD.RgbdOdometry","type":"module"},{"doc":"create Keyword Arguments cameraMatrix : Evision.Mat.t() . Camera matrix minDepth : float . Pixels with depth less than minDepth will not be used (in meters) maxDepth : float . Pixels with depth larger than maxDepth will not be used (in meters) maxDepthDiff : float . Correspondences between pixels of two given frames will be filtered out if their depth difference is larger than maxDepthDiff (in meters) iterCounts : [int] . Count of iterations on each pyramid level. minGradientMagnitudes : [float] . For each pyramid level the pixels will be filtered out if they have gradient magnitude less than minGradientMagnitudes[level]. maxPointsPart : float . The method uses a random pixels subset of size frameWidth x frameHeight x pointsPart transformType : int . Class of transformation Return retval : RgbdOdometry Constructor. Python prototype (for reference only): create([, cameraMatrix[, minDepth[, maxDepth[, maxDepthDiff[, iterCounts[, minGradientMagnitudes[, maxPointsPart[, transformType]]]]]]]]) -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#create/0","title":"Evision.RGBD.RgbdOdometry.create/0","type":"function"},{"doc":"create Keyword Arguments cameraMatrix : Evision.Mat.t() . Camera matrix minDepth : float . Pixels with depth less than minDepth will not be used (in meters) maxDepth : float . Pixels with depth larger than maxDepth will not be used (in meters) maxDepthDiff : float . Correspondences between pixels of two given frames will be filtered out if their depth difference is larger than maxDepthDiff (in meters) iterCounts : [int] . Count of iterations on each pyramid level. minGradientMagnitudes : [float] . For each pyramid level the pixels will be filtered out if they have gradient magnitude less than minGradientMagnitudes[level]. maxPointsPart : float . The method uses a random pixels subset of size frameWidth x frameHeight x pointsPart transformType : int . Class of transformation Return retval : RgbdOdometry Constructor. Python prototype (for reference only): create([, cameraMatrix[, minDepth[, maxDepth[, maxDepthDiff[, iterCounts[, minGradientMagnitudes[, maxPointsPart[, transformType]]]]]]]]) -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#create/1","title":"Evision.RGBD.RgbdOdometry.create/1","type":"function"},{"doc":"getCameraMatrix Positional Arguments self : Evision.RGBD.RgbdOdometry.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getCameraMatrix() -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#getCameraMatrix/1","title":"Evision.RGBD.RgbdOdometry.getCameraMatrix/1","type":"function"},{"doc":"getIterationCounts Positional Arguments self : Evision.RGBD.RgbdOdometry.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getIterationCounts() -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#getIterationCounts/1","title":"Evision.RGBD.RgbdOdometry.getIterationCounts/1","type":"function"},{"doc":"getMaxDepth Positional Arguments self : Evision.RGBD.RgbdOdometry.t() Return retval : double Python prototype (for reference only): getMaxDepth() -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#getMaxDepth/1","title":"Evision.RGBD.RgbdOdometry.getMaxDepth/1","type":"function"},{"doc":"getMaxDepthDiff Positional Arguments self : Evision.RGBD.RgbdOdometry.t() Return retval : double Python prototype (for reference only): getMaxDepthDiff() -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#getMaxDepthDiff/1","title":"Evision.RGBD.RgbdOdometry.getMaxDepthDiff/1","type":"function"},{"doc":"getMaxPointsPart Positional Arguments self : Evision.RGBD.RgbdOdometry.t() Return retval : double Python prototype (for reference only): getMaxPointsPart() -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#getMaxPointsPart/1","title":"Evision.RGBD.RgbdOdometry.getMaxPointsPart/1","type":"function"},{"doc":"getMaxRotation Positional Arguments self : Evision.RGBD.RgbdOdometry.t() Return retval : double Python prototype (for reference only): getMaxRotation() -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#getMaxRotation/1","title":"Evision.RGBD.RgbdOdometry.getMaxRotation/1","type":"function"},{"doc":"getMaxTranslation Positional Arguments self : Evision.RGBD.RgbdOdometry.t() Return retval : double Python prototype (for reference only): getMaxTranslation() -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#getMaxTranslation/1","title":"Evision.RGBD.RgbdOdometry.getMaxTranslation/1","type":"function"},{"doc":"getMinDepth Positional Arguments self : Evision.RGBD.RgbdOdometry.t() Return retval : double Python prototype (for reference only): getMinDepth() -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#getMinDepth/1","title":"Evision.RGBD.RgbdOdometry.getMinDepth/1","type":"function"},{"doc":"getMinGradientMagnitudes Positional Arguments self : Evision.RGBD.RgbdOdometry.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getMinGradientMagnitudes() -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#getMinGradientMagnitudes/1","title":"Evision.RGBD.RgbdOdometry.getMinGradientMagnitudes/1","type":"function"},{"doc":"getTransformType Positional Arguments self : Evision.RGBD.RgbdOdometry.t() Return retval : int Python prototype (for reference only): getTransformType() -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#getTransformType/1","title":"Evision.RGBD.RgbdOdometry.getTransformType/1","type":"function"},{"doc":"prepareFrameCache Positional Arguments self : Evision.RGBD.RgbdOdometry.t() frame : OdometryFrame cacheType : int Return retval : Size Python prototype (for reference only): prepareFrameCache(frame, cacheType) -&gt; retval","ref":"Evision.RGBD.RgbdOdometry.html#prepareFrameCache/3","title":"Evision.RGBD.RgbdOdometry.prepareFrameCache/3","type":"function"},{"doc":"setCameraMatrix Positional Arguments self : Evision.RGBD.RgbdOdometry.t() val : Evision.Mat.t() Python prototype (for reference only): setCameraMatrix(val) -&gt; None","ref":"Evision.RGBD.RgbdOdometry.html#setCameraMatrix/2","title":"Evision.RGBD.RgbdOdometry.setCameraMatrix/2","type":"function"},{"doc":"setIterationCounts Positional Arguments self : Evision.RGBD.RgbdOdometry.t() val : Evision.Mat.t() Python prototype (for reference only): setIterationCounts(val) -&gt; None","ref":"Evision.RGBD.RgbdOdometry.html#setIterationCounts/2","title":"Evision.RGBD.RgbdOdometry.setIterationCounts/2","type":"function"},{"doc":"setMaxDepth Positional Arguments self : Evision.RGBD.RgbdOdometry.t() val : double Python prototype (for reference only): setMaxDepth(val) -&gt; None","ref":"Evision.RGBD.RgbdOdometry.html#setMaxDepth/2","title":"Evision.RGBD.RgbdOdometry.setMaxDepth/2","type":"function"},{"doc":"setMaxDepthDiff Positional Arguments self : Evision.RGBD.RgbdOdometry.t() val : double Python prototype (for reference only): setMaxDepthDiff(val) -&gt; None","ref":"Evision.RGBD.RgbdOdometry.html#setMaxDepthDiff/2","title":"Evision.RGBD.RgbdOdometry.setMaxDepthDiff/2","type":"function"},{"doc":"setMaxPointsPart Positional Arguments self : Evision.RGBD.RgbdOdometry.t() val : double Python prototype (for reference only): setMaxPointsPart(val) -&gt; None","ref":"Evision.RGBD.RgbdOdometry.html#setMaxPointsPart/2","title":"Evision.RGBD.RgbdOdometry.setMaxPointsPart/2","type":"function"},{"doc":"setMaxRotation Positional Arguments self : Evision.RGBD.RgbdOdometry.t() val : double Python prototype (for reference only): setMaxRotation(val) -&gt; None","ref":"Evision.RGBD.RgbdOdometry.html#setMaxRotation/2","title":"Evision.RGBD.RgbdOdometry.setMaxRotation/2","type":"function"},{"doc":"setMaxTranslation Positional Arguments self : Evision.RGBD.RgbdOdometry.t() val : double Python prototype (for reference only): setMaxTranslation(val) -&gt; None","ref":"Evision.RGBD.RgbdOdometry.html#setMaxTranslation/2","title":"Evision.RGBD.RgbdOdometry.setMaxTranslation/2","type":"function"},{"doc":"setMinDepth Positional Arguments self : Evision.RGBD.RgbdOdometry.t() val : double Python prototype (for reference only): setMinDepth(val) -&gt; None","ref":"Evision.RGBD.RgbdOdometry.html#setMinDepth/2","title":"Evision.RGBD.RgbdOdometry.setMinDepth/2","type":"function"},{"doc":"setMinGradientMagnitudes Positional Arguments self : Evision.RGBD.RgbdOdometry.t() val : Evision.Mat.t() Python prototype (for reference only): setMinGradientMagnitudes(val) -&gt; None","ref":"Evision.RGBD.RgbdOdometry.html#setMinGradientMagnitudes/2","title":"Evision.RGBD.RgbdOdometry.setMinGradientMagnitudes/2","type":"function"},{"doc":"setTransformType Positional Arguments self : Evision.RGBD.RgbdOdometry.t() val : int Python prototype (for reference only): setTransformType(val) -&gt; None","ref":"Evision.RGBD.RgbdOdometry.html#setTransformType/2","title":"Evision.RGBD.RgbdOdometry.setTransformType/2","type":"function"},{"doc":"Type that represents an RGBD.RgbdOdometry struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.RgbdOdometry.html#t:t/0","title":"Evision.RGBD.RgbdOdometry.t/0","type":"type"},{"doc":"","ref":"Evision.RGBD.RgbdPlane.html","title":"Evision.RGBD.RgbdPlane","type":"module"},{"doc":"apply Positional Arguments self : Evision.RGBD.RgbdPlane.t() points3d : Evision.Mat.t() . the 3d points organized like the depth image: rows x cols with 3 channels Return mask : Evision.Mat.t() . An image where each pixel is labeled with the plane it belongs to and 255 if it does not belong to any plane plane_coefficients : Evision.Mat.t() . the coefficients of the corresponding planes (a,b,c,d) such that ax+by+cz+d=0 Find The planes in a depth image but without doing a normal check, which is faster but less accurate Python prototype (for reference only): apply(points3d[, mask[, plane_coefficients]]) -&gt; mask, plane_coefficients","ref":"Evision.RGBD.RgbdPlane.html#apply/2","title":"Evision.RGBD.RgbdPlane.apply/2","type":"function"},{"doc":"Variant 1: apply Positional Arguments self : Evision.RGBD.RgbdPlane.t() points3d : Evision.Mat.t() . the 3d points organized like the depth image: rows x cols with 3 channels normals : Evision.Mat.t() . the normals for every point in the depth image Return mask : Evision.Mat.t() . An image where each pixel is labeled with the plane it belongs to and 255 if it does not belong to any plane plane_coefficients : Evision.Mat.t() . the coefficients of the corresponding planes (a,b,c,d) such that ax+by+cz+d=0, norm(a,b,c)=1 and c &lt; 0 (so that the normal points towards the camera) Find The planes in a depth image Python prototype (for reference only): apply(points3d, normals[, mask[, plane_coefficients]]) -&gt; mask, plane_coefficients Variant 2: apply Positional Arguments self : Evision.RGBD.RgbdPlane.t() points3d : Evision.Mat.t() . the 3d points organized like the depth image: rows x cols with 3 channels Return mask : Evision.Mat.t() . An image where each pixel is labeled with the plane it belongs to and 255 if it does not belong to any plane plane_coefficients : Evision.Mat.t() . the coefficients of the corresponding planes (a,b,c,d) such that ax+by+cz+d=0 Find The planes in a depth image but without doing a normal check, which is faster but less accurate Python prototype (for reference only): apply(points3d[, mask[, plane_coefficients]]) -&gt; mask, plane_coefficients","ref":"Evision.RGBD.RgbdPlane.html#apply/3","title":"Evision.RGBD.RgbdPlane.apply/3","type":"function"},{"doc":"apply Positional Arguments self : Evision.RGBD.RgbdPlane.t() points3d : Evision.Mat.t() . the 3d points organized like the depth image: rows x cols with 3 channels normals : Evision.Mat.t() . the normals for every point in the depth image Return mask : Evision.Mat.t() . An image where each pixel is labeled with the plane it belongs to and 255 if it does not belong to any plane plane_coefficients : Evision.Mat.t() . the coefficients of the corresponding planes (a,b,c,d) such that ax+by+cz+d=0, norm(a,b,c)=1 and c &lt; 0 (so that the normal points towards the camera) Find The planes in a depth image Python prototype (for reference only): apply(points3d, normals[, mask[, plane_coefficients]]) -&gt; mask, plane_coefficients","ref":"Evision.RGBD.RgbdPlane.html#apply/4","title":"Evision.RGBD.RgbdPlane.apply/4","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.RGBD.RgbdPlane.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#clear/1","title":"Evision.RGBD.RgbdPlane.clear/1","type":"function"},{"doc":"create Positional Arguments method : int . The method to use to compute the planes. block_size : int . The size of the blocks to look at for a stable MSE min_size : int . The minimum size of a cluster to be considered a plane threshold : double . The maximum distance of a point from a plane to belong to it (in meters) Keyword Arguments sensor_error_a : double . coefficient of the sensor error. 0 by default, 0.0075 for a Kinect sensor_error_b : double . coefficient of the sensor error. 0 by default sensor_error_c : double . coefficient of the sensor error. 0 by default Return retval : RgbdPlane Constructor Python prototype (for reference only): create(method, block_size, min_size, threshold[, sensor_error_a[, sensor_error_b[, sensor_error_c]]]) -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#create/4","title":"Evision.RGBD.RgbdPlane.create/4","type":"function"},{"doc":"create Positional Arguments method : int . The method to use to compute the planes. block_size : int . The size of the blocks to look at for a stable MSE min_size : int . The minimum size of a cluster to be considered a plane threshold : double . The maximum distance of a point from a plane to belong to it (in meters) Keyword Arguments sensor_error_a : double . coefficient of the sensor error. 0 by default, 0.0075 for a Kinect sensor_error_b : double . coefficient of the sensor error. 0 by default sensor_error_c : double . coefficient of the sensor error. 0 by default Return retval : RgbdPlane Constructor Python prototype (for reference only): create(method, block_size, min_size, threshold[, sensor_error_a[, sensor_error_b[, sensor_error_c]]]) -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#create/5","title":"Evision.RGBD.RgbdPlane.create/5","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.RGBD.RgbdPlane.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#empty/1","title":"Evision.RGBD.RgbdPlane.empty/1","type":"function"},{"doc":"getBlockSize Positional Arguments self : Evision.RGBD.RgbdPlane.t() Return retval : int Python prototype (for reference only): getBlockSize() -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#getBlockSize/1","title":"Evision.RGBD.RgbdPlane.getBlockSize/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.RGBD.RgbdPlane.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#getDefaultName/1","title":"Evision.RGBD.RgbdPlane.getDefaultName/1","type":"function"},{"doc":"getMethod Positional Arguments self : Evision.RGBD.RgbdPlane.t() Return retval : int Python prototype (for reference only): getMethod() -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#getMethod/1","title":"Evision.RGBD.RgbdPlane.getMethod/1","type":"function"},{"doc":"getMinSize Positional Arguments self : Evision.RGBD.RgbdPlane.t() Return retval : int Python prototype (for reference only): getMinSize() -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#getMinSize/1","title":"Evision.RGBD.RgbdPlane.getMinSize/1","type":"function"},{"doc":"getSensorErrorA Positional Arguments self : Evision.RGBD.RgbdPlane.t() Return retval : double Python prototype (for reference only): getSensorErrorA() -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#getSensorErrorA/1","title":"Evision.RGBD.RgbdPlane.getSensorErrorA/1","type":"function"},{"doc":"getSensorErrorB Positional Arguments self : Evision.RGBD.RgbdPlane.t() Return retval : double Python prototype (for reference only): getSensorErrorB() -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#getSensorErrorB/1","title":"Evision.RGBD.RgbdPlane.getSensorErrorB/1","type":"function"},{"doc":"getSensorErrorC Positional Arguments self : Evision.RGBD.RgbdPlane.t() Return retval : double Python prototype (for reference only): getSensorErrorC() -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#getSensorErrorC/1","title":"Evision.RGBD.RgbdPlane.getSensorErrorC/1","type":"function"},{"doc":"getThreshold Positional Arguments self : Evision.RGBD.RgbdPlane.t() Return retval : double Python prototype (for reference only): getThreshold() -&gt; retval","ref":"Evision.RGBD.RgbdPlane.html#getThreshold/1","title":"Evision.RGBD.RgbdPlane.getThreshold/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.RGBD.RgbdPlane.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#read/2","title":"Evision.RGBD.RgbdPlane.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.RGBD.RgbdPlane.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#save/2","title":"Evision.RGBD.RgbdPlane.save/2","type":"function"},{"doc":"setBlockSize Positional Arguments self : Evision.RGBD.RgbdPlane.t() val : int Python prototype (for reference only): setBlockSize(val) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#setBlockSize/2","title":"Evision.RGBD.RgbdPlane.setBlockSize/2","type":"function"},{"doc":"setMethod Positional Arguments self : Evision.RGBD.RgbdPlane.t() val : int Python prototype (for reference only): setMethod(val) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#setMethod/2","title":"Evision.RGBD.RgbdPlane.setMethod/2","type":"function"},{"doc":"setMinSize Positional Arguments self : Evision.RGBD.RgbdPlane.t() val : int Python prototype (for reference only): setMinSize(val) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#setMinSize/2","title":"Evision.RGBD.RgbdPlane.setMinSize/2","type":"function"},{"doc":"setSensorErrorA Positional Arguments self : Evision.RGBD.RgbdPlane.t() val : double Python prototype (for reference only): setSensorErrorA(val) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#setSensorErrorA/2","title":"Evision.RGBD.RgbdPlane.setSensorErrorA/2","type":"function"},{"doc":"setSensorErrorB Positional Arguments self : Evision.RGBD.RgbdPlane.t() val : double Python prototype (for reference only): setSensorErrorB(val) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#setSensorErrorB/2","title":"Evision.RGBD.RgbdPlane.setSensorErrorB/2","type":"function"},{"doc":"setSensorErrorC Positional Arguments self : Evision.RGBD.RgbdPlane.t() val : double Python prototype (for reference only): setSensorErrorC(val) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#setSensorErrorC/2","title":"Evision.RGBD.RgbdPlane.setSensorErrorC/2","type":"function"},{"doc":"setThreshold Positional Arguments self : Evision.RGBD.RgbdPlane.t() val : double Python prototype (for reference only): setThreshold(val) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#setThreshold/2","title":"Evision.RGBD.RgbdPlane.setThreshold/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.RGBD.RgbdPlane.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#write/2","title":"Evision.RGBD.RgbdPlane.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.RGBD.RgbdPlane.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.RGBD.RgbdPlane.html#write/3","title":"Evision.RGBD.RgbdPlane.write/3","type":"function"},{"doc":"Type that represents an RGBD.RgbdPlane struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.RGBD.RgbdPlane.html#t:t/0","title":"Evision.RGBD.RgbdPlane.t/0","type":"type"},{"doc":"","ref":"Evision.Rapid.html","title":"Evision.Rapid","type":"module"},{"doc":"convertCorrespondencies Positional Arguments cols : Evision.Mat.t() . correspondence-position per line in line-bundle-space srcLocations : Evision.Mat.t() . the source image location Keyword Arguments mask : Evision.Mat.t() . mask containing non-zero values for the elements to be retained Return pts2d : Evision.Mat.t() . 2d points pts3d : Evision.Mat.t() . 3d points Collect corresponding 2d and 3d points based on correspondencies and mask Python prototype (for reference only): convertCorrespondencies(cols, srcLocations[, pts2d[, pts3d[, mask]]]) -&gt; pts2d, pts3d","ref":"Evision.Rapid.html#convertCorrespondencies/2","title":"Evision.Rapid.convertCorrespondencies/2","type":"function"},{"doc":"convertCorrespondencies Positional Arguments cols : Evision.Mat.t() . correspondence-position per line in line-bundle-space srcLocations : Evision.Mat.t() . the source image location Keyword Arguments mask : Evision.Mat.t() . mask containing non-zero values for the elements to be retained Return pts2d : Evision.Mat.t() . 2d points pts3d : Evision.Mat.t() . 3d points Collect corresponding 2d and 3d points based on correspondencies and mask Python prototype (for reference only): convertCorrespondencies(cols, srcLocations[, pts2d[, pts3d[, mask]]]) -&gt; pts2d, pts3d","ref":"Evision.Rapid.html#convertCorrespondencies/3","title":"Evision.Rapid.convertCorrespondencies/3","type":"function"},{"doc":"drawCorrespondencies Positional Arguments cols : Evision.Mat.t() . column coordinates in the line bundle Keyword Arguments colors : Evision.Mat.t() . colors for the markers. Defaults to white. Return bundle : Evision.Mat.t() . the lineBundle Debug draw markers of matched correspondences onto a lineBundle Python prototype (for reference only): drawCorrespondencies(bundle, cols[, colors]) -&gt; bundle","ref":"Evision.Rapid.html#drawCorrespondencies/2","title":"Evision.Rapid.drawCorrespondencies/2","type":"function"},{"doc":"drawCorrespondencies Positional Arguments cols : Evision.Mat.t() . column coordinates in the line bundle Keyword Arguments colors : Evision.Mat.t() . colors for the markers. Defaults to white. Return bundle : Evision.Mat.t() . the lineBundle Debug draw markers of matched correspondences onto a lineBundle Python prototype (for reference only): drawCorrespondencies(bundle, cols[, colors]) -&gt; bundle","ref":"Evision.Rapid.html#drawCorrespondencies/3","title":"Evision.Rapid.drawCorrespondencies/3","type":"function"},{"doc":"drawSearchLines Positional Arguments locations : Evision.Mat.t() . the source locations of a line bundle color : Scalar . the line color Return img : Evision.Mat.t() . the output image Debug draw search lines onto an image Python prototype (for reference only): drawSearchLines(img, locations, color) -&gt; img","ref":"Evision.Rapid.html#drawSearchLines/3","title":"Evision.Rapid.drawSearchLines/3","type":"function"},{"doc":"drawWireframe Positional Arguments pts2d : Evision.Mat.t() . the 2d points obtained by @ref projectPoints tris : Evision.Mat.t() . triangle face connectivity color : Scalar . line color Keyword Arguments type : int . line type. See @ref LineTypes. cullBackface : bool . enable back-face culling based on CCW order Return img : Evision.Mat.t() . the output image Draw a wireframe of a triangle mesh Python prototype (for reference only): drawWireframe(img, pts2d, tris, color[, type[, cullBackface]]) -&gt; img","ref":"Evision.Rapid.html#drawWireframe/4","title":"Evision.Rapid.drawWireframe/4","type":"function"},{"doc":"drawWireframe Positional Arguments pts2d : Evision.Mat.t() . the 2d points obtained by @ref projectPoints tris : Evision.Mat.t() . triangle face connectivity color : Scalar . line color Keyword Arguments type : int . line type. See @ref LineTypes. cullBackface : bool . enable back-face culling based on CCW order Return img : Evision.Mat.t() . the output image Draw a wireframe of a triangle mesh Python prototype (for reference only): drawWireframe(img, pts2d, tris, color[, type[, cullBackface]]) -&gt; img","ref":"Evision.Rapid.html#drawWireframe/5","title":"Evision.Rapid.drawWireframe/5","type":"function"},{"doc":"extractControlPoints Positional Arguments num : int . number of control points len : int . search radius (used to restrict the ROI) pts3d : Evision.Mat.t() . the 3D points of the mesh rvec : Evision.Mat.t() . rotation between mesh and camera tvec : Evision.Mat.t() . translation between mesh and camera k : Evision.Mat.t() . camera intrinsic imsize : Size . size of the video frame tris : Evision.Mat.t() . triangle face connectivity Return ctl2d : Evision.Mat.t() . the 2D locations of the control points ctl3d : Evision.Mat.t() . matching 3D points of the mesh Extract control points from the projected silhouette of a mesh see @cite drummond2002real Sec 2.1, Step b Python prototype (for reference only): extractControlPoints(num, len, pts3d, rvec, tvec, K, imsize, tris[, ctl2d[, ctl3d]]) -&gt; ctl2d, ctl3d","ref":"Evision.Rapid.html#extractControlPoints/8","title":"Evision.Rapid.extractControlPoints/8","type":"function"},{"doc":"extractControlPoints Positional Arguments num : int . number of control points len : int . search radius (used to restrict the ROI) pts3d : Evision.Mat.t() . the 3D points of the mesh rvec : Evision.Mat.t() . rotation between mesh and camera tvec : Evision.Mat.t() . translation between mesh and camera k : Evision.Mat.t() . camera intrinsic imsize : Size . size of the video frame tris : Evision.Mat.t() . triangle face connectivity Return ctl2d : Evision.Mat.t() . the 2D locations of the control points ctl3d : Evision.Mat.t() . matching 3D points of the mesh Extract control points from the projected silhouette of a mesh see @cite drummond2002real Sec 2.1, Step b Python prototype (for reference only): extractControlPoints(num, len, pts3d, rvec, tvec, K, imsize, tris[, ctl2d[, ctl3d]]) -&gt; ctl2d, ctl3d","ref":"Evision.Rapid.html#extractControlPoints/9","title":"Evision.Rapid.extractControlPoints/9","type":"function"},{"doc":"extractLineBundle Positional Arguments len : int . the search radius. The bundle will have 2*len + 1 columns. ctl2d : Evision.Mat.t() . the search lines will be centered at this points and orthogonal to the contour defined by them. The bundle will have as many rows. img : Evision.Mat.t() . the image to read the pixel intensities values from Return bundle : Evision.Mat.t() . line bundle image with size ctl2d.rows() x (2 * len + 1) and the same type as @p img srcLocations : Evision.Mat.t() . the source pixel locations of @p bundle in @p img as CV_16SC2 Extract the line bundle from an image Python prototype (for reference only): extractLineBundle(len, ctl2d, img[, bundle[, srcLocations]]) -&gt; bundle, srcLocations","ref":"Evision.Rapid.html#extractLineBundle/3","title":"Evision.Rapid.extractLineBundle/3","type":"function"},{"doc":"extractLineBundle Positional Arguments len : int . the search radius. The bundle will have 2*len + 1 columns. ctl2d : Evision.Mat.t() . the search lines will be centered at this points and orthogonal to the contour defined by them. The bundle will have as many rows. img : Evision.Mat.t() . the image to read the pixel intensities values from Return bundle : Evision.Mat.t() . line bundle image with size ctl2d.rows() x (2 * len + 1) and the same type as @p img srcLocations : Evision.Mat.t() . the source pixel locations of @p bundle in @p img as CV_16SC2 Extract the line bundle from an image Python prototype (for reference only): extractLineBundle(len, ctl2d, img[, bundle[, srcLocations]]) -&gt; bundle, srcLocations","ref":"Evision.Rapid.html#extractLineBundle/4","title":"Evision.Rapid.extractLineBundle/4","type":"function"},{"doc":"findCorrespondencies Positional Arguments bundle : Evision.Mat.t() . the line bundle Return cols : Evision.Mat.t() . correspondence-position per line in line-bundle-space response : Evision.Mat.t() . the sobel response for the selected point Find corresponding image locations by searching for a maximal sobel edge along the search line (a single row in the bundle) Python prototype (for reference only): findCorrespondencies(bundle[, cols[, response]]) -&gt; cols, response","ref":"Evision.Rapid.html#findCorrespondencies/1","title":"Evision.Rapid.findCorrespondencies/1","type":"function"},{"doc":"findCorrespondencies Positional Arguments bundle : Evision.Mat.t() . the line bundle Return cols : Evision.Mat.t() . correspondence-position per line in line-bundle-space response : Evision.Mat.t() . the sobel response for the selected point Find corresponding image locations by searching for a maximal sobel edge along the search line (a single row in the bundle) Python prototype (for reference only): findCorrespondencies(bundle[, cols[, response]]) -&gt; cols, response","ref":"Evision.Rapid.html#findCorrespondencies/2","title":"Evision.Rapid.findCorrespondencies/2","type":"function"},{"doc":"rapid Positional Arguments img : Evision.Mat.t() . the video frame num : int . number of search lines len : int . search line radius pts3d : Evision.Mat.t() . the 3D points of the mesh tris : Evision.Mat.t() . triangle face connectivity k : Evision.Mat.t() . camera matrix Return retval : float rvec : Evision.Mat.t() . rotation between mesh and camera. Input values are used as an initial solution. tvec : Evision.Mat.t() . translation between mesh and camera. Input values are used as an initial solution. rmsd : double* . the 2d reprojection difference High level function to execute a single rapid @cite harris1990rapid iteration @ref extractControlPoints @ref extractLineBundle @ref findCorrespondencies @ref convertCorrespondencies @ref solvePnPRefineLM @return ratio of search lines that could be extracted and matched Python prototype (for reference only): rapid(img, num, len, pts3d, tris, K, rvec, tvec) -&gt; retval, rvec, tvec, rmsd","ref":"Evision.Rapid.html#rapid/8","title":"Evision.Rapid.rapid/8","type":"function"},{"doc":"Type that represents an Rapid struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Rapid.html#t:t/0","title":"Evision.Rapid.t/0","type":"type"},{"doc":"","ref":"Evision.Rapid.GOSTracker.html","title":"Evision.Rapid.GOSTracker","type":"module"},{"doc":"create Positional Arguments pts3d : Evision.Mat.t() tris : Evision.Mat.t() Keyword Arguments histBins : int . sobelThesh : uchar . Return retval : OLSTracker Python prototype (for reference only): create(pts3d, tris[, histBins[, sobelThesh]]) -&gt; retval","ref":"Evision.Rapid.GOSTracker.html#create/2","title":"Evision.Rapid.GOSTracker.create/2","type":"function"},{"doc":"create Positional Arguments pts3d : Evision.Mat.t() tris : Evision.Mat.t() Keyword Arguments histBins : int . sobelThesh : uchar . Return retval : OLSTracker Python prototype (for reference only): create(pts3d, tris[, histBins[, sobelThesh]]) -&gt; retval","ref":"Evision.Rapid.GOSTracker.html#create/3","title":"Evision.Rapid.GOSTracker.create/3","type":"function"},{"doc":"Type that represents an Rapid.GOSTracker struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Rapid.GOSTracker.html#t:t/0","title":"Evision.Rapid.GOSTracker.t/0","type":"type"},{"doc":"","ref":"Evision.Rapid.OLSTracker.html","title":"Evision.Rapid.OLSTracker","type":"module"},{"doc":"create Positional Arguments pts3d : Evision.Mat.t() tris : Evision.Mat.t() Keyword Arguments histBins : int . sobelThesh : uchar . Return retval : OLSTracker Python prototype (for reference only): create(pts3d, tris[, histBins[, sobelThesh]]) -&gt; retval","ref":"Evision.Rapid.OLSTracker.html#create/2","title":"Evision.Rapid.OLSTracker.create/2","type":"function"},{"doc":"create Positional Arguments pts3d : Evision.Mat.t() tris : Evision.Mat.t() Keyword Arguments histBins : int . sobelThesh : uchar . Return retval : OLSTracker Python prototype (for reference only): create(pts3d, tris[, histBins[, sobelThesh]]) -&gt; retval","ref":"Evision.Rapid.OLSTracker.html#create/3","title":"Evision.Rapid.OLSTracker.create/3","type":"function"},{"doc":"Type that represents an Rapid.OLSTracker struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Rapid.OLSTracker.html#t:t/0","title":"Evision.Rapid.OLSTracker.t/0","type":"type"},{"doc":"","ref":"Evision.Rapid.Rapid.html","title":"Evision.Rapid.Rapid","type":"module"},{"doc":"create Positional Arguments pts3d : Evision.Mat.t() tris : Evision.Mat.t() Return retval : Rapid Python prototype (for reference only): create(pts3d, tris) -&gt; retval","ref":"Evision.Rapid.Rapid.html#create/2","title":"Evision.Rapid.Rapid.create/2","type":"function"},{"doc":"Type that represents an Rapid.Rapid struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Rapid.Rapid.html#t:t/0","title":"Evision.Rapid.Rapid.t/0","type":"type"},{"doc":"","ref":"Evision.Rapid.Tracker.html","title":"Evision.Rapid.Tracker","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Rapid.Tracker.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Rapid.Tracker.html#clear/1","title":"Evision.Rapid.Tracker.clear/1","type":"function"},{"doc":"clearState Positional Arguments self : Evision.Rapid.Tracker.t() Python prototype (for reference only): clearState() -&gt; None","ref":"Evision.Rapid.Tracker.html#clearState/1","title":"Evision.Rapid.Tracker.clearState/1","type":"function"},{"doc":"compute Positional Arguments self : Evision.Rapid.Tracker.t() img : Evision.Mat.t() num : int len : int k : Evision.Mat.t() Keyword Arguments termcrit : TermCriteria . Return retval : float rvec : Evision.Mat.t() tvec : Evision.Mat.t() Python prototype (for reference only): compute(img, num, len, K, rvec, tvec[, termcrit]) -&gt; retval, rvec, tvec","ref":"Evision.Rapid.Tracker.html#compute/7","title":"Evision.Rapid.Tracker.compute/7","type":"function"},{"doc":"compute Positional Arguments self : Evision.Rapid.Tracker.t() img : Evision.Mat.t() num : int len : int k : Evision.Mat.t() Keyword Arguments termcrit : TermCriteria . Return retval : float rvec : Evision.Mat.t() tvec : Evision.Mat.t() Python prototype (for reference only): compute(img, num, len, K, rvec, tvec[, termcrit]) -&gt; retval, rvec, tvec","ref":"Evision.Rapid.Tracker.html#compute/8","title":"Evision.Rapid.Tracker.compute/8","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Rapid.Tracker.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Rapid.Tracker.html#empty/1","title":"Evision.Rapid.Tracker.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Rapid.Tracker.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Rapid.Tracker.html#getDefaultName/1","title":"Evision.Rapid.Tracker.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Rapid.Tracker.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Rapid.Tracker.html#read/2","title":"Evision.Rapid.Tracker.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Rapid.Tracker.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Rapid.Tracker.html#save/2","title":"Evision.Rapid.Tracker.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Rapid.Tracker.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Rapid.Tracker.html#write/2","title":"Evision.Rapid.Tracker.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Rapid.Tracker.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Rapid.Tracker.html#write/3","title":"Evision.Rapid.Tracker.write/3","type":"function"},{"doc":"Type that represents an Rapid.Tracker struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Rapid.Tracker.html#t:t/0","title":"Evision.Rapid.Tracker.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.html","title":"Evision.Reg","type":"module"},{"doc":"Type that represents an Reg struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.html#t:t/0","title":"Evision.Reg.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.Map.html","title":"Evision.Reg.Map","type":"module"},{"doc":"compose Positional Arguments self : Evision.Reg.Map.t() map : Map Python prototype (for reference only): compose(map) -&gt; None","ref":"Evision.Reg.Map.html#compose/2","title":"Evision.Reg.Map.compose/2","type":"function"},{"doc":"inverseMap Positional Arguments self : Evision.Reg.Map.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): inverseMap() -&gt; retval","ref":"Evision.Reg.Map.html#inverseMap/1","title":"Evision.Reg.Map.inverseMap/1","type":"function"},{"doc":"inverseWarp Positional Arguments self : Evision.Reg.Map.t() img1 : Evision.Mat.t() Return img2 : Evision.Mat.t() . Python prototype (for reference only): inverseWarp(img1[, img2]) -&gt; img2","ref":"Evision.Reg.Map.html#inverseWarp/2","title":"Evision.Reg.Map.inverseWarp/2","type":"function"},{"doc":"inverseWarp Positional Arguments self : Evision.Reg.Map.t() img1 : Evision.Mat.t() Return img2 : Evision.Mat.t() . Python prototype (for reference only): inverseWarp(img1[, img2]) -&gt; img2","ref":"Evision.Reg.Map.html#inverseWarp/3","title":"Evision.Reg.Map.inverseWarp/3","type":"function"},{"doc":"scale Positional Arguments self : Evision.Reg.Map.t() factor : double Python prototype (for reference only): scale(factor) -&gt; None","ref":"Evision.Reg.Map.html#scale/2","title":"Evision.Reg.Map.scale/2","type":"function"},{"doc":"warp Positional Arguments self : Evision.Reg.Map.t() img1 : Evision.Mat.t() Return img2 : Evision.Mat.t() . Python prototype (for reference only): warp(img1[, img2]) -&gt; img2","ref":"Evision.Reg.Map.html#warp/2","title":"Evision.Reg.Map.warp/2","type":"function"},{"doc":"warp Positional Arguments self : Evision.Reg.Map.t() img1 : Evision.Mat.t() Return img2 : Evision.Mat.t() . Python prototype (for reference only): warp(img1[, img2]) -&gt; img2","ref":"Evision.Reg.Map.html#warp/3","title":"Evision.Reg.Map.warp/3","type":"function"},{"doc":"Type that represents an Reg.Map struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.Map.html#t:t/0","title":"Evision.Reg.Map.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.MapAffine.html","title":"Evision.Reg.MapAffine","type":"module"},{"doc":"compose Positional Arguments self : Evision.Reg.MapAffine.t() map : Map Python prototype (for reference only): compose(map) -&gt; None","ref":"Evision.Reg.MapAffine.html#compose/2","title":"Evision.Reg.MapAffine.compose/2","type":"function"},{"doc":"getLinTr Positional Arguments self : Evision.Reg.MapAffine.t() Return linTr : Evision.Mat.t() . Python prototype (for reference only): getLinTr([, linTr]) -&gt; linTr","ref":"Evision.Reg.MapAffine.html#getLinTr/1","title":"Evision.Reg.MapAffine.getLinTr/1","type":"function"},{"doc":"getLinTr Positional Arguments self : Evision.Reg.MapAffine.t() Return linTr : Evision.Mat.t() . Python prototype (for reference only): getLinTr([, linTr]) -&gt; linTr","ref":"Evision.Reg.MapAffine.html#getLinTr/2","title":"Evision.Reg.MapAffine.getLinTr/2","type":"function"},{"doc":"getShift Positional Arguments self : Evision.Reg.MapAffine.t() Return shift : Evision.Mat.t() . Python prototype (for reference only): getShift([, shift]) -&gt; shift","ref":"Evision.Reg.MapAffine.html#getShift/1","title":"Evision.Reg.MapAffine.getShift/1","type":"function"},{"doc":"getShift Positional Arguments self : Evision.Reg.MapAffine.t() Return shift : Evision.Mat.t() . Python prototype (for reference only): getShift([, shift]) -&gt; shift","ref":"Evision.Reg.MapAffine.html#getShift/2","title":"Evision.Reg.MapAffine.getShift/2","type":"function"},{"doc":"inverseMap Positional Arguments self : Evision.Reg.MapAffine.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): inverseMap() -&gt; retval","ref":"Evision.Reg.MapAffine.html#inverseMap/1","title":"Evision.Reg.MapAffine.inverseMap/1","type":"function"},{"doc":"inverseWarp Positional Arguments self : Evision.Reg.MapAffine.t() img1 : Evision.Mat.t() Return img2 : Evision.Mat.t() . Python prototype (for reference only): inverseWarp(img1[, img2]) -&gt; img2","ref":"Evision.Reg.MapAffine.html#inverseWarp/2","title":"Evision.Reg.MapAffine.inverseWarp/2","type":"function"},{"doc":"inverseWarp Positional Arguments self : Evision.Reg.MapAffine.t() img1 : Evision.Mat.t() Return img2 : Evision.Mat.t() . Python prototype (for reference only): inverseWarp(img1[, img2]) -&gt; img2","ref":"Evision.Reg.MapAffine.html#inverseWarp/3","title":"Evision.Reg.MapAffine.inverseWarp/3","type":"function"},{"doc":"MapAffine Return self : MapAffine Python prototype (for reference only): MapAffine() -&gt; &lt;reg_MapAffine object&gt;","ref":"Evision.Reg.MapAffine.html#mapAffine/0","title":"Evision.Reg.MapAffine.mapAffine/0","type":"function"},{"doc":"MapAffine Positional Arguments linTr : Evision.Mat.t() shift : Evision.Mat.t() Return self : MapAffine Python prototype (for reference only): MapAffine(linTr, shift) -&gt; &lt;reg_MapAffine object&gt;","ref":"Evision.Reg.MapAffine.html#mapAffine/2","title":"Evision.Reg.MapAffine.mapAffine/2","type":"function"},{"doc":"scale Positional Arguments self : Evision.Reg.MapAffine.t() factor : double Python prototype (for reference only): scale(factor) -&gt; None","ref":"Evision.Reg.MapAffine.html#scale/2","title":"Evision.Reg.MapAffine.scale/2","type":"function"},{"doc":"Type that represents an Reg.MapAffine struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.MapAffine.html#t:t/0","title":"Evision.Reg.MapAffine.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.MapProjec.html","title":"Evision.Reg.MapProjec","type":"module"},{"doc":"compose Positional Arguments self : Evision.Reg.MapProjec.t() map : Map Python prototype (for reference only): compose(map) -&gt; None","ref":"Evision.Reg.MapProjec.html#compose/2","title":"Evision.Reg.MapProjec.compose/2","type":"function"},{"doc":"getProjTr Positional Arguments self : Evision.Reg.MapProjec.t() Return projTr : Evision.Mat.t() . Python prototype (for reference only): getProjTr([, projTr]) -&gt; projTr","ref":"Evision.Reg.MapProjec.html#getProjTr/1","title":"Evision.Reg.MapProjec.getProjTr/1","type":"function"},{"doc":"getProjTr Positional Arguments self : Evision.Reg.MapProjec.t() Return projTr : Evision.Mat.t() . Python prototype (for reference only): getProjTr([, projTr]) -&gt; projTr","ref":"Evision.Reg.MapProjec.html#getProjTr/2","title":"Evision.Reg.MapProjec.getProjTr/2","type":"function"},{"doc":"inverseMap Positional Arguments self : Evision.Reg.MapProjec.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): inverseMap() -&gt; retval","ref":"Evision.Reg.MapProjec.html#inverseMap/1","title":"Evision.Reg.MapProjec.inverseMap/1","type":"function"},{"doc":"inverseWarp Positional Arguments self : Evision.Reg.MapProjec.t() img1 : Evision.Mat.t() Return img2 : Evision.Mat.t() . Python prototype (for reference only): inverseWarp(img1[, img2]) -&gt; img2","ref":"Evision.Reg.MapProjec.html#inverseWarp/2","title":"Evision.Reg.MapProjec.inverseWarp/2","type":"function"},{"doc":"inverseWarp Positional Arguments self : Evision.Reg.MapProjec.t() img1 : Evision.Mat.t() Return img2 : Evision.Mat.t() . Python prototype (for reference only): inverseWarp(img1[, img2]) -&gt; img2","ref":"Evision.Reg.MapProjec.html#inverseWarp/3","title":"Evision.Reg.MapProjec.inverseWarp/3","type":"function"},{"doc":"MapProjec Return self : MapProjec Python prototype (for reference only): MapProjec() -&gt; &lt;reg_MapProjec object&gt;","ref":"Evision.Reg.MapProjec.html#mapProjec/0","title":"Evision.Reg.MapProjec.mapProjec/0","type":"function"},{"doc":"MapProjec Positional Arguments projTr : Evision.Mat.t() Return self : MapProjec Python prototype (for reference only): MapProjec(projTr) -&gt; &lt;reg_MapProjec object&gt;","ref":"Evision.Reg.MapProjec.html#mapProjec/1","title":"Evision.Reg.MapProjec.mapProjec/1","type":"function"},{"doc":"normalize Positional Arguments self : Evision.Reg.MapProjec.t() Python prototype (for reference only): normalize() -&gt; None","ref":"Evision.Reg.MapProjec.html#normalize/1","title":"Evision.Reg.MapProjec.normalize/1","type":"function"},{"doc":"scale Positional Arguments self : Evision.Reg.MapProjec.t() factor : double Python prototype (for reference only): scale(factor) -&gt; None","ref":"Evision.Reg.MapProjec.html#scale/2","title":"Evision.Reg.MapProjec.scale/2","type":"function"},{"doc":"Type that represents an Reg.MapProjec struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.MapProjec.html#t:t/0","title":"Evision.Reg.MapProjec.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.MapShift.html","title":"Evision.Reg.MapShift","type":"module"},{"doc":"compose Positional Arguments self : Evision.Reg.MapShift.t() map : Map Python prototype (for reference only): compose(map) -&gt; None","ref":"Evision.Reg.MapShift.html#compose/2","title":"Evision.Reg.MapShift.compose/2","type":"function"},{"doc":"getShift Positional Arguments self : Evision.Reg.MapShift.t() Return shift : Evision.Mat.t() . Python prototype (for reference only): getShift([, shift]) -&gt; shift","ref":"Evision.Reg.MapShift.html#getShift/1","title":"Evision.Reg.MapShift.getShift/1","type":"function"},{"doc":"getShift Positional Arguments self : Evision.Reg.MapShift.t() Return shift : Evision.Mat.t() . Python prototype (for reference only): getShift([, shift]) -&gt; shift","ref":"Evision.Reg.MapShift.html#getShift/2","title":"Evision.Reg.MapShift.getShift/2","type":"function"},{"doc":"inverseMap Positional Arguments self : Evision.Reg.MapShift.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): inverseMap() -&gt; retval","ref":"Evision.Reg.MapShift.html#inverseMap/1","title":"Evision.Reg.MapShift.inverseMap/1","type":"function"},{"doc":"inverseWarp Positional Arguments self : Evision.Reg.MapShift.t() img1 : Evision.Mat.t() Return img2 : Evision.Mat.t() . Python prototype (for reference only): inverseWarp(img1[, img2]) -&gt; img2","ref":"Evision.Reg.MapShift.html#inverseWarp/2","title":"Evision.Reg.MapShift.inverseWarp/2","type":"function"},{"doc":"inverseWarp Positional Arguments self : Evision.Reg.MapShift.t() img1 : Evision.Mat.t() Return img2 : Evision.Mat.t() . Python prototype (for reference only): inverseWarp(img1[, img2]) -&gt; img2","ref":"Evision.Reg.MapShift.html#inverseWarp/3","title":"Evision.Reg.MapShift.inverseWarp/3","type":"function"},{"doc":"MapShift Return self : MapShift Python prototype (for reference only): MapShift() -&gt; &lt;reg_MapShift object&gt;","ref":"Evision.Reg.MapShift.html#mapShift/0","title":"Evision.Reg.MapShift.mapShift/0","type":"function"},{"doc":"MapShift Positional Arguments shift : Evision.Mat.t() Return self : MapShift Python prototype (for reference only): MapShift(shift) -&gt; &lt;reg_MapShift object&gt;","ref":"Evision.Reg.MapShift.html#mapShift/1","title":"Evision.Reg.MapShift.mapShift/1","type":"function"},{"doc":"scale Positional Arguments self : Evision.Reg.MapShift.t() factor : double Python prototype (for reference only): scale(factor) -&gt; None","ref":"Evision.Reg.MapShift.html#scale/2","title":"Evision.Reg.MapShift.scale/2","type":"function"},{"doc":"Type that represents an Reg.MapShift struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.MapShift.html#t:t/0","title":"Evision.Reg.MapShift.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.MapTypeCaster.html","title":"Evision.Reg.MapTypeCaster","type":"module"},{"doc":"toAffine Positional Arguments sourceMap : Map Return retval : MapAffine Python prototype (for reference only): toAffine(sourceMap) -&gt; retval","ref":"Evision.Reg.MapTypeCaster.html#toAffine/1","title":"Evision.Reg.MapTypeCaster.toAffine/1","type":"function"},{"doc":"toProjec Positional Arguments sourceMap : Map Return retval : MapProjec Python prototype (for reference only): toProjec(sourceMap) -&gt; retval","ref":"Evision.Reg.MapTypeCaster.html#toProjec/1","title":"Evision.Reg.MapTypeCaster.toProjec/1","type":"function"},{"doc":"toShift Positional Arguments sourceMap : Map Return retval : MapShift Python prototype (for reference only): toShift(sourceMap) -&gt; retval","ref":"Evision.Reg.MapTypeCaster.html#toShift/1","title":"Evision.Reg.MapTypeCaster.toShift/1","type":"function"},{"doc":"Type that represents an Reg.MapTypeCaster struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.MapTypeCaster.html#t:t/0","title":"Evision.Reg.MapTypeCaster.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.Mapper.html","title":"Evision.Reg.Mapper","type":"module"},{"doc":"calculate Positional Arguments self : Evision.Reg.Mapper.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.Mapper.html#calculate/3","title":"Evision.Reg.Mapper.calculate/3","type":"function"},{"doc":"calculate Positional Arguments self : Evision.Reg.Mapper.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.Mapper.html#calculate/4","title":"Evision.Reg.Mapper.calculate/4","type":"function"},{"doc":"getMap Positional Arguments self : Evision.Reg.Mapper.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): getMap() -&gt; retval","ref":"Evision.Reg.Mapper.html#getMap/1","title":"Evision.Reg.Mapper.getMap/1","type":"function"},{"doc":"Type that represents an Reg.Mapper struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.Mapper.html#t:t/0","title":"Evision.Reg.Mapper.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.MapperGradAffine.html","title":"Evision.Reg.MapperGradAffine","type":"module"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperGradAffine.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperGradAffine.html#calculate/3","title":"Evision.Reg.MapperGradAffine.calculate/3","type":"function"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperGradAffine.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperGradAffine.html#calculate/4","title":"Evision.Reg.MapperGradAffine.calculate/4","type":"function"},{"doc":"getMap Positional Arguments self : Evision.Reg.MapperGradAffine.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): getMap() -&gt; retval","ref":"Evision.Reg.MapperGradAffine.html#getMap/1","title":"Evision.Reg.MapperGradAffine.getMap/1","type":"function"},{"doc":"MapperGradAffine Return self : MapperGradAffine Python prototype (for reference only): MapperGradAffine() -&gt; &lt;reg_MapperGradAffine object&gt;","ref":"Evision.Reg.MapperGradAffine.html#mapperGradAffine/0","title":"Evision.Reg.MapperGradAffine.mapperGradAffine/0","type":"function"},{"doc":"Type that represents an Reg.MapperGradAffine struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.MapperGradAffine.html#t:t/0","title":"Evision.Reg.MapperGradAffine.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.MapperGradEuclid.html","title":"Evision.Reg.MapperGradEuclid","type":"module"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperGradEuclid.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperGradEuclid.html#calculate/3","title":"Evision.Reg.MapperGradEuclid.calculate/3","type":"function"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperGradEuclid.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperGradEuclid.html#calculate/4","title":"Evision.Reg.MapperGradEuclid.calculate/4","type":"function"},{"doc":"getMap Positional Arguments self : Evision.Reg.MapperGradEuclid.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): getMap() -&gt; retval","ref":"Evision.Reg.MapperGradEuclid.html#getMap/1","title":"Evision.Reg.MapperGradEuclid.getMap/1","type":"function"},{"doc":"MapperGradEuclid Return self : MapperGradEuclid Python prototype (for reference only): MapperGradEuclid() -&gt; &lt;reg_MapperGradEuclid object&gt;","ref":"Evision.Reg.MapperGradEuclid.html#mapperGradEuclid/0","title":"Evision.Reg.MapperGradEuclid.mapperGradEuclid/0","type":"function"},{"doc":"Type that represents an Reg.MapperGradEuclid struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.MapperGradEuclid.html#t:t/0","title":"Evision.Reg.MapperGradEuclid.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.MapperGradProj.html","title":"Evision.Reg.MapperGradProj","type":"module"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperGradProj.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperGradProj.html#calculate/3","title":"Evision.Reg.MapperGradProj.calculate/3","type":"function"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperGradProj.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperGradProj.html#calculate/4","title":"Evision.Reg.MapperGradProj.calculate/4","type":"function"},{"doc":"getMap Positional Arguments self : Evision.Reg.MapperGradProj.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): getMap() -&gt; retval","ref":"Evision.Reg.MapperGradProj.html#getMap/1","title":"Evision.Reg.MapperGradProj.getMap/1","type":"function"},{"doc":"MapperGradProj Return self : MapperGradProj Python prototype (for reference only): MapperGradProj() -&gt; &lt;reg_MapperGradProj object&gt;","ref":"Evision.Reg.MapperGradProj.html#mapperGradProj/0","title":"Evision.Reg.MapperGradProj.mapperGradProj/0","type":"function"},{"doc":"Type that represents an Reg.MapperGradProj struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.MapperGradProj.html#t:t/0","title":"Evision.Reg.MapperGradProj.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.MapperGradShift.html","title":"Evision.Reg.MapperGradShift","type":"module"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperGradShift.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperGradShift.html#calculate/3","title":"Evision.Reg.MapperGradShift.calculate/3","type":"function"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperGradShift.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperGradShift.html#calculate/4","title":"Evision.Reg.MapperGradShift.calculate/4","type":"function"},{"doc":"getMap Positional Arguments self : Evision.Reg.MapperGradShift.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): getMap() -&gt; retval","ref":"Evision.Reg.MapperGradShift.html#getMap/1","title":"Evision.Reg.MapperGradShift.getMap/1","type":"function"},{"doc":"MapperGradShift Return self : MapperGradShift Python prototype (for reference only): MapperGradShift() -&gt; &lt;reg_MapperGradShift object&gt;","ref":"Evision.Reg.MapperGradShift.html#mapperGradShift/0","title":"Evision.Reg.MapperGradShift.mapperGradShift/0","type":"function"},{"doc":"Type that represents an Reg.MapperGradShift struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.MapperGradShift.html#t:t/0","title":"Evision.Reg.MapperGradShift.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.MapperGradSimilar.html","title":"Evision.Reg.MapperGradSimilar","type":"module"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperGradSimilar.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperGradSimilar.html#calculate/3","title":"Evision.Reg.MapperGradSimilar.calculate/3","type":"function"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperGradSimilar.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperGradSimilar.html#calculate/4","title":"Evision.Reg.MapperGradSimilar.calculate/4","type":"function"},{"doc":"getMap Positional Arguments self : Evision.Reg.MapperGradSimilar.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): getMap() -&gt; retval","ref":"Evision.Reg.MapperGradSimilar.html#getMap/1","title":"Evision.Reg.MapperGradSimilar.getMap/1","type":"function"},{"doc":"MapperGradSimilar Return self : MapperGradSimilar Python prototype (for reference only): MapperGradSimilar() -&gt; &lt;reg_MapperGradSimilar object&gt;","ref":"Evision.Reg.MapperGradSimilar.html#mapperGradSimilar/0","title":"Evision.Reg.MapperGradSimilar.mapperGradSimilar/0","type":"function"},{"doc":"Type that represents an Reg.MapperGradSimilar struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.MapperGradSimilar.html#t:t/0","title":"Evision.Reg.MapperGradSimilar.t/0","type":"type"},{"doc":"","ref":"Evision.Reg.MapperPyramid.html","title":"Evision.Reg.MapperPyramid","type":"module"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperPyramid.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperPyramid.html#calculate/3","title":"Evision.Reg.MapperPyramid.calculate/3","type":"function"},{"doc":"calculate Positional Arguments self : Evision.Reg.MapperPyramid.t() img1 : Evision.Mat.t() img2 : Evision.Mat.t() Keyword Arguments init : Map . Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): calculate(img1, img2[, init]) -&gt; retval","ref":"Evision.Reg.MapperPyramid.html#calculate/4","title":"Evision.Reg.MapperPyramid.calculate/4","type":"function"},{"doc":"","ref":"Evision.Reg.MapperPyramid.html#get_numIterPerScale_/1","title":"Evision.Reg.MapperPyramid.get_numIterPerScale_/1","type":"function"},{"doc":"","ref":"Evision.Reg.MapperPyramid.html#get_numLev_/1","title":"Evision.Reg.MapperPyramid.get_numLev_/1","type":"function"},{"doc":"getMap Positional Arguments self : Evision.Reg.MapperPyramid.t() Return retval : cv::Ptr&lt;Map&gt; Python prototype (for reference only): getMap() -&gt; retval","ref":"Evision.Reg.MapperPyramid.html#getMap/1","title":"Evision.Reg.MapperPyramid.getMap/1","type":"function"},{"doc":"MapperPyramid Positional Arguments baseMapper : Mapper Return self : MapperPyramid Python prototype (for reference only): MapperPyramid(baseMapper) -&gt; &lt;reg_MapperPyramid object&gt;","ref":"Evision.Reg.MapperPyramid.html#mapperPyramid/1","title":"Evision.Reg.MapperPyramid.mapperPyramid/1","type":"function"},{"doc":"","ref":"Evision.Reg.MapperPyramid.html#set_numIterPerScale_/2","title":"Evision.Reg.MapperPyramid.set_numIterPerScale_/2","type":"function"},{"doc":"","ref":"Evision.Reg.MapperPyramid.html#set_numLev_/2","title":"Evision.Reg.MapperPyramid.set_numLev_/2","type":"function"},{"doc":"Type that represents an Reg.MapperPyramid struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Reg.MapperPyramid.html#t:t/0","title":"Evision.Reg.MapperPyramid.t/0","type":"type"},{"doc":"","ref":"Evision.SIFT.html","title":"Evision.SIFT","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.SIFT.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.SIFT.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.SIFT.html#compute/3","title":"Evision.SIFT.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.SIFT.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.SIFT.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.SIFT.html#compute/4","title":"Evision.SIFT.compute/4","type":"function"},{"doc":"create Keyword Arguments nfeatures : int . The number of best features to retain. The features are ranked by their scores (measured in SIFT algorithm as the local contrast) nOctaveLayers : int . The number of layers in each octave. 3 is the value used in D. Lowe paper. The number of octaves is computed automatically from the image resolution. contrastThreshold : double . The contrast threshold used to filter out weak features in semi-uniform (low-contrast) regions. The larger the threshold, the less features are produced by the detector. edgeThreshold : double . The threshold used to filter out edge-like features. Note that the its meaning is different from the contrastThreshold, i.e. the larger the edgeThreshold, the less features are filtered out (more features are retained). sigma : double . The sigma of the Gaussian applied to the input image at the octave #0. If your image is captured with a weak camera with soft lenses, you might want to reduce the number. Return retval : Evision.SIFT.t() Note : The contrast threshold will be divided by nOctaveLayers when the filtering is applied. When nOctaveLayers is set to default and if you want to use the value used in D. Lowe paper, 0.03, set this argument to 0.09. Python prototype (for reference only): create([, nfeatures[, nOctaveLayers[, contrastThreshold[, edgeThreshold[, sigma]]]]]) -&gt; retval","ref":"Evision.SIFT.html#create/0","title":"Evision.SIFT.create/0","type":"function"},{"doc":"create Keyword Arguments nfeatures : int . The number of best features to retain. The features are ranked by their scores (measured in SIFT algorithm as the local contrast) nOctaveLayers : int . The number of layers in each octave. 3 is the value used in D. Lowe paper. The number of octaves is computed automatically from the image resolution. contrastThreshold : double . The contrast threshold used to filter out weak features in semi-uniform (low-contrast) regions. The larger the threshold, the less features are produced by the detector. edgeThreshold : double . The threshold used to filter out edge-like features. Note that the its meaning is different from the contrastThreshold, i.e. the larger the edgeThreshold, the less features are filtered out (more features are retained). sigma : double . The sigma of the Gaussian applied to the input image at the octave #0. If your image is captured with a weak camera with soft lenses, you might want to reduce the number. Return retval : Evision.SIFT.t() Note : The contrast threshold will be divided by nOctaveLayers when the filtering is applied. When nOctaveLayers is set to default and if you want to use the value used in D. Lowe paper, 0.03, set this argument to 0.09. Python prototype (for reference only): create([, nfeatures[, nOctaveLayers[, contrastThreshold[, edgeThreshold[, sigma]]]]]) -&gt; retval","ref":"Evision.SIFT.html#create/1","title":"Evision.SIFT.create/1","type":"function"},{"doc":"Create SIFT with specified descriptorType. Positional Arguments nfeatures : int . The number of best features to retain. The features are ranked by their scores (measured in SIFT algorithm as the local contrast) nOctaveLayers : int . The number of layers in each octave. 3 is the value used in D. Lowe paper. The number of octaves is computed automatically from the image resolution. contrastThreshold : double . The contrast threshold used to filter out weak features in semi-uniform (low-contrast) regions. The larger the threshold, the less features are produced by the detector. edgeThreshold : double . The threshold used to filter out edge-like features. Note that the its meaning is different from the contrastThreshold, i.e. the larger the edgeThreshold, the less features are filtered out (more features are retained). sigma : double . The sigma of the Gaussian applied to the input image at the octave #0. If your image is captured with a weak camera with soft lenses, you might want to reduce the number. descriptorType : int . The type of descriptors. Only CV_32F and CV_8U are supported. Return retval : Evision.SIFT.t() Note : The contrast threshold will be divided by nOctaveLayers when the filtering is applied. When nOctaveLayers is set to default and if you want to use the value used in D. Lowe paper, 0.03, set this argument to 0.09. Python prototype (for reference only): create(nfeatures, nOctaveLayers, contrastThreshold, edgeThreshold, sigma, descriptorType) -&gt; retval","ref":"Evision.SIFT.html#create/6","title":"Evision.SIFT.create/6","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.SIFT.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.SIFT.html#defaultNorm/1","title":"Evision.SIFT.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.SIFT.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.SIFT.html#descriptorSize/1","title":"Evision.SIFT.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.SIFT.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.SIFT.html#descriptorType/1","title":"Evision.SIFT.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.SIFT.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.SIFT.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.SIFT.html#detect/2","title":"Evision.SIFT.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.SIFT.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.SIFT.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.SIFT.html#detect/3","title":"Evision.SIFT.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.SIFT.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.SIFT.html#detectAndCompute/3","title":"Evision.SIFT.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.SIFT.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.SIFT.html#detectAndCompute/4","title":"Evision.SIFT.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.SIFT.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.SIFT.html#empty/1","title":"Evision.SIFT.empty/1","type":"function"},{"doc":"getContrastThreshold Positional Arguments self : Evision.SIFT.t() Return retval : double Python prototype (for reference only): getContrastThreshold() -&gt; retval","ref":"Evision.SIFT.html#getContrastThreshold/1","title":"Evision.SIFT.getContrastThreshold/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.SIFT.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.SIFT.html#getDefaultName/1","title":"Evision.SIFT.getDefaultName/1","type":"function"},{"doc":"getEdgeThreshold Positional Arguments self : Evision.SIFT.t() Return retval : double Python prototype (for reference only): getEdgeThreshold() -&gt; retval","ref":"Evision.SIFT.html#getEdgeThreshold/1","title":"Evision.SIFT.getEdgeThreshold/1","type":"function"},{"doc":"getNFeatures Positional Arguments self : Evision.SIFT.t() Return retval : int Python prototype (for reference only): getNFeatures() -&gt; retval","ref":"Evision.SIFT.html#getNFeatures/1","title":"Evision.SIFT.getNFeatures/1","type":"function"},{"doc":"getNOctaveLayers Positional Arguments self : Evision.SIFT.t() Return retval : int Python prototype (for reference only): getNOctaveLayers() -&gt; retval","ref":"Evision.SIFT.html#getNOctaveLayers/1","title":"Evision.SIFT.getNOctaveLayers/1","type":"function"},{"doc":"getSigma Positional Arguments self : Evision.SIFT.t() Return retval : double Python prototype (for reference only): getSigma() -&gt; retval","ref":"Evision.SIFT.html#getSigma/1","title":"Evision.SIFT.getSigma/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.SIFT.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.SIFT.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.SIFT.html#read/2","title":"Evision.SIFT.read/2","type":"function"},{"doc":"setContrastThreshold Positional Arguments self : Evision.SIFT.t() contrastThreshold : double Python prototype (for reference only): setContrastThreshold(contrastThreshold) -&gt; None","ref":"Evision.SIFT.html#setContrastThreshold/2","title":"Evision.SIFT.setContrastThreshold/2","type":"function"},{"doc":"setEdgeThreshold Positional Arguments self : Evision.SIFT.t() edgeThreshold : double Python prototype (for reference only): setEdgeThreshold(edgeThreshold) -&gt; None","ref":"Evision.SIFT.html#setEdgeThreshold/2","title":"Evision.SIFT.setEdgeThreshold/2","type":"function"},{"doc":"setNFeatures Positional Arguments self : Evision.SIFT.t() maxFeatures : int Python prototype (for reference only): setNFeatures(maxFeatures) -&gt; None","ref":"Evision.SIFT.html#setNFeatures/2","title":"Evision.SIFT.setNFeatures/2","type":"function"},{"doc":"setNOctaveLayers Positional Arguments self : Evision.SIFT.t() nOctaveLayers : int Python prototype (for reference only): setNOctaveLayers(nOctaveLayers) -&gt; None","ref":"Evision.SIFT.html#setNOctaveLayers/2","title":"Evision.SIFT.setNOctaveLayers/2","type":"function"},{"doc":"setSigma Positional Arguments self : Evision.SIFT.t() sigma : double Python prototype (for reference only): setSigma(sigma) -&gt; None","ref":"Evision.SIFT.html#setSigma/2","title":"Evision.SIFT.setSigma/2","type":"function"},{"doc":"write Positional Arguments self : Evision.SIFT.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.SIFT.html#write/2","title":"Evision.SIFT.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.SIFT.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.SIFT.html#write/3","title":"Evision.SIFT.write/3","type":"function"},{"doc":"Type that represents an SIFT struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.SIFT.html#t:t/0","title":"Evision.SIFT.t/0","type":"type"},{"doc":"","ref":"Evision.Saliency.html","title":"Evision.Saliency","type":"module"},{"doc":"Type that represents an Saliency struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Saliency.html#t:t/0","title":"Evision.Saliency.t/0","type":"type"},{"doc":"","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html","title":"Evision.Saliency.MotionSaliencyBinWangApr2014","type":"module"},{"doc":"computeSaliency Positional Arguments self : Evision.Saliency.MotionSaliencyBinWangApr2014.t() image : Evision.Mat.t() Return retval : bool saliencyMap : Evision.Mat.t() . Python prototype (for reference only): computeSaliency(image[, saliencyMap]) -&gt; retval, saliencyMap","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html#computeSaliency/2","title":"Evision.Saliency.MotionSaliencyBinWangApr2014.computeSaliency/2","type":"function"},{"doc":"computeSaliency Positional Arguments self : Evision.Saliency.MotionSaliencyBinWangApr2014.t() image : Evision.Mat.t() Return retval : bool saliencyMap : Evision.Mat.t() . Python prototype (for reference only): computeSaliency(image[, saliencyMap]) -&gt; retval, saliencyMap","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html#computeSaliency/3","title":"Evision.Saliency.MotionSaliencyBinWangApr2014.computeSaliency/3","type":"function"},{"doc":"create Return retval : MotionSaliencyBinWangApr2014 Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html#create/0","title":"Evision.Saliency.MotionSaliencyBinWangApr2014.create/0","type":"function"},{"doc":"getImageHeight Positional Arguments self : Evision.Saliency.MotionSaliencyBinWangApr2014.t() Return retval : int Python prototype (for reference only): getImageHeight() -&gt; retval","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html#getImageHeight/1","title":"Evision.Saliency.MotionSaliencyBinWangApr2014.getImageHeight/1","type":"function"},{"doc":"getImageWidth Positional Arguments self : Evision.Saliency.MotionSaliencyBinWangApr2014.t() Return retval : int Python prototype (for reference only): getImageWidth() -&gt; retval","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html#getImageWidth/1","title":"Evision.Saliency.MotionSaliencyBinWangApr2014.getImageWidth/1","type":"function"},{"doc":"This function allows the correct initialization of all data structures that will be used by the algorithm. Positional Arguments self : Evision.Saliency.MotionSaliencyBinWangApr2014.t() Return retval : bool Python prototype (for reference only): init() -&gt; retval","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html#init/1","title":"Evision.Saliency.MotionSaliencyBinWangApr2014.init/1","type":"function"},{"doc":"setImageHeight Positional Arguments self : Evision.Saliency.MotionSaliencyBinWangApr2014.t() val : int Python prototype (for reference only): setImageHeight(val) -&gt; None","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html#setImageHeight/2","title":"Evision.Saliency.MotionSaliencyBinWangApr2014.setImageHeight/2","type":"function"},{"doc":"This is a utility function that allows to set the correct size (taken from the input image) in the corresponding variables that will be used to size the data structures of the algorithm. Positional Arguments self : Evision.Saliency.MotionSaliencyBinWangApr2014.t() w : int . width of input image h : int . height of input image Python prototype (for reference only): setImagesize(W, H) -&gt; None","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html#setImagesize/3","title":"Evision.Saliency.MotionSaliencyBinWangApr2014.setImagesize/3","type":"function"},{"doc":"setImageWidth Positional Arguments self : Evision.Saliency.MotionSaliencyBinWangApr2014.t() val : int Python prototype (for reference only): setImageWidth(val) -&gt; None","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html#setImageWidth/2","title":"Evision.Saliency.MotionSaliencyBinWangApr2014.setImageWidth/2","type":"function"},{"doc":"Type that represents an Saliency.MotionSaliencyBinWangApr2014 struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Saliency.MotionSaliencyBinWangApr2014.html#t:t/0","title":"Evision.Saliency.MotionSaliencyBinWangApr2014.t/0","type":"type"},{"doc":"","ref":"Evision.Saliency.ObjectnessBING.html","title":"Evision.Saliency.ObjectnessBING","type":"module"},{"doc":"computeSaliency Positional Arguments self : Evision.Saliency.ObjectnessBING.t() image : Evision.Mat.t() Return retval : bool saliencyMap : Evision.Mat.t() . Python prototype (for reference only): computeSaliency(image[, saliencyMap]) -&gt; retval, saliencyMap","ref":"Evision.Saliency.ObjectnessBING.html#computeSaliency/2","title":"Evision.Saliency.ObjectnessBING.computeSaliency/2","type":"function"},{"doc":"computeSaliency Positional Arguments self : Evision.Saliency.ObjectnessBING.t() image : Evision.Mat.t() Return retval : bool saliencyMap : Evision.Mat.t() . Python prototype (for reference only): computeSaliency(image[, saliencyMap]) -&gt; retval, saliencyMap","ref":"Evision.Saliency.ObjectnessBING.html#computeSaliency/3","title":"Evision.Saliency.ObjectnessBING.computeSaliency/3","type":"function"},{"doc":"create Return retval : ObjectnessBING Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Saliency.ObjectnessBING.html#create/0","title":"Evision.Saliency.ObjectnessBING.create/0","type":"function"},{"doc":"getBase Positional Arguments self : Evision.Saliency.ObjectnessBING.t() Return retval : double Python prototype (for reference only): getBase() -&gt; retval","ref":"Evision.Saliency.ObjectnessBING.html#getBase/1","title":"Evision.Saliency.ObjectnessBING.getBase/1","type":"function"},{"doc":"getNSS Positional Arguments self : Evision.Saliency.ObjectnessBING.t() Return retval : int Python prototype (for reference only): getNSS() -&gt; retval","ref":"Evision.Saliency.ObjectnessBING.html#getNSS/1","title":"Evision.Saliency.ObjectnessBING.getNSS/1","type":"function"},{"doc":"Return the list of the rectangles' objectness value, Positional Arguments self : Evision.Saliency.ObjectnessBING.t() Return retval : [float] in the same order as the vector\\&lt;Vec4i&gt; objectnessBoundingBox returned by the algorithm (in computeSaliencyImpl function). The bigger value these scores are, it is more likely to be an object window. Python prototype (for reference only): getobjectnessValues() -&gt; retval","ref":"Evision.Saliency.ObjectnessBING.html#getobjectnessValues/1","title":"Evision.Saliency.ObjectnessBING.getobjectnessValues/1","type":"function"},{"doc":"getW Positional Arguments self : Evision.Saliency.ObjectnessBING.t() Return retval : int Python prototype (for reference only): getW() -&gt; retval","ref":"Evision.Saliency.ObjectnessBING.html#getW/1","title":"Evision.Saliency.ObjectnessBING.getW/1","type":"function"},{"doc":"read Positional Arguments self : Evision.Saliency.ObjectnessBING.t() Python prototype (for reference only): read() -&gt; None","ref":"Evision.Saliency.ObjectnessBING.html#read/1","title":"Evision.Saliency.ObjectnessBING.read/1","type":"function"},{"doc":"setBase Positional Arguments self : Evision.Saliency.ObjectnessBING.t() val : double Python prototype (for reference only): setBase(val) -&gt; None","ref":"Evision.Saliency.ObjectnessBING.html#setBase/2","title":"Evision.Saliency.ObjectnessBING.setBase/2","type":"function"},{"doc":"This is a utility function that allows to set an arbitrary path in which the algorithm will save the optional results Positional Arguments self : Evision.Saliency.ObjectnessBING.t() resultsDir : String . results' folder path (ie writing on file the total number and the list of rectangles returned by objectess, one for each row). Python prototype (for reference only): setBBResDir(resultsDir) -&gt; None","ref":"Evision.Saliency.ObjectnessBING.html#setBBResDir/2","title":"Evision.Saliency.ObjectnessBING.setBBResDir/2","type":"function"},{"doc":"setNSS Positional Arguments self : Evision.Saliency.ObjectnessBING.t() val : int Python prototype (for reference only): setNSS(val) -&gt; None","ref":"Evision.Saliency.ObjectnessBING.html#setNSS/2","title":"Evision.Saliency.ObjectnessBING.setNSS/2","type":"function"},{"doc":"This is a utility function that allows to set the correct path from which the algorithm will load the trained model. Positional Arguments self : Evision.Saliency.ObjectnessBING.t() trainingPath : String . trained model path Python prototype (for reference only): setTrainingPath(trainingPath) -&gt; None","ref":"Evision.Saliency.ObjectnessBING.html#setTrainingPath/2","title":"Evision.Saliency.ObjectnessBING.setTrainingPath/2","type":"function"},{"doc":"setW Positional Arguments self : Evision.Saliency.ObjectnessBING.t() val : int Python prototype (for reference only): setW(val) -&gt; None","ref":"Evision.Saliency.ObjectnessBING.html#setW/2","title":"Evision.Saliency.ObjectnessBING.setW/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Saliency.ObjectnessBING.t() Python prototype (for reference only): write() -&gt; None","ref":"Evision.Saliency.ObjectnessBING.html#write/1","title":"Evision.Saliency.ObjectnessBING.write/1","type":"function"},{"doc":"Type that represents an Saliency.ObjectnessBING struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Saliency.ObjectnessBING.html#t:t/0","title":"Evision.Saliency.ObjectnessBING.t/0","type":"type"},{"doc":"","ref":"Evision.Saliency.Saliency.html","title":"Evision.Saliency.Saliency","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Saliency.Saliency.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Saliency.Saliency.html#clear/1","title":"Evision.Saliency.Saliency.clear/1","type":"function"},{"doc":"computeSaliency Positional Arguments self : Evision.Saliency.Saliency.t() image : Evision.Mat.t() Return retval : bool saliencyMap : Evision.Mat.t() . \\brief Compute the saliency \\param image The image. \\param saliencyMap The computed saliency map. \\return true if the saliency map is computed, false otherwise Python prototype (for reference only): computeSaliency(image[, saliencyMap]) -&gt; retval, saliencyMap","ref":"Evision.Saliency.Saliency.html#computeSaliency/2","title":"Evision.Saliency.Saliency.computeSaliency/2","type":"function"},{"doc":"computeSaliency Positional Arguments self : Evision.Saliency.Saliency.t() image : Evision.Mat.t() Return retval : bool saliencyMap : Evision.Mat.t() . \\brief Compute the saliency \\param image The image. \\param saliencyMap The computed saliency map. \\return true if the saliency map is computed, false otherwise Python prototype (for reference only): computeSaliency(image[, saliencyMap]) -&gt; retval, saliencyMap","ref":"Evision.Saliency.Saliency.html#computeSaliency/3","title":"Evision.Saliency.Saliency.computeSaliency/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Saliency.Saliency.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Saliency.Saliency.html#empty/1","title":"Evision.Saliency.Saliency.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Saliency.Saliency.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Saliency.Saliency.html#getDefaultName/1","title":"Evision.Saliency.Saliency.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Saliency.Saliency.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Saliency.Saliency.html#read/2","title":"Evision.Saliency.Saliency.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Saliency.Saliency.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Saliency.Saliency.html#save/2","title":"Evision.Saliency.Saliency.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Saliency.Saliency.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Saliency.Saliency.html#write/2","title":"Evision.Saliency.Saliency.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Saliency.Saliency.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Saliency.Saliency.html#write/3","title":"Evision.Saliency.Saliency.write/3","type":"function"},{"doc":"Type that represents an Saliency.Saliency struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Saliency.Saliency.html#t:t/0","title":"Evision.Saliency.Saliency.t/0","type":"type"},{"doc":"","ref":"Evision.Saliency.StaticSaliency.html","title":"Evision.Saliency.StaticSaliency","type":"module"},{"doc":"This function perform a binary map of given saliency map. This is obtained in this way: Positional Arguments self : Evision.Saliency.StaticSaliency.t() saliencyMap : Evision.Mat.t() . the saliency map obtained through one of the specialized algorithms Return retval : bool binaryMap : Evision.Mat.t() . the binary map In a first step, to improve the definition of interest areas and facilitate identification of targets, a segmentation by clustering is performed, using K-means algorithm . Then, to gain a binary representation of clustered saliency map, since values of the map can vary according to the characteristics of frame under analysis, it is not convenient to use a fixed threshold. So, Otsu's algorithm* is used, which assumes that the image to be thresholded contains two classes of pixels or bi-modal histograms (e.g. foreground and back-ground pixels); later on, the algorithm calculates the optimal threshold separating those two classes, so that their intra-class variance is minimal. Python prototype (for reference only): computeBinaryMap(_saliencyMap[, _binaryMap]) -&gt; retval, _binaryMap","ref":"Evision.Saliency.StaticSaliency.html#computeBinaryMap/2","title":"Evision.Saliency.StaticSaliency.computeBinaryMap/2","type":"function"},{"doc":"This function perform a binary map of given saliency map. This is obtained in this way: Positional Arguments self : Evision.Saliency.StaticSaliency.t() saliencyMap : Evision.Mat.t() . the saliency map obtained through one of the specialized algorithms Return retval : bool binaryMap : Evision.Mat.t() . the binary map In a first step, to improve the definition of interest areas and facilitate identification of targets, a segmentation by clustering is performed, using K-means algorithm . Then, to gain a binary representation of clustered saliency map, since values of the map can vary according to the characteristics of frame under analysis, it is not convenient to use a fixed threshold. So, Otsu's algorithm* is used, which assumes that the image to be thresholded contains two classes of pixels or bi-modal histograms (e.g. foreground and back-ground pixels); later on, the algorithm calculates the optimal threshold separating those two classes, so that their intra-class variance is minimal. Python prototype (for reference only): computeBinaryMap(_saliencyMap[, _binaryMap]) -&gt; retval, _binaryMap","ref":"Evision.Saliency.StaticSaliency.html#computeBinaryMap/3","title":"Evision.Saliency.StaticSaliency.computeBinaryMap/3","type":"function"},{"doc":"Type that represents an Saliency.StaticSaliency struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Saliency.StaticSaliency.html#t:t/0","title":"Evision.Saliency.StaticSaliency.t/0","type":"type"},{"doc":"","ref":"Evision.Saliency.StaticSaliencyFineGrained.html","title":"Evision.Saliency.StaticSaliencyFineGrained","type":"module"},{"doc":"computeSaliency Positional Arguments self : Evision.Saliency.StaticSaliencyFineGrained.t() image : Evision.Mat.t() Return retval : bool saliencyMap : Evision.Mat.t() . Python prototype (for reference only): computeSaliency(image[, saliencyMap]) -&gt; retval, saliencyMap","ref":"Evision.Saliency.StaticSaliencyFineGrained.html#computeSaliency/2","title":"Evision.Saliency.StaticSaliencyFineGrained.computeSaliency/2","type":"function"},{"doc":"computeSaliency Positional Arguments self : Evision.Saliency.StaticSaliencyFineGrained.t() image : Evision.Mat.t() Return retval : bool saliencyMap : Evision.Mat.t() . Python prototype (for reference only): computeSaliency(image[, saliencyMap]) -&gt; retval, saliencyMap","ref":"Evision.Saliency.StaticSaliencyFineGrained.html#computeSaliency/3","title":"Evision.Saliency.StaticSaliencyFineGrained.computeSaliency/3","type":"function"},{"doc":"create Return retval : StaticSaliencyFineGrained Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Saliency.StaticSaliencyFineGrained.html#create/0","title":"Evision.Saliency.StaticSaliencyFineGrained.create/0","type":"function"},{"doc":"Type that represents an Saliency.StaticSaliencyFineGrained struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Saliency.StaticSaliencyFineGrained.html#t:t/0","title":"Evision.Saliency.StaticSaliencyFineGrained.t/0","type":"type"},{"doc":"","ref":"Evision.Saliency.StaticSaliencySpectralResidual.html","title":"Evision.Saliency.StaticSaliencySpectralResidual","type":"module"},{"doc":"computeSaliency Positional Arguments self : Evision.Saliency.StaticSaliencySpectralResidual.t() image : Evision.Mat.t() Return retval : bool saliencyMap : Evision.Mat.t() . Python prototype (for reference only): computeSaliency(image[, saliencyMap]) -&gt; retval, saliencyMap","ref":"Evision.Saliency.StaticSaliencySpectralResidual.html#computeSaliency/2","title":"Evision.Saliency.StaticSaliencySpectralResidual.computeSaliency/2","type":"function"},{"doc":"computeSaliency Positional Arguments self : Evision.Saliency.StaticSaliencySpectralResidual.t() image : Evision.Mat.t() Return retval : bool saliencyMap : Evision.Mat.t() . Python prototype (for reference only): computeSaliency(image[, saliencyMap]) -&gt; retval, saliencyMap","ref":"Evision.Saliency.StaticSaliencySpectralResidual.html#computeSaliency/3","title":"Evision.Saliency.StaticSaliencySpectralResidual.computeSaliency/3","type":"function"},{"doc":"create Return retval : StaticSaliencySpectralResidual Python prototype (for reference only): create() -&gt; retval","ref":"Evision.Saliency.StaticSaliencySpectralResidual.html#create/0","title":"Evision.Saliency.StaticSaliencySpectralResidual.create/0","type":"function"},{"doc":"getImageHeight Positional Arguments self : Evision.Saliency.StaticSaliencySpectralResidual.t() Return retval : int Python prototype (for reference only): getImageHeight() -&gt; retval","ref":"Evision.Saliency.StaticSaliencySpectralResidual.html#getImageHeight/1","title":"Evision.Saliency.StaticSaliencySpectralResidual.getImageHeight/1","type":"function"},{"doc":"getImageWidth Positional Arguments self : Evision.Saliency.StaticSaliencySpectralResidual.t() Return retval : int Python prototype (for reference only): getImageWidth() -&gt; retval","ref":"Evision.Saliency.StaticSaliencySpectralResidual.html#getImageWidth/1","title":"Evision.Saliency.StaticSaliencySpectralResidual.getImageWidth/1","type":"function"},{"doc":"read Positional Arguments self : Evision.Saliency.StaticSaliencySpectralResidual.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Saliency.StaticSaliencySpectralResidual.html#read/2","title":"Evision.Saliency.StaticSaliencySpectralResidual.read/2","type":"function"},{"doc":"setImageHeight Positional Arguments self : Evision.Saliency.StaticSaliencySpectralResidual.t() val : int Python prototype (for reference only): setImageHeight(val) -&gt; None","ref":"Evision.Saliency.StaticSaliencySpectralResidual.html#setImageHeight/2","title":"Evision.Saliency.StaticSaliencySpectralResidual.setImageHeight/2","type":"function"},{"doc":"setImageWidth Positional Arguments self : Evision.Saliency.StaticSaliencySpectralResidual.t() val : int Python prototype (for reference only): setImageWidth(val) -&gt; None","ref":"Evision.Saliency.StaticSaliencySpectralResidual.html#setImageWidth/2","title":"Evision.Saliency.StaticSaliencySpectralResidual.setImageWidth/2","type":"function"},{"doc":"Type that represents an Saliency.StaticSaliencySpectralResidual struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Saliency.StaticSaliencySpectralResidual.html#t:t/0","title":"Evision.Saliency.StaticSaliencySpectralResidual.t/0","type":"type"},{"doc":"","ref":"Evision.Samples.html","title":"Evision.Samples","type":"module"},{"doc":"Override search data path by adding new search location Positional Arguments path : String . Path to used samples data Use this only to override default behavior Passed paths are used in LIFO order. Python prototype (for reference only): addSamplesDataSearchPath(path) -&gt; None","ref":"Evision.Samples.html#addSamplesDataSearchPath/1","title":"Evision.Samples.addSamplesDataSearchPath/1","type":"function"},{"doc":"Append samples search data sub directory Positional Arguments subdir : String . samples data sub directory General usage is to add OpenCV modules name ( &lt;opencv_contrib&gt;/modules/&lt;name&gt;/samples/data -&gt; &lt;name&gt;/samples/data + modules/&lt;name&gt;/samples/data ). Passed subdirectories are used in LIFO order. Python prototype (for reference only): addSamplesDataSearchSubDirectory(subdir) -&gt; None","ref":"Evision.Samples.html#addSamplesDataSearchSubDirectory/1","title":"Evision.Samples.addSamplesDataSearchSubDirectory/1","type":"function"},{"doc":"Try to find requested data file Positional Arguments relative_path : String . Relative path to data file Keyword Arguments required : bool . Specify &quot;file not found&quot; handling. If true, function prints information message and raises cv::Exception. If false, function returns empty result silentMode : bool . Disables messages Return retval : String Search directories: Directories passed via addSamplesDataSearchPath() OPENCV_SAMPLES_DATA_PATH_HINT environment variable OPENCV_SAMPLES_DATA_PATH environment variable If parameter value is not empty and nothing is found then stop searching. Detects build/install path based on: a. current working directory (CWD) b. and/or binary module location (opencv_core/opencv_world, doesn't work with static linkage) Scan &lt;source&gt;/{,data,samples/data} directories if build directory is detected or the current directory is in source tree. Scan &lt;install&gt;/share/OpenCV directory if install directory is detected. @see cv::utils::findDataFile @return Returns path (absolute or relative to the current directory) or empty string if file is not found Python prototype (for reference only): findFile(relative_path[, required[, silentMode]]) -&gt; retval","ref":"Evision.Samples.html#findFile/1","title":"Evision.Samples.findFile/1","type":"function"},{"doc":"Try to find requested data file Positional Arguments relative_path : String . Relative path to data file Keyword Arguments required : bool . Specify &quot;file not found&quot; handling. If true, function prints information message and raises cv::Exception. If false, function returns empty result silentMode : bool . Disables messages Return retval : String Search directories: Directories passed via addSamplesDataSearchPath() OPENCV_SAMPLES_DATA_PATH_HINT environment variable OPENCV_SAMPLES_DATA_PATH environment variable If parameter value is not empty and nothing is found then stop searching. Detects build/install path based on: a. current working directory (CWD) b. and/or binary module location (opencv_core/opencv_world, doesn't work with static linkage) Scan &lt;source&gt;/{,data,samples/data} directories if build directory is detected or the current directory is in source tree. Scan &lt;install&gt;/share/OpenCV directory if install directory is detected. @see cv::utils::findDataFile @return Returns path (absolute or relative to the current directory) or empty string if file is not found Python prototype (for reference only): findFile(relative_path[, required[, silentMode]]) -&gt; retval","ref":"Evision.Samples.html#findFile/2","title":"Evision.Samples.findFile/2","type":"function"},{"doc":"findFileOrKeep Positional Arguments relative_path : String Keyword Arguments silentMode : bool . Return retval : String Python prototype (for reference only): findFileOrKeep(relative_path[, silentMode]) -&gt; retval","ref":"Evision.Samples.html#findFileOrKeep/1","title":"Evision.Samples.findFileOrKeep/1","type":"function"},{"doc":"findFileOrKeep Positional Arguments relative_path : String Keyword Arguments silentMode : bool . Return retval : String Python prototype (for reference only): findFileOrKeep(relative_path[, silentMode]) -&gt; retval","ref":"Evision.Samples.html#findFileOrKeep/2","title":"Evision.Samples.findFileOrKeep/2","type":"function"},{"doc":"Type that represents an Samples struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Samples.html#t:t/0","title":"Evision.Samples.t/0","type":"type"},{"doc":"","ref":"Evision.Segmentation.html","title":"Evision.Segmentation","type":"module"},{"doc":"Type that represents an Segmentation struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Segmentation.html#t:t/0","title":"Evision.Segmentation.t/0","type":"type"},{"doc":"","ref":"Evision.Segmentation.IntelligentScissorsMB.html","title":"Evision.Segmentation.IntelligentScissorsMB","type":"module"},{"doc":"Specify input image and extract image features Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() image : Evision.Mat.t() . input image. Type is #CV_8UC1 / #CV_8UC3 Return retval : Evision.Segmentation.IntelligentScissorsMB.t() Python prototype (for reference only): applyImage(image) -&gt; retval","ref":"Evision.Segmentation.IntelligentScissorsMB.html#applyImage/2","title":"Evision.Segmentation.IntelligentScissorsMB.applyImage/2","type":"function"},{"doc":"Specify custom features of input image Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() non_edge : Evision.Mat.t() . Specify cost of non-edge pixels. Type is CV_8UC1. Expected values are {0, 1} . gradient_direction : Evision.Mat.t() . Specify gradient direction feature. Type is CV_32FC2. Values are expected to be normalized: x^2 + y^2 == 1 gradient_magnitude : Evision.Mat.t() . Specify cost of gradient magnitude function: Type is CV_32FC1. Values should be in range [0, 1] . Keyword Arguments image : Evision.Mat.t() . Optional parameter . Must be specified if subset of features is specified (non-specified features are calculated internally) Return retval : Evision.Segmentation.IntelligentScissorsMB.t() Customized advanced variant of applyImage() call. Python prototype (for reference only): applyImageFeatures(non_edge, gradient_direction, gradient_magnitude[, image]) -&gt; retval","ref":"Evision.Segmentation.IntelligentScissorsMB.html#applyImageFeatures/4","title":"Evision.Segmentation.IntelligentScissorsMB.applyImageFeatures/4","type":"function"},{"doc":"Specify custom features of input image Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() non_edge : Evision.Mat.t() . Specify cost of non-edge pixels. Type is CV_8UC1. Expected values are {0, 1} . gradient_direction : Evision.Mat.t() . Specify gradient direction feature. Type is CV_32FC2. Values are expected to be normalized: x^2 + y^2 == 1 gradient_magnitude : Evision.Mat.t() . Specify cost of gradient magnitude function: Type is CV_32FC1. Values should be in range [0, 1] . Keyword Arguments image : Evision.Mat.t() . Optional parameter . Must be specified if subset of features is specified (non-specified features are calculated internally) Return retval : Evision.Segmentation.IntelligentScissorsMB.t() Customized advanced variant of applyImage() call. Python prototype (for reference only): applyImageFeatures(non_edge, gradient_direction, gradient_magnitude[, image]) -&gt; retval","ref":"Evision.Segmentation.IntelligentScissorsMB.html#applyImageFeatures/5","title":"Evision.Segmentation.IntelligentScissorsMB.applyImageFeatures/5","type":"function"},{"doc":"Prepares a map of optimal paths for the given source point on the image Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() sourcePt : Point . The source point used to find the paths Note : applyImage() / applyImageFeatures() must be called before this call Python prototype (for reference only): buildMap(sourcePt) -&gt; None","ref":"Evision.Segmentation.IntelligentScissorsMB.html#buildMap/2","title":"Evision.Segmentation.IntelligentScissorsMB.buildMap/2","type":"function"},{"doc":"Extracts optimal contour for the given target point on the image Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() targetPt : Point . The target point Keyword Arguments backward : bool . Flag to indicate reverse order of retrived pixels (use &quot;true&quot; value to fetch points from the target to the source point) Return contour : Evision.Mat.t() . The list of pixels which contains optimal path between the source and the target points of the image. Type is CV_32SC2 (compatible with std::vector&lt;Point&gt; ) Note : buildMap() must be called before this call Python prototype (for reference only): getContour(targetPt[, contour[, backward]]) -&gt; contour","ref":"Evision.Segmentation.IntelligentScissorsMB.html#getContour/2","title":"Evision.Segmentation.IntelligentScissorsMB.getContour/2","type":"function"},{"doc":"Extracts optimal contour for the given target point on the image Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() targetPt : Point . The target point Keyword Arguments backward : bool . Flag to indicate reverse order of retrived pixels (use &quot;true&quot; value to fetch points from the target to the source point) Return contour : Evision.Mat.t() . The list of pixels which contains optimal path between the source and the target points of the image. Type is CV_32SC2 (compatible with std::vector&lt;Point&gt; ) Note : buildMap() must be called before this call Python prototype (for reference only): getContour(targetPt[, contour[, backward]]) -&gt; contour","ref":"Evision.Segmentation.IntelligentScissorsMB.html#getContour/3","title":"Evision.Segmentation.IntelligentScissorsMB.getContour/3","type":"function"},{"doc":"IntelligentScissorsMB Return self : Evision.Segmentation.IntelligentScissorsMB.t() Python prototype (for reference only): IntelligentScissorsMB() -&gt; &lt;segmentation_IntelligentScissorsMB object&gt;","ref":"Evision.Segmentation.IntelligentScissorsMB.html#intelligentScissorsMB/0","title":"Evision.Segmentation.IntelligentScissorsMB.intelligentScissorsMB/0","type":"function"},{"doc":"Switch edge feature extractor to use Canny edge detector Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() threshold1 : double threshold2 : double Keyword Arguments apertureSize : int . l2gradient : bool . Return retval : Evision.Segmentation.IntelligentScissorsMB.t() Note : &quot;Laplacian Zero-Crossing&quot; feature extractor is used by default (following to original article) @sa Canny Python prototype (for reference only): setEdgeFeatureCannyParameters(threshold1, threshold2[, apertureSize[, L2gradient]]) -&gt; retval","ref":"Evision.Segmentation.IntelligentScissorsMB.html#setEdgeFeatureCannyParameters/3","title":"Evision.Segmentation.IntelligentScissorsMB.setEdgeFeatureCannyParameters/3","type":"function"},{"doc":"Switch edge feature extractor to use Canny edge detector Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() threshold1 : double threshold2 : double Keyword Arguments apertureSize : int . l2gradient : bool . Return retval : Evision.Segmentation.IntelligentScissorsMB.t() Note : &quot;Laplacian Zero-Crossing&quot; feature extractor is used by default (following to original article) @sa Canny Python prototype (for reference only): setEdgeFeatureCannyParameters(threshold1, threshold2[, apertureSize[, L2gradient]]) -&gt; retval","ref":"Evision.Segmentation.IntelligentScissorsMB.html#setEdgeFeatureCannyParameters/4","title":"Evision.Segmentation.IntelligentScissorsMB.setEdgeFeatureCannyParameters/4","type":"function"},{"doc":"Switch to &quot;Laplacian Zero-Crossing&quot; edge feature extractor and specify its parameters Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() Keyword Arguments gradient_magnitude_min_value : float . Minimal gradient magnitude value for edge pixels (default: 0, check is disabled) Return retval : Evision.Segmentation.IntelligentScissorsMB.t() This feature extractor is used by default according to article. Implementation has additional filtering for regions with low-amplitude noise. This filtering is enabled through parameter of minimal gradient amplitude (use some small value 4, 8, 16). Note : Current implementation of this feature extractor is based on processing of grayscale images (color image is converted to grayscale image first). Note : Canny edge detector is a bit slower, but provides better results (especially on color images): use setEdgeFeatureCannyParameters(). Python prototype (for reference only): setEdgeFeatureZeroCrossingParameters([, gradient_magnitude_min_value]) -&gt; retval","ref":"Evision.Segmentation.IntelligentScissorsMB.html#setEdgeFeatureZeroCrossingParameters/1","title":"Evision.Segmentation.IntelligentScissorsMB.setEdgeFeatureZeroCrossingParameters/1","type":"function"},{"doc":"Switch to &quot;Laplacian Zero-Crossing&quot; edge feature extractor and specify its parameters Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() Keyword Arguments gradient_magnitude_min_value : float . Minimal gradient magnitude value for edge pixels (default: 0, check is disabled) Return retval : Evision.Segmentation.IntelligentScissorsMB.t() This feature extractor is used by default according to article. Implementation has additional filtering for regions with low-amplitude noise. This filtering is enabled through parameter of minimal gradient amplitude (use some small value 4, 8, 16). Note : Current implementation of this feature extractor is based on processing of grayscale images (color image is converted to grayscale image first). Note : Canny edge detector is a bit slower, but provides better results (especially on color images): use setEdgeFeatureCannyParameters(). Python prototype (for reference only): setEdgeFeatureZeroCrossingParameters([, gradient_magnitude_min_value]) -&gt; retval","ref":"Evision.Segmentation.IntelligentScissorsMB.html#setEdgeFeatureZeroCrossingParameters/2","title":"Evision.Segmentation.IntelligentScissorsMB.setEdgeFeatureZeroCrossingParameters/2","type":"function"},{"doc":"Specify gradient magnitude max value threshold Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() Keyword Arguments gradient_magnitude_threshold_max : float . Specify gradient magnitude max value threshold (default: 0, disabled) Return retval : Evision.Segmentation.IntelligentScissorsMB.t() Zero limit value is used to disable gradient magnitude thresholding (default behavior, as described in original article). Otherwize pixels with gradient magnitude &gt;= threshold have zero cost. Note : Thresholding should be used for images with irregular regions (to avoid stuck on parameters from high-contract areas, like embedded logos). Python prototype (for reference only): setGradientMagnitudeMaxLimit([, gradient_magnitude_threshold_max]) -&gt; retval","ref":"Evision.Segmentation.IntelligentScissorsMB.html#setGradientMagnitudeMaxLimit/1","title":"Evision.Segmentation.IntelligentScissorsMB.setGradientMagnitudeMaxLimit/1","type":"function"},{"doc":"Specify gradient magnitude max value threshold Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() Keyword Arguments gradient_magnitude_threshold_max : float . Specify gradient magnitude max value threshold (default: 0, disabled) Return retval : Evision.Segmentation.IntelligentScissorsMB.t() Zero limit value is used to disable gradient magnitude thresholding (default behavior, as described in original article). Otherwize pixels with gradient magnitude &gt;= threshold have zero cost. Note : Thresholding should be used for images with irregular regions (to avoid stuck on parameters from high-contract areas, like embedded logos). Python prototype (for reference only): setGradientMagnitudeMaxLimit([, gradient_magnitude_threshold_max]) -&gt; retval","ref":"Evision.Segmentation.IntelligentScissorsMB.html#setGradientMagnitudeMaxLimit/2","title":"Evision.Segmentation.IntelligentScissorsMB.setGradientMagnitudeMaxLimit/2","type":"function"},{"doc":"Specify weights of feature functions Positional Arguments self : Evision.Segmentation.IntelligentScissorsMB.t() weight_non_edge : float . Specify cost of non-edge pixels (default: 0.43f) weight_gradient_direction : float . Specify cost of gradient direction function (default: 0.43f) weight_gradient_magnitude : float . Specify cost of gradient magnitude function (default: 0.14f) Return retval : Evision.Segmentation.IntelligentScissorsMB.t() Consider keeping weights normalized (sum of weights equals to 1.0) Discrete dynamic programming (DP) goal is minimization of costs between pixels. Python prototype (for reference only): setWeights(weight_non_edge, weight_gradient_direction, weight_gradient_magnitude) -&gt; retval","ref":"Evision.Segmentation.IntelligentScissorsMB.html#setWeights/4","title":"Evision.Segmentation.IntelligentScissorsMB.setWeights/4","type":"function"},{"doc":"Type that represents an Segmentation.IntelligentScissorsMB struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Segmentation.IntelligentScissorsMB.html#t:t/0","title":"Evision.Segmentation.IntelligentScissorsMB.t/0","type":"type"},{"doc":"","ref":"Evision.ShapeContextDistanceExtractor.html","title":"Evision.ShapeContextDistanceExtractor","type":"module"},{"doc":"getAngularBins Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : int Python prototype (for reference only): getAngularBins() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getAngularBins/1","title":"Evision.ShapeContextDistanceExtractor.getAngularBins/1","type":"function"},{"doc":"getBendingEnergyWeight Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : float Python prototype (for reference only): getBendingEnergyWeight() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getBendingEnergyWeight/1","title":"Evision.ShapeContextDistanceExtractor.getBendingEnergyWeight/1","type":"function"},{"doc":"getCostExtractor Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : Evision.HistogramCostExtractor.t() Python prototype (for reference only): getCostExtractor() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getCostExtractor/1","title":"Evision.ShapeContextDistanceExtractor.getCostExtractor/1","type":"function"},{"doc":"getImageAppearanceWeight Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : float Python prototype (for reference only): getImageAppearanceWeight() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getImageAppearanceWeight/1","title":"Evision.ShapeContextDistanceExtractor.getImageAppearanceWeight/1","type":"function"},{"doc":"getImages Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return image1 : Evision.Mat.t() . image2 : Evision.Mat.t() . Python prototype (for reference only): getImages([, image1[, image2]]) -&gt; image1, image2","ref":"Evision.ShapeContextDistanceExtractor.html#getImages/1","title":"Evision.ShapeContextDistanceExtractor.getImages/1","type":"function"},{"doc":"getImages Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return image1 : Evision.Mat.t() . image2 : Evision.Mat.t() . Python prototype (for reference only): getImages([, image1[, image2]]) -&gt; image1, image2","ref":"Evision.ShapeContextDistanceExtractor.html#getImages/2","title":"Evision.ShapeContextDistanceExtractor.getImages/2","type":"function"},{"doc":"getInnerRadius Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : float Python prototype (for reference only): getInnerRadius() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getInnerRadius/1","title":"Evision.ShapeContextDistanceExtractor.getInnerRadius/1","type":"function"},{"doc":"getIterations Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : int Python prototype (for reference only): getIterations() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getIterations/1","title":"Evision.ShapeContextDistanceExtractor.getIterations/1","type":"function"},{"doc":"getOuterRadius Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : float Python prototype (for reference only): getOuterRadius() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getOuterRadius/1","title":"Evision.ShapeContextDistanceExtractor.getOuterRadius/1","type":"function"},{"doc":"getRadialBins Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : int Python prototype (for reference only): getRadialBins() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getRadialBins/1","title":"Evision.ShapeContextDistanceExtractor.getRadialBins/1","type":"function"},{"doc":"getRotationInvariant Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : bool Python prototype (for reference only): getRotationInvariant() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getRotationInvariant/1","title":"Evision.ShapeContextDistanceExtractor.getRotationInvariant/1","type":"function"},{"doc":"getShapeContextWeight Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : float Python prototype (for reference only): getShapeContextWeight() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getShapeContextWeight/1","title":"Evision.ShapeContextDistanceExtractor.getShapeContextWeight/1","type":"function"},{"doc":"getStdDev Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : float Python prototype (for reference only): getStdDev() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getStdDev/1","title":"Evision.ShapeContextDistanceExtractor.getStdDev/1","type":"function"},{"doc":"getTransformAlgorithm Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() Return retval : Evision.ShapeTransformer.t() Python prototype (for reference only): getTransformAlgorithm() -&gt; retval","ref":"Evision.ShapeContextDistanceExtractor.html#getTransformAlgorithm/1","title":"Evision.ShapeContextDistanceExtractor.getTransformAlgorithm/1","type":"function"},{"doc":"Establish the number of angular bins for the Shape Context Descriptor used in the shape matching pipeline. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() nAngularBins : int . The number of angular bins in the shape context descriptor. Python prototype (for reference only): setAngularBins(nAngularBins) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setAngularBins/2","title":"Evision.ShapeContextDistanceExtractor.setAngularBins/2","type":"function"},{"doc":"Set the weight of the Bending Energy in the final value of the shape distance. The bending energy definition depends on what transformation is being used to align the shapes. The final value of the shape distance is a user-defined linear combination of the shape context distance, an image appearance distance, and a bending energy. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() bendingEnergyWeight : float . The weight of the Bending Energy in the final distance value. Python prototype (for reference only): setBendingEnergyWeight(bendingEnergyWeight) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setBendingEnergyWeight/2","title":"Evision.ShapeContextDistanceExtractor.setBendingEnergyWeight/2","type":"function"},{"doc":"Set the algorithm used for building the shape context descriptor cost matrix. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() comparer : Evision.HistogramCostExtractor.t() . Smart pointer to a HistogramCostExtractor, an algorithm that defines the cost matrix between descriptors. Python prototype (for reference only): setCostExtractor(comparer) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setCostExtractor/2","title":"Evision.ShapeContextDistanceExtractor.setCostExtractor/2","type":"function"},{"doc":"Set the weight of the Image Appearance cost in the final value of the shape distance. The image appearance cost is defined as the sum of squared brightness differences in Gaussian windows around corresponding image points. The final value of the shape distance is a user-defined linear combination of the shape context distance, an image appearance distance, and a bending energy. If this value is set to a number different from 0, is mandatory to set the images that correspond to each shape. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() imageAppearanceWeight : float . The weight of the appearance cost in the final distance value. Python prototype (for reference only): setImageAppearanceWeight(imageAppearanceWeight) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setImageAppearanceWeight/2","title":"Evision.ShapeContextDistanceExtractor.setImageAppearanceWeight/2","type":"function"},{"doc":"Set the images that correspond to each shape. This images are used in the calculation of the Image Appearance cost. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() image1 : Evision.Mat.t() . Image corresponding to the shape defined by contours1. image2 : Evision.Mat.t() . Image corresponding to the shape defined by contours2. Python prototype (for reference only): setImages(image1, image2) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setImages/3","title":"Evision.ShapeContextDistanceExtractor.setImages/3","type":"function"},{"doc":"Set the inner radius of the shape context descriptor. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() innerRadius : float . The value of the inner radius. Python prototype (for reference only): setInnerRadius(innerRadius) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setInnerRadius/2","title":"Evision.ShapeContextDistanceExtractor.setInnerRadius/2","type":"function"},{"doc":"setIterations Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() iterations : int Python prototype (for reference only): setIterations(iterations) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setIterations/2","title":"Evision.ShapeContextDistanceExtractor.setIterations/2","type":"function"},{"doc":"Set the outer radius of the shape context descriptor. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() outerRadius : float . The value of the outer radius. Python prototype (for reference only): setOuterRadius(outerRadius) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setOuterRadius/2","title":"Evision.ShapeContextDistanceExtractor.setOuterRadius/2","type":"function"},{"doc":"Establish the number of radial bins for the Shape Context Descriptor used in the shape matching pipeline. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() nRadialBins : int . The number of radial bins in the shape context descriptor. Python prototype (for reference only): setRadialBins(nRadialBins) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setRadialBins/2","title":"Evision.ShapeContextDistanceExtractor.setRadialBins/2","type":"function"},{"doc":"setRotationInvariant Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() rotationInvariant : bool Python prototype (for reference only): setRotationInvariant(rotationInvariant) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setRotationInvariant/2","title":"Evision.ShapeContextDistanceExtractor.setRotationInvariant/2","type":"function"},{"doc":"Set the weight of the shape context distance in the final value of the shape distance. The shape context distance between two shapes is defined as the symmetric sum of shape context matching costs over best matching points. The final value of the shape distance is a user-defined linear combination of the shape context distance, an image appearance distance, and a bending energy. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() shapeContextWeight : float . The weight of the shape context distance in the final distance value. Python prototype (for reference only): setShapeContextWeight(shapeContextWeight) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setShapeContextWeight/2","title":"Evision.ShapeContextDistanceExtractor.setShapeContextWeight/2","type":"function"},{"doc":"Set the value of the standard deviation for the Gaussian window for the image appearance cost. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() sigma : float . Standard Deviation. Python prototype (for reference only): setStdDev(sigma) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setStdDev/2","title":"Evision.ShapeContextDistanceExtractor.setStdDev/2","type":"function"},{"doc":"Set the algorithm used for aligning the shapes. Positional Arguments self : Evision.ShapeContextDistanceExtractor.t() transformer : Evision.ShapeTransformer.t() . Smart pointer to a ShapeTransformer, an algorithm that defines the aligning transformation. Python prototype (for reference only): setTransformAlgorithm(transformer) -&gt; None","ref":"Evision.ShapeContextDistanceExtractor.html#setTransformAlgorithm/2","title":"Evision.ShapeContextDistanceExtractor.setTransformAlgorithm/2","type":"function"},{"doc":"Type that represents an ShapeContextDistanceExtractor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ShapeContextDistanceExtractor.html#t:t/0","title":"Evision.ShapeContextDistanceExtractor.t/0","type":"type"},{"doc":"","ref":"Evision.ShapeDistanceExtractor.html","title":"Evision.ShapeDistanceExtractor","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ShapeDistanceExtractor.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ShapeDistanceExtractor.html#clear/1","title":"Evision.ShapeDistanceExtractor.clear/1","type":"function"},{"doc":"Compute the shape distance between two shapes defined by its contours. Positional Arguments self : Evision.ShapeDistanceExtractor.t() contour1 : Evision.Mat.t() . Contour defining first shape. contour2 : Evision.Mat.t() . Contour defining second shape. Return retval : float Python prototype (for reference only): computeDistance(contour1, contour2) -&gt; retval","ref":"Evision.ShapeDistanceExtractor.html#computeDistance/3","title":"Evision.ShapeDistanceExtractor.computeDistance/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.ShapeDistanceExtractor.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ShapeDistanceExtractor.html#empty/1","title":"Evision.ShapeDistanceExtractor.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ShapeDistanceExtractor.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ShapeDistanceExtractor.html#getDefaultName/1","title":"Evision.ShapeDistanceExtractor.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ShapeDistanceExtractor.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ShapeDistanceExtractor.html#read/2","title":"Evision.ShapeDistanceExtractor.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ShapeDistanceExtractor.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ShapeDistanceExtractor.html#save/2","title":"Evision.ShapeDistanceExtractor.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ShapeDistanceExtractor.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ShapeDistanceExtractor.html#write/2","title":"Evision.ShapeDistanceExtractor.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ShapeDistanceExtractor.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ShapeDistanceExtractor.html#write/3","title":"Evision.ShapeDistanceExtractor.write/3","type":"function"},{"doc":"Type that represents an ShapeDistanceExtractor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ShapeDistanceExtractor.html#t:t/0","title":"Evision.ShapeDistanceExtractor.t/0","type":"type"},{"doc":"","ref":"Evision.ShapeTransformer.html","title":"Evision.ShapeTransformer","type":"module"},{"doc":"Apply a transformation, given a pre-estimated transformation parameters. Positional Arguments self : Evision.ShapeTransformer.t() input : Evision.Mat.t() . Contour (set of points) to apply the transformation. Return retval : float output : Evision.Mat.t() . Output contour. Python prototype (for reference only): applyTransformation(input[, output]) -&gt; retval, output","ref":"Evision.ShapeTransformer.html#applyTransformation/2","title":"Evision.ShapeTransformer.applyTransformation/2","type":"function"},{"doc":"Apply a transformation, given a pre-estimated transformation parameters. Positional Arguments self : Evision.ShapeTransformer.t() input : Evision.Mat.t() . Contour (set of points) to apply the transformation. Return retval : float output : Evision.Mat.t() . Output contour. Python prototype (for reference only): applyTransformation(input[, output]) -&gt; retval, output","ref":"Evision.ShapeTransformer.html#applyTransformation/3","title":"Evision.ShapeTransformer.applyTransformation/3","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.ShapeTransformer.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.ShapeTransformer.html#clear/1","title":"Evision.ShapeTransformer.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.ShapeTransformer.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.ShapeTransformer.html#empty/1","title":"Evision.ShapeTransformer.empty/1","type":"function"},{"doc":"Estimate the transformation parameters of the current transformer algorithm, based on point matches. Positional Arguments self : Evision.ShapeTransformer.t() transformingShape : Evision.Mat.t() . Contour defining first shape. targetShape : Evision.Mat.t() . Contour defining second shape (Target). matches : [Evision.DMatch] . Standard vector of Matches between points. Python prototype (for reference only): estimateTransformation(transformingShape, targetShape, matches) -&gt; None","ref":"Evision.ShapeTransformer.html#estimateTransformation/4","title":"Evision.ShapeTransformer.estimateTransformation/4","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.ShapeTransformer.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.ShapeTransformer.html#getDefaultName/1","title":"Evision.ShapeTransformer.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.ShapeTransformer.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.ShapeTransformer.html#read/2","title":"Evision.ShapeTransformer.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.ShapeTransformer.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.ShapeTransformer.html#save/2","title":"Evision.ShapeTransformer.save/2","type":"function"},{"doc":"Apply a transformation, given a pre-estimated transformation parameters, to an Image. Positional Arguments self : Evision.ShapeTransformer.t() transformingImage : Evision.Mat.t() . Input image. Keyword Arguments flags : int . Image interpolation method. borderMode : int . border style. borderValue : Scalar . border value. Return output : Evision.Mat.t() . Output image. Python prototype (for reference only): warpImage(transformingImage[, output[, flags[, borderMode[, borderValue]]]]) -&gt; output","ref":"Evision.ShapeTransformer.html#warpImage/2","title":"Evision.ShapeTransformer.warpImage/2","type":"function"},{"doc":"Apply a transformation, given a pre-estimated transformation parameters, to an Image. Positional Arguments self : Evision.ShapeTransformer.t() transformingImage : Evision.Mat.t() . Input image. Keyword Arguments flags : int . Image interpolation method. borderMode : int . border style. borderValue : Scalar . border value. Return output : Evision.Mat.t() . Output image. Python prototype (for reference only): warpImage(transformingImage[, output[, flags[, borderMode[, borderValue]]]]) -&gt; output","ref":"Evision.ShapeTransformer.html#warpImage/3","title":"Evision.ShapeTransformer.warpImage/3","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.ShapeTransformer.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.ShapeTransformer.html#write/2","title":"Evision.ShapeTransformer.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.ShapeTransformer.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.ShapeTransformer.html#write/3","title":"Evision.ShapeTransformer.write/3","type":"function"},{"doc":"Type that represents an ShapeTransformer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ShapeTransformer.html#t:t/0","title":"Evision.ShapeTransformer.t/0","type":"type"},{"doc":"","ref":"Evision.SimpleBlobDetector.html","title":"Evision.SimpleBlobDetector","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.SimpleBlobDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.SimpleBlobDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.SimpleBlobDetector.html#compute/3","title":"Evision.SimpleBlobDetector.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.SimpleBlobDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.SimpleBlobDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.SimpleBlobDetector.html#compute/4","title":"Evision.SimpleBlobDetector.compute/4","type":"function"},{"doc":"create Keyword Arguments parameters : Evision.SimpleBlobDetector.Params.t() . Return retval : Evision.SimpleBlobDetector.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.SimpleBlobDetector.html#create/0","title":"Evision.SimpleBlobDetector.create/0","type":"function"},{"doc":"create Keyword Arguments parameters : Evision.SimpleBlobDetector.Params.t() . Return retval : Evision.SimpleBlobDetector.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.SimpleBlobDetector.html#create/1","title":"Evision.SimpleBlobDetector.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.SimpleBlobDetector.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.SimpleBlobDetector.html#defaultNorm/1","title":"Evision.SimpleBlobDetector.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.SimpleBlobDetector.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.SimpleBlobDetector.html#descriptorSize/1","title":"Evision.SimpleBlobDetector.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.SimpleBlobDetector.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.SimpleBlobDetector.html#descriptorType/1","title":"Evision.SimpleBlobDetector.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.SimpleBlobDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.SimpleBlobDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.SimpleBlobDetector.html#detect/2","title":"Evision.SimpleBlobDetector.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.SimpleBlobDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.SimpleBlobDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.SimpleBlobDetector.html#detect/3","title":"Evision.SimpleBlobDetector.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.SimpleBlobDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.SimpleBlobDetector.html#detectAndCompute/3","title":"Evision.SimpleBlobDetector.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.SimpleBlobDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.SimpleBlobDetector.html#detectAndCompute/4","title":"Evision.SimpleBlobDetector.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.SimpleBlobDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.SimpleBlobDetector.html#empty/1","title":"Evision.SimpleBlobDetector.empty/1","type":"function"},{"doc":"getBlobContours Positional Arguments self : Evision.SimpleBlobDetector.t() Return retval : [[cv::Point]] Python prototype (for reference only): getBlobContours() -&gt; retval","ref":"Evision.SimpleBlobDetector.html#getBlobContours/1","title":"Evision.SimpleBlobDetector.getBlobContours/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.SimpleBlobDetector.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.SimpleBlobDetector.html#getDefaultName/1","title":"Evision.SimpleBlobDetector.getDefaultName/1","type":"function"},{"doc":"getParams Positional Arguments self : Evision.SimpleBlobDetector.t() Return retval : Evision.SimpleBlobDetector.Params.t() Python prototype (for reference only): getParams() -&gt; retval","ref":"Evision.SimpleBlobDetector.html#getParams/1","title":"Evision.SimpleBlobDetector.getParams/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.SimpleBlobDetector.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.SimpleBlobDetector.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.SimpleBlobDetector.html#read/2","title":"Evision.SimpleBlobDetector.read/2","type":"function"},{"doc":"setParams Positional Arguments self : Evision.SimpleBlobDetector.t() params : Evision.SimpleBlobDetector.Params.t() Python prototype (for reference only): setParams(params) -&gt; None","ref":"Evision.SimpleBlobDetector.html#setParams/2","title":"Evision.SimpleBlobDetector.setParams/2","type":"function"},{"doc":"write Positional Arguments self : Evision.SimpleBlobDetector.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.SimpleBlobDetector.html#write/2","title":"Evision.SimpleBlobDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.SimpleBlobDetector.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.SimpleBlobDetector.html#write/3","title":"Evision.SimpleBlobDetector.write/3","type":"function"},{"doc":"Type that represents an SimpleBlobDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.SimpleBlobDetector.html#t:t/0","title":"Evision.SimpleBlobDetector.t/0","type":"type"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html","title":"Evision.SimpleBlobDetector.Params","type":"module"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_blobColor/1","title":"Evision.SimpleBlobDetector.Params.get_blobColor/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_collectContours/1","title":"Evision.SimpleBlobDetector.Params.get_collectContours/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_filterByArea/1","title":"Evision.SimpleBlobDetector.Params.get_filterByArea/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_filterByCircularity/1","title":"Evision.SimpleBlobDetector.Params.get_filterByCircularity/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_filterByColor/1","title":"Evision.SimpleBlobDetector.Params.get_filterByColor/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_filterByConvexity/1","title":"Evision.SimpleBlobDetector.Params.get_filterByConvexity/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_filterByInertia/1","title":"Evision.SimpleBlobDetector.Params.get_filterByInertia/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_maxArea/1","title":"Evision.SimpleBlobDetector.Params.get_maxArea/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_maxCircularity/1","title":"Evision.SimpleBlobDetector.Params.get_maxCircularity/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_maxConvexity/1","title":"Evision.SimpleBlobDetector.Params.get_maxConvexity/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_maxInertiaRatio/1","title":"Evision.SimpleBlobDetector.Params.get_maxInertiaRatio/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_maxThreshold/1","title":"Evision.SimpleBlobDetector.Params.get_maxThreshold/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_minArea/1","title":"Evision.SimpleBlobDetector.Params.get_minArea/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_minCircularity/1","title":"Evision.SimpleBlobDetector.Params.get_minCircularity/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_minConvexity/1","title":"Evision.SimpleBlobDetector.Params.get_minConvexity/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_minDistBetweenBlobs/1","title":"Evision.SimpleBlobDetector.Params.get_minDistBetweenBlobs/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_minInertiaRatio/1","title":"Evision.SimpleBlobDetector.Params.get_minInertiaRatio/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_minRepeatability/1","title":"Evision.SimpleBlobDetector.Params.get_minRepeatability/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_minThreshold/1","title":"Evision.SimpleBlobDetector.Params.get_minThreshold/1","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#get_thresholdStep/1","title":"Evision.SimpleBlobDetector.Params.get_thresholdStep/1","type":"function"},{"doc":"SimpleBlobDetector_Params Return self : Evision.SimpleBlobDetector.Params.t() Python prototype (for reference only): SimpleBlobDetector_Params() -&gt; &lt;SimpleBlobDetector_Params object&gt;","ref":"Evision.SimpleBlobDetector.Params.html#params/0","title":"Evision.SimpleBlobDetector.Params.params/0","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_blobColor/2","title":"Evision.SimpleBlobDetector.Params.set_blobColor/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_collectContours/2","title":"Evision.SimpleBlobDetector.Params.set_collectContours/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_filterByArea/2","title":"Evision.SimpleBlobDetector.Params.set_filterByArea/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_filterByCircularity/2","title":"Evision.SimpleBlobDetector.Params.set_filterByCircularity/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_filterByColor/2","title":"Evision.SimpleBlobDetector.Params.set_filterByColor/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_filterByConvexity/2","title":"Evision.SimpleBlobDetector.Params.set_filterByConvexity/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_filterByInertia/2","title":"Evision.SimpleBlobDetector.Params.set_filterByInertia/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_maxArea/2","title":"Evision.SimpleBlobDetector.Params.set_maxArea/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_maxCircularity/2","title":"Evision.SimpleBlobDetector.Params.set_maxCircularity/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_maxConvexity/2","title":"Evision.SimpleBlobDetector.Params.set_maxConvexity/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_maxInertiaRatio/2","title":"Evision.SimpleBlobDetector.Params.set_maxInertiaRatio/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_maxThreshold/2","title":"Evision.SimpleBlobDetector.Params.set_maxThreshold/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_minArea/2","title":"Evision.SimpleBlobDetector.Params.set_minArea/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_minCircularity/2","title":"Evision.SimpleBlobDetector.Params.set_minCircularity/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_minConvexity/2","title":"Evision.SimpleBlobDetector.Params.set_minConvexity/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_minDistBetweenBlobs/2","title":"Evision.SimpleBlobDetector.Params.set_minDistBetweenBlobs/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_minInertiaRatio/2","title":"Evision.SimpleBlobDetector.Params.set_minInertiaRatio/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_minRepeatability/2","title":"Evision.SimpleBlobDetector.Params.set_minRepeatability/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_minThreshold/2","title":"Evision.SimpleBlobDetector.Params.set_minThreshold/2","type":"function"},{"doc":"","ref":"Evision.SimpleBlobDetector.Params.html#set_thresholdStep/2","title":"Evision.SimpleBlobDetector.Params.set_thresholdStep/2","type":"function"},{"doc":"Type that represents an SimpleBlobDetector.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.SimpleBlobDetector.Params.html#t:t/0","title":"Evision.SimpleBlobDetector.Params.t/0","type":"type"},{"doc":"Evision SmartCell Collection To use smartcell in Livebook, :kino &gt;= 0.7 is required defp deps do [ # ... { :kino , &quot;~&gt; 0.7&quot; } , # ... ] end","ref":"Evision.SmartCell.html","title":"Evision.SmartCell","type":"module"},{"doc":"Get all available smartcells. To register smartcells to :kino , please use Evision.SmartCell.register_smartcells/1 .","ref":"Evision.SmartCell.html#available_smartcells/0","title":"Evision.SmartCell.available_smartcells/0","type":"function"},{"doc":"Register Smartcells It will register all available smartcells by default. To see all available smartcells, please use Evision.SmartCell.available_smartcells/0 .","ref":"Evision.SmartCell.html#register_smartcells/1","title":"Evision.SmartCell.register_smartcells/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.DTrees.html","title":"Evision.SmartCell.ML.DTrees","type":"module"},{"doc":"","ref":"Evision.SmartCell.ML.DTrees.html#child_spec/1","title":"Evision.SmartCell.ML.DTrees.child_spec/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.DTrees.html#defaults/0","title":"Evision.SmartCell.ML.DTrees.defaults/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.DTrees.html#get_quoted_code/1","title":"Evision.SmartCell.ML.DTrees.get_quoted_code/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.DTrees.html#id/0","title":"Evision.SmartCell.ML.DTrees.id/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.DTrees.html#properties/0","title":"Evision.SmartCell.ML.DTrees.properties/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.DTrees.html#to_updates/3","title":"Evision.SmartCell.ML.DTrees.to_updates/3","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.RTrees.html","title":"Evision.SmartCell.ML.RTrees","type":"module"},{"doc":"","ref":"Evision.SmartCell.ML.RTrees.html#child_spec/1","title":"Evision.SmartCell.ML.RTrees.child_spec/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.RTrees.html#defaults/0","title":"Evision.SmartCell.ML.RTrees.defaults/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.RTrees.html#get_quoted_code/1","title":"Evision.SmartCell.ML.RTrees.get_quoted_code/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.RTrees.html#id/0","title":"Evision.SmartCell.ML.RTrees.id/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.RTrees.html#properties/0","title":"Evision.SmartCell.ML.RTrees.properties/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.RTrees.html#to_updates/3","title":"Evision.SmartCell.ML.RTrees.to_updates/3","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.SVM.html","title":"Evision.SmartCell.ML.SVM","type":"module"},{"doc":"","ref":"Evision.SmartCell.ML.SVM.html#child_spec/1","title":"Evision.SmartCell.ML.SVM.child_spec/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.SVM.html#defaults/0","title":"Evision.SmartCell.ML.SVM.defaults/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.SVM.html#get_quoted_code/1","title":"Evision.SmartCell.ML.SVM.get_quoted_code/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.SVM.html#id/0","title":"Evision.SmartCell.ML.SVM.id/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.SVM.html#properties/0","title":"Evision.SmartCell.ML.SVM.properties/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.SVM.html#to_updates/3","title":"Evision.SmartCell.ML.SVM.to_updates/3","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.TrainData.html","title":"Evision.SmartCell.ML.TrainData","type":"module"},{"doc":"","ref":"Evision.SmartCell.ML.TrainData.html#child_spec/1","title":"Evision.SmartCell.ML.TrainData.child_spec/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.TrainData.html#data_layout/1","title":"Evision.SmartCell.ML.TrainData.data_layout/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.TrainData.html#defaults/0","title":"Evision.SmartCell.ML.TrainData.defaults/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.TrainData.html#get_calc_error/3","title":"Evision.SmartCell.ML.TrainData.get_calc_error/3","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.TrainData.html#get_quoted_code/1","title":"Evision.SmartCell.ML.TrainData.get_quoted_code/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.TrainData.html#id/0","title":"Evision.SmartCell.ML.TrainData.id/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.TrainData.html#properties/0","title":"Evision.SmartCell.ML.TrainData.properties/0","type":"function"},{"doc":"","ref":"Evision.SmartCell.ML.TrainData.html#to_updates/3","title":"Evision.SmartCell.ML.TrainData.to_updates/3","type":"function"},{"doc":"A kino for displaying a list of labels. This kino is primarily used to present top classification predictions. Examples predictions = [ &quot;malamute&quot; , &quot;Siberian husky&quot; , &quot;Eskimo dog&quot; , &quot;Tibetan mastiff&quot; , &quot;German shepherd&quot; ] Evision.SmartCell.SimpleList . new ( predictions )","ref":"Evision.SmartCell.SimpleList.html","title":"Evision.SmartCell.SimpleList","type":"module"},{"doc":"Creates a new kino displaying the given list of items. Expects a list of tuples, each element being the label and its score.","ref":"Evision.SmartCell.SimpleList.html#new/1","title":"Evision.SmartCell.SimpleList.new/1","type":"function"},{"doc":"","ref":"Evision.SmartCell.SimpleList.html#t:t/0","title":"Evision.SmartCell.SimpleList.t/0","type":"type"},{"doc":"","ref":"Evision.SparseOpticalFlow.html","title":"Evision.SparseOpticalFlow","type":"module"},{"doc":"Calculates a sparse optical flow. Positional Arguments self : Evision.SparseOpticalFlow.t() prevImg : Evision.Mat.t() . First input image. nextImg : Evision.Mat.t() . Second input image of the same size and the same type as prevImg. prevPts : Evision.Mat.t() . Vector of 2D points for which the flow needs to be found. Return nextPts : Evision.Mat.t() . Output vector of 2D points containing the calculated new positions of input features in the second image. status : Evision.Mat.t() . Output status vector. Each element of the vector is set to 1 if the flow for the corresponding features has been found. Otherwise, it is set to 0. err : Evision.Mat.t() . Optional output vector that contains error response for each point (inverse confidence). Python prototype (for reference only): calc(prevImg, nextImg, prevPts, nextPts[, status[, err]]) -&gt; nextPts, status, err","ref":"Evision.SparseOpticalFlow.html#calc/5","title":"Evision.SparseOpticalFlow.calc/5","type":"function"},{"doc":"Calculates a sparse optical flow. Positional Arguments self : Evision.SparseOpticalFlow.t() prevImg : Evision.Mat.t() . First input image. nextImg : Evision.Mat.t() . Second input image of the same size and the same type as prevImg. prevPts : Evision.Mat.t() . Vector of 2D points for which the flow needs to be found. Return nextPts : Evision.Mat.t() . Output vector of 2D points containing the calculated new positions of input features in the second image. status : Evision.Mat.t() . Output status vector. Each element of the vector is set to 1 if the flow for the corresponding features has been found. Otherwise, it is set to 0. err : Evision.Mat.t() . Optional output vector that contains error response for each point (inverse confidence). Python prototype (for reference only): calc(prevImg, nextImg, prevPts, nextPts[, status[, err]]) -&gt; nextPts, status, err","ref":"Evision.SparseOpticalFlow.html#calc/6","title":"Evision.SparseOpticalFlow.calc/6","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.SparseOpticalFlow.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.SparseOpticalFlow.html#clear/1","title":"Evision.SparseOpticalFlow.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.SparseOpticalFlow.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.SparseOpticalFlow.html#empty/1","title":"Evision.SparseOpticalFlow.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.SparseOpticalFlow.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.SparseOpticalFlow.html#getDefaultName/1","title":"Evision.SparseOpticalFlow.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.SparseOpticalFlow.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.SparseOpticalFlow.html#read/2","title":"Evision.SparseOpticalFlow.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.SparseOpticalFlow.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.SparseOpticalFlow.html#save/2","title":"Evision.SparseOpticalFlow.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.SparseOpticalFlow.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.SparseOpticalFlow.html#write/2","title":"Evision.SparseOpticalFlow.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.SparseOpticalFlow.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.SparseOpticalFlow.html#write/3","title":"Evision.SparseOpticalFlow.write/3","type":"function"},{"doc":"Type that represents an SparseOpticalFlow struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.SparseOpticalFlow.html#t:t/0","title":"Evision.SparseOpticalFlow.t/0","type":"type"},{"doc":"","ref":"Evision.SparsePyrLKOpticalFlow.html","title":"Evision.SparsePyrLKOpticalFlow","type":"module"},{"doc":"create Keyword Arguments winSize : Size . maxLevel : int . crit : TermCriteria . flags : int . minEigThreshold : double . Return retval : Evision.SparsePyrLKOpticalFlow.t() Python prototype (for reference only): create([, winSize[, maxLevel[, crit[, flags[, minEigThreshold]]]]]) -&gt; retval","ref":"Evision.SparsePyrLKOpticalFlow.html#create/0","title":"Evision.SparsePyrLKOpticalFlow.create/0","type":"function"},{"doc":"create Keyword Arguments winSize : Size . maxLevel : int . crit : TermCriteria . flags : int . minEigThreshold : double . Return retval : Evision.SparsePyrLKOpticalFlow.t() Python prototype (for reference only): create([, winSize[, maxLevel[, crit[, flags[, minEigThreshold]]]]]) -&gt; retval","ref":"Evision.SparsePyrLKOpticalFlow.html#create/1","title":"Evision.SparsePyrLKOpticalFlow.create/1","type":"function"},{"doc":"getFlags Positional Arguments self : Evision.SparsePyrLKOpticalFlow.t() Return retval : int Python prototype (for reference only): getFlags() -&gt; retval","ref":"Evision.SparsePyrLKOpticalFlow.html#getFlags/1","title":"Evision.SparsePyrLKOpticalFlow.getFlags/1","type":"function"},{"doc":"getMaxLevel Positional Arguments self : Evision.SparsePyrLKOpticalFlow.t() Return retval : int Python prototype (for reference only): getMaxLevel() -&gt; retval","ref":"Evision.SparsePyrLKOpticalFlow.html#getMaxLevel/1","title":"Evision.SparsePyrLKOpticalFlow.getMaxLevel/1","type":"function"},{"doc":"getMinEigThreshold Positional Arguments self : Evision.SparsePyrLKOpticalFlow.t() Return retval : double Python prototype (for reference only): getMinEigThreshold() -&gt; retval","ref":"Evision.SparsePyrLKOpticalFlow.html#getMinEigThreshold/1","title":"Evision.SparsePyrLKOpticalFlow.getMinEigThreshold/1","type":"function"},{"doc":"getTermCriteria Positional Arguments self : Evision.SparsePyrLKOpticalFlow.t() Return retval : TermCriteria Python prototype (for reference only): getTermCriteria() -&gt; retval","ref":"Evision.SparsePyrLKOpticalFlow.html#getTermCriteria/1","title":"Evision.SparsePyrLKOpticalFlow.getTermCriteria/1","type":"function"},{"doc":"getWinSize Positional Arguments self : Evision.SparsePyrLKOpticalFlow.t() Return retval : Size Python prototype (for reference only): getWinSize() -&gt; retval","ref":"Evision.SparsePyrLKOpticalFlow.html#getWinSize/1","title":"Evision.SparsePyrLKOpticalFlow.getWinSize/1","type":"function"},{"doc":"setFlags Positional Arguments self : Evision.SparsePyrLKOpticalFlow.t() flags : int Python prototype (for reference only): setFlags(flags) -&gt; None","ref":"Evision.SparsePyrLKOpticalFlow.html#setFlags/2","title":"Evision.SparsePyrLKOpticalFlow.setFlags/2","type":"function"},{"doc":"setMaxLevel Positional Arguments self : Evision.SparsePyrLKOpticalFlow.t() maxLevel : int Python prototype (for reference only): setMaxLevel(maxLevel) -&gt; None","ref":"Evision.SparsePyrLKOpticalFlow.html#setMaxLevel/2","title":"Evision.SparsePyrLKOpticalFlow.setMaxLevel/2","type":"function"},{"doc":"setMinEigThreshold Positional Arguments self : Evision.SparsePyrLKOpticalFlow.t() minEigThreshold : double Python prototype (for reference only): setMinEigThreshold(minEigThreshold) -&gt; None","ref":"Evision.SparsePyrLKOpticalFlow.html#setMinEigThreshold/2","title":"Evision.SparsePyrLKOpticalFlow.setMinEigThreshold/2","type":"function"},{"doc":"setTermCriteria Positional Arguments self : Evision.SparsePyrLKOpticalFlow.t() crit : TermCriteria Python prototype (for reference only): setTermCriteria(crit) -&gt; None","ref":"Evision.SparsePyrLKOpticalFlow.html#setTermCriteria/2","title":"Evision.SparsePyrLKOpticalFlow.setTermCriteria/2","type":"function"},{"doc":"setWinSize Positional Arguments self : Evision.SparsePyrLKOpticalFlow.t() winSize : Size Python prototype (for reference only): setWinSize(winSize) -&gt; None","ref":"Evision.SparsePyrLKOpticalFlow.html#setWinSize/2","title":"Evision.SparsePyrLKOpticalFlow.setWinSize/2","type":"function"},{"doc":"Type that represents an SparsePyrLKOpticalFlow struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.SparsePyrLKOpticalFlow.html#t:t/0","title":"Evision.SparsePyrLKOpticalFlow.t/0","type":"type"},{"doc":"","ref":"Evision.Stereo.html","title":"Evision.Stereo","type":"module"},{"doc":"Type that represents an Stereo struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Stereo.html#t:t/0","title":"Evision.Stereo.t/0","type":"type"},{"doc":"","ref":"Evision.Stereo.MatchQuasiDense.html","title":"Evision.Stereo.MatchQuasiDense","type":"module"},{"doc":"apply Positional Arguments self : Evision.Stereo.MatchQuasiDense.t() rhs : MatchQuasiDense Return retval : bool Python prototype (for reference only): apply(rhs) -&gt; retval","ref":"Evision.Stereo.MatchQuasiDense.html#apply/2","title":"Evision.Stereo.MatchQuasiDense.apply/2","type":"function"},{"doc":"","ref":"Evision.Stereo.MatchQuasiDense.html#get_corr/1","title":"Evision.Stereo.MatchQuasiDense.get_corr/1","type":"function"},{"doc":"","ref":"Evision.Stereo.MatchQuasiDense.html#get_p0/1","title":"Evision.Stereo.MatchQuasiDense.get_p0/1","type":"function"},{"doc":"","ref":"Evision.Stereo.MatchQuasiDense.html#get_p1/1","title":"Evision.Stereo.MatchQuasiDense.get_p1/1","type":"function"},{"doc":"MatchQuasiDense Return self : MatchQuasiDense Python prototype (for reference only): MatchQuasiDense() -&gt; &lt;stereo_MatchQuasiDense object&gt;","ref":"Evision.Stereo.MatchQuasiDense.html#matchQuasiDense/0","title":"Evision.Stereo.MatchQuasiDense.matchQuasiDense/0","type":"function"},{"doc":"","ref":"Evision.Stereo.MatchQuasiDense.html#set_corr/2","title":"Evision.Stereo.MatchQuasiDense.set_corr/2","type":"function"},{"doc":"","ref":"Evision.Stereo.MatchQuasiDense.html#set_p0/2","title":"Evision.Stereo.MatchQuasiDense.set_p0/2","type":"function"},{"doc":"","ref":"Evision.Stereo.MatchQuasiDense.html#set_p1/2","title":"Evision.Stereo.MatchQuasiDense.set_p1/2","type":"function"},{"doc":"Type that represents an Stereo.MatchQuasiDense struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Stereo.MatchQuasiDense.html#t:t/0","title":"Evision.Stereo.MatchQuasiDense.t/0","type":"type"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html","title":"Evision.Stereo.PropagationParameters","type":"module"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_borderX/1","title":"Evision.Stereo.PropagationParameters.get_borderX/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_borderY/1","title":"Evision.Stereo.PropagationParameters.get_borderY/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_correlationThreshold/1","title":"Evision.Stereo.PropagationParameters.get_correlationThreshold/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_corrWinSizeX/1","title":"Evision.Stereo.PropagationParameters.get_corrWinSizeX/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_corrWinSizeY/1","title":"Evision.Stereo.PropagationParameters.get_corrWinSizeY/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_disparityGradient/1","title":"Evision.Stereo.PropagationParameters.get_disparityGradient/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_gftMaxNumFeatures/1","title":"Evision.Stereo.PropagationParameters.get_gftMaxNumFeatures/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_gftMinSeperationDist/1","title":"Evision.Stereo.PropagationParameters.get_gftMinSeperationDist/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_gftQualityThres/1","title":"Evision.Stereo.PropagationParameters.get_gftQualityThres/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_lkPyrLvl/1","title":"Evision.Stereo.PropagationParameters.get_lkPyrLvl/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_lkTemplateSize/1","title":"Evision.Stereo.PropagationParameters.get_lkTemplateSize/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_lkTermParam1/1","title":"Evision.Stereo.PropagationParameters.get_lkTermParam1/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_lkTermParam2/1","title":"Evision.Stereo.PropagationParameters.get_lkTermParam2/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_neighborhoodSize/1","title":"Evision.Stereo.PropagationParameters.get_neighborhoodSize/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#get_textrureThreshold/1","title":"Evision.Stereo.PropagationParameters.get_textrureThreshold/1","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_borderX/2","title":"Evision.Stereo.PropagationParameters.set_borderX/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_borderY/2","title":"Evision.Stereo.PropagationParameters.set_borderY/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_correlationThreshold/2","title":"Evision.Stereo.PropagationParameters.set_correlationThreshold/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_corrWinSizeX/2","title":"Evision.Stereo.PropagationParameters.set_corrWinSizeX/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_corrWinSizeY/2","title":"Evision.Stereo.PropagationParameters.set_corrWinSizeY/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_disparityGradient/2","title":"Evision.Stereo.PropagationParameters.set_disparityGradient/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_gftMaxNumFeatures/2","title":"Evision.Stereo.PropagationParameters.set_gftMaxNumFeatures/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_gftMinSeperationDist/2","title":"Evision.Stereo.PropagationParameters.set_gftMinSeperationDist/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_gftQualityThres/2","title":"Evision.Stereo.PropagationParameters.set_gftQualityThres/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_lkPyrLvl/2","title":"Evision.Stereo.PropagationParameters.set_lkPyrLvl/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_lkTemplateSize/2","title":"Evision.Stereo.PropagationParameters.set_lkTemplateSize/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_lkTermParam1/2","title":"Evision.Stereo.PropagationParameters.set_lkTermParam1/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_lkTermParam2/2","title":"Evision.Stereo.PropagationParameters.set_lkTermParam2/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_neighborhoodSize/2","title":"Evision.Stereo.PropagationParameters.set_neighborhoodSize/2","type":"function"},{"doc":"","ref":"Evision.Stereo.PropagationParameters.html#set_textrureThreshold/2","title":"Evision.Stereo.PropagationParameters.set_textrureThreshold/2","type":"function"},{"doc":"Type that represents an Stereo.PropagationParameters struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Stereo.PropagationParameters.html#t:t/0","title":"Evision.Stereo.PropagationParameters.t/0","type":"type"},{"doc":"","ref":"Evision.Stereo.QuasiDenseStereo.html","title":"Evision.Stereo.QuasiDenseStereo","type":"module"},{"doc":"create Positional Arguments monoImgSize : Size Keyword Arguments paramFilepath : String . Return retval : cv::Ptr&lt;QuasiDenseStereo&gt; Python prototype (for reference only): create(monoImgSize[, paramFilepath]) -&gt; retval","ref":"Evision.Stereo.QuasiDenseStereo.html#create/1","title":"Evision.Stereo.QuasiDenseStereo.create/1","type":"function"},{"doc":"create Positional Arguments monoImgSize : Size Keyword Arguments paramFilepath : String . Return retval : cv::Ptr&lt;QuasiDenseStereo&gt; Python prototype (for reference only): create(monoImgSize[, paramFilepath]) -&gt; retval","ref":"Evision.Stereo.QuasiDenseStereo.html#create/2","title":"Evision.Stereo.QuasiDenseStereo.create/2","type":"function"},{"doc":"","ref":"Evision.Stereo.QuasiDenseStereo.html#get_Param/1","title":"Evision.Stereo.QuasiDenseStereo.get_Param/1","type":"function"},{"doc":"Get The dense corresponding points. Positional Arguments self : Evision.Stereo.QuasiDenseStereo.t() Return denseMatches : [MatchQuasiDense] . A vector containing all dense matches. Note : The method clears the denseMatches vector. Note : The returned Match elements inside the sMatches vector, do not use corr member. Python prototype (for reference only): getDenseMatches() -&gt; denseMatches","ref":"Evision.Stereo.QuasiDenseStereo.html#getDenseMatches/1","title":"Evision.Stereo.QuasiDenseStereo.getDenseMatches/1","type":"function"},{"doc":"Compute and return the disparity map based on the correspondences found in the &quot;process&quot; method. Positional Arguments self : Evision.Stereo.QuasiDenseStereo.t() Return retval : Evision.Mat.t() Note : Default level is 50 @return cv::Mat containing a the disparity image in grayscale. @sa computeDisparity @sa quantizeDisparity Python prototype (for reference only): getDisparity() -&gt; retval","ref":"Evision.Stereo.QuasiDenseStereo.html#getDisparity/1","title":"Evision.Stereo.QuasiDenseStereo.getDisparity/1","type":"function"},{"doc":"Specify pixel coordinates in the left image and get its corresponding location in the right image. Positional Arguments self : Evision.Stereo.QuasiDenseStereo.t() x : int . The x pixel coordinate in the left image channel. y : int . The y pixel coordinate in the left image channel. Return retval : cv::Point2f @retval cv::Point(x, y) The location of the corresponding pixel in the right image. @retval cv::Point(0, 0) (NO_MATCH) if no match is found in the right image for the specified pixel location in the left image. Note : This method should be always called after process, otherwise the matches will not be correct. Python prototype (for reference only): getMatch(x, y) -&gt; retval","ref":"Evision.Stereo.QuasiDenseStereo.html#getMatch/3","title":"Evision.Stereo.QuasiDenseStereo.getMatch/3","type":"function"},{"doc":"Get The sparse corresponding points. Positional Arguments self : Evision.Stereo.QuasiDenseStereo.t() Return sMatches : [MatchQuasiDense] . A vector containing all sparse correspondences. Note : The method clears the sMatches vector. Note : The returned Match elements inside the sMatches vector, do not use corr member. Python prototype (for reference only): getSparseMatches() -&gt; sMatches","ref":"Evision.Stereo.QuasiDenseStereo.html#getSparseMatches/1","title":"Evision.Stereo.QuasiDenseStereo.getSparseMatches/1","type":"function"},{"doc":"Load a file containing the configuration parameters of the class. Positional Arguments self : Evision.Stereo.QuasiDenseStereo.t() filepath : String . The location of the .YAML file containing the configuration parameters. Return retval : int Note : default value is an empty string in which case the default parameters will be loaded. @retval 1: If the path is not empty and the program loaded the parameters successfully. @retval 0: If the path is empty and the program loaded default parameters. @retval -1: If the file location is not valid or the program could not open the file and loaded default parameters from defaults.hpp. Note : The method is automatically called in the constructor and configures the class. Note : Loading different parameters will have an effect on the output. This is useful for tuning in case of video processing. @sa loadParameters Python prototype (for reference only): loadParameters(filepath) -&gt; retval","ref":"Evision.Stereo.QuasiDenseStereo.html#loadParameters/2","title":"Evision.Stereo.QuasiDenseStereo.loadParameters/2","type":"function"},{"doc":"Main process of the algorithm. This method computes the sparse seeds and then densifies them. Positional Arguments self : Evision.Stereo.QuasiDenseStereo.t() imgLeft : Evision.Mat.t() . The left Channel of a stereo image pair. imgRight : Evision.Mat.t() . The right Channel of a stereo image pair. Initially input images are converted to gray-scale and then the sparseMatching method is called to obtain the sparse stereo. Finally quasiDenseMatching is called to densify the corresponding points. Note : If input images are in color, the method assumes that are BGR and converts them to grayscale. @sa sparseMatching @sa quasiDenseMatching Python prototype (for reference only): process(imgLeft, imgRight) -&gt; None","ref":"Evision.Stereo.QuasiDenseStereo.html#process/3","title":"Evision.Stereo.QuasiDenseStereo.process/3","type":"function"},{"doc":"Save a file containing all the configuration parameters the class is currently set to. Positional Arguments self : Evision.Stereo.QuasiDenseStereo.t() filepath : String . The location to store the parameters file. Return retval : int Note : Calling this method with no arguments will result in storing class parameters to a file names &quot;qds_parameters.yaml&quot; in the root project folder. Note : This method can be used to generate a template file for tuning the class. @sa loadParameters Python prototype (for reference only): saveParameters(filepath) -&gt; retval","ref":"Evision.Stereo.QuasiDenseStereo.html#saveParameters/2","title":"Evision.Stereo.QuasiDenseStereo.saveParameters/2","type":"function"},{"doc":"","ref":"Evision.Stereo.QuasiDenseStereo.html#set_Param/2","title":"Evision.Stereo.QuasiDenseStereo.set_Param/2","type":"function"},{"doc":"Type that represents an Stereo.QuasiDenseStereo struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Stereo.QuasiDenseStereo.html#t:t/0","title":"Evision.Stereo.QuasiDenseStereo.t/0","type":"type"},{"doc":"","ref":"Evision.StereoBM.html","title":"Evision.StereoBM","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.StereoBM.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.StereoBM.html#clear/1","title":"Evision.StereoBM.clear/1","type":"function"},{"doc":"Computes disparity map for the specified stereo pair Positional Arguments self : Evision.StereoBM.t() left : Evision.Mat.t() . Left 8-bit single-channel image. right : Evision.Mat.t() . Right image of the same size and the same type as the left one. Return disparity : Evision.Mat.t() . Output disparity map. It has the same size as the input images. Some algorithms, like StereoBM or StereoSGBM compute 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits), whereas other algorithms output 32-bit floating-point disparity map. Python prototype (for reference only): compute(left, right[, disparity]) -&gt; disparity","ref":"Evision.StereoBM.html#compute/3","title":"Evision.StereoBM.compute/3","type":"function"},{"doc":"Computes disparity map for the specified stereo pair Positional Arguments self : Evision.StereoBM.t() left : Evision.Mat.t() . Left 8-bit single-channel image. right : Evision.Mat.t() . Right image of the same size and the same type as the left one. Return disparity : Evision.Mat.t() . Output disparity map. It has the same size as the input images. Some algorithms, like StereoBM or StereoSGBM compute 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits), whereas other algorithms output 32-bit floating-point disparity map. Python prototype (for reference only): compute(left, right[, disparity]) -&gt; disparity","ref":"Evision.StereoBM.html#compute/4","title":"Evision.StereoBM.compute/4","type":"function"},{"doc":"Creates StereoBM object Keyword Arguments numDisparities : int . the disparity search range. For each pixel algorithm will find the best disparity from 0 (default minimum disparity) to numDisparities. The search range can then be shifted by changing the minimum disparity. blockSize : int . the linear size of the blocks compared by the algorithm. The size should be odd (as the block is centered at the current pixel). Larger block size implies smoother, though less accurate disparity map. Smaller block size gives more detailed disparity map, but there is higher chance for algorithm to find a wrong correspondence. Return retval : Evision.StereoBM.t() The function create StereoBM object. You can then call StereoBM::compute() to compute disparity for a specific stereo pair. Python prototype (for reference only): create([, numDisparities[, blockSize]]) -&gt; retval","ref":"Evision.StereoBM.html#create/0","title":"Evision.StereoBM.create/0","type":"function"},{"doc":"Creates StereoBM object Keyword Arguments numDisparities : int . the disparity search range. For each pixel algorithm will find the best disparity from 0 (default minimum disparity) to numDisparities. The search range can then be shifted by changing the minimum disparity. blockSize : int . the linear size of the blocks compared by the algorithm. The size should be odd (as the block is centered at the current pixel). Larger block size implies smoother, though less accurate disparity map. Smaller block size gives more detailed disparity map, but there is higher chance for algorithm to find a wrong correspondence. Return retval : Evision.StereoBM.t() The function create StereoBM object. You can then call StereoBM::compute() to compute disparity for a specific stereo pair. Python prototype (for reference only): create([, numDisparities[, blockSize]]) -&gt; retval","ref":"Evision.StereoBM.html#create/1","title":"Evision.StereoBM.create/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.StereoBM.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.StereoBM.html#empty/1","title":"Evision.StereoBM.empty/1","type":"function"},{"doc":"getBlockSize Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getBlockSize() -&gt; retval","ref":"Evision.StereoBM.html#getBlockSize/1","title":"Evision.StereoBM.getBlockSize/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.StereoBM.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.StereoBM.html#getDefaultName/1","title":"Evision.StereoBM.getDefaultName/1","type":"function"},{"doc":"getDisp12MaxDiff Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getDisp12MaxDiff() -&gt; retval","ref":"Evision.StereoBM.html#getDisp12MaxDiff/1","title":"Evision.StereoBM.getDisp12MaxDiff/1","type":"function"},{"doc":"getMinDisparity Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getMinDisparity() -&gt; retval","ref":"Evision.StereoBM.html#getMinDisparity/1","title":"Evision.StereoBM.getMinDisparity/1","type":"function"},{"doc":"getNumDisparities Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getNumDisparities() -&gt; retval","ref":"Evision.StereoBM.html#getNumDisparities/1","title":"Evision.StereoBM.getNumDisparities/1","type":"function"},{"doc":"getPreFilterCap Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getPreFilterCap() -&gt; retval","ref":"Evision.StereoBM.html#getPreFilterCap/1","title":"Evision.StereoBM.getPreFilterCap/1","type":"function"},{"doc":"getPreFilterSize Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getPreFilterSize() -&gt; retval","ref":"Evision.StereoBM.html#getPreFilterSize/1","title":"Evision.StereoBM.getPreFilterSize/1","type":"function"},{"doc":"getPreFilterType Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getPreFilterType() -&gt; retval","ref":"Evision.StereoBM.html#getPreFilterType/1","title":"Evision.StereoBM.getPreFilterType/1","type":"function"},{"doc":"getROI1 Positional Arguments self : Evision.StereoBM.t() Return retval : Rect Python prototype (for reference only): getROI1() -&gt; retval","ref":"Evision.StereoBM.html#getROI1/1","title":"Evision.StereoBM.getROI1/1","type":"function"},{"doc":"getROI2 Positional Arguments self : Evision.StereoBM.t() Return retval : Rect Python prototype (for reference only): getROI2() -&gt; retval","ref":"Evision.StereoBM.html#getROI2/1","title":"Evision.StereoBM.getROI2/1","type":"function"},{"doc":"getSmallerBlockSize Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getSmallerBlockSize() -&gt; retval","ref":"Evision.StereoBM.html#getSmallerBlockSize/1","title":"Evision.StereoBM.getSmallerBlockSize/1","type":"function"},{"doc":"getSpeckleRange Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getSpeckleRange() -&gt; retval","ref":"Evision.StereoBM.html#getSpeckleRange/1","title":"Evision.StereoBM.getSpeckleRange/1","type":"function"},{"doc":"getSpeckleWindowSize Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getSpeckleWindowSize() -&gt; retval","ref":"Evision.StereoBM.html#getSpeckleWindowSize/1","title":"Evision.StereoBM.getSpeckleWindowSize/1","type":"function"},{"doc":"getTextureThreshold Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getTextureThreshold() -&gt; retval","ref":"Evision.StereoBM.html#getTextureThreshold/1","title":"Evision.StereoBM.getTextureThreshold/1","type":"function"},{"doc":"getUniquenessRatio Positional Arguments self : Evision.StereoBM.t() Return retval : int Python prototype (for reference only): getUniquenessRatio() -&gt; retval","ref":"Evision.StereoBM.html#getUniquenessRatio/1","title":"Evision.StereoBM.getUniquenessRatio/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.StereoBM.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.StereoBM.html#read/2","title":"Evision.StereoBM.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.StereoBM.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.StereoBM.html#save/2","title":"Evision.StereoBM.save/2","type":"function"},{"doc":"setBlockSize Positional Arguments self : Evision.StereoBM.t() blockSize : int Python prototype (for reference only): setBlockSize(blockSize) -&gt; None","ref":"Evision.StereoBM.html#setBlockSize/2","title":"Evision.StereoBM.setBlockSize/2","type":"function"},{"doc":"setDisp12MaxDiff Positional Arguments self : Evision.StereoBM.t() disp12MaxDiff : int Python prototype (for reference only): setDisp12MaxDiff(disp12MaxDiff) -&gt; None","ref":"Evision.StereoBM.html#setDisp12MaxDiff/2","title":"Evision.StereoBM.setDisp12MaxDiff/2","type":"function"},{"doc":"setMinDisparity Positional Arguments self : Evision.StereoBM.t() minDisparity : int Python prototype (for reference only): setMinDisparity(minDisparity) -&gt; None","ref":"Evision.StereoBM.html#setMinDisparity/2","title":"Evision.StereoBM.setMinDisparity/2","type":"function"},{"doc":"setNumDisparities Positional Arguments self : Evision.StereoBM.t() numDisparities : int Python prototype (for reference only): setNumDisparities(numDisparities) -&gt; None","ref":"Evision.StereoBM.html#setNumDisparities/2","title":"Evision.StereoBM.setNumDisparities/2","type":"function"},{"doc":"setPreFilterCap Positional Arguments self : Evision.StereoBM.t() preFilterCap : int Python prototype (for reference only): setPreFilterCap(preFilterCap) -&gt; None","ref":"Evision.StereoBM.html#setPreFilterCap/2","title":"Evision.StereoBM.setPreFilterCap/2","type":"function"},{"doc":"setPreFilterSize Positional Arguments self : Evision.StereoBM.t() preFilterSize : int Python prototype (for reference only): setPreFilterSize(preFilterSize) -&gt; None","ref":"Evision.StereoBM.html#setPreFilterSize/2","title":"Evision.StereoBM.setPreFilterSize/2","type":"function"},{"doc":"setPreFilterType Positional Arguments self : Evision.StereoBM.t() preFilterType : int Python prototype (for reference only): setPreFilterType(preFilterType) -&gt; None","ref":"Evision.StereoBM.html#setPreFilterType/2","title":"Evision.StereoBM.setPreFilterType/2","type":"function"},{"doc":"setROI1 Positional Arguments self : Evision.StereoBM.t() roi1 : Rect Python prototype (for reference only): setROI1(roi1) -&gt; None","ref":"Evision.StereoBM.html#setROI1/2","title":"Evision.StereoBM.setROI1/2","type":"function"},{"doc":"setROI2 Positional Arguments self : Evision.StereoBM.t() roi2 : Rect Python prototype (for reference only): setROI2(roi2) -&gt; None","ref":"Evision.StereoBM.html#setROI2/2","title":"Evision.StereoBM.setROI2/2","type":"function"},{"doc":"setSmallerBlockSize Positional Arguments self : Evision.StereoBM.t() blockSize : int Python prototype (for reference only): setSmallerBlockSize(blockSize) -&gt; None","ref":"Evision.StereoBM.html#setSmallerBlockSize/2","title":"Evision.StereoBM.setSmallerBlockSize/2","type":"function"},{"doc":"setSpeckleRange Positional Arguments self : Evision.StereoBM.t() speckleRange : int Python prototype (for reference only): setSpeckleRange(speckleRange) -&gt; None","ref":"Evision.StereoBM.html#setSpeckleRange/2","title":"Evision.StereoBM.setSpeckleRange/2","type":"function"},{"doc":"setSpeckleWindowSize Positional Arguments self : Evision.StereoBM.t() speckleWindowSize : int Python prototype (for reference only): setSpeckleWindowSize(speckleWindowSize) -&gt; None","ref":"Evision.StereoBM.html#setSpeckleWindowSize/2","title":"Evision.StereoBM.setSpeckleWindowSize/2","type":"function"},{"doc":"setTextureThreshold Positional Arguments self : Evision.StereoBM.t() textureThreshold : int Python prototype (for reference only): setTextureThreshold(textureThreshold) -&gt; None","ref":"Evision.StereoBM.html#setTextureThreshold/2","title":"Evision.StereoBM.setTextureThreshold/2","type":"function"},{"doc":"setUniquenessRatio Positional Arguments self : Evision.StereoBM.t() uniquenessRatio : int Python prototype (for reference only): setUniquenessRatio(uniquenessRatio) -&gt; None","ref":"Evision.StereoBM.html#setUniquenessRatio/2","title":"Evision.StereoBM.setUniquenessRatio/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.StereoBM.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.StereoBM.html#write/2","title":"Evision.StereoBM.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.StereoBM.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.StereoBM.html#write/3","title":"Evision.StereoBM.write/3","type":"function"},{"doc":"Type that represents an StereoBM struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.StereoBM.html#t:t/0","title":"Evision.StereoBM.t/0","type":"type"},{"doc":"","ref":"Evision.StereoMatcher.html","title":"Evision.StereoMatcher","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.StereoMatcher.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.StereoMatcher.html#clear/1","title":"Evision.StereoMatcher.clear/1","type":"function"},{"doc":"Computes disparity map for the specified stereo pair Positional Arguments self : Evision.StereoMatcher.t() left : Evision.Mat.t() . Left 8-bit single-channel image. right : Evision.Mat.t() . Right image of the same size and the same type as the left one. Return disparity : Evision.Mat.t() . Output disparity map. It has the same size as the input images. Some algorithms, like StereoBM or StereoSGBM compute 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits), whereas other algorithms output 32-bit floating-point disparity map. Python prototype (for reference only): compute(left, right[, disparity]) -&gt; disparity","ref":"Evision.StereoMatcher.html#compute/3","title":"Evision.StereoMatcher.compute/3","type":"function"},{"doc":"Computes disparity map for the specified stereo pair Positional Arguments self : Evision.StereoMatcher.t() left : Evision.Mat.t() . Left 8-bit single-channel image. right : Evision.Mat.t() . Right image of the same size and the same type as the left one. Return disparity : Evision.Mat.t() . Output disparity map. It has the same size as the input images. Some algorithms, like StereoBM or StereoSGBM compute 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits), whereas other algorithms output 32-bit floating-point disparity map. Python prototype (for reference only): compute(left, right[, disparity]) -&gt; disparity","ref":"Evision.StereoMatcher.html#compute/4","title":"Evision.StereoMatcher.compute/4","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.StereoMatcher.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.StereoMatcher.html#empty/1","title":"Evision.StereoMatcher.empty/1","type":"function"},{"doc":"getBlockSize Positional Arguments self : Evision.StereoMatcher.t() Return retval : int Python prototype (for reference only): getBlockSize() -&gt; retval","ref":"Evision.StereoMatcher.html#getBlockSize/1","title":"Evision.StereoMatcher.getBlockSize/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.StereoMatcher.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.StereoMatcher.html#getDefaultName/1","title":"Evision.StereoMatcher.getDefaultName/1","type":"function"},{"doc":"getDisp12MaxDiff Positional Arguments self : Evision.StereoMatcher.t() Return retval : int Python prototype (for reference only): getDisp12MaxDiff() -&gt; retval","ref":"Evision.StereoMatcher.html#getDisp12MaxDiff/1","title":"Evision.StereoMatcher.getDisp12MaxDiff/1","type":"function"},{"doc":"getMinDisparity Positional Arguments self : Evision.StereoMatcher.t() Return retval : int Python prototype (for reference only): getMinDisparity() -&gt; retval","ref":"Evision.StereoMatcher.html#getMinDisparity/1","title":"Evision.StereoMatcher.getMinDisparity/1","type":"function"},{"doc":"getNumDisparities Positional Arguments self : Evision.StereoMatcher.t() Return retval : int Python prototype (for reference only): getNumDisparities() -&gt; retval","ref":"Evision.StereoMatcher.html#getNumDisparities/1","title":"Evision.StereoMatcher.getNumDisparities/1","type":"function"},{"doc":"getSpeckleRange Positional Arguments self : Evision.StereoMatcher.t() Return retval : int Python prototype (for reference only): getSpeckleRange() -&gt; retval","ref":"Evision.StereoMatcher.html#getSpeckleRange/1","title":"Evision.StereoMatcher.getSpeckleRange/1","type":"function"},{"doc":"getSpeckleWindowSize Positional Arguments self : Evision.StereoMatcher.t() Return retval : int Python prototype (for reference only): getSpeckleWindowSize() -&gt; retval","ref":"Evision.StereoMatcher.html#getSpeckleWindowSize/1","title":"Evision.StereoMatcher.getSpeckleWindowSize/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.StereoMatcher.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.StereoMatcher.html#read/2","title":"Evision.StereoMatcher.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.StereoMatcher.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.StereoMatcher.html#save/2","title":"Evision.StereoMatcher.save/2","type":"function"},{"doc":"setBlockSize Positional Arguments self : Evision.StereoMatcher.t() blockSize : int Python prototype (for reference only): setBlockSize(blockSize) -&gt; None","ref":"Evision.StereoMatcher.html#setBlockSize/2","title":"Evision.StereoMatcher.setBlockSize/2","type":"function"},{"doc":"setDisp12MaxDiff Positional Arguments self : Evision.StereoMatcher.t() disp12MaxDiff : int Python prototype (for reference only): setDisp12MaxDiff(disp12MaxDiff) -&gt; None","ref":"Evision.StereoMatcher.html#setDisp12MaxDiff/2","title":"Evision.StereoMatcher.setDisp12MaxDiff/2","type":"function"},{"doc":"setMinDisparity Positional Arguments self : Evision.StereoMatcher.t() minDisparity : int Python prototype (for reference only): setMinDisparity(minDisparity) -&gt; None","ref":"Evision.StereoMatcher.html#setMinDisparity/2","title":"Evision.StereoMatcher.setMinDisparity/2","type":"function"},{"doc":"setNumDisparities Positional Arguments self : Evision.StereoMatcher.t() numDisparities : int Python prototype (for reference only): setNumDisparities(numDisparities) -&gt; None","ref":"Evision.StereoMatcher.html#setNumDisparities/2","title":"Evision.StereoMatcher.setNumDisparities/2","type":"function"},{"doc":"setSpeckleRange Positional Arguments self : Evision.StereoMatcher.t() speckleRange : int Python prototype (for reference only): setSpeckleRange(speckleRange) -&gt; None","ref":"Evision.StereoMatcher.html#setSpeckleRange/2","title":"Evision.StereoMatcher.setSpeckleRange/2","type":"function"},{"doc":"setSpeckleWindowSize Positional Arguments self : Evision.StereoMatcher.t() speckleWindowSize : int Python prototype (for reference only): setSpeckleWindowSize(speckleWindowSize) -&gt; None","ref":"Evision.StereoMatcher.html#setSpeckleWindowSize/2","title":"Evision.StereoMatcher.setSpeckleWindowSize/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.StereoMatcher.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.StereoMatcher.html#write/2","title":"Evision.StereoMatcher.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.StereoMatcher.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.StereoMatcher.html#write/3","title":"Evision.StereoMatcher.write/3","type":"function"},{"doc":"Type that represents an StereoMatcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.StereoMatcher.html#t:t/0","title":"Evision.StereoMatcher.t/0","type":"type"},{"doc":"","ref":"Evision.StereoSGBM.html","title":"Evision.StereoSGBM","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.StereoSGBM.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.StereoSGBM.html#clear/1","title":"Evision.StereoSGBM.clear/1","type":"function"},{"doc":"Computes disparity map for the specified stereo pair Positional Arguments self : Evision.StereoSGBM.t() left : Evision.Mat.t() . Left 8-bit single-channel image. right : Evision.Mat.t() . Right image of the same size and the same type as the left one. Return disparity : Evision.Mat.t() . Output disparity map. It has the same size as the input images. Some algorithms, like StereoBM or StereoSGBM compute 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits), whereas other algorithms output 32-bit floating-point disparity map. Python prototype (for reference only): compute(left, right[, disparity]) -&gt; disparity","ref":"Evision.StereoSGBM.html#compute/3","title":"Evision.StereoSGBM.compute/3","type":"function"},{"doc":"Computes disparity map for the specified stereo pair Positional Arguments self : Evision.StereoSGBM.t() left : Evision.Mat.t() . Left 8-bit single-channel image. right : Evision.Mat.t() . Right image of the same size and the same type as the left one. Return disparity : Evision.Mat.t() . Output disparity map. It has the same size as the input images. Some algorithms, like StereoBM or StereoSGBM compute 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits), whereas other algorithms output 32-bit floating-point disparity map. Python prototype (for reference only): compute(left, right[, disparity]) -&gt; disparity","ref":"Evision.StereoSGBM.html#compute/4","title":"Evision.StereoSGBM.compute/4","type":"function"},{"doc":"Creates StereoSGBM object Keyword Arguments minDisparity : int . Minimum possible disparity value. Normally, it is zero but sometimes rectification algorithms can shift images, so this parameter needs to be adjusted accordingly. numDisparities : int . Maximum disparity minus minimum disparity. The value is always greater than zero. In the current implementation, this parameter must be divisible by 16. blockSize : int . Matched block size. It must be an odd number &gt;=1 . Normally, it should be somewhere in the 3..11 range. p1 : int . The first parameter controlling the disparity smoothness. See below. p2 : int . The second parameter controlling the disparity smoothness. The larger the values are, the smoother the disparity is. P1 is the penalty on the disparity change by plus or minus 1 between neighbor pixels. P2 is the penalty on the disparity change by more than 1 between neighbor pixels. The algorithm requires P2 &gt; P1 . See stereo_match.cpp sample where some reasonably good P1 and P2 values are shown (like 8*number_of_image_channels*blockSize*blockSize and 32*number_of_image_channels*blockSize*blockSize , respectively). disp12MaxDiff : int . Maximum allowed difference (in integer pixel units) in the left-right disparity check. Set it to a non-positive value to disable the check. preFilterCap : int . Truncation value for the prefiltered image pixels. The algorithm first computes x-derivative at each pixel and clips its value by [-preFilterCap, preFilterCap] interval. The result values are passed to the Birchfield-Tomasi pixel cost function. uniquenessRatio : int . Margin in percentage by which the best (minimum) computed cost function value should &quot;win&quot; the second best value to consider the found match correct. Normally, a value within the 5-15 range is good enough. speckleWindowSize : int . Maximum size of smooth disparity regions to consider their noise speckles and invalidate. Set it to 0 to disable speckle filtering. Otherwise, set it somewhere in the 50-200 range. speckleRange : int . Maximum disparity variation within each connected component. If you do speckle filtering, set the parameter to a positive value, it will be implicitly multiplied by 16. Normally, 1 or 2 is good enough. mode : int . Set it to StereoSGBM::MODE_HH to run the full-scale two-pass dynamic programming algorithm. It will consume O(W*H*numDisparities) bytes, which is large for 640x480 stereo and huge for HD-size pictures. By default, it is set to false . Return retval : Evision.StereoSGBM.t() The first constructor initializes StereoSGBM with all the default parameters. So, you only have to set StereoSGBM::numDisparities at minimum. The second constructor enables you to set each parameter to a custom value. Python prototype (for reference only): create([, minDisparity[, numDisparities[, blockSize[, P1[, P2[, disp12MaxDiff[, preFilterCap[, uniquenessRatio[, speckleWindowSize[, speckleRange[, mode]]]]]]]]]]]) -&gt; retval","ref":"Evision.StereoSGBM.html#create/0","title":"Evision.StereoSGBM.create/0","type":"function"},{"doc":"Creates StereoSGBM object Keyword Arguments minDisparity : int . Minimum possible disparity value. Normally, it is zero but sometimes rectification algorithms can shift images, so this parameter needs to be adjusted accordingly. numDisparities : int . Maximum disparity minus minimum disparity. The value is always greater than zero. In the current implementation, this parameter must be divisible by 16. blockSize : int . Matched block size. It must be an odd number &gt;=1 . Normally, it should be somewhere in the 3..11 range. p1 : int . The first parameter controlling the disparity smoothness. See below. p2 : int . The second parameter controlling the disparity smoothness. The larger the values are, the smoother the disparity is. P1 is the penalty on the disparity change by plus or minus 1 between neighbor pixels. P2 is the penalty on the disparity change by more than 1 between neighbor pixels. The algorithm requires P2 &gt; P1 . See stereo_match.cpp sample where some reasonably good P1 and P2 values are shown (like 8*number_of_image_channels*blockSize*blockSize and 32*number_of_image_channels*blockSize*blockSize , respectively). disp12MaxDiff : int . Maximum allowed difference (in integer pixel units) in the left-right disparity check. Set it to a non-positive value to disable the check. preFilterCap : int . Truncation value for the prefiltered image pixels. The algorithm first computes x-derivative at each pixel and clips its value by [-preFilterCap, preFilterCap] interval. The result values are passed to the Birchfield-Tomasi pixel cost function. uniquenessRatio : int . Margin in percentage by which the best (minimum) computed cost function value should &quot;win&quot; the second best value to consider the found match correct. Normally, a value within the 5-15 range is good enough. speckleWindowSize : int . Maximum size of smooth disparity regions to consider their noise speckles and invalidate. Set it to 0 to disable speckle filtering. Otherwise, set it somewhere in the 50-200 range. speckleRange : int . Maximum disparity variation within each connected component. If you do speckle filtering, set the parameter to a positive value, it will be implicitly multiplied by 16. Normally, 1 or 2 is good enough. mode : int . Set it to StereoSGBM::MODE_HH to run the full-scale two-pass dynamic programming algorithm. It will consume O(W*H*numDisparities) bytes, which is large for 640x480 stereo and huge for HD-size pictures. By default, it is set to false . Return retval : Evision.StereoSGBM.t() The first constructor initializes StereoSGBM with all the default parameters. So, you only have to set StereoSGBM::numDisparities at minimum. The second constructor enables you to set each parameter to a custom value. Python prototype (for reference only): create([, minDisparity[, numDisparities[, blockSize[, P1[, P2[, disp12MaxDiff[, preFilterCap[, uniquenessRatio[, speckleWindowSize[, speckleRange[, mode]]]]]]]]]]]) -&gt; retval","ref":"Evision.StereoSGBM.html#create/1","title":"Evision.StereoSGBM.create/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.StereoSGBM.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.StereoSGBM.html#empty/1","title":"Evision.StereoSGBM.empty/1","type":"function"},{"doc":"getBlockSize Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getBlockSize() -&gt; retval","ref":"Evision.StereoSGBM.html#getBlockSize/1","title":"Evision.StereoSGBM.getBlockSize/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.StereoSGBM.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.StereoSGBM.html#getDefaultName/1","title":"Evision.StereoSGBM.getDefaultName/1","type":"function"},{"doc":"getDisp12MaxDiff Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getDisp12MaxDiff() -&gt; retval","ref":"Evision.StereoSGBM.html#getDisp12MaxDiff/1","title":"Evision.StereoSGBM.getDisp12MaxDiff/1","type":"function"},{"doc":"getMinDisparity Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getMinDisparity() -&gt; retval","ref":"Evision.StereoSGBM.html#getMinDisparity/1","title":"Evision.StereoSGBM.getMinDisparity/1","type":"function"},{"doc":"getMode Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getMode() -&gt; retval","ref":"Evision.StereoSGBM.html#getMode/1","title":"Evision.StereoSGBM.getMode/1","type":"function"},{"doc":"getNumDisparities Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getNumDisparities() -&gt; retval","ref":"Evision.StereoSGBM.html#getNumDisparities/1","title":"Evision.StereoSGBM.getNumDisparities/1","type":"function"},{"doc":"getP1 Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getP1() -&gt; retval","ref":"Evision.StereoSGBM.html#getP1/1","title":"Evision.StereoSGBM.getP1/1","type":"function"},{"doc":"getP2 Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getP2() -&gt; retval","ref":"Evision.StereoSGBM.html#getP2/1","title":"Evision.StereoSGBM.getP2/1","type":"function"},{"doc":"getPreFilterCap Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getPreFilterCap() -&gt; retval","ref":"Evision.StereoSGBM.html#getPreFilterCap/1","title":"Evision.StereoSGBM.getPreFilterCap/1","type":"function"},{"doc":"getSpeckleRange Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getSpeckleRange() -&gt; retval","ref":"Evision.StereoSGBM.html#getSpeckleRange/1","title":"Evision.StereoSGBM.getSpeckleRange/1","type":"function"},{"doc":"getSpeckleWindowSize Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getSpeckleWindowSize() -&gt; retval","ref":"Evision.StereoSGBM.html#getSpeckleWindowSize/1","title":"Evision.StereoSGBM.getSpeckleWindowSize/1","type":"function"},{"doc":"getUniquenessRatio Positional Arguments self : Evision.StereoSGBM.t() Return retval : int Python prototype (for reference only): getUniquenessRatio() -&gt; retval","ref":"Evision.StereoSGBM.html#getUniquenessRatio/1","title":"Evision.StereoSGBM.getUniquenessRatio/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.StereoSGBM.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.StereoSGBM.html#read/2","title":"Evision.StereoSGBM.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.StereoSGBM.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.StereoSGBM.html#save/2","title":"Evision.StereoSGBM.save/2","type":"function"},{"doc":"setBlockSize Positional Arguments self : Evision.StereoSGBM.t() blockSize : int Python prototype (for reference only): setBlockSize(blockSize) -&gt; None","ref":"Evision.StereoSGBM.html#setBlockSize/2","title":"Evision.StereoSGBM.setBlockSize/2","type":"function"},{"doc":"setDisp12MaxDiff Positional Arguments self : Evision.StereoSGBM.t() disp12MaxDiff : int Python prototype (for reference only): setDisp12MaxDiff(disp12MaxDiff) -&gt; None","ref":"Evision.StereoSGBM.html#setDisp12MaxDiff/2","title":"Evision.StereoSGBM.setDisp12MaxDiff/2","type":"function"},{"doc":"setMinDisparity Positional Arguments self : Evision.StereoSGBM.t() minDisparity : int Python prototype (for reference only): setMinDisparity(minDisparity) -&gt; None","ref":"Evision.StereoSGBM.html#setMinDisparity/2","title":"Evision.StereoSGBM.setMinDisparity/2","type":"function"},{"doc":"setMode Positional Arguments self : Evision.StereoSGBM.t() mode : int Python prototype (for reference only): setMode(mode) -&gt; None","ref":"Evision.StereoSGBM.html#setMode/2","title":"Evision.StereoSGBM.setMode/2","type":"function"},{"doc":"setNumDisparities Positional Arguments self : Evision.StereoSGBM.t() numDisparities : int Python prototype (for reference only): setNumDisparities(numDisparities) -&gt; None","ref":"Evision.StereoSGBM.html#setNumDisparities/2","title":"Evision.StereoSGBM.setNumDisparities/2","type":"function"},{"doc":"setP1 Positional Arguments self : Evision.StereoSGBM.t() p1 : int Python prototype (for reference only): setP1(P1) -&gt; None","ref":"Evision.StereoSGBM.html#setP1/2","title":"Evision.StereoSGBM.setP1/2","type":"function"},{"doc":"setP2 Positional Arguments self : Evision.StereoSGBM.t() p2 : int Python prototype (for reference only): setP2(P2) -&gt; None","ref":"Evision.StereoSGBM.html#setP2/2","title":"Evision.StereoSGBM.setP2/2","type":"function"},{"doc":"setPreFilterCap Positional Arguments self : Evision.StereoSGBM.t() preFilterCap : int Python prototype (for reference only): setPreFilterCap(preFilterCap) -&gt; None","ref":"Evision.StereoSGBM.html#setPreFilterCap/2","title":"Evision.StereoSGBM.setPreFilterCap/2","type":"function"},{"doc":"setSpeckleRange Positional Arguments self : Evision.StereoSGBM.t() speckleRange : int Python prototype (for reference only): setSpeckleRange(speckleRange) -&gt; None","ref":"Evision.StereoSGBM.html#setSpeckleRange/2","title":"Evision.StereoSGBM.setSpeckleRange/2","type":"function"},{"doc":"setSpeckleWindowSize Positional Arguments self : Evision.StereoSGBM.t() speckleWindowSize : int Python prototype (for reference only): setSpeckleWindowSize(speckleWindowSize) -&gt; None","ref":"Evision.StereoSGBM.html#setSpeckleWindowSize/2","title":"Evision.StereoSGBM.setSpeckleWindowSize/2","type":"function"},{"doc":"setUniquenessRatio Positional Arguments self : Evision.StereoSGBM.t() uniquenessRatio : int Python prototype (for reference only): setUniquenessRatio(uniquenessRatio) -&gt; None","ref":"Evision.StereoSGBM.html#setUniquenessRatio/2","title":"Evision.StereoSGBM.setUniquenessRatio/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.StereoSGBM.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.StereoSGBM.html#write/2","title":"Evision.StereoSGBM.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.StereoSGBM.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.StereoSGBM.html#write/3","title":"Evision.StereoSGBM.write/3","type":"function"},{"doc":"Type that represents an StereoSGBM struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.StereoSGBM.html#t:t/0","title":"Evision.StereoSGBM.t/0","type":"type"},{"doc":"","ref":"Evision.Stitcher.html","title":"Evision.Stitcher","type":"module"},{"doc":"composePanorama Positional Arguments self : Evision.Stitcher.t() Return retval : Status pano : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): composePanorama([, pano]) -&gt; retval, pano","ref":"Evision.Stitcher.html#composePanorama/1","title":"Evision.Stitcher.composePanorama/1","type":"function"},{"doc":"Variant 1: These functions try to compose the given images (or images stored internally from the other function calls) into the final pano under the assumption that the image transformations were estimated before. Positional Arguments self : Evision.Stitcher.t() images : [Evision.Mat] . Input images. Return retval : Status pano : Evision.Mat.t() . Final pano. Note : Use the functions only if you're aware of the stitching pipeline, otherwise use Stitcher::stitch. @return Status code. Python prototype (for reference only): composePanorama(images[, pano]) -&gt; retval, pano Variant 2: composePanorama Positional Arguments self : Evision.Stitcher.t() Return retval : Status pano : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): composePanorama([, pano]) -&gt; retval, pano","ref":"Evision.Stitcher.html#composePanorama/2","title":"Evision.Stitcher.composePanorama/2","type":"function"},{"doc":"These functions try to compose the given images (or images stored internally from the other function calls) into the final pano under the assumption that the image transformations were estimated before. Positional Arguments self : Evision.Stitcher.t() images : [Evision.Mat] . Input images. Return retval : Status pano : Evision.Mat.t() . Final pano. Note : Use the functions only if you're aware of the stitching pipeline, otherwise use Stitcher::stitch. @return Status code. Python prototype (for reference only): composePanorama(images[, pano]) -&gt; retval, pano","ref":"Evision.Stitcher.html#composePanorama/3","title":"Evision.Stitcher.composePanorama/3","type":"function"},{"doc":"compositingResol Positional Arguments self : Evision.Stitcher.t() Return retval : double Python prototype (for reference only): compositingResol() -&gt; retval","ref":"Evision.Stitcher.html#compositingResol/1","title":"Evision.Stitcher.compositingResol/1","type":"function"},{"doc":"Creates a Stitcher configured in one of the stitching modes. Keyword Arguments mode : Mode . Scenario for stitcher operation. This is usually determined by source of images to stitch and their transformation. Default parameters will be chosen for operation in given scenario. Return retval : Evision.Stitcher.t() @return Stitcher class instance. Python prototype (for reference only): create([, mode]) -&gt; retval","ref":"Evision.Stitcher.html#create/0","title":"Evision.Stitcher.create/0","type":"function"},{"doc":"Creates a Stitcher configured in one of the stitching modes. Keyword Arguments mode : Mode . Scenario for stitcher operation. This is usually determined by source of images to stitch and their transformation. Default parameters will be chosen for operation in given scenario. Return retval : Evision.Stitcher.t() @return Stitcher class instance. Python prototype (for reference only): create([, mode]) -&gt; retval","ref":"Evision.Stitcher.html#create/1","title":"Evision.Stitcher.create/1","type":"function"},{"doc":"These functions try to match the given images and to estimate rotations of each camera. Positional Arguments self : Evision.Stitcher.t() images : [Evision.Mat] . Input images. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). Return retval : Status Note : Use the functions only if you're aware of the stitching pipeline, otherwise use Stitcher::stitch. @return Status code. Python prototype (for reference only): estimateTransform(images[, masks]) -&gt; retval","ref":"Evision.Stitcher.html#estimateTransform/2","title":"Evision.Stitcher.estimateTransform/2","type":"function"},{"doc":"These functions try to match the given images and to estimate rotations of each camera. Positional Arguments self : Evision.Stitcher.t() images : [Evision.Mat] . Input images. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). Return retval : Status Note : Use the functions only if you're aware of the stitching pipeline, otherwise use Stitcher::stitch. @return Status code. Python prototype (for reference only): estimateTransform(images[, masks]) -&gt; retval","ref":"Evision.Stitcher.html#estimateTransform/3","title":"Evision.Stitcher.estimateTransform/3","type":"function"},{"doc":"interpolationFlags Positional Arguments self : Evision.Stitcher.t() Return retval : InterpolationFlags Python prototype (for reference only): interpolationFlags() -&gt; retval","ref":"Evision.Stitcher.html#interpolationFlags/1","title":"Evision.Stitcher.interpolationFlags/1","type":"function"},{"doc":"panoConfidenceThresh Positional Arguments self : Evision.Stitcher.t() Return retval : double Python prototype (for reference only): panoConfidenceThresh() -&gt; retval","ref":"Evision.Stitcher.html#panoConfidenceThresh/1","title":"Evision.Stitcher.panoConfidenceThresh/1","type":"function"},{"doc":"registrationResol Positional Arguments self : Evision.Stitcher.t() Return retval : double Python prototype (for reference only): registrationResol() -&gt; retval","ref":"Evision.Stitcher.html#registrationResol/1","title":"Evision.Stitcher.registrationResol/1","type":"function"},{"doc":"seamEstimationResol Positional Arguments self : Evision.Stitcher.t() Return retval : double Python prototype (for reference only): seamEstimationResol() -&gt; retval","ref":"Evision.Stitcher.html#seamEstimationResol/1","title":"Evision.Stitcher.seamEstimationResol/1","type":"function"},{"doc":"setCompositingResol Positional Arguments self : Evision.Stitcher.t() resol_mpx : double Python prototype (for reference only): setCompositingResol(resol_mpx) -&gt; None","ref":"Evision.Stitcher.html#setCompositingResol/2","title":"Evision.Stitcher.setCompositingResol/2","type":"function"},{"doc":"setInterpolationFlags Positional Arguments self : Evision.Stitcher.t() interp_flags : InterpolationFlags Python prototype (for reference only): setInterpolationFlags(interp_flags) -&gt; None","ref":"Evision.Stitcher.html#setInterpolationFlags/2","title":"Evision.Stitcher.setInterpolationFlags/2","type":"function"},{"doc":"setPanoConfidenceThresh Positional Arguments self : Evision.Stitcher.t() conf_thresh : double Python prototype (for reference only): setPanoConfidenceThresh(conf_thresh) -&gt; None","ref":"Evision.Stitcher.html#setPanoConfidenceThresh/2","title":"Evision.Stitcher.setPanoConfidenceThresh/2","type":"function"},{"doc":"setRegistrationResol Positional Arguments self : Evision.Stitcher.t() resol_mpx : double Python prototype (for reference only): setRegistrationResol(resol_mpx) -&gt; None","ref":"Evision.Stitcher.html#setRegistrationResol/2","title":"Evision.Stitcher.setRegistrationResol/2","type":"function"},{"doc":"setSeamEstimationResol Positional Arguments self : Evision.Stitcher.t() resol_mpx : double Python prototype (for reference only): setSeamEstimationResol(resol_mpx) -&gt; None","ref":"Evision.Stitcher.html#setSeamEstimationResol/2","title":"Evision.Stitcher.setSeamEstimationResol/2","type":"function"},{"doc":"setWaveCorrection Positional Arguments self : Evision.Stitcher.t() flag : bool Python prototype (for reference only): setWaveCorrection(flag) -&gt; None","ref":"Evision.Stitcher.html#setWaveCorrection/2","title":"Evision.Stitcher.setWaveCorrection/2","type":"function"},{"doc":"stitch Positional Arguments self : Evision.Stitcher.t() images : [Evision.Mat] Return retval : Status pano : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): stitch(images[, pano]) -&gt; retval, pano","ref":"Evision.Stitcher.html#stitch/2","title":"Evision.Stitcher.stitch/2","type":"function"},{"doc":"Variant 1: These functions try to stitch the given images. Positional Arguments self : Evision.Stitcher.t() images : [Evision.Mat] . Input images. masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). Return retval : Status pano : Evision.Mat.t() . Final pano. @return Status code. Python prototype (for reference only): stitch(images, masks[, pano]) -&gt; retval, pano Variant 2: stitch Positional Arguments self : Evision.Stitcher.t() images : [Evision.Mat] Return retval : Status pano : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): stitch(images[, pano]) -&gt; retval, pano","ref":"Evision.Stitcher.html#stitch/3","title":"Evision.Stitcher.stitch/3","type":"function"},{"doc":"These functions try to stitch the given images. Positional Arguments self : Evision.Stitcher.t() images : [Evision.Mat] . Input images. masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). Return retval : Status pano : Evision.Mat.t() . Final pano. @return Status code. Python prototype (for reference only): stitch(images, masks[, pano]) -&gt; retval, pano","ref":"Evision.Stitcher.html#stitch/4","title":"Evision.Stitcher.stitch/4","type":"function"},{"doc":"waveCorrection Positional Arguments self : Evision.Stitcher.t() Return retval : bool Python prototype (for reference only): waveCorrection() -&gt; retval","ref":"Evision.Stitcher.html#waveCorrection/1","title":"Evision.Stitcher.waveCorrection/1","type":"function"},{"doc":"workScale Positional Arguments self : Evision.Stitcher.t() Return retval : double Python prototype (for reference only): workScale() -&gt; retval","ref":"Evision.Stitcher.html#workScale/1","title":"Evision.Stitcher.workScale/1","type":"function"},{"doc":"Type that represents an Stitcher struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Stitcher.html#t:t/0","title":"Evision.Stitcher.t/0","type":"type"},{"doc":"","ref":"Evision.StructuredLight.html","title":"Evision.StructuredLight","type":"module"},{"doc":"Type that represents an StructuredLight struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.StructuredLight.html#t:t/0","title":"Evision.StructuredLight.t/0","type":"type"},{"doc":"","ref":"Evision.StructuredLight.GrayCodePattern.html","title":"Evision.StructuredLight.GrayCodePattern","type":"module"},{"doc":"Constructor Positional Arguments width : int height : int Return retval : Evision.StructuredLight.GrayCodePattern.t() Python prototype (for reference only): create(width, height) -&gt; retval","ref":"Evision.StructuredLight.GrayCodePattern.html#create/2","title":"Evision.StructuredLight.GrayCodePattern.create/2","type":"function"},{"doc":"Generates the all-black and all-white images needed for shadowMasks computation. Positional Arguments self : Evision.StructuredLight.GrayCodePattern.t() Return blackImage : Evision.Mat.t() . The generated all-black CV_8U image, at projector's resolution. whiteImage : Evision.Mat.t() . The generated all-white CV_8U image, at projector's resolution. To identify shadow regions, the regions of two images where the pixels are not lit by projector's light and thus where there is not coded information, the 3DUNDERWORLD algorithm computes a shadow mask for the two cameras views, starting from a white and a black images captured by each camera. This method generates these two additional images to project. Python prototype (for reference only): getImagesForShadowMasks(blackImage, whiteImage) -&gt; blackImage, whiteImage","ref":"Evision.StructuredLight.GrayCodePattern.html#getImagesForShadowMasks/3","title":"Evision.StructuredLight.GrayCodePattern.getImagesForShadowMasks/3","type":"function"},{"doc":"Get the number of pattern images needed for the graycode pattern. Positional Arguments self : Evision.StructuredLight.GrayCodePattern.t() Return retval : size_t @return The number of pattern images needed for the graycode pattern. Python prototype (for reference only): getNumberOfPatternImages() -&gt; retval","ref":"Evision.StructuredLight.GrayCodePattern.html#getNumberOfPatternImages/1","title":"Evision.StructuredLight.GrayCodePattern.getNumberOfPatternImages/1","type":"function"},{"doc":"For a (x,y) pixel of a camera returns the corresponding projector pixel. Positional Arguments self : Evision.StructuredLight.GrayCodePattern.t() patternImages : [Evision.Mat] . The pattern images acquired by the camera, stored in a grayscale vector &lt; Mat &gt;. x : int . x coordinate of the image pixel. y : int . y coordinate of the image pixel. Return retval : bool projPix : Point . Projector's pixel corresponding to the camera's pixel: projPix.x and projPix.y are the image coordinates of the projector's pixel corresponding to the pixel being decoded in a camera. The function decodes each pixel in the pattern images acquired by a camera into their corresponding decimal numbers representing the projector's column and row, providing a mapping between camera's and projector's pixel. Python prototype (for reference only): getProjPixel(patternImages, x, y) -&gt; retval, projPix","ref":"Evision.StructuredLight.GrayCodePattern.html#getProjPixel/4","title":"Evision.StructuredLight.GrayCodePattern.getProjPixel/4","type":"function"},{"doc":"Sets the value for black threshold, needed for decoding (shadowsmasks computation). Positional Arguments self : Evision.StructuredLight.GrayCodePattern.t() value : size_t . The desired black threshold value. Black threshold is a number between 0-255 that represents the minimum brightness difference required for valid pixels, between the fully illuminated (white) and the not illuminated images (black); used in computeShadowMasks method. Python prototype (for reference only): setBlackThreshold(value) -&gt; None","ref":"Evision.StructuredLight.GrayCodePattern.html#setBlackThreshold/2","title":"Evision.StructuredLight.GrayCodePattern.setBlackThreshold/2","type":"function"},{"doc":"Sets the value for white threshold, needed for decoding. Positional Arguments self : Evision.StructuredLight.GrayCodePattern.t() value : size_t . The desired white threshold value. White threshold is a number between 0-255 that represents the minimum brightness difference required for valid pixels, between the graycode pattern and its inverse images; used in getProjPixel method. Python prototype (for reference only): setWhiteThreshold(value) -&gt; None","ref":"Evision.StructuredLight.GrayCodePattern.html#setWhiteThreshold/2","title":"Evision.StructuredLight.GrayCodePattern.setWhiteThreshold/2","type":"function"},{"doc":"Type that represents an StructuredLight.GrayCodePattern struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.StructuredLight.GrayCodePattern.html#t:t/0","title":"Evision.StructuredLight.GrayCodePattern.t/0","type":"type"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.html","title":"Evision.StructuredLight.SinusoidalPattern","type":"module"},{"doc":"compute the data modulation term. Positional Arguments self : Evision.StructuredLight.SinusoidalPattern.t() patternImages : [Evision.Mat] . captured images with projected patterns. shadowMask : Evision.Mat.t() . Mask used to discard shadow regions. Return dataModulationTerm : Evision.Mat.t() . Mat where the data modulation term is saved. Python prototype (for reference only): computeDataModulationTerm(patternImages, shadowMask[, dataModulationTerm]) -&gt; dataModulationTerm","ref":"Evision.StructuredLight.SinusoidalPattern.html#computeDataModulationTerm/3","title":"Evision.StructuredLight.SinusoidalPattern.computeDataModulationTerm/3","type":"function"},{"doc":"compute the data modulation term. Positional Arguments self : Evision.StructuredLight.SinusoidalPattern.t() patternImages : [Evision.Mat] . captured images with projected patterns. shadowMask : Evision.Mat.t() . Mask used to discard shadow regions. Return dataModulationTerm : Evision.Mat.t() . Mat where the data modulation term is saved. Python prototype (for reference only): computeDataModulationTerm(patternImages, shadowMask[, dataModulationTerm]) -&gt; dataModulationTerm","ref":"Evision.StructuredLight.SinusoidalPattern.html#computeDataModulationTerm/4","title":"Evision.StructuredLight.SinusoidalPattern.computeDataModulationTerm/4","type":"function"},{"doc":"Compute a wrapped phase map from sinusoidal patterns. Positional Arguments self : Evision.StructuredLight.SinusoidalPattern.t() patternImages : [Evision.Mat] . Input data to compute the wrapped phase map. Keyword Arguments fundamental : Evision.Mat.t() . Fundamental matrix used to compute epipolar lines and ease the matching step. Return wrappedPhaseMap : Evision.Mat.t() . Wrapped phase map obtained through one of the three methods. shadowMask : Evision.Mat.t() . Mask used to discard shadow regions. Python prototype (for reference only): computePhaseMap(patternImages[, wrappedPhaseMap[, shadowMask[, fundamental]]]) -&gt; wrappedPhaseMap, shadowMask","ref":"Evision.StructuredLight.SinusoidalPattern.html#computePhaseMap/2","title":"Evision.StructuredLight.SinusoidalPattern.computePhaseMap/2","type":"function"},{"doc":"Compute a wrapped phase map from sinusoidal patterns. Positional Arguments self : Evision.StructuredLight.SinusoidalPattern.t() patternImages : [Evision.Mat] . Input data to compute the wrapped phase map. Keyword Arguments fundamental : Evision.Mat.t() . Fundamental matrix used to compute epipolar lines and ease the matching step. Return wrappedPhaseMap : Evision.Mat.t() . Wrapped phase map obtained through one of the three methods. shadowMask : Evision.Mat.t() . Mask used to discard shadow regions. Python prototype (for reference only): computePhaseMap(patternImages[, wrappedPhaseMap[, shadowMask[, fundamental]]]) -&gt; wrappedPhaseMap, shadowMask","ref":"Evision.StructuredLight.SinusoidalPattern.html#computePhaseMap/3","title":"Evision.StructuredLight.SinusoidalPattern.computePhaseMap/3","type":"function"},{"doc":"Constructor. Keyword Arguments parameters : Evision.StructuredLight.SinusoidalPattern.Params.t() . SinusoidalPattern parameters SinusoidalPattern::Params: width, height of the projector and patterns parameters. Return retval : Evision.StructuredLight.SinusoidalPattern.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.StructuredLight.SinusoidalPattern.html#create/0","title":"Evision.StructuredLight.SinusoidalPattern.create/0","type":"function"},{"doc":"Constructor. Keyword Arguments parameters : Evision.StructuredLight.SinusoidalPattern.Params.t() . SinusoidalPattern parameters SinusoidalPattern::Params: width, height of the projector and patterns parameters. Return retval : Evision.StructuredLight.SinusoidalPattern.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.StructuredLight.SinusoidalPattern.html#create/1","title":"Evision.StructuredLight.SinusoidalPattern.create/1","type":"function"},{"doc":"Find correspondences between the two devices thanks to unwrapped phase maps. Positional Arguments self : Evision.StructuredLight.SinusoidalPattern.t() projUnwrappedPhaseMap : Evision.Mat.t() . Projector's unwrapped phase map. camUnwrappedPhaseMap : Evision.Mat.t() . Camera's unwrapped phase map. Return matches : [Evision.Mat] . Images used to display correspondences map. Python prototype (for reference only): findProCamMatches(projUnwrappedPhaseMap, camUnwrappedPhaseMap[, matches]) -&gt; matches","ref":"Evision.StructuredLight.SinusoidalPattern.html#findProCamMatches/3","title":"Evision.StructuredLight.SinusoidalPattern.findProCamMatches/3","type":"function"},{"doc":"Find correspondences between the two devices thanks to unwrapped phase maps. Positional Arguments self : Evision.StructuredLight.SinusoidalPattern.t() projUnwrappedPhaseMap : Evision.Mat.t() . Projector's unwrapped phase map. camUnwrappedPhaseMap : Evision.Mat.t() . Camera's unwrapped phase map. Return matches : [Evision.Mat] . Images used to display correspondences map. Python prototype (for reference only): findProCamMatches(projUnwrappedPhaseMap, camUnwrappedPhaseMap[, matches]) -&gt; matches","ref":"Evision.StructuredLight.SinusoidalPattern.html#findProCamMatches/4","title":"Evision.StructuredLight.SinusoidalPattern.findProCamMatches/4","type":"function"},{"doc":"Unwrap the wrapped phase map to remove phase ambiguities. Positional Arguments self : Evision.StructuredLight.SinusoidalPattern.t() wrappedPhaseMap : Evision.Mat.t() . The wrapped phase map computed from the pattern. camSize : Size . Resolution of the camera. Keyword Arguments shadowMask : Evision.Mat.t() . Mask used to discard shadow regions. Return unwrappedPhaseMap : Evision.Mat.t() . The unwrapped phase map used to find correspondences between the two devices. Python prototype (for reference only): unwrapPhaseMap(wrappedPhaseMap, camSize[, unwrappedPhaseMap[, shadowMask]]) -&gt; unwrappedPhaseMap","ref":"Evision.StructuredLight.SinusoidalPattern.html#unwrapPhaseMap/3","title":"Evision.StructuredLight.SinusoidalPattern.unwrapPhaseMap/3","type":"function"},{"doc":"Unwrap the wrapped phase map to remove phase ambiguities. Positional Arguments self : Evision.StructuredLight.SinusoidalPattern.t() wrappedPhaseMap : Evision.Mat.t() . The wrapped phase map computed from the pattern. camSize : Size . Resolution of the camera. Keyword Arguments shadowMask : Evision.Mat.t() . Mask used to discard shadow regions. Return unwrappedPhaseMap : Evision.Mat.t() . The unwrapped phase map used to find correspondences between the two devices. Python prototype (for reference only): unwrapPhaseMap(wrappedPhaseMap, camSize[, unwrappedPhaseMap[, shadowMask]]) -&gt; unwrappedPhaseMap","ref":"Evision.StructuredLight.SinusoidalPattern.html#unwrapPhaseMap/4","title":"Evision.StructuredLight.SinusoidalPattern.unwrapPhaseMap/4","type":"function"},{"doc":"Type that represents an StructuredLight.SinusoidalPattern struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.StructuredLight.SinusoidalPattern.html#t:t/0","title":"Evision.StructuredLight.SinusoidalPattern.t/0","type":"type"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html","title":"Evision.StructuredLight.SinusoidalPattern.Params","type":"module"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#get_height/1","title":"Evision.StructuredLight.SinusoidalPattern.Params.get_height/1","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#get_horizontal/1","title":"Evision.StructuredLight.SinusoidalPattern.Params.get_horizontal/1","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#get_methodId/1","title":"Evision.StructuredLight.SinusoidalPattern.Params.get_methodId/1","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#get_nbrOfPeriods/1","title":"Evision.StructuredLight.SinusoidalPattern.Params.get_nbrOfPeriods/1","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#get_nbrOfPixelsBetweenMarkers/1","title":"Evision.StructuredLight.SinusoidalPattern.Params.get_nbrOfPixelsBetweenMarkers/1","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#get_setMarkers/1","title":"Evision.StructuredLight.SinusoidalPattern.Params.get_setMarkers/1","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#get_shiftValue/1","title":"Evision.StructuredLight.SinusoidalPattern.Params.get_shiftValue/1","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#get_width/1","title":"Evision.StructuredLight.SinusoidalPattern.Params.get_width/1","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#set_height/2","title":"Evision.StructuredLight.SinusoidalPattern.Params.set_height/2","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#set_horizontal/2","title":"Evision.StructuredLight.SinusoidalPattern.Params.set_horizontal/2","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#set_methodId/2","title":"Evision.StructuredLight.SinusoidalPattern.Params.set_methodId/2","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#set_nbrOfPeriods/2","title":"Evision.StructuredLight.SinusoidalPattern.Params.set_nbrOfPeriods/2","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#set_nbrOfPixelsBetweenMarkers/2","title":"Evision.StructuredLight.SinusoidalPattern.Params.set_nbrOfPixelsBetweenMarkers/2","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#set_setMarkers/2","title":"Evision.StructuredLight.SinusoidalPattern.Params.set_setMarkers/2","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#set_shiftValue/2","title":"Evision.StructuredLight.SinusoidalPattern.Params.set_shiftValue/2","type":"function"},{"doc":"","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#set_width/2","title":"Evision.StructuredLight.SinusoidalPattern.Params.set_width/2","type":"function"},{"doc":"SinusoidalPattern_Params Return self : Evision.StructuredLight.SinusoidalPattern.Params.t() Python prototype (for reference only): SinusoidalPattern_Params() -&gt; &lt;structured_light_SinusoidalPattern_Params object&gt;","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#structured_light_SinusoidalPattern_Params/0","title":"Evision.StructuredLight.SinusoidalPattern.Params.structured_light_SinusoidalPattern_Params/0","type":"function"},{"doc":"Type that represents an StructuredLight.SinusoidalPattern.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.StructuredLight.SinusoidalPattern.Params.html#t:t/0","title":"Evision.StructuredLight.SinusoidalPattern.Params.t/0","type":"type"},{"doc":"","ref":"Evision.StructuredLight.StructuredLightPattern.html","title":"Evision.StructuredLight.StructuredLightPattern","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.StructuredLight.StructuredLightPattern.html#clear/1","title":"Evision.StructuredLight.StructuredLightPattern.clear/1","type":"function"},{"doc":"Decodes the structured light pattern, generating a disparity map Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() patternImages : [[Evision.Mat]] . The acquired pattern images to decode (vector&lt;vector&lt;Mat&gt;&gt;), loaded as grayscale and previously rectified. Keyword Arguments blackImages : [Evision.Mat] . The all-black images needed for shadowMasks computation. whiteImages : [Evision.Mat] . The all-white images needed for shadowMasks computation. flags : int . Flags setting decoding algorithms. Default: DECODE_3D_UNDERWORLD. Return retval : bool disparityMap : Evision.Mat.t() . The decoding result: a CV_64F Mat at image resolution, storing the computed disparity map. Note : All the images must be at the same resolution. Python prototype (for reference only): decode(patternImages[, disparityMap[, blackImages[, whiteImages[, flags]]]]) -&gt; retval, disparityMap","ref":"Evision.StructuredLight.StructuredLightPattern.html#decode/2","title":"Evision.StructuredLight.StructuredLightPattern.decode/2","type":"function"},{"doc":"Decodes the structured light pattern, generating a disparity map Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() patternImages : [[Evision.Mat]] . The acquired pattern images to decode (vector&lt;vector&lt;Mat&gt;&gt;), loaded as grayscale and previously rectified. Keyword Arguments blackImages : [Evision.Mat] . The all-black images needed for shadowMasks computation. whiteImages : [Evision.Mat] . The all-white images needed for shadowMasks computation. flags : int . Flags setting decoding algorithms. Default: DECODE_3D_UNDERWORLD. Return retval : bool disparityMap : Evision.Mat.t() . The decoding result: a CV_64F Mat at image resolution, storing the computed disparity map. Note : All the images must be at the same resolution. Python prototype (for reference only): decode(patternImages[, disparityMap[, blackImages[, whiteImages[, flags]]]]) -&gt; retval, disparityMap","ref":"Evision.StructuredLight.StructuredLightPattern.html#decode/3","title":"Evision.StructuredLight.StructuredLightPattern.decode/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.StructuredLight.StructuredLightPattern.html#empty/1","title":"Evision.StructuredLight.StructuredLightPattern.empty/1","type":"function"},{"doc":"Generates the structured light pattern to project. Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() Return retval : bool patternImages : [Evision.Mat] . The generated pattern: a vector&lt;Mat&gt;, in which each image is a CV_8U Mat at projector's resolution. Python prototype (for reference only): generate([, patternImages]) -&gt; retval, patternImages","ref":"Evision.StructuredLight.StructuredLightPattern.html#generate/1","title":"Evision.StructuredLight.StructuredLightPattern.generate/1","type":"function"},{"doc":"Generates the structured light pattern to project. Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() Return retval : bool patternImages : [Evision.Mat] . The generated pattern: a vector&lt;Mat&gt;, in which each image is a CV_8U Mat at projector's resolution. Python prototype (for reference only): generate([, patternImages]) -&gt; retval, patternImages","ref":"Evision.StructuredLight.StructuredLightPattern.html#generate/2","title":"Evision.StructuredLight.StructuredLightPattern.generate/2","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.StructuredLight.StructuredLightPattern.html#getDefaultName/1","title":"Evision.StructuredLight.StructuredLightPattern.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.StructuredLight.StructuredLightPattern.html#read/2","title":"Evision.StructuredLight.StructuredLightPattern.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.StructuredLight.StructuredLightPattern.html#save/2","title":"Evision.StructuredLight.StructuredLightPattern.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.StructuredLight.StructuredLightPattern.html#write/2","title":"Evision.StructuredLight.StructuredLightPattern.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.StructuredLight.StructuredLightPattern.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.StructuredLight.StructuredLightPattern.html#write/3","title":"Evision.StructuredLight.StructuredLightPattern.write/3","type":"function"},{"doc":"Type that represents an StructuredLight.StructuredLightPattern struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.StructuredLight.StructuredLightPattern.html#t:t/0","title":"Evision.StructuredLight.StructuredLightPattern.t/0","type":"type"},{"doc":"","ref":"Evision.Subdiv2D.html","title":"Evision.Subdiv2D","type":"module"},{"doc":"Returns the edge destination. Positional Arguments self : Evision.Subdiv2D.t() edge : int . Subdivision edge ID. Return retval : int dstpt : Point2f* . Output vertex location. @returns vertex ID. Python prototype (for reference only): edgeDst(edge) -&gt; retval, dstpt","ref":"Evision.Subdiv2D.html#edgeDst/2","title":"Evision.Subdiv2D.edgeDst/2","type":"function"},{"doc":"Returns the edge origin. Positional Arguments self : Evision.Subdiv2D.t() edge : int . Subdivision edge ID. Return retval : int orgpt : Point2f* . Output vertex location. @returns vertex ID. Python prototype (for reference only): edgeOrg(edge) -&gt; retval, orgpt","ref":"Evision.Subdiv2D.html#edgeOrg/2","title":"Evision.Subdiv2D.edgeOrg/2","type":"function"},{"doc":"Finds the subdivision vertex closest to the given point. Positional Arguments self : Evision.Subdiv2D.t() pt : Point2f . Input point. Return retval : int nearestPt : Point2f* . Output subdivision vertex point. The function is another function that locates the input point within the subdivision. It finds the subdivision vertex that is the closest to the input point. It is not necessarily one of vertices of the facet containing the input point, though the facet (located using locate() ) is used as a starting point. @returns vertex ID. Python prototype (for reference only): findNearest(pt) -&gt; retval, nearestPt","ref":"Evision.Subdiv2D.html#findNearest/2","title":"Evision.Subdiv2D.findNearest/2","type":"function"},{"doc":"Returns one of the edges related to the given edge. Positional Arguments self : Evision.Subdiv2D.t() edge : int . Subdivision edge ID. nextEdgeType : int . Parameter specifying which of the related edges to return. The following values are possible: NEXT_AROUND_ORG next around the edge origin ( eOnext on the picture below if e is the input edge) NEXT_AROUND_DST next around the edge vertex ( eDnext ) PREV_AROUND_ORG previous around the edge origin (reversed eRnext ) PREV_AROUND_DST previous around the edge destination (reversed eLnext ) NEXT_AROUND_LEFT next around the left facet ( eLnext ) NEXT_AROUND_RIGHT next around the right facet ( eRnext ) PREV_AROUND_LEFT previous around the left facet (reversed eOnext ) PREV_AROUND_RIGHT previous around the right facet (reversed eDnext ) Return retval : int @returns edge ID related to the input edge. Python prototype (for reference only): getEdge(edge, nextEdgeType) -&gt; retval","ref":"Evision.Subdiv2D.html#getEdge/3","title":"Evision.Subdiv2D.getEdge/3","type":"function"},{"doc":"Returns a list of all edges. Positional Arguments self : Evision.Subdiv2D.t() Return edgeList : [Vec4f] . Output vector. The function gives each edge as a 4 numbers vector, where each two are one of the edge vertices. i.e. org_x = v[0], org_y = v[1], dst_x = v[2], dst_y = v[3]. Python prototype (for reference only): getEdgeList() -&gt; edgeList","ref":"Evision.Subdiv2D.html#getEdgeList/1","title":"Evision.Subdiv2D.getEdgeList/1","type":"function"},{"doc":"Returns a list of the leading edge ID connected to each triangle. Positional Arguments self : Evision.Subdiv2D.t() Return leadingEdgeList : [int] . Output vector. The function gives one edge ID for each triangle. Python prototype (for reference only): getLeadingEdgeList() -&gt; leadingEdgeList","ref":"Evision.Subdiv2D.html#getLeadingEdgeList/1","title":"Evision.Subdiv2D.getLeadingEdgeList/1","type":"function"},{"doc":"Returns a list of all triangles. Positional Arguments self : Evision.Subdiv2D.t() Return triangleList : [Vec6f] . Output vector. The function gives each triangle as a 6 numbers vector, where each two are one of the triangle vertices. i.e. p1_x = v[0], p1_y = v[1], p2_x = v[2], p2_y = v[3], p3_x = v[4], p3_y = v[5]. Python prototype (for reference only): getTriangleList() -&gt; triangleList","ref":"Evision.Subdiv2D.html#getTriangleList/1","title":"Evision.Subdiv2D.getTriangleList/1","type":"function"},{"doc":"Returns vertex location from vertex ID. Positional Arguments self : Evision.Subdiv2D.t() vertex : int . vertex ID. Return retval : Point2f firstEdge : int* . Optional. The first edge ID which is connected to the vertex. @returns vertex (x,y) Python prototype (for reference only): getVertex(vertex) -&gt; retval, firstEdge","ref":"Evision.Subdiv2D.html#getVertex/2","title":"Evision.Subdiv2D.getVertex/2","type":"function"},{"doc":"Returns a list of all Voronoi facets. Positional Arguments self : Evision.Subdiv2D.t() idx : [int] . Vector of vertices IDs to consider. For all vertices you can pass empty vector. Return facetList : [[Point2f]] . Output vector of the Voronoi facets. facetCenters : [Point2f] . Output vector of the Voronoi facets center points. Python prototype (for reference only): getVoronoiFacetList(idx) -&gt; facetList, facetCenters","ref":"Evision.Subdiv2D.html#getVoronoiFacetList/2","title":"Evision.Subdiv2D.getVoronoiFacetList/2","type":"function"},{"doc":"Creates a new empty Delaunay subdivision Positional Arguments self : Evision.Subdiv2D.t() rect : Rect . Rectangle that includes all of the 2D points that are to be added to the subdivision. Python prototype (for reference only): initDelaunay(rect) -&gt; None","ref":"Evision.Subdiv2D.html#initDelaunay/2","title":"Evision.Subdiv2D.initDelaunay/2","type":"function"},{"doc":"Variant 1: Insert multiple points into a Delaunay triangulation. Positional Arguments self : Evision.Subdiv2D.t() ptvec : [Point2f] . Points to insert. The function inserts a vector of points into a subdivision and modifies the subdivision topology appropriately. Python prototype (for reference only): insert(ptvec) -&gt; None Variant 2: Insert a single point into a Delaunay triangulation. Positional Arguments self : Evision.Subdiv2D.t() pt : Point2f . Point to insert. Return retval : int The function inserts a single point into a subdivision and modifies the subdivision topology appropriately. If a point with the same coordinates exists already, no new point is added. @returns the ID of the point. Note : If the point is outside of the triangulation specified rect a runtime error is raised. Python prototype (for reference only): insert(pt) -&gt; retval","ref":"Evision.Subdiv2D.html#insert/2","title":"Evision.Subdiv2D.insert/2","type":"function"},{"doc":"Returns the location of a point within a Delaunay triangulation. Positional Arguments self : Evision.Subdiv2D.t() pt : Point2f . Point to locate. Return retval : int edge : int . Output edge that the point belongs to or is located to the right of it. vertex : int . Optional output vertex the input point coincides with. The function locates the input point within the subdivision and gives one of the triangle edges or vertices. @returns an integer which specify one of the following five cases for point location: The point falls into some facet. The function returns #PTLOC_INSIDE and edge will contain one of edges of the facet. The point falls onto the edge. The function returns #PTLOC_ON_EDGE and edge will contain this edge. The point coincides with one of the subdivision vertices. The function returns #PTLOC_VERTEX and vertex will contain a pointer to the vertex. The point is outside the subdivision reference rectangle. The function returns #PTLOC_OUTSIDE_RECT and no pointers are filled. One of input arguments is invalid. A runtime error is raised or, if silent or &quot;parent&quot; error processing mode is selected, #PTLOC_ERROR is returned. Python prototype (for reference only): locate(pt) -&gt; retval, edge, vertex","ref":"Evision.Subdiv2D.html#locate/2","title":"Evision.Subdiv2D.locate/2","type":"function"},{"doc":"Returns next edge around the edge origin. Positional Arguments self : Evision.Subdiv2D.t() edge : int . Subdivision edge ID. Return retval : int @returns an integer which is next edge ID around the edge origin: eOnext on the picture above if e is the input edge). Python prototype (for reference only): nextEdge(edge) -&gt; retval","ref":"Evision.Subdiv2D.html#nextEdge/2","title":"Evision.Subdiv2D.nextEdge/2","type":"function"},{"doc":"Returns another edge of the same quad-edge. Positional Arguments self : Evision.Subdiv2D.t() edge : int . Subdivision edge ID. rotate : int . Parameter specifying which of the edges of the same quad-edge as the input one to return. The following values are possible: 0 - the input edge ( e on the picture below if e is the input edge) 1 - the rotated edge ( eRot ) 2 - the reversed edge (reversed e (in green)) 3 - the reversed rotated edge (reversed eRot (in green)) Return retval : int @returns one of the edges ID of the same quad-edge as the input edge. Python prototype (for reference only): rotateEdge(edge, rotate) -&gt; retval","ref":"Evision.Subdiv2D.html#rotateEdge/3","title":"Evision.Subdiv2D.rotateEdge/3","type":"function"},{"doc":"Subdiv2D Return self : Evision.Subdiv2D.t() creates an empty Subdiv2D object. To create a new empty Delaunay subdivision you need to use the #initDelaunay function. Python prototype (for reference only): Subdiv2D() -&gt; &lt;Subdiv2D object&gt;","ref":"Evision.Subdiv2D.html#subdiv2D/0","title":"Evision.Subdiv2D.subdiv2D/0","type":"function"},{"doc":"Subdiv2D Positional Arguments rect : Rect . Rectangle that includes all of the 2D points that are to be added to the subdivision. Return self : Evision.Subdiv2D.t() Has overloading in C++ The function creates an empty Delaunay subdivision where 2D points can be added using the function insert() . All of the points to be added must be within the specified rectangle, otherwise a runtime error is raised. Python prototype (for reference only): Subdiv2D(rect) -&gt; &lt;Subdiv2D object&gt;","ref":"Evision.Subdiv2D.html#subdiv2D/1","title":"Evision.Subdiv2D.subdiv2D/1","type":"function"},{"doc":"symEdge Positional Arguments self : Evision.Subdiv2D.t() edge : int Return retval : int Python prototype (for reference only): symEdge(edge) -&gt; retval","ref":"Evision.Subdiv2D.html#symEdge/2","title":"Evision.Subdiv2D.symEdge/2","type":"function"},{"doc":"Type that represents an Subdiv2D struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Subdiv2D.html#t:t/0","title":"Evision.Subdiv2D.t/0","type":"type"},{"doc":"","ref":"Evision.Text.html","title":"Evision.Text","type":"module"},{"doc":"Compute the different channels to be processed independently in the N&amp;M algorithm @cite Neumann12. Positional Arguments src : Evision.Mat.t() . Source image. Must be RGB CV_8UC3. Keyword Arguments mode : int .Mode of operation. Currently the only available options are: ERFILTER_NM_RGBLGrad (used by default) and ERFILTER_NM_IHSGrad**. Return channels : [Evision.Mat] . Output vector\\&lt;Mat&gt; where computed channels are stored. In N&amp;M algorithm, the combination of intensity (I), hue (H), saturation (S), and gradient magnitude channels (Grad) are used in order to obtain high localization recall. This implementation also provides an alternative combination of red (R), green (G), blue (B), lightness (L), and gradient magnitude (Grad). Python prototype (for reference only): computeNMChannels(_src[, _channels[, _mode]]) -&gt; _channels","ref":"Evision.Text.html#computeNMChannels/1","title":"Evision.Text.computeNMChannels/1","type":"function"},{"doc":"Compute the different channels to be processed independently in the N&amp;M algorithm @cite Neumann12. Positional Arguments src : Evision.Mat.t() . Source image. Must be RGB CV_8UC3. Keyword Arguments mode : int .Mode of operation. Currently the only available options are: ERFILTER_NM_RGBLGrad (used by default) and ERFILTER_NM_IHSGrad**. Return channels : [Evision.Mat] . Output vector\\&lt;Mat&gt; where computed channels are stored. In N&amp;M algorithm, the combination of intensity (I), hue (H), saturation (S), and gradient magnitude channels (Grad) are used in order to obtain high localization recall. This implementation also provides an alternative combination of red (R), green (G), blue (B), lightness (L), and gradient magnitude (Grad). Python prototype (for reference only): computeNMChannels(_src[, _channels[, _mode]]) -&gt; _channels","ref":"Evision.Text.html#computeNMChannels/2","title":"Evision.Text.computeNMChannels/2","type":"function"},{"doc":"Variant 1: Reads an Extremal Region Filter for the 1st stage classifier of N&amp;M algorithm from the provided path e.g. /path/to/cpp/trained_classifierNM1.xml Positional Arguments filename : String Keyword Arguments thresholdDelta : int . minArea : float . maxArea : float . minProbability : float . nonMaxSuppression : bool . minProbabilityDiff : float . Return retval : Evision.Text.ERFilter.t() Has overloading in C++ Python prototype (for reference only): createERFilterNM1(filename[, thresholdDelta[, minArea[, maxArea[, minProbability[, nonMaxSuppression[, minProbabilityDiff]]]]]]) -&gt; retval Variant 2: Create an Extremal Region Filter for the 1st stage classifier of N&amp;M algorithm @cite Neumann12. Positional Arguments cb : Evision.Text.ERFilter.Callback.t() Keyword Arguments thresholdDelta : int . minArea : float . maxArea : float . minProbability : float . nonMaxSuppression : bool . minProbabilityDiff : float . Return retval : Evision.Text.ERFilter.t() The component tree of the image is extracted by a threshold increased step by step from 0 to 255, incrementally computable descriptors (aspect_ratio, compactness, number of holes, and number of horizontal crossings) are computed for each ER and used as features for a classifier which estimates the class-conditional probability P(er|character). The value of P(er|character) is tracked using the inclusion relation of ER across all thresholds and only the ERs which correspond to local maximum of the probability P(er|character) are selected (if the local maximum of the probability is above a global limit pmin and the difference between local maximum and local minimum is greater than minProbabilityDiff). Python prototype (for reference only): createERFilterNM1(cb[, thresholdDelta[, minArea[, maxArea[, minProbability[, nonMaxSuppression[, minProbabilityDiff]]]]]]) -&gt; retval","ref":"Evision.Text.html#createERFilterNM1/1","title":"Evision.Text.createERFilterNM1/1","type":"function"},{"doc":"Variant 1: Reads an Extremal Region Filter for the 1st stage classifier of N&amp;M algorithm from the provided path e.g. /path/to/cpp/trained_classifierNM1.xml Positional Arguments filename : String Keyword Arguments thresholdDelta : int . minArea : float . maxArea : float . minProbability : float . nonMaxSuppression : bool . minProbabilityDiff : float . Return retval : Evision.Text.ERFilter.t() Has overloading in C++ Python prototype (for reference only): createERFilterNM1(filename[, thresholdDelta[, minArea[, maxArea[, minProbability[, nonMaxSuppression[, minProbabilityDiff]]]]]]) -&gt; retval Variant 2: Create an Extremal Region Filter for the 1st stage classifier of N&amp;M algorithm @cite Neumann12. Positional Arguments cb : Evision.Text.ERFilter.Callback.t() Keyword Arguments thresholdDelta : int . minArea : float . maxArea : float . minProbability : float . nonMaxSuppression : bool . minProbabilityDiff : float . Return retval : Evision.Text.ERFilter.t() The component tree of the image is extracted by a threshold increased step by step from 0 to 255, incrementally computable descriptors (aspect_ratio, compactness, number of holes, and number of horizontal crossings) are computed for each ER and used as features for a classifier which estimates the class-conditional probability P(er|character). The value of P(er|character) is tracked using the inclusion relation of ER across all thresholds and only the ERs which correspond to local maximum of the probability P(er|character) are selected (if the local maximum of the probability is above a global limit pmin and the difference between local maximum and local minimum is greater than minProbabilityDiff). Python prototype (for reference only): createERFilterNM1(cb[, thresholdDelta[, minArea[, maxArea[, minProbability[, nonMaxSuppression[, minProbabilityDiff]]]]]]) -&gt; retval","ref":"Evision.Text.html#createERFilterNM1/2","title":"Evision.Text.createERFilterNM1/2","type":"function"},{"doc":"Variant 1: Reads an Extremal Region Filter for the 2nd stage classifier of N&amp;M algorithm from the provided path e.g. /path/to/cpp/trained_classifierNM2.xml Positional Arguments filename : String Keyword Arguments minProbability : float . Return retval : Evision.Text.ERFilter.t() Has overloading in C++ Python prototype (for reference only): createERFilterNM2(filename[, minProbability]) -&gt; retval Variant 2: Create an Extremal Region Filter for the 2nd stage classifier of N&amp;M algorithm @cite Neumann12. Positional Arguments cb : Evision.Text.ERFilter.Callback.t() Keyword Arguments minProbability : float . Return retval : Evision.Text.ERFilter.t() In the second stage, the ERs that passed the first stage are classified into character and non-character classes using more informative but also more computationally expensive features. The classifier uses all the features calculated in the first stage and the following additional features: hole area ratio, convex hull ratio, and number of outer inflexion points. Python prototype (for reference only): createERFilterNM2(cb[, minProbability]) -&gt; retval","ref":"Evision.Text.html#createERFilterNM2/1","title":"Evision.Text.createERFilterNM2/1","type":"function"},{"doc":"Variant 1: Reads an Extremal Region Filter for the 2nd stage classifier of N&amp;M algorithm from the provided path e.g. /path/to/cpp/trained_classifierNM2.xml Positional Arguments filename : String Keyword Arguments minProbability : float . Return retval : Evision.Text.ERFilter.t() Has overloading in C++ Python prototype (for reference only): createERFilterNM2(filename[, minProbability]) -&gt; retval Variant 2: Create an Extremal Region Filter for the 2nd stage classifier of N&amp;M algorithm @cite Neumann12. Positional Arguments cb : Evision.Text.ERFilter.Callback.t() Keyword Arguments minProbability : float . Return retval : Evision.Text.ERFilter.t() In the second stage, the ERs that passed the first stage are classified into character and non-character classes using more informative but also more computationally expensive features. The classifier uses all the features calculated in the first stage and the following additional features: hole area ratio, convex hull ratio, and number of outer inflexion points. Python prototype (for reference only): createERFilterNM2(cb[, minProbability]) -&gt; retval","ref":"Evision.Text.html#createERFilterNM2/2","title":"Evision.Text.createERFilterNM2/2","type":"function"},{"doc":"Utility function to create a tailored language model transitions table from a given list of words (lexicon). Positional Arguments vocabulary : String . The language vocabulary (chars when ASCII English text). lexicon : [String] . The list of words that are expected to be found in a particular image. Return retval : Evision.Mat.t() The function calculate frequency statistics of character pairs from the given lexicon and fills the output transition_probabilities_table with them. The transition_probabilities_table can be used as input in the OCRHMMDecoder::create() and OCRBeamSearchDecoder::create() methods. Note : (C++) An alternative would be to load the default generic language transition table provided in the text module samples folder (created from ispell 42869 english words list) : https://github.com/opencv/opencv_contrib/blob/master/modules/text/samples/OCRHMM_transitions_table.xml Python prototype (for reference only): createOCRHMMTransitionsTable(vocabulary, lexicon) -&gt; retval","ref":"Evision.Text.html#createOCRHMMTransitionsTable/2","title":"Evision.Text.createOCRHMMTransitionsTable/2","type":"function"},{"doc":"Extracts text regions from image. Positional Arguments image : Evision.Mat.t() . Source image where text blocks needs to be extracted from. Should be CV_8UC3 (color). er_filter1 : Evision.Text.ERFilter.t() . Extremal Region Filter for the 1st stage classifier of N&amp;M algorithm @cite Neumann12 er_filter2 : Evision.Text.ERFilter.t() . Extremal Region Filter for the 2nd stage classifier of N&amp;M algorithm @cite Neumann12 Keyword Arguments method : int . Grouping method (see text::erGrouping_Modes). Can be one of ERGROUPING_ORIENTATION_HORIZ, ERGROUPING_ORIENTATION_ANY. filename : String . The XML or YAML file with the classifier model (e.g. samples/trained_classifier_erGrouping.xml). Only to use when grouping method is ERGROUPING_ORIENTATION_ANY. minProbability : float . The minimum probability for accepting a group. Only to use when grouping method is ERGROUPING_ORIENTATION_ANY. Return groups_rects : [Rect] . Output list of rectangle blocks with text Python prototype (for reference only): detectRegions(image, er_filter1, er_filter2[, method[, filename[, minProbability]]]) -&gt; groups_rects","ref":"Evision.Text.html#detectRegions/3","title":"Evision.Text.detectRegions/3","type":"function"},{"doc":"Extracts text regions from image. Positional Arguments image : Evision.Mat.t() . Source image where text blocks needs to be extracted from. Should be CV_8UC3 (color). er_filter1 : Evision.Text.ERFilter.t() . Extremal Region Filter for the 1st stage classifier of N&amp;M algorithm @cite Neumann12 er_filter2 : Evision.Text.ERFilter.t() . Extremal Region Filter for the 2nd stage classifier of N&amp;M algorithm @cite Neumann12 Keyword Arguments method : int . Grouping method (see text::erGrouping_Modes). Can be one of ERGROUPING_ORIENTATION_HORIZ, ERGROUPING_ORIENTATION_ANY. filename : String . The XML or YAML file with the classifier model (e.g. samples/trained_classifier_erGrouping.xml). Only to use when grouping method is ERGROUPING_ORIENTATION_ANY. minProbability : float . The minimum probability for accepting a group. Only to use when grouping method is ERGROUPING_ORIENTATION_ANY. Return groups_rects : [Rect] . Output list of rectangle blocks with text Python prototype (for reference only): detectRegions(image, er_filter1, er_filter2[, method[, filename[, minProbability]]]) -&gt; groups_rects","ref":"Evision.Text.html#detectRegions/4","title":"Evision.Text.detectRegions/4","type":"function"},{"doc":"Applies the Stroke Width Transform operator followed by filtering of connected components of similar Stroke Widths to return letter candidates. It also chain them by proximity and size, saving the result in chainBBs. Positional Arguments input : Evision.Mat.t() . the input image with 3 channels. dark_on_light : bool . a boolean value signifying whether the text is darker or lighter than the background, it is observed to reverse the gradient obtained from Scharr operator, and significantly affect the result. Return result : [Rect] . a vector of resulting bounding boxes where probability of finding text is high draw : Evision.Mat.t() . an optional Mat of type CV_8UC3 which visualises the detected letters using bounding boxes. chainBBs : Evision.Mat.t() . an optional parameter which chains the letter candidates according to heuristics in the paper and returns all possible regions where text is likely to occur. Python prototype (for reference only): detectTextSWT(input, dark_on_light[, draw[, chainBBs]]) -&gt; result, draw, chainBBs","ref":"Evision.Text.html#detectTextSWT/2","title":"Evision.Text.detectTextSWT/2","type":"function"},{"doc":"Applies the Stroke Width Transform operator followed by filtering of connected components of similar Stroke Widths to return letter candidates. It also chain them by proximity and size, saving the result in chainBBs. Positional Arguments input : Evision.Mat.t() . the input image with 3 channels. dark_on_light : bool . a boolean value signifying whether the text is darker or lighter than the background, it is observed to reverse the gradient obtained from Scharr operator, and significantly affect the result. Return result : [Rect] . a vector of resulting bounding boxes where probability of finding text is high draw : Evision.Mat.t() . an optional Mat of type CV_8UC3 which visualises the detected letters using bounding boxes. chainBBs : Evision.Mat.t() . an optional parameter which chains the letter candidates according to heuristics in the paper and returns all possible regions where text is likely to occur. Python prototype (for reference only): detectTextSWT(input, dark_on_light[, draw[, chainBBs]]) -&gt; result, draw, chainBBs","ref":"Evision.Text.html#detectTextSWT/3","title":"Evision.Text.detectTextSWT/3","type":"function"},{"doc":"Find groups of Extremal Regions that are organized as text blocks. Positional Arguments image : Evision.Mat.t() channel : Evision.Mat.t() regions : [[Point]] . Vector of ER's retrieved from the ERFilter algorithm from each channel. Keyword Arguments method : int . Grouping method (see text::erGrouping_Modes). Can be one of ERGROUPING_ORIENTATION_HORIZ, ERGROUPING_ORIENTATION_ANY. filename : String . The XML or YAML file with the classifier model (e.g. samples/trained_classifier_erGrouping.xml). Only to use when grouping method is ERGROUPING_ORIENTATION_ANY. minProbablity : float . The minimum probability for accepting a group. Only to use when grouping method is ERGROUPING_ORIENTATION_ANY. Return groups_rects : [Rect] . The output of the algorithm are stored in this parameter as list of rectangles. Python prototype (for reference only): erGrouping(image, channel, regions[, method[, filename[, minProbablity]]]) -&gt; groups_rects","ref":"Evision.Text.html#erGrouping/3","title":"Evision.Text.erGrouping/3","type":"function"},{"doc":"Find groups of Extremal Regions that are organized as text blocks. Positional Arguments image : Evision.Mat.t() channel : Evision.Mat.t() regions : [[Point]] . Vector of ER's retrieved from the ERFilter algorithm from each channel. Keyword Arguments method : int . Grouping method (see text::erGrouping_Modes). Can be one of ERGROUPING_ORIENTATION_HORIZ, ERGROUPING_ORIENTATION_ANY. filename : String . The XML or YAML file with the classifier model (e.g. samples/trained_classifier_erGrouping.xml). Only to use when grouping method is ERGROUPING_ORIENTATION_ANY. minProbablity : float . The minimum probability for accepting a group. Only to use when grouping method is ERGROUPING_ORIENTATION_ANY. Return groups_rects : [Rect] . The output of the algorithm are stored in this parameter as list of rectangles. Python prototype (for reference only): erGrouping(image, channel, regions[, method[, filename[, minProbablity]]]) -&gt; groups_rects","ref":"Evision.Text.html#erGrouping/4","title":"Evision.Text.erGrouping/4","type":"function"},{"doc":"Allow to implicitly load the default classifier when creating an ERFilter object. Positional Arguments filename : String . The XML or YAML file with the classifier model (e.g. trained_classifierNM1.xml) Return retval : Evision.Text.ERFilter.Callback.t() returns a pointer to ERFilter::Callback. Python prototype (for reference only): loadClassifierNM1(filename) -&gt; retval","ref":"Evision.Text.html#loadClassifierNM1/1","title":"Evision.Text.loadClassifierNM1/1","type":"function"},{"doc":"Allow to implicitly load the default classifier when creating an ERFilter object. Positional Arguments filename : String . The XML or YAML file with the classifier model (e.g. trained_classifierNM2.xml) Return retval : Evision.Text.ERFilter.Callback.t() returns a pointer to ERFilter::Callback. Python prototype (for reference only): loadClassifierNM2(filename) -&gt; retval","ref":"Evision.Text.html#loadClassifierNM2/1","title":"Evision.Text.loadClassifierNM2/1","type":"function"},{"doc":"Allow to implicitly load the default character classifier when creating an OCRBeamSearchDecoder object. Positional Arguments filename : String . The XML or YAML file with the classifier model (e.g. OCRBeamSearch_CNN_model_data.xml.gz) Return retval : Evision.Text.OCRBeamSearchDecoder.ClassifierCallback.t() The CNN default classifier is based in the scene text recognition method proposed by Adam Coates &amp; Andrew NG in [Coates11a]. The character classifier consists in a Single Layer Convolutional Neural Network and a linear classifier. It is applied to the input image in a sliding window fashion, providing a set of recognitions at each window location. Python prototype (for reference only): loadOCRBeamSearchClassifierCNN(filename) -&gt; retval","ref":"Evision.Text.html#loadOCRBeamSearchClassifierCNN/1","title":"Evision.Text.loadOCRBeamSearchClassifierCNN/1","type":"function"},{"doc":"Allow to implicitly load the default character classifier when creating an OCRHMMDecoder object. Positional Arguments filename : String . The XML or YAML file with the classifier model (e.g. OCRBeamSearch_CNN_model_data.xml.gz) classifier : int . Can be one of classifier_type enum values. Return retval : Evision.Text.OCRHMMDecoder.ClassifierCallback.t() Python prototype (for reference only): loadOCRHMMClassifier(filename, classifier) -&gt; retval","ref":"Evision.Text.html#loadOCRHMMClassifier/2","title":"Evision.Text.loadOCRHMMClassifier/2","type":"function"},{"doc":"Allow to implicitly load the default character classifier when creating an OCRHMMDecoder object. Positional Arguments filename : String . The XML or YAML file with the classifier model (e.g. OCRBeamSearch_CNN_model_data.xml.gz) Return retval : Evision.Text.OCRHMMDecoder.ClassifierCallback.t() The CNN default classifier is based in the scene text recognition method proposed by Adam Coates &amp; Andrew NG in [Coates11a]. The character classifier consists in a Single Layer Convolutional Neural Network and a linear classifier. It is applied to the input image in a sliding window fashion, providing a set of recognitions at each window location. @deprecated use loadOCRHMMClassifier instead Python prototype (for reference only): loadOCRHMMClassifierCNN(filename) -&gt; retval","ref":"Evision.Text.html#loadOCRHMMClassifierCNN/1","title":"Evision.Text.loadOCRHMMClassifierCNN/1","type":"function"},{"doc":"Allow to implicitly load the default character classifier when creating an OCRHMMDecoder object. Positional Arguments filename : String . The XML or YAML file with the classifier model (e.g. OCRHMM_knn_model_data.xml) Return retval : Evision.Text.OCRHMMDecoder.ClassifierCallback.t() The KNN default classifier is based in the scene text recognition method proposed by Lukás Neumann &amp; Jiri Matas in [Neumann11b]. Basically, the region (contour) in the input image is normalized to a fixed size, while retaining the centroid and aspect ratio, in order to extract a feature vector based on gradient orientations along the chain-code of its perimeter. Then, the region is classified using a KNN model trained with synthetic data of rendered characters with different standard font types. @deprecated loadOCRHMMClassifier instead Python prototype (for reference only): loadOCRHMMClassifierNM(filename) -&gt; retval","ref":"Evision.Text.html#loadOCRHMMClassifierNM/1","title":"Evision.Text.loadOCRHMMClassifierNM/1","type":"function"},{"doc":"Type that represents an Text struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Text.html#t:t/0","title":"Evision.Text.t/0","type":"type"},{"doc":"","ref":"Evision.Text.ERFilter.html","title":"Evision.Text.ERFilter","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Text.ERFilter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Text.ERFilter.html#clear/1","title":"Evision.Text.ERFilter.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Text.ERFilter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Text.ERFilter.html#empty/1","title":"Evision.Text.ERFilter.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Text.ERFilter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Text.ERFilter.html#getDefaultName/1","title":"Evision.Text.ERFilter.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Text.ERFilter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Text.ERFilter.html#read/2","title":"Evision.Text.ERFilter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Text.ERFilter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Text.ERFilter.html#save/2","title":"Evision.Text.ERFilter.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Text.ERFilter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Text.ERFilter.html#write/2","title":"Evision.Text.ERFilter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Text.ERFilter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Text.ERFilter.html#write/3","title":"Evision.Text.ERFilter.write/3","type":"function"},{"doc":"Type that represents an Text.ERFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Text.ERFilter.html#t:t/0","title":"Evision.Text.ERFilter.t/0","type":"type"},{"doc":"","ref":"Evision.Text.ERFilter.Callback.html","title":"Evision.Text.ERFilter.Callback","type":"module"},{"doc":"Type that represents an Text.ERFilter.Callback struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Text.ERFilter.Callback.html#t:t/0","title":"Evision.Text.ERFilter.Callback.t/0","type":"type"},{"doc":"","ref":"Evision.Text.OCRBeamSearchDecoder.html","title":"Evision.Text.OCRBeamSearchDecoder","type":"module"},{"doc":"Creates an instance of the OCRBeamSearchDecoder class. Initializes HMMDecoder. Positional Arguments classifier : Evision.Text.OCRBeamSearchDecoder.ClassifierCallback.t() . The character classifier with built in feature extractor. vocabulary : string . The language vocabulary (chars when ASCII English text). vocabulary.size() must be equal to the number of classes of the classifier. transition_probabilities_table : Evision.Mat.t() . Table with transition probabilities between character pairs. cols == rows == vocabulary.size(). emission_probabilities_table : Evision.Mat.t() . Table with observation emission probabilities. cols == rows == vocabulary.size(). Keyword Arguments mode : text_decoder_mode . HMM Decoding algorithm. Only OCR_DECODER_VITERBI is available for the moment ( http://en.wikipedia.org/wiki/Viterbi_algorithm ). beam_size : int . Size of the beam in Beam Search algorithm. Return retval : OCRBeamSearchDecoder Python prototype (for reference only): create(classifier, vocabulary, transition_probabilities_table, emission_probabilities_table[, mode[, beam_size]]) -&gt; retval","ref":"Evision.Text.OCRBeamSearchDecoder.html#create/4","title":"Evision.Text.OCRBeamSearchDecoder.create/4","type":"function"},{"doc":"Creates an instance of the OCRBeamSearchDecoder class. Initializes HMMDecoder. Positional Arguments classifier : Evision.Text.OCRBeamSearchDecoder.ClassifierCallback.t() . The character classifier with built in feature extractor. vocabulary : string . The language vocabulary (chars when ASCII English text). vocabulary.size() must be equal to the number of classes of the classifier. transition_probabilities_table : Evision.Mat.t() . Table with transition probabilities between character pairs. cols == rows == vocabulary.size(). emission_probabilities_table : Evision.Mat.t() . Table with observation emission probabilities. cols == rows == vocabulary.size(). Keyword Arguments mode : text_decoder_mode . HMM Decoding algorithm. Only OCR_DECODER_VITERBI is available for the moment ( http://en.wikipedia.org/wiki/Viterbi_algorithm ). beam_size : int . Size of the beam in Beam Search algorithm. Return retval : OCRBeamSearchDecoder Python prototype (for reference only): create(classifier, vocabulary, transition_probabilities_table, emission_probabilities_table[, mode[, beam_size]]) -&gt; retval","ref":"Evision.Text.OCRBeamSearchDecoder.html#create/5","title":"Evision.Text.OCRBeamSearchDecoder.create/5","type":"function"},{"doc":"Recognize text using Beam Search. Positional Arguments self : Evision.Text.OCRBeamSearchDecoder.t() image : Evision.Mat.t() . Input binary image CV_8UC1 with a single text line (or word). min_confidence : int Keyword Arguments component_level : int . Only OCR_LEVEL_WORD is supported. Return retval : String Takes image on input and returns recognized text in the output_text parameter. Optionally provides also the Rects for individual text elements found (e.g. words), and the list of those text elements with their confidence values. Python prototype (for reference only): run(image, min_confidence[, component_level]) -&gt; retval","ref":"Evision.Text.OCRBeamSearchDecoder.html#run/3","title":"Evision.Text.OCRBeamSearchDecoder.run/3","type":"function"},{"doc":"Variant 1: run Positional Arguments self : Evision.Text.OCRBeamSearchDecoder.t() image : Evision.Mat.t() mask : Evision.Mat.t() min_confidence : int Keyword Arguments component_level : int . Return retval : String Python prototype (for reference only): run(image, mask, min_confidence[, component_level]) -&gt; retval Variant 2: Recognize text using Beam Search. Positional Arguments self : Evision.Text.OCRBeamSearchDecoder.t() image : Evision.Mat.t() . Input binary image CV_8UC1 with a single text line (or word). min_confidence : int Keyword Arguments component_level : int . Only OCR_LEVEL_WORD is supported. Return retval : String Takes image on input and returns recognized text in the output_text parameter. Optionally provides also the Rects for individual text elements found (e.g. words), and the list of those text elements with their confidence values. Python prototype (for reference only): run(image, min_confidence[, component_level]) -&gt; retval","ref":"Evision.Text.OCRBeamSearchDecoder.html#run/4","title":"Evision.Text.OCRBeamSearchDecoder.run/4","type":"function"},{"doc":"run Positional Arguments self : Evision.Text.OCRBeamSearchDecoder.t() image : Evision.Mat.t() mask : Evision.Mat.t() min_confidence : int Keyword Arguments component_level : int . Return retval : String Python prototype (for reference only): run(image, mask, min_confidence[, component_level]) -&gt; retval","ref":"Evision.Text.OCRBeamSearchDecoder.html#run/5","title":"Evision.Text.OCRBeamSearchDecoder.run/5","type":"function"},{"doc":"Type that represents an Text.OCRBeamSearchDecoder struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Text.OCRBeamSearchDecoder.html#t:t/0","title":"Evision.Text.OCRBeamSearchDecoder.t/0","type":"type"},{"doc":"","ref":"Evision.Text.OCRHMMDecoder.html","title":"Evision.Text.OCRHMMDecoder","type":"module"},{"doc":"Variant 1: Creates an instance of the OCRHMMDecoder class. Loads and initializes HMMDecoder from the specified path Positional Arguments filename : String vocabulary : String transition_probabilities_table : Evision.Mat.t() emission_probabilities_table : Evision.Mat.t() Keyword Arguments mode : int . classifier : int . Return retval : OCRHMMDecoder Has overloading in C++ Python prototype (for reference only): create(filename, vocabulary, transition_probabilities_table, emission_probabilities_table[, mode[, classifier]]) -&gt; retval Variant 2: Creates an instance of the OCRHMMDecoder class. Initializes HMMDecoder. Positional Arguments classifier : Evision.Text.OCRHMMDecoder.ClassifierCallback.t() . The character classifier with built in feature extractor. vocabulary : String . The language vocabulary (chars when ascii english text). vocabulary.size() must be equal to the number of classes of the classifier. transition_probabilities_table : Evision.Mat.t() . Table with transition probabilities between character pairs. cols == rows == vocabulary.size(). emission_probabilities_table : Evision.Mat.t() . Table with observation emission probabilities. cols == rows == vocabulary.size(). Keyword Arguments mode : int . HMM Decoding algorithm. Only OCR_DECODER_VITERBI is available for the moment ( http://en.wikipedia.org/wiki/Viterbi_algorithm ). Return retval : OCRHMMDecoder Python prototype (for reference only): create(classifier, vocabulary, transition_probabilities_table, emission_probabilities_table[, mode]) -&gt; retval","ref":"Evision.Text.OCRHMMDecoder.html#create/4","title":"Evision.Text.OCRHMMDecoder.create/4","type":"function"},{"doc":"Variant 1: Creates an instance of the OCRHMMDecoder class. Loads and initializes HMMDecoder from the specified path Positional Arguments filename : String vocabulary : String transition_probabilities_table : Evision.Mat.t() emission_probabilities_table : Evision.Mat.t() Keyword Arguments mode : int . classifier : int . Return retval : OCRHMMDecoder Has overloading in C++ Python prototype (for reference only): create(filename, vocabulary, transition_probabilities_table, emission_probabilities_table[, mode[, classifier]]) -&gt; retval Variant 2: Creates an instance of the OCRHMMDecoder class. Initializes HMMDecoder. Positional Arguments classifier : Evision.Text.OCRHMMDecoder.ClassifierCallback.t() . The character classifier with built in feature extractor. vocabulary : String . The language vocabulary (chars when ascii english text). vocabulary.size() must be equal to the number of classes of the classifier. transition_probabilities_table : Evision.Mat.t() . Table with transition probabilities between character pairs. cols == rows == vocabulary.size(). emission_probabilities_table : Evision.Mat.t() . Table with observation emission probabilities. cols == rows == vocabulary.size(). Keyword Arguments mode : int . HMM Decoding algorithm. Only OCR_DECODER_VITERBI is available for the moment ( http://en.wikipedia.org/wiki/Viterbi_algorithm ). Return retval : OCRHMMDecoder Python prototype (for reference only): create(classifier, vocabulary, transition_probabilities_table, emission_probabilities_table[, mode]) -&gt; retval","ref":"Evision.Text.OCRHMMDecoder.html#create/5","title":"Evision.Text.OCRHMMDecoder.create/5","type":"function"},{"doc":"Recognize text using HMM. Positional Arguments self : Evision.Text.OCRHMMDecoder.t() image : Evision.Mat.t() . Input image CV_8UC1 or CV_8UC3 with a single text line (or word). min_confidence : int Keyword Arguments component_level : int . Only OCR_LEVEL_WORD is supported. Return retval : String Takes an image and a mask (where each connected component corresponds to a segmented character) on input and returns recognized text in the output_text parameter. Optionally provides also the Rects for individual text elements found (e.g. words), and the list of those text elements with their confidence values. Python prototype (for reference only): run(image, min_confidence[, component_level]) -&gt; retval","ref":"Evision.Text.OCRHMMDecoder.html#run/3","title":"Evision.Text.OCRHMMDecoder.run/3","type":"function"},{"doc":"Variant 1: run Positional Arguments self : Evision.Text.OCRHMMDecoder.t() image : Evision.Mat.t() mask : Evision.Mat.t() min_confidence : int Keyword Arguments component_level : int . Return retval : String Python prototype (for reference only): run(image, mask, min_confidence[, component_level]) -&gt; retval Variant 2: Recognize text using HMM. Positional Arguments self : Evision.Text.OCRHMMDecoder.t() image : Evision.Mat.t() . Input image CV_8UC1 or CV_8UC3 with a single text line (or word). min_confidence : int Keyword Arguments component_level : int . Only OCR_LEVEL_WORD is supported. Return retval : String Takes an image and a mask (where each connected component corresponds to a segmented character) on input and returns recognized text in the output_text parameter. Optionally provides also the Rects for individual text elements found (e.g. words), and the list of those text elements with their confidence values. Python prototype (for reference only): run(image, min_confidence[, component_level]) -&gt; retval","ref":"Evision.Text.OCRHMMDecoder.html#run/4","title":"Evision.Text.OCRHMMDecoder.run/4","type":"function"},{"doc":"run Positional Arguments self : Evision.Text.OCRHMMDecoder.t() image : Evision.Mat.t() mask : Evision.Mat.t() min_confidence : int Keyword Arguments component_level : int . Return retval : String Python prototype (for reference only): run(image, mask, min_confidence[, component_level]) -&gt; retval","ref":"Evision.Text.OCRHMMDecoder.html#run/5","title":"Evision.Text.OCRHMMDecoder.run/5","type":"function"},{"doc":"Type that represents an Text.OCRHMMDecoder struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Text.OCRHMMDecoder.html#t:t/0","title":"Evision.Text.OCRHMMDecoder.t/0","type":"type"},{"doc":"","ref":"Evision.Text.OCRTesseract.html","title":"Evision.Text.OCRTesseract","type":"module"},{"doc":"Creates an instance of the OCRTesseract class. Initializes Tesseract. Keyword Arguments datapath : c_string . the name of the parent directory of tessdata ended with &quot;/&quot;, or NULL to use the system's default directory. language : c_string . an ISO 639-3 code or NULL will default to &quot;eng&quot;. char_whitelist : c_string . specifies the list of characters used for recognition. NULL defaults to &quot;0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ&quot;. oem : int . tesseract-ocr offers different OCR Engine Modes (OEM), by default tesseract::OEM_DEFAULT is used. See the tesseract-ocr API documentation for other possible values. psmode : int . tesseract-ocr offers different Page Segmentation Modes (PSM) tesseract::PSM_AUTO (fully automatic layout analysis) is used. See the tesseract-ocr API documentation for other possible values. Return retval : OCRTesseract Python prototype (for reference only): create([, datapath[, language[, char_whitelist[, oem[, psmode]]]]]) -&gt; retval","ref":"Evision.Text.OCRTesseract.html#create/0","title":"Evision.Text.OCRTesseract.create/0","type":"function"},{"doc":"Creates an instance of the OCRTesseract class. Initializes Tesseract. Keyword Arguments datapath : c_string . the name of the parent directory of tessdata ended with &quot;/&quot;, or NULL to use the system's default directory. language : c_string . an ISO 639-3 code or NULL will default to &quot;eng&quot;. char_whitelist : c_string . specifies the list of characters used for recognition. NULL defaults to &quot;0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ&quot;. oem : int . tesseract-ocr offers different OCR Engine Modes (OEM), by default tesseract::OEM_DEFAULT is used. See the tesseract-ocr API documentation for other possible values. psmode : int . tesseract-ocr offers different Page Segmentation Modes (PSM) tesseract::PSM_AUTO (fully automatic layout analysis) is used. See the tesseract-ocr API documentation for other possible values. Return retval : OCRTesseract Python prototype (for reference only): create([, datapath[, language[, char_whitelist[, oem[, psmode]]]]]) -&gt; retval","ref":"Evision.Text.OCRTesseract.html#create/1","title":"Evision.Text.OCRTesseract.create/1","type":"function"},{"doc":"Recognize text using the tesseract-ocr API. Positional Arguments self : Evision.Text.OCRTesseract.t() image : Evision.Mat.t() . Input image CV_8UC1 or CV_8UC3 min_confidence : int Keyword Arguments component_level : int . OCR_LEVEL_WORD (by default), or OCR_LEVEL_TEXTLINE. Return retval : String Takes image on input and returns recognized text in the output_text parameter. Optionally provides also the Rects for individual text elements found (e.g. words), and the list of those text elements with their confidence values. Python prototype (for reference only): run(image, min_confidence[, component_level]) -&gt; retval","ref":"Evision.Text.OCRTesseract.html#run/3","title":"Evision.Text.OCRTesseract.run/3","type":"function"},{"doc":"Variant 1: run Positional Arguments self : Evision.Text.OCRTesseract.t() image : Evision.Mat.t() mask : Evision.Mat.t() min_confidence : int Keyword Arguments component_level : int . Return retval : String Python prototype (for reference only): run(image, mask, min_confidence[, component_level]) -&gt; retval Variant 2: Recognize text using the tesseract-ocr API. Positional Arguments self : Evision.Text.OCRTesseract.t() image : Evision.Mat.t() . Input image CV_8UC1 or CV_8UC3 min_confidence : int Keyword Arguments component_level : int . OCR_LEVEL_WORD (by default), or OCR_LEVEL_TEXTLINE. Return retval : String Takes image on input and returns recognized text in the output_text parameter. Optionally provides also the Rects for individual text elements found (e.g. words), and the list of those text elements with their confidence values. Python prototype (for reference only): run(image, min_confidence[, component_level]) -&gt; retval","ref":"Evision.Text.OCRTesseract.html#run/4","title":"Evision.Text.OCRTesseract.run/4","type":"function"},{"doc":"run Positional Arguments self : Evision.Text.OCRTesseract.t() image : Evision.Mat.t() mask : Evision.Mat.t() min_confidence : int Keyword Arguments component_level : int . Return retval : String Python prototype (for reference only): run(image, mask, min_confidence[, component_level]) -&gt; retval","ref":"Evision.Text.OCRTesseract.html#run/5","title":"Evision.Text.OCRTesseract.run/5","type":"function"},{"doc":"setWhiteList Positional Arguments self : Evision.Text.OCRTesseract.t() char_whitelist : String Python prototype (for reference only): setWhiteList(char_whitelist) -&gt; None","ref":"Evision.Text.OCRTesseract.html#setWhiteList/2","title":"Evision.Text.OCRTesseract.setWhiteList/2","type":"function"},{"doc":"Type that represents an Text.OCRTesseract struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Text.OCRTesseract.html#t:t/0","title":"Evision.Text.OCRTesseract.t/0","type":"type"},{"doc":"","ref":"Evision.Text.TextDetector.html","title":"Evision.Text.TextDetector","type":"module"},{"doc":"Method that provides a quick and simple interface to detect text inside an image Positional Arguments self : Evision.Text.TextDetector.t() inputImage : Evision.Mat.t() . an image to process Return bbox : [Rect] . a vector of Rect that will store the detected word bounding box confidence : [float] . a vector of float that will be updated with the confidence the classifier has for the selected bounding box Python prototype (for reference only): detect(inputImage) -&gt; Bbox, confidence","ref":"Evision.Text.TextDetector.html#detect/2","title":"Evision.Text.TextDetector.detect/2","type":"function"},{"doc":"Type that represents an Text.TextDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Text.TextDetector.html#t:t/0","title":"Evision.Text.TextDetector.t/0","type":"type"},{"doc":"","ref":"Evision.Text.TextDetectorCNN.html","title":"Evision.Text.TextDetectorCNN","type":"module"},{"doc":"create Positional Arguments modelArchFilename : String modelWeightsFilename : String Return retval : TextDetectorCNN Has overloading in C++ Python prototype (for reference only): create(modelArchFilename, modelWeightsFilename) -&gt; retval","ref":"Evision.Text.TextDetectorCNN.html#create/2","title":"Evision.Text.TextDetectorCNN.create/2","type":"function"},{"doc":"detect Positional Arguments self : Evision.Text.TextDetectorCNN.t() inputImage : Evision.Mat.t() . an image expected to be a CV_U8C3 of any size Return bbox : [Rect] . a vector of Rect that will store the detected word bounding box confidence : [float] . a vector of float that will be updated with the confidence the classifier has for the selected bounding box Has overloading in C++ Python prototype (for reference only): detect(inputImage) -&gt; Bbox, confidence","ref":"Evision.Text.TextDetectorCNN.html#detect/2","title":"Evision.Text.TextDetectorCNN.detect/2","type":"function"},{"doc":"Type that represents an Text.TextDetectorCNN struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Text.TextDetectorCNN.html#t:t/0","title":"Evision.Text.TextDetectorCNN.t/0","type":"type"},{"doc":"","ref":"Evision.ThinPlateSplineShapeTransformer.html","title":"Evision.ThinPlateSplineShapeTransformer","type":"module"},{"doc":"getRegularizationParameter Positional Arguments self : Evision.ThinPlateSplineShapeTransformer.t() Return retval : double Python prototype (for reference only): getRegularizationParameter() -&gt; retval","ref":"Evision.ThinPlateSplineShapeTransformer.html#getRegularizationParameter/1","title":"Evision.ThinPlateSplineShapeTransformer.getRegularizationParameter/1","type":"function"},{"doc":"Set the regularization parameter for relaxing the exact interpolation requirements of the TPS algorithm. Positional Arguments self : Evision.ThinPlateSplineShapeTransformer.t() beta : double . value of the regularization parameter. Python prototype (for reference only): setRegularizationParameter(beta) -&gt; None","ref":"Evision.ThinPlateSplineShapeTransformer.html#setRegularizationParameter/2","title":"Evision.ThinPlateSplineShapeTransformer.setRegularizationParameter/2","type":"function"},{"doc":"Type that represents an ThinPlateSplineShapeTransformer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.ThinPlateSplineShapeTransformer.html#t:t/0","title":"Evision.ThinPlateSplineShapeTransformer.t/0","type":"type"},{"doc":"","ref":"Evision.TickMeter.html","title":"Evision.TickMeter","type":"module"},{"doc":"getAvgTimeMilli Positional Arguments self : Evision.TickMeter.t() Return retval : double Python prototype (for reference only): getAvgTimeMilli() -&gt; retval","ref":"Evision.TickMeter.html#getAvgTimeMilli/1","title":"Evision.TickMeter.getAvgTimeMilli/1","type":"function"},{"doc":"getAvgTimeSec Positional Arguments self : Evision.TickMeter.t() Return retval : double Python prototype (for reference only): getAvgTimeSec() -&gt; retval","ref":"Evision.TickMeter.html#getAvgTimeSec/1","title":"Evision.TickMeter.getAvgTimeSec/1","type":"function"},{"doc":"getCounter Positional Arguments self : Evision.TickMeter.t() Return retval : int64 Python prototype (for reference only): getCounter() -&gt; retval","ref":"Evision.TickMeter.html#getCounter/1","title":"Evision.TickMeter.getCounter/1","type":"function"},{"doc":"getFPS Positional Arguments self : Evision.TickMeter.t() Return retval : double Python prototype (for reference only): getFPS() -&gt; retval","ref":"Evision.TickMeter.html#getFPS/1","title":"Evision.TickMeter.getFPS/1","type":"function"},{"doc":"getTimeMicro Positional Arguments self : Evision.TickMeter.t() Return retval : double Python prototype (for reference only): getTimeMicro() -&gt; retval","ref":"Evision.TickMeter.html#getTimeMicro/1","title":"Evision.TickMeter.getTimeMicro/1","type":"function"},{"doc":"getTimeMilli Positional Arguments self : Evision.TickMeter.t() Return retval : double Python prototype (for reference only): getTimeMilli() -&gt; retval","ref":"Evision.TickMeter.html#getTimeMilli/1","title":"Evision.TickMeter.getTimeMilli/1","type":"function"},{"doc":"getTimeSec Positional Arguments self : Evision.TickMeter.t() Return retval : double Python prototype (for reference only): getTimeSec() -&gt; retval","ref":"Evision.TickMeter.html#getTimeSec/1","title":"Evision.TickMeter.getTimeSec/1","type":"function"},{"doc":"getTimeTicks Positional Arguments self : Evision.TickMeter.t() Return retval : int64 Python prototype (for reference only): getTimeTicks() -&gt; retval","ref":"Evision.TickMeter.html#getTimeTicks/1","title":"Evision.TickMeter.getTimeTicks/1","type":"function"},{"doc":"reset Positional Arguments self : Evision.TickMeter.t() Python prototype (for reference only): reset() -&gt; None","ref":"Evision.TickMeter.html#reset/1","title":"Evision.TickMeter.reset/1","type":"function"},{"doc":"start Positional Arguments self : Evision.TickMeter.t() Python prototype (for reference only): start() -&gt; None","ref":"Evision.TickMeter.html#start/1","title":"Evision.TickMeter.start/1","type":"function"},{"doc":"stop Positional Arguments self : Evision.TickMeter.t() Python prototype (for reference only): stop() -&gt; None","ref":"Evision.TickMeter.html#stop/1","title":"Evision.TickMeter.stop/1","type":"function"},{"doc":"TickMeter Return self : Evision.TickMeter.t() Python prototype (for reference only): TickMeter() -&gt; &lt;TickMeter object&gt;","ref":"Evision.TickMeter.html#tickMeter/0","title":"Evision.TickMeter.tickMeter/0","type":"function"},{"doc":"Type that represents an TickMeter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TickMeter.html#t:t/0","title":"Evision.TickMeter.t/0","type":"type"},{"doc":"","ref":"Evision.Tonemap.html","title":"Evision.Tonemap","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.Tonemap.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.Tonemap.html#clear/1","title":"Evision.Tonemap.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.Tonemap.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.Tonemap.html#empty/1","title":"Evision.Tonemap.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.Tonemap.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.Tonemap.html#getDefaultName/1","title":"Evision.Tonemap.getDefaultName/1","type":"function"},{"doc":"getGamma Positional Arguments self : Evision.Tonemap.t() Return retval : float Python prototype (for reference only): getGamma() -&gt; retval","ref":"Evision.Tonemap.html#getGamma/1","title":"Evision.Tonemap.getGamma/1","type":"function"},{"doc":"Tonemaps image Positional Arguments self : Evision.Tonemap.t() src : Evision.Mat.t() . source image - CV_32FC3 Mat (float 32 bits 3 channels) Return dst : Evision.Mat.t() . destination image - CV_32FC3 Mat with values in [0, 1] range Python prototype (for reference only): process(src[, dst]) -&gt; dst","ref":"Evision.Tonemap.html#process/2","title":"Evision.Tonemap.process/2","type":"function"},{"doc":"Tonemaps image Positional Arguments self : Evision.Tonemap.t() src : Evision.Mat.t() . source image - CV_32FC3 Mat (float 32 bits 3 channels) Return dst : Evision.Mat.t() . destination image - CV_32FC3 Mat with values in [0, 1] range Python prototype (for reference only): process(src[, dst]) -&gt; dst","ref":"Evision.Tonemap.html#process/3","title":"Evision.Tonemap.process/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.Tonemap.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.Tonemap.html#read/2","title":"Evision.Tonemap.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.Tonemap.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.Tonemap.html#save/2","title":"Evision.Tonemap.save/2","type":"function"},{"doc":"setGamma Positional Arguments self : Evision.Tonemap.t() gamma : float Python prototype (for reference only): setGamma(gamma) -&gt; None","ref":"Evision.Tonemap.html#setGamma/2","title":"Evision.Tonemap.setGamma/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.Tonemap.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.Tonemap.html#write/2","title":"Evision.Tonemap.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.Tonemap.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.Tonemap.html#write/3","title":"Evision.Tonemap.write/3","type":"function"},{"doc":"Type that represents an Tonemap struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Tonemap.html#t:t/0","title":"Evision.Tonemap.t/0","type":"type"},{"doc":"","ref":"Evision.TonemapDrago.html","title":"Evision.TonemapDrago","type":"module"},{"doc":"getBias Positional Arguments self : Evision.TonemapDrago.t() Return retval : float Python prototype (for reference only): getBias() -&gt; retval","ref":"Evision.TonemapDrago.html#getBias/1","title":"Evision.TonemapDrago.getBias/1","type":"function"},{"doc":"getSaturation Positional Arguments self : Evision.TonemapDrago.t() Return retval : float Python prototype (for reference only): getSaturation() -&gt; retval","ref":"Evision.TonemapDrago.html#getSaturation/1","title":"Evision.TonemapDrago.getSaturation/1","type":"function"},{"doc":"setBias Positional Arguments self : Evision.TonemapDrago.t() bias : float Python prototype (for reference only): setBias(bias) -&gt; None","ref":"Evision.TonemapDrago.html#setBias/2","title":"Evision.TonemapDrago.setBias/2","type":"function"},{"doc":"setSaturation Positional Arguments self : Evision.TonemapDrago.t() saturation : float Python prototype (for reference only): setSaturation(saturation) -&gt; None","ref":"Evision.TonemapDrago.html#setSaturation/2","title":"Evision.TonemapDrago.setSaturation/2","type":"function"},{"doc":"Type that represents an TonemapDrago struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TonemapDrago.html#t:t/0","title":"Evision.TonemapDrago.t/0","type":"type"},{"doc":"","ref":"Evision.TonemapMantiuk.html","title":"Evision.TonemapMantiuk","type":"module"},{"doc":"getSaturation Positional Arguments self : Evision.TonemapMantiuk.t() Return retval : float Python prototype (for reference only): getSaturation() -&gt; retval","ref":"Evision.TonemapMantiuk.html#getSaturation/1","title":"Evision.TonemapMantiuk.getSaturation/1","type":"function"},{"doc":"getScale Positional Arguments self : Evision.TonemapMantiuk.t() Return retval : float Python prototype (for reference only): getScale() -&gt; retval","ref":"Evision.TonemapMantiuk.html#getScale/1","title":"Evision.TonemapMantiuk.getScale/1","type":"function"},{"doc":"setSaturation Positional Arguments self : Evision.TonemapMantiuk.t() saturation : float Python prototype (for reference only): setSaturation(saturation) -&gt; None","ref":"Evision.TonemapMantiuk.html#setSaturation/2","title":"Evision.TonemapMantiuk.setSaturation/2","type":"function"},{"doc":"setScale Positional Arguments self : Evision.TonemapMantiuk.t() scale : float Python prototype (for reference only): setScale(scale) -&gt; None","ref":"Evision.TonemapMantiuk.html#setScale/2","title":"Evision.TonemapMantiuk.setScale/2","type":"function"},{"doc":"Type that represents an TonemapMantiuk struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TonemapMantiuk.html#t:t/0","title":"Evision.TonemapMantiuk.t/0","type":"type"},{"doc":"","ref":"Evision.TonemapReinhard.html","title":"Evision.TonemapReinhard","type":"module"},{"doc":"getColorAdaptation Positional Arguments self : Evision.TonemapReinhard.t() Return retval : float Python prototype (for reference only): getColorAdaptation() -&gt; retval","ref":"Evision.TonemapReinhard.html#getColorAdaptation/1","title":"Evision.TonemapReinhard.getColorAdaptation/1","type":"function"},{"doc":"getIntensity Positional Arguments self : Evision.TonemapReinhard.t() Return retval : float Python prototype (for reference only): getIntensity() -&gt; retval","ref":"Evision.TonemapReinhard.html#getIntensity/1","title":"Evision.TonemapReinhard.getIntensity/1","type":"function"},{"doc":"getLightAdaptation Positional Arguments self : Evision.TonemapReinhard.t() Return retval : float Python prototype (for reference only): getLightAdaptation() -&gt; retval","ref":"Evision.TonemapReinhard.html#getLightAdaptation/1","title":"Evision.TonemapReinhard.getLightAdaptation/1","type":"function"},{"doc":"setColorAdaptation Positional Arguments self : Evision.TonemapReinhard.t() color_adapt : float Python prototype (for reference only): setColorAdaptation(color_adapt) -&gt; None","ref":"Evision.TonemapReinhard.html#setColorAdaptation/2","title":"Evision.TonemapReinhard.setColorAdaptation/2","type":"function"},{"doc":"setIntensity Positional Arguments self : Evision.TonemapReinhard.t() intensity : float Python prototype (for reference only): setIntensity(intensity) -&gt; None","ref":"Evision.TonemapReinhard.html#setIntensity/2","title":"Evision.TonemapReinhard.setIntensity/2","type":"function"},{"doc":"setLightAdaptation Positional Arguments self : Evision.TonemapReinhard.t() light_adapt : float Python prototype (for reference only): setLightAdaptation(light_adapt) -&gt; None","ref":"Evision.TonemapReinhard.html#setLightAdaptation/2","title":"Evision.TonemapReinhard.setLightAdaptation/2","type":"function"},{"doc":"Type that represents an TonemapReinhard struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TonemapReinhard.html#t:t/0","title":"Evision.TonemapReinhard.t/0","type":"type"},{"doc":"","ref":"Evision.Tracker.html","title":"Evision.Tracker","type":"module"},{"doc":"Initialize the tracker with a known bounding box that surrounded the target Positional Arguments self : Evision.Tracker.t() image : Evision.Mat.t() . The initial frame boundingBox : Rect . The initial bounding box Python prototype (for reference only): init(image, boundingBox) -&gt; None","ref":"Evision.Tracker.html#init/3","title":"Evision.Tracker.init/3","type":"function"},{"doc":"Update the tracker, find the new most likely bounding box for the target Positional Arguments self : Evision.Tracker.t() image : Evision.Mat.t() . The current frame Return retval : bool boundingBox : Rect . The bounding box that represent the new target location, if true was returned, not modified otherwise @return True means that target was located and false means that tracker cannot locate target in current frame. Note, that latter does not imply that tracker has failed, maybe target is indeed missing from the frame (say, out of sight) Python prototype (for reference only): update(image) -&gt; retval, boundingBox","ref":"Evision.Tracker.html#update/2","title":"Evision.Tracker.update/2","type":"function"},{"doc":"Type that represents an Tracker struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Tracker.html#t:t/0","title":"Evision.Tracker.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerCSRT.html","title":"Evision.TrackerCSRT","type":"module"},{"doc":"Create CSRT tracker instance Keyword Arguments parameters : Evision.TrackerCSRT.Params.t() . CSRT parameters TrackerCSRT::Params Return retval : Evision.TrackerCSRT.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerCSRT.html#create/0","title":"Evision.TrackerCSRT.create/0","type":"function"},{"doc":"Create CSRT tracker instance Keyword Arguments parameters : Evision.TrackerCSRT.Params.t() . CSRT parameters TrackerCSRT::Params Return retval : Evision.TrackerCSRT.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerCSRT.html#create/1","title":"Evision.TrackerCSRT.create/1","type":"function"},{"doc":"setInitialMask Positional Arguments self : Evision.TrackerCSRT.t() mask : Evision.Mat.t() Python prototype (for reference only): setInitialMask(mask) -&gt; None","ref":"Evision.TrackerCSRT.html#setInitialMask/2","title":"Evision.TrackerCSRT.setInitialMask/2","type":"function"},{"doc":"Type that represents an TrackerCSRT struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerCSRT.html#t:t/0","title":"Evision.TrackerCSRT.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html","title":"Evision.TrackerCSRT.Params","type":"module"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_admm_iterations/1","title":"Evision.TrackerCSRT.Params.get_admm_iterations/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_background_ratio/1","title":"Evision.TrackerCSRT.Params.get_background_ratio/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_cheb_attenuation/1","title":"Evision.TrackerCSRT.Params.get_cheb_attenuation/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_filter_lr/1","title":"Evision.TrackerCSRT.Params.get_filter_lr/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_gsl_sigma/1","title":"Evision.TrackerCSRT.Params.get_gsl_sigma/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_histogram_bins/1","title":"Evision.TrackerCSRT.Params.get_histogram_bins/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_histogram_lr/1","title":"Evision.TrackerCSRT.Params.get_histogram_lr/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_hog_clip/1","title":"Evision.TrackerCSRT.Params.get_hog_clip/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_hog_orientations/1","title":"Evision.TrackerCSRT.Params.get_hog_orientations/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_kaiser_alpha/1","title":"Evision.TrackerCSRT.Params.get_kaiser_alpha/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_num_hog_channels_used/1","title":"Evision.TrackerCSRT.Params.get_num_hog_channels_used/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_number_of_scales/1","title":"Evision.TrackerCSRT.Params.get_number_of_scales/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_padding/1","title":"Evision.TrackerCSRT.Params.get_padding/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_psr_threshold/1","title":"Evision.TrackerCSRT.Params.get_psr_threshold/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_scale_lr/1","title":"Evision.TrackerCSRT.Params.get_scale_lr/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_scale_model_max_area/1","title":"Evision.TrackerCSRT.Params.get_scale_model_max_area/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_scale_sigma_factor/1","title":"Evision.TrackerCSRT.Params.get_scale_sigma_factor/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_scale_step/1","title":"Evision.TrackerCSRT.Params.get_scale_step/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_template_size/1","title":"Evision.TrackerCSRT.Params.get_template_size/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_use_channel_weights/1","title":"Evision.TrackerCSRT.Params.get_use_channel_weights/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_use_color_names/1","title":"Evision.TrackerCSRT.Params.get_use_color_names/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_use_gray/1","title":"Evision.TrackerCSRT.Params.get_use_gray/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_use_hog/1","title":"Evision.TrackerCSRT.Params.get_use_hog/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_use_rgb/1","title":"Evision.TrackerCSRT.Params.get_use_rgb/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_use_segmentation/1","title":"Evision.TrackerCSRT.Params.get_use_segmentation/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_weights_lr/1","title":"Evision.TrackerCSRT.Params.get_weights_lr/1","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#get_window_function/1","title":"Evision.TrackerCSRT.Params.get_window_function/1","type":"function"},{"doc":"TrackerCSRT_Params Return self : Evision.TrackerCSRT.Params.t() Python prototype (for reference only): TrackerCSRT_Params() -&gt; &lt;TrackerCSRT_Params object&gt;","ref":"Evision.TrackerCSRT.Params.html#params/0","title":"Evision.TrackerCSRT.Params.params/0","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_admm_iterations/2","title":"Evision.TrackerCSRT.Params.set_admm_iterations/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_background_ratio/2","title":"Evision.TrackerCSRT.Params.set_background_ratio/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_cheb_attenuation/2","title":"Evision.TrackerCSRT.Params.set_cheb_attenuation/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_filter_lr/2","title":"Evision.TrackerCSRT.Params.set_filter_lr/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_gsl_sigma/2","title":"Evision.TrackerCSRT.Params.set_gsl_sigma/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_histogram_bins/2","title":"Evision.TrackerCSRT.Params.set_histogram_bins/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_histogram_lr/2","title":"Evision.TrackerCSRT.Params.set_histogram_lr/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_hog_clip/2","title":"Evision.TrackerCSRT.Params.set_hog_clip/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_hog_orientations/2","title":"Evision.TrackerCSRT.Params.set_hog_orientations/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_kaiser_alpha/2","title":"Evision.TrackerCSRT.Params.set_kaiser_alpha/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_num_hog_channels_used/2","title":"Evision.TrackerCSRT.Params.set_num_hog_channels_used/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_number_of_scales/2","title":"Evision.TrackerCSRT.Params.set_number_of_scales/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_padding/2","title":"Evision.TrackerCSRT.Params.set_padding/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_psr_threshold/2","title":"Evision.TrackerCSRT.Params.set_psr_threshold/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_scale_lr/2","title":"Evision.TrackerCSRT.Params.set_scale_lr/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_scale_model_max_area/2","title":"Evision.TrackerCSRT.Params.set_scale_model_max_area/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_scale_sigma_factor/2","title":"Evision.TrackerCSRT.Params.set_scale_sigma_factor/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_scale_step/2","title":"Evision.TrackerCSRT.Params.set_scale_step/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_template_size/2","title":"Evision.TrackerCSRT.Params.set_template_size/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_use_channel_weights/2","title":"Evision.TrackerCSRT.Params.set_use_channel_weights/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_use_color_names/2","title":"Evision.TrackerCSRT.Params.set_use_color_names/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_use_gray/2","title":"Evision.TrackerCSRT.Params.set_use_gray/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_use_hog/2","title":"Evision.TrackerCSRT.Params.set_use_hog/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_use_rgb/2","title":"Evision.TrackerCSRT.Params.set_use_rgb/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_use_segmentation/2","title":"Evision.TrackerCSRT.Params.set_use_segmentation/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_weights_lr/2","title":"Evision.TrackerCSRT.Params.set_weights_lr/2","type":"function"},{"doc":"","ref":"Evision.TrackerCSRT.Params.html#set_window_function/2","title":"Evision.TrackerCSRT.Params.set_window_function/2","type":"function"},{"doc":"Type that represents an TrackerCSRT.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerCSRT.Params.html#t:t/0","title":"Evision.TrackerCSRT.Params.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.html","title":"Evision.TrackerDaSiamRPN","type":"module"},{"doc":"Constructor Keyword Arguments parameters : Evision.TrackerDaSiamRPN.Params.t() . DaSiamRPN parameters TrackerDaSiamRPN::Params Return retval : Evision.TrackerDaSiamRPN.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerDaSiamRPN.html#create/0","title":"Evision.TrackerDaSiamRPN.create/0","type":"function"},{"doc":"Constructor Keyword Arguments parameters : Evision.TrackerDaSiamRPN.Params.t() . DaSiamRPN parameters TrackerDaSiamRPN::Params Return retval : Evision.TrackerDaSiamRPN.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerDaSiamRPN.html#create/1","title":"Evision.TrackerDaSiamRPN.create/1","type":"function"},{"doc":"Return tracking score Positional Arguments self : Evision.TrackerDaSiamRPN.t() Return retval : float Python prototype (for reference only): getTrackingScore() -&gt; retval","ref":"Evision.TrackerDaSiamRPN.html#getTrackingScore/1","title":"Evision.TrackerDaSiamRPN.getTrackingScore/1","type":"function"},{"doc":"Type that represents an TrackerDaSiamRPN struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerDaSiamRPN.html#t:t/0","title":"Evision.TrackerDaSiamRPN.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html","title":"Evision.TrackerDaSiamRPN.Params","type":"module"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html#get_backend/1","title":"Evision.TrackerDaSiamRPN.Params.get_backend/1","type":"function"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html#get_kernel_cls1/1","title":"Evision.TrackerDaSiamRPN.Params.get_kernel_cls1/1","type":"function"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html#get_kernel_r1/1","title":"Evision.TrackerDaSiamRPN.Params.get_kernel_r1/1","type":"function"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html#get_model/1","title":"Evision.TrackerDaSiamRPN.Params.get_model/1","type":"function"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html#get_target/1","title":"Evision.TrackerDaSiamRPN.Params.get_target/1","type":"function"},{"doc":"TrackerDaSiamRPN_Params Return self : Evision.TrackerDaSiamRPN.Params.t() Python prototype (for reference only): TrackerDaSiamRPN_Params() -&gt; &lt;TrackerDaSiamRPN_Params object&gt;","ref":"Evision.TrackerDaSiamRPN.Params.html#params/0","title":"Evision.TrackerDaSiamRPN.Params.params/0","type":"function"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html#set_backend/2","title":"Evision.TrackerDaSiamRPN.Params.set_backend/2","type":"function"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html#set_kernel_cls1/2","title":"Evision.TrackerDaSiamRPN.Params.set_kernel_cls1/2","type":"function"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html#set_kernel_r1/2","title":"Evision.TrackerDaSiamRPN.Params.set_kernel_r1/2","type":"function"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html#set_model/2","title":"Evision.TrackerDaSiamRPN.Params.set_model/2","type":"function"},{"doc":"","ref":"Evision.TrackerDaSiamRPN.Params.html#set_target/2","title":"Evision.TrackerDaSiamRPN.Params.set_target/2","type":"function"},{"doc":"Type that represents an TrackerDaSiamRPN.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerDaSiamRPN.Params.html#t:t/0","title":"Evision.TrackerDaSiamRPN.Params.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerGOTURN.html","title":"Evision.TrackerGOTURN","type":"module"},{"doc":"Constructor Keyword Arguments parameters : Evision.TrackerGOTURN.Params.t() . GOTURN parameters TrackerGOTURN::Params Return retval : Evision.TrackerGOTURN.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerGOTURN.html#create/0","title":"Evision.TrackerGOTURN.create/0","type":"function"},{"doc":"Constructor Keyword Arguments parameters : Evision.TrackerGOTURN.Params.t() . GOTURN parameters TrackerGOTURN::Params Return retval : Evision.TrackerGOTURN.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerGOTURN.html#create/1","title":"Evision.TrackerGOTURN.create/1","type":"function"},{"doc":"Type that represents an TrackerGOTURN struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerGOTURN.html#t:t/0","title":"Evision.TrackerGOTURN.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerGOTURN.Params.html","title":"Evision.TrackerGOTURN.Params","type":"module"},{"doc":"","ref":"Evision.TrackerGOTURN.Params.html#get_modelBin/1","title":"Evision.TrackerGOTURN.Params.get_modelBin/1","type":"function"},{"doc":"","ref":"Evision.TrackerGOTURN.Params.html#get_modelTxt/1","title":"Evision.TrackerGOTURN.Params.get_modelTxt/1","type":"function"},{"doc":"TrackerGOTURN_Params Return self : Evision.TrackerGOTURN.Params.t() Python prototype (for reference only): TrackerGOTURN_Params() -&gt; &lt;TrackerGOTURN_Params object&gt;","ref":"Evision.TrackerGOTURN.Params.html#params/0","title":"Evision.TrackerGOTURN.Params.params/0","type":"function"},{"doc":"","ref":"Evision.TrackerGOTURN.Params.html#set_modelBin/2","title":"Evision.TrackerGOTURN.Params.set_modelBin/2","type":"function"},{"doc":"","ref":"Evision.TrackerGOTURN.Params.html#set_modelTxt/2","title":"Evision.TrackerGOTURN.Params.set_modelTxt/2","type":"function"},{"doc":"Type that represents an TrackerGOTURN.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerGOTURN.Params.html#t:t/0","title":"Evision.TrackerGOTURN.Params.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerKCF.html","title":"Evision.TrackerKCF","type":"module"},{"doc":"Create KCF tracker instance Keyword Arguments parameters : Evision.TrackerKCF.Params.t() . KCF parameters TrackerKCF::Params Return retval : Evision.TrackerKCF.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerKCF.html#create/0","title":"Evision.TrackerKCF.create/0","type":"function"},{"doc":"Create KCF tracker instance Keyword Arguments parameters : Evision.TrackerKCF.Params.t() . KCF parameters TrackerKCF::Params Return retval : Evision.TrackerKCF.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerKCF.html#create/1","title":"Evision.TrackerKCF.create/1","type":"function"},{"doc":"Type that represents an TrackerKCF struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerKCF.html#t:t/0","title":"Evision.TrackerKCF.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerKCF.Params.html","title":"Evision.TrackerKCF.Params","type":"module"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_compress_feature/1","title":"Evision.TrackerKCF.Params.get_compress_feature/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_compressed_size/1","title":"Evision.TrackerKCF.Params.get_compressed_size/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_desc_npca/1","title":"Evision.TrackerKCF.Params.get_desc_npca/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_desc_pca/1","title":"Evision.TrackerKCF.Params.get_desc_pca/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_detect_thresh/1","title":"Evision.TrackerKCF.Params.get_detect_thresh/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_interp_factor/1","title":"Evision.TrackerKCF.Params.get_interp_factor/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_lambda/1","title":"Evision.TrackerKCF.Params.get_lambda/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_max_patch_size/1","title":"Evision.TrackerKCF.Params.get_max_patch_size/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_output_sigma_factor/1","title":"Evision.TrackerKCF.Params.get_output_sigma_factor/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_pca_learning_rate/1","title":"Evision.TrackerKCF.Params.get_pca_learning_rate/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_resize/1","title":"Evision.TrackerKCF.Params.get_resize/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_sigma/1","title":"Evision.TrackerKCF.Params.get_sigma/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_split_coeff/1","title":"Evision.TrackerKCF.Params.get_split_coeff/1","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#get_wrap_kernel/1","title":"Evision.TrackerKCF.Params.get_wrap_kernel/1","type":"function"},{"doc":"TrackerKCF_Params Return self : Evision.TrackerKCF.Params.t() Python prototype (for reference only): TrackerKCF_Params() -&gt; &lt;TrackerKCF_Params object&gt;","ref":"Evision.TrackerKCF.Params.html#params/0","title":"Evision.TrackerKCF.Params.params/0","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_compress_feature/2","title":"Evision.TrackerKCF.Params.set_compress_feature/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_compressed_size/2","title":"Evision.TrackerKCF.Params.set_compressed_size/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_desc_npca/2","title":"Evision.TrackerKCF.Params.set_desc_npca/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_desc_pca/2","title":"Evision.TrackerKCF.Params.set_desc_pca/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_detect_thresh/2","title":"Evision.TrackerKCF.Params.set_detect_thresh/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_interp_factor/2","title":"Evision.TrackerKCF.Params.set_interp_factor/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_lambda/2","title":"Evision.TrackerKCF.Params.set_lambda/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_max_patch_size/2","title":"Evision.TrackerKCF.Params.set_max_patch_size/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_output_sigma_factor/2","title":"Evision.TrackerKCF.Params.set_output_sigma_factor/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_pca_learning_rate/2","title":"Evision.TrackerKCF.Params.set_pca_learning_rate/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_resize/2","title":"Evision.TrackerKCF.Params.set_resize/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_sigma/2","title":"Evision.TrackerKCF.Params.set_sigma/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_split_coeff/2","title":"Evision.TrackerKCF.Params.set_split_coeff/2","type":"function"},{"doc":"","ref":"Evision.TrackerKCF.Params.html#set_wrap_kernel/2","title":"Evision.TrackerKCF.Params.set_wrap_kernel/2","type":"function"},{"doc":"Type that represents an TrackerKCF.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerKCF.Params.html#t:t/0","title":"Evision.TrackerKCF.Params.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerMIL.html","title":"Evision.TrackerMIL","type":"module"},{"doc":"Create MIL tracker instance Keyword Arguments parameters : Evision.TrackerMIL.Params.t() . MIL parameters TrackerMIL::Params Return retval : Evision.TrackerMIL.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerMIL.html#create/0","title":"Evision.TrackerMIL.create/0","type":"function"},{"doc":"Create MIL tracker instance Keyword Arguments parameters : Evision.TrackerMIL.Params.t() . MIL parameters TrackerMIL::Params Return retval : Evision.TrackerMIL.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerMIL.html#create/1","title":"Evision.TrackerMIL.create/1","type":"function"},{"doc":"Type that represents an TrackerMIL struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerMIL.html#t:t/0","title":"Evision.TrackerMIL.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerMIL.Params.html","title":"Evision.TrackerMIL.Params","type":"module"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#get_featureSetNumFeatures/1","title":"Evision.TrackerMIL.Params.get_featureSetNumFeatures/1","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#get_samplerInitInRadius/1","title":"Evision.TrackerMIL.Params.get_samplerInitInRadius/1","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#get_samplerInitMaxNegNum/1","title":"Evision.TrackerMIL.Params.get_samplerInitMaxNegNum/1","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#get_samplerSearchWinSize/1","title":"Evision.TrackerMIL.Params.get_samplerSearchWinSize/1","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#get_samplerTrackInRadius/1","title":"Evision.TrackerMIL.Params.get_samplerTrackInRadius/1","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#get_samplerTrackMaxNegNum/1","title":"Evision.TrackerMIL.Params.get_samplerTrackMaxNegNum/1","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#get_samplerTrackMaxPosNum/1","title":"Evision.TrackerMIL.Params.get_samplerTrackMaxPosNum/1","type":"function"},{"doc":"TrackerMIL_Params Return self : Evision.TrackerMIL.Params.t() Python prototype (for reference only): TrackerMIL_Params() -&gt; &lt;TrackerMIL_Params object&gt;","ref":"Evision.TrackerMIL.Params.html#params/0","title":"Evision.TrackerMIL.Params.params/0","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#set_featureSetNumFeatures/2","title":"Evision.TrackerMIL.Params.set_featureSetNumFeatures/2","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#set_samplerInitInRadius/2","title":"Evision.TrackerMIL.Params.set_samplerInitInRadius/2","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#set_samplerInitMaxNegNum/2","title":"Evision.TrackerMIL.Params.set_samplerInitMaxNegNum/2","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#set_samplerSearchWinSize/2","title":"Evision.TrackerMIL.Params.set_samplerSearchWinSize/2","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#set_samplerTrackInRadius/2","title":"Evision.TrackerMIL.Params.set_samplerTrackInRadius/2","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#set_samplerTrackMaxNegNum/2","title":"Evision.TrackerMIL.Params.set_samplerTrackMaxNegNum/2","type":"function"},{"doc":"","ref":"Evision.TrackerMIL.Params.html#set_samplerTrackMaxPosNum/2","title":"Evision.TrackerMIL.Params.set_samplerTrackMaxPosNum/2","type":"function"},{"doc":"Type that represents an TrackerMIL.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerMIL.Params.html#t:t/0","title":"Evision.TrackerMIL.Params.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerNano.html","title":"Evision.TrackerNano","type":"module"},{"doc":"Constructor Keyword Arguments parameters : Evision.TrackerNano.Params.t() . NanoTrack parameters TrackerNano::Params Return retval : Evision.TrackerNano.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerNano.html#create/0","title":"Evision.TrackerNano.create/0","type":"function"},{"doc":"Constructor Keyword Arguments parameters : Evision.TrackerNano.Params.t() . NanoTrack parameters TrackerNano::Params Return retval : Evision.TrackerNano.t() Python prototype (for reference only): create([, parameters]) -&gt; retval","ref":"Evision.TrackerNano.html#create/1","title":"Evision.TrackerNano.create/1","type":"function"},{"doc":"Return tracking score Positional Arguments self : Evision.TrackerNano.t() Return retval : float Python prototype (for reference only): getTrackingScore() -&gt; retval","ref":"Evision.TrackerNano.html#getTrackingScore/1","title":"Evision.TrackerNano.getTrackingScore/1","type":"function"},{"doc":"Type that represents an TrackerNano struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerNano.html#t:t/0","title":"Evision.TrackerNano.t/0","type":"type"},{"doc":"","ref":"Evision.TrackerNano.Params.html","title":"Evision.TrackerNano.Params","type":"module"},{"doc":"","ref":"Evision.TrackerNano.Params.html#get_backbone/1","title":"Evision.TrackerNano.Params.get_backbone/1","type":"function"},{"doc":"","ref":"Evision.TrackerNano.Params.html#get_backend/1","title":"Evision.TrackerNano.Params.get_backend/1","type":"function"},{"doc":"","ref":"Evision.TrackerNano.Params.html#get_neckhead/1","title":"Evision.TrackerNano.Params.get_neckhead/1","type":"function"},{"doc":"","ref":"Evision.TrackerNano.Params.html#get_target/1","title":"Evision.TrackerNano.Params.get_target/1","type":"function"},{"doc":"TrackerNano_Params Return self : Evision.TrackerNano.Params.t() Python prototype (for reference only): TrackerNano_Params() -&gt; &lt;TrackerNano_Params object&gt;","ref":"Evision.TrackerNano.Params.html#params/0","title":"Evision.TrackerNano.Params.params/0","type":"function"},{"doc":"","ref":"Evision.TrackerNano.Params.html#set_backbone/2","title":"Evision.TrackerNano.Params.set_backbone/2","type":"function"},{"doc":"","ref":"Evision.TrackerNano.Params.html#set_backend/2","title":"Evision.TrackerNano.Params.set_backend/2","type":"function"},{"doc":"","ref":"Evision.TrackerNano.Params.html#set_neckhead/2","title":"Evision.TrackerNano.Params.set_neckhead/2","type":"function"},{"doc":"","ref":"Evision.TrackerNano.Params.html#set_target/2","title":"Evision.TrackerNano.Params.set_target/2","type":"function"},{"doc":"Type that represents an TrackerNano.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.TrackerNano.Params.html#t:t/0","title":"Evision.TrackerNano.Params.t/0","type":"type"},{"doc":"","ref":"Evision.UMat.html","title":"Evision.UMat","type":"module"},{"doc":"context Return retval : void* Python prototype (for reference only): context() -&gt; retval","ref":"Evision.UMat.html#context/0","title":"Evision.UMat.context/0","type":"function"},{"doc":"get Positional Arguments self : Evision.UMat.t() Return retval : Evision.Mat.t() Python prototype (for reference only): get() -&gt; retval","ref":"Evision.UMat.html#get/1","title":"Evision.UMat.get/1","type":"function"},{"doc":"","ref":"Evision.UMat.html#get_offset/1","title":"Evision.UMat.get_offset/1","type":"function"},{"doc":"handle Positional Arguments self : Evision.UMat.t() accessFlags : AccessFlag Return retval : void* Python prototype (for reference only): handle(accessFlags) -&gt; retval","ref":"Evision.UMat.html#handle/2","title":"Evision.UMat.handle/2","type":"function"},{"doc":"isContinuous Positional Arguments self : Evision.UMat.t() Return retval : bool Python prototype (for reference only): isContinuous() -&gt; retval","ref":"Evision.UMat.html#isContinuous/1","title":"Evision.UMat.isContinuous/1","type":"function"},{"doc":"isSubmatrix Positional Arguments self : Evision.UMat.t() Return retval : bool Python prototype (for reference only): isSubmatrix() -&gt; retval","ref":"Evision.UMat.html#isSubmatrix/1","title":"Evision.UMat.isSubmatrix/1","type":"function"},{"doc":"queue Return retval : void* Python prototype (for reference only): queue() -&gt; retval","ref":"Evision.UMat.html#queue/0","title":"Evision.UMat.queue/0","type":"function"},{"doc":"","ref":"Evision.UMat.html#set_offset/2","title":"Evision.UMat.set_offset/2","type":"function"},{"doc":"UMat Keyword Arguments usageFlags : UMatUsageFlags . Return self : Evision.Mat.t() Python prototype (for reference only): UMat([, usageFlags]) -&gt; &lt;UMat object&gt;","ref":"Evision.UMat.html#uMat/0","title":"Evision.UMat.uMat/0","type":"function"},{"doc":"Variant 1: UMat Positional Arguments m : Evision.Mat.t() Return self : Evision.Mat.t() Python prototype (for reference only): UMat(m) -&gt; &lt;UMat object&gt; Variant 2: UMat Keyword Arguments usageFlags : UMatUsageFlags . Return self : Evision.Mat.t() Python prototype (for reference only): UMat([, usageFlags]) -&gt; &lt;UMat object&gt;","ref":"Evision.UMat.html#uMat/1","title":"Evision.UMat.uMat/1","type":"function"},{"doc":"Variant 1: UMat Positional Arguments m : Evision.Mat.t() ranges : [Range] Return self : Evision.Mat.t() Python prototype (for reference only): UMat(m, ranges) -&gt; &lt;UMat object&gt; Variant 2: UMat Positional Arguments m : Evision.Mat.t() roi : Rect Return self : Evision.Mat.t() Python prototype (for reference only): UMat(m, roi) -&gt; &lt;UMat object&gt; Variant 3: UMat Positional Arguments m : Evision.Mat.t() rowRange : Range Keyword Arguments colRange : Range . Return self : Evision.Mat.t() Python prototype (for reference only): UMat(m, rowRange[, colRange]) -&gt; &lt;UMat object&gt; Variant 4: UMat Positional Arguments size : Size type : int Keyword Arguments usageFlags : UMatUsageFlags . Return self : Evision.Mat.t() Python prototype (for reference only): UMat(size, type[, usageFlags]) -&gt; &lt;UMat object&gt;","ref":"Evision.UMat.html#uMat/2","title":"Evision.UMat.uMat/2","type":"function"},{"doc":"Variant 1: UMat Positional Arguments size : Size type : int s : Scalar Keyword Arguments usageFlags : UMatUsageFlags . Return self : Evision.Mat.t() Python prototype (for reference only): UMat(size, type, s[, usageFlags]) -&gt; &lt;UMat object&gt; Variant 2: UMat Positional Arguments rows : int cols : int type : int Keyword Arguments usageFlags : UMatUsageFlags . Return self : Evision.Mat.t() Python prototype (for reference only): UMat(rows, cols, type[, usageFlags]) -&gt; &lt;UMat object&gt; Variant 3: UMat Positional Arguments m : Evision.Mat.t() rowRange : Range Keyword Arguments colRange : Range . Return self : Evision.Mat.t() Python prototype (for reference only): UMat(m, rowRange[, colRange]) -&gt; &lt;UMat object&gt; Variant 4: UMat Positional Arguments size : Size type : int Keyword Arguments usageFlags : UMatUsageFlags . Return self : Evision.Mat.t() Python prototype (for reference only): UMat(size, type[, usageFlags]) -&gt; &lt;UMat object&gt;","ref":"Evision.UMat.html#uMat/3","title":"Evision.UMat.uMat/3","type":"function"},{"doc":"Variant 1: UMat Positional Arguments rows : int cols : int type : int s : Scalar Keyword Arguments usageFlags : UMatUsageFlags . Return self : Evision.Mat.t() Python prototype (for reference only): UMat(rows, cols, type, s[, usageFlags]) -&gt; &lt;UMat object&gt; Variant 2: UMat Positional Arguments size : Size type : int s : Scalar Keyword Arguments usageFlags : UMatUsageFlags . Return self : Evision.Mat.t() Python prototype (for reference only): UMat(size, type, s[, usageFlags]) -&gt; &lt;UMat object&gt; Variant 3: UMat Positional Arguments rows : int cols : int type : int Keyword Arguments usageFlags : UMatUsageFlags . Return self : Evision.Mat.t() Python prototype (for reference only): UMat(rows, cols, type[, usageFlags]) -&gt; &lt;UMat object&gt;","ref":"Evision.UMat.html#uMat/4","title":"Evision.UMat.uMat/4","type":"function"},{"doc":"UMat Positional Arguments rows : int cols : int type : int s : Scalar Keyword Arguments usageFlags : UMatUsageFlags . Return self : Evision.Mat.t() Python prototype (for reference only): UMat(rows, cols, type, s[, usageFlags]) -&gt; &lt;UMat object&gt;","ref":"Evision.UMat.html#uMat/5","title":"Evision.UMat.uMat/5","type":"function"},{"doc":"Type that represents an UMat struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.UMat.html#t:t/0","title":"Evision.UMat.t/0","type":"type"},{"doc":"","ref":"Evision.UsacParams.html","title":"Evision.UsacParams","type":"module"},{"doc":"","ref":"Evision.UsacParams.html#get_confidence/1","title":"Evision.UsacParams.get_confidence/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#get_isParallel/1","title":"Evision.UsacParams.get_isParallel/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#get_loIterations/1","title":"Evision.UsacParams.get_loIterations/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#get_loMethod/1","title":"Evision.UsacParams.get_loMethod/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#get_loSampleSize/1","title":"Evision.UsacParams.get_loSampleSize/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#get_maxIterations/1","title":"Evision.UsacParams.get_maxIterations/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#get_neighborsSearch/1","title":"Evision.UsacParams.get_neighborsSearch/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#get_randomGeneratorState/1","title":"Evision.UsacParams.get_randomGeneratorState/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#get_sampler/1","title":"Evision.UsacParams.get_sampler/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#get_score/1","title":"Evision.UsacParams.get_score/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#get_threshold/1","title":"Evision.UsacParams.get_threshold/1","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_confidence/2","title":"Evision.UsacParams.set_confidence/2","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_isParallel/2","title":"Evision.UsacParams.set_isParallel/2","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_loIterations/2","title":"Evision.UsacParams.set_loIterations/2","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_loMethod/2","title":"Evision.UsacParams.set_loMethod/2","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_loSampleSize/2","title":"Evision.UsacParams.set_loSampleSize/2","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_maxIterations/2","title":"Evision.UsacParams.set_maxIterations/2","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_neighborsSearch/2","title":"Evision.UsacParams.set_neighborsSearch/2","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_randomGeneratorState/2","title":"Evision.UsacParams.set_randomGeneratorState/2","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_sampler/2","title":"Evision.UsacParams.set_sampler/2","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_score/2","title":"Evision.UsacParams.set_score/2","type":"function"},{"doc":"","ref":"Evision.UsacParams.html#set_threshold/2","title":"Evision.UsacParams.set_threshold/2","type":"function"},{"doc":"UsacParams Return self : Evision.UsacParams.t() Python prototype (for reference only): UsacParams() -&gt; &lt;UsacParams object&gt;","ref":"Evision.UsacParams.html#usacParams/0","title":"Evision.UsacParams.usacParams/0","type":"function"},{"doc":"Type that represents an UsacParams struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.UsacParams.html#t:t/0","title":"Evision.UsacParams.t/0","type":"type"},{"doc":"","ref":"Evision.Utils.html","title":"Evision.Utils","type":"module"},{"doc":"dumpBool Positional Arguments argument : bool Return retval : String Python prototype (for reference only): dumpBool(argument) -&gt; retval","ref":"Evision.Utils.html#dumpBool/1","title":"Evision.Utils.dumpBool/1","type":"function"},{"doc":"dumpCString Positional Arguments argument : c_string Return retval : String Python prototype (for reference only): dumpCString(argument) -&gt; retval","ref":"Evision.Utils.html#dumpCString/1","title":"Evision.Utils.dumpCString/1","type":"function"},{"doc":"dumpDouble Positional Arguments argument : double Return retval : String Python prototype (for reference only): dumpDouble(argument) -&gt; retval","ref":"Evision.Utils.html#dumpDouble/1","title":"Evision.Utils.dumpDouble/1","type":"function"},{"doc":"dumpFloat Positional Arguments argument : float Return retval : String Python prototype (for reference only): dumpFloat(argument) -&gt; retval","ref":"Evision.Utils.html#dumpFloat/1","title":"Evision.Utils.dumpFloat/1","type":"function"},{"doc":"dumpInputArray Positional Arguments argument : Evision.Mat.t() Return retval : String Python prototype (for reference only): dumpInputArray(argument) -&gt; retval","ref":"Evision.Utils.html#dumpInputArray/1","title":"Evision.Utils.dumpInputArray/1","type":"function"},{"doc":"dumpInputArrayOfArrays Positional Arguments argument : [Evision.Mat] Return retval : String Python prototype (for reference only): dumpInputArrayOfArrays(argument) -&gt; retval","ref":"Evision.Utils.html#dumpInputArrayOfArrays/1","title":"Evision.Utils.dumpInputArrayOfArrays/1","type":"function"},{"doc":"dumpInputOutputArray Return retval : String argument : Evision.Mat.t() Python prototype (for reference only): dumpInputOutputArray(argument) -&gt; retval, argument","ref":"Evision.Utils.html#dumpInputOutputArray/1","title":"Evision.Utils.dumpInputOutputArray/1","type":"function"},{"doc":"dumpInputOutputArrayOfArrays Return retval : String argument : [Evision.Mat] Python prototype (for reference only): dumpInputOutputArrayOfArrays(argument) -&gt; retval, argument","ref":"Evision.Utils.html#dumpInputOutputArrayOfArrays/1","title":"Evision.Utils.dumpInputOutputArrayOfArrays/1","type":"function"},{"doc":"dumpInt64 Positional Arguments argument : int64 Return retval : String Python prototype (for reference only): dumpInt64(argument) -&gt; retval","ref":"Evision.Utils.html#dumpInt64/1","title":"Evision.Utils.dumpInt64/1","type":"function"},{"doc":"dumpInt Positional Arguments argument : int Return retval : String Python prototype (for reference only): dumpInt(argument) -&gt; retval","ref":"Evision.Utils.html#dumpInt/1","title":"Evision.Utils.dumpInt/1","type":"function"},{"doc":"dumpRange Positional Arguments argument : Range Return retval : String Python prototype (for reference only): dumpRange(argument) -&gt; retval","ref":"Evision.Utils.html#dumpRange/1","title":"Evision.Utils.dumpRange/1","type":"function"},{"doc":"dumpRect Positional Arguments argument : Rect Return retval : String Python prototype (for reference only): dumpRect(argument) -&gt; retval","ref":"Evision.Utils.html#dumpRect/1","title":"Evision.Utils.dumpRect/1","type":"function"},{"doc":"dumpRotatedRect Positional Arguments argument : {centre={x, y}, size={s1, s2}, angle} Return retval : String Python prototype (for reference only): dumpRotatedRect(argument) -&gt; retval","ref":"Evision.Utils.html#dumpRotatedRect/1","title":"Evision.Utils.dumpRotatedRect/1","type":"function"},{"doc":"dumpSizeT Positional Arguments argument : size_t Return retval : String Python prototype (for reference only): dumpSizeT(argument) -&gt; retval","ref":"Evision.Utils.html#dumpSizeT/1","title":"Evision.Utils.dumpSizeT/1","type":"function"},{"doc":"dumpString Positional Arguments argument : String Return retval : String Python prototype (for reference only): dumpString(argument) -&gt; retval","ref":"Evision.Utils.html#dumpString/1","title":"Evision.Utils.dumpString/1","type":"function"},{"doc":"dumpTermCriteria Positional Arguments argument : TermCriteria Return retval : String Python prototype (for reference only): dumpTermCriteria(argument) -&gt; retval","ref":"Evision.Utils.html#dumpTermCriteria/1","title":"Evision.Utils.dumpTermCriteria/1","type":"function"},{"doc":"dumpVec2i Keyword Arguments value : Vec2i . Return retval : String Python prototype (for reference only): dumpVec2i([, value]) -&gt; retval","ref":"Evision.Utils.html#dumpVec2i/0","title":"Evision.Utils.dumpVec2i/0","type":"function"},{"doc":"dumpVec2i Keyword Arguments value : Vec2i . Return retval : String Python prototype (for reference only): dumpVec2i([, value]) -&gt; retval","ref":"Evision.Utils.html#dumpVec2i/1","title":"Evision.Utils.dumpVec2i/1","type":"function"},{"doc":"dumpVectorOfDouble Positional Arguments vec : [double] Return retval : String Python prototype (for reference only): dumpVectorOfDouble(vec) -&gt; retval","ref":"Evision.Utils.html#dumpVectorOfDouble/1","title":"Evision.Utils.dumpVectorOfDouble/1","type":"function"},{"doc":"dumpVectorOfInt Positional Arguments vec : [int] Return retval : String Python prototype (for reference only): dumpVectorOfInt(vec) -&gt; retval","ref":"Evision.Utils.html#dumpVectorOfInt/1","title":"Evision.Utils.dumpVectorOfInt/1","type":"function"},{"doc":"dumpVectorOfRect Positional Arguments vec : [Rect] Return retval : String Python prototype (for reference only): dumpVectorOfRect(vec) -&gt; retval","ref":"Evision.Utils.html#dumpVectorOfRect/1","title":"Evision.Utils.dumpVectorOfRect/1","type":"function"},{"doc":"generateVectorOfInt Positional Arguments len : size_t Return vec : [int] Python prototype (for reference only): generateVectorOfInt(len) -&gt; vec","ref":"Evision.Utils.html#generateVectorOfInt/1","title":"Evision.Utils.generateVectorOfInt/1","type":"function"},{"doc":"generateVectorOfMat Positional Arguments len : size_t rows : int cols : int dtype : int Return vec : [Evision.Mat] . Python prototype (for reference only): generateVectorOfMat(len, rows, cols, dtype[, vec]) -&gt; vec","ref":"Evision.Utils.html#generateVectorOfMat/4","title":"Evision.Utils.generateVectorOfMat/4","type":"function"},{"doc":"generateVectorOfMat Positional Arguments len : size_t rows : int cols : int dtype : int Return vec : [Evision.Mat] . Python prototype (for reference only): generateVectorOfMat(len, rows, cols, dtype[, vec]) -&gt; vec","ref":"Evision.Utils.html#generateVectorOfMat/5","title":"Evision.Utils.generateVectorOfMat/5","type":"function"},{"doc":"generateVectorOfRect Positional Arguments len : size_t Return vec : [Rect] Python prototype (for reference only): generateVectorOfRect(len) -&gt; vec","ref":"Evision.Utils.html#generateVectorOfRect/1","title":"Evision.Utils.generateVectorOfRect/1","type":"function"},{"doc":"testAsyncArray Positional Arguments argument : Evision.Mat.t() Return retval : Evision.AsyncArray.t() Python prototype (for reference only): testAsyncArray(argument) -&gt; retval","ref":"Evision.Utils.html#testAsyncArray/1","title":"Evision.Utils.testAsyncArray/1","type":"function"},{"doc":"testAsyncException Return retval : Evision.AsyncArray.t() Python prototype (for reference only): testAsyncException() -&gt; retval","ref":"Evision.Utils.html#testAsyncException/0","title":"Evision.Utils.testAsyncException/0","type":"function"},{"doc":"Variant 1: testOverloadResolution Positional Arguments rect : Rect Return retval : String Python prototype (for reference only): testOverloadResolution(rect) -&gt; retval Variant 2: testOverloadResolution Positional Arguments value : int Keyword Arguments point : Point . Return retval : String Python prototype (for reference only): testOverloadResolution(value[, point]) -&gt; retval","ref":"Evision.Utils.html#testOverloadResolution/1","title":"Evision.Utils.testOverloadResolution/1","type":"function"},{"doc":"testOverloadResolution Positional Arguments value : int Keyword Arguments point : Point . Return retval : String Python prototype (for reference only): testOverloadResolution(value[, point]) -&gt; retval","ref":"Evision.Utils.html#testOverloadResolution/2","title":"Evision.Utils.testOverloadResolution/2","type":"function"},{"doc":"testOverwriteNativeMethod Positional Arguments argument : int Return retval : int Python prototype (for reference only): testOverwriteNativeMethod(argument) -&gt; retval","ref":"Evision.Utils.html#testOverwriteNativeMethod/1","title":"Evision.Utils.testOverwriteNativeMethod/1","type":"function"},{"doc":"testRaiseGeneralException Python prototype (for reference only): testRaiseGeneralException() -&gt; None","ref":"Evision.Utils.html#testRaiseGeneralException/0","title":"Evision.Utils.testRaiseGeneralException/0","type":"function"},{"doc":"testReservedKeywordConversion Positional Arguments positional_argument : int Keyword Arguments lambda : int . from : int . Return retval : String Python prototype (for reference only): testReservedKeywordConversion(positional_argument[, lambda[, from]]) -&gt; retval","ref":"Evision.Utils.html#testReservedKeywordConversion/1","title":"Evision.Utils.testReservedKeywordConversion/1","type":"function"},{"doc":"testReservedKeywordConversion Positional Arguments positional_argument : int Keyword Arguments lambda : int . from : int . Return retval : String Python prototype (for reference only): testReservedKeywordConversion(positional_argument[, lambda[, from]]) -&gt; retval","ref":"Evision.Utils.html#testReservedKeywordConversion/2","title":"Evision.Utils.testReservedKeywordConversion/2","type":"function"},{"doc":"testRotatedRect Positional Arguments x : float y : float w : float h : float angle : float Return retval : {centre={x, y}, size={s1, s2}, angle} Python prototype (for reference only): testRotatedRect(x, y, w, h, angle) -&gt; retval","ref":"Evision.Utils.html#testRotatedRect/5","title":"Evision.Utils.testRotatedRect/5","type":"function"},{"doc":"testRotatedRectVector Positional Arguments x : float y : float w : float h : float angle : float Return retval : [{centre={x, y}, size={s1, s2}, angle}] Python prototype (for reference only): testRotatedRectVector(x, y, w, h, angle) -&gt; retval","ref":"Evision.Utils.html#testRotatedRectVector/5","title":"Evision.Utils.testRotatedRectVector/5","type":"function"},{"doc":"Type that represents an Utils struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Utils.html#t:t/0","title":"Evision.Utils.t/0","type":"type"},{"doc":"","ref":"Evision.Utils.ClassWithKeywordProperties.html","title":"Evision.Utils.ClassWithKeywordProperties","type":"module"},{"doc":"ClassWithKeywordProperties Keyword Arguments lambda_arg : int . except_arg : int . Return self : ClassWithKeywordProperties Python prototype (for reference only): ClassWithKeywordProperties([, lambda_arg[, except_arg]]) -&gt; &lt;utils_ClassWithKeywordProperties object&gt;","ref":"Evision.Utils.ClassWithKeywordProperties.html#classWithKeywordProperties/0","title":"Evision.Utils.ClassWithKeywordProperties.classWithKeywordProperties/0","type":"function"},{"doc":"ClassWithKeywordProperties Keyword Arguments lambda_arg : int . except_arg : int . Return self : ClassWithKeywordProperties Python prototype (for reference only): ClassWithKeywordProperties([, lambda_arg[, except_arg]]) -&gt; &lt;utils_ClassWithKeywordProperties object&gt;","ref":"Evision.Utils.ClassWithKeywordProperties.html#classWithKeywordProperties/1","title":"Evision.Utils.ClassWithKeywordProperties.classWithKeywordProperties/1","type":"function"},{"doc":"","ref":"Evision.Utils.ClassWithKeywordProperties.html#get_except/1","title":"Evision.Utils.ClassWithKeywordProperties.get_except/1","type":"function"},{"doc":"","ref":"Evision.Utils.ClassWithKeywordProperties.html#get_lambda/1","title":"Evision.Utils.ClassWithKeywordProperties.get_lambda/1","type":"function"},{"doc":"","ref":"Evision.Utils.ClassWithKeywordProperties.html#set_lambda/2","title":"Evision.Utils.ClassWithKeywordProperties.set_lambda/2","type":"function"},{"doc":"Type that represents an Utils.ClassWithKeywordProperties struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Utils.ClassWithKeywordProperties.html#t:t/0","title":"Evision.Utils.ClassWithKeywordProperties.t/0","type":"type"},{"doc":"","ref":"Evision.Utils.Nested.html","title":"Evision.Utils.Nested","type":"module"},{"doc":"testEchoBooleanFunction Positional Arguments flag : bool Return retval : bool Python prototype (for reference only): testEchoBooleanFunction(flag) -&gt; retval","ref":"Evision.Utils.Nested.html#testEchoBooleanFunction/1","title":"Evision.Utils.Nested.testEchoBooleanFunction/1","type":"function"},{"doc":"Type that represents an Utils.Nested struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Utils.Nested.html#t:t/0","title":"Evision.Utils.Nested.t/0","type":"type"},{"doc":"","ref":"Evision.Utils.Nested.OriginalClassName.html","title":"Evision.Utils.Nested.OriginalClassName","type":"module"},{"doc":"create Keyword Arguments params : Evision.Utils.Nested.OriginalClassName.Params.t() . Return retval : Evision.Utils.Nested.OriginalClassName.t() Python prototype (for reference only): create([, params]) -&gt; retval","ref":"Evision.Utils.Nested.OriginalClassName.html#create/0","title":"Evision.Utils.Nested.OriginalClassName.create/0","type":"function"},{"doc":"create Keyword Arguments params : Evision.Utils.Nested.OriginalClassName.Params.t() . Return retval : Evision.Utils.Nested.OriginalClassName.t() Python prototype (for reference only): create([, params]) -&gt; retval","ref":"Evision.Utils.Nested.OriginalClassName.html#create/1","title":"Evision.Utils.Nested.OriginalClassName.create/1","type":"function"},{"doc":"getFloatParam Positional Arguments self : Evision.Utils.Nested.OriginalClassName.t() Return retval : float Python prototype (for reference only): getFloatParam() -&gt; retval","ref":"Evision.Utils.Nested.OriginalClassName.html#getFloatParam/1","title":"Evision.Utils.Nested.OriginalClassName.getFloatParam/1","type":"function"},{"doc":"getIntParam Positional Arguments self : Evision.Utils.Nested.OriginalClassName.t() Return retval : int Python prototype (for reference only): getIntParam() -&gt; retval","ref":"Evision.Utils.Nested.OriginalClassName.html#getIntParam/1","title":"Evision.Utils.Nested.OriginalClassName.getIntParam/1","type":"function"},{"doc":"originalName Return retval : string Python prototype (for reference only): originalName() -&gt; retval","ref":"Evision.Utils.Nested.OriginalClassName.html#originalName/0","title":"Evision.Utils.Nested.OriginalClassName.originalName/0","type":"function"},{"doc":"Type that represents an Utils.Nested.OriginalClassName struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Utils.Nested.OriginalClassName.html#t:t/0","title":"Evision.Utils.Nested.OriginalClassName.t/0","type":"type"},{"doc":"","ref":"Evision.Utils.Nested.OriginalClassName.Params.html","title":"Evision.Utils.Nested.OriginalClassName.Params","type":"module"},{"doc":"","ref":"Evision.Utils.Nested.OriginalClassName.Params.html#get_float_value/1","title":"Evision.Utils.Nested.OriginalClassName.Params.get_float_value/1","type":"function"},{"doc":"","ref":"Evision.Utils.Nested.OriginalClassName.Params.html#get_int_value/1","title":"Evision.Utils.Nested.OriginalClassName.Params.get_int_value/1","type":"function"},{"doc":"","ref":"Evision.Utils.Nested.OriginalClassName.Params.html#set_float_value/2","title":"Evision.Utils.Nested.OriginalClassName.Params.set_float_value/2","type":"function"},{"doc":"","ref":"Evision.Utils.Nested.OriginalClassName.Params.html#set_int_value/2","title":"Evision.Utils.Nested.OriginalClassName.Params.set_int_value/2","type":"function"},{"doc":"OriginalClassName_Params Keyword Arguments int_param : int . float_param : float . Return self : Evision.Utils.Nested.OriginalClassName.Params.t() Python prototype (for reference only): OriginalClassName_Params([, int_param[, float_param]]) -&gt; &lt;utils_nested_OriginalClassName_Params object&gt;","ref":"Evision.Utils.Nested.OriginalClassName.Params.html#utils_nested_OriginalClassName_Params/0","title":"Evision.Utils.Nested.OriginalClassName.Params.utils_nested_OriginalClassName_Params/0","type":"function"},{"doc":"OriginalClassName_Params Keyword Arguments int_param : int . float_param : float . Return self : Evision.Utils.Nested.OriginalClassName.Params.t() Python prototype (for reference only): OriginalClassName_Params([, int_param[, float_param]]) -&gt; &lt;utils_nested_OriginalClassName_Params object&gt;","ref":"Evision.Utils.Nested.OriginalClassName.Params.html#utils_nested_OriginalClassName_Params/1","title":"Evision.Utils.Nested.OriginalClassName.Params.utils_nested_OriginalClassName_Params/1","type":"function"},{"doc":"Type that represents an Utils.Nested.OriginalClassName.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.Utils.Nested.OriginalClassName.Params.html#t:t/0","title":"Evision.Utils.Nested.OriginalClassName.Params.t/0","type":"type"},{"doc":"","ref":"Evision.UtilsFS.html","title":"Evision.UtilsFS","type":"module"},{"doc":"getCacheDirectoryForDownloads Return retval : String Python prototype (for reference only): getCacheDirectoryForDownloads() -&gt; retval","ref":"Evision.UtilsFS.html#getCacheDirectoryForDownloads/0","title":"Evision.UtilsFS.getCacheDirectoryForDownloads/0","type":"function"},{"doc":"Type that represents an UtilsFS struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.UtilsFS.html#t:t/0","title":"Evision.UtilsFS.t/0","type":"type"},{"doc":"","ref":"Evision.VariationalRefinement.html","title":"Evision.VariationalRefinement","type":"module"},{"doc":"@ref calc function overload to handle separate horizontal (u) and vertical (v) flow components (to avoid extra splits/merges) Positional Arguments self : Evision.VariationalRefinement.t() i0 : Evision.Mat.t() i1 : Evision.Mat.t() Return flow_u : Evision.Mat.t() flow_v : Evision.Mat.t() Python prototype (for reference only): calcUV(I0, I1, flow_u, flow_v) -&gt; flow_u, flow_v","ref":"Evision.VariationalRefinement.html#calcUV/5","title":"Evision.VariationalRefinement.calcUV/5","type":"function"},{"doc":"Creates an instance of VariationalRefinement Return retval : Evision.VariationalRefinement.t() Python prototype (for reference only): create() -&gt; retval","ref":"Evision.VariationalRefinement.html#create/0","title":"Evision.VariationalRefinement.create/0","type":"function"},{"doc":"Weight of the smoothness term Positional Arguments self : Evision.VariationalRefinement.t() Return retval : float @see setAlpha/2 Python prototype (for reference only): getAlpha() -&gt; retval","ref":"Evision.VariationalRefinement.html#getAlpha/1","title":"Evision.VariationalRefinement.getAlpha/1","type":"function"},{"doc":"Weight of the color constancy term Positional Arguments self : Evision.VariationalRefinement.t() Return retval : float @see setDelta/2 Python prototype (for reference only): getDelta() -&gt; retval","ref":"Evision.VariationalRefinement.html#getDelta/1","title":"Evision.VariationalRefinement.getDelta/1","type":"function"},{"doc":"Number of outer (fixed-point) iterations in the minimization procedure. Positional Arguments self : Evision.VariationalRefinement.t() Return retval : int @see setFixedPointIterations/2 Python prototype (for reference only): getFixedPointIterations() -&gt; retval","ref":"Evision.VariationalRefinement.html#getFixedPointIterations/1","title":"Evision.VariationalRefinement.getFixedPointIterations/1","type":"function"},{"doc":"Weight of the gradient constancy term Positional Arguments self : Evision.VariationalRefinement.t() Return retval : float @see setGamma/2 Python prototype (for reference only): getGamma() -&gt; retval","ref":"Evision.VariationalRefinement.html#getGamma/1","title":"Evision.VariationalRefinement.getGamma/1","type":"function"},{"doc":"Relaxation factor in SOR Positional Arguments self : Evision.VariationalRefinement.t() Return retval : float @see setOmega/2 Python prototype (for reference only): getOmega() -&gt; retval","ref":"Evision.VariationalRefinement.html#getOmega/1","title":"Evision.VariationalRefinement.getOmega/1","type":"function"},{"doc":"Number of inner successive over-relaxation (SOR) iterations in the minimization procedure to solve the respective linear system. Positional Arguments self : Evision.VariationalRefinement.t() Return retval : int @see setSorIterations/2 Python prototype (for reference only): getSorIterations() -&gt; retval","ref":"Evision.VariationalRefinement.html#getSorIterations/1","title":"Evision.VariationalRefinement.getSorIterations/1","type":"function"},{"doc":"setAlpha Positional Arguments self : Evision.VariationalRefinement.t() val : float @see getAlpha/1 Python prototype (for reference only): setAlpha(val) -&gt; None","ref":"Evision.VariationalRefinement.html#setAlpha/2","title":"Evision.VariationalRefinement.setAlpha/2","type":"function"},{"doc":"setDelta Positional Arguments self : Evision.VariationalRefinement.t() val : float @see getDelta/1 Python prototype (for reference only): setDelta(val) -&gt; None","ref":"Evision.VariationalRefinement.html#setDelta/2","title":"Evision.VariationalRefinement.setDelta/2","type":"function"},{"doc":"setFixedPointIterations Positional Arguments self : Evision.VariationalRefinement.t() val : int @see getFixedPointIterations/1 Python prototype (for reference only): setFixedPointIterations(val) -&gt; None","ref":"Evision.VariationalRefinement.html#setFixedPointIterations/2","title":"Evision.VariationalRefinement.setFixedPointIterations/2","type":"function"},{"doc":"setGamma Positional Arguments self : Evision.VariationalRefinement.t() val : float @see getGamma/1 Python prototype (for reference only): setGamma(val) -&gt; None","ref":"Evision.VariationalRefinement.html#setGamma/2","title":"Evision.VariationalRefinement.setGamma/2","type":"function"},{"doc":"setOmega Positional Arguments self : Evision.VariationalRefinement.t() val : float @see getOmega/1 Python prototype (for reference only): setOmega(val) -&gt; None","ref":"Evision.VariationalRefinement.html#setOmega/2","title":"Evision.VariationalRefinement.setOmega/2","type":"function"},{"doc":"setSorIterations Positional Arguments self : Evision.VariationalRefinement.t() val : int @see getSorIterations/1 Python prototype (for reference only): setSorIterations(val) -&gt; None","ref":"Evision.VariationalRefinement.html#setSorIterations/2","title":"Evision.VariationalRefinement.setSorIterations/2","type":"function"},{"doc":"Type that represents an VariationalRefinement struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.VariationalRefinement.html#t:t/0","title":"Evision.VariationalRefinement.t/0","type":"type"},{"doc":"","ref":"Evision.VideoCapture.html","title":"Evision.VideoCapture","type":"module"},{"doc":"Returns the specified VideoCapture property Positional Arguments self : Evision.VideoCapture.t() propId : int . Property identifier from cv::VideoCaptureProperties (eg. cv::CAP_PROP_POS_MSEC, cv::CAP_PROP_POS_FRAMES, ...) or one from @ref videoio_flags_others Return retval : double @return Value for the specified property. Value 0 is returned when querying a property that is not supported by the backend used by the VideoCapture instance. Note : Reading / writing properties involves many layers. Some unexpected result might happens along this chain. VideoCapture -&gt; API Backend -&gt; Operating System -&gt; Device Driver -&gt; Device Hardware The returned value might be different from what really used by the device or it could be encoded using device dependent rules (eg. steps or percentage). Effective behaviour depends from device driver and API Backend Python prototype (for reference only): get(propId) -&gt; retval","ref":"Evision.VideoCapture.html#get/2","title":"Evision.VideoCapture.get/2","type":"function"},{"doc":"Returns used backend API name Positional Arguments self : Evision.VideoCapture.t() Return retval : String Note : Stream should be opened. Python prototype (for reference only): getBackendName() -&gt; retval","ref":"Evision.VideoCapture.html#getBackendName/1","title":"Evision.VideoCapture.getBackendName/1","type":"function"},{"doc":"getExceptionMode Positional Arguments self : Evision.VideoCapture.t() Return retval : bool Python prototype (for reference only): getExceptionMode() -&gt; retval","ref":"Evision.VideoCapture.html#getExceptionMode/1","title":"Evision.VideoCapture.getExceptionMode/1","type":"function"},{"doc":"Grabs the next frame from video file or capturing device. Positional Arguments self : Evision.VideoCapture.t() Return retval : bool @return true (non-zero) in the case of success. The method/function grabs the next frame from video file or camera and returns true (non-zero) in the case of success. The primary use of the function is in multi-camera environments, especially when the cameras do not have hardware synchronization. That is, you call VideoCapture::grab() for each camera and after that call the slower method VideoCapture::retrieve() to decode and get frame from each camera. This way the overhead on demosaicing or motion jpeg decompression etc. is eliminated and the retrieved frames from different cameras will be closer in time. Also, when a connected camera is multi-head (for example, a stereo camera or a Kinect device), the correct way of retrieving data from it is to call VideoCapture::grab() first and then call VideoCapture::retrieve() one or more times with different values of the channel parameter. @ref tutorial_kinect_openni Python prototype (for reference only): grab() -&gt; retval","ref":"Evision.VideoCapture.html#grab/1","title":"Evision.VideoCapture.grab/1","type":"function"},{"doc":"Returns true if video capturing has been initialized already. Positional Arguments self : Evision.VideoCapture.t() Return retval : bool If the previous call to VideoCapture constructor or VideoCapture::open() succeeded, the method returns true. Python prototype (for reference only): isOpened() -&gt; retval","ref":"Evision.VideoCapture.html#isOpened/1","title":"Evision.VideoCapture.isOpened/1","type":"function"},{"doc":"Variant 1: Opens a camera for video capturing Positional Arguments self : Evision.VideoCapture.t() index : int Keyword Arguments apiPreference : int . Return retval : bool Has overloading in C++ Parameters are same as the constructor VideoCapture(int index, int apiPreference = CAP_ANY) @return true if the camera has been successfully opened. The method first calls VideoCapture::release to close the already opened file or camera. Python prototype (for reference only): open(index[, apiPreference]) -&gt; retval Variant 2: Opens a video file or a capturing device or an IP video stream for video capturing. Positional Arguments self : Evision.VideoCapture.t() filename : String Keyword Arguments apiPreference : int . Return retval : bool Has overloading in C++ Parameters are same as the constructor VideoCapture(const String&amp; filename, int apiPreference = CAP_ANY) @return true if the file has been successfully opened The method first calls VideoCapture::release to close the already opened file or camera. Python prototype (for reference only): open(filename[, apiPreference]) -&gt; retval","ref":"Evision.VideoCapture.html#open/2","title":"Evision.VideoCapture.open/2","type":"function"},{"doc":"Variant 1: Opens a camera for video capturing Positional Arguments self : Evision.VideoCapture.t() index : int Keyword Arguments apiPreference : int . Return retval : bool Has overloading in C++ Parameters are same as the constructor VideoCapture(int index, int apiPreference = CAP_ANY) @return true if the camera has been successfully opened. The method first calls VideoCapture::release to close the already opened file or camera. Python prototype (for reference only): open(index[, apiPreference]) -&gt; retval Variant 2: Opens a video file or a capturing device or an IP video stream for video capturing. Positional Arguments self : Evision.VideoCapture.t() filename : String Keyword Arguments apiPreference : int . Return retval : bool Has overloading in C++ Parameters are same as the constructor VideoCapture(const String&amp; filename, int apiPreference = CAP_ANY) @return true if the file has been successfully opened The method first calls VideoCapture::release to close the already opened file or camera. Python prototype (for reference only): open(filename[, apiPreference]) -&gt; retval","ref":"Evision.VideoCapture.html#open/3","title":"Evision.VideoCapture.open/3","type":"function"},{"doc":"Variant 1: Opens a camera for video capturing with API Preference and parameters Positional Arguments self : Evision.VideoCapture.t() index : int apiPreference : int params : [int] Return retval : bool Has overloading in C++ The params parameter allows to specify extra parameters encoded as pairs (paramId_1, paramValue_1, paramId_2, paramValue_2, ...) . See cv::VideoCaptureProperties @return true if the camera has been successfully opened. The method first calls VideoCapture::release to close the already opened file or camera. Python prototype (for reference only): open(index, apiPreference, params) -&gt; retval Variant 2: Opens a video file or a capturing device or an IP video stream for video capturing with API Preference and parameters Positional Arguments self : Evision.VideoCapture.t() filename : String apiPreference : int params : [int] Return retval : bool Has overloading in C++ The params parameter allows to specify extra parameters encoded as pairs (paramId_1, paramValue_1, paramId_2, paramValue_2, ...) . See cv::VideoCaptureProperties @return true if the file has been successfully opened The method first calls VideoCapture::release to close the already opened file or camera. Python prototype (for reference only): open(filename, apiPreference, params) -&gt; retval","ref":"Evision.VideoCapture.html#open/4","title":"Evision.VideoCapture.open/4","type":"function"},{"doc":"Grabs, decodes and returns the next video frame. Positional Arguments self : Evision.VideoCapture.t() Return retval : bool image : Evision.Mat.t() . @return false if no frames has been grabbed The method/function combines VideoCapture::grab() and VideoCapture::retrieve() in one call. This is the most convenient method for reading video files or capturing data from decode and returns the just grabbed frame. If no frames has been grabbed (camera has been disconnected, or there are no more frames in video file), the method returns false and the function returns empty image (with %cv::Mat, test it with Mat::empty()). Note : In @ref videoio_c &quot;C API&quot;, functions cvRetrieveFrame() and cv.RetrieveFrame() return image stored inside the video capturing structure. It is not allowed to modify or release the image! You can copy the frame using cvCloneImage and then do whatever you want with the copy. Python prototype (for reference only): read([, image]) -&gt; retval, image","ref":"Evision.VideoCapture.html#read/1","title":"Evision.VideoCapture.read/1","type":"function"},{"doc":"Grabs, decodes and returns the next video frame. Positional Arguments self : Evision.VideoCapture.t() Return retval : bool image : Evision.Mat.t() . @return false if no frames has been grabbed The method/function combines VideoCapture::grab() and VideoCapture::retrieve() in one call. This is the most convenient method for reading video files or capturing data from decode and returns the just grabbed frame. If no frames has been grabbed (camera has been disconnected, or there are no more frames in video file), the method returns false and the function returns empty image (with %cv::Mat, test it with Mat::empty()). Note : In @ref videoio_c &quot;C API&quot;, functions cvRetrieveFrame() and cv.RetrieveFrame() return image stored inside the video capturing structure. It is not allowed to modify or release the image! You can copy the frame using cvCloneImage and then do whatever you want with the copy. Python prototype (for reference only): read([, image]) -&gt; retval, image","ref":"Evision.VideoCapture.html#read/2","title":"Evision.VideoCapture.read/2","type":"function"},{"doc":"Closes video file or capturing device. Positional Arguments self : Evision.VideoCapture.t() The method is automatically called by subsequent VideoCapture::open and by VideoCapture destructor. The C function also deallocates memory and clears *capture pointer. Python prototype (for reference only): release() -&gt; None","ref":"Evision.VideoCapture.html#release/1","title":"Evision.VideoCapture.release/1","type":"function"},{"doc":"Decodes and returns the grabbed video frame. Positional Arguments self : Evision.VideoCapture.t() Keyword Arguments flag : int . it could be a frame index or a driver specific flag Return retval : bool image : Evision.Mat.t() . @return false if no frames has been grabbed The method decodes and returns the just grabbed frame. If no frames has been grabbed (camera has been disconnected, or there are no more frames in video file), the method returns false and the function returns an empty image (with %cv::Mat, test it with Mat::empty()). @sa read() Note : In @ref videoio_c &quot;C API&quot;, functions cvRetrieveFrame() and cv.RetrieveFrame() return image stored inside the video capturing structure. It is not allowed to modify or release the image! You can copy the frame using cvCloneImage and then do whatever you want with the copy. Python prototype (for reference only): retrieve([, image[, flag]]) -&gt; retval, image","ref":"Evision.VideoCapture.html#retrieve/1","title":"Evision.VideoCapture.retrieve/1","type":"function"},{"doc":"Decodes and returns the grabbed video frame. Positional Arguments self : Evision.VideoCapture.t() Keyword Arguments flag : int . it could be a frame index or a driver specific flag Return retval : bool image : Evision.Mat.t() . @return false if no frames has been grabbed The method decodes and returns the just grabbed frame. If no frames has been grabbed (camera has been disconnected, or there are no more frames in video file), the method returns false and the function returns an empty image (with %cv::Mat, test it with Mat::empty()). @sa read() Note : In @ref videoio_c &quot;C API&quot;, functions cvRetrieveFrame() and cv.RetrieveFrame() return image stored inside the video capturing structure. It is not allowed to modify or release the image! You can copy the frame using cvCloneImage and then do whatever you want with the copy. Python prototype (for reference only): retrieve([, image[, flag]]) -&gt; retval, image","ref":"Evision.VideoCapture.html#retrieve/2","title":"Evision.VideoCapture.retrieve/2","type":"function"},{"doc":"Sets a property in the VideoCapture. Positional Arguments self : Evision.VideoCapture.t() propId : int . Property identifier from cv::VideoCaptureProperties (eg. cv::CAP_PROP_POS_MSEC, cv::CAP_PROP_POS_FRAMES, ...) or one from @ref videoio_flags_others value : double . Value of the property. Return retval : bool @return true if the property is supported by backend used by the VideoCapture instance. Note : Even if it returns true this doesn't ensure that the property value has been accepted by the capture device. See note in VideoCapture::get() Python prototype (for reference only): set(propId, value) -&gt; retval","ref":"Evision.VideoCapture.html#set/3","title":"Evision.VideoCapture.set/3","type":"function"},{"doc":"setExceptionMode Positional Arguments self : Evision.VideoCapture.t() enable : bool Switches exceptions mode methods raise exceptions if not successful instead of returning an error code Python prototype (for reference only): setExceptionMode(enable) -&gt; None","ref":"Evision.VideoCapture.html#setExceptionMode/2","title":"Evision.VideoCapture.setExceptionMode/2","type":"function"},{"doc":"Default constructor Return self : Evision.VideoCapture.t() Note : In @ref videoio_c &quot;C API&quot;, when you finished working with video, release CvCapture structure with cvReleaseCapture(), or use Ptr\\&lt;CvCapture&gt; that calls cvReleaseCapture() automatically in the destructor. Python prototype (for reference only): VideoCapture() -&gt; &lt;VideoCapture object&gt;","ref":"Evision.VideoCapture.html#videoCapture/0","title":"Evision.VideoCapture.videoCapture/0","type":"function"},{"doc":"Variant 1: Opens a camera for video capturing Positional Arguments index : int . id of the video capturing device to open. To open default camera using default backend just pass 0. (to backward compatibility usage of camera id + domain_offset (CAP *) is valid when apiPreference is CAP_ANY) Keyword Arguments apiPreference : int . preferred Capture API backends to use. Can be used to enforce a specific reader implementation if multiple are available: e.g. cv::CAP_DSHOW or cv::CAP_MSMF or cv::CAP_V4L. Return self : Evision.VideoCapture.t() Has overloading in C++ @sa cv::VideoCaptureAPIs Python prototype (for reference only): VideoCapture(index[, apiPreference]) -&gt; &lt;VideoCapture object&gt; Variant 2: Opens a video file or a capturing device or an IP video stream for video capturing with API Preference Positional Arguments filename : String .it can be: name of video file (eg. video.avi ) or image sequence (eg. img_%02d.jpg , which will read samples like img_00.jpg, img_01.jpg, img_02.jpg, ... ) or URL of video stream (eg. protocol://host:port/script_name?script_params|auth ) or GStreamer pipeline string in gst-launch tool format in case if GStreamer is used as backend Note that each video stream or IP camera feed has its own URL scheme. Please refer to the documentation of source stream to know the right URL. Keyword Arguments apiPreference : int . preferred Capture API backends to use. Can be used to enforce a specific reader implementation if multiple are available: e.g. cv::CAP_FFMPEG or cv::CAP_IMAGES or cv::CAP_DSHOW. Return self : Evision.VideoCapture.t() Has overloading in C++ @sa cv::VideoCaptureAPIs Python prototype (for reference only): VideoCapture(filename[, apiPreference]) -&gt; &lt;VideoCapture object&gt;","ref":"Evision.VideoCapture.html#videoCapture/1","title":"Evision.VideoCapture.videoCapture/1","type":"function"},{"doc":"Variant 1: Opens a camera for video capturing Positional Arguments index : int . id of the video capturing device to open. To open default camera using default backend just pass 0. (to backward compatibility usage of camera id + domain_offset (CAP *) is valid when apiPreference is CAP_ANY) Keyword Arguments apiPreference : int . preferred Capture API backends to use. Can be used to enforce a specific reader implementation if multiple are available: e.g. cv::CAP_DSHOW or cv::CAP_MSMF or cv::CAP_V4L. Return self : Evision.VideoCapture.t() Has overloading in C++ @sa cv::VideoCaptureAPIs Python prototype (for reference only): VideoCapture(index[, apiPreference]) -&gt; &lt;VideoCapture object&gt; Variant 2: Opens a video file or a capturing device or an IP video stream for video capturing with API Preference Positional Arguments filename : String .it can be: name of video file (eg. video.avi ) or image sequence (eg. img_%02d.jpg , which will read samples like img_00.jpg, img_01.jpg, img_02.jpg, ... ) or URL of video stream (eg. protocol://host:port/script_name?script_params|auth ) or GStreamer pipeline string in gst-launch tool format in case if GStreamer is used as backend Note that each video stream or IP camera feed has its own URL scheme. Please refer to the documentation of source stream to know the right URL. Keyword Arguments apiPreference : int . preferred Capture API backends to use. Can be used to enforce a specific reader implementation if multiple are available: e.g. cv::CAP_FFMPEG or cv::CAP_IMAGES or cv::CAP_DSHOW. Return self : Evision.VideoCapture.t() Has overloading in C++ @sa cv::VideoCaptureAPIs Python prototype (for reference only): VideoCapture(filename[, apiPreference]) -&gt; &lt;VideoCapture object&gt;","ref":"Evision.VideoCapture.html#videoCapture/2","title":"Evision.VideoCapture.videoCapture/2","type":"function"},{"doc":"Variant 1: Opens a camera for video capturing with API Preference and parameters Positional Arguments index : int apiPreference : int params : [int] Return self : Evision.VideoCapture.t() Has overloading in C++ The params parameter allows to specify extra parameters encoded as pairs (paramId_1, paramValue_1, paramId_2, paramValue_2, ...) . See cv::VideoCaptureProperties Python prototype (for reference only): VideoCapture(index, apiPreference, params) -&gt; &lt;VideoCapture object&gt; Variant 2: Opens a video file or a capturing device or an IP video stream for video capturing with API Preference and parameters Positional Arguments filename : String apiPreference : int params : [int] Return self : Evision.VideoCapture.t() Has overloading in C++ The params parameter allows to specify extra parameters encoded as pairs (paramId_1, paramValue_1, paramId_2, paramValue_2, ...) . See cv::VideoCaptureProperties Python prototype (for reference only): VideoCapture(filename, apiPreference, params) -&gt; &lt;VideoCapture object&gt;","ref":"Evision.VideoCapture.html#videoCapture/3","title":"Evision.VideoCapture.videoCapture/3","type":"function"},{"doc":"Wait for ready frames from VideoCapture. Positional Arguments streams : [Evision.VideoCapture] . input video streams Keyword Arguments timeoutNs : int64 . number of nanoseconds (0 - infinite) Return retval : bool readyIndex : [int] . stream indexes with grabbed frames (ready to use .retrieve() to fetch actual frame) @return true if streamReady is not empty @throws Exception %Exception on stream errors (check .isOpened() to filter out malformed streams) or VideoCapture type is not supported The primary use of the function is in multi-camera environments. The method fills the ready state vector, grabs video frame, if camera is ready. After this call use VideoCapture::retrieve() to decode and fetch frame data. Python prototype (for reference only): waitAny(streams[, timeoutNs]) -&gt; retval, readyIndex","ref":"Evision.VideoCapture.html#waitAny/1","title":"Evision.VideoCapture.waitAny/1","type":"function"},{"doc":"Wait for ready frames from VideoCapture. Positional Arguments streams : [Evision.VideoCapture] . input video streams Keyword Arguments timeoutNs : int64 . number of nanoseconds (0 - infinite) Return retval : bool readyIndex : [int] . stream indexes with grabbed frames (ready to use .retrieve() to fetch actual frame) @return true if streamReady is not empty @throws Exception %Exception on stream errors (check .isOpened() to filter out malformed streams) or VideoCapture type is not supported The primary use of the function is in multi-camera environments. The method fills the ready state vector, grabs video frame, if camera is ready. After this call use VideoCapture::retrieve() to decode and fetch frame data. Python prototype (for reference only): waitAny(streams[, timeoutNs]) -&gt; retval, readyIndex","ref":"Evision.VideoCapture.html#waitAny/2","title":"Evision.VideoCapture.waitAny/2","type":"function"},{"doc":"Type that represents an Evision.VideoCapture struct. fps . double . Frames per second. frame_count . double . Total number of frames. frame_width . double . Width of each frame. frame_height . double . Height of each frame. isOpened . boolean . Is successfully opened the video source. ref . reference . The underlying erlang resource variable.","ref":"Evision.VideoCapture.html#t:t/0","title":"Evision.VideoCapture.t/0","type":"type"},{"doc":"","ref":"Evision.VideoIORegistry.html","title":"Evision.VideoIORegistry","type":"module"},{"doc":"Returns backend API name or &quot;UnknownVideoAPI(xxx)&quot; Positional Arguments api : VideoCaptureAPIs . backend ID (#VideoCaptureAPIs) Return retval : String Python prototype (for reference only): getBackendName(api) -&gt; retval","ref":"Evision.VideoIORegistry.html#getBackendName/1","title":"Evision.VideoIORegistry.getBackendName/1","type":"function"},{"doc":"Returns list of all available backends Return retval : [VideoCaptureAPIs] Python prototype (for reference only): getBackends() -&gt; retval","ref":"Evision.VideoIORegistry.html#getBackends/0","title":"Evision.VideoIORegistry.getBackends/0","type":"function"},{"doc":"Returns description and ABI/API version of videoio plugin's camera interface Positional Arguments api : VideoCaptureAPIs Return retval : string version_ABI : int version_API : int Python prototype (for reference only): getCameraBackendPluginVersion(api) -&gt; retval, version_ABI, version_API","ref":"Evision.VideoIORegistry.html#getCameraBackendPluginVersion/1","title":"Evision.VideoIORegistry.getCameraBackendPluginVersion/1","type":"function"},{"doc":"Returns list of available backends which works via cv::VideoCapture(int index) Return retval : [VideoCaptureAPIs] Python prototype (for reference only): getCameraBackends() -&gt; retval","ref":"Evision.VideoIORegistry.html#getCameraBackends/0","title":"Evision.VideoIORegistry.getCameraBackends/0","type":"function"},{"doc":"Returns description and ABI/API version of videoio plugin's stream capture interface Positional Arguments api : VideoCaptureAPIs Return retval : string version_ABI : int version_API : int Python prototype (for reference only): getStreamBackendPluginVersion(api) -&gt; retval, version_ABI, version_API","ref":"Evision.VideoIORegistry.html#getStreamBackendPluginVersion/1","title":"Evision.VideoIORegistry.getStreamBackendPluginVersion/1","type":"function"},{"doc":"Returns list of available backends which works via cv::VideoCapture(filename) Return retval : [VideoCaptureAPIs] Python prototype (for reference only): getStreamBackends() -&gt; retval","ref":"Evision.VideoIORegistry.html#getStreamBackends/0","title":"Evision.VideoIORegistry.getStreamBackends/0","type":"function"},{"doc":"Returns description and ABI/API version of videoio plugin's writer interface Positional Arguments api : VideoCaptureAPIs Return retval : string version_ABI : int version_API : int Python prototype (for reference only): getWriterBackendPluginVersion(api) -&gt; retval, version_ABI, version_API","ref":"Evision.VideoIORegistry.html#getWriterBackendPluginVersion/1","title":"Evision.VideoIORegistry.getWriterBackendPluginVersion/1","type":"function"},{"doc":"Returns list of available backends which works via cv::VideoWriter() Return retval : [VideoCaptureAPIs] Python prototype (for reference only): getWriterBackends() -&gt; retval","ref":"Evision.VideoIORegistry.html#getWriterBackends/0","title":"Evision.VideoIORegistry.getWriterBackends/0","type":"function"},{"doc":"Returns true if backend is available Positional Arguments api : VideoCaptureAPIs Return retval : bool Python prototype (for reference only): hasBackend(api) -&gt; retval","ref":"Evision.VideoIORegistry.html#hasBackend/1","title":"Evision.VideoIORegistry.hasBackend/1","type":"function"},{"doc":"Returns true if backend is built in (false if backend is used as plugin) Positional Arguments api : VideoCaptureAPIs Return retval : bool Python prototype (for reference only): isBackendBuiltIn(api) -&gt; retval","ref":"Evision.VideoIORegistry.html#isBackendBuiltIn/1","title":"Evision.VideoIORegistry.isBackendBuiltIn/1","type":"function"},{"doc":"Type that represents an VideoIORegistry struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.VideoIORegistry.html#t:t/0","title":"Evision.VideoIORegistry.t/0","type":"type"},{"doc":"","ref":"Evision.VideoWriter.html","title":"Evision.VideoWriter","type":"module"},{"doc":"Concatenates 4 chars to a fourcc code Positional Arguments c1 : char c2 : char c3 : char c4 : char Return retval : int @return a fourcc code This static method constructs the fourcc code of the codec to be used in the constructor VideoWriter::VideoWriter or VideoWriter::open. Python prototype (for reference only): fourcc(c1, c2, c3, c4) -&gt; retval","ref":"Evision.VideoWriter.html#fourcc/4","title":"Evision.VideoWriter.fourcc/4","type":"function"},{"doc":"Returns the specified VideoWriter property Positional Arguments self : Evision.VideoWriter.t() propId : int . Property identifier from cv::VideoWriterProperties (eg. cv::VIDEOWRITER_PROP_QUALITY) or one of @ref videoio_flags_others Return retval : double @return Value for the specified property. Value 0 is returned when querying a property that is not supported by the backend used by the VideoWriter instance. Python prototype (for reference only): get(propId) -&gt; retval","ref":"Evision.VideoWriter.html#get/2","title":"Evision.VideoWriter.get/2","type":"function"},{"doc":"Returns used backend API name Positional Arguments self : Evision.VideoWriter.t() Return retval : String Note : Stream should be opened. Python prototype (for reference only): getBackendName() -&gt; retval","ref":"Evision.VideoWriter.html#getBackendName/1","title":"Evision.VideoWriter.getBackendName/1","type":"function"},{"doc":"Returns true if video writer has been successfully initialized. Positional Arguments self : Evision.VideoWriter.t() Return retval : bool Python prototype (for reference only): isOpened() -&gt; retval","ref":"Evision.VideoWriter.html#isOpened/1","title":"Evision.VideoWriter.isOpened/1","type":"function"},{"doc":"Initializes or reinitializes video writer. Positional Arguments self : Evision.VideoWriter.t() filename : String fourcc : int fps : double frameSize : Size Keyword Arguments isColor : bool . Return retval : bool The method opens video writer. Parameters are the same as in the constructor VideoWriter::VideoWriter. @return true if video writer has been successfully initialized The method first calls VideoWriter::release to close the already opened file. Python prototype (for reference only): open(filename, fourcc, fps, frameSize[, isColor]) -&gt; retval","ref":"Evision.VideoWriter.html#open/5","title":"Evision.VideoWriter.open/5","type":"function"},{"doc":"Variant 1: open Positional Arguments self : Evision.VideoWriter.t() filename : String fourcc : int fps : double frameSize : Size params : [int] Return retval : bool Has overloading in C++ Python prototype (for reference only): open(filename, fourcc, fps, frameSize, params) -&gt; retval Variant 2: open Positional Arguments self : Evision.VideoWriter.t() filename : String apiPreference : int fourcc : int fps : double frameSize : Size Keyword Arguments isColor : bool . Return retval : bool Has overloading in C++ Python prototype (for reference only): open(filename, apiPreference, fourcc, fps, frameSize[, isColor]) -&gt; retval Variant 3: Initializes or reinitializes video writer. Positional Arguments self : Evision.VideoWriter.t() filename : String fourcc : int fps : double frameSize : Size Keyword Arguments isColor : bool . Return retval : bool The method opens video writer. Parameters are the same as in the constructor VideoWriter::VideoWriter. @return true if video writer has been successfully initialized The method first calls VideoWriter::release to close the already opened file. Python prototype (for reference only): open(filename, fourcc, fps, frameSize[, isColor]) -&gt; retval","ref":"Evision.VideoWriter.html#open/6","title":"Evision.VideoWriter.open/6","type":"function"},{"doc":"Variant 1: open Positional Arguments self : Evision.VideoWriter.t() filename : String apiPreference : int fourcc : int fps : double frameSize : Size params : [int] Return retval : bool Has overloading in C++ Python prototype (for reference only): open(filename, apiPreference, fourcc, fps, frameSize, params) -&gt; retval Variant 2: open Positional Arguments self : Evision.VideoWriter.t() filename : String apiPreference : int fourcc : int fps : double frameSize : Size Keyword Arguments isColor : bool . Return retval : bool Has overloading in C++ Python prototype (for reference only): open(filename, apiPreference, fourcc, fps, frameSize[, isColor]) -&gt; retval","ref":"Evision.VideoWriter.html#open/7","title":"Evision.VideoWriter.open/7","type":"function"},{"doc":"Closes the video writer. Positional Arguments self : Evision.VideoWriter.t() The method is automatically called by subsequent VideoWriter::open and by the VideoWriter destructor. Python prototype (for reference only): release() -&gt; None","ref":"Evision.VideoWriter.html#release/1","title":"Evision.VideoWriter.release/1","type":"function"},{"doc":"Sets a property in the VideoWriter. Positional Arguments self : Evision.VideoWriter.t() propId : int . Property identifier from cv::VideoWriterProperties (eg. cv::VIDEOWRITER_PROP_QUALITY) or one of @ref videoio_flags_others value : double . Value of the property. Return retval : bool @return true if the property is supported by the backend used by the VideoWriter instance. Python prototype (for reference only): set(propId, value) -&gt; retval","ref":"Evision.VideoWriter.html#set/3","title":"Evision.VideoWriter.set/3","type":"function"},{"doc":"Default constructors Return self : Evision.VideoWriter.t() The constructors/functions initialize video writers. On Linux FFMPEG is used to write videos; On Windows FFMPEG or MSWF or DSHOW is used; On MacOSX AVFoundation is used. Python prototype (for reference only): VideoWriter() -&gt; &lt;VideoWriter object&gt;","ref":"Evision.VideoWriter.html#videoWriter/0","title":"Evision.VideoWriter.videoWriter/0","type":"function"},{"doc":"VideoWriter Positional Arguments filename : String . Name of the output video file. fourcc : int . 4-character code of codec used to compress the frames. For example, VideoWriter::fourcc('P','I','M','1') is a MPEG-1 codec, VideoWriter::fourcc('M','J','P','G') is a motion-jpeg codec etc. List of codes can be obtained at MSDN page or with this archived page of the fourcc site for a more complete list). FFMPEG backend with MP4 container natively uses other values as fourcc code: see ObjectType , so you may receive a warning message from OpenCV about fourcc code conversion. fps : double . Framerate of the created video stream. frameSize : Size . Size of the video frames. Keyword Arguments isColor : bool . If it is not zero, the encoder will expect and encode color frames, otherwise it will work with grayscale frames. Return self : Evision.VideoWriter.t() Has overloading in C++ @b Tips: With some backends fourcc=-1 pops up the codec selection dialog from the system. To save image sequence use a proper filename (eg. img_%02d.jpg ) and fourcc=0 OR fps=0 . Use uncompressed image format (eg. img_%02d.BMP ) to save raw frames. Most codecs are lossy. If you want lossless video file you need to use a lossless codecs (eg. FFMPEG FFV1, Huffman HFYU, Lagarith LAGS, etc...) If FFMPEG is enabled, using codec=0; fps=0; you can create an uncompressed (raw) video file. Python prototype (for reference only): VideoWriter(filename, fourcc, fps, frameSize[, isColor]) -&gt; &lt;VideoWriter object&gt;","ref":"Evision.VideoWriter.html#videoWriter/4","title":"Evision.VideoWriter.videoWriter/4","type":"function"},{"doc":"Variant 1: VideoWriter Positional Arguments filename : String fourcc : int fps : double frameSize : Size params : [int] Return self : Evision.VideoWriter.t() Has overloading in C++ The params parameter allows to specify extra encoder parameters encoded as pairs (paramId_1, paramValue_1, paramId_2, paramValue_2, ... .) see cv::VideoWriterProperties Python prototype (for reference only): VideoWriter(filename, fourcc, fps, frameSize, params) -&gt; &lt;VideoWriter object&gt; Variant 2: VideoWriter Positional Arguments filename : String apiPreference : int fourcc : int fps : double frameSize : Size Keyword Arguments isColor : bool . Return self : Evision.VideoWriter.t() Has overloading in C++ The apiPreference parameter allows to specify API backends to use. Can be used to enforce a specific reader implementation if multiple are available: e.g. cv::CAP_FFMPEG or cv::CAP_GSTREAMER. Python prototype (for reference only): VideoWriter(filename, apiPreference, fourcc, fps, frameSize[, isColor]) -&gt; &lt;VideoWriter object&gt; Variant 3: VideoWriter Positional Arguments filename : String . Name of the output video file. fourcc : int . 4-character code of codec used to compress the frames. For example, VideoWriter::fourcc('P','I','M','1') is a MPEG-1 codec, VideoWriter::fourcc('M','J','P','G') is a motion-jpeg codec etc. List of codes can be obtained at MSDN page or with this archived page of the fourcc site for a more complete list). FFMPEG backend with MP4 container natively uses other values as fourcc code: see ObjectType , so you may receive a warning message from OpenCV about fourcc code conversion. fps : double . Framerate of the created video stream. frameSize : Size . Size of the video frames. Keyword Arguments isColor : bool . If it is not zero, the encoder will expect and encode color frames, otherwise it will work with grayscale frames. Return self : Evision.VideoWriter.t() Has overloading in C++ @b Tips: With some backends fourcc=-1 pops up the codec selection dialog from the system. To save image sequence use a proper filename (eg. img_%02d.jpg ) and fourcc=0 OR fps=0 . Use uncompressed image format (eg. img_%02d.BMP ) to save raw frames. Most codecs are lossy. If you want lossless video file you need to use a lossless codecs (eg. FFMPEG FFV1, Huffman HFYU, Lagarith LAGS, etc...) If FFMPEG is enabled, using codec=0; fps=0; you can create an uncompressed (raw) video file. Python prototype (for reference only): VideoWriter(filename, fourcc, fps, frameSize[, isColor]) -&gt; &lt;VideoWriter object&gt;","ref":"Evision.VideoWriter.html#videoWriter/5","title":"Evision.VideoWriter.videoWriter/5","type":"function"},{"doc":"Variant 1: VideoWriter Positional Arguments filename : String apiPreference : int fourcc : int fps : double frameSize : Size params : [int] Return self : Evision.VideoWriter.t() Has overloading in C++ Python prototype (for reference only): VideoWriter(filename, apiPreference, fourcc, fps, frameSize, params) -&gt; &lt;VideoWriter object&gt; Variant 2: VideoWriter Positional Arguments filename : String apiPreference : int fourcc : int fps : double frameSize : Size Keyword Arguments isColor : bool . Return self : Evision.VideoWriter.t() Has overloading in C++ The apiPreference parameter allows to specify API backends to use. Can be used to enforce a specific reader implementation if multiple are available: e.g. cv::CAP_FFMPEG or cv::CAP_GSTREAMER. Python prototype (for reference only): VideoWriter(filename, apiPreference, fourcc, fps, frameSize[, isColor]) -&gt; &lt;VideoWriter object&gt;","ref":"Evision.VideoWriter.html#videoWriter/6","title":"Evision.VideoWriter.videoWriter/6","type":"function"},{"doc":"Writes the next video frame Positional Arguments self : Evision.VideoWriter.t() image : Evision.Mat.t() . The written frame. In general, color images are expected in BGR format. The function/method writes the specified image to video file. It must have the same size as has been specified when opening the video writer. Python prototype (for reference only): write(image) -&gt; None","ref":"Evision.VideoWriter.html#write/2","title":"Evision.VideoWriter.write/2","type":"function"},{"doc":"Type that represents an VideoWriter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.VideoWriter.html#t:t/0","title":"Evision.VideoWriter.t/0","type":"type"},{"doc":"","ref":"Evision.WeChatQRCode.html","title":"Evision.WeChatQRCode","type":"module"},{"doc":"Type that represents an WeChatQRCode struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.WeChatQRCode.html#t:t/0","title":"Evision.WeChatQRCode.t/0","type":"type"},{"doc":"","ref":"Evision.WeChatQRCode.WeChatQRCode.html","title":"Evision.WeChatQRCode.WeChatQRCode","type":"module"},{"doc":"Both detects and decodes QR code. To simplify the usage, there is a only API: detectAndDecode Positional Arguments self : Evision.WeChatQRCode.WeChatQRCode.t() img : Evision.Mat.t() . supports grayscale or color (BGR) image. Return retval : [string] points : [Evision.Mat] . optional output array of vertices of the found QR code quadrangle. Will be empty if not found. @return list of decoded string. Python prototype (for reference only): detectAndDecode(img[, points]) -&gt; retval, points","ref":"Evision.WeChatQRCode.WeChatQRCode.html#detectAndDecode/2","title":"Evision.WeChatQRCode.WeChatQRCode.detectAndDecode/2","type":"function"},{"doc":"Both detects and decodes QR code. To simplify the usage, there is a only API: detectAndDecode Positional Arguments self : Evision.WeChatQRCode.WeChatQRCode.t() img : Evision.Mat.t() . supports grayscale or color (BGR) image. Return retval : [string] points : [Evision.Mat] . optional output array of vertices of the found QR code quadrangle. Will be empty if not found. @return list of decoded string. Python prototype (for reference only): detectAndDecode(img[, points]) -&gt; retval, points","ref":"Evision.WeChatQRCode.WeChatQRCode.html#detectAndDecode/3","title":"Evision.WeChatQRCode.WeChatQRCode.detectAndDecode/3","type":"function"},{"doc":"getScaleFactor Positional Arguments self : Evision.WeChatQRCode.WeChatQRCode.t() Return retval : float Python prototype (for reference only): getScaleFactor() -&gt; retval","ref":"Evision.WeChatQRCode.WeChatQRCode.html#getScaleFactor/1","title":"Evision.WeChatQRCode.WeChatQRCode.getScaleFactor/1","type":"function"},{"doc":"set scale factor QR code detector use neural network to detect QR. Before running the neural network, the input image is pre-processed by scaling. By default, the input image is scaled to an image with an area of 160000 pixels. The scale factor allows to use custom scale the input image: width = scaleFactor width height = scaleFactor width Positional Arguments self : Evision.WeChatQRCode.WeChatQRCode.t() scalingFactor : float scaleFactor valuse must be &gt; 0 and &lt;= 1, otherwise the scaleFactor value is set to -1 and use default scaled to an image with an area of 160000 pixels. Python prototype (for reference only): setScaleFactor(_scalingFactor) -&gt; None","ref":"Evision.WeChatQRCode.WeChatQRCode.html#setScaleFactor/2","title":"Evision.WeChatQRCode.WeChatQRCode.setScaleFactor/2","type":"function"},{"doc":"Initialize the WeChatQRCode. It includes two models, which are packaged with caffe format. Therefore, there are prototxt and caffe models (In total, four paramenters). Keyword Arguments detector_prototxt_path : string . prototxt file path for the detector detector_caffe_model_path : string . caffe model file path for the detector super_resolution_prototxt_path : string . prototxt file path for the super resolution model super_resolution_caffe_model_path : string . caffe file path for the super resolution model Return self : Evision.WeChatQRCode.WeChatQRCode.t() Python prototype (for reference only): WeChatQRCode([, detector_prototxt_path[, detector_caffe_model_path[, super_resolution_prototxt_path[, super_resolution_caffe_model_path]]]]) -&gt; &lt;wechat_qrcode_WeChatQRCode object&gt;","ref":"Evision.WeChatQRCode.WeChatQRCode.html#weChatQRCode/0","title":"Evision.WeChatQRCode.WeChatQRCode.weChatQRCode/0","type":"function"},{"doc":"Initialize the WeChatQRCode. It includes two models, which are packaged with caffe format. Therefore, there are prototxt and caffe models (In total, four paramenters). Keyword Arguments detector_prototxt_path : string . prototxt file path for the detector detector_caffe_model_path : string . caffe model file path for the detector super_resolution_prototxt_path : string . prototxt file path for the super resolution model super_resolution_caffe_model_path : string . caffe file path for the super resolution model Return self : Evision.WeChatQRCode.WeChatQRCode.t() Python prototype (for reference only): WeChatQRCode([, detector_prototxt_path[, detector_caffe_model_path[, super_resolution_prototxt_path[, super_resolution_caffe_model_path]]]]) -&gt; &lt;wechat_qrcode_WeChatQRCode object&gt;","ref":"Evision.WeChatQRCode.WeChatQRCode.html#weChatQRCode/1","title":"Evision.WeChatQRCode.WeChatQRCode.weChatQRCode/1","type":"function"},{"doc":"Type that represents an WeChatQRCode.WeChatQRCode struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.WeChatQRCode.WeChatQRCode.html#t:t/0","title":"Evision.WeChatQRCode.WeChatQRCode.t/0","type":"type"},{"doc":"Interact with wxWidgets","ref":"Evision.Wx.html","title":"Evision.Wx","type":"module"},{"doc":"","ref":"Evision.Wx.html#destroyAllWindows/0","title":"Evision.Wx.destroyAllWindows/0","type":"function"},{"doc":"","ref":"Evision.Wx.html#destroyWindow/1","title":"Evision.Wx.destroyWindow/1","type":"function"},{"doc":"","ref":"Evision.Wx.html#imshow/2","title":"Evision.Wx.imshow/2","type":"function"},{"doc":"","ref":"Evision.XFeatures2D.html","title":"Evision.XFeatures2D","type":"module"},{"doc":"GMS (Grid-based Motion Statistics) feature matching strategy described in @cite Bian2017gms . Positional Arguments size1 : Size . Input size of image1. size2 : Size . Input size of image2. keypoints1 : [Evision.KeyPoint] . Input keypoints of image1. keypoints2 : [Evision.KeyPoint] . Input keypoints of image2. matches1to2 : [Evision.DMatch] . Input 1-nearest neighbor matches. Keyword Arguments withRotation : bool . Take rotation transformation into account. withScale : bool . Take scale transformation into account. thresholdFactor : double . The higher, the less matches. Return matchesGMS : [Evision.DMatch] . Matches returned by the GMS matching strategy. Note : Since GMS works well when the number of features is large, we recommend to use the ORB feature and set FastThreshold to 0 to get as many as possible features quickly. If matching results are not satisfying, please add more features. (We use 10000 for images with 640 X 480). If your images have big rotation and scale changes, please set withRotation or withScale to true. Python prototype (for reference only): matchGMS(size1, size2, keypoints1, keypoints2, matches1to2[, withRotation[, withScale[, thresholdFactor]]]) -&gt; matchesGMS","ref":"Evision.XFeatures2D.html#matchGMS/5","title":"Evision.XFeatures2D.matchGMS/5","type":"function"},{"doc":"GMS (Grid-based Motion Statistics) feature matching strategy described in @cite Bian2017gms . Positional Arguments size1 : Size . Input size of image1. size2 : Size . Input size of image2. keypoints1 : [Evision.KeyPoint] . Input keypoints of image1. keypoints2 : [Evision.KeyPoint] . Input keypoints of image2. matches1to2 : [Evision.DMatch] . Input 1-nearest neighbor matches. Keyword Arguments withRotation : bool . Take rotation transformation into account. withScale : bool . Take scale transformation into account. thresholdFactor : double . The higher, the less matches. Return matchesGMS : [Evision.DMatch] . Matches returned by the GMS matching strategy. Note : Since GMS works well when the number of features is large, we recommend to use the ORB feature and set FastThreshold to 0 to get as many as possible features quickly. If matching results are not satisfying, please add more features. (We use 10000 for images with 640 X 480). If your images have big rotation and scale changes, please set withRotation or withScale to true. Python prototype (for reference only): matchGMS(size1, size2, keypoints1, keypoints2, matches1to2[, withRotation[, withScale[, thresholdFactor]]]) -&gt; matchesGMS","ref":"Evision.XFeatures2D.html#matchGMS/6","title":"Evision.XFeatures2D.matchGMS/6","type":"function"},{"doc":"LOGOS (Local geometric support for high-outlier spatial verification) feature matching strategy described in @cite Lowry2018LOGOSLG . Positional Arguments keypoints1 : [Evision.KeyPoint] . Input keypoints of image1. keypoints2 : [Evision.KeyPoint] . Input keypoints of image2. nn1 : [int] . Index to the closest BoW centroid for each descriptors of image1. nn2 : [int] . Index to the closest BoW centroid for each descriptors of image2. matches1to2 : [Evision.DMatch] . Matches returned by the LOGOS matching strategy. Note : This matching strategy is suitable for features matching against large scale database. First step consists in constructing the bag-of-words (BoW) from a representative image database. Image descriptors are then represented by their closest codevector (nearest BoW centroid). Python prototype (for reference only): matchLOGOS(keypoints1, keypoints2, nn1, nn2, matches1to2) -&gt; None","ref":"Evision.XFeatures2D.html#matchLOGOS/5","title":"Evision.XFeatures2D.matchLOGOS/5","type":"function"},{"doc":"Type that represents an XFeatures2D struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.html#t:t/0","title":"Evision.XFeatures2D.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.AffineFeature2D.html","title":"Evision.XFeatures2D.AffineFeature2D","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.AffineFeature2D.html#compute/3","title":"Evision.XFeatures2D.AffineFeature2D.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.AffineFeature2D.html#compute/4","title":"Evision.XFeatures2D.AffineFeature2D.compute/4","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.AffineFeature2D.html#defaultNorm/1","title":"Evision.XFeatures2D.AffineFeature2D.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.AffineFeature2D.html#descriptorSize/1","title":"Evision.XFeatures2D.AffineFeature2D.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.AffineFeature2D.html#descriptorType/1","title":"Evision.XFeatures2D.AffineFeature2D.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.AffineFeature2D.html#detect/2","title":"Evision.XFeatures2D.AffineFeature2D.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.AffineFeature2D.html#detect/3","title":"Evision.XFeatures2D.AffineFeature2D.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.AffineFeature2D.html#detectAndCompute/3","title":"Evision.XFeatures2D.AffineFeature2D.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.AffineFeature2D.html#detectAndCompute/4","title":"Evision.XFeatures2D.AffineFeature2D.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.AffineFeature2D.html#empty/1","title":"Evision.XFeatures2D.AffineFeature2D.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.AffineFeature2D.html#getDefaultName/1","title":"Evision.XFeatures2D.AffineFeature2D.getDefaultName/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.AffineFeature2D.html#read/2","title":"Evision.XFeatures2D.AffineFeature2D.read/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.AffineFeature2D.html#write/2","title":"Evision.XFeatures2D.AffineFeature2D.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.AffineFeature2D.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.AffineFeature2D.html#write/3","title":"Evision.XFeatures2D.AffineFeature2D.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.AffineFeature2D struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.AffineFeature2D.html#t:t/0","title":"Evision.XFeatures2D.AffineFeature2D.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.BEBLID.html","title":"Evision.XFeatures2D.BEBLID","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.BEBLID.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BEBLID.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BEBLID.html#compute/3","title":"Evision.XFeatures2D.BEBLID.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.BEBLID.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BEBLID.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BEBLID.html#compute/4","title":"Evision.XFeatures2D.BEBLID.compute/4","type":"function"},{"doc":"Creates the BEBLID descriptor. Positional Arguments scale_factor : float .Adjust the sampling window around detected keypoints: &lt;b&gt; 1.00f &lt;/b&gt; should be the scale for ORB keypoints &lt;b&gt; 6.75f &lt;/b&gt; should be the scale for SIFT detected keypoints &lt;b&gt; 6.25f &lt;/b&gt; is default and fits for KAZE, SURF detected keypoints &lt;b&gt; 5.00f &lt;/b&gt; should be the scale for AKAZE, MSD, AGAST, FAST, BRISK keypoints Keyword Arguments n_bits : int . Determine the number of bits in the descriptor. Should be either BEBLID::SIZE_512_BITS or BEBLID::SIZE_256_BITS. Return retval : BEBLID Python prototype (for reference only): create(scale_factor[, n_bits]) -&gt; retval","ref":"Evision.XFeatures2D.BEBLID.html#create/1","title":"Evision.XFeatures2D.BEBLID.create/1","type":"function"},{"doc":"Creates the BEBLID descriptor. Positional Arguments scale_factor : float .Adjust the sampling window around detected keypoints: &lt;b&gt; 1.00f &lt;/b&gt; should be the scale for ORB keypoints &lt;b&gt; 6.75f &lt;/b&gt; should be the scale for SIFT detected keypoints &lt;b&gt; 6.25f &lt;/b&gt; is default and fits for KAZE, SURF detected keypoints &lt;b&gt; 5.00f &lt;/b&gt; should be the scale for AKAZE, MSD, AGAST, FAST, BRISK keypoints Keyword Arguments n_bits : int . Determine the number of bits in the descriptor. Should be either BEBLID::SIZE_512_BITS or BEBLID::SIZE_256_BITS. Return retval : BEBLID Python prototype (for reference only): create(scale_factor[, n_bits]) -&gt; retval","ref":"Evision.XFeatures2D.BEBLID.html#create/2","title":"Evision.XFeatures2D.BEBLID.create/2","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.BEBLID.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.BEBLID.html#defaultNorm/1","title":"Evision.XFeatures2D.BEBLID.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.BEBLID.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.BEBLID.html#descriptorSize/1","title":"Evision.XFeatures2D.BEBLID.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.BEBLID.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.BEBLID.html#descriptorType/1","title":"Evision.XFeatures2D.BEBLID.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.BEBLID.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BEBLID.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.BEBLID.html#detect/2","title":"Evision.XFeatures2D.BEBLID.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.BEBLID.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BEBLID.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.BEBLID.html#detect/3","title":"Evision.XFeatures2D.BEBLID.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.BEBLID.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BEBLID.html#detectAndCompute/3","title":"Evision.XFeatures2D.BEBLID.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.BEBLID.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BEBLID.html#detectAndCompute/4","title":"Evision.XFeatures2D.BEBLID.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.BEBLID.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.BEBLID.html#empty/1","title":"Evision.XFeatures2D.BEBLID.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.BEBLID.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.BEBLID.html#getDefaultName/1","title":"Evision.XFeatures2D.BEBLID.getDefaultName/1","type":"function"},{"doc":"getScaleFactor Positional Arguments self : Evision.XFeatures2D.BEBLID.t() Return retval : float Python prototype (for reference only): getScaleFactor() -&gt; retval","ref":"Evision.XFeatures2D.BEBLID.html#getScaleFactor/1","title":"Evision.XFeatures2D.BEBLID.getScaleFactor/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.BEBLID.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.BEBLID.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.BEBLID.html#read/2","title":"Evision.XFeatures2D.BEBLID.read/2","type":"function"},{"doc":"setScaleFactor Positional Arguments self : Evision.XFeatures2D.BEBLID.t() scale_factor : float Python prototype (for reference only): setScaleFactor(scale_factor) -&gt; None","ref":"Evision.XFeatures2D.BEBLID.html#setScaleFactor/2","title":"Evision.XFeatures2D.BEBLID.setScaleFactor/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.BEBLID.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.BEBLID.html#write/2","title":"Evision.XFeatures2D.BEBLID.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.BEBLID.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.BEBLID.html#write/3","title":"Evision.XFeatures2D.BEBLID.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.BEBLID struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.BEBLID.html#t:t/0","title":"Evision.XFeatures2D.BEBLID.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.BoostDesc.html","title":"Evision.XFeatures2D.BoostDesc","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BoostDesc.html#compute/3","title":"Evision.XFeatures2D.BoostDesc.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BoostDesc.html#compute/4","title":"Evision.XFeatures2D.BoostDesc.compute/4","type":"function"},{"doc":"create Keyword Arguments desc : int . use_scale_orientation : bool . scale_factor : float . Return retval : BoostDesc Python prototype (for reference only): create([, desc[, use_scale_orientation[, scale_factor]]]) -&gt; retval","ref":"Evision.XFeatures2D.BoostDesc.html#create/0","title":"Evision.XFeatures2D.BoostDesc.create/0","type":"function"},{"doc":"create Keyword Arguments desc : int . use_scale_orientation : bool . scale_factor : float . Return retval : BoostDesc Python prototype (for reference only): create([, desc[, use_scale_orientation[, scale_factor]]]) -&gt; retval","ref":"Evision.XFeatures2D.BoostDesc.html#create/1","title":"Evision.XFeatures2D.BoostDesc.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.BoostDesc.html#defaultNorm/1","title":"Evision.XFeatures2D.BoostDesc.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.BoostDesc.html#descriptorSize/1","title":"Evision.XFeatures2D.BoostDesc.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.BoostDesc.html#descriptorType/1","title":"Evision.XFeatures2D.BoostDesc.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.BoostDesc.html#detect/2","title":"Evision.XFeatures2D.BoostDesc.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.BoostDesc.html#detect/3","title":"Evision.XFeatures2D.BoostDesc.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BoostDesc.html#detectAndCompute/3","title":"Evision.XFeatures2D.BoostDesc.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BoostDesc.html#detectAndCompute/4","title":"Evision.XFeatures2D.BoostDesc.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.BoostDesc.html#empty/1","title":"Evision.XFeatures2D.BoostDesc.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.BoostDesc.html#getDefaultName/1","title":"Evision.XFeatures2D.BoostDesc.getDefaultName/1","type":"function"},{"doc":"getScaleFactor Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() Return retval : float Python prototype (for reference only): getScaleFactor() -&gt; retval","ref":"Evision.XFeatures2D.BoostDesc.html#getScaleFactor/1","title":"Evision.XFeatures2D.BoostDesc.getScaleFactor/1","type":"function"},{"doc":"getUseScaleOrientation Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() Return retval : bool Python prototype (for reference only): getUseScaleOrientation() -&gt; retval","ref":"Evision.XFeatures2D.BoostDesc.html#getUseScaleOrientation/1","title":"Evision.XFeatures2D.BoostDesc.getUseScaleOrientation/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.BoostDesc.html#read/2","title":"Evision.XFeatures2D.BoostDesc.read/2","type":"function"},{"doc":"setScaleFactor Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() scale_factor : float Python prototype (for reference only): setScaleFactor(scale_factor) -&gt; None","ref":"Evision.XFeatures2D.BoostDesc.html#setScaleFactor/2","title":"Evision.XFeatures2D.BoostDesc.setScaleFactor/2","type":"function"},{"doc":"setUseScaleOrientation Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() use_scale_orientation : bool Python prototype (for reference only): setUseScaleOrientation(use_scale_orientation) -&gt; None","ref":"Evision.XFeatures2D.BoostDesc.html#setUseScaleOrientation/2","title":"Evision.XFeatures2D.BoostDesc.setUseScaleOrientation/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.BoostDesc.html#write/2","title":"Evision.XFeatures2D.BoostDesc.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.BoostDesc.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.BoostDesc.html#write/3","title":"Evision.XFeatures2D.BoostDesc.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.BoostDesc struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.BoostDesc.html#t:t/0","title":"Evision.XFeatures2D.BoostDesc.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html","title":"Evision.XFeatures2D.BriefDescriptorExtractor","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#compute/3","title":"Evision.XFeatures2D.BriefDescriptorExtractor.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#compute/4","title":"Evision.XFeatures2D.BriefDescriptorExtractor.compute/4","type":"function"},{"doc":"create Keyword Arguments bytes : int . use_orientation : bool . Return retval : BriefDescriptorExtractor Python prototype (for reference only): create([, bytes[, use_orientation]]) -&gt; retval","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#create/0","title":"Evision.XFeatures2D.BriefDescriptorExtractor.create/0","type":"function"},{"doc":"create Keyword Arguments bytes : int . use_orientation : bool . Return retval : BriefDescriptorExtractor Python prototype (for reference only): create([, bytes[, use_orientation]]) -&gt; retval","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#create/1","title":"Evision.XFeatures2D.BriefDescriptorExtractor.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#defaultNorm/1","title":"Evision.XFeatures2D.BriefDescriptorExtractor.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#descriptorSize/1","title":"Evision.XFeatures2D.BriefDescriptorExtractor.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#descriptorType/1","title":"Evision.XFeatures2D.BriefDescriptorExtractor.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#detect/2","title":"Evision.XFeatures2D.BriefDescriptorExtractor.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#detect/3","title":"Evision.XFeatures2D.BriefDescriptorExtractor.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#detectAndCompute/3","title":"Evision.XFeatures2D.BriefDescriptorExtractor.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#detectAndCompute/4","title":"Evision.XFeatures2D.BriefDescriptorExtractor.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#empty/1","title":"Evision.XFeatures2D.BriefDescriptorExtractor.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#getDefaultName/1","title":"Evision.XFeatures2D.BriefDescriptorExtractor.getDefaultName/1","type":"function"},{"doc":"getDescriptorSize Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() Return retval : int Python prototype (for reference only): getDescriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#getDescriptorSize/1","title":"Evision.XFeatures2D.BriefDescriptorExtractor.getDescriptorSize/1","type":"function"},{"doc":"getUseOrientation Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() Return retval : bool Python prototype (for reference only): getUseOrientation() -&gt; retval","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#getUseOrientation/1","title":"Evision.XFeatures2D.BriefDescriptorExtractor.getUseOrientation/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#read/2","title":"Evision.XFeatures2D.BriefDescriptorExtractor.read/2","type":"function"},{"doc":"setDescriptorSize Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() bytes : int Python prototype (for reference only): setDescriptorSize(bytes) -&gt; None","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#setDescriptorSize/2","title":"Evision.XFeatures2D.BriefDescriptorExtractor.setDescriptorSize/2","type":"function"},{"doc":"setUseOrientation Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() use_orientation : bool Python prototype (for reference only): setUseOrientation(use_orientation) -&gt; None","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#setUseOrientation/2","title":"Evision.XFeatures2D.BriefDescriptorExtractor.setUseOrientation/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#write/2","title":"Evision.XFeatures2D.BriefDescriptorExtractor.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.BriefDescriptorExtractor.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#write/3","title":"Evision.XFeatures2D.BriefDescriptorExtractor.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.BriefDescriptorExtractor struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.BriefDescriptorExtractor.html#t:t/0","title":"Evision.XFeatures2D.BriefDescriptorExtractor.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.DAISY.html","title":"Evision.XFeatures2D.DAISY","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.DAISY.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.DAISY.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.DAISY.html#compute/3","title":"Evision.XFeatures2D.DAISY.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.DAISY.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.DAISY.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.DAISY.html#compute/4","title":"Evision.XFeatures2D.DAISY.compute/4","type":"function"},{"doc":"create Keyword Arguments radius : float . q_radius : int . q_theta : int . q_hist : int . norm : DAISY_NormalizationType . h : Evision.Mat.t() . interpolation : bool . use_orientation : bool . Return retval : DAISY Python prototype (for reference only): create([, radius[, q_radius[, q_theta[, q_hist[, norm[, H[, interpolation[, use_orientation]]]]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#create/0","title":"Evision.XFeatures2D.DAISY.create/0","type":"function"},{"doc":"create Keyword Arguments radius : float . q_radius : int . q_theta : int . q_hist : int . norm : DAISY_NormalizationType . h : Evision.Mat.t() . interpolation : bool . use_orientation : bool . Return retval : DAISY Python prototype (for reference only): create([, radius[, q_radius[, q_theta[, q_hist[, norm[, H[, interpolation[, use_orientation]]]]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#create/1","title":"Evision.XFeatures2D.DAISY.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#defaultNorm/1","title":"Evision.XFeatures2D.DAISY.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#descriptorSize/1","title":"Evision.XFeatures2D.DAISY.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#descriptorType/1","title":"Evision.XFeatures2D.DAISY.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.DAISY.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.DAISY.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.DAISY.html#detect/2","title":"Evision.XFeatures2D.DAISY.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.DAISY.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.DAISY.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.DAISY.html#detect/3","title":"Evision.XFeatures2D.DAISY.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.DAISY.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.DAISY.html#detectAndCompute/3","title":"Evision.XFeatures2D.DAISY.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.DAISY.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.DAISY.html#detectAndCompute/4","title":"Evision.XFeatures2D.DAISY.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#empty/1","title":"Evision.XFeatures2D.DAISY.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#getDefaultName/1","title":"Evision.XFeatures2D.DAISY.getDefaultName/1","type":"function"},{"doc":"getH Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getH() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#getH/1","title":"Evision.XFeatures2D.DAISY.getH/1","type":"function"},{"doc":"getInterpolation Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : bool Python prototype (for reference only): getInterpolation() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#getInterpolation/1","title":"Evision.XFeatures2D.DAISY.getInterpolation/1","type":"function"},{"doc":"getNorm Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : int Python prototype (for reference only): getNorm() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#getNorm/1","title":"Evision.XFeatures2D.DAISY.getNorm/1","type":"function"},{"doc":"getQHist Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : int Python prototype (for reference only): getQHist() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#getQHist/1","title":"Evision.XFeatures2D.DAISY.getQHist/1","type":"function"},{"doc":"getQRadius Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : int Python prototype (for reference only): getQRadius() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#getQRadius/1","title":"Evision.XFeatures2D.DAISY.getQRadius/1","type":"function"},{"doc":"getQTheta Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : int Python prototype (for reference only): getQTheta() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#getQTheta/1","title":"Evision.XFeatures2D.DAISY.getQTheta/1","type":"function"},{"doc":"getRadius Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : float Python prototype (for reference only): getRadius() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#getRadius/1","title":"Evision.XFeatures2D.DAISY.getRadius/1","type":"function"},{"doc":"getUseOrientation Positional Arguments self : Evision.XFeatures2D.DAISY.t() Return retval : bool Python prototype (for reference only): getUseOrientation() -&gt; retval","ref":"Evision.XFeatures2D.DAISY.html#getUseOrientation/1","title":"Evision.XFeatures2D.DAISY.getUseOrientation/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.DAISY.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.DAISY.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#read/2","title":"Evision.XFeatures2D.DAISY.read/2","type":"function"},{"doc":"setH Positional Arguments self : Evision.XFeatures2D.DAISY.t() h : Evision.Mat.t() Python prototype (for reference only): setH(H) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#setH/2","title":"Evision.XFeatures2D.DAISY.setH/2","type":"function"},{"doc":"setInterpolation Positional Arguments self : Evision.XFeatures2D.DAISY.t() interpolation : bool Python prototype (for reference only): setInterpolation(interpolation) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#setInterpolation/2","title":"Evision.XFeatures2D.DAISY.setInterpolation/2","type":"function"},{"doc":"setNorm Positional Arguments self : Evision.XFeatures2D.DAISY.t() norm : int Python prototype (for reference only): setNorm(norm) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#setNorm/2","title":"Evision.XFeatures2D.DAISY.setNorm/2","type":"function"},{"doc":"setQHist Positional Arguments self : Evision.XFeatures2D.DAISY.t() q_hist : int Python prototype (for reference only): setQHist(q_hist) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#setQHist/2","title":"Evision.XFeatures2D.DAISY.setQHist/2","type":"function"},{"doc":"setQRadius Positional Arguments self : Evision.XFeatures2D.DAISY.t() q_radius : int Python prototype (for reference only): setQRadius(q_radius) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#setQRadius/2","title":"Evision.XFeatures2D.DAISY.setQRadius/2","type":"function"},{"doc":"setQTheta Positional Arguments self : Evision.XFeatures2D.DAISY.t() q_theta : int Python prototype (for reference only): setQTheta(q_theta) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#setQTheta/2","title":"Evision.XFeatures2D.DAISY.setQTheta/2","type":"function"},{"doc":"setRadius Positional Arguments self : Evision.XFeatures2D.DAISY.t() radius : float Python prototype (for reference only): setRadius(radius) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#setRadius/2","title":"Evision.XFeatures2D.DAISY.setRadius/2","type":"function"},{"doc":"setUseOrientation Positional Arguments self : Evision.XFeatures2D.DAISY.t() use_orientation : bool Python prototype (for reference only): setUseOrientation(use_orientation) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#setUseOrientation/2","title":"Evision.XFeatures2D.DAISY.setUseOrientation/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.DAISY.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#write/2","title":"Evision.XFeatures2D.DAISY.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.DAISY.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.DAISY.html#write/3","title":"Evision.XFeatures2D.DAISY.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.DAISY struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.DAISY.html#t:t/0","title":"Evision.XFeatures2D.DAISY.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.FREAK.html","title":"Evision.XFeatures2D.FREAK","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.FREAK.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.FREAK.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.FREAK.html#compute/3","title":"Evision.XFeatures2D.FREAK.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.FREAK.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.FREAK.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.FREAK.html#compute/4","title":"Evision.XFeatures2D.FREAK.compute/4","type":"function"},{"doc":"create Keyword Arguments orientationNormalized : bool . Enable orientation normalization. scaleNormalized : bool . Enable scale normalization. patternScale : float . Scaling of the description pattern. nOctaves : int . Number of octaves covered by the detected keypoints. selectedPairs : [int] . (Optional) user defined selected pairs indexes, Return retval : FREAK Python prototype (for reference only): create([, orientationNormalized[, scaleNormalized[, patternScale[, nOctaves[, selectedPairs]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#create/0","title":"Evision.XFeatures2D.FREAK.create/0","type":"function"},{"doc":"create Keyword Arguments orientationNormalized : bool . Enable orientation normalization. scaleNormalized : bool . Enable scale normalization. patternScale : float . Scaling of the description pattern. nOctaves : int . Number of octaves covered by the detected keypoints. selectedPairs : [int] . (Optional) user defined selected pairs indexes, Return retval : FREAK Python prototype (for reference only): create([, orientationNormalized[, scaleNormalized[, patternScale[, nOctaves[, selectedPairs]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#create/1","title":"Evision.XFeatures2D.FREAK.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.FREAK.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#defaultNorm/1","title":"Evision.XFeatures2D.FREAK.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.FREAK.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#descriptorSize/1","title":"Evision.XFeatures2D.FREAK.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.FREAK.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#descriptorType/1","title":"Evision.XFeatures2D.FREAK.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.FREAK.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.FREAK.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.FREAK.html#detect/2","title":"Evision.XFeatures2D.FREAK.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.FREAK.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.FREAK.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.FREAK.html#detect/3","title":"Evision.XFeatures2D.FREAK.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.FREAK.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.FREAK.html#detectAndCompute/3","title":"Evision.XFeatures2D.FREAK.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.FREAK.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.FREAK.html#detectAndCompute/4","title":"Evision.XFeatures2D.FREAK.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.FREAK.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#empty/1","title":"Evision.XFeatures2D.FREAK.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.FREAK.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#getDefaultName/1","title":"Evision.XFeatures2D.FREAK.getDefaultName/1","type":"function"},{"doc":"getNOctaves Positional Arguments self : Evision.XFeatures2D.FREAK.t() Return retval : int Python prototype (for reference only): getNOctaves() -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#getNOctaves/1","title":"Evision.XFeatures2D.FREAK.getNOctaves/1","type":"function"},{"doc":"getOrientationNormalized Positional Arguments self : Evision.XFeatures2D.FREAK.t() Return retval : bool Python prototype (for reference only): getOrientationNormalized() -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#getOrientationNormalized/1","title":"Evision.XFeatures2D.FREAK.getOrientationNormalized/1","type":"function"},{"doc":"getPatternScale Positional Arguments self : Evision.XFeatures2D.FREAK.t() Return retval : double Python prototype (for reference only): getPatternScale() -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#getPatternScale/1","title":"Evision.XFeatures2D.FREAK.getPatternScale/1","type":"function"},{"doc":"getScaleNormalized Positional Arguments self : Evision.XFeatures2D.FREAK.t() Return retval : bool Python prototype (for reference only): getScaleNormalized() -&gt; retval","ref":"Evision.XFeatures2D.FREAK.html#getScaleNormalized/1","title":"Evision.XFeatures2D.FREAK.getScaleNormalized/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.FREAK.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.FREAK.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.FREAK.html#read/2","title":"Evision.XFeatures2D.FREAK.read/2","type":"function"},{"doc":"setNOctaves Positional Arguments self : Evision.XFeatures2D.FREAK.t() nOctaves : int Python prototype (for reference only): setNOctaves(nOctaves) -&gt; None","ref":"Evision.XFeatures2D.FREAK.html#setNOctaves/2","title":"Evision.XFeatures2D.FREAK.setNOctaves/2","type":"function"},{"doc":"setOrientationNormalized Positional Arguments self : Evision.XFeatures2D.FREAK.t() orientationNormalized : bool Python prototype (for reference only): setOrientationNormalized(orientationNormalized) -&gt; None","ref":"Evision.XFeatures2D.FREAK.html#setOrientationNormalized/2","title":"Evision.XFeatures2D.FREAK.setOrientationNormalized/2","type":"function"},{"doc":"setPatternScale Positional Arguments self : Evision.XFeatures2D.FREAK.t() patternScale : double Python prototype (for reference only): setPatternScale(patternScale) -&gt; None","ref":"Evision.XFeatures2D.FREAK.html#setPatternScale/2","title":"Evision.XFeatures2D.FREAK.setPatternScale/2","type":"function"},{"doc":"setScaleNormalized Positional Arguments self : Evision.XFeatures2D.FREAK.t() scaleNormalized : bool Python prototype (for reference only): setScaleNormalized(scaleNormalized) -&gt; None","ref":"Evision.XFeatures2D.FREAK.html#setScaleNormalized/2","title":"Evision.XFeatures2D.FREAK.setScaleNormalized/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.FREAK.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.FREAK.html#write/2","title":"Evision.XFeatures2D.FREAK.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.FREAK.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.FREAK.html#write/3","title":"Evision.XFeatures2D.FREAK.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.FREAK struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.FREAK.html#t:t/0","title":"Evision.XFeatures2D.FREAK.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#compute/3","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#compute/4","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.compute/4","type":"function"},{"doc":"Creates a new implementation instance. Keyword Arguments numOctaves : int . the number of octaves in the scale-space pyramid corn_thresh : float . the threshold for the Harris cornerness measure dOG_thresh : float . the threshold for the Difference-of-Gaussians scale selection maxCorners : int . the maximum number of corners to consider num_layers : int . the number of intermediate scales per octave Return retval : HarrisLaplaceFeatureDetector Python prototype (for reference only): create([, numOctaves[, corn_thresh[, DOG_thresh[, maxCorners[, num_layers]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#create/0","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.create/0","type":"function"},{"doc":"Creates a new implementation instance. Keyword Arguments numOctaves : int . the number of octaves in the scale-space pyramid corn_thresh : float . the threshold for the Harris cornerness measure dOG_thresh : float . the threshold for the Difference-of-Gaussians scale selection maxCorners : int . the maximum number of corners to consider num_layers : int . the number of intermediate scales per octave Return retval : HarrisLaplaceFeatureDetector Python prototype (for reference only): create([, numOctaves[, corn_thresh[, DOG_thresh[, maxCorners[, num_layers]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#create/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#defaultNorm/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#descriptorSize/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#descriptorType/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#detect/2","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#detect/3","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#detectAndCompute/3","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#detectAndCompute/4","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#empty/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.empty/1","type":"function"},{"doc":"getCornThresh Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() Return retval : float Python prototype (for reference only): getCornThresh() -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#getCornThresh/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.getCornThresh/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#getDefaultName/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.getDefaultName/1","type":"function"},{"doc":"getDOGThresh Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() Return retval : float Python prototype (for reference only): getDOGThresh() -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#getDOGThresh/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.getDOGThresh/1","type":"function"},{"doc":"getMaxCorners Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() Return retval : int Python prototype (for reference only): getMaxCorners() -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#getMaxCorners/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.getMaxCorners/1","type":"function"},{"doc":"getNumLayers Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() Return retval : int Python prototype (for reference only): getNumLayers() -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#getNumLayers/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.getNumLayers/1","type":"function"},{"doc":"getNumOctaves Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() Return retval : int Python prototype (for reference only): getNumOctaves() -&gt; retval","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#getNumOctaves/1","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.getNumOctaves/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#read/2","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.read/2","type":"function"},{"doc":"setCornThresh Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() corn thresh : float Python prototype (for reference only): setCornThresh(corn_thresh_) -&gt; None","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#setCornThresh/2","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.setCornThresh/2","type":"function"},{"doc":"setDOGThresh Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() dOG thresh : float Python prototype (for reference only): setDOGThresh(DOG_thresh_) -&gt; None","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#setDOGThresh/2","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.setDOGThresh/2","type":"function"},{"doc":"setMaxCorners Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() maxCorners_ : int Python prototype (for reference only): setMaxCorners(maxCorners_) -&gt; None","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#setMaxCorners/2","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.setMaxCorners/2","type":"function"},{"doc":"setNumLayers Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() num layers : int Python prototype (for reference only): setNumLayers(num_layers_) -&gt; None","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#setNumLayers/2","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.setNumLayers/2","type":"function"},{"doc":"setNumOctaves Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() numOctaves_ : int Python prototype (for reference only): setNumOctaves(numOctaves_) -&gt; None","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#setNumOctaves/2","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.setNumOctaves/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#write/2","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#write/3","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.HarrisLaplaceFeatureDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.html#t:t/0","title":"Evision.XFeatures2D.HarrisLaplaceFeatureDetector.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.LATCH.html","title":"Evision.XFeatures2D.LATCH","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.LATCH.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.LATCH.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.LATCH.html#compute/3","title":"Evision.XFeatures2D.LATCH.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.LATCH.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.LATCH.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.LATCH.html#compute/4","title":"Evision.XFeatures2D.LATCH.compute/4","type":"function"},{"doc":"create Keyword Arguments bytes : int . rotationInvariance : bool . half_ssd_size : int . sigma : double . Return retval : LATCH Python prototype (for reference only): create([, bytes[, rotationInvariance[, half_ssd_size[, sigma]]]]) -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#create/0","title":"Evision.XFeatures2D.LATCH.create/0","type":"function"},{"doc":"create Keyword Arguments bytes : int . rotationInvariance : bool . half_ssd_size : int . sigma : double . Return retval : LATCH Python prototype (for reference only): create([, bytes[, rotationInvariance[, half_ssd_size[, sigma]]]]) -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#create/1","title":"Evision.XFeatures2D.LATCH.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.LATCH.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#defaultNorm/1","title":"Evision.XFeatures2D.LATCH.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.LATCH.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#descriptorSize/1","title":"Evision.XFeatures2D.LATCH.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.LATCH.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#descriptorType/1","title":"Evision.XFeatures2D.LATCH.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.LATCH.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.LATCH.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.LATCH.html#detect/2","title":"Evision.XFeatures2D.LATCH.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.LATCH.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.LATCH.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.LATCH.html#detect/3","title":"Evision.XFeatures2D.LATCH.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.LATCH.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.LATCH.html#detectAndCompute/3","title":"Evision.XFeatures2D.LATCH.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.LATCH.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.LATCH.html#detectAndCompute/4","title":"Evision.XFeatures2D.LATCH.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.LATCH.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#empty/1","title":"Evision.XFeatures2D.LATCH.empty/1","type":"function"},{"doc":"getBytes Positional Arguments self : Evision.XFeatures2D.LATCH.t() Return retval : int Python prototype (for reference only): getBytes() -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#getBytes/1","title":"Evision.XFeatures2D.LATCH.getBytes/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.LATCH.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#getDefaultName/1","title":"Evision.XFeatures2D.LATCH.getDefaultName/1","type":"function"},{"doc":"getHalfSSDsize Positional Arguments self : Evision.XFeatures2D.LATCH.t() Return retval : int Python prototype (for reference only): getHalfSSDsize() -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#getHalfSSDsize/1","title":"Evision.XFeatures2D.LATCH.getHalfSSDsize/1","type":"function"},{"doc":"getRotationInvariance Positional Arguments self : Evision.XFeatures2D.LATCH.t() Return retval : bool Python prototype (for reference only): getRotationInvariance() -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#getRotationInvariance/1","title":"Evision.XFeatures2D.LATCH.getRotationInvariance/1","type":"function"},{"doc":"getSigma Positional Arguments self : Evision.XFeatures2D.LATCH.t() Return retval : double Python prototype (for reference only): getSigma() -&gt; retval","ref":"Evision.XFeatures2D.LATCH.html#getSigma/1","title":"Evision.XFeatures2D.LATCH.getSigma/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.LATCH.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.LATCH.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.LATCH.html#read/2","title":"Evision.XFeatures2D.LATCH.read/2","type":"function"},{"doc":"setBytes Positional Arguments self : Evision.XFeatures2D.LATCH.t() bytes : int Python prototype (for reference only): setBytes(bytes) -&gt; None","ref":"Evision.XFeatures2D.LATCH.html#setBytes/2","title":"Evision.XFeatures2D.LATCH.setBytes/2","type":"function"},{"doc":"setHalfSSDsize Positional Arguments self : Evision.XFeatures2D.LATCH.t() half_ssd_size : int Python prototype (for reference only): setHalfSSDsize(half_ssd_size) -&gt; None","ref":"Evision.XFeatures2D.LATCH.html#setHalfSSDsize/2","title":"Evision.XFeatures2D.LATCH.setHalfSSDsize/2","type":"function"},{"doc":"setRotationInvariance Positional Arguments self : Evision.XFeatures2D.LATCH.t() rotationInvariance : bool Python prototype (for reference only): setRotationInvariance(rotationInvariance) -&gt; None","ref":"Evision.XFeatures2D.LATCH.html#setRotationInvariance/2","title":"Evision.XFeatures2D.LATCH.setRotationInvariance/2","type":"function"},{"doc":"setSigma Positional Arguments self : Evision.XFeatures2D.LATCH.t() sigma : double Python prototype (for reference only): setSigma(sigma) -&gt; None","ref":"Evision.XFeatures2D.LATCH.html#setSigma/2","title":"Evision.XFeatures2D.LATCH.setSigma/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.LATCH.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.LATCH.html#write/2","title":"Evision.XFeatures2D.LATCH.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.LATCH.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.LATCH.html#write/3","title":"Evision.XFeatures2D.LATCH.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.LATCH struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.LATCH.html#t:t/0","title":"Evision.XFeatures2D.LATCH.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.LUCID.html","title":"Evision.XFeatures2D.LUCID","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.LUCID.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.LUCID.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.LUCID.html#compute/3","title":"Evision.XFeatures2D.LUCID.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.LUCID.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.LUCID.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.LUCID.html#compute/4","title":"Evision.XFeatures2D.LUCID.compute/4","type":"function"},{"doc":"create Keyword Arguments lucid_kernel : int . kernel for descriptor construction, where 1=3x3, 2=5x5, 3=7x7 and so forth blur_kernel : int . kernel for blurring image prior to descriptor construction, where 1=3x3, 2=5x5, 3=7x7 and so forth Return retval : LUCID Python prototype (for reference only): create([, lucid_kernel[, blur_kernel]]) -&gt; retval","ref":"Evision.XFeatures2D.LUCID.html#create/0","title":"Evision.XFeatures2D.LUCID.create/0","type":"function"},{"doc":"create Keyword Arguments lucid_kernel : int . kernel for descriptor construction, where 1=3x3, 2=5x5, 3=7x7 and so forth blur_kernel : int . kernel for blurring image prior to descriptor construction, where 1=3x3, 2=5x5, 3=7x7 and so forth Return retval : LUCID Python prototype (for reference only): create([, lucid_kernel[, blur_kernel]]) -&gt; retval","ref":"Evision.XFeatures2D.LUCID.html#create/1","title":"Evision.XFeatures2D.LUCID.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.LUCID.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.LUCID.html#defaultNorm/1","title":"Evision.XFeatures2D.LUCID.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.LUCID.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.LUCID.html#descriptorSize/1","title":"Evision.XFeatures2D.LUCID.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.LUCID.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.LUCID.html#descriptorType/1","title":"Evision.XFeatures2D.LUCID.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.LUCID.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.LUCID.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.LUCID.html#detect/2","title":"Evision.XFeatures2D.LUCID.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.LUCID.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.LUCID.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.LUCID.html#detect/3","title":"Evision.XFeatures2D.LUCID.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.LUCID.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.LUCID.html#detectAndCompute/3","title":"Evision.XFeatures2D.LUCID.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.LUCID.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.LUCID.html#detectAndCompute/4","title":"Evision.XFeatures2D.LUCID.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.LUCID.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.LUCID.html#empty/1","title":"Evision.XFeatures2D.LUCID.empty/1","type":"function"},{"doc":"getBlurKernel Positional Arguments self : Evision.XFeatures2D.LUCID.t() Return retval : int Python prototype (for reference only): getBlurKernel() -&gt; retval","ref":"Evision.XFeatures2D.LUCID.html#getBlurKernel/1","title":"Evision.XFeatures2D.LUCID.getBlurKernel/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.LUCID.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.LUCID.html#getDefaultName/1","title":"Evision.XFeatures2D.LUCID.getDefaultName/1","type":"function"},{"doc":"getLucidKernel Positional Arguments self : Evision.XFeatures2D.LUCID.t() Return retval : int Python prototype (for reference only): getLucidKernel() -&gt; retval","ref":"Evision.XFeatures2D.LUCID.html#getLucidKernel/1","title":"Evision.XFeatures2D.LUCID.getLucidKernel/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.LUCID.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.LUCID.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.LUCID.html#read/2","title":"Evision.XFeatures2D.LUCID.read/2","type":"function"},{"doc":"setBlurKernel Positional Arguments self : Evision.XFeatures2D.LUCID.t() blur_kernel : int Python prototype (for reference only): setBlurKernel(blur_kernel) -&gt; None","ref":"Evision.XFeatures2D.LUCID.html#setBlurKernel/2","title":"Evision.XFeatures2D.LUCID.setBlurKernel/2","type":"function"},{"doc":"setLucidKernel Positional Arguments self : Evision.XFeatures2D.LUCID.t() lucid_kernel : int Python prototype (for reference only): setLucidKernel(lucid_kernel) -&gt; None","ref":"Evision.XFeatures2D.LUCID.html#setLucidKernel/2","title":"Evision.XFeatures2D.LUCID.setLucidKernel/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.LUCID.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.LUCID.html#write/2","title":"Evision.XFeatures2D.LUCID.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.LUCID.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.LUCID.html#write/3","title":"Evision.XFeatures2D.LUCID.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.LUCID struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.LUCID.html#t:t/0","title":"Evision.XFeatures2D.LUCID.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.MSDDetector.html","title":"Evision.XFeatures2D.MSDDetector","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.MSDDetector.html#compute/3","title":"Evision.XFeatures2D.MSDDetector.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.MSDDetector.html#compute/4","title":"Evision.XFeatures2D.MSDDetector.compute/4","type":"function"},{"doc":"create Keyword Arguments m_patch_radius : int . m_search_area_radius : int . m_nms_radius : int . m_nms_scale_radius : int . m_th_saliency : float . m_kNN : int . m_scale_factor : float . m_n_scales : int . m_compute_orientation : bool . Return retval : MSDDetector Python prototype (for reference only): create([, m_patch_radius[, m_search_area_radius[, m_nms_radius[, m_nms_scale_radius[, m_th_saliency[, m_kNN[, m_scale_factor[, m_n_scales[, m_compute_orientation]]]]]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#create/0","title":"Evision.XFeatures2D.MSDDetector.create/0","type":"function"},{"doc":"create Keyword Arguments m_patch_radius : int . m_search_area_radius : int . m_nms_radius : int . m_nms_scale_radius : int . m_th_saliency : float . m_kNN : int . m_scale_factor : float . m_n_scales : int . m_compute_orientation : bool . Return retval : MSDDetector Python prototype (for reference only): create([, m_patch_radius[, m_search_area_radius[, m_nms_radius[, m_nms_scale_radius[, m_th_saliency[, m_kNN[, m_scale_factor[, m_n_scales[, m_compute_orientation]]]]]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#create/1","title":"Evision.XFeatures2D.MSDDetector.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#defaultNorm/1","title":"Evision.XFeatures2D.MSDDetector.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#descriptorSize/1","title":"Evision.XFeatures2D.MSDDetector.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#descriptorType/1","title":"Evision.XFeatures2D.MSDDetector.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.MSDDetector.html#detect/2","title":"Evision.XFeatures2D.MSDDetector.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.MSDDetector.html#detect/3","title":"Evision.XFeatures2D.MSDDetector.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.MSDDetector.html#detectAndCompute/3","title":"Evision.XFeatures2D.MSDDetector.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.MSDDetector.html#detectAndCompute/4","title":"Evision.XFeatures2D.MSDDetector.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#empty/1","title":"Evision.XFeatures2D.MSDDetector.empty/1","type":"function"},{"doc":"getComputeOrientation Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : bool Python prototype (for reference only): getComputeOrientation() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#getComputeOrientation/1","title":"Evision.XFeatures2D.MSDDetector.getComputeOrientation/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#getDefaultName/1","title":"Evision.XFeatures2D.MSDDetector.getDefaultName/1","type":"function"},{"doc":"getKNN Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : int Python prototype (for reference only): getKNN() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#getKNN/1","title":"Evision.XFeatures2D.MSDDetector.getKNN/1","type":"function"},{"doc":"getNmsRadius Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : int Python prototype (for reference only): getNmsRadius() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#getNmsRadius/1","title":"Evision.XFeatures2D.MSDDetector.getNmsRadius/1","type":"function"},{"doc":"getNmsScaleRadius Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : int Python prototype (for reference only): getNmsScaleRadius() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#getNmsScaleRadius/1","title":"Evision.XFeatures2D.MSDDetector.getNmsScaleRadius/1","type":"function"},{"doc":"getNScales Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : int Python prototype (for reference only): getNScales() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#getNScales/1","title":"Evision.XFeatures2D.MSDDetector.getNScales/1","type":"function"},{"doc":"getPatchRadius Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : int Python prototype (for reference only): getPatchRadius() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#getPatchRadius/1","title":"Evision.XFeatures2D.MSDDetector.getPatchRadius/1","type":"function"},{"doc":"getScaleFactor Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : float Python prototype (for reference only): getScaleFactor() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#getScaleFactor/1","title":"Evision.XFeatures2D.MSDDetector.getScaleFactor/1","type":"function"},{"doc":"getSearchAreaRadius Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : int Python prototype (for reference only): getSearchAreaRadius() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#getSearchAreaRadius/1","title":"Evision.XFeatures2D.MSDDetector.getSearchAreaRadius/1","type":"function"},{"doc":"getThSaliency Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() Return retval : float Python prototype (for reference only): getThSaliency() -&gt; retval","ref":"Evision.XFeatures2D.MSDDetector.html#getThSaliency/1","title":"Evision.XFeatures2D.MSDDetector.getThSaliency/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#read/2","title":"Evision.XFeatures2D.MSDDetector.read/2","type":"function"},{"doc":"setComputeOrientation Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() compute_orientation : bool Python prototype (for reference only): setComputeOrientation(compute_orientation) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#setComputeOrientation/2","title":"Evision.XFeatures2D.MSDDetector.setComputeOrientation/2","type":"function"},{"doc":"setKNN Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() kNN : int Python prototype (for reference only): setKNN(kNN) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#setKNN/2","title":"Evision.XFeatures2D.MSDDetector.setKNN/2","type":"function"},{"doc":"setNmsRadius Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() nms_radius : int Python prototype (for reference only): setNmsRadius(nms_radius) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#setNmsRadius/2","title":"Evision.XFeatures2D.MSDDetector.setNmsRadius/2","type":"function"},{"doc":"setNmsScaleRadius Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() nms_scale_radius : int Python prototype (for reference only): setNmsScaleRadius(nms_scale_radius) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#setNmsScaleRadius/2","title":"Evision.XFeatures2D.MSDDetector.setNmsScaleRadius/2","type":"function"},{"doc":"setNScales Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() use_orientation : int Python prototype (for reference only): setNScales(use_orientation) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#setNScales/2","title":"Evision.XFeatures2D.MSDDetector.setNScales/2","type":"function"},{"doc":"setPatchRadius Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() patch_radius : int Python prototype (for reference only): setPatchRadius(patch_radius) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#setPatchRadius/2","title":"Evision.XFeatures2D.MSDDetector.setPatchRadius/2","type":"function"},{"doc":"setScaleFactor Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() scale_factor : float Python prototype (for reference only): setScaleFactor(scale_factor) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#setScaleFactor/2","title":"Evision.XFeatures2D.MSDDetector.setScaleFactor/2","type":"function"},{"doc":"setSearchAreaRadius Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() use_orientation : int Python prototype (for reference only): setSearchAreaRadius(use_orientation) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#setSearchAreaRadius/2","title":"Evision.XFeatures2D.MSDDetector.setSearchAreaRadius/2","type":"function"},{"doc":"setThSaliency Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() th_saliency : float Python prototype (for reference only): setThSaliency(th_saliency) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#setThSaliency/2","title":"Evision.XFeatures2D.MSDDetector.setThSaliency/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#write/2","title":"Evision.XFeatures2D.MSDDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.MSDDetector.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.MSDDetector.html#write/3","title":"Evision.XFeatures2D.MSDDetector.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.MSDDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.MSDDetector.html#t:t/0","title":"Evision.XFeatures2D.MSDDetector.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.PCTSignatures.html","title":"Evision.XFeatures2D.PCTSignatures","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#clear/1","title":"Evision.XFeatures2D.PCTSignatures.clear/1","type":"function"},{"doc":"Computes signature of given image. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() image : Evision.Mat.t() . Input image of CV_8U type. Return signature : Evision.Mat.t() . Output computed signature. Python prototype (for reference only): computeSignature(image[, signature]) -&gt; signature","ref":"Evision.XFeatures2D.PCTSignatures.html#computeSignature/2","title":"Evision.XFeatures2D.PCTSignatures.computeSignature/2","type":"function"},{"doc":"Computes signature of given image. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() image : Evision.Mat.t() . Input image of CV_8U type. Return signature : Evision.Mat.t() . Output computed signature. Python prototype (for reference only): computeSignature(image[, signature]) -&gt; signature","ref":"Evision.XFeatures2D.PCTSignatures.html#computeSignature/3","title":"Evision.XFeatures2D.PCTSignatures.computeSignature/3","type":"function"},{"doc":"Computes signatures for multiple images in parallel. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() images : [Evision.Mat] . Vector of input images of CV_8U type. signatures : [Evision.Mat] . Vector of computed signatures. Python prototype (for reference only): computeSignatures(images, signatures) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#computeSignatures/3","title":"Evision.XFeatures2D.PCTSignatures.computeSignatures/3","type":"function"},{"doc":"Creates PCTSignatures algorithm using sample and seed count. It generates its own sets of sampling points and clusterization seed indexes. Keyword Arguments initSampleCount : int . Number of points used for image sampling. initSeedCount : int . Number of initial clusterization seeds. Must be lower or equal to initSampleCount pointDistribution : int . Distribution of generated points. Default: UNIFORM. Available: UNIFORM, REGULAR, NORMAL. Return retval : PCTSignatures @return Created algorithm. Python prototype (for reference only): create([, initSampleCount[, initSeedCount[, pointDistribution]]]) -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#create/0","title":"Evision.XFeatures2D.PCTSignatures.create/0","type":"function"},{"doc":"Creates PCTSignatures algorithm using sample and seed count. It generates its own sets of sampling points and clusterization seed indexes. Keyword Arguments initSampleCount : int . Number of points used for image sampling. initSeedCount : int . Number of initial clusterization seeds. Must be lower or equal to initSampleCount pointDistribution : int . Distribution of generated points. Default: UNIFORM. Available: UNIFORM, REGULAR, NORMAL. Return retval : PCTSignatures @return Created algorithm. Python prototype (for reference only): create([, initSampleCount[, initSeedCount[, pointDistribution]]]) -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#create/1","title":"Evision.XFeatures2D.PCTSignatures.create/1","type":"function"},{"doc":"Variant 1: Creates PCTSignatures algorithm using pre-generated sampling points and clusterization seeds indexes. Positional Arguments initSamplingPoints : [Point2f] . Sampling points used in image sampling. initClusterSeedIndexes : [int] . Indexes of initial clusterization seeds. Its size must be lower or equal to initSamplingPoints.size(). Return retval : PCTSignatures @return Created algorithm. Python prototype (for reference only): create(initSamplingPoints, initClusterSeedIndexes) -&gt; retval Variant 2: Creates PCTSignatures algorithm using pre-generated sampling points and number of clusterization seeds. It uses the provided sampling points and generates its own clusterization seed indexes. Positional Arguments initSamplingPoints : [Point2f] . Sampling points used in image sampling. initSeedCount : int . Number of initial clusterization seeds. Must be lower or equal to initSamplingPoints.size(). Return retval : PCTSignatures @return Created algorithm. Python prototype (for reference only): create(initSamplingPoints, initSeedCount) -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#create/2","title":"Evision.XFeatures2D.PCTSignatures.create/2","type":"function"},{"doc":"Draws signature in the source image and outputs the result. Signatures are visualized as a circle with radius based on signature weight and color based on signature color. Contrast and entropy are not visualized. Positional Arguments source : Evision.Mat.t() . Source image. signature : Evision.Mat.t() . Image signature. Keyword Arguments radiusToShorterSideRatio : float . Determines maximal radius of signature in the output image. borderThickness : int . Border thickness of the visualized signature. Return result : Evision.Mat.t() . Output result. Python prototype (for reference only): drawSignature(source, signature[, result[, radiusToShorterSideRatio[, borderThickness]]]) -&gt; result","ref":"Evision.XFeatures2D.PCTSignatures.html#drawSignature/2","title":"Evision.XFeatures2D.PCTSignatures.drawSignature/2","type":"function"},{"doc":"Draws signature in the source image and outputs the result. Signatures are visualized as a circle with radius based on signature weight and color based on signature color. Contrast and entropy are not visualized. Positional Arguments source : Evision.Mat.t() . Source image. signature : Evision.Mat.t() . Image signature. Keyword Arguments radiusToShorterSideRatio : float . Determines maximal radius of signature in the output image. borderThickness : int . Border thickness of the visualized signature. Return result : Evision.Mat.t() . Output result. Python prototype (for reference only): drawSignature(source, signature[, result[, radiusToShorterSideRatio[, borderThickness]]]) -&gt; result","ref":"Evision.XFeatures2D.PCTSignatures.html#drawSignature/3","title":"Evision.XFeatures2D.PCTSignatures.drawSignature/3","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#empty/1","title":"Evision.XFeatures2D.PCTSignatures.empty/1","type":"function"},{"doc":"Generates initial sampling points according to selected point distribution. Positional Arguments initPoints : [Point2f] . Output vector where the generated points will be saved. count : int . Number of points to generate. pointDistribution : int . Point distribution selector. Available: UNIFORM, REGULAR, NORMAL. Note : Generated coordinates are in range [0..1) Python prototype (for reference only): generateInitPoints(initPoints, count, pointDistribution) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#generateInitPoints/3","title":"Evision.XFeatures2D.PCTSignatures.generateInitPoints/3","type":"function"},{"doc":"This parameter multiplied by the index of iteration gives lower limit for cluster size. Clusters containing fewer points than specified by the limit have their centroid dismissed and points are reassigned. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : int Python prototype (for reference only): getClusterMinSize() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getClusterMinSize/1","title":"Evision.XFeatures2D.PCTSignatures.getClusterMinSize/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getDefaultName/1","title":"Evision.XFeatures2D.PCTSignatures.getDefaultName/1","type":"function"},{"doc":"Distance function selector used for measuring distance between two points in k-means. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : int Python prototype (for reference only): getDistanceFunction() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getDistanceFunction/1","title":"Evision.XFeatures2D.PCTSignatures.getDistanceFunction/1","type":"function"},{"doc":"Remove centroids in k-means whose weight is lesser or equal to given threshold. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : float Python prototype (for reference only): getDropThreshold() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getDropThreshold/1","title":"Evision.XFeatures2D.PCTSignatures.getDropThreshold/1","type":"function"},{"doc":"Color resolution of the greyscale bitmap represented in allocated bits (i.e., value 4 means that 16 shades of grey are used). The greyscale bitmap is used for computing contrast and entropy values. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : int Python prototype (for reference only): getGrayscaleBits() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getGrayscaleBits/1","title":"Evision.XFeatures2D.PCTSignatures.getGrayscaleBits/1","type":"function"},{"doc":"Number of initial seeds (initial number of clusters) for the k-means algorithm. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : int Python prototype (for reference only): getInitSeedCount() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getInitSeedCount/1","title":"Evision.XFeatures2D.PCTSignatures.getInitSeedCount/1","type":"function"},{"doc":"Initial seeds (initial number of clusters) for the k-means algorithm. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : [int] Python prototype (for reference only): getInitSeedIndexes() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getInitSeedIndexes/1","title":"Evision.XFeatures2D.PCTSignatures.getInitSeedIndexes/1","type":"function"},{"doc":"Number of iterations of the k-means clustering. We use fixed number of iterations, since the modified clustering is pruning clusters (not iteratively refining k clusters). Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : int Python prototype (for reference only): getIterationCount() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getIterationCount/1","title":"Evision.XFeatures2D.PCTSignatures.getIterationCount/1","type":"function"},{"doc":"Threshold euclidean distance between two centroids. If two cluster centers are closer than this distance, one of the centroid is dismissed and points are reassigned. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : float Python prototype (for reference only): getJoiningDistance() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getJoiningDistance/1","title":"Evision.XFeatures2D.PCTSignatures.getJoiningDistance/1","type":"function"},{"doc":"Maximal number of generated clusters. If the number is exceeded, the clusters are sorted by their weights and the smallest clusters are cropped. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : int Python prototype (for reference only): getMaxClustersCount() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getMaxClustersCount/1","title":"Evision.XFeatures2D.PCTSignatures.getMaxClustersCount/1","type":"function"},{"doc":"Number of initial samples taken from the image. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : int Python prototype (for reference only): getSampleCount() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getSampleCount/1","title":"Evision.XFeatures2D.PCTSignatures.getSampleCount/1","type":"function"},{"doc":"Initial samples taken from the image. These sampled features become the input for clustering. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : [Point2f] Python prototype (for reference only): getSamplingPoints() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getSamplingPoints/1","title":"Evision.XFeatures2D.PCTSignatures.getSamplingPoints/1","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : float Python prototype (for reference only): getWeightA() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getWeightA/1","title":"Evision.XFeatures2D.PCTSignatures.getWeightA/1","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : float Python prototype (for reference only): getWeightB() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getWeightB/1","title":"Evision.XFeatures2D.PCTSignatures.getWeightB/1","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : float Python prototype (for reference only): getWeightContrast() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getWeightContrast/1","title":"Evision.XFeatures2D.PCTSignatures.getWeightContrast/1","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : float Python prototype (for reference only): getWeightEntropy() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getWeightEntropy/1","title":"Evision.XFeatures2D.PCTSignatures.getWeightEntropy/1","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : float Python prototype (for reference only): getWeightL() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getWeightL/1","title":"Evision.XFeatures2D.PCTSignatures.getWeightL/1","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : float Python prototype (for reference only): getWeightX() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getWeightX/1","title":"Evision.XFeatures2D.PCTSignatures.getWeightX/1","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : float Python prototype (for reference only): getWeightY() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getWeightY/1","title":"Evision.XFeatures2D.PCTSignatures.getWeightY/1","type":"function"},{"doc":"Size of the texture sampling window used to compute contrast and entropy (center of the window is always in the pixel selected by x,y coordinates of the corresponding feature sample). Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() Return retval : int Python prototype (for reference only): getWindowRadius() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignatures.html#getWindowRadius/1","title":"Evision.XFeatures2D.PCTSignatures.getWindowRadius/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#read/2","title":"Evision.XFeatures2D.PCTSignatures.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#save/2","title":"Evision.XFeatures2D.PCTSignatures.save/2","type":"function"},{"doc":"This parameter multiplied by the index of iteration gives lower limit for cluster size. Clusters containing fewer points than specified by the limit have their centroid dismissed and points are reassigned. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() clusterMinSize : int Python prototype (for reference only): setClusterMinSize(clusterMinSize) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setClusterMinSize/2","title":"Evision.XFeatures2D.PCTSignatures.setClusterMinSize/2","type":"function"},{"doc":"Distance function selector used for measuring distance between two points in k-means. Available: L0_25, L0_5, L1, L2, L2SQUARED, L5, L_INFINITY. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() distanceFunction : int Python prototype (for reference only): setDistanceFunction(distanceFunction) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setDistanceFunction/2","title":"Evision.XFeatures2D.PCTSignatures.setDistanceFunction/2","type":"function"},{"doc":"Remove centroids in k-means whose weight is lesser or equal to given threshold. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() dropThreshold : float Python prototype (for reference only): setDropThreshold(dropThreshold) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setDropThreshold/2","title":"Evision.XFeatures2D.PCTSignatures.setDropThreshold/2","type":"function"},{"doc":"Color resolution of the greyscale bitmap represented in allocated bits (i.e., value 4 means that 16 shades of grey are used). The greyscale bitmap is used for computing contrast and entropy values. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() grayscaleBits : int Python prototype (for reference only): setGrayscaleBits(grayscaleBits) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setGrayscaleBits/2","title":"Evision.XFeatures2D.PCTSignatures.setGrayscaleBits/2","type":"function"},{"doc":"Initial seed indexes for the k-means algorithm. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() initSeedIndexes : [int] Python prototype (for reference only): setInitSeedIndexes(initSeedIndexes) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setInitSeedIndexes/2","title":"Evision.XFeatures2D.PCTSignatures.setInitSeedIndexes/2","type":"function"},{"doc":"Number of iterations of the k-means clustering. We use fixed number of iterations, since the modified clustering is pruning clusters (not iteratively refining k clusters). Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() iterationCount : int Python prototype (for reference only): setIterationCount(iterationCount) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setIterationCount/2","title":"Evision.XFeatures2D.PCTSignatures.setIterationCount/2","type":"function"},{"doc":"Threshold euclidean distance between two centroids. If two cluster centers are closer than this distance, one of the centroid is dismissed and points are reassigned. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() joiningDistance : float Python prototype (for reference only): setJoiningDistance(joiningDistance) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setJoiningDistance/2","title":"Evision.XFeatures2D.PCTSignatures.setJoiningDistance/2","type":"function"},{"doc":"Maximal number of generated clusters. If the number is exceeded, the clusters are sorted by their weights and the smallest clusters are cropped. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() maxClustersCount : int Python prototype (for reference only): setMaxClustersCount(maxClustersCount) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setMaxClustersCount/2","title":"Evision.XFeatures2D.PCTSignatures.setMaxClustersCount/2","type":"function"},{"doc":"Sets sampling points used to sample the input image. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() samplingPoints : [Point2f] . Vector of sampling points in range [0..1) Note : Number of sampling points must be greater or equal to clusterization seed count. Python prototype (for reference only): setSamplingPoints(samplingPoints) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setSamplingPoints/2","title":"Evision.XFeatures2D.PCTSignatures.setSamplingPoints/2","type":"function"},{"doc":"Translations of the individual axes of the feature space. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() idx : int . ID of the translation value : float . Value of the translation Note : WEIGHT_IDX = 0 ; X_IDX = 1 ; Y_IDX = 2 ; L_IDX = 3 ; A_IDX = 4 ; B_IDX = 5 ; CONTRAST_IDX = 6 ; ENTROPY_IDX = 7 ; Python prototype (for reference only): setTranslation(idx, value) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setTranslation/3","title":"Evision.XFeatures2D.PCTSignatures.setTranslation/3","type":"function"},{"doc":"Translations of the individual axes of the feature space. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() translations : [float] . Values of all translations. Note : WEIGHT_IDX = 0 ; X_IDX = 1 ; Y_IDX = 2 ; L_IDX = 3 ; A_IDX = 4 ; B_IDX = 5 ; CONTRAST_IDX = 6 ; ENTROPY_IDX = 7 ; Python prototype (for reference only): setTranslations(translations) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setTranslations/2","title":"Evision.XFeatures2D.PCTSignatures.setTranslations/2","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() idx : int . ID of the weight value : float . Value of the weight Note : WEIGHT_IDX = 0 ; X_IDX = 1 ; Y_IDX = 2 ; L_IDX = 3 ; A_IDX = 4 ; B_IDX = 5 ; CONTRAST_IDX = 6 ; ENTROPY_IDX = 7 ; Python prototype (for reference only): setWeight(idx, value) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setWeight/3","title":"Evision.XFeatures2D.PCTSignatures.setWeight/3","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() weight : float Python prototype (for reference only): setWeightA(weight) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setWeightA/2","title":"Evision.XFeatures2D.PCTSignatures.setWeightA/2","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() weight : float Python prototype (for reference only): setWeightB(weight) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setWeightB/2","title":"Evision.XFeatures2D.PCTSignatures.setWeightB/2","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() weight : float Python prototype (for reference only): setWeightContrast(weight) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setWeightContrast/2","title":"Evision.XFeatures2D.PCTSignatures.setWeightContrast/2","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() weight : float Python prototype (for reference only): setWeightEntropy(weight) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setWeightEntropy/2","title":"Evision.XFeatures2D.PCTSignatures.setWeightEntropy/2","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() weight : float Python prototype (for reference only): setWeightL(weight) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setWeightL/2","title":"Evision.XFeatures2D.PCTSignatures.setWeightL/2","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space. Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() weights : [float] . Values of all weights. Note : WEIGHT_IDX = 0 ; X_IDX = 1 ; Y_IDX = 2 ; L_IDX = 3 ; A_IDX = 4 ; B_IDX = 5 ; CONTRAST_IDX = 6 ; ENTROPY_IDX = 7 ; Python prototype (for reference only): setWeights(weights) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setWeights/2","title":"Evision.XFeatures2D.PCTSignatures.setWeights/2","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() weight : float Python prototype (for reference only): setWeightX(weight) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setWeightX/2","title":"Evision.XFeatures2D.PCTSignatures.setWeightX/2","type":"function"},{"doc":"Weights (multiplicative constants) that linearly stretch individual axes of the feature space (x,y = position; L,a,b = color in CIE Lab space; c = contrast. e = entropy) Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() weight : float Python prototype (for reference only): setWeightY(weight) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setWeightY/2","title":"Evision.XFeatures2D.PCTSignatures.setWeightY/2","type":"function"},{"doc":"Size of the texture sampling window used to compute contrast and entropy (center of the window is always in the pixel selected by x,y coordinates of the corresponding feature sample). Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() radius : int Python prototype (for reference only): setWindowRadius(radius) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#setWindowRadius/2","title":"Evision.XFeatures2D.PCTSignatures.setWindowRadius/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#write/2","title":"Evision.XFeatures2D.PCTSignatures.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.PCTSignatures.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.PCTSignatures.html#write/3","title":"Evision.XFeatures2D.PCTSignatures.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.PCTSignatures struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.PCTSignatures.html#t:t/0","title":"Evision.XFeatures2D.PCTSignatures.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html","title":"Evision.XFeatures2D.PCTSignaturesSQFD","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XFeatures2D.PCTSignaturesSQFD.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#clear/1","title":"Evision.XFeatures2D.PCTSignaturesSQFD.clear/1","type":"function"},{"doc":"Computes Signature Quadratic Form Distance of two signatures. Positional Arguments self : Evision.XFeatures2D.PCTSignaturesSQFD.t() signature0 : Evision.Mat.t() . The first signature. signature1 : Evision.Mat.t() . The second signature. Return retval : float Python prototype (for reference only): computeQuadraticFormDistance(_signature0, _signature1) -&gt; retval","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#computeQuadraticFormDistance/3","title":"Evision.XFeatures2D.PCTSignaturesSQFD.computeQuadraticFormDistance/3","type":"function"},{"doc":"Computes Signature Quadratic Form Distance between the reference signature and each of the other image signatures. Positional Arguments self : Evision.XFeatures2D.PCTSignaturesSQFD.t() sourceSignature : Evision.Mat.t() . The signature to measure distance of other signatures from. imageSignatures : [Evision.Mat] . Vector of signatures to measure distance from the source signature. distances : [float] . Output vector of measured distances. Python prototype (for reference only): computeQuadraticFormDistances(sourceSignature, imageSignatures, distances) -&gt; None","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#computeQuadraticFormDistances/4","title":"Evision.XFeatures2D.PCTSignaturesSQFD.computeQuadraticFormDistances/4","type":"function"},{"doc":"Creates the algorithm instance using selected distance function, similarity function and similarity function parameter. Keyword Arguments distanceFunction : int . Distance function selector. Default: L2 Available: L0_25, L0_5, L1, L2, L2SQUARED, L5, L_INFINITY similarityFunction : int . Similarity function selector. Default: HEURISTIC Available: MINUS, GAUSSIAN, HEURISTIC similarityParameter : float . Parameter of the similarity function. Return retval : PCTSignaturesSQFD Python prototype (for reference only): create([, distanceFunction[, similarityFunction[, similarityParameter]]]) -&gt; retval","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#create/0","title":"Evision.XFeatures2D.PCTSignaturesSQFD.create/0","type":"function"},{"doc":"Creates the algorithm instance using selected distance function, similarity function and similarity function parameter. Keyword Arguments distanceFunction : int . Distance function selector. Default: L2 Available: L0_25, L0_5, L1, L2, L2SQUARED, L5, L_INFINITY similarityFunction : int . Similarity function selector. Default: HEURISTIC Available: MINUS, GAUSSIAN, HEURISTIC similarityParameter : float . Parameter of the similarity function. Return retval : PCTSignaturesSQFD Python prototype (for reference only): create([, distanceFunction[, similarityFunction[, similarityParameter]]]) -&gt; retval","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#create/1","title":"Evision.XFeatures2D.PCTSignaturesSQFD.create/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XFeatures2D.PCTSignaturesSQFD.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#empty/1","title":"Evision.XFeatures2D.PCTSignaturesSQFD.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.PCTSignaturesSQFD.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#getDefaultName/1","title":"Evision.XFeatures2D.PCTSignaturesSQFD.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XFeatures2D.PCTSignaturesSQFD.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#read/2","title":"Evision.XFeatures2D.PCTSignaturesSQFD.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XFeatures2D.PCTSignaturesSQFD.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#save/2","title":"Evision.XFeatures2D.PCTSignaturesSQFD.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XFeatures2D.PCTSignaturesSQFD.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#write/2","title":"Evision.XFeatures2D.PCTSignaturesSQFD.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.PCTSignaturesSQFD.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#write/3","title":"Evision.XFeatures2D.PCTSignaturesSQFD.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.PCTSignaturesSQFD struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.PCTSignaturesSQFD.html#t:t/0","title":"Evision.XFeatures2D.PCTSignaturesSQFD.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.SURF.html","title":"Evision.XFeatures2D.SURF","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.SURF.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.SURF.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.SURF.html#compute/3","title":"Evision.XFeatures2D.SURF.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.SURF.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.SURF.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.SURF.html#compute/4","title":"Evision.XFeatures2D.SURF.compute/4","type":"function"},{"doc":"create Keyword Arguments hessianThreshold : double . Threshold for hessian keypoint detector used in SURF. nOctaves : int . Number of pyramid octaves the keypoint detector will use. nOctaveLayers : int . Number of octave layers within each octave. extended : bool . Extended descriptor flag (true - use extended 128-element descriptors; false - use 64-element descriptors). upright : bool . Up-right or rotated features flag (true - do not compute orientation of features; false - compute orientation). Return retval : SURF Python prototype (for reference only): create([, hessianThreshold[, nOctaves[, nOctaveLayers[, extended[, upright]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#create/0","title":"Evision.XFeatures2D.SURF.create/0","type":"function"},{"doc":"create Keyword Arguments hessianThreshold : double . Threshold for hessian keypoint detector used in SURF. nOctaves : int . Number of pyramid octaves the keypoint detector will use. nOctaveLayers : int . Number of octave layers within each octave. extended : bool . Extended descriptor flag (true - use extended 128-element descriptors; false - use 64-element descriptors). upright : bool . Up-right or rotated features flag (true - do not compute orientation of features; false - compute orientation). Return retval : SURF Python prototype (for reference only): create([, hessianThreshold[, nOctaves[, nOctaveLayers[, extended[, upright]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#create/1","title":"Evision.XFeatures2D.SURF.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.SURF.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#defaultNorm/1","title":"Evision.XFeatures2D.SURF.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.SURF.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#descriptorSize/1","title":"Evision.XFeatures2D.SURF.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.SURF.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#descriptorType/1","title":"Evision.XFeatures2D.SURF.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.SURF.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.SURF.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.SURF.html#detect/2","title":"Evision.XFeatures2D.SURF.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.SURF.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.SURF.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.SURF.html#detect/3","title":"Evision.XFeatures2D.SURF.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.SURF.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.SURF.html#detectAndCompute/3","title":"Evision.XFeatures2D.SURF.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.SURF.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.SURF.html#detectAndCompute/4","title":"Evision.XFeatures2D.SURF.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.SURF.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#empty/1","title":"Evision.XFeatures2D.SURF.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.SURF.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#getDefaultName/1","title":"Evision.XFeatures2D.SURF.getDefaultName/1","type":"function"},{"doc":"getExtended Positional Arguments self : Evision.XFeatures2D.SURF.t() Return retval : bool Python prototype (for reference only): getExtended() -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#getExtended/1","title":"Evision.XFeatures2D.SURF.getExtended/1","type":"function"},{"doc":"getHessianThreshold Positional Arguments self : Evision.XFeatures2D.SURF.t() Return retval : double Python prototype (for reference only): getHessianThreshold() -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#getHessianThreshold/1","title":"Evision.XFeatures2D.SURF.getHessianThreshold/1","type":"function"},{"doc":"getNOctaveLayers Positional Arguments self : Evision.XFeatures2D.SURF.t() Return retval : int Python prototype (for reference only): getNOctaveLayers() -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#getNOctaveLayers/1","title":"Evision.XFeatures2D.SURF.getNOctaveLayers/1","type":"function"},{"doc":"getNOctaves Positional Arguments self : Evision.XFeatures2D.SURF.t() Return retval : int Python prototype (for reference only): getNOctaves() -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#getNOctaves/1","title":"Evision.XFeatures2D.SURF.getNOctaves/1","type":"function"},{"doc":"getUpright Positional Arguments self : Evision.XFeatures2D.SURF.t() Return retval : bool Python prototype (for reference only): getUpright() -&gt; retval","ref":"Evision.XFeatures2D.SURF.html#getUpright/1","title":"Evision.XFeatures2D.SURF.getUpright/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.SURF.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.SURF.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.SURF.html#read/2","title":"Evision.XFeatures2D.SURF.read/2","type":"function"},{"doc":"setExtended Positional Arguments self : Evision.XFeatures2D.SURF.t() extended : bool Python prototype (for reference only): setExtended(extended) -&gt; None","ref":"Evision.XFeatures2D.SURF.html#setExtended/2","title":"Evision.XFeatures2D.SURF.setExtended/2","type":"function"},{"doc":"setHessianThreshold Positional Arguments self : Evision.XFeatures2D.SURF.t() hessianThreshold : double Python prototype (for reference only): setHessianThreshold(hessianThreshold) -&gt; None","ref":"Evision.XFeatures2D.SURF.html#setHessianThreshold/2","title":"Evision.XFeatures2D.SURF.setHessianThreshold/2","type":"function"},{"doc":"setNOctaveLayers Positional Arguments self : Evision.XFeatures2D.SURF.t() nOctaveLayers : int Python prototype (for reference only): setNOctaveLayers(nOctaveLayers) -&gt; None","ref":"Evision.XFeatures2D.SURF.html#setNOctaveLayers/2","title":"Evision.XFeatures2D.SURF.setNOctaveLayers/2","type":"function"},{"doc":"setNOctaves Positional Arguments self : Evision.XFeatures2D.SURF.t() nOctaves : int Python prototype (for reference only): setNOctaves(nOctaves) -&gt; None","ref":"Evision.XFeatures2D.SURF.html#setNOctaves/2","title":"Evision.XFeatures2D.SURF.setNOctaves/2","type":"function"},{"doc":"setUpright Positional Arguments self : Evision.XFeatures2D.SURF.t() upright : bool Python prototype (for reference only): setUpright(upright) -&gt; None","ref":"Evision.XFeatures2D.SURF.html#setUpright/2","title":"Evision.XFeatures2D.SURF.setUpright/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.SURF.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.SURF.html#write/2","title":"Evision.XFeatures2D.SURF.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.SURF.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.SURF.html#write/3","title":"Evision.XFeatures2D.SURF.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.SURF struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.SURF.html#t:t/0","title":"Evision.XFeatures2D.SURF.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.StarDetector.html","title":"Evision.XFeatures2D.StarDetector","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.StarDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.StarDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.StarDetector.html#compute/3","title":"Evision.XFeatures2D.StarDetector.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.StarDetector.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.StarDetector.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.StarDetector.html#compute/4","title":"Evision.XFeatures2D.StarDetector.compute/4","type":"function"},{"doc":"create Keyword Arguments maxSize : int . responseThreshold : int . lineThresholdProjected : int . lineThresholdBinarized : int . suppressNonmaxSize : int . Return retval : StarDetector Python prototype (for reference only): create([, maxSize[, responseThreshold[, lineThresholdProjected[, lineThresholdBinarized[, suppressNonmaxSize]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#create/0","title":"Evision.XFeatures2D.StarDetector.create/0","type":"function"},{"doc":"create Keyword Arguments maxSize : int . responseThreshold : int . lineThresholdProjected : int . lineThresholdBinarized : int . suppressNonmaxSize : int . Return retval : StarDetector Python prototype (for reference only): create([, maxSize[, responseThreshold[, lineThresholdProjected[, lineThresholdBinarized[, suppressNonmaxSize]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#create/1","title":"Evision.XFeatures2D.StarDetector.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.StarDetector.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#defaultNorm/1","title":"Evision.XFeatures2D.StarDetector.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.StarDetector.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#descriptorSize/1","title":"Evision.XFeatures2D.StarDetector.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.StarDetector.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#descriptorType/1","title":"Evision.XFeatures2D.StarDetector.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.StarDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.StarDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.StarDetector.html#detect/2","title":"Evision.XFeatures2D.StarDetector.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.StarDetector.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.StarDetector.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.StarDetector.html#detect/3","title":"Evision.XFeatures2D.StarDetector.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.StarDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.StarDetector.html#detectAndCompute/3","title":"Evision.XFeatures2D.StarDetector.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.StarDetector.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.StarDetector.html#detectAndCompute/4","title":"Evision.XFeatures2D.StarDetector.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.StarDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#empty/1","title":"Evision.XFeatures2D.StarDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.StarDetector.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#getDefaultName/1","title":"Evision.XFeatures2D.StarDetector.getDefaultName/1","type":"function"},{"doc":"getLineThresholdBinarized Positional Arguments self : Evision.XFeatures2D.StarDetector.t() Return retval : int Python prototype (for reference only): getLineThresholdBinarized() -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#getLineThresholdBinarized/1","title":"Evision.XFeatures2D.StarDetector.getLineThresholdBinarized/1","type":"function"},{"doc":"getLineThresholdProjected Positional Arguments self : Evision.XFeatures2D.StarDetector.t() Return retval : int Python prototype (for reference only): getLineThresholdProjected() -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#getLineThresholdProjected/1","title":"Evision.XFeatures2D.StarDetector.getLineThresholdProjected/1","type":"function"},{"doc":"getMaxSize Positional Arguments self : Evision.XFeatures2D.StarDetector.t() Return retval : int Python prototype (for reference only): getMaxSize() -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#getMaxSize/1","title":"Evision.XFeatures2D.StarDetector.getMaxSize/1","type":"function"},{"doc":"getResponseThreshold Positional Arguments self : Evision.XFeatures2D.StarDetector.t() Return retval : int Python prototype (for reference only): getResponseThreshold() -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#getResponseThreshold/1","title":"Evision.XFeatures2D.StarDetector.getResponseThreshold/1","type":"function"},{"doc":"getSuppressNonmaxSize Positional Arguments self : Evision.XFeatures2D.StarDetector.t() Return retval : int Python prototype (for reference only): getSuppressNonmaxSize() -&gt; retval","ref":"Evision.XFeatures2D.StarDetector.html#getSuppressNonmaxSize/1","title":"Evision.XFeatures2D.StarDetector.getSuppressNonmaxSize/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.StarDetector.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.StarDetector.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.StarDetector.html#read/2","title":"Evision.XFeatures2D.StarDetector.read/2","type":"function"},{"doc":"setLineThresholdBinarized Positional Arguments self : Evision.XFeatures2D.StarDetector.t() lineThresholdBinarized : int Python prototype (for reference only): setLineThresholdBinarized(_lineThresholdBinarized) -&gt; None","ref":"Evision.XFeatures2D.StarDetector.html#setLineThresholdBinarized/2","title":"Evision.XFeatures2D.StarDetector.setLineThresholdBinarized/2","type":"function"},{"doc":"setLineThresholdProjected Positional Arguments self : Evision.XFeatures2D.StarDetector.t() lineThresholdProjected : int Python prototype (for reference only): setLineThresholdProjected(_lineThresholdProjected) -&gt; None","ref":"Evision.XFeatures2D.StarDetector.html#setLineThresholdProjected/2","title":"Evision.XFeatures2D.StarDetector.setLineThresholdProjected/2","type":"function"},{"doc":"setMaxSize Positional Arguments self : Evision.XFeatures2D.StarDetector.t() maxSize : int Python prototype (for reference only): setMaxSize(_maxSize) -&gt; None","ref":"Evision.XFeatures2D.StarDetector.html#setMaxSize/2","title":"Evision.XFeatures2D.StarDetector.setMaxSize/2","type":"function"},{"doc":"setResponseThreshold Positional Arguments self : Evision.XFeatures2D.StarDetector.t() responseThreshold : int Python prototype (for reference only): setResponseThreshold(_responseThreshold) -&gt; None","ref":"Evision.XFeatures2D.StarDetector.html#setResponseThreshold/2","title":"Evision.XFeatures2D.StarDetector.setResponseThreshold/2","type":"function"},{"doc":"setSuppressNonmaxSize Positional Arguments self : Evision.XFeatures2D.StarDetector.t() suppressNonmaxSize : int Python prototype (for reference only): setSuppressNonmaxSize(_suppressNonmaxSize) -&gt; None","ref":"Evision.XFeatures2D.StarDetector.html#setSuppressNonmaxSize/2","title":"Evision.XFeatures2D.StarDetector.setSuppressNonmaxSize/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.StarDetector.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.StarDetector.html#write/2","title":"Evision.XFeatures2D.StarDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.StarDetector.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.StarDetector.html#write/3","title":"Evision.XFeatures2D.StarDetector.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.StarDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.StarDetector.html#t:t/0","title":"Evision.XFeatures2D.StarDetector.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.TBMR.html","title":"Evision.XFeatures2D.TBMR","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.TBMR.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.TBMR.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.TBMR.html#compute/3","title":"Evision.XFeatures2D.TBMR.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.TBMR.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.TBMR.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.TBMR.html#compute/4","title":"Evision.XFeatures2D.TBMR.compute/4","type":"function"},{"doc":"create Keyword Arguments min_area : int . max_area_relative : float . scale_factor : float . n_scales : int . Return retval : TBMR Python prototype (for reference only): create([, min_area[, max_area_relative[, scale_factor[, n_scales]]]]) -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#create/0","title":"Evision.XFeatures2D.TBMR.create/0","type":"function"},{"doc":"create Keyword Arguments min_area : int . max_area_relative : float . scale_factor : float . n_scales : int . Return retval : TBMR Python prototype (for reference only): create([, min_area[, max_area_relative[, scale_factor[, n_scales]]]]) -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#create/1","title":"Evision.XFeatures2D.TBMR.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.TBMR.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#defaultNorm/1","title":"Evision.XFeatures2D.TBMR.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.TBMR.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#descriptorSize/1","title":"Evision.XFeatures2D.TBMR.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.TBMR.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#descriptorType/1","title":"Evision.XFeatures2D.TBMR.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.TBMR.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.TBMR.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.TBMR.html#detect/2","title":"Evision.XFeatures2D.TBMR.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.TBMR.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.TBMR.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.TBMR.html#detect/3","title":"Evision.XFeatures2D.TBMR.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.TBMR.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.TBMR.html#detectAndCompute/3","title":"Evision.XFeatures2D.TBMR.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.TBMR.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.TBMR.html#detectAndCompute/4","title":"Evision.XFeatures2D.TBMR.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.TBMR.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#empty/1","title":"Evision.XFeatures2D.TBMR.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.TBMR.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#getDefaultName/1","title":"Evision.XFeatures2D.TBMR.getDefaultName/1","type":"function"},{"doc":"getMaxAreaRelative Positional Arguments self : Evision.XFeatures2D.TBMR.t() Return retval : float Python prototype (for reference only): getMaxAreaRelative() -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#getMaxAreaRelative/1","title":"Evision.XFeatures2D.TBMR.getMaxAreaRelative/1","type":"function"},{"doc":"getMinArea Positional Arguments self : Evision.XFeatures2D.TBMR.t() Return retval : int Python prototype (for reference only): getMinArea() -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#getMinArea/1","title":"Evision.XFeatures2D.TBMR.getMinArea/1","type":"function"},{"doc":"getNScales Positional Arguments self : Evision.XFeatures2D.TBMR.t() Return retval : int Python prototype (for reference only): getNScales() -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#getNScales/1","title":"Evision.XFeatures2D.TBMR.getNScales/1","type":"function"},{"doc":"getScaleFactor Positional Arguments self : Evision.XFeatures2D.TBMR.t() Return retval : float Python prototype (for reference only): getScaleFactor() -&gt; retval","ref":"Evision.XFeatures2D.TBMR.html#getScaleFactor/1","title":"Evision.XFeatures2D.TBMR.getScaleFactor/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.TBMR.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.TBMR.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.TBMR.html#read/2","title":"Evision.XFeatures2D.TBMR.read/2","type":"function"},{"doc":"setMaxAreaRelative Positional Arguments self : Evision.XFeatures2D.TBMR.t() maxArea : float Python prototype (for reference only): setMaxAreaRelative(maxArea) -&gt; None","ref":"Evision.XFeatures2D.TBMR.html#setMaxAreaRelative/2","title":"Evision.XFeatures2D.TBMR.setMaxAreaRelative/2","type":"function"},{"doc":"setMinArea Positional Arguments self : Evision.XFeatures2D.TBMR.t() minArea : int Python prototype (for reference only): setMinArea(minArea) -&gt; None","ref":"Evision.XFeatures2D.TBMR.html#setMinArea/2","title":"Evision.XFeatures2D.TBMR.setMinArea/2","type":"function"},{"doc":"setNScales Positional Arguments self : Evision.XFeatures2D.TBMR.t() n_scales : int Python prototype (for reference only): setNScales(n_scales) -&gt; None","ref":"Evision.XFeatures2D.TBMR.html#setNScales/2","title":"Evision.XFeatures2D.TBMR.setNScales/2","type":"function"},{"doc":"setScaleFactor Positional Arguments self : Evision.XFeatures2D.TBMR.t() scale_factor : float Python prototype (for reference only): setScaleFactor(scale_factor) -&gt; None","ref":"Evision.XFeatures2D.TBMR.html#setScaleFactor/2","title":"Evision.XFeatures2D.TBMR.setScaleFactor/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.TBMR.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.TBMR.html#write/2","title":"Evision.XFeatures2D.TBMR.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.TBMR.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.TBMR.html#write/3","title":"Evision.XFeatures2D.TBMR.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.TBMR struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.TBMR.html#t:t/0","title":"Evision.XFeatures2D.TBMR.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.TEBLID.html","title":"Evision.XFeatures2D.TEBLID","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.TEBLID.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.TEBLID.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.TEBLID.html#compute/3","title":"Evision.XFeatures2D.TEBLID.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.TEBLID.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.TEBLID.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.TEBLID.html#compute/4","title":"Evision.XFeatures2D.TEBLID.compute/4","type":"function"},{"doc":"Creates the TEBLID descriptor. Positional Arguments scale_factor : float .Adjust the sampling window around detected keypoints: &lt;b&gt; 1.00f &lt;/b&gt; should be the scale for ORB keypoints &lt;b&gt; 6.75f &lt;/b&gt; should be the scale for SIFT detected keypoints &lt;b&gt; 6.25f &lt;/b&gt; is default and fits for KAZE, SURF detected keypoints &lt;b&gt; 5.00f &lt;/b&gt; should be the scale for AKAZE, MSD, AGAST, FAST, BRISK keypoints Keyword Arguments n_bits : int . Determine the number of bits in the descriptor. Should be either TEBLID::SIZE_256_BITS or TEBLID::SIZE_512_BITS. Return retval : TEBLID Python prototype (for reference only): create(scale_factor[, n_bits]) -&gt; retval","ref":"Evision.XFeatures2D.TEBLID.html#create/1","title":"Evision.XFeatures2D.TEBLID.create/1","type":"function"},{"doc":"Creates the TEBLID descriptor. Positional Arguments scale_factor : float .Adjust the sampling window around detected keypoints: &lt;b&gt; 1.00f &lt;/b&gt; should be the scale for ORB keypoints &lt;b&gt; 6.75f &lt;/b&gt; should be the scale for SIFT detected keypoints &lt;b&gt; 6.25f &lt;/b&gt; is default and fits for KAZE, SURF detected keypoints &lt;b&gt; 5.00f &lt;/b&gt; should be the scale for AKAZE, MSD, AGAST, FAST, BRISK keypoints Keyword Arguments n_bits : int . Determine the number of bits in the descriptor. Should be either TEBLID::SIZE_256_BITS or TEBLID::SIZE_512_BITS. Return retval : TEBLID Python prototype (for reference only): create(scale_factor[, n_bits]) -&gt; retval","ref":"Evision.XFeatures2D.TEBLID.html#create/2","title":"Evision.XFeatures2D.TEBLID.create/2","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.TEBLID.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.TEBLID.html#defaultNorm/1","title":"Evision.XFeatures2D.TEBLID.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.TEBLID.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.TEBLID.html#descriptorSize/1","title":"Evision.XFeatures2D.TEBLID.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.TEBLID.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.TEBLID.html#descriptorType/1","title":"Evision.XFeatures2D.TEBLID.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.TEBLID.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.TEBLID.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.TEBLID.html#detect/2","title":"Evision.XFeatures2D.TEBLID.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.TEBLID.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.TEBLID.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.TEBLID.html#detect/3","title":"Evision.XFeatures2D.TEBLID.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.TEBLID.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.TEBLID.html#detectAndCompute/3","title":"Evision.XFeatures2D.TEBLID.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.TEBLID.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.TEBLID.html#detectAndCompute/4","title":"Evision.XFeatures2D.TEBLID.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.TEBLID.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.TEBLID.html#empty/1","title":"Evision.XFeatures2D.TEBLID.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.TEBLID.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.TEBLID.html#getDefaultName/1","title":"Evision.XFeatures2D.TEBLID.getDefaultName/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.TEBLID.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.TEBLID.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.TEBLID.html#read/2","title":"Evision.XFeatures2D.TEBLID.read/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.TEBLID.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.TEBLID.html#write/2","title":"Evision.XFeatures2D.TEBLID.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.TEBLID.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.TEBLID.html#write/3","title":"Evision.XFeatures2D.TEBLID.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.TEBLID struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.TEBLID.html#t:t/0","title":"Evision.XFeatures2D.TEBLID.t/0","type":"type"},{"doc":"","ref":"Evision.XFeatures2D.VGG.html","title":"Evision.XFeatures2D.VGG","type":"module"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.VGG.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.VGG.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.VGG.html#compute/3","title":"Evision.XFeatures2D.VGG.compute/3","type":"function"},{"doc":"Variant 1: compute Positional Arguments self : Evision.XFeatures2D.VGG.t() images : [Evision.Mat] . Image set. Return keypoints : [[Evision.KeyPoint]] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : [Evision.Mat] . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Has overloading in C++ Python prototype (for reference only): compute(images, keypoints[, descriptors]) -&gt; keypoints, descriptors Variant 2: Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.VGG.t() image : Evision.Mat.t() . Image. Return keypoints : [Evision.KeyPoint] . Input collection of keypoints. Keypoints for which a descriptor cannot be computed are removed. Sometimes new keypoints can be added, for example: SIFT duplicates keypoint with several dominant orientations (for each orientation). descriptors : Evision.Mat.t() . Computed descriptors. In the second variant of the method descriptors[i] are descriptors computed for a keypoints[i]. Row j is the keypoints (or keypoints[i]) is the descriptor for keypoint j-th keypoint. Python prototype (for reference only): compute(image, keypoints[, descriptors]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.VGG.html#compute/4","title":"Evision.XFeatures2D.VGG.compute/4","type":"function"},{"doc":"create Keyword Arguments desc : int . isigma : float . img_normalize : bool . use_scale_orientation : bool . scale_factor : float . dsc_normalize : bool . Return retval : VGG Python prototype (for reference only): create([, desc[, isigma[, img_normalize[, use_scale_orientation[, scale_factor[, dsc_normalize]]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#create/0","title":"Evision.XFeatures2D.VGG.create/0","type":"function"},{"doc":"create Keyword Arguments desc : int . isigma : float . img_normalize : bool . use_scale_orientation : bool . scale_factor : float . dsc_normalize : bool . Return retval : VGG Python prototype (for reference only): create([, desc[, isigma[, img_normalize[, use_scale_orientation[, scale_factor[, dsc_normalize]]]]]]) -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#create/1","title":"Evision.XFeatures2D.VGG.create/1","type":"function"},{"doc":"defaultNorm Positional Arguments self : Evision.XFeatures2D.VGG.t() Return retval : int Python prototype (for reference only): defaultNorm() -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#defaultNorm/1","title":"Evision.XFeatures2D.VGG.defaultNorm/1","type":"function"},{"doc":"descriptorSize Positional Arguments self : Evision.XFeatures2D.VGG.t() Return retval : int Python prototype (for reference only): descriptorSize() -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#descriptorSize/1","title":"Evision.XFeatures2D.VGG.descriptorSize/1","type":"function"},{"doc":"descriptorType Positional Arguments self : Evision.XFeatures2D.VGG.t() Return retval : int Python prototype (for reference only): descriptorType() -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#descriptorType/1","title":"Evision.XFeatures2D.VGG.descriptorType/1","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.VGG.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.VGG.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.VGG.html#detect/2","title":"Evision.XFeatures2D.VGG.detect/2","type":"function"},{"doc":"Variant 1: detect Positional Arguments self : Evision.XFeatures2D.VGG.t() images : [Evision.Mat] . Image set. Keyword Arguments masks : [Evision.Mat] . Masks for each input image specifying where to look for keypoints (optional). masks[i] is a mask for images[i]. Return keypoints : [[Evision.KeyPoint]] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Has overloading in C++ Python prototype (for reference only): detect(images[, masks]) -&gt; keypoints Variant 2: Detects keypoints in an image (first variant) or image set (second variant). Positional Arguments self : Evision.XFeatures2D.VGG.t() image : Evision.Mat.t() . Image. Keyword Arguments mask : Evision.Mat.t() . Mask specifying where to look for keypoints (optional). It must be a 8-bit integer matrix with non-zero values in the region of interest. Return keypoints : [Evision.KeyPoint] . The detected keypoints. In the second variant of the method keypoints[i] is a set of keypoints detected in images[i] . Python prototype (for reference only): detect(image[, mask]) -&gt; keypoints","ref":"Evision.XFeatures2D.VGG.html#detect/3","title":"Evision.XFeatures2D.VGG.detect/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.VGG.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.VGG.html#detectAndCompute/3","title":"Evision.XFeatures2D.VGG.detectAndCompute/3","type":"function"},{"doc":"detectAndCompute Positional Arguments self : Evision.XFeatures2D.VGG.t() image : Evision.Mat.t() mask : Evision.Mat.t() Keyword Arguments useProvidedKeypoints : bool . Return keypoints : [Evision.KeyPoint] descriptors : Evision.Mat.t() . Detects keypoints and computes the descriptors Python prototype (for reference only): detectAndCompute(image, mask[, descriptors[, useProvidedKeypoints]]) -&gt; keypoints, descriptors","ref":"Evision.XFeatures2D.VGG.html#detectAndCompute/4","title":"Evision.XFeatures2D.VGG.detectAndCompute/4","type":"function"},{"doc":"empty Positional Arguments self : Evision.XFeatures2D.VGG.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#empty/1","title":"Evision.XFeatures2D.VGG.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XFeatures2D.VGG.t() Return retval : String Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#getDefaultName/1","title":"Evision.XFeatures2D.VGG.getDefaultName/1","type":"function"},{"doc":"getScaleFactor Positional Arguments self : Evision.XFeatures2D.VGG.t() Return retval : float Python prototype (for reference only): getScaleFactor() -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#getScaleFactor/1","title":"Evision.XFeatures2D.VGG.getScaleFactor/1","type":"function"},{"doc":"getSigma Positional Arguments self : Evision.XFeatures2D.VGG.t() Return retval : float Python prototype (for reference only): getSigma() -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#getSigma/1","title":"Evision.XFeatures2D.VGG.getSigma/1","type":"function"},{"doc":"getUseNormalizeDescriptor Positional Arguments self : Evision.XFeatures2D.VGG.t() Return retval : bool Python prototype (for reference only): getUseNormalizeDescriptor() -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#getUseNormalizeDescriptor/1","title":"Evision.XFeatures2D.VGG.getUseNormalizeDescriptor/1","type":"function"},{"doc":"getUseNormalizeImage Positional Arguments self : Evision.XFeatures2D.VGG.t() Return retval : bool Python prototype (for reference only): getUseNormalizeImage() -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#getUseNormalizeImage/1","title":"Evision.XFeatures2D.VGG.getUseNormalizeImage/1","type":"function"},{"doc":"getUseScaleOrientation Positional Arguments self : Evision.XFeatures2D.VGG.t() Return retval : bool Python prototype (for reference only): getUseScaleOrientation() -&gt; retval","ref":"Evision.XFeatures2D.VGG.html#getUseScaleOrientation/1","title":"Evision.XFeatures2D.VGG.getUseScaleOrientation/1","type":"function"},{"doc":"Variant 1: read Positional Arguments self : Evision.XFeatures2D.VGG.t() arg1 : Evision.FileNode.t() Python prototype (for reference only): read(arg1) -&gt; None Variant 2: read Positional Arguments self : Evision.XFeatures2D.VGG.t() fileName : String Python prototype (for reference only): read(fileName) -&gt; None","ref":"Evision.XFeatures2D.VGG.html#read/2","title":"Evision.XFeatures2D.VGG.read/2","type":"function"},{"doc":"setScaleFactor Positional Arguments self : Evision.XFeatures2D.VGG.t() scale_factor : float Python prototype (for reference only): setScaleFactor(scale_factor) -&gt; None","ref":"Evision.XFeatures2D.VGG.html#setScaleFactor/2","title":"Evision.XFeatures2D.VGG.setScaleFactor/2","type":"function"},{"doc":"setSigma Positional Arguments self : Evision.XFeatures2D.VGG.t() isigma : float Python prototype (for reference only): setSigma(isigma) -&gt; None","ref":"Evision.XFeatures2D.VGG.html#setSigma/2","title":"Evision.XFeatures2D.VGG.setSigma/2","type":"function"},{"doc":"setUseNormalizeDescriptor Positional Arguments self : Evision.XFeatures2D.VGG.t() dsc_normalize : bool Python prototype (for reference only): setUseNormalizeDescriptor(dsc_normalize) -&gt; None","ref":"Evision.XFeatures2D.VGG.html#setUseNormalizeDescriptor/2","title":"Evision.XFeatures2D.VGG.setUseNormalizeDescriptor/2","type":"function"},{"doc":"setUseNormalizeImage Positional Arguments self : Evision.XFeatures2D.VGG.t() img_normalize : bool Python prototype (for reference only): setUseNormalizeImage(img_normalize) -&gt; None","ref":"Evision.XFeatures2D.VGG.html#setUseNormalizeImage/2","title":"Evision.XFeatures2D.VGG.setUseNormalizeImage/2","type":"function"},{"doc":"setUseScaleOrientation Positional Arguments self : Evision.XFeatures2D.VGG.t() use_scale_orientation : bool Python prototype (for reference only): setUseScaleOrientation(use_scale_orientation) -&gt; None","ref":"Evision.XFeatures2D.VGG.html#setUseScaleOrientation/2","title":"Evision.XFeatures2D.VGG.setUseScaleOrientation/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.VGG.t() fileName : String Python prototype (for reference only): write(fileName) -&gt; None","ref":"Evision.XFeatures2D.VGG.html#write/2","title":"Evision.XFeatures2D.VGG.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XFeatures2D.VGG.t() fs : Evision.FileStorage.t() name : String Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XFeatures2D.VGG.html#write/3","title":"Evision.XFeatures2D.VGG.write/3","type":"function"},{"doc":"Type that represents an XFeatures2D.VGG struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XFeatures2D.VGG.html#t:t/0","title":"Evision.XFeatures2D.VGG.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.html","title":"Evision.XImgProc","type":"module"},{"doc":"Simple one-line Adaptive Manifold Filter call. Positional Arguments joint : Evision.Mat.t() . joint (also called as guided) image or array of images with any numbers of channels. src : Evision.Mat.t() . filtering image with any numbers of channels. sigma_s : double . spatial standard deviation. sigma_r : double . color space standard deviation, it is similar to the sigma in the color space into bilateralFilter. Keyword Arguments adjust_outliers : bool . optional, specify perform outliers adjust operation or not, (Eq. 9) in the original paper. Return dst : Evision.Mat.t() . output image. Note : Joint images with CV_8U and CV_16U depth converted to images with CV_32F depth and [0; 1] color range before processing. Hence color space sigma sigma_r must be in [0; 1] range, unlike same sigmas in bilateralFilter and dtFilter functions. @sa bilateralFilter, dtFilter, guidedFilter Python prototype (for reference only): amFilter(joint, src, sigma_s, sigma_r[, dst[, adjust_outliers]]) -&gt; dst","ref":"Evision.XImgProc.html#amFilter/4","title":"Evision.XImgProc.amFilter/4","type":"function"},{"doc":"Simple one-line Adaptive Manifold Filter call. Positional Arguments joint : Evision.Mat.t() . joint (also called as guided) image or array of images with any numbers of channels. src : Evision.Mat.t() . filtering image with any numbers of channels. sigma_s : double . spatial standard deviation. sigma_r : double . color space standard deviation, it is similar to the sigma in the color space into bilateralFilter. Keyword Arguments adjust_outliers : bool . optional, specify perform outliers adjust operation or not, (Eq. 9) in the original paper. Return dst : Evision.Mat.t() . output image. Note : Joint images with CV_8U and CV_16U depth converted to images with CV_32F depth and [0; 1] color range before processing. Hence color space sigma sigma_r must be in [0; 1] range, unlike same sigmas in bilateralFilter and dtFilter functions. @sa bilateralFilter, dtFilter, guidedFilter Python prototype (for reference only): amFilter(joint, src, sigma_s, sigma_r[, dst[, adjust_outliers]]) -&gt; dst","ref":"Evision.XImgProc.html#amFilter/5","title":"Evision.XImgProc.amFilter/5","type":"function"},{"doc":"Performs anisotropic diffusion on an image. Positional Arguments src : Evision.Mat.t() . Source image with 3 channels. alpha : float . The amount of time to step forward by on each iteration (normally, it's between 0 and 1). k : float . sensitivity to the edges niters : int . The number of iterations Return dst : Evision.Mat.t() . Destination image of the same size and the same number of channels as src . The function applies Perona-Malik anisotropic diffusion to an image. This is the solution to the partial differential equation: \\f[{\\frac {\\partial I}{\\partial t}}={\\mathrm {div}}\\left(c(x,y,t)\\nabla I\\right)=\\nabla c\\cdot \\nabla I+c(x,y,t)\\Delta I\\f] Suggested functions for c(x,y,t) are: \\f[c\\left(\\|\\nabla I\\|\\right)=e^{{-\\left(\\|\\nabla I\\|/K\\right)^{2}}}\\f] or \\f[ c\\left(\\|\\nabla I\\|\\right)={\\frac {1}{1+\\left({\\frac {\\|\\nabla I\\|}{K}}\\right)^{2}}} \\f] Python prototype (for reference only): anisotropicDiffusion(src, alpha, K, niters[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#anisotropicDiffusion/4","title":"Evision.XImgProc.anisotropicDiffusion/4","type":"function"},{"doc":"Performs anisotropic diffusion on an image. Positional Arguments src : Evision.Mat.t() . Source image with 3 channels. alpha : float . The amount of time to step forward by on each iteration (normally, it's between 0 and 1). k : float . sensitivity to the edges niters : int . The number of iterations Return dst : Evision.Mat.t() . Destination image of the same size and the same number of channels as src . The function applies Perona-Malik anisotropic diffusion to an image. This is the solution to the partial differential equation: \\f[{\\frac {\\partial I}{\\partial t}}={\\mathrm {div}}\\left(c(x,y,t)\\nabla I\\right)=\\nabla c\\cdot \\nabla I+c(x,y,t)\\Delta I\\f] Suggested functions for c(x,y,t) are: \\f[c\\left(\\|\\nabla I\\|\\right)=e^{{-\\left(\\|\\nabla I\\|/K\\right)^{2}}}\\f] or \\f[ c\\left(\\|\\nabla I\\|\\right)={\\frac {1}{1+\\left({\\frac {\\|\\nabla I\\|}{K}}\\right)^{2}}} \\f] Python prototype (for reference only): anisotropicDiffusion(src, alpha, K, niters[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#anisotropicDiffusion/5","title":"Evision.XImgProc.anisotropicDiffusion/5","type":"function"},{"doc":"Applies the bilateral texture filter to an image. It performs structure-preserving texture filter. For more details about this filter see @cite Cho2014. Positional Arguments src : Evision.Mat.t() . Source image whose depth is 8-bit UINT or 32-bit FLOAT Keyword Arguments fr : int . Radius of kernel to be used for filtering. It should be positive integer numIter : int . Number of iterations of algorithm, It should be positive integer sigmaAlpha : double . Controls the sharpness of the weight transition from edges to smooth/texture regions, where a bigger value means sharper transition. When the value is negative, it is automatically calculated. sigmaAvg : double . Range blur parameter for texture blurring. Larger value makes result to be more blurred. When the value is negative, it is automatically calculated as described in the paper. Return dst : Evision.Mat.t() . Destination image of the same size and type as src. @sa rollingGuidanceFilter, bilateralFilter Python prototype (for reference only): bilateralTextureFilter(src[, dst[, fr[, numIter[, sigmaAlpha[, sigmaAvg]]]]]) -&gt; dst","ref":"Evision.XImgProc.html#bilateralTextureFilter/1","title":"Evision.XImgProc.bilateralTextureFilter/1","type":"function"},{"doc":"Applies the bilateral texture filter to an image. It performs structure-preserving texture filter. For more details about this filter see @cite Cho2014. Positional Arguments src : Evision.Mat.t() . Source image whose depth is 8-bit UINT or 32-bit FLOAT Keyword Arguments fr : int . Radius of kernel to be used for filtering. It should be positive integer numIter : int . Number of iterations of algorithm, It should be positive integer sigmaAlpha : double . Controls the sharpness of the weight transition from edges to smooth/texture regions, where a bigger value means sharper transition. When the value is negative, it is automatically calculated. sigmaAvg : double . Range blur parameter for texture blurring. Larger value makes result to be more blurred. When the value is negative, it is automatically calculated as described in the paper. Return dst : Evision.Mat.t() . Destination image of the same size and type as src. @sa rollingGuidanceFilter, bilateralFilter Python prototype (for reference only): bilateralTextureFilter(src[, dst[, fr[, numIter[, sigmaAlpha[, sigmaAvg]]]]]) -&gt; dst","ref":"Evision.XImgProc.html#bilateralTextureFilter/2","title":"Evision.XImgProc.bilateralTextureFilter/2","type":"function"},{"doc":"Compares a color template against overlapped color image regions. Positional Arguments img : Evision.Mat.t() templ : Evision.Mat.t() Return result : Evision.Mat.t() . Python prototype (for reference only): colorMatchTemplate(img, templ[, result]) -&gt; result","ref":"Evision.XImgProc.html#colorMatchTemplate/2","title":"Evision.XImgProc.colorMatchTemplate/2","type":"function"},{"doc":"Compares a color template against overlapped color image regions. Positional Arguments img : Evision.Mat.t() templ : Evision.Mat.t() Return result : Evision.Mat.t() . Python prototype (for reference only): colorMatchTemplate(img, templ[, result]) -&gt; result","ref":"Evision.XImgProc.html#colorMatchTemplate/3","title":"Evision.XImgProc.colorMatchTemplate/3","type":"function"},{"doc":"Function for computing the percent of &quot;bad&quot; pixels in the disparity map (pixels where error is higher than a specified threshold) Positional Arguments gT : Evision.Mat.t() . ground truth disparity map src : Evision.Mat.t() . disparity map to evaluate rOI : Rect . region of interest Keyword Arguments thresh : int . threshold used to determine &quot;bad&quot; pixels Return retval : double @result returns mean square error between GT and src Python prototype (for reference only): computeBadPixelPercent(GT, src, ROI[, thresh]) -&gt; retval","ref":"Evision.XImgProc.html#computeBadPixelPercent/3","title":"Evision.XImgProc.computeBadPixelPercent/3","type":"function"},{"doc":"Function for computing the percent of &quot;bad&quot; pixels in the disparity map (pixels where error is higher than a specified threshold) Positional Arguments gT : Evision.Mat.t() . ground truth disparity map src : Evision.Mat.t() . disparity map to evaluate rOI : Rect . region of interest Keyword Arguments thresh : int . threshold used to determine &quot;bad&quot; pixels Return retval : double @result returns mean square error between GT and src Python prototype (for reference only): computeBadPixelPercent(GT, src, ROI[, thresh]) -&gt; retval","ref":"Evision.XImgProc.html#computeBadPixelPercent/4","title":"Evision.XImgProc.computeBadPixelPercent/4","type":"function"},{"doc":"Function for computing mean square error for disparity maps Positional Arguments gT : Evision.Mat.t() . ground truth disparity map src : Evision.Mat.t() . disparity map to evaluate rOI : Rect . region of interest Return retval : double @result returns mean square error between GT and src Python prototype (for reference only): computeMSE(GT, src, ROI) -&gt; retval","ref":"Evision.XImgProc.html#computeMSE/3","title":"Evision.XImgProc.computeMSE/3","type":"function"},{"doc":"Contour sampling . Positional Arguments src : Evision.Mat.t() nbElt : int Return out : Evision.Mat.t() . Python prototype (for reference only): contourSampling(src, nbElt[, out]) -&gt; out","ref":"Evision.XImgProc.html#contourSampling/2","title":"Evision.XImgProc.contourSampling/2","type":"function"},{"doc":"Contour sampling . Positional Arguments src : Evision.Mat.t() nbElt : int Return out : Evision.Mat.t() . Python prototype (for reference only): contourSampling(src, nbElt[, out]) -&gt; out","ref":"Evision.XImgProc.html#contourSampling/3","title":"Evision.XImgProc.contourSampling/3","type":"function"},{"doc":"Computes the estimated covariance matrix of an image using the sliding window forumlation. Positional Arguments src : Evision.Mat.t() . The source image. Input image must be of a complex type. windowRows : int . The number of rows in the window. windowCols : int . The number of cols in the window. The window size parameters control the accuracy of the estimation. The sliding window moves over the entire image from the top-left corner to the bottom right corner. Each location of the window represents a sample. If the window is the size of the image, then this gives the exact covariance matrix. For all other cases, the sizes of the window will impact the number of samples and the number of elements in the estimated covariance matrix. Return dst : Evision.Mat.t() . The destination estimated covariance matrix. Output matrix will be size (windowRows windowCols, windowRows windowCols). Python prototype (for reference only): covarianceEstimation(src, windowRows, windowCols[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#covarianceEstimation/3","title":"Evision.XImgProc.covarianceEstimation/3","type":"function"},{"doc":"Computes the estimated covariance matrix of an image using the sliding window forumlation. Positional Arguments src : Evision.Mat.t() . The source image. Input image must be of a complex type. windowRows : int . The number of rows in the window. windowCols : int . The number of cols in the window. The window size parameters control the accuracy of the estimation. The sliding window moves over the entire image from the top-left corner to the bottom right corner. Each location of the window represents a sample. If the window is the size of the image, then this gives the exact covariance matrix. For all other cases, the sizes of the window will impact the number of samples and the number of elements in the estimated covariance matrix. Return dst : Evision.Mat.t() . The destination estimated covariance matrix. Output matrix will be size (windowRows windowCols, windowRows windowCols). Python prototype (for reference only): covarianceEstimation(src, windowRows, windowCols[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#covarianceEstimation/4","title":"Evision.XImgProc.covarianceEstimation/4","type":"function"},{"doc":"Factory method, create instance of AdaptiveManifoldFilter and produce some initialization routines. Positional Arguments sigma_s : double . spatial standard deviation. sigma_r : double . color space standard deviation, it is similar to the sigma in the color space into bilateralFilter. Keyword Arguments adjust_outliers : bool . optional, specify perform outliers adjust operation or not, (Eq. 9) in the original paper. Return retval : Evision.XImgProc.AdaptiveManifoldFilter.t() For more details about Adaptive Manifold Filter parameters, see the original article @cite Gastal12 . Note : Joint images with CV_8U and CV_16U depth converted to images with CV_32F depth and [0; 1] color range before processing. Hence color space sigma sigma_r must be in [0; 1] range, unlike same sigmas in bilateralFilter and dtFilter functions. Python prototype (for reference only): createAMFilter(sigma_s, sigma_r[, adjust_outliers]) -&gt; retval","ref":"Evision.XImgProc.html#createAMFilter/2","title":"Evision.XImgProc.createAMFilter/2","type":"function"},{"doc":"Factory method, create instance of AdaptiveManifoldFilter and produce some initialization routines. Positional Arguments sigma_s : double . spatial standard deviation. sigma_r : double . color space standard deviation, it is similar to the sigma in the color space into bilateralFilter. Keyword Arguments adjust_outliers : bool . optional, specify perform outliers adjust operation or not, (Eq. 9) in the original paper. Return retval : Evision.XImgProc.AdaptiveManifoldFilter.t() For more details about Adaptive Manifold Filter parameters, see the original article @cite Gastal12 . Note : Joint images with CV_8U and CV_16U depth converted to images with CV_32F depth and [0; 1] color range before processing. Hence color space sigma sigma_r must be in [0; 1] range, unlike same sigmas in bilateralFilter and dtFilter functions. Python prototype (for reference only): createAMFilter(sigma_s, sigma_r[, adjust_outliers]) -&gt; retval","ref":"Evision.XImgProc.html#createAMFilter/3","title":"Evision.XImgProc.createAMFilter/3","type":"function"},{"doc":"create ContourFitting algorithm object Keyword Arguments ctr : int . number of Fourier descriptors equal to number of contour points after resampling. fd : int . Contour defining second shape (Target). Return retval : Evision.XImgProc.ContourFitting.t() Python prototype (for reference only): createContourFitting([, ctr[, fd]]) -&gt; retval","ref":"Evision.XImgProc.html#createContourFitting/0","title":"Evision.XImgProc.createContourFitting/0","type":"function"},{"doc":"create ContourFitting algorithm object Keyword Arguments ctr : int . number of Fourier descriptors equal to number of contour points after resampling. fd : int . Contour defining second shape (Target). Return retval : Evision.XImgProc.ContourFitting.t() Python prototype (for reference only): createContourFitting([, ctr[, fd]]) -&gt; retval","ref":"Evision.XImgProc.html#createContourFitting/1","title":"Evision.XImgProc.createContourFitting/1","type":"function"},{"doc":"Convenience factory method that creates an instance of DisparityWLSFilter and sets up all the relevant filter parameters automatically based on the matcher instance. Currently supports only StereoBM and StereoSGBM. Positional Arguments matcher_left : Evision.StereoMatcher.t() . stereo matcher instance that will be used with the filter Return retval : Evision.XImgProc.DisparityWLSFilter.t() Python prototype (for reference only): createDisparityWLSFilter(matcher_left) -&gt; retval","ref":"Evision.XImgProc.html#createDisparityWLSFilter/1","title":"Evision.XImgProc.createDisparityWLSFilter/1","type":"function"},{"doc":"More generic factory method, create instance of DisparityWLSFilter and execute basic initialization routines. When using this method you will need to set-up the ROI, matchers and other parameters by yourself. Positional Arguments use_confidence : bool . filtering with confidence requires two disparity maps (for the left and right views) and is approximately two times slower. However, quality is typically significantly better. Return retval : Evision.XImgProc.DisparityWLSFilter.t() Python prototype (for reference only): createDisparityWLSFilterGeneric(use_confidence) -&gt; retval","ref":"Evision.XImgProc.html#createDisparityWLSFilterGeneric/1","title":"Evision.XImgProc.createDisparityWLSFilterGeneric/1","type":"function"},{"doc":"Factory method, create instance of DTFilter and produce initialization routines. Positional Arguments guide : Evision.Mat.t() . guided image (used to build transformed distance, which describes edge structure of guided image). sigmaSpatial : double . \\f${\\sigma}_H\\f$ parameter in the original article, it's similar to the sigma in the coordinate space into bilateralFilter. sigmaColor : double . \\f${\\sigma}_r\\f$ parameter in the original article, it's similar to the sigma in the color space into bilateralFilter. Keyword Arguments mode : int . one form three modes DTF_NC, DTF_RF and DTF_IC which corresponds to three modes for filtering 2D signals in the article. numIters : int . optional number of iterations used for filtering, 3 is quite enough. Return retval : Evision.XImgProc.DTFilter.t() For more details about Domain Transform filter parameters, see the original article @cite Gastal11 and Domain Transform filter homepage . Python prototype (for reference only): createDTFilter(guide, sigmaSpatial, sigmaColor[, mode[, numIters]]) -&gt; retval","ref":"Evision.XImgProc.html#createDTFilter/3","title":"Evision.XImgProc.createDTFilter/3","type":"function"},{"doc":"Factory method, create instance of DTFilter and produce initialization routines. Positional Arguments guide : Evision.Mat.t() . guided image (used to build transformed distance, which describes edge structure of guided image). sigmaSpatial : double . \\f${\\sigma}_H\\f$ parameter in the original article, it's similar to the sigma in the coordinate space into bilateralFilter. sigmaColor : double . \\f${\\sigma}_r\\f$ parameter in the original article, it's similar to the sigma in the color space into bilateralFilter. Keyword Arguments mode : int . one form three modes DTF_NC, DTF_RF and DTF_IC which corresponds to three modes for filtering 2D signals in the article. numIters : int . optional number of iterations used for filtering, 3 is quite enough. Return retval : Evision.XImgProc.DTFilter.t() For more details about Domain Transform filter parameters, see the original article @cite Gastal11 and Domain Transform filter homepage . Python prototype (for reference only): createDTFilter(guide, sigmaSpatial, sigmaColor[, mode[, numIters]]) -&gt; retval","ref":"Evision.XImgProc.html#createDTFilter/4","title":"Evision.XImgProc.createDTFilter/4","type":"function"},{"doc":"Factory method that creates an instance of the EdgeAwareInterpolator. Return retval : Evision.XImgProc.EdgeAwareInterpolator.t() Python prototype (for reference only): createEdgeAwareInterpolator() -&gt; retval","ref":"Evision.XImgProc.html#createEdgeAwareInterpolator/0","title":"Evision.XImgProc.createEdgeAwareInterpolator/0","type":"function"},{"doc":"Creates a Edgeboxes Keyword Arguments alpha : float . step size of sliding window search. beta : float . nms threshold for object proposals. eta : float . adaptation rate for nms threshold. minScore : float . min score of boxes to detect. maxBoxes : int . max number of boxes to detect. edgeMinMag : float . edge min magnitude. Increase to trade off accuracy for speed. edgeMergeThr : float . edge merge threshold. Increase to trade off accuracy for speed. clusterMinMag : float . cluster min magnitude. Increase to trade off accuracy for speed. maxAspectRatio : float . max aspect ratio of boxes. minBoxArea : float . minimum area of boxes. gamma : float . affinity sensitivity. kappa : float . scale sensitivity. Return retval : Evision.XImgProc.EdgeBoxes.t() Python prototype (for reference only): createEdgeBoxes([, alpha[, beta[, eta[, minScore[, maxBoxes[, edgeMinMag[, edgeMergeThr[, clusterMinMag[, maxAspectRatio[, minBoxArea[, gamma[, kappa]]]]]]]]]]]]) -&gt; retval","ref":"Evision.XImgProc.html#createEdgeBoxes/0","title":"Evision.XImgProc.createEdgeBoxes/0","type":"function"},{"doc":"Creates a Edgeboxes Keyword Arguments alpha : float . step size of sliding window search. beta : float . nms threshold for object proposals. eta : float . adaptation rate for nms threshold. minScore : float . min score of boxes to detect. maxBoxes : int . max number of boxes to detect. edgeMinMag : float . edge min magnitude. Increase to trade off accuracy for speed. edgeMergeThr : float . edge merge threshold. Increase to trade off accuracy for speed. clusterMinMag : float . cluster min magnitude. Increase to trade off accuracy for speed. maxAspectRatio : float . max aspect ratio of boxes. minBoxArea : float . minimum area of boxes. gamma : float . affinity sensitivity. kappa : float . scale sensitivity. Return retval : Evision.XImgProc.EdgeBoxes.t() Python prototype (for reference only): createEdgeBoxes([, alpha[, beta[, eta[, minScore[, maxBoxes[, edgeMinMag[, edgeMergeThr[, clusterMinMag[, maxAspectRatio[, minBoxArea[, gamma[, kappa]]]]]]]]]]]]) -&gt; retval","ref":"Evision.XImgProc.html#createEdgeBoxes/1","title":"Evision.XImgProc.createEdgeBoxes/1","type":"function"},{"doc":"Creates a smart pointer to a EdgeDrawing object and initializes it Return retval : Evision.XImgProc.EdgeDrawing.t() Python prototype (for reference only): createEdgeDrawing() -&gt; retval","ref":"Evision.XImgProc.html#createEdgeDrawing/0","title":"Evision.XImgProc.createEdgeDrawing/0","type":"function"},{"doc":"Factory method, create instance of FastBilateralSolverFilter and execute the initialization routines. Positional Arguments guide : Evision.Mat.t() . image serving as guide for filtering. It should have 8-bit depth and either 1 or 3 channels. sigma_spatial : double . parameter, that is similar to spatial space sigma (bandwidth) in bilateralFilter. sigma_luma : double . parameter, that is similar to luma space sigma (bandwidth) in bilateralFilter. sigma_chroma : double . parameter, that is similar to chroma space sigma (bandwidth) in bilateralFilter. Keyword Arguments lambda : double . smoothness strength parameter for solver. num_iter : int . number of iterations used for solver, 25 is usually enough. max_tol : double . convergence tolerance used for solver. Return retval : Evision.XImgProc.FastBilateralSolverFilter.t() For more details about the Fast Bilateral Solver parameters, see the original paper @cite BarronPoole2016. Python prototype (for reference only): createFastBilateralSolverFilter(guide, sigma_spatial, sigma_luma, sigma_chroma[, lambda[, num_iter[, max_tol]]]) -&gt; retval","ref":"Evision.XImgProc.html#createFastBilateralSolverFilter/4","title":"Evision.XImgProc.createFastBilateralSolverFilter/4","type":"function"},{"doc":"Factory method, create instance of FastBilateralSolverFilter and execute the initialization routines. Positional Arguments guide : Evision.Mat.t() . image serving as guide for filtering. It should have 8-bit depth and either 1 or 3 channels. sigma_spatial : double . parameter, that is similar to spatial space sigma (bandwidth) in bilateralFilter. sigma_luma : double . parameter, that is similar to luma space sigma (bandwidth) in bilateralFilter. sigma_chroma : double . parameter, that is similar to chroma space sigma (bandwidth) in bilateralFilter. Keyword Arguments lambda : double . smoothness strength parameter for solver. num_iter : int . number of iterations used for solver, 25 is usually enough. max_tol : double . convergence tolerance used for solver. Return retval : Evision.XImgProc.FastBilateralSolverFilter.t() For more details about the Fast Bilateral Solver parameters, see the original paper @cite BarronPoole2016. Python prototype (for reference only): createFastBilateralSolverFilter(guide, sigma_spatial, sigma_luma, sigma_chroma[, lambda[, num_iter[, max_tol]]]) -&gt; retval","ref":"Evision.XImgProc.html#createFastBilateralSolverFilter/5","title":"Evision.XImgProc.createFastBilateralSolverFilter/5","type":"function"},{"doc":"Factory method, create instance of FastGlobalSmootherFilter and execute the initialization routines. Positional Arguments guide : Evision.Mat.t() . image serving as guide for filtering. It should have 8-bit depth and either 1 or 3 channels. lambda : double . parameter defining the amount of regularization sigma_color : double . parameter, that is similar to color space sigma in bilateralFilter. Keyword Arguments lambda_attenuation : double . internal parameter, defining how much lambda decreases after each iteration. Normally, it should be 0.25. Setting it to 1.0 may lead to streaking artifacts. num_iter : int . number of iterations used for filtering, 3 is usually enough. Return retval : Evision.XImgProc.FastGlobalSmootherFilter.t() For more details about Fast Global Smoother parameters, see the original paper @cite Min2014. However, please note that there are several differences. Lambda attenuation described in the paper is implemented a bit differently so do not expect the results to be identical to those from the paper; sigma_color values from the paper should be multiplied by 255.0 to achieve the same effect. Also, in case of image filtering where source and guide image are the same, authors propose to dynamically update the guide image after each iteration. To maximize the performance this feature was not implemented here. Python prototype (for reference only): createFastGlobalSmootherFilter(guide, lambda, sigma_color[, lambda_attenuation[, num_iter]]) -&gt; retval","ref":"Evision.XImgProc.html#createFastGlobalSmootherFilter/3","title":"Evision.XImgProc.createFastGlobalSmootherFilter/3","type":"function"},{"doc":"Factory method, create instance of FastGlobalSmootherFilter and execute the initialization routines. Positional Arguments guide : Evision.Mat.t() . image serving as guide for filtering. It should have 8-bit depth and either 1 or 3 channels. lambda : double . parameter defining the amount of regularization sigma_color : double . parameter, that is similar to color space sigma in bilateralFilter. Keyword Arguments lambda_attenuation : double . internal parameter, defining how much lambda decreases after each iteration. Normally, it should be 0.25. Setting it to 1.0 may lead to streaking artifacts. num_iter : int . number of iterations used for filtering, 3 is usually enough. Return retval : Evision.XImgProc.FastGlobalSmootherFilter.t() For more details about Fast Global Smoother parameters, see the original paper @cite Min2014. However, please note that there are several differences. Lambda attenuation described in the paper is implemented a bit differently so do not expect the results to be identical to those from the paper; sigma_color values from the paper should be multiplied by 255.0 to achieve the same effect. Also, in case of image filtering where source and guide image are the same, authors propose to dynamically update the guide image after each iteration. To maximize the performance this feature was not implemented here. Python prototype (for reference only): createFastGlobalSmootherFilter(guide, lambda, sigma_color[, lambda_attenuation[, num_iter]]) -&gt; retval","ref":"Evision.XImgProc.html#createFastGlobalSmootherFilter/4","title":"Evision.XImgProc.createFastGlobalSmootherFilter/4","type":"function"},{"doc":"Creates a smart pointer to a FastLineDetector object and initializes it Keyword Arguments length_threshold : int . Segment shorter than this will be discarded distance_threshold : float . A point placed from a hypothesis line segment farther than this will be regarded as an outlier canny_th1 : double . First threshold for hysteresis procedure in Canny() canny_th2 : double . Second threshold for hysteresis procedure in Canny() canny_aperture_size : int . Aperturesize for the sobel operator in Canny(). If zero, Canny() is not applied and the input image is taken as an edge image. do_merge : bool . If true, incremental merging of segments will be performed Return retval : Evision.XImgProc.FastLineDetector.t() Python prototype (for reference only): createFastLineDetector([, length_threshold[, distance_threshold[, canny_th1[, canny_th2[, canny_aperture_size[, do_merge]]]]]]) -&gt; retval","ref":"Evision.XImgProc.html#createFastLineDetector/0","title":"Evision.XImgProc.createFastLineDetector/0","type":"function"},{"doc":"Creates a smart pointer to a FastLineDetector object and initializes it Keyword Arguments length_threshold : int . Segment shorter than this will be discarded distance_threshold : float . A point placed from a hypothesis line segment farther than this will be regarded as an outlier canny_th1 : double . First threshold for hysteresis procedure in Canny() canny_th2 : double . Second threshold for hysteresis procedure in Canny() canny_aperture_size : int . Aperturesize for the sobel operator in Canny(). If zero, Canny() is not applied and the input image is taken as an edge image. do_merge : bool . If true, incremental merging of segments will be performed Return retval : Evision.XImgProc.FastLineDetector.t() Python prototype (for reference only): createFastLineDetector([, length_threshold[, distance_threshold[, canny_th1[, canny_th2[, canny_aperture_size[, do_merge]]]]]]) -&gt; retval","ref":"Evision.XImgProc.html#createFastLineDetector/1","title":"Evision.XImgProc.createFastLineDetector/1","type":"function"},{"doc":"Creates a graph based segmentor Keyword Arguments sigma : double . The sigma parameter, used to smooth image k : float . The k parameter of the algorythm min_size : int . The minimum size of segments Return retval : Evision.XImgProc.GraphSegmentation.t() Python prototype (for reference only): createGraphSegmentation([, sigma[, k[, min_size]]]) -&gt; retval","ref":"Evision.XImgProc.html#createGraphSegmentation/0","title":"Evision.XImgProc.createGraphSegmentation/0","type":"function"},{"doc":"Creates a graph based segmentor Keyword Arguments sigma : double . The sigma parameter, used to smooth image k : float . The k parameter of the algorythm min_size : int . The minimum size of segments Return retval : Evision.XImgProc.GraphSegmentation.t() Python prototype (for reference only): createGraphSegmentation([, sigma[, k[, min_size]]]) -&gt; retval","ref":"Evision.XImgProc.html#createGraphSegmentation/1","title":"Evision.XImgProc.createGraphSegmentation/1","type":"function"},{"doc":"Factory method, create instance of GuidedFilter and produce initialization routines. Positional Arguments guide : Evision.Mat.t() . guided image (or array of images) with up to 3 channels, if it have more then 3 channels then only first 3 channels will be used. radius : int . radius of Guided Filter. eps : double . regularization term of Guided Filter. \\f${eps}^2\\f$ is similar to the sigma in the color space into bilateralFilter. Return retval : Evision.XImgProc.GuidedFilter.t() For more details about Guided Filter parameters, see the original article @cite Kaiming10 . Python prototype (for reference only): createGuidedFilter(guide, radius, eps) -&gt; retval","ref":"Evision.XImgProc.html#createGuidedFilter/3","title":"Evision.XImgProc.createGuidedFilter/3","type":"function"},{"doc":"creates a quaternion image. Positional Arguments img : Evision.Mat.t() Return qimg : Evision.Mat.t() . Python prototype (for reference only): createQuaternionImage(img[, qimg]) -&gt; qimg","ref":"Evision.XImgProc.html#createQuaternionImage/1","title":"Evision.XImgProc.createQuaternionImage/1","type":"function"},{"doc":"creates a quaternion image. Positional Arguments img : Evision.Mat.t() Return qimg : Evision.Mat.t() . Python prototype (for reference only): createQuaternionImage(img[, qimg]) -&gt; qimg","ref":"Evision.XImgProc.html#createQuaternionImage/2","title":"Evision.XImgProc.createQuaternionImage/2","type":"function"},{"doc":"createRFFeatureGetter Return retval : Evision.XImgProc.RFFeatureGetter.t() Python prototype (for reference only): createRFFeatureGetter() -&gt; retval","ref":"Evision.XImgProc.html#createRFFeatureGetter/0","title":"Evision.XImgProc.createRFFeatureGetter/0","type":"function"},{"doc":"Factory method that creates an instance of the RICInterpolator. Return retval : Evision.XImgProc.RICInterpolator.t() Python prototype (for reference only): createRICInterpolator() -&gt; retval","ref":"Evision.XImgProc.html#createRICInterpolator/0","title":"Evision.XImgProc.createRICInterpolator/0","type":"function"},{"doc":"Convenience method to set up the matcher for computing the right-view disparity map that is required in case of filtering with confidence. Positional Arguments matcher_left : Evision.StereoMatcher.t() . main stereo matcher instance that will be used with the filter Return retval : Evision.StereoMatcher.t() Python prototype (for reference only): createRightMatcher(matcher_left) -&gt; retval","ref":"Evision.XImgProc.html#createRightMatcher/1","title":"Evision.XImgProc.createRightMatcher/1","type":"function"},{"doc":"Initializes a ScanSegment object. Positional Arguments image_width : int . Image width. image_height : int . Image height. num_superpixels : int . Desired number of superpixels. Note that the actual number may be smaller due to restrictions (depending on the image size). Use getNumberOfSuperpixels() to get the actual number. Keyword Arguments slices : int . Number of processing threads for parallelisation. Setting -1 uses the maximum number of threads. In practice, four threads is enough for smaller images and eight threads for larger ones. merge_small : bool . merge small segments to give the desired number of superpixels. Processing is much faster without merging, but many small segments will be left in the image. Return retval : Evision.XImgProc.ScanSegment.t() The function initializes a ScanSegment object for the input image. It stores the parameters of the image: image_width and image_height. It also sets the parameters of the F-DBSCAN superpixel algorithm, which are: num_superpixels, threads, and merge_small. Python prototype (for reference only): createScanSegment(image_width, image_height, num_superpixels[, slices[, merge_small]]) -&gt; retval","ref":"Evision.XImgProc.html#createScanSegment/3","title":"Evision.XImgProc.createScanSegment/3","type":"function"},{"doc":"Initializes a ScanSegment object. Positional Arguments image_width : int . Image width. image_height : int . Image height. num_superpixels : int . Desired number of superpixels. Note that the actual number may be smaller due to restrictions (depending on the image size). Use getNumberOfSuperpixels() to get the actual number. Keyword Arguments slices : int . Number of processing threads for parallelisation. Setting -1 uses the maximum number of threads. In practice, four threads is enough for smaller images and eight threads for larger ones. merge_small : bool . merge small segments to give the desired number of superpixels. Processing is much faster without merging, but many small segments will be left in the image. Return retval : Evision.XImgProc.ScanSegment.t() The function initializes a ScanSegment object for the input image. It stores the parameters of the image: image_width and image_height. It also sets the parameters of the F-DBSCAN superpixel algorithm, which are: num_superpixels, threads, and merge_small. Python prototype (for reference only): createScanSegment(image_width, image_height, num_superpixels[, slices[, merge_small]]) -&gt; retval","ref":"Evision.XImgProc.html#createScanSegment/4","title":"Evision.XImgProc.createScanSegment/4","type":"function"},{"doc":"Create a new SelectiveSearchSegmentation class. Return retval : Evision.XImgProc.SelectiveSearchSegmentation.t() Python prototype (for reference only): createSelectiveSearchSegmentation() -&gt; retval","ref":"Evision.XImgProc.html#createSelectiveSearchSegmentation/0","title":"Evision.XImgProc.createSelectiveSearchSegmentation/0","type":"function"},{"doc":"Create a new color-based strategy Return retval : Evision.XImgProc.SelectiveSearchSegmentationStrategyColor.t() Python prototype (for reference only): createSelectiveSearchSegmentationStrategyColor() -&gt; retval","ref":"Evision.XImgProc.html#createSelectiveSearchSegmentationStrategyColor/0","title":"Evision.XImgProc.createSelectiveSearchSegmentationStrategyColor/0","type":"function"},{"doc":"Create a new fill-based strategy Return retval : Evision.XImgProc.SelectiveSearchSegmentationStrategyFill.t() Python prototype (for reference only): createSelectiveSearchSegmentationStrategyFill() -&gt; retval","ref":"Evision.XImgProc.html#createSelectiveSearchSegmentationStrategyFill/0","title":"Evision.XImgProc.createSelectiveSearchSegmentationStrategyFill/0","type":"function"},{"doc":"Create a new multiple strategy Return retval : Evision.XImgProc.SelectiveSearchSegmentationStrategyMultiple.t() Python prototype (for reference only): createSelectiveSearchSegmentationStrategyMultiple() -&gt; retval","ref":"Evision.XImgProc.html#createSelectiveSearchSegmentationStrategyMultiple/0","title":"Evision.XImgProc.createSelectiveSearchSegmentationStrategyMultiple/0","type":"function"},{"doc":"Create a new multiple strategy and set one subtrategy Positional Arguments s1 : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The first strategy Return retval : Evision.XImgProc.SelectiveSearchSegmentationStrategyMultiple.t() Python prototype (for reference only): createSelectiveSearchSegmentationStrategyMultiple(s1) -&gt; retval","ref":"Evision.XImgProc.html#createSelectiveSearchSegmentationStrategyMultiple/1","title":"Evision.XImgProc.createSelectiveSearchSegmentationStrategyMultiple/1","type":"function"},{"doc":"Create a new multiple strategy and set two subtrategies, with equal weights Positional Arguments s1 : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The first strategy s2 : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The second strategy Return retval : Evision.XImgProc.SelectiveSearchSegmentationStrategyMultiple.t() Python prototype (for reference only): createSelectiveSearchSegmentationStrategyMultiple(s1, s2) -&gt; retval","ref":"Evision.XImgProc.html#createSelectiveSearchSegmentationStrategyMultiple/2","title":"Evision.XImgProc.createSelectiveSearchSegmentationStrategyMultiple/2","type":"function"},{"doc":"Create a new multiple strategy and set three subtrategies, with equal weights Positional Arguments s1 : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The first strategy s2 : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The second strategy s3 : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The third strategy Return retval : Evision.XImgProc.SelectiveSearchSegmentationStrategyMultiple.t() Python prototype (for reference only): createSelectiveSearchSegmentationStrategyMultiple(s1, s2, s3) -&gt; retval","ref":"Evision.XImgProc.html#createSelectiveSearchSegmentationStrategyMultiple/3","title":"Evision.XImgProc.createSelectiveSearchSegmentationStrategyMultiple/3","type":"function"},{"doc":"Create a new multiple strategy and set four subtrategies, with equal weights Positional Arguments s1 : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The first strategy s2 : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The second strategy s3 : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The third strategy s4 : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The forth strategy Return retval : Evision.XImgProc.SelectiveSearchSegmentationStrategyMultiple.t() Python prototype (for reference only): createSelectiveSearchSegmentationStrategyMultiple(s1, s2, s3, s4) -&gt; retval","ref":"Evision.XImgProc.html#createSelectiveSearchSegmentationStrategyMultiple/4","title":"Evision.XImgProc.createSelectiveSearchSegmentationStrategyMultiple/4","type":"function"},{"doc":"Create a new size-based strategy Return retval : Evision.XImgProc.SelectiveSearchSegmentationStrategySize.t() Python prototype (for reference only): createSelectiveSearchSegmentationStrategySize() -&gt; retval","ref":"Evision.XImgProc.html#createSelectiveSearchSegmentationStrategySize/0","title":"Evision.XImgProc.createSelectiveSearchSegmentationStrategySize/0","type":"function"},{"doc":"Create a new size-based strategy Return retval : Evision.XImgProc.SelectiveSearchSegmentationStrategyTexture.t() Python prototype (for reference only): createSelectiveSearchSegmentationStrategyTexture() -&gt; retval","ref":"Evision.XImgProc.html#createSelectiveSearchSegmentationStrategyTexture/0","title":"Evision.XImgProc.createSelectiveSearchSegmentationStrategyTexture/0","type":"function"},{"doc":"createStructuredEdgeDetection Positional Arguments model : String Keyword Arguments howToGetFeatures : Evision.XImgProc.RFFeatureGetter.t() . Return retval : Evision.XImgProc.StructuredEdgeDetection.t() Python prototype (for reference only): createStructuredEdgeDetection(model[, howToGetFeatures]) -&gt; retval","ref":"Evision.XImgProc.html#createStructuredEdgeDetection/1","title":"Evision.XImgProc.createStructuredEdgeDetection/1","type":"function"},{"doc":"createStructuredEdgeDetection Positional Arguments model : String Keyword Arguments howToGetFeatures : Evision.XImgProc.RFFeatureGetter.t() . Return retval : Evision.XImgProc.StructuredEdgeDetection.t() Python prototype (for reference only): createStructuredEdgeDetection(model[, howToGetFeatures]) -&gt; retval","ref":"Evision.XImgProc.html#createStructuredEdgeDetection/2","title":"Evision.XImgProc.createStructuredEdgeDetection/2","type":"function"},{"doc":"Class implementing the LSC (Linear Spectral Clustering) superpixels Positional Arguments image : Evision.Mat.t() . Image to segment Keyword Arguments region_size : int . Chooses an average superpixel size measured in pixels ratio : float . Chooses the enforcement of superpixel compactness factor of superpixel Return retval : Evision.XImgProc.SuperpixelLSC.t() The function initializes a SuperpixelLSC object for the input image. It sets the parameters of superpixel algorithm, which are: region_size and ruler. It preallocate some buffers for future computing iterations over the given image. An example of LSC is ilustrated in the following picture. For enanched results it is recommended for color images to preprocess image with little gaussian blur with a small 3 x 3 kernel and additional conversion into CieLAB color space. Python prototype (for reference only): createSuperpixelLSC(image[, region_size[, ratio]]) -&gt; retval","ref":"Evision.XImgProc.html#createSuperpixelLSC/1","title":"Evision.XImgProc.createSuperpixelLSC/1","type":"function"},{"doc":"Class implementing the LSC (Linear Spectral Clustering) superpixels Positional Arguments image : Evision.Mat.t() . Image to segment Keyword Arguments region_size : int . Chooses an average superpixel size measured in pixels ratio : float . Chooses the enforcement of superpixel compactness factor of superpixel Return retval : Evision.XImgProc.SuperpixelLSC.t() The function initializes a SuperpixelLSC object for the input image. It sets the parameters of superpixel algorithm, which are: region_size and ruler. It preallocate some buffers for future computing iterations over the given image. An example of LSC is ilustrated in the following picture. For enanched results it is recommended for color images to preprocess image with little gaussian blur with a small 3 x 3 kernel and additional conversion into CieLAB color space. Python prototype (for reference only): createSuperpixelLSC(image[, region_size[, ratio]]) -&gt; retval","ref":"Evision.XImgProc.html#createSuperpixelLSC/2","title":"Evision.XImgProc.createSuperpixelLSC/2","type":"function"},{"doc":"Initializes a SuperpixelSEEDS object. Positional Arguments image_width : int . Image width. image_height : int . Image height. image_channels : int . Number of channels of the image. num_superpixels : int . Desired number of superpixels. Note that the actual number may be smaller due to restrictions (depending on the image size and num_levels). Use getNumberOfSuperpixels() to get the actual number. num_levels : int . Number of block levels. The more levels, the more accurate is the segmentation, but needs more memory and CPU time. Keyword Arguments prior : int . enable 3x3 shape smoothing term if &gt;0. A larger value leads to smoother shapes. prior must be in the range [0, 5]. histogram_bins : int . Number of histogram bins. double_step : bool . If true, iterate each block level twice for higher accuracy. Return retval : Evision.XImgProc.SuperpixelSEEDS.t() The function initializes a SuperpixelSEEDS object for the input image. It stores the parameters of the image: image_width, image_height and image_channels. It also sets the parameters of the SEEDS superpixel algorithm, which are: num_superpixels, num_levels, use_prior, histogram_bins and double_step. The number of levels in num_levels defines the amount of block levels that the algorithm use in the optimization. The initialization is a grid, in which the superpixels are equally distributed through the width and the height of the image. The larger blocks correspond to the superpixel size, and the levels with smaller blocks are formed by dividing the larger blocks into 2 x 2 blocks of pixels, recursively until the smaller block level. An example of initialization of 4 block levels is illustrated in the following figure. Python prototype (for reference only): createSuperpixelSEEDS(image_width, image_height, image_channels, num_superpixels, num_levels[, prior[, histogram_bins[, double_step]]]) -&gt; retval","ref":"Evision.XImgProc.html#createSuperpixelSEEDS/5","title":"Evision.XImgProc.createSuperpixelSEEDS/5","type":"function"},{"doc":"Initializes a SuperpixelSEEDS object. Positional Arguments image_width : int . Image width. image_height : int . Image height. image_channels : int . Number of channels of the image. num_superpixels : int . Desired number of superpixels. Note that the actual number may be smaller due to restrictions (depending on the image size and num_levels). Use getNumberOfSuperpixels() to get the actual number. num_levels : int . Number of block levels. The more levels, the more accurate is the segmentation, but needs more memory and CPU time. Keyword Arguments prior : int . enable 3x3 shape smoothing term if &gt;0. A larger value leads to smoother shapes. prior must be in the range [0, 5]. histogram_bins : int . Number of histogram bins. double_step : bool . If true, iterate each block level twice for higher accuracy. Return retval : Evision.XImgProc.SuperpixelSEEDS.t() The function initializes a SuperpixelSEEDS object for the input image. It stores the parameters of the image: image_width, image_height and image_channels. It also sets the parameters of the SEEDS superpixel algorithm, which are: num_superpixels, num_levels, use_prior, histogram_bins and double_step. The number of levels in num_levels defines the amount of block levels that the algorithm use in the optimization. The initialization is a grid, in which the superpixels are equally distributed through the width and the height of the image. The larger blocks correspond to the superpixel size, and the levels with smaller blocks are formed by dividing the larger blocks into 2 x 2 blocks of pixels, recursively until the smaller block level. An example of initialization of 4 block levels is illustrated in the following figure. Python prototype (for reference only): createSuperpixelSEEDS(image_width, image_height, image_channels, num_superpixels, num_levels[, prior[, histogram_bins[, double_step]]]) -&gt; retval","ref":"Evision.XImgProc.html#createSuperpixelSEEDS/6","title":"Evision.XImgProc.createSuperpixelSEEDS/6","type":"function"},{"doc":"Initialize a SuperpixelSLIC object Positional Arguments image : Evision.Mat.t() . Image to segment Keyword Arguments algorithm : int . Chooses the algorithm variant to use: SLIC segments image using a desired region_size, and in addition SLICO will optimize using adaptive compactness factor, while MSLIC will optimize using manifold methods resulting in more content-sensitive superpixels. region_size : int . Chooses an average superpixel size measured in pixels ruler : float . Chooses the enforcement of superpixel smoothness factor of superpixel Return retval : Evision.XImgProc.SuperpixelSLIC.t() The function initializes a SuperpixelSLIC object for the input image. It sets the parameters of choosed superpixel algorithm, which are: region_size and ruler. It preallocate some buffers for future computing iterations over the given image. For enanched results it is recommended for color images to preprocess image with little gaussian blur using a small 3 x 3 kernel and additional conversion into CieLAB color space. An example of SLIC versus SLICO and MSLIC is ilustrated in the following picture. Python prototype (for reference only): createSuperpixelSLIC(image[, algorithm[, region_size[, ruler]]]) -&gt; retval","ref":"Evision.XImgProc.html#createSuperpixelSLIC/1","title":"Evision.XImgProc.createSuperpixelSLIC/1","type":"function"},{"doc":"Initialize a SuperpixelSLIC object Positional Arguments image : Evision.Mat.t() . Image to segment Keyword Arguments algorithm : int . Chooses the algorithm variant to use: SLIC segments image using a desired region_size, and in addition SLICO will optimize using adaptive compactness factor, while MSLIC will optimize using manifold methods resulting in more content-sensitive superpixels. region_size : int . Chooses an average superpixel size measured in pixels ruler : float . Chooses the enforcement of superpixel smoothness factor of superpixel Return retval : Evision.XImgProc.SuperpixelSLIC.t() The function initializes a SuperpixelSLIC object for the input image. It sets the parameters of choosed superpixel algorithm, which are: region_size and ruler. It preallocate some buffers for future computing iterations over the given image. For enanched results it is recommended for color images to preprocess image with little gaussian blur using a small 3 x 3 kernel and additional conversion into CieLAB color space. An example of SLIC versus SLICO and MSLIC is ilustrated in the following picture. Python prototype (for reference only): createSuperpixelSLIC(image[, algorithm[, region_size[, ruler]]]) -&gt; retval","ref":"Evision.XImgProc.html#createSuperpixelSLIC/2","title":"Evision.XImgProc.createSuperpixelSLIC/2","type":"function"},{"doc":"Simple one-line Domain Transform filter call. If you have multiple images to filter with the same guided image then use DTFilter interface to avoid extra computations on initialization stage. Positional Arguments guide : Evision.Mat.t() . guided image (also called as joint image) with unsigned 8-bit or floating-point 32-bit depth and up to 4 channels. src : Evision.Mat.t() . filtering image with unsigned 8-bit or floating-point 32-bit depth and up to 4 channels. sigmaSpatial : double . \\f${\\sigma}_H\\f$ parameter in the original article, it's similar to the sigma in the coordinate space into bilateralFilter. sigmaColor : double . \\f${\\sigma}_r\\f$ parameter in the original article, it's similar to the sigma in the color space into bilateralFilter. Keyword Arguments mode : int . one form three modes DTF_NC, DTF_RF and DTF_IC which corresponds to three modes for filtering 2D signals in the article. numIters : int . optional number of iterations used for filtering, 3 is quite enough. Return dst : Evision.Mat.t() . destination image @sa bilateralFilter, guidedFilter, amFilter Python prototype (for reference only): dtFilter(guide, src, sigmaSpatial, sigmaColor[, dst[, mode[, numIters]]]) -&gt; dst","ref":"Evision.XImgProc.html#dtFilter/4","title":"Evision.XImgProc.dtFilter/4","type":"function"},{"doc":"Simple one-line Domain Transform filter call. If you have multiple images to filter with the same guided image then use DTFilter interface to avoid extra computations on initialization stage. Positional Arguments guide : Evision.Mat.t() . guided image (also called as joint image) with unsigned 8-bit or floating-point 32-bit depth and up to 4 channels. src : Evision.Mat.t() . filtering image with unsigned 8-bit or floating-point 32-bit depth and up to 4 channels. sigmaSpatial : double . \\f${\\sigma}_H\\f$ parameter in the original article, it's similar to the sigma in the coordinate space into bilateralFilter. sigmaColor : double . \\f${\\sigma}_r\\f$ parameter in the original article, it's similar to the sigma in the color space into bilateralFilter. Keyword Arguments mode : int . one form three modes DTF_NC, DTF_RF and DTF_IC which corresponds to three modes for filtering 2D signals in the article. numIters : int . optional number of iterations used for filtering, 3 is quite enough. Return dst : Evision.Mat.t() . destination image @sa bilateralFilter, guidedFilter, amFilter Python prototype (for reference only): dtFilter(guide, src, sigmaSpatial, sigmaColor[, dst[, mode[, numIters]]]) -&gt; dst","ref":"Evision.XImgProc.html#dtFilter/5","title":"Evision.XImgProc.dtFilter/5","type":"function"},{"doc":"Smoothes an image using the Edge-Preserving filter. Positional Arguments src : Evision.Mat.t() . Source 8-bit 3-channel image. d : int . Diameter of each pixel neighborhood that is used during filtering. Must be greater or equal 3. threshold : double . Threshold, which distinguishes between noise, outliers, and data. Return dst : Evision.Mat.t() . Destination image of the same size and type as src. The function smoothes Gaussian noise as well as salt &amp; pepper noise. For more details about this implementation, please see [ReiWoe18] Reich, S. and Wörgötter, F. and Dellen, B. (2018). A Real-Time Edge-Preserving Denoising Filter. Proceedings of the 13th International Joint Conference on Computer Vision, Imaging and Computer Graphics Theory and Applications (VISIGRAPP): Visapp, 85-94, 4. DOI: 10.5220/0006509000850094. Python prototype (for reference only): edgePreservingFilter(src, d, threshold[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#edgePreservingFilter/3","title":"Evision.XImgProc.edgePreservingFilter/3","type":"function"},{"doc":"Smoothes an image using the Edge-Preserving filter. Positional Arguments src : Evision.Mat.t() . Source 8-bit 3-channel image. d : int . Diameter of each pixel neighborhood that is used during filtering. Must be greater or equal 3. threshold : double . Threshold, which distinguishes between noise, outliers, and data. Return dst : Evision.Mat.t() . Destination image of the same size and type as src. The function smoothes Gaussian noise as well as salt &amp; pepper noise. For more details about this implementation, please see [ReiWoe18] Reich, S. and Wörgötter, F. and Dellen, B. (2018). A Real-Time Edge-Preserving Denoising Filter. Proceedings of the 13th International Joint Conference on Computer Vision, Imaging and Computer Graphics Theory and Applications (VISIGRAPP): Visapp, 85-94, 4. DOI: 10.5220/0006509000850094. Python prototype (for reference only): edgePreservingFilter(src, d, threshold[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#edgePreservingFilter/4","title":"Evision.XImgProc.edgePreservingFilter/4","type":"function"},{"doc":"Simple one-line Fast Bilateral Solver filter call. If you have multiple images to filter with the same guide then use FastBilateralSolverFilter interface to avoid extra computations. Positional Arguments guide : Evision.Mat.t() . image serving as guide for filtering. It should have 8-bit depth and either 1 or 3 channels. src : Evision.Mat.t() . source image for filtering with unsigned 8-bit or signed 16-bit or floating-point 32-bit depth and up to 4 channels. confidence : Evision.Mat.t() . confidence image with unsigned 8-bit or floating-point 32-bit confidence and 1 channel. Keyword Arguments sigma_spatial : double . parameter, that is similar to spatial space sigma (bandwidth) in bilateralFilter. sigma_luma : double . parameter, that is similar to luma space sigma (bandwidth) in bilateralFilter. sigma_chroma : double . parameter, that is similar to chroma space sigma (bandwidth) in bilateralFilter. lambda : double . smoothness strength parameter for solver. num_iter : int . number of iterations used for solver, 25 is usually enough. max_tol : double . convergence tolerance used for solver. Return dst : Evision.Mat.t() . destination image. For more details about the Fast Bilateral Solver parameters, see the original paper @cite BarronPoole2016. Note : Confidence images with CV_8U depth are expected to in [0, 255] and CV_32F in [0, 1] range. Python prototype (for reference only): fastBilateralSolverFilter(guide, src, confidence[, dst[, sigma_spatial[, sigma_luma[, sigma_chroma[, lambda[, num_iter[, max_tol]]]]]]]) -&gt; dst","ref":"Evision.XImgProc.html#fastBilateralSolverFilter/3","title":"Evision.XImgProc.fastBilateralSolverFilter/3","type":"function"},{"doc":"Simple one-line Fast Bilateral Solver filter call. If you have multiple images to filter with the same guide then use FastBilateralSolverFilter interface to avoid extra computations. Positional Arguments guide : Evision.Mat.t() . image serving as guide for filtering. It should have 8-bit depth and either 1 or 3 channels. src : Evision.Mat.t() . source image for filtering with unsigned 8-bit or signed 16-bit or floating-point 32-bit depth and up to 4 channels. confidence : Evision.Mat.t() . confidence image with unsigned 8-bit or floating-point 32-bit confidence and 1 channel. Keyword Arguments sigma_spatial : double . parameter, that is similar to spatial space sigma (bandwidth) in bilateralFilter. sigma_luma : double . parameter, that is similar to luma space sigma (bandwidth) in bilateralFilter. sigma_chroma : double . parameter, that is similar to chroma space sigma (bandwidth) in bilateralFilter. lambda : double . smoothness strength parameter for solver. num_iter : int . number of iterations used for solver, 25 is usually enough. max_tol : double . convergence tolerance used for solver. Return dst : Evision.Mat.t() . destination image. For more details about the Fast Bilateral Solver parameters, see the original paper @cite BarronPoole2016. Note : Confidence images with CV_8U depth are expected to in [0, 255] and CV_32F in [0, 1] range. Python prototype (for reference only): fastBilateralSolverFilter(guide, src, confidence[, dst[, sigma_spatial[, sigma_luma[, sigma_chroma[, lambda[, num_iter[, max_tol]]]]]]]) -&gt; dst","ref":"Evision.XImgProc.html#fastBilateralSolverFilter/4","title":"Evision.XImgProc.fastBilateralSolverFilter/4","type":"function"},{"doc":"Simple one-line Fast Global Smoother filter call. If you have multiple images to filter with the same guide then use FastGlobalSmootherFilter interface to avoid extra computations. Positional Arguments guide : Evision.Mat.t() . image serving as guide for filtering. It should have 8-bit depth and either 1 or 3 channels. src : Evision.Mat.t() . source image for filtering with unsigned 8-bit or signed 16-bit or floating-point 32-bit depth and up to 4 channels. lambda : double . parameter defining the amount of regularization sigma_color : double . parameter, that is similar to color space sigma in bilateralFilter. Keyword Arguments lambda_attenuation : double . internal parameter, defining how much lambda decreases after each iteration. Normally, it should be 0.25. Setting it to 1.0 may lead to streaking artifacts. num_iter : int . number of iterations used for filtering, 3 is usually enough. Return dst : Evision.Mat.t() . destination image. Python prototype (for reference only): fastGlobalSmootherFilter(guide, src, lambda, sigma_color[, dst[, lambda_attenuation[, num_iter]]]) -&gt; dst","ref":"Evision.XImgProc.html#fastGlobalSmootherFilter/4","title":"Evision.XImgProc.fastGlobalSmootherFilter/4","type":"function"},{"doc":"Simple one-line Fast Global Smoother filter call. If you have multiple images to filter with the same guide then use FastGlobalSmootherFilter interface to avoid extra computations. Positional Arguments guide : Evision.Mat.t() . image serving as guide for filtering. It should have 8-bit depth and either 1 or 3 channels. src : Evision.Mat.t() . source image for filtering with unsigned 8-bit or signed 16-bit or floating-point 32-bit depth and up to 4 channels. lambda : double . parameter defining the amount of regularization sigma_color : double . parameter, that is similar to color space sigma in bilateralFilter. Keyword Arguments lambda_attenuation : double . internal parameter, defining how much lambda decreases after each iteration. Normally, it should be 0.25. Setting it to 1.0 may lead to streaking artifacts. num_iter : int . number of iterations used for filtering, 3 is usually enough. Return dst : Evision.Mat.t() . destination image. Python prototype (for reference only): fastGlobalSmootherFilter(guide, src, lambda, sigma_color[, dst[, lambda_attenuation[, num_iter]]]) -&gt; dst","ref":"Evision.XImgProc.html#fastGlobalSmootherFilter/5","title":"Evision.XImgProc.fastGlobalSmootherFilter/5","type":"function"},{"doc":"Calculates 2D Fast Hough transform of an image. Positional Arguments src : Evision.Mat.t() dstMatDepth : int Keyword Arguments angleRange : int . op : int . makeSkew : int . Return dst : Evision.Mat.t() . The function calculates the fast Hough transform for full, half or quarter range of angles. Python prototype (for reference only): FastHoughTransform(src, dstMatDepth[, dst[, angleRange[, op[, makeSkew]]]]) -&gt; dst","ref":"Evision.XImgProc.html#fastHoughTransform/2","title":"Evision.XImgProc.fastHoughTransform/2","type":"function"},{"doc":"Calculates 2D Fast Hough transform of an image. Positional Arguments src : Evision.Mat.t() dstMatDepth : int Keyword Arguments angleRange : int . op : int . makeSkew : int . Return dst : Evision.Mat.t() . The function calculates the fast Hough transform for full, half or quarter range of angles. Python prototype (for reference only): FastHoughTransform(src, dstMatDepth[, dst[, angleRange[, op[, makeSkew]]]]) -&gt; dst","ref":"Evision.XImgProc.html#fastHoughTransform/3","title":"Evision.XImgProc.fastHoughTransform/3","type":"function"},{"doc":"Finds ellipses fastly in an image using projective invariant pruning. Positional Arguments image : Evision.Mat.t() . input image, could be gray or color. Keyword Arguments scoreThreshold : float . float, the threshold of ellipse score. reliabilityThreshold : float . float, the threshold of reliability. centerDistanceThreshold : float . float, the threshold of center distance. Return ellipses : Evision.Mat.t() . output vector of found ellipses. each vector is encoded as five float $x, y, a, b, radius, score$. The function detects ellipses in images using projective invariant pruning. For more details about this implementation, please see @cite jia2017fast Jia, Qi et al, (2017). A Fast Ellipse Detector using Projective Invariant Pruning. IEEE Transactions on Image Processing. Python prototype (for reference only): findEllipses(image[, ellipses[, scoreThreshold[, reliabilityThreshold[, centerDistanceThreshold]]]]) -&gt; ellipses","ref":"Evision.XImgProc.html#findEllipses/1","title":"Evision.XImgProc.findEllipses/1","type":"function"},{"doc":"Finds ellipses fastly in an image using projective invariant pruning. Positional Arguments image : Evision.Mat.t() . input image, could be gray or color. Keyword Arguments scoreThreshold : float . float, the threshold of ellipse score. reliabilityThreshold : float . float, the threshold of reliability. centerDistanceThreshold : float . float, the threshold of center distance. Return ellipses : Evision.Mat.t() . output vector of found ellipses. each vector is encoded as five float $x, y, a, b, radius, score$. The function detects ellipses in images using projective invariant pruning. For more details about this implementation, please see @cite jia2017fast Jia, Qi et al, (2017). A Fast Ellipse Detector using Projective Invariant Pruning. IEEE Transactions on Image Processing. Python prototype (for reference only): findEllipses(image[, ellipses[, scoreThreshold[, reliabilityThreshold[, centerDistanceThreshold]]]]) -&gt; ellipses","ref":"Evision.XImgProc.html#findEllipses/2","title":"Evision.XImgProc.findEllipses/2","type":"function"},{"doc":"Fourier descriptors for planed closed curves Positional Arguments src : Evision.Mat.t() Keyword Arguments nbElt : int . nbFD : int . Return dst : Evision.Mat.t() . For more details about this implementation, please see @cite PersoonFu1977 Python prototype (for reference only): fourierDescriptor(src[, dst[, nbElt[, nbFD]]]) -&gt; dst","ref":"Evision.XImgProc.html#fourierDescriptor/1","title":"Evision.XImgProc.fourierDescriptor/1","type":"function"},{"doc":"Fourier descriptors for planed closed curves Positional Arguments src : Evision.Mat.t() Keyword Arguments nbElt : int . nbFD : int . Return dst : Evision.Mat.t() . For more details about this implementation, please see @cite PersoonFu1977 Python prototype (for reference only): fourierDescriptor(src[, dst[, nbElt[, nbFD]]]) -&gt; dst","ref":"Evision.XImgProc.html#fourierDescriptor/2","title":"Evision.XImgProc.fourierDescriptor/2","type":"function"},{"doc":"Function for creating a disparity map visualization (clamped CV_8U image) Positional Arguments src : Evision.Mat.t() . input disparity map (CV_16S depth) Keyword Arguments scale : double . disparity map will be multiplied by this value for visualization Return dst : Evision.Mat.t() . output visualization Python prototype (for reference only): getDisparityVis(src[, dst[, scale]]) -&gt; dst","ref":"Evision.XImgProc.html#getDisparityVis/1","title":"Evision.XImgProc.getDisparityVis/1","type":"function"},{"doc":"Function for creating a disparity map visualization (clamped CV_8U image) Positional Arguments src : Evision.Mat.t() . input disparity map (CV_16S depth) Keyword Arguments scale : double . disparity map will be multiplied by this value for visualization Return dst : Evision.Mat.t() . output visualization Python prototype (for reference only): getDisparityVis(src[, dst[, scale]]) -&gt; dst","ref":"Evision.XImgProc.html#getDisparityVis/2","title":"Evision.XImgProc.getDisparityVis/2","type":"function"},{"doc":"Applies X Deriche filter to an image. Positional Arguments op : Evision.Mat.t() alpha : double omega : double Return dst : Evision.Mat.t() . For more details about this implementation, please see http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.476.5736&amp;rep=rep1&amp;type=pdf Python prototype (for reference only): GradientDericheX(op, alpha, omega[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#gradientDericheX/3","title":"Evision.XImgProc.gradientDericheX/3","type":"function"},{"doc":"Applies X Deriche filter to an image. Positional Arguments op : Evision.Mat.t() alpha : double omega : double Return dst : Evision.Mat.t() . For more details about this implementation, please see http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.476.5736&amp;rep=rep1&amp;type=pdf Python prototype (for reference only): GradientDericheX(op, alpha, omega[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#gradientDericheX/4","title":"Evision.XImgProc.gradientDericheX/4","type":"function"},{"doc":"Applies Y Deriche filter to an image. Positional Arguments op : Evision.Mat.t() alpha : double omega : double Return dst : Evision.Mat.t() . For more details about this implementation, please see http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.476.5736&amp;rep=rep1&amp;type=pdf Python prototype (for reference only): GradientDericheY(op, alpha, omega[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#gradientDericheY/3","title":"Evision.XImgProc.gradientDericheY/3","type":"function"},{"doc":"Applies Y Deriche filter to an image. Positional Arguments op : Evision.Mat.t() alpha : double omega : double Return dst : Evision.Mat.t() . For more details about this implementation, please see http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.476.5736&amp;rep=rep1&amp;type=pdf Python prototype (for reference only): GradientDericheY(op, alpha, omega[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#gradientDericheY/4","title":"Evision.XImgProc.gradientDericheY/4","type":"function"},{"doc":"Simple one-line Guided Filter call. Positional Arguments guide : Evision.Mat.t() . guided image (or array of images) with up to 3 channels, if it have more then 3 channels then only first 3 channels will be used. src : Evision.Mat.t() . filtering image with any numbers of channels. radius : int . radius of Guided Filter. eps : double . regularization term of Guided Filter. \\f${eps}^2\\f$ is similar to the sigma in the color space into bilateralFilter. Keyword Arguments dDepth : int . optional depth of the output image. Return dst : Evision.Mat.t() . output image. If you have multiple images to filter with the same guided image then use GuidedFilter interface to avoid extra computations on initialization stage. @sa bilateralFilter, dtFilter, amFilter Python prototype (for reference only): guidedFilter(guide, src, radius, eps[, dst[, dDepth]]) -&gt; dst","ref":"Evision.XImgProc.html#guidedFilter/4","title":"Evision.XImgProc.guidedFilter/4","type":"function"},{"doc":"Simple one-line Guided Filter call. Positional Arguments guide : Evision.Mat.t() . guided image (or array of images) with up to 3 channels, if it have more then 3 channels then only first 3 channels will be used. src : Evision.Mat.t() . filtering image with any numbers of channels. radius : int . radius of Guided Filter. eps : double . regularization term of Guided Filter. \\f${eps}^2\\f$ is similar to the sigma in the color space into bilateralFilter. Keyword Arguments dDepth : int . optional depth of the output image. Return dst : Evision.Mat.t() . output image. If you have multiple images to filter with the same guided image then use GuidedFilter interface to avoid extra computations on initialization stage. @sa bilateralFilter, dtFilter, amFilter Python prototype (for reference only): guidedFilter(guide, src, radius, eps[, dst[, dDepth]]) -&gt; dst","ref":"Evision.XImgProc.html#guidedFilter/5","title":"Evision.XImgProc.guidedFilter/5","type":"function"},{"doc":"Calculates coordinates of line segment corresponded by point in Hough space. Positional Arguments houghPoint : Point srcImgInfo : Evision.Mat.t() Keyword Arguments angleRange : int . makeSkew : int . rules : int . Return retval : Vec4i @retval [Vec4i] Coordinates of line segment corresponded by point in Hough space. @remarks If rules parameter set to RO_STRICT then returned line cut along the border of source image. @remarks If rules parameter set to RO_WEAK then in case of point, which belongs the incorrect part of Hough image, returned line will not intersect source image. The function calculates coordinates of line segment corresponded by point in Hough space. Python prototype (for reference only): HoughPoint2Line(houghPoint, srcImgInfo[, angleRange[, makeSkew[, rules]]]) -&gt; retval","ref":"Evision.XImgProc.html#houghPoint2Line/2","title":"Evision.XImgProc.houghPoint2Line/2","type":"function"},{"doc":"Calculates coordinates of line segment corresponded by point in Hough space. Positional Arguments houghPoint : Point srcImgInfo : Evision.Mat.t() Keyword Arguments angleRange : int . makeSkew : int . rules : int . Return retval : Vec4i @retval [Vec4i] Coordinates of line segment corresponded by point in Hough space. @remarks If rules parameter set to RO_STRICT then returned line cut along the border of source image. @remarks If rules parameter set to RO_WEAK then in case of point, which belongs the incorrect part of Hough image, returned line will not intersect source image. The function calculates coordinates of line segment corresponded by point in Hough space. Python prototype (for reference only): HoughPoint2Line(houghPoint, srcImgInfo[, angleRange[, makeSkew[, rules]]]) -&gt; retval","ref":"Evision.XImgProc.html#houghPoint2Line/3","title":"Evision.XImgProc.houghPoint2Line/3","type":"function"},{"doc":"Applies the joint bilateral filter to an image. Positional Arguments joint : Evision.Mat.t() . Joint 8-bit or floating-point, 1-channel or 3-channel image. src : Evision.Mat.t() . Source 8-bit or floating-point, 1-channel or 3-channel image with the same depth as joint image. d : int . Diameter of each pixel neighborhood that is used during filtering. If it is non-positive, it is computed from sigmaSpace . sigmaColor : double . Filter sigma in the color space. A larger value of the parameter means that farther colors within the pixel neighborhood (see sigmaSpace ) will be mixed together, resulting in larger areas of semi-equal color. sigmaSpace : double . Filter sigma in the coordinate space. A larger value of the parameter means that farther pixels will influence each other as long as their colors are close enough (see sigmaColor ). When d&gt;0 , it specifies the neighborhood size regardless of sigmaSpace . Otherwise, d is proportional to sigmaSpace . Keyword Arguments borderType : int . Return dst : Evision.Mat.t() . Destination image of the same size and type as src . Note : bilateralFilter and jointBilateralFilter use L1 norm to compute difference between colors. @sa bilateralFilter, amFilter Python prototype (for reference only): jointBilateralFilter(joint, src, d, sigmaColor, sigmaSpace[, dst[, borderType]]) -&gt; dst","ref":"Evision.XImgProc.html#jointBilateralFilter/5","title":"Evision.XImgProc.jointBilateralFilter/5","type":"function"},{"doc":"Applies the joint bilateral filter to an image. Positional Arguments joint : Evision.Mat.t() . Joint 8-bit or floating-point, 1-channel or 3-channel image. src : Evision.Mat.t() . Source 8-bit or floating-point, 1-channel or 3-channel image with the same depth as joint image. d : int . Diameter of each pixel neighborhood that is used during filtering. If it is non-positive, it is computed from sigmaSpace . sigmaColor : double . Filter sigma in the color space. A larger value of the parameter means that farther colors within the pixel neighborhood (see sigmaSpace ) will be mixed together, resulting in larger areas of semi-equal color. sigmaSpace : double . Filter sigma in the coordinate space. A larger value of the parameter means that farther pixels will influence each other as long as their colors are close enough (see sigmaColor ). When d&gt;0 , it specifies the neighborhood size regardless of sigmaSpace . Otherwise, d is proportional to sigmaSpace . Keyword Arguments borderType : int . Return dst : Evision.Mat.t() . Destination image of the same size and type as src . Note : bilateralFilter and jointBilateralFilter use L1 norm to compute difference between colors. @sa bilateralFilter, amFilter Python prototype (for reference only): jointBilateralFilter(joint, src, d, sigmaColor, sigmaSpace[, dst[, borderType]]) -&gt; dst","ref":"Evision.XImgProc.html#jointBilateralFilter/6","title":"Evision.XImgProc.jointBilateralFilter/6","type":"function"},{"doc":"Global image smoothing via L0 gradient minimization. Positional Arguments src : Evision.Mat.t() . source image for filtering with unsigned 8-bit or signed 16-bit or floating-point depth. Keyword Arguments lambda : double . parameter defining the smooth term weight. kappa : double . parameter defining the increasing factor of the weight of the gradient data term. Return dst : Evision.Mat.t() . destination image. For more details about L0 Smoother, see the original paper @cite xu2011image. Python prototype (for reference only): l0Smooth(src[, dst[, lambda[, kappa]]]) -&gt; dst","ref":"Evision.XImgProc.html#l0Smooth/1","title":"Evision.XImgProc.l0Smooth/1","type":"function"},{"doc":"Global image smoothing via L0 gradient minimization. Positional Arguments src : Evision.Mat.t() . source image for filtering with unsigned 8-bit or signed 16-bit or floating-point depth. Keyword Arguments lambda : double . parameter defining the smooth term weight. kappa : double . parameter defining the increasing factor of the weight of the gradient data term. Return dst : Evision.Mat.t() . destination image. For more details about L0 Smoother, see the original paper @cite xu2011image. Python prototype (for reference only): l0Smooth(src[, dst[, lambda[, kappa]]]) -&gt; dst","ref":"Evision.XImgProc.html#l0Smooth/2","title":"Evision.XImgProc.l0Smooth/2","type":"function"},{"doc":"Performs thresholding on input images using Niblack's technique or some of the popular variations it inspired. Positional Arguments src : Evision.Mat.t() . Source 8-bit single-channel image. maxValue : double . Non-zero value assigned to the pixels for which the condition is satisfied, used with the THRESH_BINARY and THRESH_BINARY_INV thresholding types. type : int . Thresholding type, see cv::ThresholdTypes. blockSize : int . Size of a pixel neighborhood that is used to calculate a threshold value for the pixel: 3, 5, 7, and so on. k : double . The user-adjustable parameter used by Niblack and inspired techniques. For Niblack, this is normally a value between 0 and 1 that is multiplied with the standard deviation and subtracted from the mean. Keyword Arguments binarizationMethod : int . Binarization method to use. By default, Niblack's technique is used. Other techniques can be specified, see cv::ximgproc::LocalBinarizationMethods. r : double . The user-adjustable parameter used by Sauvola's technique. This is the dynamic range of standard deviation. Return dst : Evision.Mat.t() . Destination image of the same size and the same type as src. The function transforms a grayscale image to a binary image according to the formulae: THRESH_BINARY \\f[dst(x,y) = \\fork{\\texttt{maxValue}}{if (src(x,y) &gt; T(x,y))}{0}{otherwise}\\f] THRESH_BINARY_INV \\f[dst(x,y) = \\fork{0}{if (src(x,y) &gt; T(x,y))}{\\texttt{maxValue}}{otherwise}\\f] where \\f$T(x,y)\\f$ is a threshold calculated individually for each pixel. The threshold value \\f$T(x, y)\\f$ is determined based on the binarization method chosen. For classic Niblack, it is the mean minus \\f$ k \\f$ times standard deviation of \\f$\\texttt{blockSize} \\times\\texttt{blockSize}\\f$ neighborhood of \\f$(x, y)\\f$. The function can't process the image in-place. @sa threshold, adaptiveThreshold Python prototype (for reference only): niBlackThreshold(_src, maxValue, type, blockSize, k[, _dst[, binarizationMethod[, r]]]) -&gt; _dst","ref":"Evision.XImgProc.html#niBlackThreshold/5","title":"Evision.XImgProc.niBlackThreshold/5","type":"function"},{"doc":"Performs thresholding on input images using Niblack's technique or some of the popular variations it inspired. Positional Arguments src : Evision.Mat.t() . Source 8-bit single-channel image. maxValue : double . Non-zero value assigned to the pixels for which the condition is satisfied, used with the THRESH_BINARY and THRESH_BINARY_INV thresholding types. type : int . Thresholding type, see cv::ThresholdTypes. blockSize : int . Size of a pixel neighborhood that is used to calculate a threshold value for the pixel: 3, 5, 7, and so on. k : double . The user-adjustable parameter used by Niblack and inspired techniques. For Niblack, this is normally a value between 0 and 1 that is multiplied with the standard deviation and subtracted from the mean. Keyword Arguments binarizationMethod : int . Binarization method to use. By default, Niblack's technique is used. Other techniques can be specified, see cv::ximgproc::LocalBinarizationMethods. r : double . The user-adjustable parameter used by Sauvola's technique. This is the dynamic range of standard deviation. Return dst : Evision.Mat.t() . Destination image of the same size and the same type as src. The function transforms a grayscale image to a binary image according to the formulae: THRESH_BINARY \\f[dst(x,y) = \\fork{\\texttt{maxValue}}{if (src(x,y) &gt; T(x,y))}{0}{otherwise}\\f] THRESH_BINARY_INV \\f[dst(x,y) = \\fork{0}{if (src(x,y) &gt; T(x,y))}{\\texttt{maxValue}}{otherwise}\\f] where \\f$T(x,y)\\f$ is a threshold calculated individually for each pixel. The threshold value \\f$T(x, y)\\f$ is determined based on the binarization method chosen. For classic Niblack, it is the mean minus \\f$ k \\f$ times standard deviation of \\f$\\texttt{blockSize} \\times\\texttt{blockSize}\\f$ neighborhood of \\f$(x, y)\\f$. The function can't process the image in-place. @sa threshold, adaptiveThreshold Python prototype (for reference only): niBlackThreshold(_src, maxValue, type, blockSize, k[, _dst[, binarizationMethod[, r]]]) -&gt; _dst","ref":"Evision.XImgProc.html#niBlackThreshold/6","title":"Evision.XImgProc.niBlackThreshold/6","type":"function"},{"doc":"PeiLinNormalization Positional Arguments i : Evision.Mat.t() Return t : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): PeiLinNormalization(I[, T]) -&gt; T","ref":"Evision.XImgProc.html#peiLinNormalization/1","title":"Evision.XImgProc.peiLinNormalization/1","type":"function"},{"doc":"PeiLinNormalization Positional Arguments i : Evision.Mat.t() Return t : Evision.Mat.t() . Has overloading in C++ Python prototype (for reference only): PeiLinNormalization(I[, T]) -&gt; T","ref":"Evision.XImgProc.html#peiLinNormalization/2","title":"Evision.XImgProc.peiLinNormalization/2","type":"function"},{"doc":"calculates conjugate of a quaternion image. Positional Arguments qimg : Evision.Mat.t() Return qcimg : Evision.Mat.t() . Python prototype (for reference only): qconj(qimg[, qcimg]) -&gt; qcimg","ref":"Evision.XImgProc.html#qconj/1","title":"Evision.XImgProc.qconj/1","type":"function"},{"doc":"calculates conjugate of a quaternion image. Positional Arguments qimg : Evision.Mat.t() Return qcimg : Evision.Mat.t() . Python prototype (for reference only): qconj(qimg[, qcimg]) -&gt; qcimg","ref":"Evision.XImgProc.html#qconj/2","title":"Evision.XImgProc.qconj/2","type":"function"},{"doc":"Performs a forward or inverse Discrete quaternion Fourier transform of a 2D quaternion array. Positional Arguments img : Evision.Mat.t() flags : int sideLeft : bool Return qimg : Evision.Mat.t() . Python prototype (for reference only): qdft(img, flags, sideLeft[, qimg]) -&gt; qimg","ref":"Evision.XImgProc.html#qdft/3","title":"Evision.XImgProc.qdft/3","type":"function"},{"doc":"Performs a forward or inverse Discrete quaternion Fourier transform of a 2D quaternion array. Positional Arguments img : Evision.Mat.t() flags : int sideLeft : bool Return qimg : Evision.Mat.t() . Python prototype (for reference only): qdft(img, flags, sideLeft[, qimg]) -&gt; qimg","ref":"Evision.XImgProc.html#qdft/4","title":"Evision.XImgProc.qdft/4","type":"function"},{"doc":"Calculates the per-element quaternion product of two arrays Positional Arguments src1 : Evision.Mat.t() src2 : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): qmultiply(src1, src2[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#qmultiply/2","title":"Evision.XImgProc.qmultiply/2","type":"function"},{"doc":"Calculates the per-element quaternion product of two arrays Positional Arguments src1 : Evision.Mat.t() src2 : Evision.Mat.t() Return dst : Evision.Mat.t() . Python prototype (for reference only): qmultiply(src1, src2[, dst]) -&gt; dst","ref":"Evision.XImgProc.html#qmultiply/3","title":"Evision.XImgProc.qmultiply/3","type":"function"},{"doc":"divides each element by its modulus. Positional Arguments qimg : Evision.Mat.t() Return qnimg : Evision.Mat.t() . Python prototype (for reference only): qunitary(qimg[, qnimg]) -&gt; qnimg","ref":"Evision.XImgProc.html#qunitary/1","title":"Evision.XImgProc.qunitary/1","type":"function"},{"doc":"divides each element by its modulus. Positional Arguments qimg : Evision.Mat.t() Return qnimg : Evision.Mat.t() . Python prototype (for reference only): qunitary(qimg[, qnimg]) -&gt; qnimg","ref":"Evision.XImgProc.html#qunitary/2","title":"Evision.XImgProc.qunitary/2","type":"function"},{"doc":"Calculate Radon Transform of an image. Positional Arguments src : Evision.Mat.t() Keyword Arguments theta : double . start_angle : double . end_angle : double . crop : bool . norm : bool . Return dst : Evision.Mat.t() . This function calculates the Radon Transform of a given image in any range. See https://engineering.purdue.edu/~malcolm/pct/CTI_Ch03.pdf for detail. If the input type is CV_8U, the output will be CV_32S. If the input type is CV_32F or CV_64F, the output will be CV_64F The output size will be num_of_integral x src_diagonal_length. If crop is selected, the input image will be crop into square then circle, and output size will be num_of_integral x min_edge. Python prototype (for reference only): RadonTransform(src[, dst[, theta[, start_angle[, end_angle[, crop[, norm]]]]]]) -&gt; dst","ref":"Evision.XImgProc.html#radonTransform/1","title":"Evision.XImgProc.radonTransform/1","type":"function"},{"doc":"Calculate Radon Transform of an image. Positional Arguments src : Evision.Mat.t() Keyword Arguments theta : double . start_angle : double . end_angle : double . crop : bool . norm : bool . Return dst : Evision.Mat.t() . This function calculates the Radon Transform of a given image in any range. See https://engineering.purdue.edu/~malcolm/pct/CTI_Ch03.pdf for detail. If the input type is CV_8U, the output will be CV_32S. If the input type is CV_32F or CV_64F, the output will be CV_64F The output size will be num_of_integral x src_diagonal_length. If crop is selected, the input image will be crop into square then circle, and output size will be num_of_integral x min_edge. Python prototype (for reference only): RadonTransform(src[, dst[, theta[, start_angle[, end_angle[, crop[, norm]]]]]]) -&gt; dst","ref":"Evision.XImgProc.html#radonTransform/2","title":"Evision.XImgProc.radonTransform/2","type":"function"},{"doc":"Function for reading ground truth disparity maps. Supports basic Middlebury and MPI-Sintel formats. Note that the resulting disparity map is scaled by 16. Positional Arguments src_path : String . path to the image, containing ground-truth disparity map Return retval : int dst : Evision.Mat.t() . output disparity map, CV_16S depth @result returns zero if successfully read the ground truth Python prototype (for reference only): readGT(src_path[, dst]) -&gt; retval, dst","ref":"Evision.XImgProc.html#readGT/1","title":"Evision.XImgProc.readGT/1","type":"function"},{"doc":"Function for reading ground truth disparity maps. Supports basic Middlebury and MPI-Sintel formats. Note that the resulting disparity map is scaled by 16. Positional Arguments src_path : String . path to the image, containing ground-truth disparity map Return retval : int dst : Evision.Mat.t() . output disparity map, CV_16S depth @result returns zero if successfully read the ground truth Python prototype (for reference only): readGT(src_path[, dst]) -&gt; retval, dst","ref":"Evision.XImgProc.html#readGT/2","title":"Evision.XImgProc.readGT/2","type":"function"},{"doc":"Applies the rolling guidance filter to an image. Positional Arguments src : Evision.Mat.t() . Source 8-bit or floating-point, 1-channel or 3-channel image. Keyword Arguments d : int . Diameter of each pixel neighborhood that is used during filtering. If it is non-positive, it is computed from sigmaSpace . sigmaColor : double . Filter sigma in the color space. A larger value of the parameter means that farther colors within the pixel neighborhood (see sigmaSpace ) will be mixed together, resulting in larger areas of semi-equal color. sigmaSpace : double . Filter sigma in the coordinate space. A larger value of the parameter means that farther pixels will influence each other as long as their colors are close enough (see sigmaColor ). When d&gt;0 , it specifies the neighborhood size regardless of sigmaSpace . Otherwise, d is proportional to sigmaSpace . numOfIter : int . Number of iterations of joint edge-preserving filtering applied on the source image. borderType : int . Return dst : Evision.Mat.t() . Destination image of the same size and type as src. For more details, please see @cite zhang2014rolling Note : rollingGuidanceFilter uses jointBilateralFilter as the edge-preserving filter. @sa jointBilateralFilter, bilateralFilter, amFilter Python prototype (for reference only): rollingGuidanceFilter(src[, dst[, d[, sigmaColor[, sigmaSpace[, numOfIter[, borderType]]]]]]) -&gt; dst","ref":"Evision.XImgProc.html#rollingGuidanceFilter/1","title":"Evision.XImgProc.rollingGuidanceFilter/1","type":"function"},{"doc":"Applies the rolling guidance filter to an image. Positional Arguments src : Evision.Mat.t() . Source 8-bit or floating-point, 1-channel or 3-channel image. Keyword Arguments d : int . Diameter of each pixel neighborhood that is used during filtering. If it is non-positive, it is computed from sigmaSpace . sigmaColor : double . Filter sigma in the color space. A larger value of the parameter means that farther colors within the pixel neighborhood (see sigmaSpace ) will be mixed together, resulting in larger areas of semi-equal color. sigmaSpace : double . Filter sigma in the coordinate space. A larger value of the parameter means that farther pixels will influence each other as long as their colors are close enough (see sigmaColor ). When d&gt;0 , it specifies the neighborhood size regardless of sigmaSpace . Otherwise, d is proportional to sigmaSpace . numOfIter : int . Number of iterations of joint edge-preserving filtering applied on the source image. borderType : int . Return dst : Evision.Mat.t() . Destination image of the same size and type as src. For more details, please see @cite zhang2014rolling Note : rollingGuidanceFilter uses jointBilateralFilter as the edge-preserving filter. @sa jointBilateralFilter, bilateralFilter, amFilter Python prototype (for reference only): rollingGuidanceFilter(src[, dst[, d[, sigmaColor[, sigmaSpace[, numOfIter[, borderType]]]]]]) -&gt; dst","ref":"Evision.XImgProc.html#rollingGuidanceFilter/2","title":"Evision.XImgProc.rollingGuidanceFilter/2","type":"function"},{"doc":"Applies a binary blob thinning operation, to achieve a skeletization of the input image. Positional Arguments src : Evision.Mat.t() . Source 8-bit single-channel image, containing binary blobs, with blobs having 255 pixel values. Keyword Arguments thinningType : int . Value that defines which thinning algorithm should be used. See cv::ximgproc::ThinningTypes Return dst : Evision.Mat.t() . Destination image of the same size and the same type as src. The function can work in-place. The function transforms a binary blob image into a skeletized form using the technique of Zhang-Suen. Python prototype (for reference only): thinning(src[, dst[, thinningType]]) -&gt; dst","ref":"Evision.XImgProc.html#thinning/1","title":"Evision.XImgProc.thinning/1","type":"function"},{"doc":"Applies a binary blob thinning operation, to achieve a skeletization of the input image. Positional Arguments src : Evision.Mat.t() . Source 8-bit single-channel image, containing binary blobs, with blobs having 255 pixel values. Keyword Arguments thinningType : int . Value that defines which thinning algorithm should be used. See cv::ximgproc::ThinningTypes Return dst : Evision.Mat.t() . Destination image of the same size and the same type as src. The function can work in-place. The function transforms a binary blob image into a skeletized form using the technique of Zhang-Suen. Python prototype (for reference only): thinning(src[, dst[, thinningType]]) -&gt; dst","ref":"Evision.XImgProc.html#thinning/2","title":"Evision.XImgProc.thinning/2","type":"function"},{"doc":"transform a contour Positional Arguments src : Evision.Mat.t() t : Evision.Mat.t() Keyword Arguments fdContour : bool . Return dst : Evision.Mat.t() . Python prototype (for reference only): transformFD(src, t[, dst[, fdContour]]) -&gt; dst","ref":"Evision.XImgProc.html#transformFD/2","title":"Evision.XImgProc.transformFD/2","type":"function"},{"doc":"transform a contour Positional Arguments src : Evision.Mat.t() t : Evision.Mat.t() Keyword Arguments fdContour : bool . Return dst : Evision.Mat.t() . Python prototype (for reference only): transformFD(src, t[, dst[, fdContour]]) -&gt; dst","ref":"Evision.XImgProc.html#transformFD/3","title":"Evision.XImgProc.transformFD/3","type":"function"},{"doc":"Applies weighted median filter to an image. Positional Arguments joint : Evision.Mat.t() src : Evision.Mat.t() r : int Keyword Arguments sigma : double . weightType : int . mask : Evision.Mat.t() . Return dst : Evision.Mat.t() . For more details about this implementation, please see @cite zhang2014100+ @sa medianBlur, jointBilateralFilter Python prototype (for reference only): weightedMedianFilter(joint, src, r[, dst[, sigma[, weightType[, mask]]]]) -&gt; dst","ref":"Evision.XImgProc.html#weightedMedianFilter/3","title":"Evision.XImgProc.weightedMedianFilter/3","type":"function"},{"doc":"Applies weighted median filter to an image. Positional Arguments joint : Evision.Mat.t() src : Evision.Mat.t() r : int Keyword Arguments sigma : double . weightType : int . mask : Evision.Mat.t() . Return dst : Evision.Mat.t() . For more details about this implementation, please see @cite zhang2014100+ @sa medianBlur, jointBilateralFilter Python prototype (for reference only): weightedMedianFilter(joint, src, r[, dst[, sigma[, weightType[, mask]]]]) -&gt; dst","ref":"Evision.XImgProc.html#weightedMedianFilter/4","title":"Evision.XImgProc.weightedMedianFilter/4","type":"function"},{"doc":"Type that represents an XImgProc struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.html#t:t/0","title":"Evision.XImgProc.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html","title":"Evision.XImgProc.AdaptiveManifoldFilter","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.AdaptiveManifoldFilter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#clear/1","title":"Evision.XImgProc.AdaptiveManifoldFilter.clear/1","type":"function"},{"doc":"collectGarbage Positional Arguments self : Evision.XImgProc.AdaptiveManifoldFilter.t() Python prototype (for reference only): collectGarbage() -&gt; None","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#collectGarbage/1","title":"Evision.XImgProc.AdaptiveManifoldFilter.collectGarbage/1","type":"function"},{"doc":"create Return retval : Evision.XImgProc.AdaptiveManifoldFilter.t() Python prototype (for reference only): create() -&gt; retval","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#create/0","title":"Evision.XImgProc.AdaptiveManifoldFilter.create/0","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.AdaptiveManifoldFilter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#empty/1","title":"Evision.XImgProc.AdaptiveManifoldFilter.empty/1","type":"function"},{"doc":"Apply high-dimensional filtering using adaptive manifolds. Positional Arguments self : Evision.XImgProc.AdaptiveManifoldFilter.t() src : Evision.Mat.t() . filtering image with any numbers of channels. Keyword Arguments joint : Evision.Mat.t() . optional joint (also called as guided) image with any numbers of channels. Return dst : Evision.Mat.t() . output image. Python prototype (for reference only): filter(src[, dst[, joint]]) -&gt; dst","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#filter/2","title":"Evision.XImgProc.AdaptiveManifoldFilter.filter/2","type":"function"},{"doc":"Apply high-dimensional filtering using adaptive manifolds. Positional Arguments self : Evision.XImgProc.AdaptiveManifoldFilter.t() src : Evision.Mat.t() . filtering image with any numbers of channels. Keyword Arguments joint : Evision.Mat.t() . optional joint (also called as guided) image with any numbers of channels. Return dst : Evision.Mat.t() . output image. Python prototype (for reference only): filter(src[, dst[, joint]]) -&gt; dst","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#filter/3","title":"Evision.XImgProc.AdaptiveManifoldFilter.filter/3","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.AdaptiveManifoldFilter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#getDefaultName/1","title":"Evision.XImgProc.AdaptiveManifoldFilter.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.AdaptiveManifoldFilter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#read/2","title":"Evision.XImgProc.AdaptiveManifoldFilter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.AdaptiveManifoldFilter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#save/2","title":"Evision.XImgProc.AdaptiveManifoldFilter.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.AdaptiveManifoldFilter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#write/2","title":"Evision.XImgProc.AdaptiveManifoldFilter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.AdaptiveManifoldFilter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#write/3","title":"Evision.XImgProc.AdaptiveManifoldFilter.write/3","type":"function"},{"doc":"Type that represents an XImgProc.AdaptiveManifoldFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.AdaptiveManifoldFilter.html#t:t/0","title":"Evision.XImgProc.AdaptiveManifoldFilter.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.ContourFitting.html","title":"Evision.XImgProc.ContourFitting","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.ContourFitting.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.ContourFitting.html#clear/1","title":"Evision.XImgProc.ContourFitting.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.ContourFitting.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.ContourFitting.html#empty/1","title":"Evision.XImgProc.ContourFitting.empty/1","type":"function"},{"doc":"Fit two closed curves using fourier descriptors. More details in @cite PersoonFu1977 and @cite BergerRaghunathan1998 Positional Arguments self : Evision.XImgProc.ContourFitting.t() src : Evision.Mat.t() . Contour defining first shape. dst : Evision.Mat.t() . Contour defining second shape (Target). Keyword Arguments fdContour : bool . false then src and dst are contours and true src and dst are fourier descriptors. Return alphaPhiST : Evision.Mat.t() . : \\f$ \\alpha \\f$=alphaPhiST(0,0), \\f$ \\phi \\f$=alphaPhiST(0,1) (in radian), s=alphaPhiST(0,2), Tx=alphaPhiST(0,3), Ty=alphaPhiST(0,4) rotation center dist : double . distance between src and dst after matching. Python prototype (for reference only): estimateTransformation(src, dst[, alphaPhiST[, fdContour]]) -&gt; alphaPhiST, dist","ref":"Evision.XImgProc.ContourFitting.html#estimateTransformation/3","title":"Evision.XImgProc.ContourFitting.estimateTransformation/3","type":"function"},{"doc":"Fit two closed curves using fourier descriptors. More details in @cite PersoonFu1977 and @cite BergerRaghunathan1998 Positional Arguments self : Evision.XImgProc.ContourFitting.t() src : Evision.Mat.t() . Contour defining first shape. dst : Evision.Mat.t() . Contour defining second shape (Target). Keyword Arguments fdContour : bool . false then src and dst are contours and true src and dst are fourier descriptors. Return alphaPhiST : Evision.Mat.t() . : \\f$ \\alpha \\f$=alphaPhiST(0,0), \\f$ \\phi \\f$=alphaPhiST(0,1) (in radian), s=alphaPhiST(0,2), Tx=alphaPhiST(0,3), Ty=alphaPhiST(0,4) rotation center dist : double . distance between src and dst after matching. Python prototype (for reference only): estimateTransformation(src, dst[, alphaPhiST[, fdContour]]) -&gt; alphaPhiST, dist","ref":"Evision.XImgProc.ContourFitting.html#estimateTransformation/4","title":"Evision.XImgProc.ContourFitting.estimateTransformation/4","type":"function"},{"doc":"getCtrSize Positional Arguments self : Evision.XImgProc.ContourFitting.t() Return retval : int @returns number of fourier descriptors Python prototype (for reference only): getCtrSize() -&gt; retval","ref":"Evision.XImgProc.ContourFitting.html#getCtrSize/1","title":"Evision.XImgProc.ContourFitting.getCtrSize/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.ContourFitting.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.ContourFitting.html#getDefaultName/1","title":"Evision.XImgProc.ContourFitting.getDefaultName/1","type":"function"},{"doc":"getFDSize Positional Arguments self : Evision.XImgProc.ContourFitting.t() Return retval : int @returns number of fourier descriptors used for optimal curve matching Python prototype (for reference only): getFDSize() -&gt; retval","ref":"Evision.XImgProc.ContourFitting.html#getFDSize/1","title":"Evision.XImgProc.ContourFitting.getFDSize/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.ContourFitting.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.ContourFitting.html#read/2","title":"Evision.XImgProc.ContourFitting.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.ContourFitting.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.ContourFitting.html#save/2","title":"Evision.XImgProc.ContourFitting.save/2","type":"function"},{"doc":"set number of Fourier descriptors used in estimateTransformation Positional Arguments self : Evision.XImgProc.ContourFitting.t() n : int . number of Fourier descriptors equal to number of contour points after resampling. Python prototype (for reference only): setCtrSize(n) -&gt; None","ref":"Evision.XImgProc.ContourFitting.html#setCtrSize/2","title":"Evision.XImgProc.ContourFitting.setCtrSize/2","type":"function"},{"doc":"set number of Fourier descriptors when estimateTransformation used vector&lt;Point&gt; Positional Arguments self : Evision.XImgProc.ContourFitting.t() n : int . number of fourier descriptors used for optimal curve matching. Python prototype (for reference only): setFDSize(n) -&gt; None","ref":"Evision.XImgProc.ContourFitting.html#setFDSize/2","title":"Evision.XImgProc.ContourFitting.setFDSize/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.ContourFitting.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.ContourFitting.html#write/2","title":"Evision.XImgProc.ContourFitting.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.ContourFitting.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.ContourFitting.html#write/3","title":"Evision.XImgProc.ContourFitting.write/3","type":"function"},{"doc":"Type that represents an XImgProc.ContourFitting struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.ContourFitting.html#t:t/0","title":"Evision.XImgProc.ContourFitting.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.DTFilter.html","title":"Evision.XImgProc.DTFilter","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.DTFilter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.DTFilter.html#clear/1","title":"Evision.XImgProc.DTFilter.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.DTFilter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.DTFilter.html#empty/1","title":"Evision.XImgProc.DTFilter.empty/1","type":"function"},{"doc":"Produce domain transform filtering operation on source image. Positional Arguments self : Evision.XImgProc.DTFilter.t() src : Evision.Mat.t() . filtering image with unsigned 8-bit or floating-point 32-bit depth and up to 4 channels. Keyword Arguments dDepth : int . optional depth of the output image. dDepth can be set to -1, which will be equivalent to src.depth(). Return dst : Evision.Mat.t() . destination image. Python prototype (for reference only): filter(src[, dst[, dDepth]]) -&gt; dst","ref":"Evision.XImgProc.DTFilter.html#filter/2","title":"Evision.XImgProc.DTFilter.filter/2","type":"function"},{"doc":"Produce domain transform filtering operation on source image. Positional Arguments self : Evision.XImgProc.DTFilter.t() src : Evision.Mat.t() . filtering image with unsigned 8-bit or floating-point 32-bit depth and up to 4 channels. Keyword Arguments dDepth : int . optional depth of the output image. dDepth can be set to -1, which will be equivalent to src.depth(). Return dst : Evision.Mat.t() . destination image. Python prototype (for reference only): filter(src[, dst[, dDepth]]) -&gt; dst","ref":"Evision.XImgProc.DTFilter.html#filter/3","title":"Evision.XImgProc.DTFilter.filter/3","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.DTFilter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.DTFilter.html#getDefaultName/1","title":"Evision.XImgProc.DTFilter.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.DTFilter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.DTFilter.html#read/2","title":"Evision.XImgProc.DTFilter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.DTFilter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.DTFilter.html#save/2","title":"Evision.XImgProc.DTFilter.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.DTFilter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.DTFilter.html#write/2","title":"Evision.XImgProc.DTFilter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.DTFilter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.DTFilter.html#write/3","title":"Evision.XImgProc.DTFilter.write/3","type":"function"},{"doc":"Type that represents an XImgProc.DTFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.DTFilter.html#t:t/0","title":"Evision.XImgProc.DTFilter.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.DisparityFilter.html","title":"Evision.XImgProc.DisparityFilter","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.DisparityFilter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.DisparityFilter.html#clear/1","title":"Evision.XImgProc.DisparityFilter.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.DisparityFilter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.DisparityFilter.html#empty/1","title":"Evision.XImgProc.DisparityFilter.empty/1","type":"function"},{"doc":"Apply filtering to the disparity map. Positional Arguments self : Evision.XImgProc.DisparityFilter.t() disparity_map_left : Evision.Mat.t() . disparity map of the left view, 1 channel, CV_16S type. Implicitly assumes that disparity values are scaled by 16 (one-pixel disparity corresponds to the value of 16 in the disparity map). Disparity map can have any resolution, it will be automatically resized to fit left_view resolution. left_view : Evision.Mat.t() . left view of the original stereo-pair to guide the filtering process, 8-bit single-channel or three-channel image. Keyword Arguments disparity_map_right : Evision.Mat.t() . optional argument, some implementations might also use the disparity map of the right view to compute confidence maps, for instance. rOI : Rect . region of the disparity map to filter. Optional, usually it should be set automatically. right_view : Evision.Mat.t() . optional argument, some implementations might also use the right view of the original stereo-pair. Return filtered_disparity_map : Evision.Mat.t() . output disparity map. Python prototype (for reference only): filter(disparity_map_left, left_view[, filtered_disparity_map[, disparity_map_right[, ROI[, right_view]]]]) -&gt; filtered_disparity_map","ref":"Evision.XImgProc.DisparityFilter.html#filter/3","title":"Evision.XImgProc.DisparityFilter.filter/3","type":"function"},{"doc":"Apply filtering to the disparity map. Positional Arguments self : Evision.XImgProc.DisparityFilter.t() disparity_map_left : Evision.Mat.t() . disparity map of the left view, 1 channel, CV_16S type. Implicitly assumes that disparity values are scaled by 16 (one-pixel disparity corresponds to the value of 16 in the disparity map). Disparity map can have any resolution, it will be automatically resized to fit left_view resolution. left_view : Evision.Mat.t() . left view of the original stereo-pair to guide the filtering process, 8-bit single-channel or three-channel image. Keyword Arguments disparity_map_right : Evision.Mat.t() . optional argument, some implementations might also use the disparity map of the right view to compute confidence maps, for instance. rOI : Rect . region of the disparity map to filter. Optional, usually it should be set automatically. right_view : Evision.Mat.t() . optional argument, some implementations might also use the right view of the original stereo-pair. Return filtered_disparity_map : Evision.Mat.t() . output disparity map. Python prototype (for reference only): filter(disparity_map_left, left_view[, filtered_disparity_map[, disparity_map_right[, ROI[, right_view]]]]) -&gt; filtered_disparity_map","ref":"Evision.XImgProc.DisparityFilter.html#filter/4","title":"Evision.XImgProc.DisparityFilter.filter/4","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.DisparityFilter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.DisparityFilter.html#getDefaultName/1","title":"Evision.XImgProc.DisparityFilter.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.DisparityFilter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.DisparityFilter.html#read/2","title":"Evision.XImgProc.DisparityFilter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.DisparityFilter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.DisparityFilter.html#save/2","title":"Evision.XImgProc.DisparityFilter.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.DisparityFilter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.DisparityFilter.html#write/2","title":"Evision.XImgProc.DisparityFilter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.DisparityFilter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.DisparityFilter.html#write/3","title":"Evision.XImgProc.DisparityFilter.write/3","type":"function"},{"doc":"Type that represents an XImgProc.DisparityFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.DisparityFilter.html#t:t/0","title":"Evision.XImgProc.DisparityFilter.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.DisparityWLSFilter.html","title":"Evision.XImgProc.DisparityWLSFilter","type":"module"},{"doc":"Get the confidence map that was used in the last filter call. It is a CV_32F one-channel image with values ranging from 0.0 (totally untrusted regions of the raw disparity map) to 255.0 (regions containing correct disparity values with a high degree of confidence). Positional Arguments self : Evision.XImgProc.DisparityWLSFilter.t() Return retval : Evision.Mat.t() Python prototype (for reference only): getConfidenceMap() -&gt; retval","ref":"Evision.XImgProc.DisparityWLSFilter.html#getConfidenceMap/1","title":"Evision.XImgProc.DisparityWLSFilter.getConfidenceMap/1","type":"function"},{"doc":"DepthDiscontinuityRadius is a parameter used in confidence computation. It defines the size of low-confidence regions around depth discontinuities. Positional Arguments self : Evision.XImgProc.DisparityWLSFilter.t() Return retval : int Python prototype (for reference only): getDepthDiscontinuityRadius() -&gt; retval","ref":"Evision.XImgProc.DisparityWLSFilter.html#getDepthDiscontinuityRadius/1","title":"Evision.XImgProc.DisparityWLSFilter.getDepthDiscontinuityRadius/1","type":"function"},{"doc":"Lambda is a parameter defining the amount of regularization during filtering. Larger values force filtered disparity map edges to adhere more to source image edges. Typical value is 8000. Positional Arguments self : Evision.XImgProc.DisparityWLSFilter.t() Return retval : double Python prototype (for reference only): getLambda() -&gt; retval","ref":"Evision.XImgProc.DisparityWLSFilter.html#getLambda/1","title":"Evision.XImgProc.DisparityWLSFilter.getLambda/1","type":"function"},{"doc":"LRCthresh is a threshold of disparity difference used in left-right-consistency check during confidence map computation. The default value of 24 (1.5 pixels) is virtually always good enough. Positional Arguments self : Evision.XImgProc.DisparityWLSFilter.t() Return retval : int Python prototype (for reference only): getLRCthresh() -&gt; retval","ref":"Evision.XImgProc.DisparityWLSFilter.html#getLRCthresh/1","title":"Evision.XImgProc.DisparityWLSFilter.getLRCthresh/1","type":"function"},{"doc":"Get the ROI used in the last filter call Positional Arguments self : Evision.XImgProc.DisparityWLSFilter.t() Return retval : Rect Python prototype (for reference only): getROI() -&gt; retval","ref":"Evision.XImgProc.DisparityWLSFilter.html#getROI/1","title":"Evision.XImgProc.DisparityWLSFilter.getROI/1","type":"function"},{"doc":"SigmaColor is a parameter defining how sensitive the filtering process is to source image edges. Large values can lead to disparity leakage through low-contrast edges. Small values can make the filter too sensitive to noise and textures in the source image. Typical values range from 0.8 to 2.0. Positional Arguments self : Evision.XImgProc.DisparityWLSFilter.t() Return retval : double Python prototype (for reference only): getSigmaColor() -&gt; retval","ref":"Evision.XImgProc.DisparityWLSFilter.html#getSigmaColor/1","title":"Evision.XImgProc.DisparityWLSFilter.getSigmaColor/1","type":"function"},{"doc":"setDepthDiscontinuityRadius Positional Arguments self : Evision.XImgProc.DisparityWLSFilter.t() disc_radius : int @see getDepthDiscontinuityRadius Python prototype (for reference only): setDepthDiscontinuityRadius(_disc_radius) -&gt; None","ref":"Evision.XImgProc.DisparityWLSFilter.html#setDepthDiscontinuityRadius/2","title":"Evision.XImgProc.DisparityWLSFilter.setDepthDiscontinuityRadius/2","type":"function"},{"doc":"setLambda Positional Arguments self : Evision.XImgProc.DisparityWLSFilter.t() lambda : double @see getLambda Python prototype (for reference only): setLambda(_lambda) -&gt; None","ref":"Evision.XImgProc.DisparityWLSFilter.html#setLambda/2","title":"Evision.XImgProc.DisparityWLSFilter.setLambda/2","type":"function"},{"doc":"setLRCthresh Positional Arguments self : Evision.XImgProc.DisparityWLSFilter.t() lRC_thresh : int @see getLRCthresh Python prototype (for reference only): setLRCthresh(_LRC_thresh) -&gt; None","ref":"Evision.XImgProc.DisparityWLSFilter.html#setLRCthresh/2","title":"Evision.XImgProc.DisparityWLSFilter.setLRCthresh/2","type":"function"},{"doc":"setSigmaColor Positional Arguments self : Evision.XImgProc.DisparityWLSFilter.t() sigma_color : double @see getSigmaColor Python prototype (for reference only): setSigmaColor(_sigma_color) -&gt; None","ref":"Evision.XImgProc.DisparityWLSFilter.html#setSigmaColor/2","title":"Evision.XImgProc.DisparityWLSFilter.setSigmaColor/2","type":"function"},{"doc":"Type that represents an XImgProc.DisparityWLSFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.DisparityWLSFilter.html#t:t/0","title":"Evision.XImgProc.DisparityWLSFilter.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.EdgeAwareInterpolator.html","title":"Evision.XImgProc.EdgeAwareInterpolator","type":"module"},{"doc":"getFGSLambda Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() Return retval : float @see setFGSLambda/2 Python prototype (for reference only): getFGSLambda() -&gt; retval","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#getFGSLambda/1","title":"Evision.XImgProc.EdgeAwareInterpolator.getFGSLambda/1","type":"function"},{"doc":"getFGSSigma Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() Return retval : float @see setFGSLambda/2 Python prototype (for reference only): getFGSSigma() -&gt; retval","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#getFGSSigma/1","title":"Evision.XImgProc.EdgeAwareInterpolator.getFGSSigma/1","type":"function"},{"doc":"getK Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() Return retval : int @see setK/2 Python prototype (for reference only): getK() -&gt; retval","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#getK/1","title":"Evision.XImgProc.EdgeAwareInterpolator.getK/1","type":"function"},{"doc":"getLambda Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() Return retval : float @see setLambda/2 Python prototype (for reference only): getLambda() -&gt; retval","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#getLambda/1","title":"Evision.XImgProc.EdgeAwareInterpolator.getLambda/1","type":"function"},{"doc":"getSigma Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() Return retval : float @see setSigma/2 Python prototype (for reference only): getSigma() -&gt; retval","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#getSigma/1","title":"Evision.XImgProc.EdgeAwareInterpolator.getSigma/1","type":"function"},{"doc":"getUsePostProcessing Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() Return retval : bool @see setUsePostProcessing/2 Python prototype (for reference only): getUsePostProcessing() -&gt; retval","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#getUsePostProcessing/1","title":"Evision.XImgProc.EdgeAwareInterpolator.getUsePostProcessing/1","type":"function"},{"doc":"Interface to provide a more elaborated cost map, i.e. edge map, for the edge-aware term. This implementation is based on a rather simple gradient-based edge map estimation. To used more complex edge map estimator (e.g. StructuredEdgeDetection that has been used in the original publication) that may lead to improved accuracies, the internal edge map estimation can be bypassed here. Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() costMap : Evision.Mat.t() . a type CV_32FC1 Mat is required. @see cv::ximgproc::createSuperpixelSLIC Python prototype (for reference only): setCostMap(_costMap) -&gt; None","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#setCostMap/2","title":"Evision.XImgProc.EdgeAwareInterpolator.setCostMap/2","type":"function"},{"doc":"Sets the respective fastGlobalSmootherFilter() parameter. Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() lambda : float Python prototype (for reference only): setFGSLambda(_lambda) -&gt; None","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#setFGSLambda/2","title":"Evision.XImgProc.EdgeAwareInterpolator.setFGSLambda/2","type":"function"},{"doc":"setFGSSigma Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() sigma : float @see setFGSLambda/2 Python prototype (for reference only): setFGSSigma(_sigma) -&gt; None","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#setFGSSigma/2","title":"Evision.XImgProc.EdgeAwareInterpolator.setFGSSigma/2","type":"function"},{"doc":"K is a number of nearest-neighbor matches considered, when fitting a locally affine model. Usually it should be around 128. However, lower values would make the interpolation noticeably faster. Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() k : int Python prototype (for reference only): setK(_k) -&gt; None","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#setK/2","title":"Evision.XImgProc.EdgeAwareInterpolator.setK/2","type":"function"},{"doc":"Lambda is a parameter defining the weight of the edge-aware term in geodesic distance, should be in the range of 0 to 1000. Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() lambda : float Python prototype (for reference only): setLambda(_lambda) -&gt; None","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#setLambda/2","title":"Evision.XImgProc.EdgeAwareInterpolator.setLambda/2","type":"function"},{"doc":"Sigma is a parameter defining how fast the weights decrease in the locally-weighted affine fitting. Higher values can help preserve fine details, lower values can help to get rid of noise in the output flow. Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() sigma : float Python prototype (for reference only): setSigma(_sigma) -&gt; None","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#setSigma/2","title":"Evision.XImgProc.EdgeAwareInterpolator.setSigma/2","type":"function"},{"doc":"Sets whether the fastGlobalSmootherFilter() post-processing is employed. It is turned on by default. Positional Arguments self : Evision.XImgProc.EdgeAwareInterpolator.t() use_post_proc : bool Python prototype (for reference only): setUsePostProcessing(_use_post_proc) -&gt; None","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#setUsePostProcessing/2","title":"Evision.XImgProc.EdgeAwareInterpolator.setUsePostProcessing/2","type":"function"},{"doc":"Type that represents an XImgProc.EdgeAwareInterpolator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.EdgeAwareInterpolator.html#t:t/0","title":"Evision.XImgProc.EdgeAwareInterpolator.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.EdgeBoxes.html","title":"Evision.XImgProc.EdgeBoxes","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#clear/1","title":"Evision.XImgProc.EdgeBoxes.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#empty/1","title":"Evision.XImgProc.EdgeBoxes.empty/1","type":"function"},{"doc":"Returns the step size of sliding window search. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getAlpha() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getAlpha/1","title":"Evision.XImgProc.EdgeBoxes.getAlpha/1","type":"function"},{"doc":"Returns the nms threshold for object proposals. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getBeta() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getBeta/1","title":"Evision.XImgProc.EdgeBoxes.getBeta/1","type":"function"},{"doc":"Returns array containing proposal boxes. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() edge_map : Evision.Mat.t() . edge image. orientation_map : Evision.Mat.t() . orientation map. Return boxes : [Rect] . proposal boxes. scores : Evision.Mat.t() . of the proposal boxes, provided a vector of float types. Python prototype (for reference only): getBoundingBoxes(edge_map, orientation_map[, scores]) -&gt; boxes, scores","ref":"Evision.XImgProc.EdgeBoxes.html#getBoundingBoxes/3","title":"Evision.XImgProc.EdgeBoxes.getBoundingBoxes/3","type":"function"},{"doc":"Returns array containing proposal boxes. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() edge_map : Evision.Mat.t() . edge image. orientation_map : Evision.Mat.t() . orientation map. Return boxes : [Rect] . proposal boxes. scores : Evision.Mat.t() . of the proposal boxes, provided a vector of float types. Python prototype (for reference only): getBoundingBoxes(edge_map, orientation_map[, scores]) -&gt; boxes, scores","ref":"Evision.XImgProc.EdgeBoxes.html#getBoundingBoxes/4","title":"Evision.XImgProc.EdgeBoxes.getBoundingBoxes/4","type":"function"},{"doc":"Returns the cluster min magnitude. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getClusterMinMag() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getClusterMinMag/1","title":"Evision.XImgProc.EdgeBoxes.getClusterMinMag/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getDefaultName/1","title":"Evision.XImgProc.EdgeBoxes.getDefaultName/1","type":"function"},{"doc":"Returns the edge merge threshold. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getEdgeMergeThr() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getEdgeMergeThr/1","title":"Evision.XImgProc.EdgeBoxes.getEdgeMergeThr/1","type":"function"},{"doc":"Returns the edge min magnitude. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getEdgeMinMag() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getEdgeMinMag/1","title":"Evision.XImgProc.EdgeBoxes.getEdgeMinMag/1","type":"function"},{"doc":"Returns adaptation rate for nms threshold. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getEta() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getEta/1","title":"Evision.XImgProc.EdgeBoxes.getEta/1","type":"function"},{"doc":"Returns the affinity sensitivity. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getGamma() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getGamma/1","title":"Evision.XImgProc.EdgeBoxes.getGamma/1","type":"function"},{"doc":"Returns the scale sensitivity. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getKappa() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getKappa/1","title":"Evision.XImgProc.EdgeBoxes.getKappa/1","type":"function"},{"doc":"Returns the max aspect ratio of boxes. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getMaxAspectRatio() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getMaxAspectRatio/1","title":"Evision.XImgProc.EdgeBoxes.getMaxAspectRatio/1","type":"function"},{"doc":"Returns the max number of boxes to detect. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : int Python prototype (for reference only): getMaxBoxes() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getMaxBoxes/1","title":"Evision.XImgProc.EdgeBoxes.getMaxBoxes/1","type":"function"},{"doc":"Returns the minimum area of boxes. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getMinBoxArea() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getMinBoxArea/1","title":"Evision.XImgProc.EdgeBoxes.getMinBoxArea/1","type":"function"},{"doc":"Returns the min score of boxes to detect. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() Return retval : float Python prototype (for reference only): getMinScore() -&gt; retval","ref":"Evision.XImgProc.EdgeBoxes.html#getMinScore/1","title":"Evision.XImgProc.EdgeBoxes.getMinScore/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#read/2","title":"Evision.XImgProc.EdgeBoxes.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#save/2","title":"Evision.XImgProc.EdgeBoxes.save/2","type":"function"},{"doc":"Sets the step size of sliding window search. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setAlpha(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setAlpha/2","title":"Evision.XImgProc.EdgeBoxes.setAlpha/2","type":"function"},{"doc":"Sets the nms threshold for object proposals. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setBeta(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setBeta/2","title":"Evision.XImgProc.EdgeBoxes.setBeta/2","type":"function"},{"doc":"Sets the cluster min magnitude. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setClusterMinMag(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setClusterMinMag/2","title":"Evision.XImgProc.EdgeBoxes.setClusterMinMag/2","type":"function"},{"doc":"Sets the edge merge threshold. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setEdgeMergeThr(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setEdgeMergeThr/2","title":"Evision.XImgProc.EdgeBoxes.setEdgeMergeThr/2","type":"function"},{"doc":"Sets the edge min magnitude. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setEdgeMinMag(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setEdgeMinMag/2","title":"Evision.XImgProc.EdgeBoxes.setEdgeMinMag/2","type":"function"},{"doc":"Sets the adaptation rate for nms threshold. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setEta(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setEta/2","title":"Evision.XImgProc.EdgeBoxes.setEta/2","type":"function"},{"doc":"Sets the affinity sensitivity Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setGamma(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setGamma/2","title":"Evision.XImgProc.EdgeBoxes.setGamma/2","type":"function"},{"doc":"Sets the scale sensitivity. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setKappa(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setKappa/2","title":"Evision.XImgProc.EdgeBoxes.setKappa/2","type":"function"},{"doc":"Sets the max aspect ratio of boxes. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setMaxAspectRatio(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setMaxAspectRatio/2","title":"Evision.XImgProc.EdgeBoxes.setMaxAspectRatio/2","type":"function"},{"doc":"Sets max number of boxes to detect. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : int Python prototype (for reference only): setMaxBoxes(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setMaxBoxes/2","title":"Evision.XImgProc.EdgeBoxes.setMaxBoxes/2","type":"function"},{"doc":"Sets the minimum area of boxes. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setMinBoxArea(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setMinBoxArea/2","title":"Evision.XImgProc.EdgeBoxes.setMinBoxArea/2","type":"function"},{"doc":"Sets the min score of boxes to detect. Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() value : float Python prototype (for reference only): setMinScore(value) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#setMinScore/2","title":"Evision.XImgProc.EdgeBoxes.setMinScore/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#write/2","title":"Evision.XImgProc.EdgeBoxes.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.EdgeBoxes.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.EdgeBoxes.html#write/3","title":"Evision.XImgProc.EdgeBoxes.write/3","type":"function"},{"doc":"Type that represents an XImgProc.EdgeBoxes struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.EdgeBoxes.html#t:t/0","title":"Evision.XImgProc.EdgeBoxes.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.html","title":"Evision.XImgProc.EdgeDrawing","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.EdgeDrawing.html#clear/1","title":"Evision.XImgProc.EdgeDrawing.clear/1","type":"function"},{"doc":"Detects edges in a grayscale image and prepares them to detect lines and ellipses. Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() src : Evision.Mat.t() . 8-bit, single-channel, grayscale input image. Python prototype (for reference only): detectEdges(src) -&gt; None","ref":"Evision.XImgProc.EdgeDrawing.html#detectEdges/2","title":"Evision.XImgProc.EdgeDrawing.detectEdges/2","type":"function"},{"doc":"Detects circles and ellipses. Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return ellipses : Evision.Mat.t() . output Vec&lt;6d&gt; contains center point and perimeter for circles, center point, axes and angle for ellipses. Note : you should call detectEdges() before calling this function. Python prototype (for reference only): detectEllipses([, ellipses]) -&gt; ellipses","ref":"Evision.XImgProc.EdgeDrawing.html#detectEllipses/1","title":"Evision.XImgProc.EdgeDrawing.detectEllipses/1","type":"function"},{"doc":"Detects circles and ellipses. Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return ellipses : Evision.Mat.t() . output Vec&lt;6d&gt; contains center point and perimeter for circles, center point, axes and angle for ellipses. Note : you should call detectEdges() before calling this function. Python prototype (for reference only): detectEllipses([, ellipses]) -&gt; ellipses","ref":"Evision.XImgProc.EdgeDrawing.html#detectEllipses/2","title":"Evision.XImgProc.EdgeDrawing.detectEllipses/2","type":"function"},{"doc":"Detects lines. Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return lines : Evision.Mat.t() . output Vec&lt;4f&gt; contains the start point and the end point of detected lines. Note : you should call detectEdges() before calling this function. Python prototype (for reference only): detectLines([, lines]) -&gt; lines","ref":"Evision.XImgProc.EdgeDrawing.html#detectLines/1","title":"Evision.XImgProc.EdgeDrawing.detectLines/1","type":"function"},{"doc":"Detects lines. Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return lines : Evision.Mat.t() . output Vec&lt;4f&gt; contains the start point and the end point of detected lines. Note : you should call detectEdges() before calling this function. Python prototype (for reference only): detectLines([, lines]) -&gt; lines","ref":"Evision.XImgProc.EdgeDrawing.html#detectLines/2","title":"Evision.XImgProc.EdgeDrawing.detectLines/2","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.EdgeDrawing.html#empty/1","title":"Evision.XImgProc.EdgeDrawing.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.EdgeDrawing.html#getDefaultName/1","title":"Evision.XImgProc.EdgeDrawing.getDefaultName/1","type":"function"},{"doc":"returns Edge Image prepared by detectEdges() function. Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return dst : Evision.Mat.t() . returns 8-bit, single-channel output image. Python prototype (for reference only): getEdgeImage([, dst]) -&gt; dst","ref":"Evision.XImgProc.EdgeDrawing.html#getEdgeImage/1","title":"Evision.XImgProc.EdgeDrawing.getEdgeImage/1","type":"function"},{"doc":"returns Edge Image prepared by detectEdges() function. Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return dst : Evision.Mat.t() . returns 8-bit, single-channel output image. Python prototype (for reference only): getEdgeImage([, dst]) -&gt; dst","ref":"Evision.XImgProc.EdgeDrawing.html#getEdgeImage/2","title":"Evision.XImgProc.EdgeDrawing.getEdgeImage/2","type":"function"},{"doc":"returns Gradient Image prepared by detectEdges() function. Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return dst : Evision.Mat.t() . returns 16-bit, single-channel output image. Python prototype (for reference only): getGradientImage([, dst]) -&gt; dst","ref":"Evision.XImgProc.EdgeDrawing.html#getGradientImage/1","title":"Evision.XImgProc.EdgeDrawing.getGradientImage/1","type":"function"},{"doc":"returns Gradient Image prepared by detectEdges() function. Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return dst : Evision.Mat.t() . returns 16-bit, single-channel output image. Python prototype (for reference only): getGradientImage([, dst]) -&gt; dst","ref":"Evision.XImgProc.EdgeDrawing.html#getGradientImage/2","title":"Evision.XImgProc.EdgeDrawing.getGradientImage/2","type":"function"},{"doc":"Returns for each line found in detectLines() its edge segment index in getSegments() Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return retval : [int] Python prototype (for reference only): getSegmentIndicesOfLines() -&gt; retval","ref":"Evision.XImgProc.EdgeDrawing.html#getSegmentIndicesOfLines/1","title":"Evision.XImgProc.EdgeDrawing.getSegmentIndicesOfLines/1","type":"function"},{"doc":"Returns std::vector&lt;std::vector&lt;Point&gt;&gt; of detected edge segments, see detectEdges() Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() Return retval : [[Point]] Python prototype (for reference only): getSegments() -&gt; retval","ref":"Evision.XImgProc.EdgeDrawing.html#getSegments/1","title":"Evision.XImgProc.EdgeDrawing.getSegments/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.EdgeDrawing.html#read/2","title":"Evision.XImgProc.EdgeDrawing.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.EdgeDrawing.html#save/2","title":"Evision.XImgProc.EdgeDrawing.save/2","type":"function"},{"doc":"sets parameters. Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() parameters : Evision.XImgProc.EdgeDrawing.Params.t() . this function is meant to be used for parameter setting in other languages than c++ like python. Python prototype (for reference only): setParams(parameters) -&gt; None","ref":"Evision.XImgProc.EdgeDrawing.html#setParams/2","title":"Evision.XImgProc.EdgeDrawing.setParams/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.EdgeDrawing.html#write/2","title":"Evision.XImgProc.EdgeDrawing.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.EdgeDrawing.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.EdgeDrawing.html#write/3","title":"Evision.XImgProc.EdgeDrawing.write/3","type":"function"},{"doc":"Type that represents an XImgProc.EdgeDrawing struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.EdgeDrawing.html#t:t/0","title":"Evision.XImgProc.EdgeDrawing.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html","title":"Evision.XImgProc.EdgeDrawing.Params","type":"module"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_AnchorThresholdValue/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_AnchorThresholdValue/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_EdgeDetectionOperator/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_EdgeDetectionOperator/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_GradientThresholdValue/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_GradientThresholdValue/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_LineFitErrorThreshold/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_LineFitErrorThreshold/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_MaxDistanceBetweenTwoLines/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_MaxDistanceBetweenTwoLines/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_MaxErrorThreshold/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_MaxErrorThreshold/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_MinLineLength/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_MinLineLength/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_MinPathLength/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_MinPathLength/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_NFAValidation/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_NFAValidation/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_PFmode/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_PFmode/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_ScanInterval/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_ScanInterval/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_Sigma/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_Sigma/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#get_SumFlag/1","title":"Evision.XImgProc.EdgeDrawing.Params.get_SumFlag/1","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_AnchorThresholdValue/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_AnchorThresholdValue/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_EdgeDetectionOperator/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_EdgeDetectionOperator/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_GradientThresholdValue/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_GradientThresholdValue/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_LineFitErrorThreshold/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_LineFitErrorThreshold/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_MaxDistanceBetweenTwoLines/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_MaxDistanceBetweenTwoLines/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_MaxErrorThreshold/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_MaxErrorThreshold/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_MinLineLength/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_MinLineLength/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_MinPathLength/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_MinPathLength/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_NFAValidation/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_NFAValidation/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_PFmode/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_PFmode/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_ScanInterval/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_ScanInterval/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_Sigma/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_Sigma/2","type":"function"},{"doc":"","ref":"Evision.XImgProc.EdgeDrawing.Params.html#set_SumFlag/2","title":"Evision.XImgProc.EdgeDrawing.Params.set_SumFlag/2","type":"function"},{"doc":"EdgeDrawing_Params Return self : Evision.XImgProc.EdgeDrawing.Params.t() Python prototype (for reference only): EdgeDrawing_Params() -&gt; &lt;ximgproc_EdgeDrawing_Params object&gt;","ref":"Evision.XImgProc.EdgeDrawing.Params.html#ximgproc_EdgeDrawing_Params/0","title":"Evision.XImgProc.EdgeDrawing.Params.ximgproc_EdgeDrawing_Params/0","type":"function"},{"doc":"Type that represents an XImgProc.EdgeDrawing.Params struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.EdgeDrawing.Params.html#t:t/0","title":"Evision.XImgProc.EdgeDrawing.Params.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.FastBilateralSolverFilter.html","title":"Evision.XImgProc.FastBilateralSolverFilter","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.FastBilateralSolverFilter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.FastBilateralSolverFilter.html#clear/1","title":"Evision.XImgProc.FastBilateralSolverFilter.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.FastBilateralSolverFilter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.FastBilateralSolverFilter.html#empty/1","title":"Evision.XImgProc.FastBilateralSolverFilter.empty/1","type":"function"},{"doc":"Apply smoothing operation to the source image. Positional Arguments self : Evision.XImgProc.FastBilateralSolverFilter.t() src : Evision.Mat.t() . source image for filtering with unsigned 8-bit or signed 16-bit or floating-point 32-bit depth and up to 3 channels. confidence : Evision.Mat.t() . confidence image with unsigned 8-bit or floating-point 32-bit confidence and 1 channel. Return dst : Evision.Mat.t() . destination image. Note : Confidence images with CV_8U depth are expected to in [0, 255] and CV_32F in [0, 1] range. Python prototype (for reference only): filter(src, confidence[, dst]) -&gt; dst","ref":"Evision.XImgProc.FastBilateralSolverFilter.html#filter/3","title":"Evision.XImgProc.FastBilateralSolverFilter.filter/3","type":"function"},{"doc":"Apply smoothing operation to the source image. Positional Arguments self : Evision.XImgProc.FastBilateralSolverFilter.t() src : Evision.Mat.t() . source image for filtering with unsigned 8-bit or signed 16-bit or floating-point 32-bit depth and up to 3 channels. confidence : Evision.Mat.t() . confidence image with unsigned 8-bit or floating-point 32-bit confidence and 1 channel. Return dst : Evision.Mat.t() . destination image. Note : Confidence images with CV_8U depth are expected to in [0, 255] and CV_32F in [0, 1] range. Python prototype (for reference only): filter(src, confidence[, dst]) -&gt; dst","ref":"Evision.XImgProc.FastBilateralSolverFilter.html#filter/4","title":"Evision.XImgProc.FastBilateralSolverFilter.filter/4","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.FastBilateralSolverFilter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.FastBilateralSolverFilter.html#getDefaultName/1","title":"Evision.XImgProc.FastBilateralSolverFilter.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.FastBilateralSolverFilter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.FastBilateralSolverFilter.html#read/2","title":"Evision.XImgProc.FastBilateralSolverFilter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.FastBilateralSolverFilter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.FastBilateralSolverFilter.html#save/2","title":"Evision.XImgProc.FastBilateralSolverFilter.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.FastBilateralSolverFilter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.FastBilateralSolverFilter.html#write/2","title":"Evision.XImgProc.FastBilateralSolverFilter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.FastBilateralSolverFilter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.FastBilateralSolverFilter.html#write/3","title":"Evision.XImgProc.FastBilateralSolverFilter.write/3","type":"function"},{"doc":"Type that represents an XImgProc.FastBilateralSolverFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.FastBilateralSolverFilter.html#t:t/0","title":"Evision.XImgProc.FastBilateralSolverFilter.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html","title":"Evision.XImgProc.FastGlobalSmootherFilter","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.FastGlobalSmootherFilter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html#clear/1","title":"Evision.XImgProc.FastGlobalSmootherFilter.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.FastGlobalSmootherFilter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html#empty/1","title":"Evision.XImgProc.FastGlobalSmootherFilter.empty/1","type":"function"},{"doc":"Apply smoothing operation to the source image. Positional Arguments self : Evision.XImgProc.FastGlobalSmootherFilter.t() src : Evision.Mat.t() . source image for filtering with unsigned 8-bit or signed 16-bit or floating-point 32-bit depth and up to 4 channels. Return dst : Evision.Mat.t() . destination image. Python prototype (for reference only): filter(src[, dst]) -&gt; dst","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html#filter/2","title":"Evision.XImgProc.FastGlobalSmootherFilter.filter/2","type":"function"},{"doc":"Apply smoothing operation to the source image. Positional Arguments self : Evision.XImgProc.FastGlobalSmootherFilter.t() src : Evision.Mat.t() . source image for filtering with unsigned 8-bit or signed 16-bit or floating-point 32-bit depth and up to 4 channels. Return dst : Evision.Mat.t() . destination image. Python prototype (for reference only): filter(src[, dst]) -&gt; dst","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html#filter/3","title":"Evision.XImgProc.FastGlobalSmootherFilter.filter/3","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.FastGlobalSmootherFilter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html#getDefaultName/1","title":"Evision.XImgProc.FastGlobalSmootherFilter.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.FastGlobalSmootherFilter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html#read/2","title":"Evision.XImgProc.FastGlobalSmootherFilter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.FastGlobalSmootherFilter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html#save/2","title":"Evision.XImgProc.FastGlobalSmootherFilter.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.FastGlobalSmootherFilter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html#write/2","title":"Evision.XImgProc.FastGlobalSmootherFilter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.FastGlobalSmootherFilter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html#write/3","title":"Evision.XImgProc.FastGlobalSmootherFilter.write/3","type":"function"},{"doc":"Type that represents an XImgProc.FastGlobalSmootherFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.FastGlobalSmootherFilter.html#t:t/0","title":"Evision.XImgProc.FastGlobalSmootherFilter.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.FastLineDetector.html","title":"Evision.XImgProc.FastLineDetector","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.FastLineDetector.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.FastLineDetector.html#clear/1","title":"Evision.XImgProc.FastLineDetector.clear/1","type":"function"},{"doc":"Finds lines in the input image. This is the output of the default parameters of the algorithm on the above shown image. Positional Arguments self : Evision.XImgProc.FastLineDetector.t() image : Evision.Mat.t() . A grayscale (CV_8UC1) input image. If only a roi needs to be selected, use: fld_ptr-\\&gt;detect(image(roi), lines, ...); lines += Scalar(roi.x, roi.y, roi.x, roi.y); Return lines : Evision.Mat.t() . A vector of Vec4f elements specifying the beginning and ending point of a line. Where Vec4f is (x1, y1, x2, y2), point 1 is the start, point 2 - end. Returned lines are directed so that the brighter side is on their left. Python prototype (for reference only): detect(image[, lines]) -&gt; lines","ref":"Evision.XImgProc.FastLineDetector.html#detect/2","title":"Evision.XImgProc.FastLineDetector.detect/2","type":"function"},{"doc":"Finds lines in the input image. This is the output of the default parameters of the algorithm on the above shown image. Positional Arguments self : Evision.XImgProc.FastLineDetector.t() image : Evision.Mat.t() . A grayscale (CV_8UC1) input image. If only a roi needs to be selected, use: fld_ptr-\\&gt;detect(image(roi), lines, ...); lines += Scalar(roi.x, roi.y, roi.x, roi.y); Return lines : Evision.Mat.t() . A vector of Vec4f elements specifying the beginning and ending point of a line. Where Vec4f is (x1, y1, x2, y2), point 1 is the start, point 2 - end. Returned lines are directed so that the brighter side is on their left. Python prototype (for reference only): detect(image[, lines]) -&gt; lines","ref":"Evision.XImgProc.FastLineDetector.html#detect/3","title":"Evision.XImgProc.FastLineDetector.detect/3","type":"function"},{"doc":"Draws the line segments on a given image. Positional Arguments self : Evision.XImgProc.FastLineDetector.t() lines : Evision.Mat.t() . A vector of the lines that needed to be drawn. Keyword Arguments draw_arrow : bool . If true, arrow heads will be drawn. linecolor : Scalar . Line color. linethickness : int . Line thickness. Return image : Evision.Mat.t() . The image, where the lines will be drawn. Should be bigger or equal to the image, where the lines were found. Python prototype (for reference only): drawSegments(image, lines[, draw_arrow[, linecolor[, linethickness]]]) -&gt; image","ref":"Evision.XImgProc.FastLineDetector.html#drawSegments/3","title":"Evision.XImgProc.FastLineDetector.drawSegments/3","type":"function"},{"doc":"Draws the line segments on a given image. Positional Arguments self : Evision.XImgProc.FastLineDetector.t() lines : Evision.Mat.t() . A vector of the lines that needed to be drawn. Keyword Arguments draw_arrow : bool . If true, arrow heads will be drawn. linecolor : Scalar . Line color. linethickness : int . Line thickness. Return image : Evision.Mat.t() . The image, where the lines will be drawn. Should be bigger or equal to the image, where the lines were found. Python prototype (for reference only): drawSegments(image, lines[, draw_arrow[, linecolor[, linethickness]]]) -&gt; image","ref":"Evision.XImgProc.FastLineDetector.html#drawSegments/4","title":"Evision.XImgProc.FastLineDetector.drawSegments/4","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.FastLineDetector.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.FastLineDetector.html#empty/1","title":"Evision.XImgProc.FastLineDetector.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.FastLineDetector.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.FastLineDetector.html#getDefaultName/1","title":"Evision.XImgProc.FastLineDetector.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.FastLineDetector.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.FastLineDetector.html#read/2","title":"Evision.XImgProc.FastLineDetector.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.FastLineDetector.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.FastLineDetector.html#save/2","title":"Evision.XImgProc.FastLineDetector.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.FastLineDetector.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.FastLineDetector.html#write/2","title":"Evision.XImgProc.FastLineDetector.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.FastLineDetector.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.FastLineDetector.html#write/3","title":"Evision.XImgProc.FastLineDetector.write/3","type":"function"},{"doc":"Type that represents an XImgProc.FastLineDetector struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.FastLineDetector.html#t:t/0","title":"Evision.XImgProc.FastLineDetector.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.GuidedFilter.html","title":"Evision.XImgProc.GuidedFilter","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.GuidedFilter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.GuidedFilter.html#clear/1","title":"Evision.XImgProc.GuidedFilter.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.GuidedFilter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.GuidedFilter.html#empty/1","title":"Evision.XImgProc.GuidedFilter.empty/1","type":"function"},{"doc":"Apply Guided Filter to the filtering image. Positional Arguments self : Evision.XImgProc.GuidedFilter.t() src : Evision.Mat.t() . filtering image with any numbers of channels. Keyword Arguments dDepth : int . optional depth of the output image. dDepth can be set to -1, which will be equivalent to src.depth(). Return dst : Evision.Mat.t() . output image. Python prototype (for reference only): filter(src[, dst[, dDepth]]) -&gt; dst","ref":"Evision.XImgProc.GuidedFilter.html#filter/2","title":"Evision.XImgProc.GuidedFilter.filter/2","type":"function"},{"doc":"Apply Guided Filter to the filtering image. Positional Arguments self : Evision.XImgProc.GuidedFilter.t() src : Evision.Mat.t() . filtering image with any numbers of channels. Keyword Arguments dDepth : int . optional depth of the output image. dDepth can be set to -1, which will be equivalent to src.depth(). Return dst : Evision.Mat.t() . output image. Python prototype (for reference only): filter(src[, dst[, dDepth]]) -&gt; dst","ref":"Evision.XImgProc.GuidedFilter.html#filter/3","title":"Evision.XImgProc.GuidedFilter.filter/3","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.GuidedFilter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.GuidedFilter.html#getDefaultName/1","title":"Evision.XImgProc.GuidedFilter.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.GuidedFilter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.GuidedFilter.html#read/2","title":"Evision.XImgProc.GuidedFilter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.GuidedFilter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.GuidedFilter.html#save/2","title":"Evision.XImgProc.GuidedFilter.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.GuidedFilter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.GuidedFilter.html#write/2","title":"Evision.XImgProc.GuidedFilter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.GuidedFilter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.GuidedFilter.html#write/3","title":"Evision.XImgProc.GuidedFilter.write/3","type":"function"},{"doc":"Type that represents an XImgProc.GuidedFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.GuidedFilter.html#t:t/0","title":"Evision.XImgProc.GuidedFilter.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.RFFeatureGetter.html","title":"Evision.XImgProc.RFFeatureGetter","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.RFFeatureGetter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.RFFeatureGetter.html#clear/1","title":"Evision.XImgProc.RFFeatureGetter.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.RFFeatureGetter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.RFFeatureGetter.html#empty/1","title":"Evision.XImgProc.RFFeatureGetter.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.RFFeatureGetter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.RFFeatureGetter.html#getDefaultName/1","title":"Evision.XImgProc.RFFeatureGetter.getDefaultName/1","type":"function"},{"doc":"getFeatures Positional Arguments self : Evision.XImgProc.RFFeatureGetter.t() src : Evision.Mat.t() features : Evision.Mat.t() gnrmRad : int gsmthRad : int shrink : int outNum : int gradNum : int Python prototype (for reference only): getFeatures(src, features, gnrmRad, gsmthRad, shrink, outNum, gradNum) -&gt; None","ref":"Evision.XImgProc.RFFeatureGetter.html#getFeatures/8","title":"Evision.XImgProc.RFFeatureGetter.getFeatures/8","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.RFFeatureGetter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.RFFeatureGetter.html#read/2","title":"Evision.XImgProc.RFFeatureGetter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.RFFeatureGetter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.RFFeatureGetter.html#save/2","title":"Evision.XImgProc.RFFeatureGetter.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.RFFeatureGetter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.RFFeatureGetter.html#write/2","title":"Evision.XImgProc.RFFeatureGetter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.RFFeatureGetter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.RFFeatureGetter.html#write/3","title":"Evision.XImgProc.RFFeatureGetter.write/3","type":"function"},{"doc":"Type that represents an XImgProc.RFFeatureGetter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.RFFeatureGetter.html#t:t/0","title":"Evision.XImgProc.RFFeatureGetter.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.RICInterpolator.html","title":"Evision.XImgProc.RICInterpolator","type":"module"},{"doc":"getAlpha Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : float @copybrief setAlpha @see setAlpha/2 Python prototype (for reference only): getAlpha() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getAlpha/1","title":"Evision.XImgProc.RICInterpolator.getAlpha/1","type":"function"},{"doc":"getFGSLambda Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : float @copybrief setFGSLambda @see setFGSLambda/2 Python prototype (for reference only): getFGSLambda() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getFGSLambda/1","title":"Evision.XImgProc.RICInterpolator.getFGSLambda/1","type":"function"},{"doc":"getFGSSigma Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : float @copybrief setFGSSigma @see setFGSSigma/2 Python prototype (for reference only): getFGSSigma() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getFGSSigma/1","title":"Evision.XImgProc.RICInterpolator.getFGSSigma/1","type":"function"},{"doc":"getK Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : int @copybrief setK @see setK/2 Python prototype (for reference only): getK() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getK/1","title":"Evision.XImgProc.RICInterpolator.getK/1","type":"function"},{"doc":"getMaxFlow Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : float @copybrief setMaxFlow @see setMaxFlow/2 Python prototype (for reference only): getMaxFlow() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getMaxFlow/1","title":"Evision.XImgProc.RICInterpolator.getMaxFlow/1","type":"function"},{"doc":"getModelIter Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : int @copybrief setModelIter @see setModelIter/2 Python prototype (for reference only): getModelIter() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getModelIter/1","title":"Evision.XImgProc.RICInterpolator.getModelIter/1","type":"function"},{"doc":"getRefineModels Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : bool @copybrief setRefineModels @see setRefineModels/2 Python prototype (for reference only): getRefineModels() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getRefineModels/1","title":"Evision.XImgProc.RICInterpolator.getRefineModels/1","type":"function"},{"doc":"getSuperpixelMode Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : int @copybrief setSuperpixelMode @see setSuperpixelMode/2 Python prototype (for reference only): getSuperpixelMode() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getSuperpixelMode/1","title":"Evision.XImgProc.RICInterpolator.getSuperpixelMode/1","type":"function"},{"doc":"getSuperpixelNNCnt Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : int @copybrief setSuperpixelNNCnt @see setSuperpixelNNCnt/2 Python prototype (for reference only): getSuperpixelNNCnt() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getSuperpixelNNCnt/1","title":"Evision.XImgProc.RICInterpolator.getSuperpixelNNCnt/1","type":"function"},{"doc":"getSuperpixelRuler Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : float @copybrief setSuperpixelRuler @see setSuperpixelRuler/2 Python prototype (for reference only): getSuperpixelRuler() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getSuperpixelRuler/1","title":"Evision.XImgProc.RICInterpolator.getSuperpixelRuler/1","type":"function"},{"doc":"getSuperpixelSize Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : int @copybrief setSuperpixelSize @see setSuperpixelSize/2 Python prototype (for reference only): getSuperpixelSize() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getSuperpixelSize/1","title":"Evision.XImgProc.RICInterpolator.getSuperpixelSize/1","type":"function"},{"doc":"getUseGlobalSmootherFilter Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : bool @copybrief setUseGlobalSmootherFilter @see setUseGlobalSmootherFilter/2 Python prototype (for reference only): getUseGlobalSmootherFilter() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getUseGlobalSmootherFilter/1","title":"Evision.XImgProc.RICInterpolator.getUseGlobalSmootherFilter/1","type":"function"},{"doc":"getUseVariationalRefinement Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Return retval : bool @copybrief setUseVariationalRefinement @see setUseVariationalRefinement/2 Python prototype (for reference only): getUseVariationalRefinement() -&gt; retval","ref":"Evision.XImgProc.RICInterpolator.html#getUseVariationalRefinement/1","title":"Evision.XImgProc.RICInterpolator.getUseVariationalRefinement/1","type":"function"},{"doc":"Alpha is a parameter defining a global weight for transforming geodesic distance into weight. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments alpha : float . Python prototype (for reference only): setAlpha([, alpha]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setAlpha/1","title":"Evision.XImgProc.RICInterpolator.setAlpha/1","type":"function"},{"doc":"Alpha is a parameter defining a global weight for transforming geodesic distance into weight. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments alpha : float . Python prototype (for reference only): setAlpha([, alpha]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setAlpha/2","title":"Evision.XImgProc.RICInterpolator.setAlpha/2","type":"function"},{"doc":"Interface to provide a more elaborated cost map, i.e. edge map, for the edge-aware term. This implementation is based on a rather simple gradient-based edge map estimation. To used more complex edge map estimator (e.g. StructuredEdgeDetection that has been used in the original publication) that may lead to improved accuracies, the internal edge map estimation can be bypassed here. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() costMap : Evision.Mat.t() . a type CV_32FC1 Mat is required. @see cv::ximgproc::createSuperpixelSLIC Python prototype (for reference only): setCostMap(costMap) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setCostMap/2","title":"Evision.XImgProc.RICInterpolator.setCostMap/2","type":"function"},{"doc":"Sets the respective fastGlobalSmootherFilter() parameter. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments lambda : float . Python prototype (for reference only): setFGSLambda([, lambda]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setFGSLambda/1","title":"Evision.XImgProc.RICInterpolator.setFGSLambda/1","type":"function"},{"doc":"Sets the respective fastGlobalSmootherFilter() parameter. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments lambda : float . Python prototype (for reference only): setFGSLambda([, lambda]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setFGSLambda/2","title":"Evision.XImgProc.RICInterpolator.setFGSLambda/2","type":"function"},{"doc":"Sets the respective fastGlobalSmootherFilter() parameter. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments sigma : float . Python prototype (for reference only): setFGSSigma([, sigma]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setFGSSigma/1","title":"Evision.XImgProc.RICInterpolator.setFGSSigma/1","type":"function"},{"doc":"Sets the respective fastGlobalSmootherFilter() parameter. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments sigma : float . Python prototype (for reference only): setFGSSigma([, sigma]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setFGSSigma/2","title":"Evision.XImgProc.RICInterpolator.setFGSSigma/2","type":"function"},{"doc":"K is a number of nearest-neighbor matches considered, when fitting a locally affine model for a superpixel segment. However, lower values would make the interpolation noticeably faster. The original implementation of @cite Hu2017 uses 32. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments k : int . Python prototype (for reference only): setK([, k]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setK/1","title":"Evision.XImgProc.RICInterpolator.setK/1","type":"function"},{"doc":"K is a number of nearest-neighbor matches considered, when fitting a locally affine model for a superpixel segment. However, lower values would make the interpolation noticeably faster. The original implementation of @cite Hu2017 uses 32. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments k : int . Python prototype (for reference only): setK([, k]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setK/2","title":"Evision.XImgProc.RICInterpolator.setK/2","type":"function"},{"doc":"MaxFlow is a threshold to validate the predictions using a certain piece-wise affine model. If the prediction exceeds the treshold the translational model will be applied instead. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments maxFlow : float . Python prototype (for reference only): setMaxFlow([, maxFlow]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setMaxFlow/1","title":"Evision.XImgProc.RICInterpolator.setMaxFlow/1","type":"function"},{"doc":"MaxFlow is a threshold to validate the predictions using a certain piece-wise affine model. If the prediction exceeds the treshold the translational model will be applied instead. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments maxFlow : float . Python prototype (for reference only): setMaxFlow([, maxFlow]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setMaxFlow/2","title":"Evision.XImgProc.RICInterpolator.setMaxFlow/2","type":"function"},{"doc":"Parameter defining the number of iterations for piece-wise affine model estimation. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments modelIter : int . Python prototype (for reference only): setModelIter([, modelIter]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setModelIter/1","title":"Evision.XImgProc.RICInterpolator.setModelIter/1","type":"function"},{"doc":"Parameter defining the number of iterations for piece-wise affine model estimation. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments modelIter : int . Python prototype (for reference only): setModelIter([, modelIter]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setModelIter/2","title":"Evision.XImgProc.RICInterpolator.setModelIter/2","type":"function"},{"doc":"Parameter to choose wether additional refinement of the piece-wise affine models is employed. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments refineModles : bool . Python prototype (for reference only): setRefineModels([, refineModles]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setRefineModels/1","title":"Evision.XImgProc.RICInterpolator.setRefineModels/1","type":"function"},{"doc":"Parameter to choose wether additional refinement of the piece-wise affine models is employed. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments refineModles : bool . Python prototype (for reference only): setRefineModels([, refineModles]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setRefineModels/2","title":"Evision.XImgProc.RICInterpolator.setRefineModels/2","type":"function"},{"doc":"Parameter to choose superpixel algorithm variant to use: cv::ximgproc::SLICType SLIC segments image using a desired region_size (value: 100) cv::ximgproc::SLICType SLICO will optimize using adaptive compactness factor (value: 101) cv::ximgproc::SLICType MSLIC will optimize using manifold methods resulting in more content-sensitive superpixels (value: 102). Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments mode : int . @see cv::ximgproc::createSuperpixelSLIC Python prototype (for reference only): setSuperpixelMode([, mode]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setSuperpixelMode/1","title":"Evision.XImgProc.RICInterpolator.setSuperpixelMode/1","type":"function"},{"doc":"Parameter to choose superpixel algorithm variant to use: cv::ximgproc::SLICType SLIC segments image using a desired region_size (value: 100) cv::ximgproc::SLICType SLICO will optimize using adaptive compactness factor (value: 101) cv::ximgproc::SLICType MSLIC will optimize using manifold methods resulting in more content-sensitive superpixels (value: 102). Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments mode : int . @see cv::ximgproc::createSuperpixelSLIC Python prototype (for reference only): setSuperpixelMode([, mode]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setSuperpixelMode/2","title":"Evision.XImgProc.RICInterpolator.setSuperpixelMode/2","type":"function"},{"doc":"Parameter defines the number of nearest-neighbor matches for each superpixel considered, when fitting a locally affine model. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments spNN : int . Python prototype (for reference only): setSuperpixelNNCnt([, spNN]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setSuperpixelNNCnt/1","title":"Evision.XImgProc.RICInterpolator.setSuperpixelNNCnt/1","type":"function"},{"doc":"Parameter defines the number of nearest-neighbor matches for each superpixel considered, when fitting a locally affine model. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments spNN : int . Python prototype (for reference only): setSuperpixelNNCnt([, spNN]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setSuperpixelNNCnt/2","title":"Evision.XImgProc.RICInterpolator.setSuperpixelNNCnt/2","type":"function"},{"doc":"Parameter to tune enforcement of superpixel smoothness factor used for oversegmentation. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments ruler : float . @see cv::ximgproc::createSuperpixelSLIC Python prototype (for reference only): setSuperpixelRuler([, ruler]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setSuperpixelRuler/1","title":"Evision.XImgProc.RICInterpolator.setSuperpixelRuler/1","type":"function"},{"doc":"Parameter to tune enforcement of superpixel smoothness factor used for oversegmentation. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments ruler : float . @see cv::ximgproc::createSuperpixelSLIC Python prototype (for reference only): setSuperpixelRuler([, ruler]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setSuperpixelRuler/2","title":"Evision.XImgProc.RICInterpolator.setSuperpixelRuler/2","type":"function"},{"doc":"Get the internal cost, i.e. edge map, used for estimating the edge-aware term. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments spSize : int . @see setCostMap/2 Python prototype (for reference only): setSuperpixelSize([, spSize]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setSuperpixelSize/1","title":"Evision.XImgProc.RICInterpolator.setSuperpixelSize/1","type":"function"},{"doc":"Get the internal cost, i.e. edge map, used for estimating the edge-aware term. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments spSize : int . @see setCostMap/2 Python prototype (for reference only): setSuperpixelSize([, spSize]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setSuperpixelSize/2","title":"Evision.XImgProc.RICInterpolator.setSuperpixelSize/2","type":"function"},{"doc":"Sets whether the fastGlobalSmootherFilter() post-processing is employed. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments use_FGS : bool . Python prototype (for reference only): setUseGlobalSmootherFilter([, use_FGS]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setUseGlobalSmootherFilter/1","title":"Evision.XImgProc.RICInterpolator.setUseGlobalSmootherFilter/1","type":"function"},{"doc":"Sets whether the fastGlobalSmootherFilter() post-processing is employed. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments use_FGS : bool . Python prototype (for reference only): setUseGlobalSmootherFilter([, use_FGS]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setUseGlobalSmootherFilter/2","title":"Evision.XImgProc.RICInterpolator.setUseGlobalSmootherFilter/2","type":"function"},{"doc":"Parameter to choose wether the VariationalRefinement post-processing is employed. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments use_variational_refinement : bool . Python prototype (for reference only): setUseVariationalRefinement([, use_variational_refinement]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setUseVariationalRefinement/1","title":"Evision.XImgProc.RICInterpolator.setUseVariationalRefinement/1","type":"function"},{"doc":"Parameter to choose wether the VariationalRefinement post-processing is employed. Positional Arguments self : Evision.XImgProc.RICInterpolator.t() Keyword Arguments use_variational_refinement : bool . Python prototype (for reference only): setUseVariationalRefinement([, use_variational_refinement]) -&gt; None","ref":"Evision.XImgProc.RICInterpolator.html#setUseVariationalRefinement/2","title":"Evision.XImgProc.RICInterpolator.setUseVariationalRefinement/2","type":"function"},{"doc":"Type that represents an XImgProc.RICInterpolator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.RICInterpolator.html#t:t/0","title":"Evision.XImgProc.RICInterpolator.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.RidgeDetectionFilter.html","title":"Evision.XImgProc.RidgeDetectionFilter","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.RidgeDetectionFilter.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.RidgeDetectionFilter.html#clear/1","title":"Evision.XImgProc.RidgeDetectionFilter.clear/1","type":"function"},{"doc":"Create pointer to the Ridge detection filter. Keyword Arguments ddepth : int . Specifies output image depth. Defualt is CV_32FC1 dx : int . Order of derivative x, default is 1 dy : int . Order of derivative y, default is 1 ksize : int . Sobel kernel size , default is 3 out_dtype : int . Converted format for output, default is CV_8UC1 scale : double . Optional scale value for derivative values, default is 1 delta : double . Optional bias added to output, default is 0 borderType : int . Pixel extrapolation method, default is BORDER_DEFAULT Return retval : RidgeDetectionFilter @see Sobel, threshold, getStructuringElement, morphologyEx.( for additional refinement) Python prototype (for reference only): create([, ddepth[, dx[, dy[, ksize[, out_dtype[, scale[, delta[, borderType]]]]]]]]) -&gt; retval","ref":"Evision.XImgProc.RidgeDetectionFilter.html#create/0","title":"Evision.XImgProc.RidgeDetectionFilter.create/0","type":"function"},{"doc":"Create pointer to the Ridge detection filter. Keyword Arguments ddepth : int . Specifies output image depth. Defualt is CV_32FC1 dx : int . Order of derivative x, default is 1 dy : int . Order of derivative y, default is 1 ksize : int . Sobel kernel size , default is 3 out_dtype : int . Converted format for output, default is CV_8UC1 scale : double . Optional scale value for derivative values, default is 1 delta : double . Optional bias added to output, default is 0 borderType : int . Pixel extrapolation method, default is BORDER_DEFAULT Return retval : RidgeDetectionFilter @see Sobel, threshold, getStructuringElement, morphologyEx.( for additional refinement) Python prototype (for reference only): create([, ddepth[, dx[, dy[, ksize[, out_dtype[, scale[, delta[, borderType]]]]]]]]) -&gt; retval","ref":"Evision.XImgProc.RidgeDetectionFilter.html#create/1","title":"Evision.XImgProc.RidgeDetectionFilter.create/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.RidgeDetectionFilter.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.RidgeDetectionFilter.html#empty/1","title":"Evision.XImgProc.RidgeDetectionFilter.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.RidgeDetectionFilter.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.RidgeDetectionFilter.html#getDefaultName/1","title":"Evision.XImgProc.RidgeDetectionFilter.getDefaultName/1","type":"function"},{"doc":"Apply Ridge detection filter on input image. Positional Arguments self : Evision.XImgProc.RidgeDetectionFilter.t() img : Evision.Mat.t() . InputArray as supported by Sobel. img can be 1-Channel or 3-Channels. Return out : Evision.Mat.t() . OutputAray of structure as RidgeDetectionFilter::ddepth. Output image with ridges. Python prototype (for reference only): getRidgeFilteredImage(_img[, out]) -&gt; out","ref":"Evision.XImgProc.RidgeDetectionFilter.html#getRidgeFilteredImage/2","title":"Evision.XImgProc.RidgeDetectionFilter.getRidgeFilteredImage/2","type":"function"},{"doc":"Apply Ridge detection filter on input image. Positional Arguments self : Evision.XImgProc.RidgeDetectionFilter.t() img : Evision.Mat.t() . InputArray as supported by Sobel. img can be 1-Channel or 3-Channels. Return out : Evision.Mat.t() . OutputAray of structure as RidgeDetectionFilter::ddepth. Output image with ridges. Python prototype (for reference only): getRidgeFilteredImage(_img[, out]) -&gt; out","ref":"Evision.XImgProc.RidgeDetectionFilter.html#getRidgeFilteredImage/3","title":"Evision.XImgProc.RidgeDetectionFilter.getRidgeFilteredImage/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.RidgeDetectionFilter.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.RidgeDetectionFilter.html#read/2","title":"Evision.XImgProc.RidgeDetectionFilter.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.RidgeDetectionFilter.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.RidgeDetectionFilter.html#save/2","title":"Evision.XImgProc.RidgeDetectionFilter.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.RidgeDetectionFilter.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.RidgeDetectionFilter.html#write/2","title":"Evision.XImgProc.RidgeDetectionFilter.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.RidgeDetectionFilter.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.RidgeDetectionFilter.html#write/3","title":"Evision.XImgProc.RidgeDetectionFilter.write/3","type":"function"},{"doc":"Type that represents an XImgProc.RidgeDetectionFilter struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.RidgeDetectionFilter.html#t:t/0","title":"Evision.XImgProc.RidgeDetectionFilter.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.ScanSegment.html","title":"Evision.XImgProc.ScanSegment","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.ScanSegment.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.ScanSegment.html#clear/1","title":"Evision.XImgProc.ScanSegment.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.ScanSegment.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.ScanSegment.html#empty/1","title":"Evision.XImgProc.ScanSegment.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.ScanSegment.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.ScanSegment.html#getDefaultName/1","title":"Evision.XImgProc.ScanSegment.getDefaultName/1","type":"function"},{"doc":"Returns the mask of the superpixel segmentation stored in the ScanSegment object. Positional Arguments self : Evision.XImgProc.ScanSegment.t() Keyword Arguments thick_line : bool . If false, the border is only one pixel wide, otherwise all pixels at the border are masked. Return image : Evision.Mat.t() . Return: CV_8UC1 image mask where -1 indicates that the pixel is a superpixel border, and 0 otherwise. The function return the boundaries of the superpixel segmentation. Python prototype (for reference only): getLabelContourMask([, image[, thick_line]]) -&gt; image","ref":"Evision.XImgProc.ScanSegment.html#getLabelContourMask/1","title":"Evision.XImgProc.ScanSegment.getLabelContourMask/1","type":"function"},{"doc":"Returns the mask of the superpixel segmentation stored in the ScanSegment object. Positional Arguments self : Evision.XImgProc.ScanSegment.t() Keyword Arguments thick_line : bool . If false, the border is only one pixel wide, otherwise all pixels at the border are masked. Return image : Evision.Mat.t() . Return: CV_8UC1 image mask where -1 indicates that the pixel is a superpixel border, and 0 otherwise. The function return the boundaries of the superpixel segmentation. Python prototype (for reference only): getLabelContourMask([, image[, thick_line]]) -&gt; image","ref":"Evision.XImgProc.ScanSegment.html#getLabelContourMask/2","title":"Evision.XImgProc.ScanSegment.getLabelContourMask/2","type":"function"},{"doc":"Returns the segmentation labeling of the image. Positional Arguments self : Evision.XImgProc.ScanSegment.t() Return labels_out : Evision.Mat.t() . Return: A CV_32UC1 integer array containing the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Each label represents a superpixel, and each pixel is assigned to one superpixel label. Python prototype (for reference only): getLabels([, labels_out]) -&gt; labels_out","ref":"Evision.XImgProc.ScanSegment.html#getLabels/1","title":"Evision.XImgProc.ScanSegment.getLabels/1","type":"function"},{"doc":"Returns the segmentation labeling of the image. Positional Arguments self : Evision.XImgProc.ScanSegment.t() Return labels_out : Evision.Mat.t() . Return: A CV_32UC1 integer array containing the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Each label represents a superpixel, and each pixel is assigned to one superpixel label. Python prototype (for reference only): getLabels([, labels_out]) -&gt; labels_out","ref":"Evision.XImgProc.ScanSegment.html#getLabels/2","title":"Evision.XImgProc.ScanSegment.getLabels/2","type":"function"},{"doc":"Returns the actual superpixel segmentation from the last image processed using iterate. Positional Arguments self : Evision.XImgProc.ScanSegment.t() Return retval : int Returns zero if no image has been processed. Python prototype (for reference only): getNumberOfSuperpixels() -&gt; retval","ref":"Evision.XImgProc.ScanSegment.html#getNumberOfSuperpixels/1","title":"Evision.XImgProc.ScanSegment.getNumberOfSuperpixels/1","type":"function"},{"doc":"Calculates the superpixel segmentation on a given image with the initialized parameters in the ScanSegment object. Positional Arguments self : Evision.XImgProc.ScanSegment.t() img : Evision.Mat.t() . Input image. Supported format: CV_8UC3. Image size must match with the initialized image size with the function createScanSegment(). It MUST be in Lab color space. This function can be called again for other images without the need of initializing the algorithm with createScanSegment(). This save the computational cost of allocating memory for all the structures of the algorithm. Python prototype (for reference only): iterate(img) -&gt; None","ref":"Evision.XImgProc.ScanSegment.html#iterate/2","title":"Evision.XImgProc.ScanSegment.iterate/2","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.ScanSegment.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.ScanSegment.html#read/2","title":"Evision.XImgProc.ScanSegment.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.ScanSegment.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.ScanSegment.html#save/2","title":"Evision.XImgProc.ScanSegment.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.ScanSegment.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.ScanSegment.html#write/2","title":"Evision.XImgProc.ScanSegment.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.ScanSegment.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.ScanSegment.html#write/3","title":"Evision.XImgProc.ScanSegment.write/3","type":"function"},{"doc":"Type that represents an XImgProc.ScanSegment struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.ScanSegment.html#t:t/0","title":"Evision.XImgProc.ScanSegment.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html","title":"Evision.XImgProc.Segmentation.GraphSegmentation","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#clear/1","title":"Evision.XImgProc.Segmentation.GraphSegmentation.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#empty/1","title":"Evision.XImgProc.Segmentation.GraphSegmentation.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#getDefaultName/1","title":"Evision.XImgProc.Segmentation.GraphSegmentation.getDefaultName/1","type":"function"},{"doc":"getK Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() Return retval : float Python prototype (for reference only): getK() -&gt; retval","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#getK/1","title":"Evision.XImgProc.Segmentation.GraphSegmentation.getK/1","type":"function"},{"doc":"getMinSize Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() Return retval : int Python prototype (for reference only): getMinSize() -&gt; retval","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#getMinSize/1","title":"Evision.XImgProc.Segmentation.GraphSegmentation.getMinSize/1","type":"function"},{"doc":"getSigma Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() Return retval : double Python prototype (for reference only): getSigma() -&gt; retval","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#getSigma/1","title":"Evision.XImgProc.Segmentation.GraphSegmentation.getSigma/1","type":"function"},{"doc":"Segment an image and store output in dst Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() src : Evision.Mat.t() . The input image. Any number of channel (1 (Eg: Gray), 3 (Eg: RGB), 4 (Eg: RGB-D)) can be provided Return dst : Evision.Mat.t() . The output segmentation. It's a CV_32SC1 Mat with the same number of cols and rows as input image, with an unique, sequential, id for each pixel. Python prototype (for reference only): processImage(src[, dst]) -&gt; dst","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#processImage/2","title":"Evision.XImgProc.Segmentation.GraphSegmentation.processImage/2","type":"function"},{"doc":"Segment an image and store output in dst Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() src : Evision.Mat.t() . The input image. Any number of channel (1 (Eg: Gray), 3 (Eg: RGB), 4 (Eg: RGB-D)) can be provided Return dst : Evision.Mat.t() . The output segmentation. It's a CV_32SC1 Mat with the same number of cols and rows as input image, with an unique, sequential, id for each pixel. Python prototype (for reference only): processImage(src[, dst]) -&gt; dst","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#processImage/3","title":"Evision.XImgProc.Segmentation.GraphSegmentation.processImage/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#read/2","title":"Evision.XImgProc.Segmentation.GraphSegmentation.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#save/2","title":"Evision.XImgProc.Segmentation.GraphSegmentation.save/2","type":"function"},{"doc":"setK Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() k : float Python prototype (for reference only): setK(k) -&gt; None","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#setK/2","title":"Evision.XImgProc.Segmentation.GraphSegmentation.setK/2","type":"function"},{"doc":"setMinSize Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() min_size : int Python prototype (for reference only): setMinSize(min_size) -&gt; None","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#setMinSize/2","title":"Evision.XImgProc.Segmentation.GraphSegmentation.setMinSize/2","type":"function"},{"doc":"setSigma Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() sigma : double Python prototype (for reference only): setSigma(sigma) -&gt; None","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#setSigma/2","title":"Evision.XImgProc.Segmentation.GraphSegmentation.setSigma/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#write/2","title":"Evision.XImgProc.Segmentation.GraphSegmentation.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.Segmentation.GraphSegmentation.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#write/3","title":"Evision.XImgProc.Segmentation.GraphSegmentation.write/3","type":"function"},{"doc":"Type that represents an XImgProc.Segmentation.GraphSegmentation struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.Segmentation.GraphSegmentation.html#t:t/0","title":"Evision.XImgProc.Segmentation.GraphSegmentation.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation","type":"module"},{"doc":"Add a new graph segmentation in the list of graph segementations to process. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() g : Evision.XImgProc.GraphSegmentation.t() . The graph segmentation Python prototype (for reference only): addGraphSegmentation(g) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#addGraphSegmentation/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.addGraphSegmentation/2","type":"function"},{"doc":"Add a new image in the list of images to process. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() img : Evision.Mat.t() . The image Python prototype (for reference only): addImage(img) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#addImage/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.addImage/2","type":"function"},{"doc":"Add a new strategy in the list of strategy to process. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() s : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The strategy Python prototype (for reference only): addStrategy(s) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#addStrategy/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.addStrategy/2","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#clear/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.clear/1","type":"function"},{"doc":"Clear the list of graph segmentations to process; Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Python prototype (for reference only): clearGraphSegmentations() -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#clearGraphSegmentations/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.clearGraphSegmentations/1","type":"function"},{"doc":"Clear the list of images to process Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Python prototype (for reference only): clearImages() -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#clearImages/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.clearImages/1","type":"function"},{"doc":"Clear the list of strategy to process; Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Python prototype (for reference only): clearStrategies() -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#clearStrategies/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.clearStrategies/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#empty/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#getDefaultName/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.getDefaultName/1","type":"function"},{"doc":"Based on all images, graph segmentations and stragies, computes all possible rects and return them Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Return rects : [Rect] . The list of rects. The first ones are more relevents than the lasts ones. Python prototype (for reference only): process() -&gt; rects","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#process/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.process/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#read/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#save/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.save/2","type":"function"},{"doc":"Set a image used by switch* functions to initialize the class Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() img : Evision.Mat.t() . The image Python prototype (for reference only): setBaseImage(img) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#setBaseImage/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.setBaseImage/2","type":"function"},{"doc":"Initialize the class with the 'Selective search fast' parameters describled in @cite uijlings2013selective. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Keyword Arguments base_k : int . The k parameter for the first graph segmentation inc_k : int . The increment of the k parameter for all graph segmentations sigma : float . The sigma parameter for the graph segmentation Python prototype (for reference only): switchToSelectiveSearchFast([, base_k[, inc_k[, sigma]]]) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#switchToSelectiveSearchFast/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.switchToSelectiveSearchFast/1","type":"function"},{"doc":"Initialize the class with the 'Selective search fast' parameters describled in @cite uijlings2013selective. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Keyword Arguments base_k : int . The k parameter for the first graph segmentation inc_k : int . The increment of the k parameter for all graph segmentations sigma : float . The sigma parameter for the graph segmentation Python prototype (for reference only): switchToSelectiveSearchFast([, base_k[, inc_k[, sigma]]]) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#switchToSelectiveSearchFast/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.switchToSelectiveSearchFast/2","type":"function"},{"doc":"Initialize the class with the 'Selective search fast' parameters describled in @cite uijlings2013selective. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Keyword Arguments base_k : int . The k parameter for the first graph segmentation inc_k : int . The increment of the k parameter for all graph segmentations sigma : float . The sigma parameter for the graph segmentation Python prototype (for reference only): switchToSelectiveSearchQuality([, base_k[, inc_k[, sigma]]]) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#switchToSelectiveSearchQuality/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.switchToSelectiveSearchQuality/1","type":"function"},{"doc":"Initialize the class with the 'Selective search fast' parameters describled in @cite uijlings2013selective. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Keyword Arguments base_k : int . The k parameter for the first graph segmentation inc_k : int . The increment of the k parameter for all graph segmentations sigma : float . The sigma parameter for the graph segmentation Python prototype (for reference only): switchToSelectiveSearchQuality([, base_k[, inc_k[, sigma]]]) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#switchToSelectiveSearchQuality/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.switchToSelectiveSearchQuality/2","type":"function"},{"doc":"Initialize the class with the 'Single stragegy' parameters describled in @cite uijlings2013selective. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Keyword Arguments k : int . The k parameter for the graph segmentation sigma : float . The sigma parameter for the graph segmentation Python prototype (for reference only): switchToSingleStrategy([, k[, sigma]]) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#switchToSingleStrategy/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.switchToSingleStrategy/1","type":"function"},{"doc":"Initialize the class with the 'Single stragegy' parameters describled in @cite uijlings2013selective. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() Keyword Arguments k : int . The k parameter for the graph segmentation sigma : float . The sigma parameter for the graph segmentation Python prototype (for reference only): switchToSingleStrategy([, k[, sigma]]) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#switchToSingleStrategy/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.switchToSingleStrategy/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#write/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#write/3","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.write/3","type":"function"},{"doc":"Type that represents an XImgProc.Segmentation.SelectiveSearchSegmentation struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.html#t:t/0","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentation.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#clear/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#empty/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.empty/1","type":"function"},{"doc":"Return the score between two regions (between 0 and 1) Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() r1 : int . The first region r2 : int . The second region Return retval : float Python prototype (for reference only): get(r1, r2) -&gt; retval","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#get/3","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.get/3","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#getDefaultName/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.getDefaultName/1","type":"function"},{"doc":"Inform the strategy that two regions will be merged Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() r1 : int . The first region r2 : int . The second region Python prototype (for reference only): merge(r1, r2) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#merge/3","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.merge/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#read/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#save/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.save/2","type":"function"},{"doc":"Set a initial image, with a segmentation. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() img : Evision.Mat.t() . The input image. Any number of channel can be provided regions : Evision.Mat.t() . A segmentation of the image. The parameter must be the same size of img. sizes : Evision.Mat.t() . The sizes of different regions Keyword Arguments image_id : int . If not set to -1, try to cache pre-computations. If the same set og (img, regions, size) is used, the image_id need to be the same. Python prototype (for reference only): setImage(img, regions, sizes[, image_id]) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#setImage/4","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.setImage/4","type":"function"},{"doc":"Set a initial image, with a segmentation. Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() img : Evision.Mat.t() . The input image. Any number of channel can be provided regions : Evision.Mat.t() . A segmentation of the image. The parameter must be the same size of img. sizes : Evision.Mat.t() . The sizes of different regions Keyword Arguments image_id : int . If not set to -1, try to cache pre-computations. If the same set og (img, regions, size) is used, the image_id need to be the same. Python prototype (for reference only): setImage(img, regions, sizes[, image_id]) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#setImage/5","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.setImage/5","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#write/2","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#write/3","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.write/3","type":"function"},{"doc":"Type that represents an XImgProc.Segmentation.SelectiveSearchSegmentationStrategy struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.html#t:t/0","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategy.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple.html","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple","type":"module"},{"doc":"Add a new sub-strategy Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple.t() g : Evision.XImgProc.SelectiveSearchSegmentationStrategy.t() . The strategy weight : float . The weight of the strategy Python prototype (for reference only): addStrategy(g, weight) -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple.html#addStrategy/3","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple.addStrategy/3","type":"function"},{"doc":"Remove all sub-strategies Positional Arguments self : Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple.t() Python prototype (for reference only): clearStrategies() -&gt; None","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple.html#clearStrategies/1","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple.clearStrategies/1","type":"function"},{"doc":"Type that represents an XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple.html#t:t/0","title":"Evision.XImgProc.Segmentation.SelectiveSearchSegmentationStrategyMultiple.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.SparseMatchInterpolator.html","title":"Evision.XImgProc.SparseMatchInterpolator","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.SparseMatchInterpolator.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.SparseMatchInterpolator.html#clear/1","title":"Evision.XImgProc.SparseMatchInterpolator.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.SparseMatchInterpolator.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.SparseMatchInterpolator.html#empty/1","title":"Evision.XImgProc.SparseMatchInterpolator.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.SparseMatchInterpolator.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.SparseMatchInterpolator.html#getDefaultName/1","title":"Evision.XImgProc.SparseMatchInterpolator.getDefaultName/1","type":"function"},{"doc":"Interpolate input sparse matches. Positional Arguments self : Evision.XImgProc.SparseMatchInterpolator.t() from_image : Evision.Mat.t() . first of the two matched images, 8-bit single-channel or three-channel. from_points : Evision.Mat.t() . points of the from_image for which there are correspondences in the to_image (Point2f vector or Mat of depth CV_32F) to_image : Evision.Mat.t() . second of the two matched images, 8-bit single-channel or three-channel. to_points : Evision.Mat.t() . points in the to_image corresponding to from_points (Point2f vector or Mat of depth CV_32F) Return dense_flow : Evision.Mat.t() . output dense matching (two-channel CV_32F image) Python prototype (for reference only): interpolate(from_image, from_points, to_image, to_points[, dense_flow]) -&gt; dense_flow","ref":"Evision.XImgProc.SparseMatchInterpolator.html#interpolate/5","title":"Evision.XImgProc.SparseMatchInterpolator.interpolate/5","type":"function"},{"doc":"Interpolate input sparse matches. Positional Arguments self : Evision.XImgProc.SparseMatchInterpolator.t() from_image : Evision.Mat.t() . first of the two matched images, 8-bit single-channel or three-channel. from_points : Evision.Mat.t() . points of the from_image for which there are correspondences in the to_image (Point2f vector or Mat of depth CV_32F) to_image : Evision.Mat.t() . second of the two matched images, 8-bit single-channel or three-channel. to_points : Evision.Mat.t() . points in the to_image corresponding to from_points (Point2f vector or Mat of depth CV_32F) Return dense_flow : Evision.Mat.t() . output dense matching (two-channel CV_32F image) Python prototype (for reference only): interpolate(from_image, from_points, to_image, to_points[, dense_flow]) -&gt; dense_flow","ref":"Evision.XImgProc.SparseMatchInterpolator.html#interpolate/6","title":"Evision.XImgProc.SparseMatchInterpolator.interpolate/6","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.SparseMatchInterpolator.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.SparseMatchInterpolator.html#read/2","title":"Evision.XImgProc.SparseMatchInterpolator.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.SparseMatchInterpolator.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.SparseMatchInterpolator.html#save/2","title":"Evision.XImgProc.SparseMatchInterpolator.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.SparseMatchInterpolator.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.SparseMatchInterpolator.html#write/2","title":"Evision.XImgProc.SparseMatchInterpolator.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.SparseMatchInterpolator.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.SparseMatchInterpolator.html#write/3","title":"Evision.XImgProc.SparseMatchInterpolator.write/3","type":"function"},{"doc":"Type that represents an XImgProc.SparseMatchInterpolator struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.SparseMatchInterpolator.html#t:t/0","title":"Evision.XImgProc.SparseMatchInterpolator.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.StructuredEdgeDetection.html","title":"Evision.XImgProc.StructuredEdgeDetection","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.StructuredEdgeDetection.html#clear/1","title":"Evision.XImgProc.StructuredEdgeDetection.clear/1","type":"function"},{"doc":"The function computes orientation from edge image. Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() src : Evision.Mat.t() . edge image. Return dst : Evision.Mat.t() . orientation image. Python prototype (for reference only): computeOrientation(src[, dst]) -&gt; dst","ref":"Evision.XImgProc.StructuredEdgeDetection.html#computeOrientation/2","title":"Evision.XImgProc.StructuredEdgeDetection.computeOrientation/2","type":"function"},{"doc":"The function computes orientation from edge image. Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() src : Evision.Mat.t() . edge image. Return dst : Evision.Mat.t() . orientation image. Python prototype (for reference only): computeOrientation(src[, dst]) -&gt; dst","ref":"Evision.XImgProc.StructuredEdgeDetection.html#computeOrientation/3","title":"Evision.XImgProc.StructuredEdgeDetection.computeOrientation/3","type":"function"},{"doc":"The function detects edges in src and draw them to dst. Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() src : Evision.Mat.t() . source image (RGB, float, in [0;1]) to detect edges Return dst : Evision.Mat.t() . destination image (grayscale, float, in [0;1]) where edges are drawn The algorithm underlies this function is much more robust to texture presence, than common approaches, e.g. Sobel @sa Sobel, Canny Python prototype (for reference only): detectEdges(src[, dst]) -&gt; dst","ref":"Evision.XImgProc.StructuredEdgeDetection.html#detectEdges/2","title":"Evision.XImgProc.StructuredEdgeDetection.detectEdges/2","type":"function"},{"doc":"The function detects edges in src and draw them to dst. Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() src : Evision.Mat.t() . source image (RGB, float, in [0;1]) to detect edges Return dst : Evision.Mat.t() . destination image (grayscale, float, in [0;1]) where edges are drawn The algorithm underlies this function is much more robust to texture presence, than common approaches, e.g. Sobel @sa Sobel, Canny Python prototype (for reference only): detectEdges(src[, dst]) -&gt; dst","ref":"Evision.XImgProc.StructuredEdgeDetection.html#detectEdges/3","title":"Evision.XImgProc.StructuredEdgeDetection.detectEdges/3","type":"function"},{"doc":"The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction. Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() edge_image : Evision.Mat.t() . edge image from detectEdges function. orientation_image : Evision.Mat.t() . orientation image from computeOrientation function. Keyword Arguments r : int . radius for NMS suppression. s : int . radius for boundary suppression. m : float . multiplier for conservative suppression. isParallel : bool . enables/disables parallel computing. Return dst : Evision.Mat.t() . suppressed image (grayscale, float, in [0;1]) Python prototype (for reference only): edgesNms(edge_image, orientation_image[, dst[, r[, s[, m[, isParallel]]]]]) -&gt; dst","ref":"Evision.XImgProc.StructuredEdgeDetection.html#edgesNms/3","title":"Evision.XImgProc.StructuredEdgeDetection.edgesNms/3","type":"function"},{"doc":"The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction. Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() edge_image : Evision.Mat.t() . edge image from detectEdges function. orientation_image : Evision.Mat.t() . orientation image from computeOrientation function. Keyword Arguments r : int . radius for NMS suppression. s : int . radius for boundary suppression. m : float . multiplier for conservative suppression. isParallel : bool . enables/disables parallel computing. Return dst : Evision.Mat.t() . suppressed image (grayscale, float, in [0;1]) Python prototype (for reference only): edgesNms(edge_image, orientation_image[, dst[, r[, s[, m[, isParallel]]]]]) -&gt; dst","ref":"Evision.XImgProc.StructuredEdgeDetection.html#edgesNms/4","title":"Evision.XImgProc.StructuredEdgeDetection.edgesNms/4","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.StructuredEdgeDetection.html#empty/1","title":"Evision.XImgProc.StructuredEdgeDetection.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.StructuredEdgeDetection.html#getDefaultName/1","title":"Evision.XImgProc.StructuredEdgeDetection.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.StructuredEdgeDetection.html#read/2","title":"Evision.XImgProc.StructuredEdgeDetection.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.StructuredEdgeDetection.html#save/2","title":"Evision.XImgProc.StructuredEdgeDetection.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.StructuredEdgeDetection.html#write/2","title":"Evision.XImgProc.StructuredEdgeDetection.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.StructuredEdgeDetection.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.StructuredEdgeDetection.html#write/3","title":"Evision.XImgProc.StructuredEdgeDetection.write/3","type":"function"},{"doc":"Type that represents an XImgProc.StructuredEdgeDetection struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.StructuredEdgeDetection.html#t:t/0","title":"Evision.XImgProc.StructuredEdgeDetection.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.SuperpixelLSC.html","title":"Evision.XImgProc.SuperpixelLSC","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.SuperpixelLSC.html#clear/1","title":"Evision.XImgProc.SuperpixelLSC.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.SuperpixelLSC.html#empty/1","title":"Evision.XImgProc.SuperpixelLSC.empty/1","type":"function"},{"doc":"Enforce label connectivity. Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Keyword Arguments min_element_size : int . The minimum element size in percents that should be absorbed into a bigger superpixel. Given resulted average superpixel size valid value should be in 0-100 range, 25 means that less then a quarter sized superpixel should be absorbed, this is default. The function merge component that is too small, assigning the previously found adjacent label to this component. Calling this function may change the final number of superpixels. Python prototype (for reference only): enforceLabelConnectivity([, min_element_size]) -&gt; None","ref":"Evision.XImgProc.SuperpixelLSC.html#enforceLabelConnectivity/1","title":"Evision.XImgProc.SuperpixelLSC.enforceLabelConnectivity/1","type":"function"},{"doc":"Enforce label connectivity. Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Keyword Arguments min_element_size : int . The minimum element size in percents that should be absorbed into a bigger superpixel. Given resulted average superpixel size valid value should be in 0-100 range, 25 means that less then a quarter sized superpixel should be absorbed, this is default. The function merge component that is too small, assigning the previously found adjacent label to this component. Calling this function may change the final number of superpixels. Python prototype (for reference only): enforceLabelConnectivity([, min_element_size]) -&gt; None","ref":"Evision.XImgProc.SuperpixelLSC.html#enforceLabelConnectivity/2","title":"Evision.XImgProc.SuperpixelLSC.enforceLabelConnectivity/2","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.SuperpixelLSC.html#getDefaultName/1","title":"Evision.XImgProc.SuperpixelLSC.getDefaultName/1","type":"function"},{"doc":"Returns the mask of the superpixel segmentation stored in SuperpixelLSC object. Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Keyword Arguments thick_line : bool . If false, the border is only one pixel wide, otherwise all pixels at the border are masked. Return image : Evision.Mat.t() . Return: CV_8U1 image mask where -1 indicates that the pixel is a superpixel border, and 0 otherwise. The function return the boundaries of the superpixel segmentation. Python prototype (for reference only): getLabelContourMask([, image[, thick_line]]) -&gt; image","ref":"Evision.XImgProc.SuperpixelLSC.html#getLabelContourMask/1","title":"Evision.XImgProc.SuperpixelLSC.getLabelContourMask/1","type":"function"},{"doc":"Returns the mask of the superpixel segmentation stored in SuperpixelLSC object. Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Keyword Arguments thick_line : bool . If false, the border is only one pixel wide, otherwise all pixels at the border are masked. Return image : Evision.Mat.t() . Return: CV_8U1 image mask where -1 indicates that the pixel is a superpixel border, and 0 otherwise. The function return the boundaries of the superpixel segmentation. Python prototype (for reference only): getLabelContourMask([, image[, thick_line]]) -&gt; image","ref":"Evision.XImgProc.SuperpixelLSC.html#getLabelContourMask/2","title":"Evision.XImgProc.SuperpixelLSC.getLabelContourMask/2","type":"function"},{"doc":"Returns the segmentation labeling of the image. Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Return labels_out : Evision.Mat.t() . Return: A CV_32SC1 integer array containing the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Each label represents a superpixel, and each pixel is assigned to one superpixel label. The function returns an image with the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Python prototype (for reference only): getLabels([, labels_out]) -&gt; labels_out","ref":"Evision.XImgProc.SuperpixelLSC.html#getLabels/1","title":"Evision.XImgProc.SuperpixelLSC.getLabels/1","type":"function"},{"doc":"Returns the segmentation labeling of the image. Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Return labels_out : Evision.Mat.t() . Return: A CV_32SC1 integer array containing the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Each label represents a superpixel, and each pixel is assigned to one superpixel label. The function returns an image with the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Python prototype (for reference only): getLabels([, labels_out]) -&gt; labels_out","ref":"Evision.XImgProc.SuperpixelLSC.html#getLabels/2","title":"Evision.XImgProc.SuperpixelLSC.getLabels/2","type":"function"},{"doc":"Calculates the actual amount of superpixels on a given segmentation computed and stored in SuperpixelLSC object. Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Return retval : int Python prototype (for reference only): getNumberOfSuperpixels() -&gt; retval","ref":"Evision.XImgProc.SuperpixelLSC.html#getNumberOfSuperpixels/1","title":"Evision.XImgProc.SuperpixelLSC.getNumberOfSuperpixels/1","type":"function"},{"doc":"Calculates the superpixel segmentation on a given image with the initialized parameters in the SuperpixelLSC object. Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Keyword Arguments num_iterations : int . Number of iterations. Higher number improves the result. This function can be called again without the need of initializing the algorithm with createSuperpixelLSC(). This save the computational cost of allocating memory for all the structures of the algorithm. The function computes the superpixels segmentation of an image with the parameters initialized with the function createSuperpixelLSC(). The algorithms starts from a grid of superpixels and then refines the boundaries by proposing updates of edges boundaries. Python prototype (for reference only): iterate([, num_iterations]) -&gt; None","ref":"Evision.XImgProc.SuperpixelLSC.html#iterate/1","title":"Evision.XImgProc.SuperpixelLSC.iterate/1","type":"function"},{"doc":"Calculates the superpixel segmentation on a given image with the initialized parameters in the SuperpixelLSC object. Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() Keyword Arguments num_iterations : int . Number of iterations. Higher number improves the result. This function can be called again without the need of initializing the algorithm with createSuperpixelLSC(). This save the computational cost of allocating memory for all the structures of the algorithm. The function computes the superpixels segmentation of an image with the parameters initialized with the function createSuperpixelLSC(). The algorithms starts from a grid of superpixels and then refines the boundaries by proposing updates of edges boundaries. Python prototype (for reference only): iterate([, num_iterations]) -&gt; None","ref":"Evision.XImgProc.SuperpixelLSC.html#iterate/2","title":"Evision.XImgProc.SuperpixelLSC.iterate/2","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.SuperpixelLSC.html#read/2","title":"Evision.XImgProc.SuperpixelLSC.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.SuperpixelLSC.html#save/2","title":"Evision.XImgProc.SuperpixelLSC.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.SuperpixelLSC.html#write/2","title":"Evision.XImgProc.SuperpixelLSC.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.SuperpixelLSC.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.SuperpixelLSC.html#write/3","title":"Evision.XImgProc.SuperpixelLSC.write/3","type":"function"},{"doc":"Type that represents an XImgProc.SuperpixelLSC struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.SuperpixelLSC.html#t:t/0","title":"Evision.XImgProc.SuperpixelLSC.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.SuperpixelSEEDS.html","title":"Evision.XImgProc.SuperpixelSEEDS","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.SuperpixelSEEDS.html#clear/1","title":"Evision.XImgProc.SuperpixelSEEDS.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.SuperpixelSEEDS.html#empty/1","title":"Evision.XImgProc.SuperpixelSEEDS.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.SuperpixelSEEDS.html#getDefaultName/1","title":"Evision.XImgProc.SuperpixelSEEDS.getDefaultName/1","type":"function"},{"doc":"Returns the mask of the superpixel segmentation stored in SuperpixelSEEDS object. Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() Keyword Arguments thick_line : bool . If false, the border is only one pixel wide, otherwise all pixels at the border are masked. Return image : Evision.Mat.t() . Return: CV_8UC1 image mask where -1 indicates that the pixel is a superpixel border, and 0 otherwise. The function return the boundaries of the superpixel segmentation. Note : (Python) A demo on how to generate superpixels in images from the webcam can be found at opencv_source_code/samples/python2/seeds.py (cpp) A demo on how to generate superpixels in images from the webcam can be found at opencv_source_code/modules/ximgproc/samples/seeds.cpp. By adding a file image as a command line argument, the static image will be used instead of the webcam. It will show a window with the video from the webcam with the superpixel boundaries marked in red (see below). Use Space to switch between different output modes. At the top of the window there are 4 sliders, from which the user can change on-the-fly the number of superpixels, the number of block levels, the strength of the boundary prior term to modify the shape, and the number of iterations at pixel level. This is useful to play with the parameters and set them to the user convenience. In the console the frame-rate of the algorithm is indicated. Python prototype (for reference only): getLabelContourMask([, image[, thick_line]]) -&gt; image","ref":"Evision.XImgProc.SuperpixelSEEDS.html#getLabelContourMask/1","title":"Evision.XImgProc.SuperpixelSEEDS.getLabelContourMask/1","type":"function"},{"doc":"Returns the mask of the superpixel segmentation stored in SuperpixelSEEDS object. Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() Keyword Arguments thick_line : bool . If false, the border is only one pixel wide, otherwise all pixels at the border are masked. Return image : Evision.Mat.t() . Return: CV_8UC1 image mask where -1 indicates that the pixel is a superpixel border, and 0 otherwise. The function return the boundaries of the superpixel segmentation. Note : (Python) A demo on how to generate superpixels in images from the webcam can be found at opencv_source_code/samples/python2/seeds.py (cpp) A demo on how to generate superpixels in images from the webcam can be found at opencv_source_code/modules/ximgproc/samples/seeds.cpp. By adding a file image as a command line argument, the static image will be used instead of the webcam. It will show a window with the video from the webcam with the superpixel boundaries marked in red (see below). Use Space to switch between different output modes. At the top of the window there are 4 sliders, from which the user can change on-the-fly the number of superpixels, the number of block levels, the strength of the boundary prior term to modify the shape, and the number of iterations at pixel level. This is useful to play with the parameters and set them to the user convenience. In the console the frame-rate of the algorithm is indicated. Python prototype (for reference only): getLabelContourMask([, image[, thick_line]]) -&gt; image","ref":"Evision.XImgProc.SuperpixelSEEDS.html#getLabelContourMask/2","title":"Evision.XImgProc.SuperpixelSEEDS.getLabelContourMask/2","type":"function"},{"doc":"Returns the segmentation labeling of the image. Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() Return labels_out : Evision.Mat.t() . Return: A CV_32UC1 integer array containing the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Each label represents a superpixel, and each pixel is assigned to one superpixel label. The function returns an image with ssthe labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Python prototype (for reference only): getLabels([, labels_out]) -&gt; labels_out","ref":"Evision.XImgProc.SuperpixelSEEDS.html#getLabels/1","title":"Evision.XImgProc.SuperpixelSEEDS.getLabels/1","type":"function"},{"doc":"Returns the segmentation labeling of the image. Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() Return labels_out : Evision.Mat.t() . Return: A CV_32UC1 integer array containing the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Each label represents a superpixel, and each pixel is assigned to one superpixel label. The function returns an image with ssthe labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Python prototype (for reference only): getLabels([, labels_out]) -&gt; labels_out","ref":"Evision.XImgProc.SuperpixelSEEDS.html#getLabels/2","title":"Evision.XImgProc.SuperpixelSEEDS.getLabels/2","type":"function"},{"doc":"Calculates the superpixel segmentation on a given image stored in SuperpixelSEEDS object. Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() Return retval : int The function computes the superpixels segmentation of an image with the parameters initialized with the function createSuperpixelSEEDS(). Python prototype (for reference only): getNumberOfSuperpixels() -&gt; retval","ref":"Evision.XImgProc.SuperpixelSEEDS.html#getNumberOfSuperpixels/1","title":"Evision.XImgProc.SuperpixelSEEDS.getNumberOfSuperpixels/1","type":"function"},{"doc":"Calculates the superpixel segmentation on a given image with the initialized parameters in the SuperpixelSEEDS object. Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() img : Evision.Mat.t() . Input image. Supported formats: CV_8U, CV_16U, CV_32F. Image size &amp; number of channels must match with the initialized image size &amp; channels with the function createSuperpixelSEEDS(). It should be in HSV or Lab color space. Lab is a bit better, but also slower. Keyword Arguments num_iterations : int . Number of pixel level iterations. Higher number improves the result. This function can be called again for other images without the need of initializing the algorithm with createSuperpixelSEEDS(). This save the computational cost of allocating memory for all the structures of the algorithm. The function computes the superpixels segmentation of an image with the parameters initialized with the function createSuperpixelSEEDS(). The algorithms starts from a grid of superpixels and then refines the boundaries by proposing updates of blocks of pixels that lie at the boundaries from large to smaller size, finalizing with proposing pixel updates. An illustrative example can be seen below. Python prototype (for reference only): iterate(img[, num_iterations]) -&gt; None","ref":"Evision.XImgProc.SuperpixelSEEDS.html#iterate/2","title":"Evision.XImgProc.SuperpixelSEEDS.iterate/2","type":"function"},{"doc":"Calculates the superpixel segmentation on a given image with the initialized parameters in the SuperpixelSEEDS object. Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() img : Evision.Mat.t() . Input image. Supported formats: CV_8U, CV_16U, CV_32F. Image size &amp; number of channels must match with the initialized image size &amp; channels with the function createSuperpixelSEEDS(). It should be in HSV or Lab color space. Lab is a bit better, but also slower. Keyword Arguments num_iterations : int . Number of pixel level iterations. Higher number improves the result. This function can be called again for other images without the need of initializing the algorithm with createSuperpixelSEEDS(). This save the computational cost of allocating memory for all the structures of the algorithm. The function computes the superpixels segmentation of an image with the parameters initialized with the function createSuperpixelSEEDS(). The algorithms starts from a grid of superpixels and then refines the boundaries by proposing updates of blocks of pixels that lie at the boundaries from large to smaller size, finalizing with proposing pixel updates. An illustrative example can be seen below. Python prototype (for reference only): iterate(img[, num_iterations]) -&gt; None","ref":"Evision.XImgProc.SuperpixelSEEDS.html#iterate/3","title":"Evision.XImgProc.SuperpixelSEEDS.iterate/3","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.SuperpixelSEEDS.html#read/2","title":"Evision.XImgProc.SuperpixelSEEDS.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.SuperpixelSEEDS.html#save/2","title":"Evision.XImgProc.SuperpixelSEEDS.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.SuperpixelSEEDS.html#write/2","title":"Evision.XImgProc.SuperpixelSEEDS.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.SuperpixelSEEDS.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.SuperpixelSEEDS.html#write/3","title":"Evision.XImgProc.SuperpixelSEEDS.write/3","type":"function"},{"doc":"Type that represents an XImgProc.SuperpixelSEEDS struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.SuperpixelSEEDS.html#t:t/0","title":"Evision.XImgProc.SuperpixelSEEDS.t/0","type":"type"},{"doc":"","ref":"Evision.XImgProc.SuperpixelSLIC.html","title":"Evision.XImgProc.SuperpixelSLIC","type":"module"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XImgProc.SuperpixelSLIC.html#clear/1","title":"Evision.XImgProc.SuperpixelSLIC.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XImgProc.SuperpixelSLIC.html#empty/1","title":"Evision.XImgProc.SuperpixelSLIC.empty/1","type":"function"},{"doc":"Enforce label connectivity. Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Keyword Arguments min_element_size : int . The minimum element size in percents that should be absorbed into a bigger superpixel. Given resulted average superpixel size valid value should be in 0-100 range, 25 means that less then a quarter sized superpixel should be absorbed, this is default. The function merge component that is too small, assigning the previously found adjacent label to this component. Calling this function may change the final number of superpixels. Python prototype (for reference only): enforceLabelConnectivity([, min_element_size]) -&gt; None","ref":"Evision.XImgProc.SuperpixelSLIC.html#enforceLabelConnectivity/1","title":"Evision.XImgProc.SuperpixelSLIC.enforceLabelConnectivity/1","type":"function"},{"doc":"Enforce label connectivity. Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Keyword Arguments min_element_size : int . The minimum element size in percents that should be absorbed into a bigger superpixel. Given resulted average superpixel size valid value should be in 0-100 range, 25 means that less then a quarter sized superpixel should be absorbed, this is default. The function merge component that is too small, assigning the previously found adjacent label to this component. Calling this function may change the final number of superpixels. Python prototype (for reference only): enforceLabelConnectivity([, min_element_size]) -&gt; None","ref":"Evision.XImgProc.SuperpixelSLIC.html#enforceLabelConnectivity/2","title":"Evision.XImgProc.SuperpixelSLIC.enforceLabelConnectivity/2","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XImgProc.SuperpixelSLIC.html#getDefaultName/1","title":"Evision.XImgProc.SuperpixelSLIC.getDefaultName/1","type":"function"},{"doc":"Returns the mask of the superpixel segmentation stored in SuperpixelSLIC object. Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Keyword Arguments thick_line : bool . If false, the border is only one pixel wide, otherwise all pixels at the border are masked. Return image : Evision.Mat.t() . Return: CV_8U1 image mask where -1 indicates that the pixel is a superpixel border, and 0 otherwise. The function return the boundaries of the superpixel segmentation. Python prototype (for reference only): getLabelContourMask([, image[, thick_line]]) -&gt; image","ref":"Evision.XImgProc.SuperpixelSLIC.html#getLabelContourMask/1","title":"Evision.XImgProc.SuperpixelSLIC.getLabelContourMask/1","type":"function"},{"doc":"Returns the mask of the superpixel segmentation stored in SuperpixelSLIC object. Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Keyword Arguments thick_line : bool . If false, the border is only one pixel wide, otherwise all pixels at the border are masked. Return image : Evision.Mat.t() . Return: CV_8U1 image mask where -1 indicates that the pixel is a superpixel border, and 0 otherwise. The function return the boundaries of the superpixel segmentation. Python prototype (for reference only): getLabelContourMask([, image[, thick_line]]) -&gt; image","ref":"Evision.XImgProc.SuperpixelSLIC.html#getLabelContourMask/2","title":"Evision.XImgProc.SuperpixelSLIC.getLabelContourMask/2","type":"function"},{"doc":"Returns the segmentation labeling of the image. Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Return labels_out : Evision.Mat.t() . Return: A CV_32SC1 integer array containing the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Each label represents a superpixel, and each pixel is assigned to one superpixel label. The function returns an image with the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Python prototype (for reference only): getLabels([, labels_out]) -&gt; labels_out","ref":"Evision.XImgProc.SuperpixelSLIC.html#getLabels/1","title":"Evision.XImgProc.SuperpixelSLIC.getLabels/1","type":"function"},{"doc":"Returns the segmentation labeling of the image. Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Return labels_out : Evision.Mat.t() . Return: A CV_32SC1 integer array containing the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Each label represents a superpixel, and each pixel is assigned to one superpixel label. The function returns an image with the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. Python prototype (for reference only): getLabels([, labels_out]) -&gt; labels_out","ref":"Evision.XImgProc.SuperpixelSLIC.html#getLabels/2","title":"Evision.XImgProc.SuperpixelSLIC.getLabels/2","type":"function"},{"doc":"Calculates the actual amount of superpixels on a given segmentation computed and stored in SuperpixelSLIC object. Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Return retval : int Python prototype (for reference only): getNumberOfSuperpixels() -&gt; retval","ref":"Evision.XImgProc.SuperpixelSLIC.html#getNumberOfSuperpixels/1","title":"Evision.XImgProc.SuperpixelSLIC.getNumberOfSuperpixels/1","type":"function"},{"doc":"Calculates the superpixel segmentation on a given image with the initialized parameters in the SuperpixelSLIC object. Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Keyword Arguments num_iterations : int . Number of iterations. Higher number improves the result. This function can be called again without the need of initializing the algorithm with createSuperpixelSLIC(). This save the computational cost of allocating memory for all the structures of the algorithm. The function computes the superpixels segmentation of an image with the parameters initialized with the function createSuperpixelSLIC(). The algorithms starts from a grid of superpixels and then refines the boundaries by proposing updates of edges boundaries. Python prototype (for reference only): iterate([, num_iterations]) -&gt; None","ref":"Evision.XImgProc.SuperpixelSLIC.html#iterate/1","title":"Evision.XImgProc.SuperpixelSLIC.iterate/1","type":"function"},{"doc":"Calculates the superpixel segmentation on a given image with the initialized parameters in the SuperpixelSLIC object. Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() Keyword Arguments num_iterations : int . Number of iterations. Higher number improves the result. This function can be called again without the need of initializing the algorithm with createSuperpixelSLIC(). This save the computational cost of allocating memory for all the structures of the algorithm. The function computes the superpixels segmentation of an image with the parameters initialized with the function createSuperpixelSLIC(). The algorithms starts from a grid of superpixels and then refines the boundaries by proposing updates of edges boundaries. Python prototype (for reference only): iterate([, num_iterations]) -&gt; None","ref":"Evision.XImgProc.SuperpixelSLIC.html#iterate/2","title":"Evision.XImgProc.SuperpixelSLIC.iterate/2","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XImgProc.SuperpixelSLIC.html#read/2","title":"Evision.XImgProc.SuperpixelSLIC.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XImgProc.SuperpixelSLIC.html#save/2","title":"Evision.XImgProc.SuperpixelSLIC.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XImgProc.SuperpixelSLIC.html#write/2","title":"Evision.XImgProc.SuperpixelSLIC.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XImgProc.SuperpixelSLIC.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XImgProc.SuperpixelSLIC.html#write/3","title":"Evision.XImgProc.SuperpixelSLIC.write/3","type":"function"},{"doc":"Type that represents an XImgProc.SuperpixelSLIC struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XImgProc.SuperpixelSLIC.html#t:t/0","title":"Evision.XImgProc.SuperpixelSLIC.t/0","type":"type"},{"doc":"","ref":"Evision.XPhoto.html","title":"Evision.XPhoto","type":"module"},{"doc":"Implements an efficient fixed-point approximation for applying channel gains, which is the last step of multiple white balance algorithms. Positional Arguments src : Evision.Mat.t() . Input three-channel image in the BGR color space (either CV_8UC3 or CV_16UC3) gainB : float . gain for the B channel gainG : float . gain for the G channel gainR : float . gain for the R channel Return dst : Evision.Mat.t() . Output image of the same size and type as src. Python prototype (for reference only): applyChannelGains(src, gainB, gainG, gainR[, dst]) -&gt; dst","ref":"Evision.XPhoto.html#applyChannelGains/4","title":"Evision.XPhoto.applyChannelGains/4","type":"function"},{"doc":"Implements an efficient fixed-point approximation for applying channel gains, which is the last step of multiple white balance algorithms. Positional Arguments src : Evision.Mat.t() . Input three-channel image in the BGR color space (either CV_8UC3 or CV_16UC3) gainB : float . gain for the B channel gainG : float . gain for the G channel gainR : float . gain for the R channel Return dst : Evision.Mat.t() . Output image of the same size and type as src. Python prototype (for reference only): applyChannelGains(src, gainB, gainG, gainR[, dst]) -&gt; dst","ref":"Evision.XPhoto.html#applyChannelGains/5","title":"Evision.XPhoto.applyChannelGains/5","type":"function"},{"doc":"Performs image denoising using the Block-Matching and 3D-filtering algorithm http://www.cs.tut.fi/~foi/GCF-BM3D/BM3D_TIP_2007.pdf with several computational optimizations. Noise expected to be a gaussian white noise. Positional Arguments src : Evision.Mat.t() . Input 8-bit or 16-bit 1-channel image. Keyword Arguments h : float . Parameter regulating filter strength. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise. templateWindowSize : int . Size in pixels of the template patch that is used for block-matching. Should be power of 2. searchWindowSize : int . Size in pixels of the window that is used to perform block-matching. Affect performance linearly: greater searchWindowsSize - greater denoising time. Must be larger than templateWindowSize. blockMatchingStep1 : int . Block matching threshold for the first step of BM3D (hard thresholding), i.e. maximum distance for which two blocks are considered similar. Value expressed in euclidean distance. blockMatchingStep2 : int . Block matching threshold for the second step of BM3D (Wiener filtering), i.e. maximum distance for which two blocks are considered similar. Value expressed in euclidean distance. groupSize : int . Maximum size of the 3D group for collaborative filtering. slidingStep : int . Sliding step to process every next reference block. beta : float . Kaiser window parameter that affects the sidelobe attenuation of the transform of the window. Kaiser window is used in order to reduce border effects. To prevent usage of the window, set beta to zero. normType : int . Norm used to calculate distance between blocks. L2 is slower than L1 but yields more accurate results. step : int . Step of BM3D to be executed. Allowed are only BM3D_STEP1 and BM3D_STEPALL. BM3D_STEP2 is not allowed as it requires basic estimate to be present. transformType : int . Type of the orthogonal transform used in collaborative filtering step. Currently only Haar transform is supported. Return dst : Evision.Mat.t() . Output image with the same size and type as src. This function expected to be applied to grayscale images. Advanced usage of this function can be manual denoising of colored image in different colorspaces. @sa fastNlMeansDenoising Python prototype (for reference only): bm3dDenoising(src[, dst[, h[, templateWindowSize[, searchWindowSize[, blockMatchingStep1[, blockMatchingStep2[, groupSize[, slidingStep[, beta[, normType[, step[, transformType]]]]]]]]]]]]) -&gt; dst","ref":"Evision.XPhoto.html#bm3dDenoising/1","title":"Evision.XPhoto.bm3dDenoising/1","type":"function"},{"doc":"Variant 1: Performs image denoising using the Block-Matching and 3D-filtering algorithm http://www.cs.tut.fi/~foi/GCF-BM3D/BM3D_TIP_2007.pdf with several computational optimizations. Noise expected to be a gaussian white noise. Positional Arguments src : Evision.Mat.t() . Input 8-bit or 16-bit 1-channel image. Keyword Arguments h : float . Parameter regulating filter strength. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise. templateWindowSize : int . Size in pixels of the template patch that is used for block-matching. Should be power of 2. searchWindowSize : int . Size in pixels of the window that is used to perform block-matching. Affect performance linearly: greater searchWindowsSize - greater denoising time. Must be larger than templateWindowSize. blockMatchingStep1 : int . Block matching threshold for the first step of BM3D (hard thresholding), i.e. maximum distance for which two blocks are considered similar. Value expressed in euclidean distance. blockMatchingStep2 : int . Block matching threshold for the second step of BM3D (Wiener filtering), i.e. maximum distance for which two blocks are considered similar. Value expressed in euclidean distance. groupSize : int . Maximum size of the 3D group for collaborative filtering. slidingStep : int . Sliding step to process every next reference block. beta : float . Kaiser window parameter that affects the sidelobe attenuation of the transform of the window. Kaiser window is used in order to reduce border effects. To prevent usage of the window, set beta to zero. normType : int . Norm used to calculate distance between blocks. L2 is slower than L1 but yields more accurate results. step : int . Step of BM3D to be executed. Possible variants are: step 1, step 2, both steps. transformType : int . Type of the orthogonal transform used in collaborative filtering step. Currently only Haar transform is supported. Return dstStep1 : Evision.Mat.t() . Output image of the first step of BM3D with the same size and type as src. dstStep2 : Evision.Mat.t() . Output image of the second step of BM3D with the same size and type as src. This function expected to be applied to grayscale images. Advanced usage of this function can be manual denoising of colored image in different colorspaces. @sa fastNlMeansDenoising Python prototype (for reference only): bm3dDenoising(src, dstStep1[, dstStep2[, h[, templateWindowSize[, searchWindowSize[, blockMatchingStep1[, blockMatchingStep2[, groupSize[, slidingStep[, beta[, normType[, step[, transformType]]]]]]]]]]]]) -&gt; dstStep1, dstStep2 Variant 2: Performs image denoising using the Block-Matching and 3D-filtering algorithm http://www.cs.tut.fi/~foi/GCF-BM3D/BM3D_TIP_2007.pdf with several computational optimizations. Noise expected to be a gaussian white noise. Positional Arguments src : Evision.Mat.t() . Input 8-bit or 16-bit 1-channel image. Keyword Arguments h : float . Parameter regulating filter strength. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise. templateWindowSize : int . Size in pixels of the template patch that is used for block-matching. Should be power of 2. searchWindowSize : int . Size in pixels of the window that is used to perform block-matching. Affect performance linearly: greater searchWindowsSize - greater denoising time. Must be larger than templateWindowSize. blockMatchingStep1 : int . Block matching threshold for the first step of BM3D (hard thresholding), i.e. maximum distance for which two blocks are considered similar. Value expressed in euclidean distance. blockMatchingStep2 : int . Block matching threshold for the second step of BM3D (Wiener filtering), i.e. maximum distance for which two blocks are considered similar. Value expressed in euclidean distance. groupSize : int . Maximum size of the 3D group for collaborative filtering. slidingStep : int . Sliding step to process every next reference block. beta : float . Kaiser window parameter that affects the sidelobe attenuation of the transform of the window. Kaiser window is used in order to reduce border effects. To prevent usage of the window, set beta to zero. normType : int . Norm used to calculate distance between blocks. L2 is slower than L1 but yields more accurate results. step : int . Step of BM3D to be executed. Allowed are only BM3D_STEP1 and BM3D_STEPALL. BM3D_STEP2 is not allowed as it requires basic estimate to be present. transformType : int . Type of the orthogonal transform used in collaborative filtering step. Currently only Haar transform is supported. Return dst : Evision.Mat.t() . Output image with the same size and type as src. This function expected to be applied to grayscale images. Advanced usage of this function can be manual denoising of colored image in different colorspaces. @sa fastNlMeansDenoising Python prototype (for reference only): bm3dDenoising(src[, dst[, h[, templateWindowSize[, searchWindowSize[, blockMatchingStep1[, blockMatchingStep2[, groupSize[, slidingStep[, beta[, normType[, step[, transformType]]]]]]]]]]]]) -&gt; dst","ref":"Evision.XPhoto.html#bm3dDenoising/2","title":"Evision.XPhoto.bm3dDenoising/2","type":"function"},{"doc":"Performs image denoising using the Block-Matching and 3D-filtering algorithm http://www.cs.tut.fi/~foi/GCF-BM3D/BM3D_TIP_2007.pdf with several computational optimizations. Noise expected to be a gaussian white noise. Positional Arguments src : Evision.Mat.t() . Input 8-bit or 16-bit 1-channel image. Keyword Arguments h : float . Parameter regulating filter strength. Big h value perfectly removes noise but also removes image details, smaller h value preserves details but also preserves some noise. templateWindowSize : int . Size in pixels of the template patch that is used for block-matching. Should be power of 2. searchWindowSize : int . Size in pixels of the window that is used to perform block-matching. Affect performance linearly: greater searchWindowsSize - greater denoising time. Must be larger than templateWindowSize. blockMatchingStep1 : int . Block matching threshold for the first step of BM3D (hard thresholding), i.e. maximum distance for which two blocks are considered similar. Value expressed in euclidean distance. blockMatchingStep2 : int . Block matching threshold for the second step of BM3D (Wiener filtering), i.e. maximum distance for which two blocks are considered similar. Value expressed in euclidean distance. groupSize : int . Maximum size of the 3D group for collaborative filtering. slidingStep : int . Sliding step to process every next reference block. beta : float . Kaiser window parameter that affects the sidelobe attenuation of the transform of the window. Kaiser window is used in order to reduce border effects. To prevent usage of the window, set beta to zero. normType : int . Norm used to calculate distance between blocks. L2 is slower than L1 but yields more accurate results. step : int . Step of BM3D to be executed. Possible variants are: step 1, step 2, both steps. transformType : int . Type of the orthogonal transform used in collaborative filtering step. Currently only Haar transform is supported. Return dstStep1 : Evision.Mat.t() . Output image of the first step of BM3D with the same size and type as src. dstStep2 : Evision.Mat.t() . Output image of the second step of BM3D with the same size and type as src. This function expected to be applied to grayscale images. Advanced usage of this function can be manual denoising of colored image in different colorspaces. @sa fastNlMeansDenoising Python prototype (for reference only): bm3dDenoising(src, dstStep1[, dstStep2[, h[, templateWindowSize[, searchWindowSize[, blockMatchingStep1[, blockMatchingStep2[, groupSize[, slidingStep[, beta[, normType[, step[, transformType]]]]]]]]]]]]) -&gt; dstStep1, dstStep2","ref":"Evision.XPhoto.html#bm3dDenoising/3","title":"Evision.XPhoto.bm3dDenoising/3","type":"function"},{"doc":"Creates an instance of GrayworldWB Return retval : Evision.XPhoto.GrayworldWB.t() Python prototype (for reference only): createGrayworldWB() -&gt; retval","ref":"Evision.XPhoto.html#createGrayworldWB/0","title":"Evision.XPhoto.createGrayworldWB/0","type":"function"},{"doc":"Creates an instance of LearningBasedWB Keyword Arguments path_to_model : String . Path to a .yml file with the model. If not specified, the default model is used Return retval : Evision.XPhoto.LearningBasedWB.t() Python prototype (for reference only): createLearningBasedWB([, path_to_model]) -&gt; retval","ref":"Evision.XPhoto.html#createLearningBasedWB/0","title":"Evision.XPhoto.createLearningBasedWB/0","type":"function"},{"doc":"Creates an instance of LearningBasedWB Keyword Arguments path_to_model : String . Path to a .yml file with the model. If not specified, the default model is used Return retval : Evision.XPhoto.LearningBasedWB.t() Python prototype (for reference only): createLearningBasedWB([, path_to_model]) -&gt; retval","ref":"Evision.XPhoto.html#createLearningBasedWB/1","title":"Evision.XPhoto.createLearningBasedWB/1","type":"function"},{"doc":"Creates an instance of SimpleWB Return retval : Evision.XPhoto.SimpleWB.t() Python prototype (for reference only): createSimpleWB() -&gt; retval","ref":"Evision.XPhoto.html#createSimpleWB/0","title":"Evision.XPhoto.createSimpleWB/0","type":"function"},{"doc":"Creates TonemapDurand object Keyword Arguments gamma : float . gamma value for gamma correction. See createTonemap contrast : float . resulting contrast on logarithmic scale, i. e. log(max / min), where max and min are maximum and minimum luminance values of the resulting image. saturation : float . saturation enhancement value. See createTonemapDrago sigma_color : float . bilateral filter sigma in color space sigma_space : float . bilateral filter sigma in coordinate space Return retval : Evision.XPhoto.TonemapDurand.t() You need to set the OPENCV_ENABLE_NONFREE option in cmake to use those. Use them at your own risk. Python prototype (for reference only): createTonemapDurand([, gamma[, contrast[, saturation[, sigma_color[, sigma_space]]]]]) -&gt; retval","ref":"Evision.XPhoto.html#createTonemapDurand/0","title":"Evision.XPhoto.createTonemapDurand/0","type":"function"},{"doc":"Creates TonemapDurand object Keyword Arguments gamma : float . gamma value for gamma correction. See createTonemap contrast : float . resulting contrast on logarithmic scale, i. e. log(max / min), where max and min are maximum and minimum luminance values of the resulting image. saturation : float . saturation enhancement value. See createTonemapDrago sigma_color : float . bilateral filter sigma in color space sigma_space : float . bilateral filter sigma in coordinate space Return retval : Evision.XPhoto.TonemapDurand.t() You need to set the OPENCV_ENABLE_NONFREE option in cmake to use those. Use them at your own risk. Python prototype (for reference only): createTonemapDurand([, gamma[, contrast[, saturation[, sigma_color[, sigma_space]]]]]) -&gt; retval","ref":"Evision.XPhoto.html#createTonemapDurand/1","title":"Evision.XPhoto.createTonemapDurand/1","type":"function"},{"doc":"The function implements simple dct-based denoising Positional Arguments src : Evision.Mat.t() . source image dst : Evision.Mat.t() . destination image sigma : double . expected noise standard deviation Keyword Arguments psize : int . size of block side where dct is computed http://www.ipol.im/pub/art/2011/ys-dct/ . @sa fastNlMeansDenoising Python prototype (for reference only): dctDenoising(src, dst, sigma[, psize]) -&gt; None","ref":"Evision.XPhoto.html#dctDenoising/3","title":"Evision.XPhoto.dctDenoising/3","type":"function"},{"doc":"The function implements simple dct-based denoising Positional Arguments src : Evision.Mat.t() . source image dst : Evision.Mat.t() . destination image sigma : double . expected noise standard deviation Keyword Arguments psize : int . size of block side where dct is computed http://www.ipol.im/pub/art/2011/ys-dct/ . @sa fastNlMeansDenoising Python prototype (for reference only): dctDenoising(src, dst, sigma[, psize]) -&gt; None","ref":"Evision.XPhoto.html#dctDenoising/4","title":"Evision.XPhoto.dctDenoising/4","type":"function"},{"doc":"The function implements different single-image inpainting algorithms. Positional Arguments src : Evision.Mat.t() . source image #INPAINT_SHIFTMAP: it could be of any type and any number of channels from 1 to 4. In case of 3- and 4-channels images the function expect them in CIELab colorspace or similar one, where first color component shows intensity, while second and third shows colors. Nonetheless you can try any colorspaces. #INPAINT_FSR_BEST or #INPAINT_FSR_FAST: 1-channel grayscale or 3-channel BGR image. mask : Evision.Mat.t() . mask (#CV_8UC1), where non-zero pixels indicate valid image area, while zero pixels indicate area to be inpainted dst : Evision.Mat.t() . destination image algorithmType : int . see xphoto::InpaintTypes See the original papers @cite He2012 (Shiftmap) or @cite GenserPCS2018 and @cite SeilerTIP2015 (FSR) for details. Python prototype (for reference only): inpaint(src, mask, dst, algorithmType) -&gt; None","ref":"Evision.XPhoto.html#inpaint/4","title":"Evision.XPhoto.inpaint/4","type":"function"},{"doc":"oilPainting See the book @cite Holzmann1988 for details. Positional Arguments src : Evision.Mat.t() . Input three-channel or one channel image (either CV_8UC3 or CV_8UC1) size : int . neighbouring size is 2-size+1 dynRatio : int . image is divided by dynRatio before histogram processing Return dst : Evision.Mat.t() . Output image of the same size and type as src. Python prototype (for reference only): oilPainting(src, size, dynRatio[, dst]) -&gt; dst","ref":"Evision.XPhoto.html#oilPainting/3","title":"Evision.XPhoto.oilPainting/3","type":"function"},{"doc":"Variant 1: oilPainting See the book @cite Holzmann1988 for details. Positional Arguments src : Evision.Mat.t() . Input three-channel or one channel image (either CV_8UC3 or CV_8UC1) size : int . neighbouring size is 2-size+1 dynRatio : int . image is divided by dynRatio before histogram processing code : int Return dst : Evision.Mat.t() . Output image of the same size and type as src. Python prototype (for reference only): oilPainting(src, size, dynRatio, code[, dst]) -&gt; dst Variant 2: oilPainting See the book @cite Holzmann1988 for details. Positional Arguments src : Evision.Mat.t() . Input three-channel or one channel image (either CV_8UC3 or CV_8UC1) size : int . neighbouring size is 2-size+1 dynRatio : int . image is divided by dynRatio before histogram processing Return dst : Evision.Mat.t() . Output image of the same size and type as src. Python prototype (for reference only): oilPainting(src, size, dynRatio[, dst]) -&gt; dst","ref":"Evision.XPhoto.html#oilPainting/4","title":"Evision.XPhoto.oilPainting/4","type":"function"},{"doc":"oilPainting See the book @cite Holzmann1988 for details. Positional Arguments src : Evision.Mat.t() . Input three-channel or one channel image (either CV_8UC3 or CV_8UC1) size : int . neighbouring size is 2-size+1 dynRatio : int . image is divided by dynRatio before histogram processing code : int Return dst : Evision.Mat.t() . Output image of the same size and type as src. Python prototype (for reference only): oilPainting(src, size, dynRatio, code[, dst]) -&gt; dst","ref":"Evision.XPhoto.html#oilPainting/5","title":"Evision.XPhoto.oilPainting/5","type":"function"},{"doc":"Type that represents an XPhoto struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XPhoto.html#t:t/0","title":"Evision.XPhoto.t/0","type":"type"},{"doc":"","ref":"Evision.XPhoto.GrayworldWB.html","title":"Evision.XPhoto.GrayworldWB","type":"module"},{"doc":"Maximum saturation for a pixel to be included in the gray-world assumption Positional Arguments self : Evision.XPhoto.GrayworldWB.t() Return retval : float @see setSaturationThreshold/2 Python prototype (for reference only): getSaturationThreshold() -&gt; retval","ref":"Evision.XPhoto.GrayworldWB.html#getSaturationThreshold/1","title":"Evision.XPhoto.GrayworldWB.getSaturationThreshold/1","type":"function"},{"doc":"setSaturationThreshold Positional Arguments self : Evision.XPhoto.GrayworldWB.t() val : float @see getSaturationThreshold/1 Python prototype (for reference only): setSaturationThreshold(val) -&gt; None","ref":"Evision.XPhoto.GrayworldWB.html#setSaturationThreshold/2","title":"Evision.XPhoto.GrayworldWB.setSaturationThreshold/2","type":"function"},{"doc":"Type that represents an XPhoto.GrayworldWB struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XPhoto.GrayworldWB.html#t:t/0","title":"Evision.XPhoto.GrayworldWB.t/0","type":"type"},{"doc":"","ref":"Evision.XPhoto.LearningBasedWB.html","title":"Evision.XPhoto.LearningBasedWB","type":"module"},{"doc":"Implements the feature extraction part of the algorithm. Positional Arguments self : Evision.XPhoto.LearningBasedWB.t() src : Evision.Mat.t() . Input three-channel image (BGR color space is assumed). Return dst : Evision.Mat.t() . An array of four (r,g) chromaticity tuples corresponding to the features listed above. In accordance with @cite Cheng2015 , computes the following features for the input image: Chromaticity of an average (R,G,B) tuple Chromaticity of the brightest (R,G,B) tuple (while ignoring saturated pixels) Chromaticity of the dominant (R,G,B) tuple (the one that has the highest value in the RGB histogram) Mode of the chromaticity palette, that is constructed by taking 300 most common colors according to the RGB histogram and projecting them on the chromaticity plane. Mode is the most high-density point of the palette, which is computed by a straightforward fixed-bandwidth kernel density estimator with a Epanechnikov kernel function. Python prototype (for reference only): extractSimpleFeatures(src[, dst]) -&gt; dst","ref":"Evision.XPhoto.LearningBasedWB.html#extractSimpleFeatures/2","title":"Evision.XPhoto.LearningBasedWB.extractSimpleFeatures/2","type":"function"},{"doc":"Implements the feature extraction part of the algorithm. Positional Arguments self : Evision.XPhoto.LearningBasedWB.t() src : Evision.Mat.t() . Input three-channel image (BGR color space is assumed). Return dst : Evision.Mat.t() . An array of four (r,g) chromaticity tuples corresponding to the features listed above. In accordance with @cite Cheng2015 , computes the following features for the input image: Chromaticity of an average (R,G,B) tuple Chromaticity of the brightest (R,G,B) tuple (while ignoring saturated pixels) Chromaticity of the dominant (R,G,B) tuple (the one that has the highest value in the RGB histogram) Mode of the chromaticity palette, that is constructed by taking 300 most common colors according to the RGB histogram and projecting them on the chromaticity plane. Mode is the most high-density point of the palette, which is computed by a straightforward fixed-bandwidth kernel density estimator with a Epanechnikov kernel function. Python prototype (for reference only): extractSimpleFeatures(src[, dst]) -&gt; dst","ref":"Evision.XPhoto.LearningBasedWB.html#extractSimpleFeatures/3","title":"Evision.XPhoto.LearningBasedWB.extractSimpleFeatures/3","type":"function"},{"doc":"Defines the size of one dimension of a three-dimensional RGB histogram that is used internally by the algorithm. It often makes sense to increase the number of bins for images with higher bit depth (e.g. 256 bins for a 12 bit image). Positional Arguments self : Evision.XPhoto.LearningBasedWB.t() Return retval : int @see setHistBinNum/2 Python prototype (for reference only): getHistBinNum() -&gt; retval","ref":"Evision.XPhoto.LearningBasedWB.html#getHistBinNum/1","title":"Evision.XPhoto.LearningBasedWB.getHistBinNum/1","type":"function"},{"doc":"Maximum possible value of the input image (e.g. 255 for 8 bit images, 4095 for 12 bit images) Positional Arguments self : Evision.XPhoto.LearningBasedWB.t() Return retval : int @see setRangeMaxVal/2 Python prototype (for reference only): getRangeMaxVal() -&gt; retval","ref":"Evision.XPhoto.LearningBasedWB.html#getRangeMaxVal/1","title":"Evision.XPhoto.LearningBasedWB.getRangeMaxVal/1","type":"function"},{"doc":"Threshold that is used to determine saturated pixels, i.e. pixels where at least one of the channels exceeds \\f$\\texttt{saturation_threshold}\\times\\texttt{range_max_val}\\f$ are ignored. Positional Arguments self : Evision.XPhoto.LearningBasedWB.t() Return retval : float @see setSaturationThreshold/2 Python prototype (for reference only): getSaturationThreshold() -&gt; retval","ref":"Evision.XPhoto.LearningBasedWB.html#getSaturationThreshold/1","title":"Evision.XPhoto.LearningBasedWB.getSaturationThreshold/1","type":"function"},{"doc":"setHistBinNum Positional Arguments self : Evision.XPhoto.LearningBasedWB.t() val : int @see getHistBinNum/1 Python prototype (for reference only): setHistBinNum(val) -&gt; None","ref":"Evision.XPhoto.LearningBasedWB.html#setHistBinNum/2","title":"Evision.XPhoto.LearningBasedWB.setHistBinNum/2","type":"function"},{"doc":"setRangeMaxVal Positional Arguments self : Evision.XPhoto.LearningBasedWB.t() val : int @see getRangeMaxVal/1 Python prototype (for reference only): setRangeMaxVal(val) -&gt; None","ref":"Evision.XPhoto.LearningBasedWB.html#setRangeMaxVal/2","title":"Evision.XPhoto.LearningBasedWB.setRangeMaxVal/2","type":"function"},{"doc":"setSaturationThreshold Positional Arguments self : Evision.XPhoto.LearningBasedWB.t() val : float @see getSaturationThreshold/1 Python prototype (for reference only): setSaturationThreshold(val) -&gt; None","ref":"Evision.XPhoto.LearningBasedWB.html#setSaturationThreshold/2","title":"Evision.XPhoto.LearningBasedWB.setSaturationThreshold/2","type":"function"},{"doc":"Type that represents an XPhoto.LearningBasedWB struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XPhoto.LearningBasedWB.html#t:t/0","title":"Evision.XPhoto.LearningBasedWB.t/0","type":"type"},{"doc":"","ref":"Evision.XPhoto.SimpleWB.html","title":"Evision.XPhoto.SimpleWB","type":"module"},{"doc":"Input image range maximum value Positional Arguments self : Evision.XPhoto.SimpleWB.t() Return retval : float @see setInputMax/2 Python prototype (for reference only): getInputMax() -&gt; retval","ref":"Evision.XPhoto.SimpleWB.html#getInputMax/1","title":"Evision.XPhoto.SimpleWB.getInputMax/1","type":"function"},{"doc":"Input image range minimum value Positional Arguments self : Evision.XPhoto.SimpleWB.t() Return retval : float @see setInputMin/2 Python prototype (for reference only): getInputMin() -&gt; retval","ref":"Evision.XPhoto.SimpleWB.html#getInputMin/1","title":"Evision.XPhoto.SimpleWB.getInputMin/1","type":"function"},{"doc":"Output image range maximum value Positional Arguments self : Evision.XPhoto.SimpleWB.t() Return retval : float @see setOutputMax/2 Python prototype (for reference only): getOutputMax() -&gt; retval","ref":"Evision.XPhoto.SimpleWB.html#getOutputMax/1","title":"Evision.XPhoto.SimpleWB.getOutputMax/1","type":"function"},{"doc":"Output image range minimum value Positional Arguments self : Evision.XPhoto.SimpleWB.t() Return retval : float @see setOutputMin/2 Python prototype (for reference only): getOutputMin() -&gt; retval","ref":"Evision.XPhoto.SimpleWB.html#getOutputMin/1","title":"Evision.XPhoto.SimpleWB.getOutputMin/1","type":"function"},{"doc":"Percent of top/bottom values to ignore Positional Arguments self : Evision.XPhoto.SimpleWB.t() Return retval : float @see setP/2 Python prototype (for reference only): getP() -&gt; retval","ref":"Evision.XPhoto.SimpleWB.html#getP/1","title":"Evision.XPhoto.SimpleWB.getP/1","type":"function"},{"doc":"setInputMax Positional Arguments self : Evision.XPhoto.SimpleWB.t() val : float @see getInputMax/1 Python prototype (for reference only): setInputMax(val) -&gt; None","ref":"Evision.XPhoto.SimpleWB.html#setInputMax/2","title":"Evision.XPhoto.SimpleWB.setInputMax/2","type":"function"},{"doc":"setInputMin Positional Arguments self : Evision.XPhoto.SimpleWB.t() val : float @see getInputMin/1 Python prototype (for reference only): setInputMin(val) -&gt; None","ref":"Evision.XPhoto.SimpleWB.html#setInputMin/2","title":"Evision.XPhoto.SimpleWB.setInputMin/2","type":"function"},{"doc":"setOutputMax Positional Arguments self : Evision.XPhoto.SimpleWB.t() val : float @see getOutputMax/1 Python prototype (for reference only): setOutputMax(val) -&gt; None","ref":"Evision.XPhoto.SimpleWB.html#setOutputMax/2","title":"Evision.XPhoto.SimpleWB.setOutputMax/2","type":"function"},{"doc":"setOutputMin Positional Arguments self : Evision.XPhoto.SimpleWB.t() val : float @see getOutputMin/1 Python prototype (for reference only): setOutputMin(val) -&gt; None","ref":"Evision.XPhoto.SimpleWB.html#setOutputMin/2","title":"Evision.XPhoto.SimpleWB.setOutputMin/2","type":"function"},{"doc":"setP Positional Arguments self : Evision.XPhoto.SimpleWB.t() val : float @see getP/1 Python prototype (for reference only): setP(val) -&gt; None","ref":"Evision.XPhoto.SimpleWB.html#setP/2","title":"Evision.XPhoto.SimpleWB.setP/2","type":"function"},{"doc":"Type that represents an XPhoto.SimpleWB struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XPhoto.SimpleWB.html#t:t/0","title":"Evision.XPhoto.SimpleWB.t/0","type":"type"},{"doc":"","ref":"Evision.XPhoto.TonemapDurand.html","title":"Evision.XPhoto.TonemapDurand","type":"module"},{"doc":"getContrast Positional Arguments self : Evision.XPhoto.TonemapDurand.t() Return retval : float Python prototype (for reference only): getContrast() -&gt; retval","ref":"Evision.XPhoto.TonemapDurand.html#getContrast/1","title":"Evision.XPhoto.TonemapDurand.getContrast/1","type":"function"},{"doc":"getSaturation Positional Arguments self : Evision.XPhoto.TonemapDurand.t() Return retval : float Python prototype (for reference only): getSaturation() -&gt; retval","ref":"Evision.XPhoto.TonemapDurand.html#getSaturation/1","title":"Evision.XPhoto.TonemapDurand.getSaturation/1","type":"function"},{"doc":"getSigmaColor Positional Arguments self : Evision.XPhoto.TonemapDurand.t() Return retval : float Python prototype (for reference only): getSigmaColor() -&gt; retval","ref":"Evision.XPhoto.TonemapDurand.html#getSigmaColor/1","title":"Evision.XPhoto.TonemapDurand.getSigmaColor/1","type":"function"},{"doc":"getSigmaSpace Positional Arguments self : Evision.XPhoto.TonemapDurand.t() Return retval : float Python prototype (for reference only): getSigmaSpace() -&gt; retval","ref":"Evision.XPhoto.TonemapDurand.html#getSigmaSpace/1","title":"Evision.XPhoto.TonemapDurand.getSigmaSpace/1","type":"function"},{"doc":"setContrast Positional Arguments self : Evision.XPhoto.TonemapDurand.t() contrast : float Python prototype (for reference only): setContrast(contrast) -&gt; None","ref":"Evision.XPhoto.TonemapDurand.html#setContrast/2","title":"Evision.XPhoto.TonemapDurand.setContrast/2","type":"function"},{"doc":"setSaturation Positional Arguments self : Evision.XPhoto.TonemapDurand.t() saturation : float Python prototype (for reference only): setSaturation(saturation) -&gt; None","ref":"Evision.XPhoto.TonemapDurand.html#setSaturation/2","title":"Evision.XPhoto.TonemapDurand.setSaturation/2","type":"function"},{"doc":"setSigmaColor Positional Arguments self : Evision.XPhoto.TonemapDurand.t() sigma_color : float Python prototype (for reference only): setSigmaColor(sigma_color) -&gt; None","ref":"Evision.XPhoto.TonemapDurand.html#setSigmaColor/2","title":"Evision.XPhoto.TonemapDurand.setSigmaColor/2","type":"function"},{"doc":"setSigmaSpace Positional Arguments self : Evision.XPhoto.TonemapDurand.t() sigma_space : float Python prototype (for reference only): setSigmaSpace(sigma_space) -&gt; None","ref":"Evision.XPhoto.TonemapDurand.html#setSigmaSpace/2","title":"Evision.XPhoto.TonemapDurand.setSigmaSpace/2","type":"function"},{"doc":"Type that represents an XPhoto.TonemapDurand struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XPhoto.TonemapDurand.html#t:t/0","title":"Evision.XPhoto.TonemapDurand.t/0","type":"type"},{"doc":"","ref":"Evision.XPhoto.WhiteBalancer.html","title":"Evision.XPhoto.WhiteBalancer","type":"module"},{"doc":"Applies white balancing to the input image Positional Arguments self : Evision.XPhoto.WhiteBalancer.t() src : Evision.Mat.t() . Input image Return dst : Evision.Mat.t() . White balancing result @sa cvtColor, equalizeHist Python prototype (for reference only): balanceWhite(src[, dst]) -&gt; dst","ref":"Evision.XPhoto.WhiteBalancer.html#balanceWhite/2","title":"Evision.XPhoto.WhiteBalancer.balanceWhite/2","type":"function"},{"doc":"Applies white balancing to the input image Positional Arguments self : Evision.XPhoto.WhiteBalancer.t() src : Evision.Mat.t() . Input image Return dst : Evision.Mat.t() . White balancing result @sa cvtColor, equalizeHist Python prototype (for reference only): balanceWhite(src[, dst]) -&gt; dst","ref":"Evision.XPhoto.WhiteBalancer.html#balanceWhite/3","title":"Evision.XPhoto.WhiteBalancer.balanceWhite/3","type":"function"},{"doc":"Clears the algorithm state Positional Arguments self : Evision.XPhoto.WhiteBalancer.t() Python prototype (for reference only): clear() -&gt; None","ref":"Evision.XPhoto.WhiteBalancer.html#clear/1","title":"Evision.XPhoto.WhiteBalancer.clear/1","type":"function"},{"doc":"Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read Positional Arguments self : Evision.XPhoto.WhiteBalancer.t() Return retval : bool Python prototype (for reference only): empty() -&gt; retval","ref":"Evision.XPhoto.WhiteBalancer.html#empty/1","title":"Evision.XPhoto.WhiteBalancer.empty/1","type":"function"},{"doc":"getDefaultName Positional Arguments self : Evision.XPhoto.WhiteBalancer.t() Return retval : String Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string. Python prototype (for reference only): getDefaultName() -&gt; retval","ref":"Evision.XPhoto.WhiteBalancer.html#getDefaultName/1","title":"Evision.XPhoto.WhiteBalancer.getDefaultName/1","type":"function"},{"doc":"Reads algorithm parameters from a file storage Positional Arguments self : Evision.XPhoto.WhiteBalancer.t() fn_ : Evision.FileNode.t() Python prototype (for reference only): read(fn_) -&gt; None","ref":"Evision.XPhoto.WhiteBalancer.html#read/2","title":"Evision.XPhoto.WhiteBalancer.read/2","type":"function"},{"doc":"save Positional Arguments self : Evision.XPhoto.WhiteBalancer.t() filename : String Saves the algorithm to a file. In order to make this method work, the derived class must implement Algorithm::write(FileStorage&amp; fs). Python prototype (for reference only): save(filename) -&gt; None","ref":"Evision.XPhoto.WhiteBalancer.html#save/2","title":"Evision.XPhoto.WhiteBalancer.save/2","type":"function"},{"doc":"Stores algorithm parameters in a file storage Positional Arguments self : Evision.XPhoto.WhiteBalancer.t() fs : Evision.FileStorage.t() Python prototype (for reference only): write(fs) -&gt; None","ref":"Evision.XPhoto.WhiteBalancer.html#write/2","title":"Evision.XPhoto.WhiteBalancer.write/2","type":"function"},{"doc":"write Positional Arguments self : Evision.XPhoto.WhiteBalancer.t() fs : Evision.FileStorage.t() name : String Has overloading in C++ Python prototype (for reference only): write(fs, name) -&gt; None","ref":"Evision.XPhoto.WhiteBalancer.html#write/3","title":"Evision.XPhoto.WhiteBalancer.write/3","type":"function"},{"doc":"Type that represents an XPhoto.WhiteBalancer struct. ref . reference() The underlying erlang resource variable.","ref":"Evision.XPhoto.WhiteBalancer.html#t:t/0","title":"Evision.XPhoto.WhiteBalancer.t/0","type":"type"},{"doc":"Evision Model Zoo","ref":"Evision.Zoo.html","title":"Evision.Zoo","type":"module"},{"doc":"","ref":"Evision.Zoo.html#available_backend_and_target/0","title":"Evision.Zoo.available_backend_and_target/0","type":"function"},{"doc":"","ref":"Evision.Zoo.html#backends/0","title":"Evision.Zoo.backends/0","type":"function"},{"doc":"","ref":"Evision.Zoo.html#cache_dir/0","title":"Evision.Zoo.cache_dir/0","type":"function"},{"doc":"","ref":"Evision.Zoo.html#download/3","title":"Evision.Zoo.download/3","type":"function"},{"doc":"","ref":"Evision.Zoo.html#targets/0","title":"Evision.Zoo.targets/0","type":"function"},{"doc":"","ref":"Evision.Zoo.html#targets_reverse_lookup/0","title":"Evision.Zoo.targets_reverse_lookup/0","type":"function"},{"doc":"","ref":"Evision.Zoo.html#to_quoted_backend_and_target/1","title":"Evision.Zoo.to_quoted_backend_and_target/1","type":"function"},{"doc":"","ref":"Evision.Zoo.html#t:smartcell_option/0","title":"Evision.Zoo.smartcell_option/0","type":"type"},{"doc":"","ref":"Evision.Zoo.html#t:smartcell_param/0","title":"Evision.Zoo.smartcell_param/0","type":"type"},{"doc":"","ref":"Evision.Zoo.html#t:smartcell_param_map/0","title":"Evision.Zoo.smartcell_param_map/0","type":"type"},{"doc":"","ref":"Evision.Zoo.html#t:smartcell_params/0","title":"Evision.Zoo.smartcell_params/0","type":"type"},{"doc":"","ref":"Evision.Zoo.html#t:smartcell_tasks/0","title":"Evision.Zoo.smartcell_tasks/0","type":"type"},{"doc":"","ref":"Evision.Zoo.html#t:variant/0","title":"Evision.Zoo.variant/0","type":"type"},{"doc":"Face detection model collection.","ref":"Evision.Zoo.FaceDetection.html","title":"Evision.Zoo.FaceDetection","type":"module"},{"doc":"","ref":"Evision.Zoo.FaceDetection.html#id/0","title":"Evision.Zoo.FaceDetection.id/0","type":"function"},{"doc":"","ref":"Evision.Zoo.FaceDetection.html#label/0","title":"Evision.Zoo.FaceDetection.label/0","type":"function"},{"doc":"","ref":"Evision.Zoo.FaceDetection.html#module_list/0","title":"Evision.Zoo.FaceDetection.module_list/0","type":"function"},{"doc":"","ref":"Evision.Zoo.FaceDetection.html#modules/0","title":"Evision.Zoo.FaceDetection.modules/0","type":"function"},{"doc":"","ref":"Evision.Zoo.FaceDetection.html#smartcell_tasks/0","title":"Evision.Zoo.FaceDetection.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.FaceDetection.html#to_quoted/1","title":"Evision.Zoo.FaceDetection.to_quoted/1","type":"function"},{"doc":"YuNet is a light-weight, fast and accurate face detection model","ref":"Evision.Zoo.FaceDetection.YuNet.html","title":"Evision.Zoo.FaceDetection.YuNet","type":"module"},{"doc":"Default configuration.","ref":"Evision.Zoo.FaceDetection.YuNet.html#default_config/0","title":"Evision.Zoo.FaceDetection.YuNet.default_config/0","type":"function"},{"doc":"Docs in smart cell.","ref":"Evision.Zoo.FaceDetection.YuNet.html#docs/0","title":"Evision.Zoo.FaceDetection.YuNet.docs/0","type":"function"},{"doc":"Inference. Positional arguments self : Evision.FaceDetectorYN.t() . An initialized FaceDetectorYN model. image : Evision.Mat.maybe_mat_in() . Input image.","ref":"Evision.Zoo.FaceDetection.YuNet.html#infer/2","title":"Evision.Zoo.FaceDetection.YuNet.infer/2","type":"function"},{"doc":"Initialize model. Positional arguments model : String.t() | :default_model | :quant_model`. When model is a string, it will be treat as the path to a weight file and init/2 will load the model from it. When model is either :default_model or :quant_model , init/2 will download and load the predefined model. Keyword arguments input_size : {width=pos_integer(), height=pos_integer()} Input size of the image. It can be adjusted later with setInputSize/2 . Defaults to {320, 320} . conf_threshold : number() . Confidence threshold. Defaults to 0.9 nms_threshold : number() . NMS threshold. Defaults to 0.3 top_k : pos_integer() . Top k results. cache_dir : String.t() . Path to the cache directory. Optional. Defaults to :filename.basedir(:user_cache, &quot;&quot;, ...) backend : integer() . Specify the backend. Optional. Defaults to Evision.Constant.cv_DNN_BACKEND_OPENCV() . target : integer() . Specify the target. Optional. Defaults to Evision.Constant.cv_DNN_TARGET_CPU() .","ref":"Evision.Zoo.FaceDetection.YuNet.html#init/2","title":"Evision.Zoo.FaceDetection.YuNet.init/2","type":"function"},{"doc":"","ref":"Evision.Zoo.FaceDetection.YuNet.html#init/3","title":"Evision.Zoo.FaceDetection.YuNet.init/3","type":"function"},{"doc":"Model URL and filename of predefined model.","ref":"Evision.Zoo.FaceDetection.YuNet.html#model_info/1","title":"Evision.Zoo.FaceDetection.YuNet.model_info/1","type":"function"},{"doc":"Set the input size. infer/2 will call this function automatically. Positional arguments self : Evision.FaceDetectorYN.t() . An initialized FaceDetectorYN model. size : {width=pos_integer(), height=pos_integer()} . Input size of the image.","ref":"Evision.Zoo.FaceDetection.YuNet.html#setInputSize/2","title":"Evision.Zoo.FaceDetection.YuNet.setInputSize/2","type":"function"},{"doc":"Customizable parameters from smart cell.","ref":"Evision.Zoo.FaceDetection.YuNet.html#smartcell_params/0","title":"Evision.Zoo.FaceDetection.YuNet.smartcell_params/0","type":"function"},{"doc":"Smart cell tasks. A list of variants of the current model.","ref":"Evision.Zoo.FaceDetection.YuNet.html#smartcell_tasks/0","title":"Evision.Zoo.FaceDetection.YuNet.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.FaceDetection.YuNet.html#to_quoted/1","title":"Evision.Zoo.FaceDetection.YuNet.to_quoted/1","type":"function"},{"doc":"Visualize the result. Positional arguments image : Evision.Mat.maybe_mat_in() . Original image. results : Evision.Mat.maybe_mat_in() , nil . Results given by infer/2 . Keyword arguments box_color : {blue=integer(), green=integer(), red=integer()} . Values should be in [0, 255] . Defaults to {0, 255, 0} . Specify the color of the bounding box. text_color : {blue=integer(), green=integer(), red=integer()} . Values should be in [0, 255] . Defaults to {0, 0, 255} . Specify the color of the text (confidence value). Return An image with bounding boxes and corresponding confidence values.","ref":"Evision.Zoo.FaceDetection.YuNet.html#visualize/3","title":"Evision.Zoo.FaceDetection.YuNet.visualize/3","type":"function"},{"doc":"Face recognition model collection.","ref":"Evision.Zoo.FaceRecognition.html","title":"Evision.Zoo.FaceRecognition","type":"module"},{"doc":"","ref":"Evision.Zoo.FaceRecognition.html#id/0","title":"Evision.Zoo.FaceRecognition.id/0","type":"function"},{"doc":"","ref":"Evision.Zoo.FaceRecognition.html#label/0","title":"Evision.Zoo.FaceRecognition.label/0","type":"function"},{"doc":"","ref":"Evision.Zoo.FaceRecognition.html#module_list/0","title":"Evision.Zoo.FaceRecognition.module_list/0","type":"function"},{"doc":"","ref":"Evision.Zoo.FaceRecognition.html#modules/0","title":"Evision.Zoo.FaceRecognition.modules/0","type":"function"},{"doc":"","ref":"Evision.Zoo.FaceRecognition.html#smartcell_tasks/0","title":"Evision.Zoo.FaceRecognition.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.FaceRecognition.html#to_quoted/1","title":"Evision.Zoo.FaceRecognition.to_quoted/1","type":"function"},{"doc":"SFace: Sigmoid-Constrained Hypersphere Loss for Robust Face Recognition","ref":"Evision.Zoo.FaceRecognition.SFace.html","title":"Evision.Zoo.FaceRecognition.SFace","type":"module"},{"doc":"Default configuration.","ref":"Evision.Zoo.FaceRecognition.SFace.html#default_config/0","title":"Evision.Zoo.FaceRecognition.SFace.default_config/0","type":"function"},{"doc":"Docs in smart cell.","ref":"Evision.Zoo.FaceRecognition.SFace.html#docs/0","title":"Evision.Zoo.FaceRecognition.SFace.docs/0","type":"function"},{"doc":"Get feature for the input face image. Positional arguments self : Evision.FaceRecognizerSF.t() . An initialized FaceRecognizerSF model. face_image : Evision.Mat.maybe_mat_in() . Input face image. bbox : Evision.Mat.maybe_mat_in() . Optional bounding box that specifies the face location in the given image. Defaults to nil . When bbox is not nil , preprocess/3 will crop the face from given image and use the cropped image as the input. Otherwise, face_image will be set as the input.","ref":"Evision.Zoo.FaceRecognition.SFace.html#infer/3","title":"Evision.Zoo.FaceRecognition.SFace.infer/3","type":"function"},{"doc":"Initialize model. Positional arguments model : String.t() | :default_model | :quant_model . When model is a string, it will be treat as the path to a weight file and init/2 will load the model from it. When model is either :default_model or :quant_model , init/2 will download and load the predefined model. Keyword arguments cache_dir : String.t() . Path to the cache directory. Optional. Defaults to :filename.basedir(:user_cache, &quot;&quot;, ...) backend : integer() . Specify the backend. Optional. Defaults to Evision.Constant.cv_DNN_BACKEND_OPENCV() . target : integer() . Specify the target. Optional. Defaults to Evision.Constant.cv_DNN_TARGET_CPU() .","ref":"Evision.Zoo.FaceRecognition.SFace.html#init/2","title":"Evision.Zoo.FaceRecognition.SFace.init/2","type":"function"},{"doc":"Compare two faces. Positional Arguments self : Evision.FaceRecognizerSF.t() original : Evision.Mat.maybe_mat_in() . Original face. comparison : Evision.Mat.maybe_mat_in() . Comparison face. Keyword Arguments distance_type : atom . Either :cosine_similarity or :l2_norm . Defaults to :cosine_similarity . cosine_threshold : number() . Defaults to 0.363 . l2_norm_threshold : number() . Defaults to 1.128 . detector_module : module() . Face detector module. Defaults to Evision.Zoo.FaceDetection.YuNet . detector_model : String.t() | atom() . Face detector model name or path to model weights. Defaults to :default_model . detector_opts : Keyword.t() . Face detector initialization options. Defaults to [] . Return A map with three keys. matched : boolean() true if two faces match, false otherwise. measure : &quot;cosine_score&quot; | &quot; l2_norm_distance &quot; Distance type. retval : number() When measure == &quot;cosine_score&quot; , retval is the cosine similarity score. When measure == &quot;l2_norm_distance&quot; , retval is the L2 norm distance.","ref":"Evision.Zoo.FaceRecognition.SFace.html#match/4","title":"Evision.Zoo.FaceRecognition.SFace.match/4","type":"function"},{"doc":"Compare two face features. Positional Arguments self : Evision.FaceRecognizerSF.t() face1_feat : Evision.Mat.maybe_mat_in() . Feature value of face 1. face2_feat : Evision.Mat.maybe_mat_in() . Feature value of face 2. Keyword Arguments distance_type : atom . Either :cosine_similarity or :l2_norm . Defaults to :cosine_similarity . cosine_threshold : number() . Defaults to 0.363 . l2_norm_threshold : number() . Defaults to 1.128 . Return A map with three keys. matched : boolean() true if two faces match, false otherwise. measure : &quot;cosine_score&quot; | &quot; l2_norm_distance &quot; Distance type. retval : number() When measure == &quot;cosine_score&quot; , retval is the cosine similarity score. When measure == &quot;l2_norm_distance&quot; , retval is the L2 norm distance.","ref":"Evision.Zoo.FaceRecognition.SFace.html#match_feature/4","title":"Evision.Zoo.FaceRecognition.SFace.match_feature/4","type":"function"},{"doc":"Model URL and filename of predefined model.","ref":"Evision.Zoo.FaceRecognition.SFace.html#model_info/1","title":"Evision.Zoo.FaceRecognition.SFace.model_info/1","type":"function"},{"doc":"Preprocessing the input face image. infer/3 will call this function automatically. Positional arguments self : Evision.FaceRecognizerSF.t() . An initialized FaceRecognizerSF model. face_image : Evision.Mat.maybe_mat_in() . Input face image. bbox : Evision.Mat.maybe_mat_in() . Optional bounding box that specifies the face location in the given image. Defaults to nil . When bbox is not nil , preprocess/3 will crop the face from given image and return the cropped image. Otherwise, face_image will be returned.","ref":"Evision.Zoo.FaceRecognition.SFace.html#preprocess/3","title":"Evision.Zoo.FaceRecognition.SFace.preprocess/3","type":"function"},{"doc":"Customizable parameters from smart cell.","ref":"Evision.Zoo.FaceRecognition.SFace.html#smartcell_params/0","title":"Evision.Zoo.FaceRecognition.SFace.smartcell_params/0","type":"function"},{"doc":"Smart cell tasks. A list of variants of the current model.","ref":"Evision.Zoo.FaceRecognition.SFace.html#smartcell_tasks/0","title":"Evision.Zoo.FaceRecognition.SFace.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.FaceRecognition.SFace.html#to_quoted/1","title":"Evision.Zoo.FaceRecognition.SFace.to_quoted/1","type":"function"},{"doc":"Image classfication model collection.","ref":"Evision.Zoo.ImageClassification.html","title":"Evision.Zoo.ImageClassification","type":"module"},{"doc":"","ref":"Evision.Zoo.ImageClassification.html#id/0","title":"Evision.Zoo.ImageClassification.id/0","type":"function"},{"doc":"","ref":"Evision.Zoo.ImageClassification.html#label/0","title":"Evision.Zoo.ImageClassification.label/0","type":"function"},{"doc":"","ref":"Evision.Zoo.ImageClassification.html#module_list/0","title":"Evision.Zoo.ImageClassification.module_list/0","type":"function"},{"doc":"","ref":"Evision.Zoo.ImageClassification.html#modules/0","title":"Evision.Zoo.ImageClassification.modules/0","type":"function"},{"doc":"","ref":"Evision.Zoo.ImageClassification.html#smartcell_tasks/0","title":"Evision.Zoo.ImageClassification.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.ImageClassification.html#to_quoted/1","title":"Evision.Zoo.ImageClassification.to_quoted/1","type":"function"},{"doc":"MobileNets: Efficient Convolutional Neural Networks for Mobile Vision Applications","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html","title":"Evision.Zoo.ImageClassification.MobileNetV1","type":"module"},{"doc":"Default configuration.","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#default_config/0","title":"Evision.Zoo.ImageClassification.MobileNetV1.default_config/0","type":"function"},{"doc":"Docs in smart cell.","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#docs/0","title":"Evision.Zoo.ImageClassification.MobileNetV1.docs/0","type":"function"},{"doc":"Get labels. Keyword arguments labels_path : String.t() . Path to the label file. Defaults to nil . When labels_path is nil , get_labels/1 will try to download the default label file. cache_dir : String.t() . Path to the cache directory. Optional. Defaults to :filename.basedir(:user_cache, &quot;&quot;, ...) Returns A list of labels.","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#get_labels/1","title":"Evision.Zoo.ImageClassification.MobileNetV1.get_labels/1","type":"function"},{"doc":"Inference. Positional arguments self : Evision.DNN.Net.t() . An initialized MobileNetV1 model. image : Evision.Mat.maybe_mat_in() . Input image. Keyword arguments top_k : pos_integer() . Get top k results. Optional. Defaults to 5 .","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#infer/3","title":"Evision.Zoo.ImageClassification.MobileNetV1.infer/3","type":"function"},{"doc":"Initialize model. Positional arguments model : String.t() | :default_model | :quant_model . When model is a string, it will be treat as the path to a weight file and init/2 will load the model from it. When model is either :default_model or :quant_model , init/2 will download and load the predefined model. Keyword arguments cache_dir : String.t() . Path to the cache directory. Optional. Defaults to :filename.basedir(:user_cache, &quot;&quot;, ...) backend : integer() . Specify the backend. Optional. Defaults to Evision.Constant.cv_DNN_BACKEND_OPENCV() . target : integer() . Specify the target. Optional. Defaults to Evision.Constant.cv_DNN_TARGET_CPU() .","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#init/2","title":"Evision.Zoo.ImageClassification.MobileNetV1.init/2","type":"function"},{"doc":"Default label file URL and filename.","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#labels/0","title":"Evision.Zoo.ImageClassification.MobileNetV1.labels/0","type":"function"},{"doc":"Model URL and filename of predefined model.","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#model_info/1","title":"Evision.Zoo.ImageClassification.MobileNetV1.model_info/1","type":"function"},{"doc":"Preprocessing the input image. infer/3 will call this function automatically. Positional arguments image : Evision.Mat.maybe_mat_in() . Input image.","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#preprocess/1","title":"Evision.Zoo.ImageClassification.MobileNetV1.preprocess/1","type":"function"},{"doc":"Customizable parameters from smart cell.","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#smartcell_params/0","title":"Evision.Zoo.ImageClassification.MobileNetV1.smartcell_params/0","type":"function"},{"doc":"Smart cell tasks. A list of variants of the current model.","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#smartcell_tasks/0","title":"Evision.Zoo.ImageClassification.MobileNetV1.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.ImageClassification.MobileNetV1.html#to_quoted/1","title":"Evision.Zoo.ImageClassification.MobileNetV1.to_quoted/1","type":"function"},{"doc":"Deep Residual Learning for Image Recognition.","ref":"Evision.Zoo.ImageClassification.PPResNet.html","title":"Evision.Zoo.ImageClassification.PPResNet","type":"module"},{"doc":"Default configuration.","ref":"Evision.Zoo.ImageClassification.PPResNet.html#default_config/0","title":"Evision.Zoo.ImageClassification.PPResNet.default_config/0","type":"function"},{"doc":"Docs in smart cell.","ref":"Evision.Zoo.ImageClassification.PPResNet.html#docs/0","title":"Evision.Zoo.ImageClassification.PPResNet.docs/0","type":"function"},{"doc":"Get labels. Keyword arguments labels_path : String.t() . Path to the label file. Defaults to nil . When labels_path is nil , get_labels/1 will try to download the default label file. cache_dir : String.t() . Path to the cache directory. Optional. Defaults to :filename.basedir(:user_cache, &quot;&quot;, ...) Returns A list of labels.","ref":"Evision.Zoo.ImageClassification.PPResNet.html#get_labels/1","title":"Evision.Zoo.ImageClassification.PPResNet.get_labels/1","type":"function"},{"doc":"Inference. Positional arguments self : Evision.DNN.Net.t() . An initialized PPResNet model. image : Evision.Mat.maybe_mat_in() . Input image. Keyword arguments top_k : pos_integer() . Get top k results. Optional. Defaults to 5 .","ref":"Evision.Zoo.ImageClassification.PPResNet.html#infer/3","title":"Evision.Zoo.ImageClassification.PPResNet.infer/3","type":"function"},{"doc":"Initialize model. Positional arguments model : String.t() | :default_model | :quant_model . When model is a string, it will be treat as the path to a weight file and init/2 will load the model from it. When model is either :default_model or :quant_model , init/2 will download and load the predefined model. Keyword arguments cache_dir : String.t() . Path to the cache directory. Optional. Defaults to :filename.basedir(:user_cache, &quot;&quot;, ...) backend : integer() . Specify the backend. Optional. Defaults to Evision.Constant.cv_DNN_BACKEND_OPENCV() . target : integer() . Specify the target. Optional. Defaults to Evision.Constant.cv_DNN_TARGET_CPU() .","ref":"Evision.Zoo.ImageClassification.PPResNet.html#init/2","title":"Evision.Zoo.ImageClassification.PPResNet.init/2","type":"function"},{"doc":"Default label file URL and filename.","ref":"Evision.Zoo.ImageClassification.PPResNet.html#labels/0","title":"Evision.Zoo.ImageClassification.PPResNet.labels/0","type":"function"},{"doc":"Model URL and filename of predefined model.","ref":"Evision.Zoo.ImageClassification.PPResNet.html#model_info/1","title":"Evision.Zoo.ImageClassification.PPResNet.model_info/1","type":"function"},{"doc":"Preprocessing the input image. infer/3 will call this function automatically. Positional arguments image : Evision.Mat.maybe_mat_in() . Input image.","ref":"Evision.Zoo.ImageClassification.PPResNet.html#preprocess/1","title":"Evision.Zoo.ImageClassification.PPResNet.preprocess/1","type":"function"},{"doc":"Customizable parameters from smart cell.","ref":"Evision.Zoo.ImageClassification.PPResNet.html#smartcell_params/0","title":"Evision.Zoo.ImageClassification.PPResNet.smartcell_params/0","type":"function"},{"doc":"Smart cell tasks. A list of variants of the current model.","ref":"Evision.Zoo.ImageClassification.PPResNet.html#smartcell_tasks/0","title":"Evision.Zoo.ImageClassification.PPResNet.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.ImageClassification.PPResNet.html#to_quoted/1","title":"Evision.Zoo.ImageClassification.PPResNet.to_quoted/1","type":"function"},{"doc":"Image segmentation model collection.","ref":"Evision.Zoo.ImageSegmentation.html","title":"Evision.Zoo.ImageSegmentation","type":"module"},{"doc":"","ref":"Evision.Zoo.ImageSegmentation.html#color_map/1","title":"Evision.Zoo.ImageSegmentation.color_map/1","type":"function"},{"doc":"","ref":"Evision.Zoo.ImageSegmentation.html#id/0","title":"Evision.Zoo.ImageSegmentation.id/0","type":"function"},{"doc":"","ref":"Evision.Zoo.ImageSegmentation.html#label/0","title":"Evision.Zoo.ImageSegmentation.label/0","type":"function"},{"doc":"","ref":"Evision.Zoo.ImageSegmentation.html#module_list/0","title":"Evision.Zoo.ImageSegmentation.module_list/0","type":"function"},{"doc":"","ref":"Evision.Zoo.ImageSegmentation.html#modules/0","title":"Evision.Zoo.ImageSegmentation.modules/0","type":"function"},{"doc":"","ref":"Evision.Zoo.ImageSegmentation.html#smartcell_tasks/0","title":"Evision.Zoo.ImageSegmentation.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.ImageSegmentation.html#to_quoted/1","title":"Evision.Zoo.ImageSegmentation.to_quoted/1","type":"function"},{"doc":"PP-Human Segmentation model.","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg","type":"module"},{"doc":"Default configuration.","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html#default_config/0","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg.default_config/0","type":"function"},{"doc":"Docs in smart cell.","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html#docs/0","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg.docs/0","type":"function"},{"doc":"Inference. Positional arguments self : Evision.DNN.Net.t() . An initialized PPHumanSeg model. image : Evision.Mat.maybe_mat_in() . Input image.","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html#infer/2","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg.infer/2","type":"function"},{"doc":"Initialize model. Positional arguments model : String.t() | :default_model | :quant_model . When model is a string, it will be treat as the path to a weight file and init/2 will load the model from it. When model is either :default_model or :quant_model , init/2 will download and load the predefined model. Keyword arguments cache_dir : String.t() . Path to the cache directory. Optional. Defaults to :filename.basedir(:user_cache, &quot;&quot;, ...) backend : integer() . Specify the backend. Optional. Defaults to Evision.Constant.cv_DNN_BACKEND_OPENCV() . target : integer() . Specify the target. Optional. Defaults to Evision.Constant.cv_DNN_TARGET_CPU() .","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html#init/2","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg.init/2","type":"function"},{"doc":"Model URL and filename of predefined model.","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html#model_info/1","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg.model_info/1","type":"function"},{"doc":"Preprocessing the input image. infer/2 will call this function automatically. Positional arguments image : Evision.Mat.maybe_mat_in() . Input image.","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html#preprocess/1","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg.preprocess/1","type":"function"},{"doc":"Customizable parameters from smart cell.","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html#smartcell_params/0","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg.smartcell_params/0","type":"function"},{"doc":"Smart cell tasks. A list of variants of the current model.","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html#smartcell_tasks/0","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html#to_quoted/1","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg.to_quoted/1","type":"function"},{"doc":"Visualize the result. Positional arguments image : Evision.Mat.maybe_mat_in() . Original image. results : Evision.Mat.maybe_mat_in() . Results given by infer/2 . Keyword arguments weight : number() . A number in [0.0, 1.0] . Defaults to 0.6 . Specify the weight of the original image. The weight of the segmentation visualization image will be 1 - weight . Return A list that contains two images ( Evision.Mat.t() ). The first one is the original image with the segmentation overlay. The second one is the segmentation image.","ref":"Evision.Zoo.ImageSegmentation.PPHumanSeg.html#visualize/3","title":"Evision.Zoo.ImageSegmentation.PPHumanSeg.visualize/3","type":"function"},{"doc":"Text detection model collection.","ref":"Evision.Zoo.TextDetection.html","title":"Evision.Zoo.TextDetection","type":"module"},{"doc":"","ref":"Evision.Zoo.TextDetection.html#id/0","title":"Evision.Zoo.TextDetection.id/0","type":"function"},{"doc":"","ref":"Evision.Zoo.TextDetection.html#label/0","title":"Evision.Zoo.TextDetection.label/0","type":"function"},{"doc":"","ref":"Evision.Zoo.TextDetection.html#module_list/0","title":"Evision.Zoo.TextDetection.module_list/0","type":"function"},{"doc":"","ref":"Evision.Zoo.TextDetection.html#modules/0","title":"Evision.Zoo.TextDetection.modules/0","type":"function"},{"doc":"","ref":"Evision.Zoo.TextDetection.html#smartcell_tasks/0","title":"Evision.Zoo.TextDetection.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.TextDetection.html#to_quoted/1","title":"Evision.Zoo.TextDetection.to_quoted/1","type":"function"},{"doc":"Real-time Scene Text Detection with Differentiable Binarization IC15 model is trained on IC15 dataset, which can detect English text instances only. TD500 model is trained on TD500 dataset, which can detect both English &amp; Chinese instances.","ref":"Evision.Zoo.TextDetection.DB.html","title":"Evision.Zoo.TextDetection.DB","type":"module"},{"doc":"Default configuration.","ref":"Evision.Zoo.TextDetection.DB.html#default_config/0","title":"Evision.Zoo.TextDetection.DB.default_config/0","type":"function"},{"doc":"Docs in smart cell.","ref":"Evision.Zoo.TextDetection.DB.html#docs/0","title":"Evision.Zoo.TextDetection.DB.docs/0","type":"function"},{"doc":"Inference. Positional arguments self : Evision.DNN.TextDetectionModelDB.t() . An initialized Evision.DNN.TextDetectionModelDB model. image : Evision.Mat.maybe_mat_in() . Input image. Return {detections, confidence}","ref":"Evision.Zoo.TextDetection.DB.html#infer/2","title":"Evision.Zoo.TextDetection.DB.infer/2","type":"function"},{"doc":"Initialize model. Positional arguments model : String.t() | :ic15_resnet18 | :ic15_resnet50 | :td500_resnet18 | :td500_resnet50 When model is a string, it will be treat as the path to a weight file and init/2 will load the model from it. When model is one of :ic15_resnet18 , :ic15_resnet50 , :td500_resnet18 or :td500_resnet50 , init/2 will download and load the predefined model. Keyword arguments cache_dir : String.t() . Path to the cache directory. Optional. Defaults to :filename.basedir(:user_cache, &quot;&quot;, ...) backend : integer() . Specify the backend. Optional. Defaults to Evision.Constant.cv_DNN_BACKEND_OPENCV() . target : integer() . Specify the target. Optional. Defaults to Evision.Constant.cv_DNN_TARGET_CPU() .","ref":"Evision.Zoo.TextDetection.DB.html#init/2","title":"Evision.Zoo.TextDetection.DB.init/2","type":"function"},{"doc":"Model URL and filename of predefined model.","ref":"Evision.Zoo.TextDetection.DB.html#model_info/1","title":"Evision.Zoo.TextDetection.DB.model_info/1","type":"function"},{"doc":"Customizable parameters from smart cell.","ref":"Evision.Zoo.TextDetection.DB.html#smartcell_params/0","title":"Evision.Zoo.TextDetection.DB.smartcell_params/0","type":"function"},{"doc":"Smart cell tasks. A list of variants of the current model.","ref":"Evision.Zoo.TextDetection.DB.html#smartcell_tasks/0","title":"Evision.Zoo.TextDetection.DB.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.TextDetection.DB.html#to_quoted/1","title":"Evision.Zoo.TextDetection.DB.to_quoted/1","type":"function"},{"doc":"Visualize the result. Positional arguments image : Evision.Mat.maybe_mat_in() . Original image. detections : list({{number(), number()}, {number(), number()}, number()}) . Rotation retangulars. confidences : list(number()) . Confidence values. Keyword arguments box_color : {blue=integer(), green=integer(), red=integer()} . Values should be in [0, 255] . Defaults to {0, 255, 0} . Specify the color of the bounding box. text_color : {blue=integer(), green=integer(), red=integer()} . Values should be in [0, 255] . Defaults to {0, 0, 255} . Specify the color of the text (confidence value).","ref":"Evision.Zoo.TextDetection.DB.html#visualize/4","title":"Evision.Zoo.TextDetection.DB.visualize/4","type":"function"},{"doc":"Text recognition model collection.","ref":"Evision.Zoo.TextRecognition.html","title":"Evision.Zoo.TextRecognition","type":"module"},{"doc":"","ref":"Evision.Zoo.TextRecognition.html#id/0","title":"Evision.Zoo.TextRecognition.id/0","type":"function"},{"doc":"","ref":"Evision.Zoo.TextRecognition.html#label/0","title":"Evision.Zoo.TextRecognition.label/0","type":"function"},{"doc":"","ref":"Evision.Zoo.TextRecognition.html#module_list/0","title":"Evision.Zoo.TextRecognition.module_list/0","type":"function"},{"doc":"","ref":"Evision.Zoo.TextRecognition.html#modules/0","title":"Evision.Zoo.TextRecognition.modules/0","type":"function"},{"doc":"","ref":"Evision.Zoo.TextRecognition.html#smartcell_tasks/0","title":"Evision.Zoo.TextRecognition.smartcell_tasks/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.TextRecognition.html#to_quoted/1","title":"Evision.Zoo.TextRecognition.to_quoted/1","type":"function"},{"doc":"An End-to-End Trainable Neural Network for Image-based Sequence Recognition and Its Application to Scene Text Recognition. 'FP16' or 'INT8' stands for 'model quantized into FP16' or 'model quantized into int8'. CRNN_EN and it variants can detect digits (0-9) and letters (return lowercase letters a-z). CRNN_CH and it variants can detect digits (0-9), upper/lower-case letters (a-z and A-Z), and some special characters. CRNN_CN and it variants can detect digits (0-9), upper/lower-case letters (a-z and A-Z), some Chinese characters and some special characters.","ref":"Evision.Zoo.TextRecognition.CRNN.html","title":"Evision.Zoo.TextRecognition.CRNN","type":"module"},{"doc":"","ref":"Evision.Zoo.TextRecognition.CRNN.html#charset_info/1","title":"Evision.Zoo.TextRecognition.CRNN.charset_info/1","type":"function"},{"doc":"","ref":"Evision.Zoo.TextRecognition.CRNN.html#chartset_info/1","title":"Evision.Zoo.TextRecognition.CRNN.chartset_info/1","type":"function"},{"doc":"Default configuration.","ref":"Evision.Zoo.TextRecognition.CRNN.html#default_config/0","title":"Evision.Zoo.TextRecognition.CRNN.default_config/0","type":"function"},{"doc":"Docs in smart cell.","ref":"Evision.Zoo.TextRecognition.CRNN.html#docs/0","title":"Evision.Zoo.TextRecognition.CRNN.docs/0","type":"function"},{"doc":"Get charset","ref":"Evision.Zoo.TextRecognition.CRNN.html#get_charset/2","title":"Evision.Zoo.TextRecognition.CRNN.get_charset/2","type":"function"},{"doc":"Inference. Positional arguments self : Evision.DNN.Net.t() . An initialized CRNN model. image : Evision.Mat.maybe_mat_in() . Input image. rotation_box : Evision.Mat.maybe_mat_in() . Rotation box. Keyword arguments charset : [binary] | :en | :ch | :cn Required. The corresponding charset for the model. to_gray : boolean . Required. The input image need to be converted to grayscale if the model is :en* . Please set to true if the model is :en* .","ref":"Evision.Zoo.TextRecognition.CRNN.html#infer/4","title":"Evision.Zoo.TextRecognition.CRNN.infer/4","type":"function"},{"doc":"Initialize model. Positional arguments model : String.t() | :en | :en_fp16 | :en_int8 | :ch | :ch_fp16 | :ch_int8 | :cn | :cn_int8 . When model is a string, it will be treat as the path to a weight file and init/2 will load the model from it. When model is one the allowed atoms, init/2 will download and load the predefined model. Keyword arguments cache_dir : String.t() . Path to the cache directory. Optional. Defaults to :filename.basedir(:user_cache, &quot;&quot;, ...) backend : integer() . Specify the backend. Optional. Defaults to Evision.Constant.cv_DNN_BACKEND_OPENCV() . target : integer() . Specify the target. Optional. Defaults to Evision.Constant.cv_DNN_TARGET_CPU() .","ref":"Evision.Zoo.TextRecognition.CRNN.html#init/2","title":"Evision.Zoo.TextRecognition.CRNN.init/2","type":"function"},{"doc":"Get default input size","ref":"Evision.Zoo.TextRecognition.CRNN.html#input_size/0","title":"Evision.Zoo.TextRecognition.CRNN.input_size/0","type":"function"},{"doc":"Model URL and filename of predefined model.","ref":"Evision.Zoo.TextRecognition.CRNN.html#model_info/1","title":"Evision.Zoo.TextRecognition.CRNN.model_info/1","type":"function"},{"doc":"Postprocessing the results. infer/4 will call this function automatically. Positional arguments image : Evision.Mat.maybe_mat_in() . Input image.","ref":"Evision.Zoo.TextRecognition.CRNN.html#postprocess/2","title":"Evision.Zoo.TextRecognition.CRNN.postprocess/2","type":"function"},{"doc":"Preprocessing the input image. infer/4 will call this function automatically. Positional arguments image : Evision.Mat.maybe_mat_in() . Input image.","ref":"Evision.Zoo.TextRecognition.CRNN.html#preprocess/3","title":"Evision.Zoo.TextRecognition.CRNN.preprocess/3","type":"function"},{"doc":"Customizable parameters from smart cell.","ref":"Evision.Zoo.TextRecognition.CRNN.html#smartcell_params/0","title":"Evision.Zoo.TextRecognition.CRNN.smartcell_params/0","type":"function"},{"doc":"Smart cell tasks. A list of variants of the current model.","ref":"Evision.Zoo.TextRecognition.CRNN.html#smartcell_tasks/0","title":"Evision.Zoo.TextRecognition.CRNN.smartcell_tasks/0","type":"function"},{"doc":"Get default target vertices","ref":"Evision.Zoo.TextRecognition.CRNN.html#target_vertices/0","title":"Evision.Zoo.TextRecognition.CRNN.target_vertices/0","type":"function"},{"doc":"Generate quoted code from smart cell attrs.","ref":"Evision.Zoo.TextRecognition.CRNN.html#to_quoted/1","title":"Evision.Zoo.TextRecognition.CRNN.to_quoted/1","type":"function"},{"doc":"Visualize the result. Positional arguments image : Evision.Mat.maybe_mat_in() . Original image. results : Evision.Mat.maybe_mat_in() . Results given by infer/2 . Keyword arguments box_color : {blue=integer(), green=integer(), red=integer()} . Values should be in [0, 255] . Defaults to {0, 255, 0} . Specify the color of the bounding box. text_color : {blue=integer(), green=integer(), red=integer()} . Values should be in [0, 255] . Defaults to {0, 0, 255} . Specify the color of the text (confidence value).","ref":"Evision.Zoo.TextRecognition.CRNN.html#visualize/5","title":"Evision.Zoo.TextRecognition.CRNN.visualize/5","type":"function"},{"doc":"A task responsible for downloading the precompiled NIFs for a given module. This task must only be used by package creators who want to ship the precompiled NIFs. The goal is to download the precompiled packages and generate a checksum to check-in alongside the project in the the Hex repository. This is done by passing the --all flag. You can also use the --only-local flag to download only the precompiled package for use during development. You can use the --ignore-unavailable flag to ignore any NIFs that are not available. This is useful when you are developing a new NIF that does not support all platforms. This task also accept the --print flag to print the checksums.","ref":"Mix.Tasks.Evision.Fetch.html","title":"Mix.Tasks.Evision.Fetch","type":"task"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Browse the Repository | Released Assets Breaking Changes [Evision.Constant] Constant values are all relocated to the Evision.Constant module. To use them, either do Evision.Constant . cv_IMREAD_ANY ( ) or import Evision.Constant cv_IMREAD_ANY ( ) [Evision] Evision.__enabled_modules__/0 =&gt; Evision.enabled_modules/0 . Result will now be computed using HAVE_OPENCV_{MODULE_NAME} macros. Fixed [Evision.Mat] fixed Evision.Mat.update_roi/3 . [py_src] fix incorrect typespecs. [py_src] VideoCaptureAPIs should be a single number instead of a list of number. Changed [c_src] check if we can use existing atom from enif_make_existing_atom before calling to enif_make_atom . Added OpenCV contrib modules. For users who prefer using precompiled binaries, almost all modules in opencv_contrib is included in precompiled archives (except for CUDA related ones, please see the next bullet point), and this will be the new default for precompiled users. However, we do provide precompiled binaries that only include core modules. Please see the next paragraph. For all users, to use core modules only, please set env var EVISION_ENABLE_CONTRIB=false . CUDA 11 + cudnn 8 support with precompiled binaries. Note that CUDA 11 and cudnn 8 runtime libraries/dll files are not included in the precompiled archive. Please following the installation guide on NVIDIA's website. For precompiled binaries users, please set EVISION_ENABLE_CUDA to true . Besides that, there are 3 CUDA versions to choose: EVISION_CUDA_VERSION=111 EVISION_CUDA_VERSION=114 EVISION_CUDA_VERSION=118 Please choose the one that matches your local CUDA versions, and set this EVISION_CUDA_VERSION env var correspondingly. For users who prefer compiling from source, you'll only need to set EVISION_ENABLE_CUDA to true , and OpenCV will detect and use (if possible) your local CUDA/cudnn runtime. Lastly, if EVISION_ENABLE_CUDA is true while EVISION_ENABLE_CONTRIB is false , CUDA related modules will not be compiled/downloaded.","ref":"changelog.html#v0-1-27-2022-01-21","title":"Changelog - v0.1.27 (2022-01-21)","type":"extras"},{"doc":"Please use v0.1.27 as windows precompilation binaries were invalid.","ref":"changelog.html#v0-1-26-2022-01-21","title":"Changelog - v0.1.26 (2022-01-21)","type":"extras"},{"doc":"Browse the Repository | Released Assets Fixed [smartcell] fixed a typo in SFace.","ref":"changelog.html#v0-1-25-2022-12-18","title":"Changelog - v0.1.25 (2022-12-18)","type":"extras"},{"doc":"Browse the Repository | Released Assets Fixed [smartcell] fixed charset loading when initialising FP16/INT8 CRNN models. #144 [smartcell] fixed OpenCL target label. Changed [smartcell] register the model zoo smart cell ( Evision.SmartCell.Zoo ) on starting. Thanks to @josevalim. [smartcell] make :kino and :progress_bar optional dependencies. [ci] added one more step to make sure it compiles without optional deps. Thanks to @josevalim. [smartcell] hide all FP16 models of CRNN because they were not supported until opencv/opencv #22337 , which was after the release date of OpenCV 4.6.0. See more on https://github.com/opencv/opencv/issues/18735#issuecomment-1273125970 . [smartcell] hide CRNN CH (INT8) and CRNN EN (INT8) because OpenCV 4.6.0 seemed to have problems loading/parsing them even with the demo.py script in the official opencv_zoo repo.","ref":"changelog.html#v0-1-23-v0-1-24-2022-12-17","title":"Changelog - v0.1.23/v0.1.24 (2022-12-17)","type":"extras"},{"doc":"Browse the Repository | Released Assets Added [smartcell] OpenCV Model Zoo. Evision.SmartCell.Zoo","ref":"changelog.html#v0-1-22-2022-12-16","title":"Changelog - v0.1.22 (2022-12-16)","type":"extras"},{"doc":"Browse the Repository | Released Assets Fixed [py_src] fixed functions in dnn that return *this . For this part, this original code (as in python-opencv ) would case a new object to be allocated in C++ like TextDetectionModel_DB retval; retval = self.setSomeValue(...) return pyopencv_from(retval); Noticing the address of the object has changed (because it's a new one) after calling m.setBinaryThreshold . &gt;&gt;&gt; import cv2' &gt;&gt;&gt; m = cv2.dnn_TextDetectionModel_DB(&quot;DB_IC15_resnet18.onnx&quot;) &gt;&gt;&gt; m &lt; cv2.dnn.TextDetectionModel_DB 0x1064cf210&gt; &gt;&gt;&gt; m.setBinaryThreshold(0.5) &lt; cv2.dnn.TextDetectionModel_DB 0x11ecda7f0&gt;","ref":"changelog.html#v0-1-21-2022-11-25","title":"Changelog - v0.1.21 (2022-11-25)","type":"extras"},{"doc":"Browse the Repository | Released Assets Fixed [Precompiled] fixed incorrect checksum for x86_64-linux-gnu .","ref":"changelog.html#v0-1-20-2022-11-24","title":"Changelog - v0.1.20 (2022-11-24)","type":"extras"},{"doc":"Browse the Repository | Released Assets Changed [py_src/c_src] Added has_default field to ArgInfo .","ref":"changelog.html#v0-1-19-2022-11-14","title":"Changelog - v0.1.19 (2022-11-14)","type":"extras"},{"doc":"Browse the Repository | Released Assets Fixes [precompile] Fixed Mix.Tasks.Compile.EvisionPrecompiled.read_checksum_map/1 [py_src] Fixed code generation for derived classes in namespace cv::dnn [test] added test for Evision.DNN.DetectionModel .","ref":"changelog.html#v0-1-18-2022-11-12","title":"Changelog - v0.1.18 (2022-11-12)","type":"extras"},{"doc":"Browse the Repository | Released Assets Fixes [py_src] Fixed a code generation bug when all the input arguments of a function are optional. Changed [example] Req.get! should only raise on 4xx and 5xx. Thanks @wojtekmach Added [example] Added two examples: find and draw contours in an image. extracting sudoku puzzle from an image. [erlang] Structurised/recordized all #reference s that have their own Erlang module. [erlang] Download precompiled binaries using evision_precompiled.erl . [erlang] Generate typespecs.","ref":"changelog.html#v0-1-17-2022-11-11","title":"Changelog - v0.1.17 (2022-11-11)","type":"extras"},{"doc":"Browse the Repository | Released Assets Fixes [deps] :kino will be an optional dependency, if we use if before defmodule . This reverts the changes in in v0.1.15. Thanks @josevalim for helping me figuring out why using if before defmodule would solve the problem. More details can be found here . Changes [config.exs] Added configurable parameters related to rendering Evision.Mat in Kino. (They are optional and can also be adjusted in runtime) config :evision, kino_render_image_encoding: :png config :evision, kino_render_image_max_size: {8192, 8192} config :evision, kino_render_tab_order: [:image, :raw, :numerical] Added [Evision.Mat] Added a few functions related to Kino.Render Function Description Evision.Mat.kino_render_tab_order/0 Get preferred order of Kino.Layout tabs for Evision.Mat in Livebook. Evision.Mat.set_kino_render_tab_order/1 Set preferred order of Kino.Layout tabs for Evision.Mat in Livebook. Evision.Mat.kino_render_image_max_size/0 Get the maximum allowed image size to render in Kino. Evision.Mat.set_kino_render_image_max_size/1 Set the maximum allowed image size to render in Kino. Evision.Mat.kino_render_image_encoding/0 Get preferred image encoding when rendering in Kino. Evision.Mat.set_kino_render_image_encoding/1 Set preferred image encoding when rendering in Kino.","ref":"changelog.html#v0-1-16-2022-10-30","title":"Changelog - v0.1.16 (2022-10-30)","type":"extras"},{"doc":"Browse the Repository | Released Assets Changes [mix compile] Suppress logs if evision.so is already presented when compiling from source. [Precompile] Added precompile target aarch64-windows-msvc . Fixes [deps] :kino should be a required dependency","ref":"changelog.html#v0-1-15-2022-10-26","title":"Changelog - v0.1.15 (2022-10-26)","type":"extras"},{"doc":"Browse the Repository | Released Assets Breaking Changes [Precompile] Linux: remove GTK support in precompiled binaries. (This change only affects users on Linux.) This means functions in the Evision.HighGui module will return error if you are using precompiled binaries. This follows the convention in opencv-python . Workarounds for this: compile evision from source so that OpenCV will try to use the GUI backends they support on your system. use Evision.Wx . still in development, but basic functions like imshow/2 are available. However, it requires Erlang to be compiled with wxWidgets . use Livebook with :kino &gt;= 0.7 . evision has built-in support for Kino.Render which can automatically give a visualised result in Livebook. This requires :kino &gt;= 0.7 . [Evision.Nx] Module Evision.Nx is now removed. Functions in Evision.Nx were moved to Evision.Mat in v0.1.13. Many thanks to @zacky1972 and @josevalim for their contributions to this module in very early days of the development. Old New Evision.Nx.to_mat/{1,2} Evision.Mat.from_nx/{1,2} Evision.Nx.to_mat/5 Evision.Mat.from_binary/5 Evision.Nx.to_mat_2d/1 Evision.Mat.from_nx_2d/1 Evision.Nx.to_nx/1 Evision.Mat.to_nx/1 Added [Evision.Wx] implemented imshow/2 , destroyWindow/1 and destroyAllWindows/0 . [SmartCell] Added SmartCells. They are optional and :kino &gt;= 0.7 will be required to use them. If you'd like to use smartcells, please add :kino to deps in the mix.exs file. defp deps do [ # ... { :kino , &quot;~&gt; 0.7&quot; } , # ... ] end And then please register smartcells to :kino by invoking Evision.SmartCell.register_smartcells() . Evision.SmartCell.available_smartcells/0 will return all available smartcells. (Optional step) It's also possible to add only some of these smartcells, for example, Evision.SmartCell . register_smartcells ( [ Evision.SmartCell.ML.TrainData , Evision.SmartCell.ML.SVM ] )","ref":"changelog.html#v0-1-14-2022-10-22","title":"Changelog - v0.1.14 (2022-10-22)","type":"extras"},{"doc":"Browse the Repository | Released Assets Fixes [c src] Specialised function `evision_to [with Tp =cv::UMat]`. [Evision.Backend] ensure that an Evision.Mat is returned from reject_error/1 . Changed [c_src] parseSequence will only handle tuples. [Evision.Mat] Evision.Mat.quicklook will use alternative escaping sequence to avoid having a dedicate function in NIF. Thanks to @akash-akya and @kipcole9 ( vix#68 ). ST means either BEL ( hex code 0x07 ) or ESC \\\\ . [nx-integration] Functions in Evision.Nx are now moved to Evision.Mat . Old New Evision.Nx.to_mat/{1,2} Evision.Mat.from_nx/{1,2} Evision.Nx.to_mat/5 Evision.Mat.from_binary/5 Evision.Nx.to_mat_2d/1 Evision.Mat.from_nx_2d/1 Evision.Nx.to_nx/1 Evision.Mat.to_nx/1 As of v0.1.13, calls to these old functions will be forwarded to the corresponding new ones. In the next release (v0.1.14), Evision.Nx will be removed. [Evision.Mat] Evision.Mat.tranpose will use cv::transposeND if possible. [Precompile] Try to compile OpenCV with gtk3 support. Added [test] Added a test for Evision.warpPerspective . [example] Added an example for Evision.warpPerspective . [example] Added some examples for Evision.warpPolar . [example] Added QRCode encoding and decoding example. [docs] Added a cheatsheet.","ref":"changelog.html#v0-1-13-2022-10-19","title":"Changelog - v0.1.13 (2022-10-19)","type":"extras"},{"doc":"Browse the Repository | Released Assets Breaking Changes [Evision.QRCodeEncoder.Params] Renamed Evision.QRCodeEncoder.Params.qrcodeencoder_params/0 to Evision.QRCodeEncoder.Params.params/0 . Fixes Function guard should also allow Nx.Tensor when the corresponding input argument is Evision.Mat.maybe_mat_in() . [Evision.Mat] Evision.Mat.quicklook/1 should also check the number of channels is one of [1, 3, 4] when dims == 2 . [c_src] evision_cv_mat_broadcast_to should call enif_free((void *)dst_data); if void * tmp_data = (void *)enif_alloc(elem_size * count_new_elem); failed. [py_src] Fixed the template of simple call constructor. Changed [Docs] Example Livebooks is now included in docs as extras. [Evision.Mat] Evision.Mat.roi/{2,3} now supports Elixir Range. [Evision.Mat] Implemented Access behaviour. Access.fetch/2 examples: iex&gt; img = Evision . imread ( &quot;test/qr_detector_test.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 300 , 300 , 3 } , ref : # Reference &lt; 0.809884129 . 802291734.78316 &gt; } # Same behaviour as Nx. # Also, img[0] gives the same result as img[[0]] # For this example, they are both equvilent of img[[0, :all, :all]] iex&gt; img [ [ 0 ] ] % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1 , 300 , 3 } , ref : # Reference &lt; 0.809884129 . 802291731.77296 &gt; } # same as img[[0..100, 50..200, :all]] # however, currently we only support ranges with step size 1 # # **IMPORTANT NOTE** # # also, please note that we are using Elixir.Range here # and Elixir.Range is **inclusive**, i.e, [start, end] # while cv::Range `{integer(), integer()}` is `[start, end)` # the difference can be observed in the `shape` field iex&gt; img [ [ 0 .. 100 , 50 .. 200 ] ] % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 101 , 151 , 3 } , ref : # Reference &lt; 0.809884129 . 802291731.77297 &gt; } iex&gt; img [ [ { 0 , 100 } , { 50 , 200 } ] ] % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 100 , 150 , 3 } , ref : # Reference &lt; 0.809884129 . 802291731.77297 &gt; } # for this example, the result is the same as `Evision.extractChannel(img, 0)` iex&gt; img [ [ :all , :all , 0 ] ] % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 300 , 300 } , ref : # Reference &lt; 0.809884129 . 802291731.77298 &gt; } iex&gt; img [ [ :all , :all , 0 .. 1 ] ] % Evision.Mat { channels : 2 , dims : 2 , type : { :u , 8 } , raw_type : 8 , shape : { 300 , 300 , 2 } , ref : # Reference &lt; 0.809884129 . 802291731.77299 &gt; } # when index is out of bounds iex&gt; img [ [ :all , :all , 42 ] ] { :error , &quot;index 42 is out of bounds for axis 2 with size 3&quot; } # it works the same way for any dimensional Evision.Mat iex&gt; mat = Evision.Mat . ones ( { 10 , 10 , 10 , 10 , 10 } , :u8 ) iex&gt; mat [ [ 1 .. 7 , :all , 2 .. 6 , 3 .. 9 , :all ] ] % Evision.Mat { channels : 1 , dims : 5 , type : { :u , 8 } , raw_type : 0 , shape : { 7 , 10 , 5 , 7 , 10 } , ref : # Reference &lt; 0.3015448455 . 3766878228.259075 &gt; } Access.get_and_update/3 examples: iex&gt; mat = Evision.Mat . zeros ( { 5 , 5 } , :u8 ) iex&gt; Evision.Nx . to_nx ( mat ) # Nx.Tensor &lt; u8 [ 5 ] [ 5 ] Evision.Backend [ [ 0 , 0 , 0 , 0 , 0 ] , [ 0 , 0 , 0 , 0 , 0 ] , [ 0 , 0 , 0 , 0 , 0 ] , [ 0 , 0 , 0 , 0 , 0 ] , [ 0 , 0 , 0 , 0 , 0 ] ] &gt; iex&gt; { old , new } = Evision.Mat . get_and_update ( mat , [ 1 .. 3 , 1 .. 3 ] , fn roi -&gt; { roi , Nx . broadcast ( Nx . tensor ( 255 , type : roi . type ) , roi . shape ) } end ) iex&gt; Evision.Nx . to_nx ( new ) # Nx.Tensor &lt; u8 [ 5 ] [ 5 ] Evision.Backend [ [ 0 , 0 , 0 , 0 , 0 ] , [ 0 , 255 , 255 , 255 , 0 ] , [ 0 , 255 , 255 , 255 , 0 ] , [ 0 , 255 , 255 , 255 , 0 ] , [ 0 , 0 , 0 , 0 , 0 ] ] &gt;","ref":"changelog.html#v0-1-12-2022-10-15","title":"Changelog - v0.1.12 (2022-10-15)","type":"extras"},{"doc":"Browse the Repository | Released Assets Important Note In v0.1.10 , an invalid checksum file was pushed to hex.pm, please read the changelog, especially the breaking changes in v0.1.10 . Changelog for v0.1.10 . Fixed [Precompile] Mix.Tasks.Evision.Fetch should always download and oerwrite existing files.","ref":"changelog.html#v0-1-11-2022-10-13","title":"Changelog - v0.1.11 (2022-10-13)","type":"extras"},{"doc":"Browse the Repository | Released Assets Important Note Invalid checksum file was pushed to hex.pm, please use v0.1.11 instead. Breaking Changes Say goodbye to the bang(!) version functions! Thanks to @josevalim who wrote me this Errorize module back in Feb 2022, and in v0.1.10 this module will be removed. There are two main reasons for this: I've managed to structurise all #references that have their own modules in #101 . After generating function specs, dialyzer seems to be really upset about these bang(!) version functions, and would emit a few thousand warnings. [Precompile] Include NIF version in precompiled tarball filename. &quot;evision-nif_ \#{ nif_version } - \#{ target } - \#{ version } &quot; Return value changed if the first return type of the function is bool If the function only returns a bool , the updated return value will simple be true or false . # before iex&gt; :ok = Evision . imwrite ( &quot;/path/to/image.png&quot; , img ) iex&gt; :error = Evision . imwrite ( &quot;/path/to/image.png&quot; , invalid_img ) # after iex&gt; true = Evision . imwrite ( &quot;/path/to/image.png&quot; , img ) iex&gt; false = Evision . imwrite ( &quot;/path/to/image.png&quot; , invalid_img ) If the first return type is bool , and there is another value to return: # before iex&gt; frame = Evision.VideoCapture . read ( capture ) # has a frame available iex&gt; :error = Evision.VideoCapture . read ( capture ) # cannot read / no more available frames # after iex&gt; frame = Evision.VideoCapture . read ( capture ) # has a frame available iex&gt; false = Evision.VideoCapture . read ( capture ) # cannot read / no more available frames If the first return type is bool , and there are more than one value to return: # before iex&gt; { val1 , val2 } = Evision.SomeModule . some_function ( arg1 ) # when succeeded iex&gt; :error = Evision.SomeModule . some_function ( capture ) # when failed # after iex&gt; { val1 , val2 } = Evision.SomeModule . some_function ( arg1 ) # when succeeded iex&gt; false = Evision.SomeModule . some_function ( capture ) # when failed std::string and cv::String will be wrapped in a binary term instead of a list. For example, # before iex&gt; { &#39;detected text&#39; , _ , _ } = Evision.QRCodeDetector . detectAndDecode ( qr , img ) # after iex&gt; { &quot;detected text&quot; , _ , _ } = Evision.QRCodeDetector . detectAndDecode ( qr , img ) Structurised all #reference s that have their own module. A list of modules that are now wrapped in structs can be found in the appendix section. [Evision.DNN] As it's not possible to distinguish std::vector&lt;uchar&gt; and String in Elixir, Evision.DNN::readNet* functions that load a model from in-memoy buffer will be renamed to Evision.DNN::readNet*Buffer . For example, @spec readNetFromONNX ( binary ( ) ) :: Evision.DNN.Net . t ( ) | { :error , String . t ( ) } def readNetFromONNX ( onnxFile ) @spec readNetFromONNXBuffer ( binary ( ) ) :: Evision.DNN.Net . t ( ) | { :error , String . t ( ) } def readNetFromONNXBuffer ( buffer ) Changed [Evision.Backend] raise a better error message for callbacks that haven't been implemented in Evision.Backend . Thanks to @josevalim An example of the updated error message: iex&gt; Evision.Backend . slice ( 1 , 2 , 3 , 4 , 5 ) ** (RuntimeError) operation slice is not yet supported on Evision.Backend. Please use another backend like Nx.BinaryBackend or Torchx.Backend . To use Torchx.Backend , :torchx should be added to your app &#39;s deps. Please see https://github.com/elixir-nx/nx/tree/main/torchx for more information on how to install and use it. To convert the tensor to another backend, please use Evision.Nx.to_nx(tensor, Backend.ModuleName) for example, Evision.Nx.to_nx(tensor, Nx.BinaryBackend) or Evision.Nx.to_nx(tensor, Torchx.Backend). Pull request would be more than welcomed if you&#39; d like to implmenent this function and make contributions . ( evision 0.1 . 10 - dev ) lib / evision / backend . ex : 815 : Evision.Backend . slice / 5 iex : 1 : ( file ) [Docs] Improved cross reference in inline docs. For example, Before @doc &quot;&quot;&quot; ... @see setCVFolds ... &quot;&quot;&quot; def getCVFolds ( self ) do After @doc &quot;&quot;&quot; ... @see `setCVFolds/2` ... &quot;&quot;&quot; def getCVFolds ( self ) do In this way, you can navigate to the referenced function in the generated html docs. Fixed Docs: included retval and self in the Return section. Added [Spec] Function spec for all Elixir functions, including generated ones. [Evision.Mat] Added Evision.Mat.roi/{2,3} . iex&gt; img = Evision . imread ( &quot;test/qr_detector_test.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 300 , 300 , 3 } , ref : # Reference &lt; 0.3957900973 . 802816029.173984 &gt; } # Mat operator()( const Rect&amp; roi ) const; iex&gt; sub_img = Evision.Mat . roi ( img , { 10 , 10 , 100 , 200 } ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 200 , 100 , 3 } , ref : # Reference &lt; 0.3957900973 . 802816020.173569 &gt; } # Mat operator()( Range rowRange, Range colRange ) const; iex&gt; sub_img = Evision.Mat . roi ( img , { 10 , 100 } , { 20 , 200 } ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 90 , 180 , 3 } , ref : # Reference &lt; 0.3957900973 . 802816020.173570 &gt; } iex&gt; sub_img = Evision.Mat . roi ( img , :all , { 20 , 200 } ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 300 , 180 , 3 } , ref : # Reference &lt; 0.3957900973 . 802816020.173571 &gt; } # Mat operator()(const std::vector&lt;Range&gt;&amp; ranges) const; iex&gt; sub_img = Evision.Mat . roi ( img , [ { 10 , 100 } , { 10 , 100 } ] ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 90 , 90 , 3 } , ref : # Reference &lt; 0.3957900973 . 802816020.173567 &gt; } iex&gt; sub_img = Evision.Mat . roi ( img , [ { 10 , 100 } , :all ] ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 90 , 300 , 3 } , ref : # Reference &lt; 0.3957900973 . 802816020.173568 &gt; } [Evision.Mat] Added Evision.Mat.quicklook/1 . This function will check the value of :display_inline_image_iterm2 in the application config. If is true , then it will detect if current session is running in iTerm2 (by checking the environment variable LC_TERMINAL ). If both are true , we next check if the image is a 2D image, also if its size is within the limits. The maximum size can be set in the application config, for example, config :evision , display_inline_image_iterm2 : true config :evision , display_inline_image_max_size : { 8192 , 8192 } If it passes all the checks, then it will be displayed as an inline image in iTerm2. Appendix List of modules that are now wrapped in structs. Evision.AKAZE Evision.AffineFeature Evision.AgastFeatureDetector Evision.Algorithm Evision.AlignExposures Evision.AlignMTB Evision.AsyncArray Evision.BFMatcher Evision.BOWImgDescriptorExtractor Evision.BOWKMeansTrainer Evision.BOWTrainer Evision.BRISK Evision.BackgroundSubtractor Evision.BackgroundSubtractorKNN Evision.BackgroundSubtractorMOG2 Evision.CLAHE Evision.CUDA Evision.CUDA.BufferPool Evision.CUDA.DeviceInfo Evision.CUDA.Event Evision.CUDA.GpuMat Evision.CUDA.HostMem Evision.CUDA.Stream Evision.CUDA.TargetArchs Evision.CalibrateCRF Evision.CalibrateDebevec Evision.CalibrateRobertson Evision.CascadeClassifier Evision.CirclesGridFinderParameters Evision.DISOpticalFlow Evision.DMatch Evision.DNN.ClassificationModel Evision.DNN.DetectionModel Evision.DNN.DictValue Evision.DNN.KeypointsModel Evision.DNN.Layer Evision.DNN.Model Evision.DNN.Net Evision.DNN.SegmentationModel Evision.DNN.TextDetectionModel Evision.DNN.TextDetectionModelDB Evision.DNN.TextDetectionModelEAST Evision.DNN.TextRecognitionModel Evision.DenseOpticalFlow Evision.DescriptorMatcher Evision.Detail.AffineBasedEstimator Evision.Detail.AffineBestOf2NearestMatcher Evision.Detail.BestOf2NearestMatcher Evision.Detail.BestOf2NearestRangeMatcher Evision.Detail.Blender Evision.Detail.BlocksChannelsCompensator Evision.Detail.BlocksCompensator Evision.Detail.BlocksGainCompensator Evision.Detail.BundleAdjusterAffine Evision.Detail.BundleAdjusterAffinePartial Evision.Detail.BundleAdjusterBase Evision.Detail.BundleAdjusterRay Evision.Detail.BundleAdjusterReproj Evision.Detail.CameraParams Evision.Detail.ChannelsCompensator Evision.Detail.DpSeamFinder Evision.Detail.Estimator Evision.Detail.ExposureCompensator Evision.Detail.FeatherBlender Evision.Detail.FeaturesMatcher Evision.Detail.GainCompensator Evision.Detail.GraphCutSeamFinder Evision.Detail.HomographyBasedEstimator Evision.Detail.ImageFeatures Evision.Detail.MatchesInfo Evision.Detail.MultiBandBlender Evision.Detail.NoBundleAdjuster Evision.Detail.NoExposureCompensator Evision.Detail.NoSeamFinder Evision.Detail.PairwiseSeamFinder Evision.Detail.SeamFinder Evision.Detail.SphericalProjector Evision.Detail.Timelapser Evision.Detail.VoronoiSeamFinder Evision.FaceDetectorYN Evision.FaceRecognizerSF Evision.FarnebackOpticalFlow Evision.FastFeatureDetector Evision.Feature2D Evision.FileNode Evision.FileStorage Evision.Flann.Index Evision.FlannBasedMatcher Evision.GFTTDetector Evision.GeneralizedHough Evision.GeneralizedHoughBallard Evision.GeneralizedHoughGuil Evision.HOGDescriptor Evision.KAZE Evision.KalmanFilter Evision.KeyPoint Evision.LineSegmentDetector Evision.ML.ANNMLP Evision.ML.Boost Evision.ML.DTrees Evision.ML.EM Evision.ML.KNearest Evision.ML.LogisticRegression Evision.ML.NormalBayesClassifier Evision.ML.ParamGrid Evision.ML.RTrees Evision.ML.SVM Evision.ML.SVMSGD Evision.ML.StatModel Evision.ML.TrainData Evision.MSER Evision.MergeDebevec Evision.MergeExposures Evision.MergeMertens Evision.MergeRobertson Evision.OCL Evision.OCL.Device Evision.ORB Evision.Parallel Evision.PyRotationWarper Evision.QRCodeDetector Evision.QRCodeEncoder Evision.QRCodeEncoder.Params Evision.SIFT Evision.Samples Evision.Segmentation.IntelligentScissorsMB Evision.SimpleBlobDetector Evision.SimpleBlobDetector.Params Evision.SparseOpticalFlow Evision.SparsePyrLKOpticalFlow Evision.StereoBM Evision.StereoMatcher Evision.StereoSGBM Evision.Stitcher Evision.Subdiv2D Evision.TickMeter Evision.Tonemap Evision.TonemapDrago Evision.TonemapMantiuk Evision.TonemapReinhard Evision.Tracker Evision.TrackerDaSiamRPN Evision.TrackerDaSiamRPN.Params Evision.TrackerGOTURN Evision.TrackerGOTURN.Params Evision.TrackerMIL Evision.TrackerMIL.Params Evision.UMat Evision.UsacParams Evision.Utils.Nested.OriginalClassName Evision.Utils.Nested.OriginalClassName.Params Evision.VariationalRefinement Evision.VideoCapture Evision.VideoWriter","ref":"changelog.html#v0-1-10-2022-10-13","title":"Changelog - v0.1.10 (2022-10-13)","type":"extras"},{"doc":"Browse the Repository | Released Assets Bug Fixes Mix.Tasks.Compile.EvisionPrecompiled : using File.cp_r/2 instead of calling cp -a via System.cmd/3 . Fixed TLS warnings when downloading precompiled tarball file. Thanks to @kipcole9! Only include evision_custom_headers/evision_ml.hpp if the HAVE_OPENCV_ML macro is defined. Support parsing RefWrapper&lt;T&gt; (&amp;value)[N] from list or tuple. ( #99 ) See the function in c_src/evision.cpp . bool parseSequence(ErlNifEnv *env, ERL_NIF_TERM obj, RefWrapper&lt;T&gt; (&amp;value)[N], const ArgInfo&amp; info) # `RotatedRect` has to be a tuple, {centre, size, angle} Evision . boxPoints! ( { { 224.0 , 262.5 } , { 343.0 , 344.0 } , 90.0 } ) # while `Point`/`Size` can be either a list, `[x, y]`, or a tuple, `{x, y}` Evision . boxPoints! ( { [ 224.0 , 262.5 ] , [ 343.0 , 344.0 ] , 90.0 } ) Fixed the mapping from a type to the corresponding function guard in py_src/helper.py . ( #99 ) Changed Display RotatedRect type as {centre={x, y}, size={s1, s2}, angle} in docs.","ref":"changelog.html#v0-1-9-2022-10-09","title":"Changelog - v0.1.9 (2022-10-09)","type":"extras"},{"doc":"Browse the Repository | Released Assets Changed CMake and make ( nmake if on Windows) will not be used to download and deploy precompiled binaries for Elixir users. This means that evision can be downloaded and deployed once Erlang and Elixir are properly installed on the system.","ref":"changelog.html#v0-1-8-2022-10-08","title":"Changelog - v0.1.8 (2022-10-08)","type":"extras"},{"doc":"Browse the Repository | Released Assets Breaking Changes EVISION_PREFER_PRECOMPILED is set to true by default. :evision will try to use precompiled binaries if available. Otherwise, it will fallback to building from source. Precompiled binary filename changed: arm64 - apple - darwin =&gt; aarch64 - apple - darwin amd64 - windows - msvc =&gt; x86_64 - windows - msvc Changed cv::VideoCapture will be wrapped in struct. For example: iex&gt; cap = Evision.VideoCapture . videoCapture! ( &quot;test/videocapture_test.mp4&quot; ) % Evision.VideoCapture { fps : 43.2 , frame_count : 18.0 , frame_width : 1920.0 , frame_height : 1080.0 , isOpened : true , ref : # Reference &lt; 0.3650318819 . 3952214034.37793 &gt; } iex&gt; frame = Evision.VideoCapture . read! ( cap ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1080 , 1920 , 3 } , ref : # Reference &lt; 0.3650318819 . 3952214042.38343 &gt; } Evision.Mat.empty/0 will also return an Evision.Mat struct (was returning #Reference&lt;some random numbers&gt; ). iex&gt; Evision.Mat . empty! ( ) % Evision.Mat { channels : 1 , dims : 0 , type : { :u , 8 } , raw_type : 0 , shape : { } , ref : # Reference &lt; 0.2351084001 . 2568618002.207930 &gt; } raise RuntimeError for all unimplemented :nx callbacks. raise RuntimeError , &quot;not implemented yet&quot; Elixir functions that have the same name and arity will be grouped together now. This should massively reduce the number of warnings emitted by the elixir compiler. Only generate corresponding binding code. Only generate binding code for Elixir when compiling :evision using mix ; Only generate binding code for erlang when compiling :evision using rebar ; It's possible to generate erlang and Elixir at the same time. However, currently it's only possible to do so when compiling evision using mix . # default value is `elixir` when compiling evision using `mix` # default value is `erlang` when compiling evision using `rebar` # # expected format is a comma-separated string export EVISION_GENERATE_LANG=&quot;erlang,elixir&quot; Better inline docs. Inline docs will have a section for Positional Arguments and a section for Keyword Arguments . For example, @doc &quot;&quot;&quot; ### Positional Arguments - **bboxes**: vector_Rect2d. - **scores**: vector_float. - **score_threshold**: float. - **nms_threshold**: float. ### Keyword Arguments - **eta**: float. - **top_k**: int. Performs non maximum suppression given boxes and corresponding scores. Python prototype (for reference): ``` NMSBoxes(bboxes, scores, score_threshold, nms_threshold[, eta[, top_k]]) -&gt; indices ``` &quot;&quot;&quot; @doc namespace : :&quot;cv.dnn&quot; def nmsBoxes ( bboxes , scores , score_threshold , nms_threshold , opts ) If a function (same name and arity) has multiple variants, the inline docs will show each of them in section ## Variant VAR_INDEX . For example, @doc &quot;&quot;&quot; #### Variant 1: ##### Positional Arguments - **dx**: UMat. - **dy**: UMat. - **threshold1**: double. - **threshold2**: double. ##### Keyword Arguments - **edges**: UMat. - **l2gradient**: bool. \\\\ overload Finds edges in an image using the Canny algorithm with custom image gradient. \\\\ f$= \\\\ sqrt{(dI/dx)^2 + (dI/dy)^2} \\\\ f$ should be used to calculate the image gradient magnitude ( L2gradient=true ), or whether the default \\\\ f$L \\\\ _1 \\\\ f$ norm \\\\ f$=|dI/dx|+|dI/dy| \\\\ f$ is enough ( L2gradient=false ). Python prototype (for reference): ``` Canny(dx, dy, threshold1, threshold2[, edges[, L2gradient]]) -&gt; edges ``` #### Variant 2: ##### Positional Arguments - **image**: UMat. - **threshold1**: double. - **threshold2**: double. ##### Keyword Arguments - **edges**: UMat. - **apertureSize**: int. - **l2gradient**: bool. Finds edges in an image using the Canny algorithm @cite Canny86 . The function finds edges in the input image and marks them in the output map edges using the Canny algorithm. The smallest value between threshold1 and threshold2 is used for edge linking. The largest value is used to find initial segments of strong edges. See &lt;http://en.wikipedia.org/wiki/Canny_edge_detector&gt; \\\\ f$= \\\\ sqrt{(dI/dx)^2 + (dI/dy)^2} \\\\ f$ should be used to calculate the image gradient magnitude ( L2gradient=true ), or whether the default \\\\ f$L \\\\ _1 \\\\ f$ norm \\\\ f$=|dI/dx|+|dI/dy| \\\\ f$ is enough ( L2gradient=false ). Python prototype (for reference): ``` Canny(image, threshold1, threshold2[, edges[, apertureSize[, L2gradient]]]) -&gt; edges ``` &quot;&quot;&quot; @doc namespace : :cv def canny ( image , threshold1 , threshold2 , opts ) when ( is_reference ( image ) or is_struct ( image ) ) and is_number ( threshold1 ) and is_number ( threshold2 ) and is_list ( opts ) and ( opts == [ ] or is_tuple ( hd ( opts ) ) ) , do : # variant 2 def canny ( dx , dy , threshold1 , threshold2 ) when ( is_reference ( dx ) or is_struct ( dx ) ) and ( is_reference ( dy ) or is_struct ( dy ) ) and is_number ( threshold1 ) and is_number ( threshold2 ) , do : # variant 1 Better integration with :nx . iex&gt; t = Nx . tensor ( [ [ [ 0 , 0 , 0 ] , [ 255 , 255 , 255 ] ] ] , type : :u8 ) # Nx.Tensor &lt; u8 [ 1 ] [ 2 ] [ 3 ] [ [ [ 0 , 0 , 0 ] , [ 255 , 255 , 255 ] ] ] &gt; iex&gt; mat = Evision . imread! ( &quot;test.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1 , 2 , 3 } , ref : # Reference &lt; 0.2067356221 . 74055707.218654 &gt; } iex&gt; mat = Evision.Mat . channel_as_last_dim! ( mat ) % Evision.Mat { channels : 1 , dims : 3 , type : { :u , 8 } , raw_type : 0 , shape : { 1 , 2 , 3 } , ref : # Reference &lt; 0.2067356221 . 74055698.218182 &gt; } iex&gt; result = Evision.Mat . add! ( t , mat ) % Evision.Mat { channels : 1 , dims : 3 , type : { :u , 8 } , raw_type : 0 , shape : { 1 , 2 , 3 } , ref : # Reference &lt; 0.2067356221 . 74055698.218184 &gt; } iex&gt; Evision.Nx . to_nx! ( result ) # Nx.Tensor &lt; u8 [ 1 ] [ 2 ] [ 3 ] Evision.Backend [ [ [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] ] ] &gt; Implemented property setter for cv::Ptr&lt;&gt; wrapped types. For example, iex&gt; k = Evision.KalmanFilter . kalmanFilter! ( 1 , 1 ) # Reference &lt; 0.382162378 . 457572372.189094 &gt; iex&gt; Evision.KalmanFilter . get_gain! ( k ) |&gt; Evision.Nx . to_nx! # Nx.Tensor &lt; f32 [ 1 ] [ 1 ] Evision.Backend [ [ 0.0 ] ] &gt; iex&gt; Evision.KalmanFilter . set_gain! ( k , Evision.Mat . literal! ( [ 1.0 ] , :f32 ) ) # Reference &lt; 0.382162378 . 457572372.189094 &gt; iex&gt; Evision.KalmanFilter . get_gain! ( k ) |&gt; Evision.Nx . to_nx! # Nx.Tensor &lt; f32 [ 1 ] [ 1 ] Evision.Backend [ [ 1.0 ] ] &gt; More detailed error message for property getter/setter. For example, When setting a property that is type A and value passed to the setter is type B , and there is no known conversion from B to A , then it will return an error-tuple iex&gt; k = Evision.KalmanFilter . kalmanFilter! ( 1 , 1 ) iex&gt; Evision.KalmanFilter . set_gain ( k , :p ) { :error , &quot;cannot assign new value, mismatched type?&quot; } iex&gt; Evision.KalmanFilter . set_gain ( k , :p ) ** (RuntimeError) cannot assign new value, mismatched type? (evision 0.1.7) lib/generated/evision_kalmanfilter.ex:175: Evision.KalmanFilter.set_gain!/2 iex:7: (file) For property getter/setter, if the self passed in is a different type than what is expected, an error-tuple will be returned iex&gt; mat = Evision.Mat . literal! ( [ 1.0 ] , :f32 ) % Evision.Mat { channels : 1 , dims : 2 , type : { :f , 32 } , raw_type : 5 , shape : { 1 , 1 } , ref : # Reference &lt; 0.1499445684 . 3682467860.58544 &gt; } iex&gt; Evision.KalmanFilter . set_gain ( mat , mat ) { :error , &quot;cannot get `Ptr&lt;cv::KalmanFilter&gt;` from `self`: mismatched type or invalid resource?&quot; } iex&gt; Evision.KalmanFilter . set_gain! ( mat , mat ) ** (RuntimeError) cannot get `Ptr&lt;cv::KalmanFilter&gt;` from `self`: mismatched type or invalid resource? (evision 0.1.7) lib/generated/evision_kalmanfilter.ex:175: Evision.KalmanFilter.set_gain!/2 iex:2: (file) evision_##NAME##_getp (in c_src/erlcompat.hpp ) should just return true or false. Returning a ERL_NIF_TERM ( enif_make_badarg ) in the macro (when enif_get_resource fails) will prevent the caller from returning an error-tuple with detailed error message. Improved the quality of generated inline docs. Also displays what variable(s) will be returned (when applicable) in the ##### Return section. Added Added Evision.Mat.literal/{1,2,3} to create Evision.Mat from list literals. Creating Evision.Mat from empty list literal ( [] ) is the same as calling Evision.Mat.empty() . iex&gt; Evision.Mat . literal! ( [ ] ) % Evision.Mat { channels : 1 , dims : 0 , type : { :u , 8 } , raw_type : 0 , shape : { } , ref : # Reference &lt; 0.1204050731 . 2031747092.46781 &gt; } By default, the shape of the Mat will stay as is. iex&gt; Evision.Mat . literal! ( [ [ [ 1 , 1 , 1 ] , [ 2 , 2 , 2 ] , [ 3 , 3 , 3 ] ] ] , :u8 ) % Evision.Mat { channels : 1 , dims : 3 , type : { :u , 8 } , raw_type : 0 , shape : { 1 , 3 , 3 } , ref : # Reference &lt; 0.512519210 . 691404819.106300 &gt; } Evision.Mat.literal/3 will return a valid 2D image if the keyword argument, as_2d , is set to true and if the list literal can be represented as a 2D image. iex&gt; Evision.Mat . literal! ( [ [ [ 1 , 1 , 1 ] , [ 2 , 2 , 2 ] , [ 3 , 3 , 3 ] ] ] , :u8 , as_2d : true ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1 , 3 , 3 } , ref : # Reference &lt; 0.512519210 . 691404820.106293 &gt; } Added Evision.Mat.channel_as_last_dim/1 . This function does the opposite as to Evision.Mat.last_dim_as_channel/1 . If the number of channels of the input Evision.Mat is greater than 1, then this function would convert the input Evision.Mat with dims dims=list(int()) to a 1 -channel Evision.Mat with dims [dims | channels] . If the number of channels of the input Evision.Mat is equal to 1, if dims == shape, then nothing happens otherwise, a new Evision.Mat that has dims= [dims | channels] will be returned For example, iex&gt; mat = Evision . imread! ( &quot;test.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1 , 2 , 3 } , ref : # Reference &lt; 0.2067356221 . 74055707.218654 &gt; } iex&gt; mat = Evision.Mat . channel_as_last_dim! ( mat ) % Evision.Mat { channels : 1 , dims : 3 , type : { :u , 8 } , raw_type : 0 , shape : { 1 , 2 , 3 } , ref : # Reference &lt; 0.2067356221 . 74055698.218182 &gt; } Automatically displays a tabbed output in Livebook if the type of evaluated result is Evision.Mat . This is an optional feature. To enable it, :kino should be added to deps , e.g., defp deps do [ # ... { :kino , &quot;~&gt; 0.7&quot; } , # ... ] end Now, with :kino &gt;= v0.7 available, a tabbed output will shown in Livebook if the evaluated result is an Evision.Mat . A Raw tab will always be the first one, e.g., % Evision.Mat { channels : 1 , dims : 3 , type : { :u , 8 } , raw_type : 0 , shape : { 1 , 2 , 3 } , ref : # Reference &lt; 0.3310236255 . 1057357843.168932 &gt; } For 2D images ( dims == 2 ), the second tab will be Image , which displays the image. For all Evision.Mat , the last tab will be Numerical , which shows the numbers behind the scene. Of course, for large size Evision.Mat , only part of the data will be shown. A example output in this tab: # Nx.Tensor &lt; u8 [ 1 ] [ 2 ] [ 3 ] Evision.Backend [ [ [ 1 , 2 , 3 ] , [ 1 , 2 , 3 ] ] ] &gt;","ref":"changelog.html#v0-1-7-2022-10-07","title":"Changelog - v0.1.7 (2022-10-07)","type":"extras"},{"doc":"Browse the Repository | Released Assets Breaking Changes Evision.imencode/{2,3} will now return encoded image as binary instead of a list. cv::Mat will be wrapped in struct. For example: iex&gt; Evision . imread! ( &quot;path/to/image.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 512 , 512 , 3 } , ref : # Reference &lt; 0.2992585850 . 4173463580.172624 &gt; } This should close #76.","ref":"changelog.html#v0-1-6-2022-09-29","title":"Changelog - v0.1.6 (2022-09-29)","type":"extras"},{"doc":"Browse the Repository | Released Assets Changed Always use Evision.Mat.from_binary_by_shape/3 for Evision.Nx.to_mat . Check cv::Mat::Mat.type() when fetching the shape of a Mat. The number of channels will be included as the last dim of the shape if and only if cv::Mat::Mat.type() did not encode any channel information. Bug Fixes Fixed Evision.Mat.transpose : should call shape! instead of shape . Thanks to @kipcole9 ! #77 Added Added Evision.Mat.last_dim_as_channel/1 . This method convert a tensor-like Mat to a &quot;valid 2D image&quot; with its channels equals to 3 or 1 . Added Evision.Nx.to_mat/2 . This method convert a Nx.Tensor to a Mat . The second argument indicates the wanted/actual shape of the tensor. Added more Mat functions: Evision.Mat.as_shape/2 . Evision.Mat.size/1 . Evision.Mat.channels/1 . Evision.Mat.depth/1 . Evision.Mat.raw_type/1 . Evision.Mat.isSubmatrix/1 . Evision.Mat.isContinuous/1 . Evision.Mat.elemSize/1 . Evision.Mat.elemSize1/1 . Evision.Mat.total/{1,2,3} . Added OpenCV types: Evision.cv_cn_shift/0 . Evision.cv_depth_max/0 . Evision.cv_mat_depth_mask/0 . Evision.cv_maketype/2 . Evision.cv_8U/0 . Evision.cv_8UC/1 . Evision.cv_8UC1/0 . Evision.cv_8UC2/0 . Evision.cv_8UC3/0 . Evision.cv_8UC4/0 . Evision.cv_8S/0 . Evision.cv_8SC/1 . Evision.cv_8SC1/0 . Evision.cv_8SC2/0 . Evision.cv_8SC3/0 . Evision.cv_8SC4/0 . Evision.cv_16U/0 . Evision.cv_16UC/1 . Evision.cv_16UC1/0 . Evision.cv_16UC2/0 . Evision.cv_16UC3/0 . Evision.cv_16UC4/0 . Evision.cv_16S/0 . Evision.cv_16SC/1 . Evision.cv_16SC1/0 . Evision.cv_16SC2/0 . Evision.cv_16SC3/0 . Evision.cv_16SC4/0 . Evision.cv_32S/0 . Evision.cv_32SC/1 . Evision.cv_32SC1/0 . Evision.cv_32SC2/0 . Evision.cv_32SC3/0 . Evision.cv_32SC4/0 . Evision.cv_32F/0 . Evision.cv_32FC/1 . Evision.cv_32FC1/0 . Evision.cv_32FC2/0 . Evision.cv_32FC3/0 . Evision.cv_32FC4/0 . Evision.cv_64F/0 . Evision.cv_64FC/1 . Evision.cv_64FC1/0 . Evision.cv_64FC2/0 . Evision.cv_64FC3/0 . Evision.cv_64FC4/0 . Evision.cv_16F/0 . Evision.cv_16FC/1 . Evision.cv_16FC1/0 . Evision.cv_16FC2/0 . Evision.cv_16FC3/0 . Evision.cv_16FC4/0 .","ref":"changelog.html#v0-1-5-2022-09-27","title":"Changelog - v0.1.5 (2022-09-27)","type":"extras"},{"doc":"Browse the Repository | Released Assets Changed Default to Evision.Backend for Evision.Nx.to_nx/2 . Bug Fixes Fixed class inheritance issue in py_src/class_info.py . Fixed missing comma in example livebooks' Mix.install . Thanks to @dbii. Added Added decision tree and random forest example.","ref":"changelog.html#v0-1-4-2022-09-10","title":"Changelog - v0.1.4 (2022-09-10)","type":"extras"},{"doc":"Browse the Repository | Released Assets Bug Fixes Fixed issues in restoring files from precompiled package for macOS and Linux. Paths are now quoted. using cp -RPf on macOS while cp -a on Linux. Fixed destroyAllWindows in NIF. It was generated as 'erlang:destroyAllWindows/1' but it should be 'erlang:destroyAllWindows/0'.","ref":"changelog.html#v0-1-3-2022-09-01","title":"Changelog - v0.1.3 (2022-09-01)","type":"extras"},{"doc":"Browse the Repository | Released Assets Bug Fixes Fixed transpose. Added Added x86_64 musl compilation CI test. Added a few precompilation musl targets: x86_64-linux-musl aarch64-linux-musl armv7l-linux-musleabihf riscv64-linux-musl","ref":"changelog.html#v0-1-2-2022-08-26","title":"Changelog - v0.1.2 (2022-08-26)","type":"extras"},{"doc":"Browse the Repository | Released Assets Changed Use OpenCV 4.6.0 by default. Deprecated the use of the EVISION_PRECOMPILED_VERSION environment variable. The version information will be implied by the tag: def deps do [ { :evision , &quot;~&gt; 0.1.1&quot; , github : &quot;cocoa-xu/evision&quot; , tag : &quot;v0.1.1&quot; } ] end The value of the environment variable EVISION_PREFER_PRECOMPILED decides whether the precompiled artefacts will be used or not. From the next version (&gt;=0.1.2), evision will set EVISION_PREFER_PRECOMPILED to true by default. Added Implemented a few nx callbacks (remaining ones will be implemented in the next release).","ref":"changelog.html#v0-1-1-2022-08-25","title":"Changelog - v0.1.1 (2022-08-25)","type":"extras"},{"doc":"First release.","ref":"changelog.html#v0-1-0-2022-07-23","title":"Changelog - v0.1.0 (2022-07-23)","type":"extras"},{"doc":"This document is a cheatsheet on how to use evision .","ref":"cheatsheet.html","title":"Evision Quick Start","type":"extras"},{"doc":"Read An Image Evision.imread # Read an image iex&gt; img = Evision . imread ( &quot;image.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1080 , 1920 , 3 } , ref : # Reference &lt; 0.664400266 . 3733323795.187022 &gt; } # Read and get the number of channels iex&gt; % Evision.Mat { channels : c } = img = Evision . imread ( &quot;image.png&quot; ) iex&gt; c 3 Read a color image as a grayscale one Evision.imread with flags iex&gt; img = Evision . imread ( &quot;image.png&quot; , flags : Evision.Constant . cv_IMREAD_GRAYSCALE ( ) ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 1080 , 1920 } , ref : # Reference &lt; 0.664400266 . 3733323795.187022 &gt; } Read a PNG image that has an alpha channel Evision.imread with flags iex&gt; img = Evision . imread ( &quot;image.png&quot; , flags : Evision.Constant . cv_IMREAD_UNCHANGED ( ) ) % Evision.Mat { channels : 4 , dims : 2 , type : { :u , 8 } , raw_type : 24 , shape : { 1080 , 1920 , 4 } , ref : # Reference &lt; 0.664400266 . 3733323795.187022 &gt; } Write An Image Evision.imwrite The file extension decides the image encoder of the output image. # as PNG Evision . imwrite ( &quot;filename.png&quot; , image ) # as JPEG Evision . imwrite ( &quot;filename.jpeg&quot; , image )","ref":"cheatsheet.html#read-write-an-image","title":"Evision Quick Start - Read &amp; Write An Image","type":"extras"},{"doc":"Get A Sub-area of An Image iex&gt; img = Evision . imread ( &quot;image.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1080 , 1920 , 3 } , ref : # Reference &lt; 0.664400266 . 3733323795.187022 &gt; } # Note that Elixir Range is inclusive, 0..1 gives [0, 1] iex&gt; img [ [ 0 .. 100 , 0 .. 100 ] ] % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 101 , 101 , 3 } , ref : # Reference &lt; 0.664400266 . 3733323795.187023 &gt; } Extract One Channel of An Image iex&gt; img = Evision . imread ( &quot;image.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1080 , 1920 , 3 } , ref : # Reference &lt; 0.664400266 . 3733323795.187022 &gt; } # by default OpenCV uses BGR format, therefore # the following code will extract the red-channel iex&gt; img [ [ :all , :all , 2 ] ] % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 1080 , 1920 } , ref : # Reference &lt; 0.664400266 . 3733323795.187023 &gt; } Extract An Abritray Continuous Sub-matrix iex&gt; img = Evision . imread ( &quot;image.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1080 , 1920 , 3 } , ref : # Reference &lt; 0.664400266 . 3733323795.187022 &gt; } # as of now, the step size has to be 1 iex&gt; img [ [ 100 .. 200 , 10 .. 50 , 0 .. 1 ] ] % Evision.Mat { channels : 2 , dims : 2 , type : { :u , 8 } , raw_type : 8 , shape : { 101 , 41 , 2 } , ref : # Reference &lt; 0.664400266 . 3733323795.187024 &gt; }","ref":"cheatsheet.html#access-a-sub-region-matrix","title":"Evision Quick Start - Access A Sub-region/matrix","type":"extras"},{"doc":"Convert to Nx.Tensor iex&gt; img = Evision . imread ( &quot;image.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1080 , 1920 , 3 } , ref : # Reference &lt; 0.664400266 . 3733323795.187022 &gt; } iex&gt; t = Evision.Mat . to_nx ( img ) # Nx.Tensor &lt; u8 [ 1080 ] [ 1920 ] [ 3 ] Evision.Backend [ [ [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , 0 ] , [ 128 , 128 , ... ] , ... ] , ... ] &gt; It works the same for any Evision.Mat . iex&gt; mat = Evision.Mat . ones ( { 2 , 3 , 4 , 5 } , :u8 ) % Evision.Mat { channels : 1 , dims : 4 , type : { :u , 8 } , raw_type : 0 , shape : { 2 , 3 , 4 , 5 } , ref : # Reference &lt; 0.2233780127 . 1059454995.175627 &gt; } iex&gt; t = Evision.Mat . to_nx ( mat ) # Nx.Tensor &lt; u8 [ 2 ] [ 3 ] [ 4 ] [ 5 ] Evision.Backend [ [ [ [ 1 , 1 , 1 , 1 , 1 ] , [ 1 , 1 , 1 , 1 , 1 ] , [ 1 , 1 , 1 , 1 , 1 ] , [ 1 , 1 , 1 , 1 , 1 ] ] , [ [ 1 , 1 , 1 , 1 , 1 ] , [ 1 , 1 , 1 , 1 , 1 ] , [ 1 , 1 , 1 , 1 , 1 ] , [ 1 , 1 , 1 , 1 , 1 ] ] , [ [ 1 , 1 , 1 , 1 , 1 ] , [ 1 , 1 , 1 , 1 , 1 ] , ... ] ] , ... ] &gt; Convert From Nx.Tensor From abritray Nx.Tensor . iex&gt; t = Nx . iota ( { 3 , 5 , 7 } , type : :u8 ) iex&gt; Evision.Mat . from_nx ( t ) % Evision.Mat { channels : 1 , dims : 4 , type : { :u , 8 } , raw_type : 0 , shape : { 2 , 3 , 4 , 5 } , ref : # Reference &lt; 0.2233780127 . 1059454995.175631 &gt; } However, please note that type :s64 , :u32 and :u64 are not supported by OpenCV. Another thing to note is that, some OpenCV functions expect the input to be a &quot;valid 2D image&quot;, in such cases, Evision.Mat.from_nx_2d/1 should be used instead. Please see the cheat below. iex&gt; image_tensor = Nx . broadcast ( Nx . tensor ( 0 , type : :u8 ) , { 720 , 1280 , 3 } ) iex&gt; Evision.Mat . from_nx_2d ( image_tensor ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 720 , 1280 , 3 } , ref : # Reference &lt; 0.2233780127 . 1059454995.175632 &gt; } # compare the results # note the differences in `channels`, `dims` and `raw_type` iex&gt; Evision.Mat . from_nx ( image_tensor ) % Evision.Mat { channels : 1 , dims : 3 , type : { :u , 8 } , raw_type : 0 , shape : { 720 , 1280 , 3 } , ref : # Reference &lt; 0.2233780127 . 1059454995.175633 &gt; }","ref":"cheatsheet.html#interact-with-nx-tensor","title":"Evision Quick Start - Interact with Nx.Tensor","type":"extras"},{"doc":"evision OS Arch ABI Build Status Has Precompiled Library Linux x86_64 gnu Yes Linux x86_64 musl Yes Linux arm64 gnu Yes Linux arm64 musl Yes Linux armv7l (armhf) gnueabihf Yes Linux ppc64le gnu Yes Linux s390x gnu Yes Linux riscv64 gnu Yes Linux riscv64 musl Yes macOS 11 Big Sur x86_64 darwin Yes macOS 11 Big Sur arm64 darwin Yes Windows 2022 x86_64 msvc Yes","ref":"readme.html","title":"<img src=\"https://github.com/cocoa-xu/evision/raw/main/logo.png\" alt=\"Logo\" width=\"128\">","type":"extras"},{"doc":"Online docs for the latest released version is available on Hex.pm, https://hexdocs.pm/evision/ .","ref":"readme.html#docs","title":"<img src=\"https://github.com/cocoa-xu/evision/raw/main/logo.png\" alt=\"Logo\" width=\"128\"> - Docs","type":"extras"},{"doc":"Prebuilt firmwares are available here . Select the most recent run and scroll down to the Artifacts section, download the firmware file for your board and run fwup /path/to/the/downloaded/firmware.fw In the nerves build, evision is integrated as one of the dependencies of the nerves_livebook project. This means that you can use livebook (as well as other pre-pulled libraries) to explore and evaluate the evision project. The default password of the livebook is nerves (as the time of writing, if it does not work, please check the nerves_livebook project). For Nerves users only, please also check the EVISION_ENABLE_CONTRIB section for important messages.","ref":"readme.html#nerves-support","title":"<img src=\"https://github.com/cocoa-xu/evision/raw/main/logo.png\" alt=\"Logo\" width=\"128\"> - Nerves Support","type":"extras"},{"doc":"# List all smart cells smartcells = Evision.SmartCell . available_smartcells ( ) # register all smart cells Evision.SmartCell . register_smartcells ( smartcells ) # you can also register a subset of these smart cells # e.g., only register the Model Zoo smart cell Evision.SmartCell . register_smartcells ( Evision.SmartCell.Zoo )","ref":"readme.html#register-builtin-smart-cells","title":"<img src=\"https://github.com/cocoa-xu/evision/raw/main/logo.png\" alt=\"Logo\" width=\"128\"> - Register Builtin Smart Cells","type":"extras"},{"doc":"iex&gt; mat = Evision . imread ( &quot;/path/to/image.png&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 512 , 512 , 3 } , ref : # Reference &lt; 0.2992585850 . 4173463580.172624 &gt; } iex&gt; t = Evision.Mat . to_nx ( mat ) # Nx.Tensor &lt; u8 [ 512 ] [ 512 ] [ 3 ] Evision.Backend [ [ [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , 255 ] , [ 255 , 255 , ... ] , ... ] , ... ] &gt; and vice-versa: iex&gt; % Evision.Mat { } = mat = Evision . imread ( &quot;/path/to/image.png&quot; ) iex&gt; t = Evision.Mat . to_nx ( mat ) # convert a tensor to a mat iex&gt; mat_from_tensor = Evision.Mat . from_nx ( t ) % Evision.Mat { channels : 1 , dims : 3 , type : { :u , 8 } , raw_type : 0 , shape : { 512 , 512 , 3 } , ref : # Reference &lt; 0.1086574232 . 1510342676.18186 &gt; } # Note that `Evision.Mat.from_nx` gives a tensor # however, some OpenCV functions expect the mat # to be a &quot;valid 2D image&quot; # therefore, in such cases `Evision.Mat.from_nx_2d` # should be used instead # # Noticing the changes in `channels`, `dims` and `raw_type` iex&gt; mat_from_tensor = Evision.Mat . from_nx_2d ( t ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 512 , 512 , 3 } , ref : # Reference &lt; 0.1086574232 . 1510342676.18187 &gt; } # and it works for tensors with any shapes iex&gt; t = Nx . iota ( { 2 , 3 , 2 , 3 , 2 , 3 } , type : :s32 ) iex&gt; mat = Evision.Mat . from_nx ( t ) % Evision.Mat { channels : 1 , dims : 6 , type : { :s , 32 } , raw_type : 4 , shape : { 2 , 3 , 2 , 3 , 2 , 3 } , ref : # Reference &lt; 0.1086574232 . 1510342676.18188 &gt; } Unsupported Type Map As OpenCV does not support the following types (yet, as of OpenCV 4.7.0) - `{:s, 64}` - `{:u, 32}` - `{:u, 64}` Although it's possible to *store* values with those types using custom types, the resulting Mat/tensor will be incompatible with most existing functions in OpenCV. Moreover, it's somewhat inconvinient to explicitly specify the type each time using them. Therefore, Evision allows to set a map for those unsupported types. ```elixir config :evision, unsupported_type_map: %{ {:s, 64} => {:f, 64}, {:u, 64} => {:f, 64}, {:u, 32} => {:f, 32} } ``` The `key` of this `unsupported_type_map` is the unsupported type, and the value is the replacement type for it. See [this reply](https://github.com/cocoa-xu/evision/issues/48#issuecomment-1266282345) for more details on this.","ref":"readme.html#integration-with-nx","title":"<img src=\"https://github.com/cocoa-xu/evision/raw/main/logo.png\" alt=\"Logo\" width=\"128\"> - Integration with Nx","type":"extras"},{"doc":"Some examples are available in the examples directory.","ref":"readme.html#examples","title":"<img src=\"https://github.com/cocoa-xu/evision/raw/main/logo.png\" alt=\"Logo\" width=\"128\"> - Examples","type":"extras"},{"doc":"evision will pull OpenCV source code from GitHub, then parse and automatically generate corresponding OpenCV-Elixir bindings. This project uses and modifies gen2.py and hdr_parser.py from the python module in the OpenCV repo so that they output header files that can be used in Elixir bindings. We hope this project can largely reduce the work of manually porting OpenCV functions/modules to Elixir. Compatible OpenCV versions: 4.5.3 4.5.4 4.5.5 4.6.0 4.7.0 by compatible, it means these versions can compile successfully, and I tested a small range of functions. Tons of tests should be written, and then we can have a list for tested OpenCV versions.","ref":"readme.html#description","title":"<img src=\"https://github.com/cocoa-xu/evision/raw/main/logo.png\" alt=\"Logo\" width=\"128\"> - Description","type":"extras"},{"doc":"In order to use evision , you will need Elixir installed. Then create an Elixir project via the mix build tool: $ mix new my_app Then you can add evision as dependency in your mix.exs . def deps do [ { :evision , &quot;~&gt; 0.1.27&quot; } ] end Please note that although :evision is available on hex.pm now, it's still in its early versions. And it will remain on v0.1.x for a while, and all v0.1.x versions should be treated as in very active development. Please read the CHANGELOG.md for all breaking changes even it's a &quot;minor&quot; update. Therefore, it's recommended to use a specific version (i.e., include the minor version number in deps , {:evision, &quot;~&gt; 0.1.8&quot;} , instead of {:evision, &quot;~&gt; 0.1&quot;} ) at the moment. Use Precompiled Library (Default) The following environment variables can be set based on your needs. (Note that precompiled binaries do not use FFmpeg. If you'd like to use FFmpeg, please compile from source (please see instructions in the next section) and set corresponding environment variables. We're considering this option at the moment.) Important notes It is recommended to use :evision from hex.pm. def deps do [ { :evision , &quot;~&gt; 0.1.27&quot; } ] end TARGET_ABI Required if and only if the target is using musl libc. # (for nerves project, this environment variable is set by nerves) export TARGET_ABI=musl ## (for armv7l which uses hard-float ABI (armhf)) export TARGET_ABI=musleabihf This variable will only be checked when identifying the musl libc ABI so that the correct precompiled binaries can be downloaded. Therefore, You don't need to keep it in the runtime environment. If you want to change it later, the directory _build/${MIX_ENV}/lib/evision needs to be deleted first. The default value for the TARGET_ABI env var is obtained using the following elixir code target_abi = List . last ( String . split ( to_string ( :erlang . system_info ( :system_architecture ) ) , &quot;-&quot; ) ) target_abi = case target_abi do &quot;darwin&quot; &lt;&gt; _ -&gt; &quot;darwin&quot; &quot;win32&quot; -&gt; { compiler_id , _ } = :erlang . system_info ( :c_compiler_used ) case compiler_id do :msc -&gt; &quot;msvc&quot; _ -&gt; to_string ( compiler_id ) end _ -&gt; target_abi end EVISION_PREFER_PRECOMPILED # optional. # set this to &quot;false&quot; if you prefer :evision to be compiled from source # # default value is &quot;true&quot;, and :evision will prefer to use precompiled binaries (if available) export EVISION_PREFER_PRECOMPILED=false This variable will only be checked whenever the mix compile task is invoked directly ( mix compile ) or indirectly ( mix test ). And in the Makefile we would skip everything if _build/${MIX_ENV}/lib/evision/priv/evision.so is presented. Therefore, You don't need to keep it in the runtime environment. If you want to change it later, the directory _build/${MIX_ENV}/lib/evision needs to be deleted first. If you found the precompiled binaries do not suit your needs (e.g., perhaps you need OpenCV to be compiled with FFmpeg to handle more video formats.), it's possible to override the behaviour by setting the environment variable EVISION_PREFER_PRECOMPILED to false , and then please delete _build/${MIX_ENV}/lib/evision and recompile evision Also, for Linux users only, the precompiled binary is not compiled with GTK support, therefore functions like Evision.HighGui.imshow/2 will not work. However, you can either use Evision.Wx.imshow/2 (if Erlang on your system is compiled with wxWidgets ), or set the environment variable EVISION_PREFER_PRECOMPILED to false so that OpenCV can detect available HighGui backend when compiling from source. export EVISION_PREFER_PRECOMPILED=false For livebook users, Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } ] , system_env : [ { &quot;EVISION_PREFER_PRECOMPILED&quot; , &quot;false&quot; } ] ) EVISION_ENABLE_CONTRIB Set environment variable EVISION_ENABLE_CONTRIB to true to enable modules from opencv_contrib . # enable opencv_contrib modules (default) export EVISION_ENABLE_CONTRIB=true # disable opencv_contrib modules export EVISION_ENABLE_CONTRIB=false This variable will only be checked whenever the mix compile task is invoked directly ( mix compile ) or indirectly ( mix test ). And in the Makefile we would skip everything if _build/${MIX_ENV}/lib/evision/priv/evision.so is presented. Therefore, You don't need to keep it in the runtime environment. If you want to change it later from false to true , you can delete the file _build/${MIX_ENV}/lib/evision/priv/evision.so , set EVISION_ENABLE_CONTRIB to true , and then execute mix compile . Defaults to true because for precompiled binaries, including these &quot;extra&quot; modules only increases less than 20 MBs (tested on aarch64-apple-darwin ) in size. However, 20 MBs for Nerves users can be a huge deal (still depending on your device, for example, +20 MBs is often much more acceptable for RPIs as they are usually equipped with &gt;= 8 GB microSD cards while being absolutely a luxury thing for some other embedded devices). EVISION_ENABLE_CUDA Set environment variable EVISION_ENABLE_CONTRIB to true to enable CUDA support from opencv_contrib . Defaults to false . Note that EVISION_ENABLE_CONTRIB will need to be true as well. # enable CUDA support export EVISION_ENABLE_CUDA=true ## set a CUDA version that matches your local CUDA driver ## (this environment variable is only required for users who&#39;d like to use precompiled binaries) ## available ones are ## 111, for CUDA 11.1.x, built with CUDA 11.1.1 ## 114, for CUDA 11.4.x, built with CUDA 11.4.3 ## 118, for CUDA 11.8.x, built with CUDA 11.8.0 export EVISION_CUDA_VERSION=118 ## opencv_contrib modules is enabled by default export EVISION_ENABLE_CONTRIB=true # disable CUDA support (default) export EVISION_ENABLE_CUDA=false IMPORTANT NOTE FOR WINDOWS USERS If EVISION_ENABLE_CUDA is true , please also set CUDA runtime dir otherwise Evision will fail to load. cmd set EVISION_CUDA_RUNTIME_DIR=C:/PATH/TO/YOUR/CUDA/RUNTIME/BIN Also, please don't quote even if there are spaces in the path set EVISION_CUDA_RUNTIME_DIR=C:/PATH WITH SPACE/TO/YOUR/CUDA/RUNTIME/BIN Powershell $Env:EVISION_CUDA_RUNTIME_DIR=&quot;C:/PATH/TO/YOUR/CUDA/RUNTIME/BIN&quot; $Env:EVISION_CUDA_RUNTIME_DIR=&quot;C:/PATH WITH SPACE/TO/YOUR/CUDA/RUNTIME/BIN&quot; EVISION_PRECOMPILED_CACHE_DIR # optional. ## set the cache directory for the precompiled archive file export EVISION_PRECOMPILED_CACHE_DIR=&quot;$(pwd)/.cache&quot; Compile evision from source #### Dependencies - Python3 (Only during the compilation, to generate binding files) - 3.8.12 - 3.9.9 - 3.10.1 - [CMake](https://cmake.org/) >= 3.3 (for this project) The minimal version required by OpenCV can vary between versions. OpenCV 4.5.5 requires at least CMake 3.5.1. - Erlang development library/headers. Tested on OTP/25. #### Build from source To obtain and compile OpenCV's source code from official releases, the following environment variables can affect the build ```shell # optional ## set OpenCV version ## the corresponding license file should be available at https://github.com/opencv/opencv/blob/${OPENCV_VER}/LICENSE export OPENCV_VER=\"4.7.0\" # optional ## Use Debug build export CMAKE_BUILD_TYPE=Debug # optional ## enable FFmpeg ## this will allow cmake to auto-detect FFmpeg libraries installed on the host ## on Windows, OpenCV will download prebuilt FFmpeg libraries ## for more information, please visit https://github.com/opencv/opencv/tree/4.x/3rdparty/ffmpeg export CMAKE_OPENCV_OPTIONS=\"-D WITH_FFMPEG=ON\" ## or disable FFmpeg export CMAKE_OPENCV_OPTIONS=\"-D WITH_FFMPEG=OFF\" ``` Note 1: OpenCV can encode and decode some video formats (varies depending on your system). FFmpeg can be used to encode/decode more video formats. However, you should be aware of the license of the FFmpeg components you selected as they could be licensed by LGPL/GPL or other licenses. Note 2: Installing FFmpeg On DEBIAN/Ubuntu ```shell sudo apt install -y libavcodec-dev libavformat-dev libavutil-dev libswscale-dev libavresample-dev ffmpeg ``` on macOS ```shell # FFmpeg 4 brew install ffmpeg@4 brew link ffmpeg@4 # FFmpeg 5 brew install ffmpeg brew link ffmpeg ``` ##### Extra notes for building from source on Windows Evision on Windows uses `nmake` to handle the `Makefile.win` at the moment. And we also need `powershell` for now. `nmake` should be included in Microsoft Visual Studio, and `powershell` should be included in almost all recent versions (it was first released in 2007) of Windows. If `ninja` can be found in `%PATH%`, then we will prefer using `ninja` to build everything as it allows parallel building. Evision is NOT tested in MSYS2, Cygwin, or WSL/WSL2. #### Using source from a git repo (Optional) It's also possible to obtain and compile OpenCV's source code from a custom git repo by setting the following environment variables (in addition to the ones above) ```shell # required if and only if you prefer to compile OpenCV from a git repo # set OPENCV_USE_GIT_HEAD to true to compile OpenCV from a git repo # default value is false export OPENCV_USE_GIT_HEAD=true # required if and only if you prefer to compile OpenCV from a git repo # this env var indicates which branch you prefer to use # no default value export OPENCV_USE_GIT_BRANCH=4.x # optional. # set this env var to specify which git repo to use # default value is https://github.com/opencv/opencv.git, which is the official git repo of OpenCV export OPENCV_GIT_REPO=\"https://github.com/opencv/opencv.git\" ``` When `OPENCV_USE_GIT_HEAD` is set to `true`, the following command will be used to fetch OpenCV's source code in `Makefile`: ```shell git clone --branch=${OPENCV_USE_GIT_BRANCH} --depth=1 ${OPENCV_GIT_REPO} \"${OPENCV_DIR}\" ``` #### More Configuration (Optional) `evision` will compile a subset of OpenCV functionality. You can configure the enabled modules in your `config` files: ```elixir config :evision, enabled_modules: [ :calib3d, :core, :features2d, :flann, :highgui, :imgcodecs, :imgproc, :ml, :photo, :stitching, :ts, :video, :videoio, :dnn ] ``` If a module is not specified in `:enabled_modules`, it may still be compiled if all requirements are present in your machine. You can enforce only the `:enabled_modules` to be compiled by changing the compilation mode: ```elixir config :evision, :compile_mode, :only_enabled_modules ``` You can also configure the list of image codecs used: ```elixir config :evision, enabled_img_codecs: [ :png, :jpeg, :tiff, :webp, :openjpeg, :jasper, :openexr ] ``` #### Notes - How do I use my own OpenCV source code on my local disk? ```shell # To skip the download process, you can put the source zip file at `3rd_party/cache/opencv-${OPENCV_VER}.zip`. # Or you could supply OpenCV source code at `3rd_party/opencv/opencv-${OPENCV_VER}`. # # `3rd_party/opencv/opencv-${OPENCV_VER}` is the default value for `OPENCV_DIR` export OPENCV_DIR=/path/to/your/opencv/source/root ``` - How do I use my own OpenCV source code on my git repo? ```shell # use branch export OPENCV_USE_GIT_BRANCH=\"branch_name\" export OPENCV_GIT_REPO=\"https://github.com/username/opencv.git\" # use HEAD export OPENCV_USE_GIT_HEAD=true export OPENCV_GIT_REPO=\"https://github.com/username/opencv.git\" ``` - How do I set the number of jobs for compiling? ```shell # use all logical cores, by default # `\"-j\#{System.schedulers_online()}\"`. In `mix.exs`. export MAKE_BUILD_FLAGS=\"-j$(nproc)\" # use 2 cores export MAKE_BUILD_FLAGS=\"-j2\" ``` - How do I set up for cross-compile or specify the toolchain? ```shell export CMAKE_TOOLCHAIN_FILE=\"/path/to/toolchain.cmake\" ``` - How do I make my own adjustments to the OpenCV CMake options? ```shell export CMAKE_OPENCV_OPTIONS=\"YOUR CMAKE OPTIONS FOR OPENCV\" ``` - How do I generate binding code for erlang and Elixir at the same time? Yes, but currently it's only possible to do so when compiling evision using `mix`. ```shell # default value is `elixir` when compiling evision using `mix` # default value is `erlang` when compiling evision using `rebar` # # expected format is a comma-separated string export EVISION_GENERATE_LANG=\"erlang,elixir\" ``` - Which ones of OpenCV options are supposed to be specified in `config/config.exs`? 1. Enabled and disabled OpenCV modules 2. Image codecs (if you enabled related OpenCV modules). #### Debug related Say you have the following MIX environment variables: ```shell # set by MIX MIX_ENV=dev # set by evision or you OPENCV_VER=4.7.0 # set by yourself if you're compiling evision to a nerves firmware MIX_TARGET=rpi4 ``` - How do I delete OpenCV related CMake build caches? ```shell # delete OpenCV related CMake build caches. rm -rf \"_build/${MIX_ENV}/lib/evision/cmake_opencv_${OPENCV_VER}\" ## for nerves rm -rf \"_build/${MIX_TARGET}_${MIX_ENV}/lib/evision/cmake_opencv_${OPENCV_VER}\" ``` - How do I remove downloaded OpenCV source zip file. ```shell rm -f \"3rd_party/cache/opencv-${OPENCV_VER}\" ``` - Can I manually edit the generated files and compile them? 1. First, delete evision.so (so that `cmake` can rebuild it) ```shell # rm -f \"_build/${MIX_ENV}/lib/evision/priv/evision.so\" ## if you're building with nerves, ## use this path instead rm -rf \"_build/${MIX_TARGET}_${MIX_ENV}/lib/evision/priv/evision.so\" ``` 2. Secondly, comment out the following lines in the CMakeLists.txt otherwise, your editing will be overwritten by the `py_src/gen2.py` (executing from the `CMakeLists.txt`) ```cmake if(WIN32) execute_process(COMMAND \"rmdir ${GENERATED_ELIXIR_SRC_DIR} /s /q && rmdir ${GENERATED_ERLANG_SRC_DIR} /s /q && mkdir ${GENERATED_ELIXIR_SRC_DIR} && mkdir ${GENERATED_ERLANG_SRC_DIR}\") message(\"enabled modules: ${ENABLED_CV_MODULES}\") execute_process(COMMAND python3.exe \"${PY_SRC}\\\\gen2.py\" \"${C_SRC}\" \"${GENERATED_ELIXIR_SRC_DIR}\" \"${GENERATED_ERLANG_SRC_DIR}\" \"${C_SRC}\\\\headers.txt\" \"${EVISION_GENERATE_LANG}\" \"${ENABLED_CV_MODULES}\" RESULT_VARIABLE STATUS) else() execute_process(COMMAND bash -c \"rm -rf ${GENERATED_ELIXIR_SRC_DIR} && rm -rf ${GENERATED_ERLANG_SRC_DIR} && mkdir -p ${GENERATED_ELIXIR_SRC_DIR} && mkdir -p ${GENERATED_ERLANG_SRC_DIR}\") message(\"enabled modules: ${ENABLED_CV_MODULES}\") execute_process(COMMAND bash -c \"python3 ${PY_SRC}/gen2.py ${C_SRC} ${GENERATED_ELIXIR_SRC_DIR} ${GENERATED_ERLANG_SRC_DIR} ${C_SRC}/headers.txt ${EVISION_GENERATE_LANG} ${ENABLED_CV_MODULES}\" RESULT_VARIABLE STATUS) endif() if(STATUS STREQUAL \"0\") message(STATUS \"Successfully generated binding code for: ${EVISION_GENERATE_LANG}\") else() message(FATAL_ERROR \"Failed to generate binding code for: ${EVISION_GENERATE_LANG}\") endif() ``` 3. Then you can edit the source files and recompile `evision.so`. ```shell mix compile ``` #### Runtime related - How do I enable debug logging for OpenCV (prints to stderr). ```shell export OPENCV_EVISION_DEBUG=1 ``` Acknowledgements gen2.py , hdr_parser.py and c_src/erlcompat.hpp were directly copied from the python module in the OpenCV repo . Changes applied. Makefile , CMakeLists.txt and c_src/nif_utils.hpp were also copied from the torchx module in the elixir-nx repo . Minor changes applied.","ref":"readme.html#installation","title":"<img src=\"https://github.com/cocoa-xu/evision/raw/main/logo.png\" alt=\"Logo\" width=\"128\"> - Installation","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] ) :ok","ref":"getting_started.html","title":"Evision Example - Get Started with Some Basic Functions","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end { :module , Helper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 10 , ... &gt;&gt; , { :download! , 3 } }","ref":"getting_started.html#define-some-helper-functions","title":"Evision Example - Get Started with Some Basic Functions - Define Some Helper Functions","type":"extras"},{"doc":"alias Evision , as : Cv # Download the test image lenna_test_image_path = Path . join ( __DIR__ , &quot;lenna_test_image.png&quot; ) Helper . download! ( &quot;https://upload.wikimedia.org/wikipedia/en/7/7d/Lenna_%28test_image%29.png&quot; , lenna_test_image_path ) # Read the test image mat = Cv . imread ( lenna_test_image_path ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 512 , 512 , 3 } , ref : # Reference &lt; 0.2845725607 . 2514092053.18350 &gt; }","ref":"getting_started.html#read-an-image-from-file","title":"Evision Example - Get Started with Some Basic Functions - Read an Image From File","type":"extras"},{"doc":"encoded = Cv . imencode ( &quot;.png&quot; , mat ) Kino.Image . new ( encoded , :png )","ref":"getting_started.html#encode-an-image","title":"Evision Example - Get Started with Some Basic Functions - Encode an Image","type":"extras"},{"doc":"resized_mat = Cv . resize ( mat , { _width = 256 , _height = 128 } ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 128 , 256 , 3 } , ref : # Reference &lt; 0.2845725607 . 2514092052.18171 &gt; } encoded = Cv . imencode ( &quot;.png&quot; , resized_mat ) Kino.Image . new ( encoded , :png )","ref":"getting_started.html#resize-an-image","title":"Evision Example - Get Started with Some Basic Functions - Resize an Image","type":"extras"},{"doc":"Evision.Mat.roi Cv . imencode ( &quot;.png&quot; , Cv.Mat . roi ( mat , { 10 , 10 , 130 , 200 } ) ) |&gt; Kino.Image . new ( :png )","ref":"getting_started.html#get-a-subarea-in-an-image","title":"Evision Example - Get Started with Some Basic Functions - Get a Subarea in an Image","type":"extras"},{"doc":"# encode in memory encoded_in_memory = Cv . imencode ( &quot;.png&quot; , resized_mat ) &lt;&lt; 137 , 80 , 78 , 71 , 13 , 10 , 26 , 10 , 0 , 0 , 0 , 13 , 73 , 72 , 68 , 82 , 0 , 0 , 1 , 0 , 0 , 0 , 0 , 128 , 8 , 2 , 0 , 0 , 0 , 107 , 215 , 32 , 93 , 0 , 0 , 32 , 0 , 73 , 68 , 65 , 84 , 120 , 1 , 20 , 193 , 93 , 175 , 110 , 105 , 118 , ...&gt; &gt; # decode in memory decoded_mat = Cv . imdecode ( encoded_in_memory , Cv . cv_IMREAD_ANYCOLOR ( ) ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 128 , 256 , 3 } , ref : # Reference &lt; 0.2845725607 . 2514092052.18187 &gt; }","ref":"getting_started.html#encode-and-decode-image-in-memory","title":"Evision Example - Get Started with Some Basic Functions - Encode and Decode Image in Memory","type":"extras"},{"doc":"# download the test image (has alpha channel) download_path = Path . join ( __DIR__ , &quot;test.png&quot; ) Helper . download! ( &quot;https://github.com/cocoa-xu/evision/raw/main/test/testdata/test.png&quot; , download_path ) :ok without_alpha = Cv . imread ( download_path ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 2 , 3 , 3 } , ref : # Reference &lt; 0.2845725607 . 2514092053.18729 &gt; } Cv . imread ( download_path , flags : Cv . cv_IMREAD_UNCHANGED ( ) ) % Evision.Mat { channels : 4 , dims : 2 , type : { :u , 8 } , raw_type : 24 , shape : { 2 , 3 , 4 } , ref : # Reference &lt; 0.2845725607 . 2514092053.18730 &gt; }","ref":"getting_started.html#read-an-png-file-with-without-alpha-channel","title":"Evision Example - Get Started with Some Basic Functions - Read an PNG File With/Without Alpha Channel","type":"extras"},{"doc":"gray_scale_mat = Cv . imread ( lenna_test_image_path , flags : Cv . cv_IMREAD_GRAYSCALE ( ) ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 512 , 512 } , ref : # Reference &lt; 0.2845725607 . 2514092053.18731 &gt; } gray_scale = Cv . imencode ( &quot;.png&quot; , gray_scale_mat ) Kino.Image . new ( gray_scale , :png )","ref":"getting_started.html#read-an-image-and-convert-it-to-grayscale-in-a-single-call","title":"Evision Example - Get Started with Some Basic Functions - Read an Image and Convert It to Grayscale in a Single Call","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] ) :ok","ref":"qrcode.html","title":"Evision Example - QRCode Encoding and Decoding","type":"extras"},{"doc":"# let&#39;s encode this example string string_to_encode = &quot;This is a string!&quot; # the result image will be in minimal possible size # which is what it should be to avoid unnecessary memory allocations # because it would be easier to let the user to resize the result image # (most of the time we need to resize it to fit our needs anyway, this saves one call to resize) % Evision.Mat { } = minimal_qrcode = Evision.QRCodeEncoder . encode ( Evision.QRCodeEncoder . create ( ) , string_to_encode ) # for this example, we can resize it to 300x300 qrcode = Evision . resize ( minimal_qrcode , { 300 , 300 } , interpolation : Evision.Constant . cv_INTER_AREA ( ) ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 300 , 300 } , ref : # Reference &lt; 0.2207498009 . 3335389204.191169 &gt; }","ref":"qrcode.html#encode-a-string-to-qrcode","title":"Evision Example - QRCode Encoding and Decoding - Encode A String to QRCode","type":"extras"},{"doc":"{ decoded_string , points , straight_qrcode } = Evision.QRCodeDetector . detectAndDecode ( Evision.QRCodeDetector . qrCodeDetector ( ) , qrcode ) decoded_string &quot;This is a string!&quot;","ref":"qrcode.html#read-the-string-back-from-the-encoded-qrcode","title":"Evision Example - QRCode Encoding and Decoding - Read the String Back From the Encoded QRCode","type":"extras"},{"doc":"# `points` is the keypoints for the QRCode # the shape would be {1, 4, 2}, in which: # - 1: number of QRCode # - 4: always 4, 4 keypoints: top_left, bottom_left, bottom_right, top_right # - 2: always 2, (x, y) points = Evision.Mat . to_nx ( points , Nx.BinaryBackend ) # Nx.Tensor &lt; f32 [ 1 ] [ 4 ] [ 2 ] [ [ [ 24.0 , 24.0 ] , [ 275.0000305175781 , 24.0 ] , [ 275.0000305175781 , 275.0000305175781 ] , [ 24.0 , 275.0000305175781 ] ] ] &gt; # here we take the first QRCode&#39;s keypoints keypoints = Nx . as_type ( points [ 0 ] , :s32 ) { top_left , bottom_right } = { List . to_tuple ( Nx . to_flat_list ( keypoints [ 0 ] ) ) , List . to_tuple ( Nx . to_flat_list ( keypoints [ 2 ] ) ) } { { 24 , 24 } , { 275 , 275 } } { { row_start , col_start } , { row_end , col_end } } = { top_left , bottom_right } qrcode [ [ col_start .. col_end , row_start .. row_end ] ] % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 252 , 252 } , ref : # Reference &lt; 0.2207498009 . 3335389204.191179 &gt; }","ref":"qrcode.html#the-second-value-in-the-returned-tuple","title":"Evision Example - QRCode Encoding and Decoding - The Second Value In the Returned Tuple","type":"extras"},{"doc":"# the third value is `straight_qrcode`, which is the minimal possible image # for the QRCode Evision . resize ( straight_qrcode , { 300 , 300 } , interpolation : Evision.Constant . cv_INTER_AREA ( ) ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 300 , 300 } , ref : # Reference &lt; 0.2207498009 . 3335389204.191182 &gt; }","ref":"qrcode.html#the-third-value-in-the-returned-tuple","title":"Evision Example - QRCode Encoding and Decoding - The Third Value In the Returned Tuple","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] ) :ok","ref":"warp_perspective.html","title":"Evision Example - Warp Perspective","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end { :module , Helper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 10 , ... &gt;&gt; , { :download! , 3 } }","ref":"warp_perspective.html#define-some-helper-functions","title":"Evision Example - Warp Perspective - Define Some Helper Functions","type":"extras"},{"doc":"# Download the test image test_image_path = Path . join ( __DIR__ , &quot;warp_perspective.png&quot; ) Helper . download! ( &quot;https://raw.githubusercontent.com/cocoa-xu/evision/main/test/testdata/warp_perspective.png&quot; , test_image_path ) # Read the test image % Evision.Mat { shape : { h , w , _ } } = img = Evision . imread ( test_image_path ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 288 , 277 , 3 } , ref : # Reference &lt; 0.391993608 . 626655254.103441 &gt; }","ref":"warp_perspective.html#read-the-test-image-from-file","title":"Evision Example - Warp Perspective - Read the Test Image From File","type":"extras"},{"doc":"# hypot.(list(number())) function returns the Euclidean norm hypot = fn l -&gt; :math . sqrt ( Enum . sum ( Enum . map ( l , fn i -&gt; i * i end ) ) ) end # Function &lt; 42.3316493 / 1 in :erl_eval . expr / 6 &gt;","ref":"warp_perspective.html#function-hypot-returns-the-euclidean-norm","title":"Evision Example - Warp Perspective - Function hypot: returns the Euclidean norm","type":"extras"},{"doc":"# specify input coordinates for corners of red quadrilateral in order TL, TR, BR, BL as x, input = Nx . tensor ( [ [ 136 , 113 ] , [ 206 , 130 ] , [ 173 , 207 ] , [ 132 , 196 ] ] , type : :f32 ) # Nx.Tensor &lt; f32 [ 4 ] [ 2 ] [ [ 136.0 , 113.0 ] , [ 206.0 , 130.0 ] , [ 173.0 , 207.0 ] , [ 132.0 , 196.0 ] ] &gt; # get top and left dimensions and set to output dimensions of red rectangle output_width = [ Nx . to_number ( Nx . subtract ( input [ [ 0 , 0 ] ] , input [ [ 1 , 0 ] ] ) ) , Nx . to_number ( Nx . subtract ( input [ [ 0 , 1 ] ] , input [ [ 1 , 1 ] ] ) ) ] output_width = round ( hypot . ( output_width ) ) output_height = [ Nx . to_number ( Nx . subtract ( input [ [ 0 , 0 ] ] , input [ [ 3 , 0 ] ] ) ) , Nx . to_number ( Nx . subtract ( input [ [ 0 , 1 ] ] , input [ [ 3 , 1 ] ] ) ) ] output_height = round ( hypot . ( output_height ) ) 83 # set upper left coordinates for output rectangle x = Nx . to_number ( input [ [ 0 , 0 ] ] ) y = Nx . to_number ( input [ [ 0 , 1 ] ] ) 113.0 # specify output coordinates for corners of red quadrilateral in order TL, TR, BR, BL as x, output = Nx . tensor ( [ [ x , y ] , [ x + output_width - 1 , y ] , [ x + output_width - 1 , y + output_height - 1 ] , [ x , y + output_height - 1 ] ] , type : :f32 ) # Nx.Tensor &lt; f32 [ 4 ] [ 2 ] [ [ 136.0 , 113.0 ] , [ 207.0 , 113.0 ] , [ 207.0 , 195.0 ] , [ 136.0 , 195.0 ] ] &gt;","ref":"warp_perspective.html#calculate-the-output-coordinates-for-corners","title":"Evision Example - Warp Perspective - Calculate the Output Coordinates for Corners","type":"extras"},{"doc":"# compute perspective matrix matrix = Evision . getPerspectiveTransform ( input , output ) % Evision.Mat { channels : 1 , dims : 2 , type : { :f , 64 } , raw_type : 6 , shape : { 3 , 3 } , ref : # Reference &lt; 0.391993608 . 626655249.103165 &gt; }","ref":"warp_perspective.html#compute-perspective-matrix","title":"Evision Example - Warp Perspective - Compute Perspective Matrix","type":"extras"},{"doc":"# do perspective transformation setting area outside input to black # Note that output size is the same as the input image size img_output = Evision . warpPerspective ( img , matrix , { w , h } , flags : Evision.Constant . cv_INTER_LINEAR ( ) , borderMode : Evision.Constant . cv_BORDER_CONSTANT ( ) , borderValue : { 0 , 0 , 0 } ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 288 , 277 , 3 } , ref : # Reference &lt; 0.391993608 . 626655249.103168 &gt; }","ref":"warp_perspective.html#perspective-transformation","title":"Evision Example - Warp Perspective - Perspective Transformation","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] ) :ok","ref":"warp_polar.html","title":"Evision Example - Warp Polar and Reverse","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end { :module , Helper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 10 , ... &gt;&gt; , { :download! , 3 } }","ref":"warp_polar.html#define-some-helper-functions","title":"Evision Example - Warp Polar and Reverse - Define Some Helper Functions","type":"extras"},{"doc":"test_image_path = Path . join ( __DIR__ , &quot;warp_polar.png&quot; ) Helper . download! ( &quot;https://raw.githubusercontent.com/cocoa-xu/evision/main/test/testdata/warp_polar.png&quot; , test_image_path ) # Read the test image % Evision.Mat { shape : { rows , cols , 3 } } = src = Evision . imread ( test_image_path ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 412 , 561 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519834.195361 &gt; } The centre point (relative to the source image) of the circle locates at {x=224, y=206} . Of course, you might ask &quot;how do we find the centre of that circle by code&quot; or maybe first you wanna ask &quot;how do we detect if there is any circle in any given image&quot; . And these questions fall outside the scope of this livebook, and there are really plenty of ways to do it.","ref":"warp_polar.html#load-the-test-image","title":"Evision Example - Warp Polar and Reverse - Load the Test Image","type":"extras"},{"doc":"max_radius decides the bounding circle. If some part of the bounding circle is outside the range of the source image, then we need to ask OpenCV to fill these outliners by adding another flag Evision.Constant.cv_WARP_FILL_OUTLIERS() . We can first plot the bounding circle for some visualisation. centre = { x = 224 , y = 206 } max_radius = 0.93 * min ( x , y ) red_color = { 0 , 0 , 255 } # convert max_radius to an integer # because Evision.circle expects an integer input for the # radius parameter int_max_radius = trunc ( max_radius ) Evision . circle ( src , centre , int_max_radius , red_color , thickness : 2 ) # please click the &quot;Image&quot; tab in the output below to see the visualised result % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 412 , 561 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519828.194184 &gt; } The processed image will look like this: Evision . warpPolar ( src , { 0 , 0 } , centre , int_max_radius , Evision.Constant . cv_INTER_LINEAR ( ) + Evision.Constant . cv_WARP_FILL_OUTLIERS ( ) ) # please click the &quot;Image&quot; tab in the output below to see the visualised result % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 600 , 191 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519828.194187 &gt; } if the max radius is too large, then we will have some outliners, as you can see that the red circle (in the output below) is not entirely inside the source image int_max_radius = trunc ( 1.2 * min ( x , y ) ) Evision . circle ( src , centre , int_max_radius , red_color , thickness : 2 ) # please click the &quot;Image&quot; tab in the output below to see the visualised result % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 412 , 561 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519828.194190 &gt; } And in such cases, OpenCV will have to fill outliners (in this example, filled outliners reside in the black areas on the right hand side of the output image) Evision . warpPolar ( src , { 0 , 0 } , centre , int_max_radius , Evision.Constant . cv_INTER_LINEAR ( ) + Evision.Constant . cv_WARP_FILL_OUTLIERS ( ) ) # please click the &quot;Image&quot; tab in the output below to see the visualised result % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 776 , 247 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519828.194193 &gt; }","ref":"warp_polar.html#max-radius","title":"Evision Example - Warp Polar and Reverse - Max Radius","type":"extras"},{"doc":"The next thing is dsize={width, height} , and there are three options: if both values in dsize &lt;=0 (default), the destination image will have (almost) same area of source bounding circle $\\begin{array}{l} dsize.area \\leftarrow (maxRadius^2 \\cdot \\Pi) \\ dsize.width = \\texttt{round}(maxRadius) \\ dsize.height = \\texttt{round}(maxRadius \\cdot \\Pi) \\ \\end{array}$ if only dsize.height &lt;= 0 , the destination image area will be proportional to the bounding circle area but scaled by Kx * Kx : $\\begin{array}{l} dsize.height = \\texttt{round}(dsize.width \\cdot \\Pi) \\ \\end{array}$ if both values in dsize &gt; 0 , the destination image will have the given size therefore the area of the bounding circle will be scaled to dsize . dsize - option 1 We can first try dsize={0, 0} . dsize = { 0 , 0 } max_radius = 0.93 * min ( x , y ) Evision . warpPolar ( src , dsize , centre , max_radius , Evision.Constant . cv_INTER_LINEAR ( ) + Evision.Constant . cv_WARP_FILL_OUTLIERS ( ) ) # please click the &quot;Image&quot; tab in the output below to see the visualised result % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 602 , 192 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519828.194205 &gt; } Looks good. What about dsize = {240, 800} dsize - option 2 only dsize.height &lt;= 0 dsize = { 150 , - 1 } max_radius = 0.93 * min ( x , y ) Evision . warpPolar ( src , dsize , centre , max_radius , Evision.Constant . cv_INTER_LINEAR ( ) + Evision.Constant . cv_WARP_FILL_OUTLIERS ( ) ) # please click the &quot;Image&quot; tab in the output below to see the visualised result % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 471 , 150 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519828.194208 &gt; } dsize - option 3 both values in dsize &gt; 0 dsize = { 240 , 400 } max_radius = 0.93 * min ( x , y ) Evision . warpPolar ( src , dsize , centre , max_radius , Evision.Constant . cv_INTER_LINEAR ( ) + Evision.Constant . cv_WARP_FILL_OUTLIERS ( ) ) # please click the &quot;Image&quot; tab in the output below to see the visualised result % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 400 , 240 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519828.194211 &gt; }","ref":"warp_polar.html#dsize","title":"Evision Example - Warp Polar and Reverse - dsize","type":"extras"},{"doc":"dsize = { 0 , 0 } max_radius = 0.93 * min ( x , y ) log_polar_img = Evision . warpPolar ( src , dsize , centre , max_radius , Evision.Constant . cv_INTER_LINEAR ( ) + Evision.Constant . cv_WARP_FILL_OUTLIERS ( ) + Evision.Constant . cv_WARP_POLAR_LOG ( ) ) # please click the &quot;Image&quot; tab in the output below to see the visualised result % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 602 , 192 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519828.194229 &gt; }","ref":"warp_polar.html#remaps-to-semilog-polar-coordinates-space","title":"Evision Example - Warp Polar and Reverse - Remaps to Semilog-Polar Coordinates Space","type":"extras"},{"doc":"From Semilog-Polar Coordinates Space log_polar_img is the result image in the cell above. shape = Evision.Mat . shape ( src ) dsize = { elem ( shape , 1 ) , elem ( shape , 0 ) } Evision . warpPolar ( log_polar_img , dsize , centre , max_radius , Evision.Constant . cv_INTER_LINEAR ( ) + Evision.Constant . cv_WARP_FILL_OUTLIERS ( ) + Evision.Constant . cv_WARP_POLAR_LOG ( ) + Evision.Constant . cv_WARP_INVERSE_MAP ( ) ) # please click the &quot;Image&quot; tab in the output below to see the visualised result % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 412 , 561 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519828.194247 &gt; } From Polar Coordinates Space dsize = { 0 , 0 } max_radius = 0.93 * min ( x , y ) linear_polar_img = Evision . warpPolar ( src , dsize , centre , max_radius , Evision.Constant . cv_INTER_LINEAR ( ) + Evision.Constant . cv_WARP_FILL_OUTLIERS ( ) ) # reverse the transformation shape = Evision.Mat . shape ( src ) dsize = { elem ( shape , 1 ) , elem ( shape , 0 ) } Evision . warpPolar ( linear_polar_img , dsize , centre , max_radius , Evision.Constant . cv_INTER_LINEAR ( ) + Evision.Constant . cv_WARP_FILL_OUTLIERS ( ) + Evision.Constant . cv_WARP_INVERSE_MAP ( ) ) # please click the &quot;Image&quot; tab in the output below to see the visualised result % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 412 , 561 , 3 } , ref : # Reference &lt; 0.1535381621 . 3478519828.194251 &gt; }","ref":"warp_polar.html#reverse-the-transformation","title":"Evision Example - Warp Polar and Reverse - Reverse the Transformation","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] ) :ok","ref":"find_and_draw_contours.html","title":"Find and Draw Contours in an Image","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end { :module , Helper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 10 , ... &gt;&gt; , { :download! , 3 } } Helper . download! ( &quot;https://docs.opencv.org/4.x/pca_test1.jpg&quot; , &quot;pca_test.jpg&quot; ) :ok","ref":"find_and_draw_contours.html#helper-function","title":"Find and Draw Contours in an Image - Helper Function","type":"extras"},{"doc":"gray = Evision . imread ( &quot;pca_test.jpg&quot; , flags : Evision.Constant . cv_IMREAD_GRAYSCALE ( ) ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 600 , 800 } , ref : # Reference &lt; 0.2172638371 . 2268463131.71223 &gt; }","ref":"find_and_draw_contours.html#load-image-as-gray-scale","title":"Find and Draw Contours in an Image - Load Image As Gray Scale","type":"extras"},{"doc":"# import Bitwise so that we can use `|||` (bitwise or) import Bitwise # binarization { _ , bw } = Evision . threshold ( gray , 50 , 255 , Evision.Constant . cv_THRESH_BINARY ( ) ||| Evision.Constant . cv_THRESH_OTSU ( ) ) bw % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 600 , 800 } , ref : # Reference &lt; 0.2172638371 . 2268463122.70922 &gt; }","ref":"find_and_draw_contours.html#get-a-binary-image","title":"Find and Draw Contours in an Image - Get A Binary Image","type":"extras"},{"doc":"# Find all the contours in the thresholded image { contours , _ } = Evision . findContours ( bw , Evision.Constant . cv_RETR_LIST ( ) , Evision.Constant . cv_CHAIN_APPROX_NONE ( ) ) IO . puts ( &quot;Find \#{ Enum . count ( contours ) } contour(s)&quot; ) Find 7 contour ( s ) :ok","ref":"find_and_draw_contours.html#find-all-contours-in-the-binary-image","title":"Find and Draw Contours in an Image - Find All Contours in the Binary Image","type":"extras"},{"doc":"minimal_area = 100 maximal_area = 100_000 contours = Enum . reject ( contours , fn c -&gt; # Calculate the area of each contour area = Evision . contourArea ( c ) # Ignore contours that are too small or too large # (return true to reject) area &lt; minimal_area or area &gt; maximal_area end ) IO . puts ( &quot; \#{ Enum . count ( contours ) } contour(s) remains&quot; ) 6 contour ( s ) remains :ok","ref":"find_and_draw_contours.html#ignore-contours-that-are-too-small-or-too-large","title":"Find and Draw Contours in an Image - Ignore Contours That Are Too Small or Too Large","type":"extras"},{"doc":"# color in {Blue, Green, Red}, range from 0-255 edge_color = { 0 , 0 , 255 } # draw all contours by setting `index` to `-1` index = - 1 # Load image in color src = Evision . imread ( &quot;pca_test.jpg&quot; ) # draw all contours on the color image Evision . drawContours ( src , contours , index , edge_color , thickness : 2 ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 600 , 800 , 3 } , ref : # Reference &lt; 0.2172638371 . 2268463122.70944 &gt; }","ref":"find_and_draw_contours.html#draw-all-contours","title":"Find and Draw Contours in an Image - Draw All Contours","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] ) :ok","ref":"stitching.html","title":"Evision Example - Stitching Multiple Photos into A Panorama Photo","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end { :module , Helper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 10 , ... &gt;&gt; , { :download! , 3 } }","ref":"stitching.html#define-some-helper-functions","title":"Evision Example - Stitching Multiple Photos into A Panorama Photo - Define Some Helper Functions","type":"extras"},{"doc":"# change to the file&#39;s directory # or somewhere you have write permission File . cd! ( __DIR__ ) # https://github.com/opencv/opencv_extra/tree/4.x/testdata/stitching Helper . download! ( &quot;https://raw.githubusercontent.com/opencv/opencv_extra/master/testdata/stitching/a1.png&quot; , &quot;a1.png&quot; ) Helper . download! ( &quot;https://raw.githubusercontent.com/opencv/opencv_extra/master/testdata/stitching/a2.png&quot; , &quot;a2.png&quot; ) Helper . download! ( &quot;https://raw.githubusercontent.com/opencv/opencv_extra/master/testdata/stitching/a3.png&quot; , &quot;a3.png&quot; ) :ok","ref":"stitching.html#download-test-images","title":"Evision Example - Stitching Multiple Photos into A Panorama Photo - Download Test Images","type":"extras"},{"doc":"alias Evision , as : Cv a1 = Cv . imread ( &quot;./a1.png&quot; ) a2 = Cv . imread ( &quot;./a2.png&quot; ) a3 = Cv . imread ( &quot;./a3.png&quot; ) sticher = Cv.Stitcher . create ( ) { status_code , result } = Cv.Stitcher . stitch ( sticher , [ a1 , a2 , a3 ] ) 0 = status_code # status_code should be 0 (OK), # for other status_code, please refer to https://github.com/opencv/opencv/blob/4.5.4/modules/stitching/include/opencv2/stitching.hpp#L152 Cv . imencode ( &quot;.png&quot; , result ) |&gt; Kino.Image . new ( :png )","ref":"stitching.html#stitching","title":"Evision Example - Stitching Multiple Photos into A Panorama Photo - Stitching","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] ) :ok","ref":"pca.html","title":"Evision Example - Principal Components Analysis","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end { :module , Helper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 10 , ... &gt;&gt; , { :download! , 3 } }","ref":"pca.html#helper-function","title":"Evision Example - Principal Components Analysis - Helper Function","type":"extras"},{"doc":"alias Evision , as : Cv Evision Download the test image Helper . download! ( &quot;https://docs.opencv.org/4.x/pca_test1.jpg&quot; , &quot;pca_test.jpg&quot; ) :ok import Bitwise # Load image in grayscale gray = Cv . imread ( &quot;pca_test.jpg&quot; , flags : Cv . cv_IMREAD_GRAYSCALE ( ) ) # Convert image to binary { _ , bw } = Cv . threshold ( gray , 50 , 255 , Cv . cv_THRESH_BINARY ( ) ||| Cv . cv_THRESH_OTSU ( ) ) # Find all the contours in the thresholded image { contours , _ } = Cv . findContours ( bw , Cv . cv_RETR_LIST ( ) , Cv . cv_CHAIN_APPROX_NONE ( ) ) contours = contours # Calculate the area of each contour |&gt; Enum . map ( &amp; { Cv . contourArea ( &amp;1 ) , &amp;1 } ) # Ignore contours that are too small or too large |&gt; Enum . reject ( fn { area , _c } -&gt; area &lt; 100 or area &gt; 100_000 end ) # area Enum . map ( contours , &amp; elem ( &amp;1 , 0 ) ) [ 17192.0 , 16830.0 , 16150.5 , 15367.5 , 15571.0 , 14842.0 ] PCA analysis contours = Enum . map ( contours , &amp; elem ( &amp;1 , 1 ) ) pca_analysis = for c &lt;- contours , reduce : [ ] do acc -&gt; # Construct a buffer used by the pca analysis % Evision.Mat { shape : shape , type : type } = c sz = elem ( shape , 0 ) pts_binary = Cv.Mat . to_binary ( c ) data_pts = Cv.Mat . from_binary ( pts_binary , type , sz , 2 , 1 ) data_pts = Cv.Mat . as_type ( data_pts , { :f , 64 } ) # Perform PCA analysis { mean , eigenvectors , eigenvalues } = Cv . pcaCompute2 ( data_pts , Cv.Mat . empty ( ) ) eigenvectors = Cv.Mat . to_nx ( eigenvectors , Nx.BinaryBackend ) eigenvalues = Cv.Mat . to_nx ( eigenvalues , Nx.BinaryBackend ) # Store the center of the object &lt;&lt; centre_x :: float - size ( 64 ) - little , centre_y :: float - size ( 64 ) - little , _ :: binary &gt;&gt; = Cv.Mat . to_binary ( mean ) centre_x = trunc ( centre_x ) centre_y = trunc ( centre_y ) # Store the eigenvalues and eigenvectors eval00 = Nx . slice ( eigenvalues , [ 0 , 0 ] , [ 1 , 1 ] ) |&gt; Nx . to_flat_list ( ) |&gt; Enum . at ( 0 ) eval10 = Nx . slice ( eigenvalues , [ 1 , 0 ] , [ 1 , 1 ] ) |&gt; Nx . to_flat_list ( ) |&gt; Enum . at ( 0 ) evec00 = Nx . slice ( eigenvectors , [ 0 , 0 ] , [ 1 , 1 ] ) |&gt; Nx . to_flat_list ( ) |&gt; Enum . at ( 0 ) evec01 = Nx . slice ( eigenvectors , [ 0 , 1 ] , [ 1 , 1 ] ) |&gt; Nx . to_flat_list ( ) |&gt; Enum . at ( 0 ) evec10 = Nx . slice ( eigenvectors , [ 1 , 0 ] , [ 1 , 1 ] ) |&gt; Nx . to_flat_list ( ) |&gt; Enum . at ( 0 ) evec11 = Nx . slice ( eigenvectors , [ 1 , 1 ] , [ 1 , 1 ] ) |&gt; Nx . to_flat_list ( ) |&gt; Enum . at ( 0 ) # Calculate the principal components p1 = { trunc ( Float . round ( centre_x + 0.02 * evec00 * eval00 ) ) , trunc ( Float . round ( centre_y + 0.02 * evec01 * eval00 ) ) } p2 = { trunc ( Float . round ( centre_x - 0.02 * evec10 * eval10 ) ) , trunc ( Float . round ( centre_y - 0.02 * evec11 * eval10 ) ) } cntr = { centre_x , centre_y } [ { cntr , p1 , p2 } | acc ] end pca_analysis = Enum . reverse ( pca_analysis ) [ { { 430 , 407 } , { 691 , 338 } , { 427 , 397 } } , { { 439 , 326 } , { 697 , 264 } , { 437 , 317 } } , { { 433 , 239 } , { 683 , 182 } , { 431 , 230 } } , { { 420 , 169 } , { 666 , 127 } , { 419 , 161 } } , { { 191 , 291 } , { 176 , 52 } , { 200 , 290 } } , { { 407 , 90 } , { 645 , 49 } , { 406 , 82 } } ] visualisation src = Cv . imread ( &quot;pca_test.jpg&quot; ) # Draw each contour src = for index &lt;- 0 .. ( Enum . count ( contours ) - 1 ) , reduce : src do src -&gt; Cv . drawContours ( src , contours , index , { 0 , 0 , 255 } , thickness : 2 ) end % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 600 , 800 , 3 } , ref : # Reference &lt; 0.1624340523 . 638451732.91783 &gt; } A helper function defmodule PACHelper do def drawAxis ( src , { px , py } , { qx , qy } , colour , scale ) do angle = :math . atan2 ( py - qy , px - qx ) hypotenuse = :math . sqrt ( ( py - qy ) * ( py - qy ) + ( px - qx ) * ( px - qx ) ) qx = trunc ( px - scale * hypotenuse * :math . cos ( angle ) ) qy = trunc ( py - scale * hypotenuse * :math . sin ( angle ) ) src = Cv . line ( src , { px , py } , { qx , qy } , colour , thickness : 1 , style : Cv . cv_LINE_AA ( ) ) px = trunc ( qx + 9 * :math . cos ( angle + :math . pi ( ) / 4 ) ) py = trunc ( qy + 9 * :math . sin ( angle + :math . pi ( ) / 4 ) ) src = Cv . line ( src , { px , py } , { qx , qy } , colour , thickness : 1 , style : Cv . cv_LINE_AA ( ) ) px = trunc ( qx + 9 * :math . cos ( angle - :math . pi ( ) / 4 ) ) py = trunc ( qy + 9 * :math . sin ( angle - :math . pi ( ) / 4 ) ) Cv . line ( src , { px , py } , { qx , qy } , colour , thickness : 1 , style : Cv . cv_LINE_AA ( ) ) end end { :module , PACHelper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 13 , ... &gt;&gt; , { :drawAxis , 5 } } Draw the principal components src = for { cntr , p1 , p2 } &lt;- pca_analysis , reduce : src do src -&gt; src = Cv . circle ( src , cntr , 3 , { 255 , 0 , 255 } , thickness : 2 ) src = PACHelper . drawAxis ( src , cntr , p1 , { 0 , 255 , 0 } , 1 ) PACHelper . drawAxis ( src , cntr , p2 , { 255 , 255 , 0 } , 5 ) end result = Cv . imencode ( &quot;.png&quot; , src ) Kino.Image . new ( result , :png )","ref":"pca.html#alias","title":"Evision Example - Principal Components Analysis - alias","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] ) :ok","ref":"photo-hdr.html","title":"Evision Example - High Dynamic Range Imaging","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end @doc &quot;&quot;&quot; This function chunks binary data by every requested `chunk_size` To make it more general, this function allows the length of the last chunk to be less than the request `chunk_size`. For example, if you have a 7-byte binary data, and you&#39;d like to chunk it by every 4 bytes, then this function will return two chunks with the first gives you the byte 0 to 3, and the second one gives byte 4 to 6. &quot;&quot;&quot; def chunk_binary ( binary , chunk_size ) when is_binary ( binary ) do total_bytes = byte_size ( binary ) full_chunks = div ( total_bytes , chunk_size ) chunks = if full_chunks &gt; 0 do for i &lt;- 0 .. ( full_chunks - 1 ) , reduce : [ ] do acc -&gt; [ :binary . part ( binary , chunk_size * i , chunk_size ) | acc ] end else [ ] end remaining = rem ( total_bytes , chunk_size ) chunks = if remaining &gt; 0 do [ :binary . part ( binary , chunk_size * full_chunks , remaining ) | chunks ] else chunks end Enum . reverse ( chunks ) end end { :module , Helper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 16 , ... &gt;&gt; , { :chunk_binary , 2 } }","ref":"photo-hdr.html#define-some-helper-functions","title":"Evision Example - High Dynamic Range Imaging - Define Some Helper Functions","type":"extras"},{"doc":"alias Evision , as : Cv # change to the file&#39;s directory # or somewhere you have write permission File . cd! ( __DIR__ ) # create a directory for storing the test images File . mkdir_p! ( &quot;photo_hdr_test&quot; ) exposure_filenames = 0 .. 15 |&gt; Enum . map ( &amp; Integer . to_string ( &amp;1 ) ) |&gt; Enum . map ( &amp; String . pad_leading ( &amp;1 , 2 , &quot;0&quot; ) ) |&gt; Enum . map ( &amp; ( &quot;memorial&quot; &lt;&gt; &amp;1 &lt;&gt; &quot;.png&quot; ) ) exposure_file_urls = exposure_filenames |&gt; Enum . map ( &amp; ( &quot;https://raw.githubusercontent.com/opencv/opencv_extra/4.x/testdata/cv/hdr/exposures/&quot; &lt;&gt; &amp;1 ) ) exposure_file_save_paths = exposure_filenames |&gt; Enum . map ( &amp; Path . join ( [ __DIR__ , &quot;photo_hdr_test&quot; , &amp;1 ] ) ) exposure_file_urls |&gt; Enum . zip ( exposure_file_save_paths ) |&gt; Enum . map ( fn { url , save_as } -&gt; Helper . download! ( url , save_as ) end ) |&gt; Enum . all? ( &amp; ( :ok = &amp;1 ) ) true","ref":"photo-hdr.html#download-the-test-images","title":"Evision Example - High Dynamic Range Imaging - Download the Test Images","type":"extras"},{"doc":"list_txt_file = Path . join ( [ __DIR__ , &quot;photo_hdr_test&quot; , &quot;list.txt&quot; ] ) Helper . download! ( &quot;https://raw.githubusercontent.com/opencv/opencv_extra/4.x/testdata/cv/hdr/exposures/list.txt&quot; , list_txt_file ) :ok","ref":"photo-hdr.html#download-list-txt-that-stores-the-exposure-sequences","title":"Evision Example - High Dynamic Range Imaging - Download list.txt that Stores the Exposure Sequences","type":"extras"},{"doc":"# Firstly we load input images and exposure times from user-defined folder. # The folder should contain images and list.txt - file that contains file names and inverse exposure times. exposure_sequences = list_txt_file |&gt; File . read! ( ) |&gt; String . split ( &quot; \\n &quot; ) |&gt; Enum . reject ( &amp; ( String . length ( &amp;1 ) == 0 ) ) |&gt; Enum . map ( &amp; String . split ( &amp;1 , &quot; &quot; ) ) |&gt; Enum . map ( &amp; List . to_tuple ( &amp;1 ) ) |&gt; Enum . map ( fn { image_filename , times } -&gt; mat = Cv . imread ( Path . join ( [ __DIR__ , &quot;photo_hdr_test&quot; , image_filename ] ) ) { val , &quot;&quot; } = Float . parse ( times ) { mat , 1 / val } end ) images = exposure_sequences |&gt; Enum . map ( &amp; elem ( &amp;1 , 0 ) ) # `times` HAS to be float32, otherwise OpenCV will crash times = exposure_sequences |&gt; Enum . map ( &amp; elem ( &amp;1 , 1 ) ) |&gt; Enum . into ( &lt;&lt; &gt;&gt; , fn d -&gt; &lt;&lt; d :: float - size ( 32 ) - little &gt;&gt; end ) |&gt; Cv.Mat . from_binary_by_shape ( { :f , 32 } , { 1 , Enum . count ( images ) } ) % Evision.Mat { channels : 1 , dims : 2 , type : { :f , 32 } , raw_type : 5 , shape : { 1 , 16 } , ref : # Reference &lt; 0.741743058 . 1175846932.38571 &gt; }","ref":"photo-hdr.html#load-the-exposure-sequences","title":"Evision Example - High Dynamic Range Imaging - Load the Exposure Sequences","type":"extras"},{"doc":"# It is necessary to know camera response function (CRF) for a lot of HDR construction algorithms. # We use one of the calibration algorithms to estimate inverse CRF for all 256 pixel values. calibrate = Cv . createCalibrateDebevec ( ) response = Cv.CalibrateDebevec . process ( calibrate , images , times ) % Evision.Mat { channels : 3 , dims : 2 , type : { :f , 32 } , raw_type : 21 , shape : { 256 , 1 , 3 } , ref : # Reference &lt; 0.741743058 . 1175846932.38575 &gt; }","ref":"photo-hdr.html#estimate-camera-response","title":"Evision Example - High Dynamic Range Imaging - Estimate Camera Response","type":"extras"},{"doc":"# We use Debevec&#39;s weighting scheme to construct HDR image # using response calculated in the previous item. merge_debevec = Cv . createMergeDebevec ( ) hdr = Cv.MergeDebevec . process ( merge_debevec , images , times , response : response ) % Evision.Mat { channels : 3 , dims : 2 , type : { :f , 32 } , raw_type : 21 , shape : { 714 , 484 , 3 } , ref : # Reference &lt; 0.741743058 . 1175846932.38579 &gt; }","ref":"photo-hdr.html#process-and-get-the-hdr-image","title":"Evision Example - High Dynamic Range Imaging - Process and Get the HDR Image","type":"extras"},{"doc":"# Since we want to see our results on common LDR display we have to map our HDR image to 8-bit range # preserving most details. # It is the main goal of tonemapping methods. # We use tonemapper with bilateral filtering and set 2.2 as the value for gamma correction. tonemap = Cv . createTonemap ( gamma : 2.2 ) ldr = Cv.Tonemap . process ( tonemap , hdr ) % Evision.Mat { channels : 3 , dims : 2 , type : { :f , 32 } , raw_type : 21 , shape : { 714 , 484 , 3 } , ref : # Reference &lt; 0.741743058 . 1175846932.38583 &gt; }","ref":"photo-hdr.html#tonemap-the-hdr-image","title":"Evision Example - High Dynamic Range Imaging - Tonemap the HDR image","type":"extras"},{"doc":"# There is an alternative way to merge our exposures in case when we don&#39;t need HDR image. # This process is called exposure fusion and produces LDR image that doesn&#39;t require gamma correction. # It also doesn&#39;t use exposure values of the photographs. merge_mertens = Cv . createMergeMertens ( ) fusion = Cv.MergeMertens . process ( merge_mertens , images ) % Evision.Mat { channels : 3 , dims : 2 , type : { :f , 32 } , raw_type : 21 , shape : { 714 , 484 , 3 } , ref : # Reference &lt; 0.741743058 . 1175846932.38587 &gt; }","ref":"photo-hdr.html#perform-exposure-fusions","title":"Evision Example - High Dynamic Range Imaging - Perform Exposure Fusions","type":"extras"},{"doc":"output_fusion_file = Path . join ( [ __DIR__ , &quot;photo_hdr_test&quot; , &quot;fusion.png&quot; ] ) result = fusion |&gt; Cv.Mat . to_nx ( Nx.BinaryBackend ) |&gt; Nx . multiply ( 255 ) |&gt; Nx . clip ( 0 , 255 ) |&gt; Nx . as_type ( { :u , 8 } ) |&gt; Cv.Mat . from_nx_2d ( ) |&gt; then ( fn result -&gt; Cv . imwrite ( output_fusion_file , result ) result end ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 714 , 484 , 3 } , ref : # Reference &lt; 0.741743058 . 1175846932.38590 &gt; } result = Cv . imencode ( &quot;.png&quot; , result ) Kino.Image . new ( result , :png )","ref":"photo-hdr.html#write-fusion","title":"Evision Example - High Dynamic Range Imaging - Write Fusion","type":"extras"},{"doc":"output_ldr_file = Path . join ( [ __DIR__ , &quot;photo_hdr_test&quot; , &quot;ldr.png&quot; ] ) f32_shape = Cv.Mat . shape ( ldr ) nan = &lt;&lt; 0 , 0 , 192 , 255 &gt;&gt; positive_inf = &lt;&lt; 0 , 0 , 128 , 127 &gt;&gt; negative_inf = &lt;&lt; 0 , 0 , 128 , 255 &gt;&gt; result = ldr |&gt; Cv.Mat . to_binary ( ) |&gt; Helper . chunk_binary ( 4 ) |&gt; Enum . map ( fn f32 -&gt; case f32 do ^ nan -&gt; &lt;&lt; 0 , 0 , 0 , 0 &gt;&gt; ^ positive_inf -&gt; &lt;&lt; 0 , 0 , 0 , 0 &gt;&gt; ^ negative_inf -&gt; &lt;&lt; 0 , 0 , 0 , 0 &gt;&gt; # legal value _ -&gt; f32 end end ) |&gt; IO . iodata_to_binary ( ) |&gt; Nx . from_binary ( { :f , 32 } ) |&gt; Nx . reshape ( f32_shape ) |&gt; Nx . multiply ( 255 ) |&gt; Nx . clip ( 0 , 255 ) |&gt; Nx . as_type ( { :u , 8 } ) |&gt; Cv.Mat . from_nx_2d ( ) result = Cv . imencode ( &quot;.png&quot; , result ) Kino.Image . new ( result , :png )","ref":"photo-hdr.html#write-ldr-image","title":"Evision Example - High Dynamic Range Imaging - Write LDR Image","type":"extras"},{"doc":"output_hdr_file = Path . join ( [ __DIR__ , &quot;photo_hdr_test&quot; , &quot;hdr.hdr&quot; ] ) Cv . imwrite ( output_hdr_file , hdr ) true","ref":"photo-hdr.html#write-hdr-image","title":"Evision Example - High Dynamic Range Imaging - Write HDR Image","type":"extras"},{"doc":"Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } , { :torchx , &quot;~&gt; 0.4&quot; } , { :nx , &quot;~&gt; 0.4&quot; } , { :scidata , &quot;~&gt; 0.1&quot; } , { :axon , &quot;~&gt; 0.3.0&quot; } ] ) :ok","ref":"sudoku.html","title":"Sudoku Puzzle Extractor","type":"extras"},{"doc":"Some code in this example was basically literal translation from the code in OpenCV Sudoku Solver and OCR - PyImageSearch . The sample input image is also taken from that post. The code of the neural network was taken from https://github.com/elixir-nx/axon/blob/main/examples/vision/mnist.exs with some minor changes.","ref":"sudoku.html#references","title":"Sudoku Puzzle Extractor - References","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end Download the test image. Helper . download! ( &quot;https://raw.githubusercontent.com/cocoa-xu/evision/main/test/testdata/sudoku_puzzle.webp&quot; , &quot;sudoku_puzzle.webp&quot; )","ref":"sudoku.html#define-some-helper-functions","title":"Sudoku Puzzle Extractor - Define Some Helper Functions","type":"extras"},{"doc":"# read the original image original = Evision . imread ( &quot;sudoku_puzzle.webp&quot; ) % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1024 , 962 , 3 } , ref : # Reference &lt; 0.736436033 . 3583639578.183370 &gt; } # convert it to grayscale gray = Evision . cvtColor ( original , Evision.Constant . cv_COLOR_BGR2GRAY ( ) ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 1024 , 962 } , ref : # Reference &lt; 0.736436033 . 3588096019.145887 &gt; } # apply some Gaussian Blue to the image # we are doing so to reduce the noise and prepare it for the next step blurred = Evision . gaussianBlur ( gray , { 7 , 7 } , 3 ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 1024 , 962 } , ref : # Reference &lt; 0.736436033 . 3588096019.145890 &gt; } # binarization with Evision.adaptiveThreshold bw = Evision . adaptiveThreshold ( blurred , 255 , Evision.Constant . cv_ADAPTIVE_THRESH_GAUSSIAN_C ( ) , Evision.Constant . cv_THRESH_BINARY ( ) , 11 , 2 ) # bitwise not threshold = Evision.Mat . bitwise_not ( bw ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 1024 , 962 } , ref : # Reference &lt; 0.736436033 . 3588096019.145894 &gt; }","ref":"sudoku.html#load-original-image-and-convert-it-to-gray-scale","title":"Sudoku Puzzle Extractor - Load Original Image and Convert It to Gray Scale","type":"extras"},{"doc":"# First thing first, we need to find all the contours in the thresholded image { contours , _ } = Evision . findContours ( threshold , Evision.Constant . cv_RETR_EXTERNAL ( ) , Evision.Constant . cv_CHAIN_APPROX_SIMPLE ( ) ) IO . puts ( &quot;Find \#{ Enum . count ( contours ) } contour(s)&quot; ) Find 377 contour ( s ) :ok # and our assumptions are that # 1. the contour that contains the puzzle should be fairly large: # hence we are sorting them by their area in descending order contours = Enum . sort_by ( contours , fn c -&gt; - Evision . contourArea ( c ) end ) IO . puts ( &quot;area of the largest contour: \#{ Evision . contourArea ( Enum . at ( contours , 0 ) ) } &quot; ) area of the largest contour : 430559.5 :ok # 2.the puzzle should be a rectangular # which means its contour should be approximately an rectangular # which means the approximated polygonal of the contour should have 4 corners (keypoints) # hence we will need to find the contour which its approximated polygonal&#39;s shape is {4, 1, 2} puzzle_keypoints = Enum . reduce_while ( contours , nil , fn c , _acc -&gt; peri = Evision . arcLength ( c , true ) approx = Evision . approxPolyDP ( c , 0.02 * peri , true ) case approx . shape do { 4 , 1 , 2 } -&gt; { :halt , approx } _ -&gt; { :cont , nil } end end ) if puzzle_keypoints do IO . puts ( &quot;Found puzzle&quot; ) Evision . drawContours ( original , [ puzzle_keypoints ] , - 1 , { 0 , 255 , 0 } , thickness : 2 ) else IO . puts ( &quot;&quot;&quot; Could not find Sudoku puzzle outline. Try debugging your thresholding and contour steps. &quot;&quot;&quot; ) end Found puzzle % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 1024 , 962 , 3 } , ref : # Reference &lt; 0.736436033 . 3588096019.146280 &gt; }","ref":"sudoku.html#find-the-sudoku-puzzle","title":"Sudoku Puzzle Extractor - Find the Sudoku Puzzle","type":"extras"},{"doc":"To extract the puzzle, we need to apply some affine transformations. To apply any affine transformations, we will first need to know the four corners/points, namely, Top left Top right Bottom right Bottom left And these four points have to be arranged in the order above -- so that when you connect them 1 =&gt; 2 =&gt; 3=&gt; 4 =&gt; 1, they can form a closed rectangular. # this function will arrange the keypoints in the order discussed above order_points = fn pts -&gt; # the top-left point will have the smallest sum, whereas # the bottom-right point will have the largest sum sum = Nx . sum ( pts , axes : [ 1 ] ) tl = pts [ Nx . argmin ( sum ) ] br = pts [ Nx . argmax ( sum ) ] # now, compute the difference between the points, the # top-right point will have the smallest difference, # whereas the bottom-left will have the largest difference diff = Nx . subtract ( pts [ [ 0 .. 3 , 1 ] ] , pts [ [ 0 .. 3 , 0 ] ] ) tr = pts [ Nx . argmin ( diff ) ] bl = pts [ Nx . argmax ( diff ) ] { tl , tr , br , bl } end input = Evision.Mat . as_shape ( puzzle_keypoints , { 4 , 2 } ) |&gt; Evision.Mat . to_nx ( Nx.BinaryBackend ) |&gt; Nx . as_type ( :f32 ) { tl , tr , br , bl } = order_points . ( input ) rect = Nx . stack ( [ tl , tr , br , bl ] ) # Nx.Tensor &lt; f32 [ 4 ] [ 2 ] [ [ 163.0 , 206.0 ] , [ 809.0 , 180.0 ] , [ 877.0 , 785.0 ] , [ 106.0 , 809.0 ] ] &gt; After that, we can calculate the expected output height and width. point_distance = fn p1 , p2 -&gt; round ( Nx . to_number ( Nx . sqrt ( Nx . add ( Nx . power ( Nx . subtract ( p1 [ [ 0 ] ] , p2 [ [ 0 ] ] ) , 2 ) , Nx . power ( Nx . subtract ( p1 [ [ 1 ] ] , p2 [ [ 1 ] ] ) , 2 ) ) ) ) ) end # compute the width of the new image, which will be the # maximum distance between bottom-right and bottom-left # x-coordiates or the top-right and top-left x-coordinates output_width = Nx . to_number ( Nx . max ( point_distance . ( br , bl ) , point_distance . ( tr , tl ) ) ) # compute the height of the new image, which will be the # maximum distance between the top-right and bottom-right # y-coordinates or the top-left and bottom-left y-coordinates output_height = Nx . to_number ( Nx . max ( point_distance . ( tr , br ) , point_distance . ( tl , bl ) ) ) { output_height , output_width } { 609 , 771 } Then we specify output coordinates for corners of the puzzle, [ top-left , top-right , bottom-right , bottom-left ] as output . output = Nx . tensor ( [ [ 0 , 0 ] , [ output_width - 1 , 0 ] , [ output_width - 1 , output_height - 1 ] , [ 0 , output_height - 1 ] ] , type : :f32 ) # Nx.Tensor &lt; f32 [ 4 ] [ 2 ] Torchx.Backend ( cpu ) [ [ 0.0 , 0.0 ] , [ 770.0 , 0.0 ] , [ 770.0 , 608.0 ] , [ 0.0 , 608.0 ] ] &gt; Get the perspective transformation matrix and warp perspective for both the original image and the grayscale one matrix = Evision . getPerspectiveTransform ( rect , output ) puzzle = Evision . warpPerspective ( original , matrix , { output_width , output_height } , flags : Evision.Constant . cv_INTER_LINEAR ( ) , borderMode : Evision.Constant . cv_BORDER_CONSTANT ( ) , borderValue : { 0 , 0 , 0 } ) puzzle_gray = Evision . warpPerspective ( gray , matrix , { output_width , output_height } , flags : Evision.Constant . cv_INTER_LINEAR ( ) , borderMode : Evision.Constant . cv_BORDER_CONSTANT ( ) , borderValue : { 0 , 0 , 0 } ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 609 , 771 } , ref : # Reference &lt; 0.736436033 . 3588096019.146349 &gt; } Since the Sudoku puzzel is 9x9, we can resize it to a square { h , w } = puzzle_gray . shape len = max ( h , w ) puzzle_gray = Evision . resize ( puzzle_gray , { len , len } ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 771 , 771 } , ref : # Reference &lt; 0.736436033 . 3588096019.146352 &gt; }","ref":"sudoku.html#extract-the-puzzle","title":"Sudoku Puzzle Extractor - Extract the Puzzle","type":"extras"},{"doc":"Let's start with the basic case, the top-left one. step = len / 9 current_cell = puzzle_gray [ [ 0 .. round ( step ) , 0 .. round ( step ) ] ] % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 87 , 87 } , ref : # Reference &lt; 0.736436033 . 3588096019.146355 &gt; } # import Bitwise so that we can use `|||` (bitwise or) import Bitwise extract_digit = fn cell -&gt; # get a binary image of the cell { _ , threshold } = Evision . threshold ( cell , 10 , 255 , Evision.Constant . cv_THRESH_BINARY_INV ( ) ||| Evision.Constant . cv_THRESH_OTSU ( ) ) # cut off border { h , w } = threshold . shape threshold = threshold [ [ 8 .. ( h - 8 ) , 8 .. ( w - 8 ) ] ] # find contours in the thresholded cell { contours , _ } = Evision . findContours ( threshold , Evision.Constant . cv_RETR_EXTERNAL ( ) , Evision.Constant . cv_CHAIN_APPROX_SIMPLE ( ) ) # if no contours were found than this is an empty cell unless Enum . count ( contours ) == 0 do # otherwise, find the largest contour in the cell and create a # mask for the contour c = Enum . max_by ( contours , &amp; Evision . contourArea / 1 ) mask = Evision.Mat . zeros ( threshold . shape , :u8 ) mask = Evision . drawContours ( mask , [ c ] , - 1 , { 255 } , thickness : 2 ) # compute the percentage of masked pixels relative to the total # area of the image { h , w } = threshold . shape percent_filled = Evision . countNonZero ( mask ) / ( w * h ) # if less than 5% of the mask is filled then we are looking at # noise and can safely ignore the contour unless percent_filled &lt; 0.05 do threshold end end end # Function &lt; 42.3316493 / 1 in :erl_eval . expr / 6 &gt; Let's try this for the top-left cell current_cell = extract_digit . ( current_cell ) % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 72 , 72 } , ref : # Reference &lt; 0.736436033 . 3588096019.146359 &gt; } And it looks great!","ref":"sudoku.html#extract-digits-in-each-cell-of-the-puzzle","title":"Sudoku Puzzle Extractor - Extract Digits in Each Cell of the Puzzle","type":"extras"},{"doc":"# Here I&#39;m using :torchx as the backend # you can use :exla or other nx backend Nx . default_backend ( Torchx.Backend ) { Torchx.Backend , [ ] } Define the neural network module, MNIST . Code from https://github.com/elixir-nx/axon/blob/main/examples/vision/mnist.exs with minor changes. defmodule MNIST do require Axon def transform_images ( { bin , type , shape } ) do bin |&gt; Nx . from_binary ( type , backend : Torchx.Backend ) # 28, 28}) |&gt; Nx . reshape ( { elem ( shape , 0 ) , 784 } ) |&gt; Nx . as_type ( :f32 ) |&gt; Nx . divide ( 255.0 ) |&gt; Nx . to_batched ( 500 , leftover : :discard ) |&gt; Enum . to_list ( ) # Test split |&gt; Enum . split ( - 3 ) end def transform_labels ( { bin , type , _ } ) do bin |&gt; Nx . from_binary ( type , backend : Torchx.Backend ) |&gt; Nx . new_axis ( - 1 ) |&gt; Nx . equal ( Nx . tensor ( Enum . to_list ( 0 .. 9 ) ) ) |&gt; Nx . to_batched ( 500 , leftover : :discard ) |&gt; Enum . to_list ( ) # Test split |&gt; Enum . split ( - 3 ) end def build_model ( input_shape ) do Axon . input ( &quot;input&quot; , shape : input_shape ) |&gt; Axon . dense ( 128 , activation : :relu ) |&gt; Axon . dropout ( ) |&gt; Axon . dense ( 10 , activation : :softmax ) end def train_model ( model , train_images , train_labels , epochs ) do model |&gt; Axon.Loop . trainer ( :categorical_cross_entropy , Axon.Optimizers . adamw ( 0.005 ) ) |&gt; Axon.Loop . metric ( :accuracy , &quot;Accuracy&quot; ) |&gt; Axon.Loop . run ( Stream . zip ( train_images , train_labels ) , %{ } , epochs : epochs ) end def test_model ( model , model_state , test_images , test_labels ) do model |&gt; Axon.Loop . evaluator ( ) |&gt; Axon.Loop . metric ( :accuracy , &quot;Accuracy&quot; ) |&gt; Axon.Loop . run ( Stream . zip ( test_images , test_labels ) , model_state ) end end { :module , MNIST , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 16 , ... &gt;&gt; , { :test_model , 4 } } Get the MNIST dataset and prepare the model. { images , labels } = Scidata.MNIST . download ( ) { train_images , test_images } = MNIST . transform_images ( images ) { train_labels , test_labels } = MNIST . transform_labels ( labels ) model = MNIST . build_model ( { nil , 784 } ) # Axon &lt; inputs : %{ &quot;input&quot; =&gt; { nil , 784 } } outputs : &quot;softmax_0&quot; nodes : 6 &gt;","ref":"sudoku.html#train-a-neural-network-that-recognizes-digits","title":"Sudoku Puzzle Extractor - Train A Neural Network that Recognizes Digits","type":"extras"},{"doc":"IO . puts ( &quot;Training Model...&quot; ) num_epoch = 5 model_state = MNIST . train_model ( model , train_images , train_labels , num_epoch ) Training Model ... Epoch : 0 , Batch : 100 , Accuracy : 0.8545348 loss : 0.4818023 Epoch : 1 , Batch : 100 , Accuracy : 0.9332873 loss : 0.3481621 Epoch : 2 , Batch : 100 , Accuracy : 0.9500000 loss : 0.2871155 Epoch : 3 , Batch : 100 , Accuracy : 0.9596242 loss : 0.2489783 Epoch : 4 , Batch : 100 , Accuracy : 0.9664556 loss : 0.2216917 %{ &quot;dense_0&quot; =&gt; %{ &quot;bias&quot; =&gt; # Nx.Tensor &lt; f32 [ 128 ] Torchx.Backend ( cpu ) [ - 0.17988327145576477 , 0.1716635376214981 , 0.0018325354903936386 , 0.1798122078180313 , 0.09567301720380783 , 0.10200180858373642 , 0.008338148705661297 , 0.10609600692987442 , - 0.0847468227148056 , 0.08587154000997543 , - 7.477949257008731e-4 , - 0.03447800129652023 , 0.03325527906417847 , 0.029068496078252792 , - 0.1250336617231369 , - 0.030752241611480713 , 0.08610563725233078 , - 0.03146626055240631 , - 0.09594535827636719 , - 0.02172447182238102 , 0.058523084968328476 , - 0.03135503828525543 , - 0.002279756823554635 , - 0.027246493846178055 , 0.05487725883722305 , - 0.28020963072776794 , 0.1807883381843567 , 0.039404697716236115 , 0.17562659084796906 , 0.10994528979063034 , 0.11735761165618896 , 0.19422295689582825 , - 0.027378687635064125 , 0.0191771499812603 , - 0.031338877975940704 , 0.06676501035690308 , 0.10198114812374115 , - 0.0012608487159013748 , 0.09346475452184677 , 0.05980100482702255 , - 0.029884351417422295 , 0.12892872095108032 , 0.23887237906455994 , 0.020879346877336502 , - 0.142303928732872 , 0.1269598752260208 , 0.11833193153142929 , - 0.04432889074087143 , ... ] &gt; , &quot;kernel&quot; =&gt; # Nx.Tensor &lt; f32 [ 784 ] [ 128 ] Torchx.Backend ( cpu ) [ [ - 0.004997961223125458 , - 0.056927893310785294 , 0.012524336576461792 , - 0.04678211361169815 , - 0.07006479054689407 , 0.03179212659597397 , 0.05232561379671097 , - 0.060292698442935944 , 0.07966595143079758 , - 0.05596722662448883 , 0.007738783955574036 , 0.024696074426174164 , - 0.0667371079325676 , - 0.02877001464366913 , - 0.03603668883442879 , - 0.05976931005716324 , 0.03925761580467224 , - 0.056572359055280685 , - 0.056350238621234894 , 0.03452708572149277 , 0.07506700605154037 , 0.01048319786787033 , 0.027114614844322205 , - 0.05841222405433655 , 0.01039694994688034 , - 0.058553546667099 , - 0.02925030142068863 , 0.03921818733215332 , - 0.009020909667015076 , 0.0156695693731308 , - 0.021413378417491913 , - 0.03247242793440819 , 0.04008222371339798 , - 0.05680907890200615 , 0.06702771037817001 , - 0.03168267011642456 , 0.04423173516988754 , 0.06032135337591171 , 0.0627024844288826 , - 0.018609225749969482 , - 0.07648104429244995 , - 0.015578106045722961 , 0.06719689816236496 , 1.7232447862625122e-4 , - 0.022565998136997223 , 0.04633399099111557 , 0.05553805083036423 , ... ] , ... ] &gt; } , &quot;dense_1&quot; =&gt; %{ &quot;bias&quot; =&gt; # Nx.Tensor &lt; f32 [ 10 ] Torchx.Backend ( cpu ) [ - 0.052650559693574905 , 0.04494607821106911 , - 0.2200334221124649 , - 0.08993491530418396 , - 0.02432980388402939 , - 0.005615420173853636 , - 0.038794878870248795 , 0.0233138520270586 , 0.19364574551582336 , 0.10583429038524628 ] &gt; , &quot;kernel&quot; =&gt; # Nx.Tensor &lt; f32 [ 128 ] [ 10 ] Torchx.Backend ( cpu ) [ [ - 0.033295780420303345 , 0.04774130508303642 , 0.20219796895980835 , - 0.1599399298429489 , - 0.4607354402542114 , 0.04164411500096321 , 0.31128883361816406 , - 0.18477322161197662 , 0.195823535323143 , - 0.2146347016096115 ] , [ - 0.47767552733421326 , 0.2479187399148941 , 0.3272024393081665 , - 0.3602463901042938 , - 0.021782109513878822 , 0.37739643454551697 , - 0.08139888197183609 , 0.11731932312250137 , - 0.21786180138587952 , - 0.2060997635126114 ] , [ - 0.29257020354270935 , - 0.27153488993644714 , 0.3574492633342743 , 0.25863510370254517 , - 0.7012501955032349 , 0.09472404420375824 , - 0.376261442899704 , 0.3126865029335022 , 0.030163684859871864 , 0.11671186238527298 ] , [ - 0.1575060784816742 , 0.35154038667678833 , - 0.5979138016700745 , - 0.21251395344734192 , 0.08020816743373871 , 0.47368210554122925 , - 0.09995336085557938 , 0.17019565403461456 , - 0.10945288836956024 , 0.027018314227461815 ] , [ 0.2525313198566437 , - 0.153570294380188 , 0.20948101580142975 , 0.1662921905517578 , - 0.054898977279663086 , 0.22147339582443237 , ... ] , ... ] &gt; } } IO . puts ( &quot;Testing Model...&quot; ) MNIST . test_model ( model , model_state , test_images , test_labels ) Testing Model ... Batch : 2 , Accuracy : 0.9813333 %{ 0 =&gt; %{ &quot;Accuracy&quot; =&gt; # Nx.Tensor &lt; f32 Torchx.Backend ( cpu ) 0.981333315372467 &gt; } }","ref":"sudoku.html#train-and-test-the-mnist-model","title":"Sudoku Puzzle Extractor - Train and Test the MNIST Model","type":"extras"},{"doc":"# Get the predict function { _init_fn , predict_fn } = Axon . build ( model ) # make a helper function for our use -- predict the digit in the cell predict_cell = fn predict_fn , model_state , input_cell -&gt; input_cell = Nx . as_type ( Evision.Mat . to_nx ( Evision . resize ( input_cell , { 28 , 28 } ) , Torchx.Backend ) , :f32 ) |&gt; Nx . reshape ( { 1 , 784 } ) |&gt; Nx . divide ( 255.0 ) pred = predict_fn . ( model_state , input_cell ) Nx . to_number ( Nx . argmax ( pred ) ) end # Function &lt; 40.3316493 / 3 in :erl_eval . expr / 6 &gt; Let's use the top-left one as input pred = predict_cell . ( predict_fn , model_state , current_cell ) IO . puts ( &quot;Prediction: \#{ pred } &quot; ) current_cell Prediction : 8 % Evision.Mat { channels : 1 , dims : 2 , type : { :u , 8 } , raw_type : 0 , shape : { 72 , 72 } , ref : # Reference &lt; 0.736436033 . 3588096019.146359 &gt; } Looks good! Now if we do this for each cell in the puzzle, we can get what we want step = trunc ( step ) digits = for x &lt;- 0 .. 8 , y &lt;- 0 .. 8 do x1 = step * x y1 = step * y # remember that we return nil if extract_digit thinks there is no # digits present in the cell current_cell = extract_digit . ( puzzle_gray [ [ x1 .. ( x1 + step ) , y1 .. ( y1 + step ) ] ] ) if current_cell do # if there is a digit, we use the neural network to predict its value predict_cell . ( predict_fn , model_state , current_cell ) else # otherwise we use `0` for empty ones # this should be okay since in normal sudoku puzzle we only use 1-9 0 end end extracted_puzzle = Nx . reshape ( Nx . tensor ( digits ) , { 9 , 9 } ) IO . inspect ( extracted_puzzle , limit : :infinity ) :ok # Nx.Tensor &lt; s64 [ 9 ] [ 9 ] Torchx.Backend ( cpu ) [ [ 8 , 0 , 0 , 0 , 1 , 0 , 0 , 0 , 8 ] , [ 0 , 5 , 0 , 8 , 0 , 7 , 0 , 7 , 0 ] , [ 0 , 0 , 4 , 0 , 9 , 0 , 7 , 0 , 0 ] , [ 0 , 8 , 0 , 2 , 0 , 7 , 0 , 2 , 0 ] , [ 5 , 0 , 8 , 0 , 8 , 0 , 7 , 0 , 3 ] , [ 0 , 7 , 0 , 5 , 0 , 2 , 0 , 8 , 0 ] , [ 0 , 0 , 2 , 0 , 4 , 0 , 8 , 0 , 0 ] , [ 0 , 8 , 0 , 3 , 0 , 8 , 0 , 4 , 0 ] , [ 3 , 0 , 0 , 0 , 5 , 0 , 0 , 0 , 8 ] ] &gt; :ok","ref":"sudoku.html#apply-the-trained-neural-network-to-the-digits-extracted-from-the-puzzle","title":"Sudoku Puzzle Extractor - Apply the Trained Neural Network to the Digits Extracted from the Puzzle","type":"extras"},{"doc":"{ h , w , _ } = puzzle . shape len = max ( h , w ) puzzle = Evision . resize ( puzzle , { len , len } ) for x &lt;- 0 .. 8 , y &lt;- 0 .. 8 , reduce : puzzle do vis -&gt; # compute the coordinates of where the digit will be drawn # on the output puzzle image { x1 , y1 } = { step * x , step * y } { x2 , y2 } = { step + x1 , step + y1 } textX = trunc ( ( x2 - x1 ) * 0.33 ) + x1 textY = trunc ( ( y2 - y1 ) * - 0.2 ) + y2 text = to_string ( Nx . to_number ( extracted_puzzle [ [ y , x ] ] ) ) Evision . putText ( vis , text , { textX , textY } , Evision.Constant . cv_FONT_HERSHEY_SIMPLEX ( ) , 0.9 , { 0 , 255 , 255 } , thickness : 2 ) end % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 771 , 771 , 3 } , ref : # Reference &lt; 0.736436033 . 3588620308.228888 &gt; }","ref":"sudoku.html#visualise-the-results","title":"Sudoku Puzzle Extractor - Visualise the Results","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :req , &quot;~&gt; 0.3&quot; } , { :torchx , &quot;~&gt; 0.3&quot; } , { :nx , &quot;~&gt; 0.3&quot; , override : true } , { :kino , &quot;~&gt; 0.7&quot; } , { :scidata , &quot;~&gt; 0.1&quot; } ] ) :ok","ref":"cifar10.html","title":"Evision Example - Simple use of Evision in a Machine Learning Pipeline with Nx and torhcx","type":"extras"},{"doc":"# change to the file&#39;s directory # or somewhere you have write permission File . cd! ( __DIR__ ) defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end Helper . download! ( &quot;https://upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Cat03.jpg/1200px-Cat03.jpg&quot; , &quot;cat.jpg&quot; ) :ok","ref":"cifar10.html#define-some-helper-functions-and-download-the-test-image","title":"Evision Example - Simple use of Evision in a Machine Learning Pipeline with Nx and torhcx - Define Some Helper Functions and Download the Test Image","type":"extras"},{"doc":"# in real-life use cases, the input source might be a camera # instead of downloading a file and reading it alias Evision , as : Cv img = Cv . imread ( &quot;cat.jpg&quot; , flags : Cv . cv_IMREAD_ANYCOLOR ( ) ) resized_img = Cv . resize ( img , { 128 , 128 } ) Cv . imencode ( &quot;.png&quot; , resized_img ) |&gt; Kino.Image . new ( :png )","ref":"cifar10.html#read-the-test-image","title":"Evision Example - Simple use of Evision in a Machine Learning Pipeline with Nx and torhcx - Read the Test Image","type":"extras"},{"doc":"# by default we don&#39;t have the LibTorch backend # but if you listed :torchx as a dependency # then please uncomment the following line to use the LibTorch backend # Similarly for the EXLA backend # Nx.default_backend(Torchx.Backend) nil","ref":"cifar10.html#select-a-default-nx-backend","title":"Evision Example - Simple use of Evision in a Machine Learning Pipeline with Nx and torhcx - Select a Default Nx Backend","type":"extras"},{"doc":"defmodule CIFAR10Dataset do defp transform_images ( { bin , type , shape } , backend ) do bin |&gt; Nx . from_binary ( type , backend : backend ) |&gt; Nx . reshape ( { elem ( shape , 0 ) , 3 * 32 * 32 } , names : [ :batch , :input ] ) |&gt; Nx . divide ( 255.0 ) end defp transform_labels ( { bin , type , _ } , backend ) do bin |&gt; Nx . from_binary ( type , backend : backend ) end def fetch ( backend \\\\ Torchx.Backend ) do { images , labels } = Scidata.CIFAR10 . download ( ) { transform_images ( images , backend ) , transform_labels ( labels , backend ) } end end { :module , CIFAR10Dataset , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 10 , ... &gt;&gt; , { :fetch , 1 } }","ref":"cifar10.html#write-a-module-for-the-cifar10-dataset","title":"Evision Example - Simple use of Evision in a Machine Learning Pipeline with Nx and torhcx - Write a Module for the CIFAR10 Dataset","type":"extras"},{"doc":"# training code # based on https://github.com/elixir-nx/nx/blob/e4454423f7be39d3adc9dea76526185fbfaf7a58/exla/examples/mnist.exs defmodule DenseNN do import Nx.Defn defn init_random_params do # 3 layers # 1. Dense(32) with sigmoid # 2. Dense(24) with sigmoid # 3. Dense(10) with softmax w1 = Nx . random_normal ( { 3072 , 32 } , 0.0 , 0.1 , names : [ :input , :layer1 ] ) b1 = Nx . random_normal ( { 32 } , 0.0 , 0.1 , names : [ :layer1 ] ) w2 = Nx . random_normal ( { 32 , 24 } , 0.0 , 0.1 , names : [ :layer1 , :layer2 ] ) b2 = Nx . random_normal ( { 24 } , 0.0 , 0.1 , names : [ :layer2 ] ) w3 = Nx . random_normal ( { 24 , 10 } , 0.0 , 0.1 , names : [ :layer2 , :output ] ) b3 = Nx . random_normal ( { 10 } , 0.0 , 0.1 , names : [ :output ] ) { w1 , b1 , w2 , b2 , w3 , b3 } end defn softmax ( logits ) do Nx . exp ( logits ) / Nx . sum ( Nx . exp ( logits ) , axes : [ :output ] , keep_axes : true ) end defn predict ( { w1 , b1 , w2 , b2 , w3 , b3 } , batch ) do batch |&gt; Nx . dot ( w1 ) |&gt; Nx . add ( b1 ) |&gt; Nx . sigmoid ( ) |&gt; Nx . dot ( w2 ) |&gt; Nx . add ( b2 ) |&gt; Nx . sigmoid ( ) |&gt; Nx . dot ( w3 ) |&gt; Nx . add ( b3 ) |&gt; softmax ( ) end defn accuracy ( { w1 , b1 , w2 , b2 , w3 , b3 } , batch_images , batch_labels ) do Nx . mean ( Nx . equal ( Nx . argmax ( batch_labels , axis : :output ) , Nx . argmax ( predict ( { w1 , b1 , w2 , b2 , w3 , b3 } , batch_images ) , axis : :output ) ) |&gt; Nx . as_type ( { :s , 8 } ) ) end defn loss ( { w1 , b1 , w2 , b2 , w3 , b3 } , batch_images , batch_labels ) do preds = predict ( { w1 , b1 , w2 , b2 , w3 , b3 } , batch_images ) - Nx . sum ( Nx . mean ( Nx . log ( preds ) * batch_labels , axes : [ :output ] ) ) end defn update ( { w1 , b1 , w2 , b2 , w3 , b3 } = params , batch_images , batch_labels , step ) do { grad_w1 , grad_b1 , grad_w2 , grad_b2 , grad_w3 , grad_b3 } = grad ( params , &amp; loss ( &amp;1 , batch_images , batch_labels ) ) { w1 - grad_w1 * step , b1 - grad_b1 * step , w2 - grad_w2 * step , b2 - grad_b2 * step , w3 - grad_w3 * step , b3 - grad_b3 * step } end defn update_with_averages ( { _ , _ , _ , _ , _ , _ } = cur_params , imgs , tar , avg_loss , avg_accuracy , total ) do batch_loss = loss ( cur_params , imgs , tar ) batch_accuracy = accuracy ( cur_params , imgs , tar ) avg_loss = avg_loss + batch_loss / total avg_accuracy = avg_accuracy + batch_accuracy / total { update ( cur_params , imgs , tar , 0.01 ) , avg_loss , avg_accuracy } end def train_epoch ( cur_params , x , labels ) do total_batches = Enum . count ( x ) x |&gt; Enum . zip ( labels ) |&gt; Enum . reduce ( { cur_params , Nx . tensor ( 0.0 ) , Nx . tensor ( 0.0 ) } , fn { x , tar } , { cur_params , avg_loss , avg_accuracy } -&gt; update_with_averages ( cur_params , x , tar , avg_loss , avg_accuracy , total_batches ) end ) end def train ( x , labels , params , opts \\\\ [ ] ) do epochs = opts [ :epochs ] || 5 for epoch &lt;- 1 .. epochs , reduce : params do cur_params -&gt; { time , { new_params , epoch_avg_loss , epoch_avg_acc } } = :timer . tc ( __MODULE__ , :train_epoch , [ cur_params , x , labels ] ) epoch_avg_loss = epoch_avg_loss |&gt; Nx . backend_transfer ( ) |&gt; Nx . to_number ( ) epoch_avg_acc = epoch_avg_acc |&gt; Nx . backend_transfer ( ) |&gt; Nx . to_number ( ) IO . puts ( &quot;Epoch \#{ epoch } Time: \#{ time / 1_000_000 } s, loss: \#{ Float . round ( epoch_avg_loss , 3 ) } , acc: \#{ Float . round ( epoch_avg_acc , 3 ) } &quot; ) new_params end end end { :module , DenseNN , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 45 , ... &gt;&gt; , { :train , 4 } }","ref":"cifar10.html#write-a-tiny-linear-neural-network","title":"Evision Example - Simple use of Evision in a Machine Learning Pipeline with Nx and torhcx - Write A Tiny Linear Neural Network","type":"extras"},{"doc":"defmodule Helper do def to_onehot_single ( 0 , oh , _pos ) do oh end def to_onehot_single ( count , oh , pos ) do cur = count - 1 case cur == pos do true -&gt; to_onehot_single ( count - 1 , [ 1 ] ++ oh , pos ) _ -&gt; to_onehot_single ( count - 1 , [ 0 ] ++ oh , pos ) end end def to_onehot_single ( 0 , _pos ) do [ ] end def to_onehot_single ( count , pos ) do to_onehot_single ( count , [ ] , pos ) end def to_onehot ( labels , unique_classes ) do for ( l &lt;- Nx . to_flat_list ( labels ) , do : Nx . tensor ( [ to_onehot_single ( unique_classes , l ) ] ) ) |&gt; Nx . concatenate ( ) |&gt; Nx . reshape ( { :auto , unique_classes } , names : [ :batch , :output ] ) end end { :module , Helper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 10 , ... &gt;&gt; , { :to_onehot , 2 } }","ref":"cifar10.html#convert-label-to-one-hot-encoding","title":"Evision Example - Simple use of Evision in a Machine Learning Pipeline with Nx and torhcx - Convert Label to One-hot Encoding","type":"extras"},{"doc":"defmodule Demo do require CIFAR10Dataset require DenseNN require Helper def load_dataset ( backend ) do { uSec , result } = :timer . tc ( fn -&gt; CIFAR10Dataset . fetch ( backend ) end ) IO . puts ( &quot;[Time] load dataset: \#{ uSec / 1000.0 } ms&quot; ) result end def to_batched_input ( x_training , y_training , batch_size ) do unique_classes = 10 x_training_batched = x_training # uint8 to float |&gt; Nx . as_type ( { :f , 32 } ) # flatten |&gt; Nx . reshape ( { :auto , 3072 } ) |&gt; Nx . to_batched ( batch_size ) y_training_batched = y_training |&gt; Helper . to_onehot ( unique_classes ) |&gt; Nx . as_type ( { :f , 32 } ) |&gt; Nx . to_batched ( batch_size ) { x_training_batched , y_training_batched } end def init_random_params do { uSec , result } = :timer . tc ( fn -&gt; DenseNN . init_random_params ( ) end ) IO . puts ( &quot;[Time] init random params: \#{ uSec / 1000.0 } ms&quot; ) result end def run ( opts \\\\ [ ] ) do epochs = opts [ :epochs ] || 5 backend = opts [ :backend ] || Nx.BinaryBackend batch_size = opts [ :batch_size ] || 300 Nx . default_backend ( backend ) params = init_random_params ( ) { x_training , y_training } = load_dataset ( backend ) { x_training_batched , y_training_batched } = to_batched_input ( x_training , y_training , batch_size ) DenseNN . train ( x_training_batched , y_training_batched , params , epochs : epochs ) end end { :module , Demo , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 18 , ... &gt;&gt; , { :run , 1 } } params = Demo . run ( backend : Torchx.Backend , epochs : 50 ) [ Time ] init random params : 19.537 ms [ Time ] load dataset : 8473.881 ms Epoch 1 Time : 1.801972 s , loss : 68.817 , acc : 0.122 Epoch 2 Time : 1.526419 s , loss : 64.754 , acc : 0.183 Epoch 3 Time : 1.474312 s , loss : 62.076 , acc : 0.211 Epoch 4 Time : 1.463488 s , loss : 60.709 , acc : 0.247 Epoch 5 Time : 1.495513 s , loss : 58.924 , acc : 0.276 Epoch 6 Time : 1.50393 s , loss : 57.685 , acc : 0.296 Epoch 7 Time : 1.401566 s , loss : 56.825 , acc : 0.311 Epoch 8 Time : 1.552453 s , loss : 56.041 , acc : 0.325 Epoch 9 Time : 2.047746 s , loss : 55.225 , acc : 0.336 Epoch 10 Time : 1.500972 s , loss : 54.438 , acc : 0.346 Epoch 11 Time : 1.449009 s , loss : 53.76 , acc : 0.355 Epoch 12 Time : 1.456149 s , loss : 53.171 , acc : 0.361 Epoch 13 Time : 1.636981 s , loss : 52.639 , acc : 0.366 Epoch 14 Time : 1.519201 s , loss : 52.153 , acc : 0.372 Epoch 15 Time : 1.582178 s , loss : 51.709 , acc : 0.377 Epoch 16 Time : 1.524292 s , loss : 51.303 , acc : 0.381 Epoch 17 Time : 1.472452 s , loss : 50.93 , acc : 0.386 Epoch 18 Time : 1.500321 s , loss : 50.584 , acc : 0.39 Epoch 19 Time : 1.503371 s , loss : 50.258 , acc : 0.395 Epoch 20 Time : 1.504718 s , loss : 49.949 , acc : 0.399 Epoch 21 Time : 1.579238 s , loss : 49.654 , acc : 0.403 Epoch 22 Time : 1.571431 s , loss : 49.373 , acc : 0.407 Epoch 23 Time : 1.683039 s , loss : 49.105 , acc : 0.411 Epoch 24 Time : 1.526153 s , loss : 48.852 , acc : 0.414 Epoch 25 Time : 1.519478 s , loss : 48.609 , acc : 0.418 Epoch 26 Time : 1.417229 s , loss : 48.374 , acc : 0.42 Epoch 27 Time : 1.711816 s , loss : 48.146 , acc : 0.423 Epoch 28 Time : 1.628203 s , loss : 47.925 , acc : 0.427 Epoch 29 Time : 1.601898 s , loss : 47.71 , acc : 0.431 Epoch 30 Time : 1.552816 s , loss : 47.503 , acc : 0.434 Epoch 31 Time : 1.483635 s , loss : 47.302 , acc : 0.437 Epoch 32 Time : 1.500484 s , loss : 47.104 , acc : 0.44 Epoch 33 Time : 1.514314 s , loss : 46.912 , acc : 0.442 Epoch 34 Time : 1.560259 s , loss : 46.731 , acc : 0.445 Epoch 35 Time : 1.505326 s , loss : 46.556 , acc : 0.447 Epoch 36 Time : 1.492348 s , loss : 46.388 , acc : 0.45 Epoch 37 Time : 1.479754 s , loss : 46.226 , acc : 0.452 Epoch 38 Time : 1.556336 s , loss : 46.069 , acc : 0.454 Epoch 39 Time : 1.512166 s , loss : 45.916 , acc : 0.455 Epoch 40 Time : 1.525349 s , loss : 45.765 , acc : 0.458 Epoch 41 Time : 1.536424 s , loss : 45.617 , acc : 0.46 Epoch 42 Time : 1.496241 s , loss : 45.656 , acc : 0.46 Epoch 43 Time : 1.473638 s , loss : 45.358 , acc : 0.462 Epoch 44 Time : 1.504573 s , loss : 45.18 , acc : 0.465 Epoch 45 Time : 1.502319 s , loss : 45.129 , acc : 0.465 Epoch 46 Time : 1.515625 s , loss : 45.035 , acc : 0.466 Epoch 47 Time : 1.496521 s , loss : 44.82 , acc : 0.468 Epoch 48 Time : 1.501526 s , loss : 44.838 , acc : 0.468 Epoch 49 Time : 1.500548 s , loss : 44.607 , acc : 0.472 Epoch 50 Time : 1.522726 s , loss : 44.57 , acc : 0.471 { # Nx.Tensor &lt; f32 [ input : 3072 ] [ layer1 : 32 ] Torchx.Backend ( cpu ) [ [ 0.06159350275993347 , 0.12734365463256836 , - 0.04637990519404411 , - 0.14622245728969574 , - 0.026950793340802193 , 0.18754519522190094 , - 0.11162003129720688 , 0.03631016984581947 , 0.06155526638031006 , 0.05119727551937103 , 0.12082687020301819 , 0.0010204321006312966 , - 0.13074278831481934 , - 0.2162177860736847 , - 0.0529991090297699 , - 0.11709204316139221 , 0.03308134153485298 , 0.10344900190830231 , - 0.007962973788380623 , 0.005867910571396351 , 0.025203991681337357 , - 0.16794253885746002 , - 0.06448774039745331 , 0.13841457664966583 , - 0.11046885699033737 , 0.1314300000667572 , 0.11232485622167587 , 0.05331533029675484 , - 0.056031279265880585 , - 0.15944091975688934 , 0.08177391439676285 , - 0.3181536793708801 ] , [ 0.07542850077152252 , 0.10426164418458939 , - 0.09150480479001999 , 0.08607892692089081 , - 0.0802445337176323 , 0.3077136278152466 , 0.022843508049845695 , - 0.10194684565067291 , 0.01955121010541916 , 0.05440697446465492 , 0.19110870361328125 , - 0.06551551818847656 , 0.0012398258550092578 , - 0.07089567184448242 , 0.005781807005405426 , 0.032927487045526505 , - 0.15386459231376648 , ... ] , ... ] &gt; , # Nx.Tensor &lt; f32 [ layer1 : 32 ] Torchx.Backend ( cpu ) [ - 0.4782559275627136 , - 0.0953182652592659 , 0.9538414478302002 , - 0.9563804864883423 , 0.19684253633022308 , 0.10464754700660706 , 0.2017214596271515 , 0.4398568272590637 , 0.23314496874809265 , 1.1341161727905273 , - 0.35619667172431946 , 0.3896051347255707 , - 0.03676304966211319 , - 0.11970412731170654 , 0.6443958282470703 , 1.0974687337875366 , - 0.9757993817329407 , - 0.237301766872406 , 0.6900271773338318 , - 1.0126398801803589 , 0.8445910215377808 , - 0.06984522938728333 , 0.6991291642189026 , 0.4147650897502899 , 0.5383307337760925 , - 1.6058013439178467 , - 0.6333990693092346 , 0.9713459610939026 , - 1.1919199228286743 , - 0.6940388083457947 , 0.43150636553764343 , - 0.07613875716924667 ] &gt; , # Nx.Tensor &lt; f32 [ layer1 : 32 ] [ layer2 : 24 ] Torchx.Backend ( cpu ) [ [ - 0.33987560868263245 , - 0.2776806652545929 , - 0.3417806923389435 , 0.2850123345851898 , - 0.08022978156805038 , - 0.5811548233032227 , - 0.17571184039115906 , 0.018330495804548264 , - 0.13240738213062286 , 0.46940329670906067 , - 0.38814595341682434 , 0.344807505607605 , - 0.13484203815460205 , 0.34233394265174866 , 0.003809022717177868 , - 0.09918670356273651 , - 0.04311465099453926 , 0.8633210062980652 , 0.07081698626279831 , - 0.42742085456848145 , 0.5656407475471497 , - 0.5184997320175171 , - 0.1400681883096695 , - 0.37492144107818604 ] , [ - 0.18105199933052063 , - 0.26929351687431335 , 0.455635666847229 , - 0.958427369594574 , 0.6590504050254822 , - 0.9575876593589783 , 0.03432007133960724 , - 0.3971480429172516 , 0.2179064154624939 , - 0.31215599179267883 , - 0.15511885285377502 , - 0.7740356922149658 , 0.7641487121582031 , 0.0803070217370987 , 0.2655712068080902 , - 0.23865076899528503 , 0.5451679825782776 , 0.16663742065429688 , - 0.08000250160694122 , - 0.42117956280708313 , 0.026075761765241623 , - 0.07219810038805008 , 0.5508838891983032 , ... ] , ... ] &gt; , # Nx.Tensor &lt; f32 [ layer2 : 24 ] Torchx.Backend ( cpu ) [ 0.12863606214523315 , - 0.39577043056488037 , 0.2603394389152527 , - 0.4970460832118988 , - 0.12190719693899155 , 0.11095257848501205 , - 0.11531135439872742 , - 0.055682189762592316 , - 0.013144372962415218 , 0.13842496275901794 , 0.05578012019395828 , - 0.47933924198150635 , - 0.05614984408020973 , 0.03527414798736572 , - 0.3992805778980255 , - 0.11208709329366684 , 0.13771165907382965 , 0.0196288600564003 , 0.008769847452640533 , 0.34402191638946533 , - 0.20614822208881378 , 0.12027487903833389 , - 0.06340263783931732 , 0.12220388650894165 ] &gt; , # Nx.Tensor &lt; f32 [ layer2 : 24 ] [ output : 10 ] Torchx.Backend ( cpu ) [ [ - 0.7585468888282776 , - 0.21927006542682648 , - 0.4808247983455658 , 0.5093653798103333 , 0.19336795806884766 , 0.8497358560562134 , 0.7614853382110596 , 0.9867469668388367 , - 0.18471986055374146 , - 1.8935502767562866 ] , [ - 0.21348366141319275 , - 0.4031388461589813 , 0.154790997505188 , - 1.302069902420044 , 1.0026453733444214 , - 0.42505010962486267 , 0.7698855400085449 , 1.26364004611969 , - 0.5512898564338684 , - 0.5894452929496765 ] , [ - 0.7507593631744385 , 0.8991221189498901 , - 0.7759523391723633 , - 0.15009775757789612 , - 1.1441510915756226 , 0.8113402128219604 , - 1.033116340637207 , 0.48261716961860657 , 0.3629790246486664 , 1.512804388999939 ] , [ 0.6820945143699646 , - 0.19330617785453796 , 1.6458057165145874 , - 0.5821719765663147 , 1.9896080493927002 , - 0.4230886399745941 , - 0.39437347650527954 , - 1.1041091680526733 , - 0.4087747037410736 , - 1.095003604888916 ] , [ 0.32531166076660156 , 0.8763105869293213 , - 0.4181594252586365 , - 0.3064834475517273 , - 0.9987258911132812 , ... ] , ... ] &gt; , # Nx.Tensor &lt; f32 [ output : 10 ] Torchx.Backend ( cpu ) [ - 0.08992704749107361 , 0.04459410160779953 , - 0.21699029207229614 , - 0.1284622699022293 , - 0.07085893303155899 , 0.2854973077774048 , - 0.38408756256103516 , 0.19632413983345032 , 0.11082038283348083 , - 0.2601413130760193 ] &gt; }","ref":"cifar10.html#train-the-neural-network","title":"Evision Example - Simple use of Evision in a Machine Learning Pipeline with Nx and torhcx - Train the Neural Network","type":"extras"},{"doc":"resized_img = Cv . resize ( img , { 128 , 128 } ) Cv . imencode ( &quot;.png&quot; , resized_img ) |&gt; Kino.Image . new ( :png ) classes = [ :airplane , :automobile , :bird , :cat , :deer , :dog , :frog , :horse , :ship , :truck ] input_tensor = img |&gt; Cv . resize ( { 32 , 32 } ) |&gt; Cv.Mat . to_nx ( Nx.BinaryBackend ) |&gt; Nx . backend_transfer ( Torchx.Backend ) |&gt; Nx . flatten ( ) pred = params |&gt; DenseNN . predict ( input_tensor ) |&gt; Nx . argmax ( ) |&gt; Nx . to_number ( ) Enum . at ( classes , pred ) :cat","ref":"cifar10.html#classify-the-test-image-with-the-neural-network","title":"Evision Example - Simple use of Evision in a Machine Learning Pipeline with Nx and torhcx - Classify the Test Image with the Neural Network","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] ) :ok","ref":"dnn-googlenet.html","title":"Evision.DNN Example - Object Detection Task with GoogleNet","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end { :module , Helper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 10 , ... &gt;&gt; , { :download! , 3 } }","ref":"dnn-googlenet.html#define-some-helper-functions","title":"Evision.DNN Example - Object Detection Task with GoogleNet - Define Some Helper Functions","type":"extras"},{"doc":"Model parameters. bvlc_googlenet.caffemodel Model config. bvlc_googlenet.prototxt List of class names. classification_classes_ILSVRC2012.txt Test image. space_shuttle.jpg # change to the file&#39;s directory # or somewhere you have write permission File . cd! ( __DIR__ ) Helper . download! ( &quot;http://dl.caffe.berkeleyvision.org/bvlc_googlenet.caffemodel&quot; , &quot;bvlc_googlenet.caffemodel&quot; ) Helper . download! ( &quot;https://raw.githubusercontent.com/opencv/opencv_extra/master/testdata/dnn/bvlc_googlenet.prototxt&quot; , &quot;bvlc_googlenet.prototxt&quot; ) Helper . download! ( &quot;https://raw.githubusercontent.com/opencv/opencv/master/samples/data/dnn/classification_classes_ILSVRC2012.txt&quot; , &quot;classification_classes_ILSVRC2012.txt&quot; ) Helper . download! ( &quot;https://docs.opencv.org/4.5.4/space_shuttle.jpg&quot; , &quot;space_shuttle.jpg&quot; ) :ok","ref":"dnn-googlenet.html#download-googlenet-model-and-a-test-image","title":"Evision.DNN Example - Object Detection Task with GoogleNet - Download GoogLeNet Model and A Test Image","type":"extras"},{"doc":"classes = &quot;classification_classes_ILSVRC2012.txt&quot; |&gt; File . read! ( ) |&gt; String . split ( &quot; \\n &quot; ) [ &quot;tench, Tinca tinca&quot; , &quot;goldfish, Carassius auratus&quot; , &quot;great white shark, white shark, man-eater, man-eating shark, Carcharodon carcharias&quot; , &quot;tiger shark, Galeocerdo cuvieri&quot; , &quot;hammerhead, hammerhead shark&quot; , &quot;electric ray, crampfish, numbfish, torpedo&quot; , &quot;stingray&quot; , &quot;cock&quot; , &quot;hen&quot; , &quot;ostrich, Struthio camelus&quot; , &quot;brambling, Fringilla montifringilla&quot; , &quot;goldfinch, Carduelis carduelis&quot; , &quot;house finch, linnet, Carpodacus mexicanus&quot; , &quot;junco, snowbird&quot; , &quot;indigo bunting, indigo finch, indigo bird, Passerina cyanea&quot; , &quot;robin, American robin, Turdus migratorius&quot; , &quot;bulbul&quot; , &quot;jay&quot; , &quot;magpie&quot; , &quot;chickadee&quot; , &quot;water ouzel, dipper&quot; , &quot;kite&quot; , &quot;bald eagle, American eagle, Haliaeetus leucocephalus&quot; , &quot;vulture&quot; , &quot;great grey owl, great gray owl, Strix nebulosa&quot; , &quot;European fire salamander, Salamandra salamandra&quot; , &quot;common newt, Triturus vulgaris&quot; , &quot;eft&quot; , &quot;spotted salamander, Ambystoma maculatum&quot; , &quot;axolotl, mud puppy, Ambystoma mexicanum&quot; , &quot;bullfrog, Rana catesbeiana&quot; , &quot;tree frog, tree-frog&quot; , &quot;tailed frog, bell toad, ribbed toad, tailed toad, Ascaphus trui&quot; , &quot;loggerhead, loggerhead turtle, Caretta caretta&quot; , &quot;leatherback turtle, leatherback, leathery turtle, Dermochelys coriacea&quot; , &quot;mud turtle&quot; , &quot;terrapin&quot; , &quot;box turtle, box tortoise&quot; , &quot;banded gecko&quot; , &quot;common iguana, iguana, Iguana iguana&quot; , &quot;American chameleon, anole, Anolis carolinensis&quot; , &quot;whiptail, whiptail lizard&quot; , &quot;agama&quot; , &quot;frilled lizard, Chlamydosaurus kingi&quot; , &quot;alligator lizard&quot; , &quot;Gila monster, Heloderma suspectum&quot; , &quot;green lizard, Lacerta viridis&quot; , &quot;African chameleon, Chamaeleo chamaeleon&quot; , &quot;Komodo dragon, Komodo lizard, dragon lizard, giant lizard, Varanus komodoensis&quot; , &quot;African crocodile, Nile crocodile, Crocodylus niloticus&quot; , ... ]","ref":"dnn-googlenet.html#read-class-names","title":"Evision.DNN Example - Object Detection Task with GoogleNet - Read Class Names","type":"extras"},{"doc":"alias Evision , as : Cv model = Cv.DNN . readNet ( &quot;bvlc_googlenet.caffemodel&quot; , config : &quot;bvlc_googlenet.prototxt&quot; , framework : &quot;&quot; ) % Evision.DNN.Net { ref : # Reference &lt; 0.4003430890 . 1440088085.55917 &gt; } Set Backend and Target # &quot;0: automatically (by default), &quot; # &quot;1: Halide language (http://halide-lang.org/), &quot; # &quot;2: Intel&#39;s Deep Learning Inference Engine (https://software.intel.com/openvino-toolkit), &quot; # &quot;3: OpenCV implementation, &quot; # &quot;4: VKCOM, &quot; # &quot;5: CUDA model = Cv.DNN.Net . setPreferableBackend ( model , 0 ) # &quot;0: CPU target (by default), &quot; # &quot;1: OpenCL, &quot; # &quot;2: OpenCL fp16 (half-float precision), &quot; # &quot;3: VPU, &quot; # &quot;4: Vulkan, &quot; # &quot;6: CUDA, &quot; # &quot;7: CUDA fp16 (half-float preprocess) model = Cv.DNN.Net . setPreferableTarget ( model , 0 ) % Evision.DNN.Net { ref : # Reference &lt; 0.4003430890 . 1440088085.55917 &gt; }","ref":"dnn-googlenet.html#load-the-googlenet-model","title":"Evision.DNN Example - Object Detection Task with GoogleNet - Load the GoogLeNet Model","type":"extras"},{"doc":"mat = Cv . imread ( &quot;space_shuttle.jpg&quot; ) blob = Cv.DNN . blobFromImage ( mat , scalefactor : 1 , swapRB : true , mean : [ - 104 , - 117 , - 123 ] , size : [ 224 , 224 ] ) model = Cv.DNN.Net . setInput ( model , blob , name : &quot;&quot; , scalefactor : 1.0 , mean : [ 0 , 0 , 0 ] ) % Evision.DNN.Net { ref : # Reference &lt; 0.4003430890 . 1440088085.55917 &gt; } Run the Forward Function start_time = :os . system_time ( :millisecond ) pred = Cv.DNN.Net . forward ( model , outputName : &quot;&quot; ) end_time = :os . system_time ( :millisecond ) &quot;Inference time=&gt; \#{ end_time - start_time } ms&quot; &quot;Inference time=&gt;49 ms&quot;","ref":"dnn-googlenet.html#read-the-test-image-and-set-it-as-the-input","title":"Evision.DNN Example - Object Detection Task with GoogleNet - Read the Test Image and Set It as the Input","type":"extras"},{"doc":"pred = pred |&gt; Cv.Mat . to_nx ( Nx.BinaryBackend ) pred_class_id = pred |&gt; Nx . argmax ( ) |&gt; Nx . to_flat_list ( ) |&gt; Enum . at ( 0 ) confidence = pred |&gt; Nx . take ( Nx . tensor ( pred_class_id ) , axis : 1 ) |&gt; Nx . to_flat_list ( ) |&gt; Enum . at ( 0 ) class_label = classes |&gt; Enum . at ( pred_class_id ) &quot;Predict result: \#{ class_label } =&gt; \#{ Float . round ( confidence * 100 , 2 ) } &quot; &quot;Predict result: space shuttle=&gt;99.13&quot;","ref":"dnn-googlenet.html#get-the-classification-result","title":"Evision.DNN Example - Object Detection Task with GoogleNet - Get the Classification Result","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :req , &quot;~&gt; 0.3&quot; } , { :kino , &quot;~&gt; 0.7&quot; } ] ) :ok","ref":"dnn-detection-model.html","title":"Evision.DNN Example - Generic Object Detection Task","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end { :module , Helper , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 10 , ... &gt;&gt; , { :download! , 3 } }","ref":"dnn-detection-model.html#define-some-helper-functions","title":"Evision.DNN Example - Generic Object Detection Task - Define Some Helper Functions","type":"extras"},{"doc":"alias Evision , as : Cv # change to the file&#39;s directory # or somewhere you have write permission File . cd! ( __DIR__ ) defmodule DetectionModel do def visualise_pred ( mat , _labels , [ ] ) , do : { :ok , mat } def visualise_pred ( mat , labels , [ translated_out | outs ] ) do { :ok , mat } = _visualise_pred ( mat , labels , translated_out ) visualise_pred ( mat , labels , outs ) end defp _visualise_pred ( mat , _labels , [ ] ) , do : { :ok , mat } defp _visualise_pred ( mat , labels , [ { class_id , confidence , l , t , r , b } | outs ] ) do confidence = &quot; \#{ Float . round ( confidence , 2 ) } &quot; label = Enum . at ( labels , class_id ) text = &quot; \#{ label } : \#{ confidence } &quot; mat = Cv . rectangle ( mat , { l , t } , { r , b } , { 255 , 0 , 0 } ) { { label_weight , label_height } , baseline } = Cv . getTextSize ( text , Cv . cv_FONT_HERSHEY_SIMPLEX ( ) , 0.5 , 1 ) label_weight = trunc ( label_weight ) label_height = trunc ( label_height ) top = max ( t , label_height ) mat = Cv . rectangle ( mat , { l , top - label_height } , { l + label_weight , top + baseline } , { 255 , 255 , 255 } ) mat = Cv . putText ( mat , text , { l , top } , Cv . cv_FONT_HERSHEY_SIMPLEX ( ) , 0.5 , { 0 , 0 , 255 } ) _visualise_pred ( mat , labels , outs ) end def postprocess ( mat , detections , net , confidence_threshold ) do out_layers = Cv.DNN.Net . getUnconnectedOutLayers ( net ) out_layer = Cv.DNN.Net . getLayer ( net , Enum . at ( out_layers , 0 ) ) out_layer_type = Cv.DNN.Layer . get_type ( out_layer ) |&gt; IO . iodata_to_binary ( ) _postprocess ( mat , detections , net , confidence_threshold , out_layer_type , [ ] ) end defp _postprocess ( _mat , [ ] , _net , _confidence_threshold , &lt;&lt; &quot;DetectionOutput&quot; &gt;&gt; , acc ) , do : { :ok , Enum . reverse ( acc ) } defp _postprocess ( % Evision.Mat { shape : { h , w , _ } } = mat , [ outs | detections ] , net , confidence_threshold , &lt;&lt; &quot;DetectionOutput&quot; &gt;&gt; , acc ) do data = Cv.Mat . to_binary ( outs ) { :ok , translated_outs } = _translate_outs ( confidence_threshold , data , h , w , [ ] ) _postprocess ( mat , detections , net , confidence_threshold , &quot;DetectionOutput&quot; , [ translated_outs | acc ] ) end defp _translate_outs ( _confidence_threshold , &lt;&lt; &gt;&gt; , _h , _w , acc ) , do : { :ok , acc } defp _translate_outs ( confidence_threshold , &lt;&lt; _batch_id :: float - size ( 32 ) - little , class_id :: float - size ( 32 ) - little , confidence :: float - size ( 32 ) - little , left :: float - size ( 32 ) - little , top :: float - size ( 32 ) - little , right :: float - size ( 32 ) - little , bottom :: float - size ( 32 ) - little , rest :: binary &gt;&gt; , h , w , acc ) do if confidence &gt; confidence_threshold do [ class_id , l , t , r , b ] = Enum . map ( [ class_id , left , top , right , bottom ] , fn f -&gt; trunc ( f ) end ) width = r - l + 1 height = b - t + 1 [ l , t , r , b ] = if width &lt;= 2 or height &lt;= 2 do Enum . map ( [ left * w , top * h , right * w , bottom * h ] , fn f -&gt; trunc ( f ) end ) else [ l , t , r , b ] end _translate_outs ( confidence_threshold , rest , h , w , [ { class_id - 1 , confidence , l , t , r , b } | acc ] ) else _translate_outs ( confidence_threshold , rest , h , w , acc ) end end def get_labels ( class_label_file ) do class_label_file |&gt; File . read! ( ) |&gt; String . split ( &quot; \\n &quot; ) end def predict ( mat , model , out_names , opts \\\\ [ ] ) do blob = Cv.DNN . blobFromImage ( mat , opts ) model = Cv.DNN.Net . setInput ( model , blob , name : &quot;&quot; , scalefactor : 1.0 , mean : [ 0 , 0 , 0 ] ) start_time = :os . system_time ( :millisecond ) detections = Cv.DNN.Net . forward ( model , outBlobNames : out_names ) end_time = :os . system_time ( :millisecond ) IO . puts ( &quot;Inference time=&gt; \#{ end_time - start_time } ms&quot; ) { :ok , mat , detections } end def predict_file ( image_file , model , out_names , opts \\\\ [ ] ) do predict ( Cv . imread ( image_file ) , model , out_names , opts ) end def get_model ( params , config , framework \\\\ &quot;&quot; ) do net = Cv.DNN . readNet ( params , config : config , framework : framework ) out_names = Cv.DNN.Net . getUnconnectedOutLayersNames ( net ) { :ok , net , out_names } end end { :module , DetectionModel , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 34 , ... &gt;&gt; , { :get_model , 3 } }","ref":"dnn-detection-model.html#write-the-generic-detectionmodel-module","title":"Evision.DNN Example - Generic Object Detection Task - Write the Generic DetectionModel Module","type":"extras"},{"doc":"Basic steps: Download model weights and config file, as well as a list of class names. DetectionModel.get_model . DetectionModel.get_labels . DetectionModel.predict and specify some preprocessing parameters. DetectionModel.postprocess . This translates nerual network outputs to data that is easier to read/use. DetectionModel.visualise_pred if you want to see the result. defmodule SSDMobileNetV2 do defp download_model ( ) do Helper . download! ( &quot;https://raw.githubusercontent.com/opencv/opencv_extra/master/testdata/dnn/ssd_mobilenet_v2_coco_2018_03_29.pbtxt&quot; , &quot;ssd_mobilenet_v2_coco_2018_03_29.pbtxt&quot; ) Helper . download! ( &quot;https://raw.githubusercontent.com/cocoa-xu/evision/main/test/testdata/models/coco_names.txt&quot; , &quot;coco_names.txt&quot; ) graph_pb = &quot;ssd_mobilenet_v2_coco_2018_03_29/frozen_inference_graph.pb&quot; if ! File . exists? ( graph_pb ) do Helper . download! ( &quot;http://download.tensorflow.org/models/object_detection/ssd_mobilenet_v2_coco_2018_03_29.tar.gz&quot; , &quot;ssd_mobilenet_v2_coco_2018_03_29.tar.gz&quot; ) &quot;ssd_mobilenet_v2_coco_2018_03_29.tar.gz&quot; |&gt; File . read! ( ) |&gt; :zlib . gunzip ( ) |&gt; then ( &amp; :erl_tar . extract ( { :binary , &amp;1 } , [ :memory , :compressed ] ) ) |&gt; elem ( 1 ) |&gt; Enum . map ( fn { filename , content } -&gt; { List . to_string ( filename ) , content } end ) |&gt; Enum . reject ( &amp; ( elem ( &amp;1 , 0 ) != &quot;ssd_mobilenet_v2_coco_2018_03_29/frozen_inference_graph.pb&quot; ) ) |&gt; Enum . at ( 0 ) |&gt; then ( fn { _filename , content } -&gt; File . mkdir_p! ( &quot;ssd_mobilenet_v2_coco_2018_03_29&quot; ) File . write! ( graph_pb , content ) :ok end ) else :ok end end def get_detection_model ( ) do :ok = download_model ( ) graph_pb = &quot;ssd_mobilenet_v2_coco_2018_03_29/frozen_inference_graph.pb&quot; { :ok , net , out_names } = DetectionModel . get_model ( graph_pb , &quot;ssd_mobilenet_v2_coco_2018_03_29.pbtxt&quot; ) labels = DetectionModel . get_labels ( &quot;coco_names.txt&quot; ) { net , out_names , labels } end def predict_file_and_show ( filename , confidence_threshold \\\\ 0.5 ) when is_binary ( filename ) do { net , out_names , labels } = get_detection_model ( ) { :ok , mat , detections } = DetectionModel . predict_file ( filename , net , out_names , scalefactor : 1 , swapRB : true , mean : [ 0 , 0 , 0 ] , size : [ 300 , 300 ] ) { :ok , translated_outs } = DetectionModel . postprocess ( mat , detections , net , confidence_threshold ) { :ok , mat } = DetectionModel . visualise_pred ( mat , labels , translated_outs ) mat end def predict_and_show ( net , out_names , labels , mat , confidence_threshold \\\\ 0.5 ) when is_reference ( mat ) do { :ok , mat , detections } = DetectionModel . predict ( mat , net , out_names , scalefactor : 1 , swapRB : true , mean : [ 0 , 0 , 0 ] , size : [ 300 , 300 ] ) { :ok , translated_outs } = DetectionModel . postprocess ( mat , detections , net , confidence_threshold ) { :ok , mat } = DetectionModel . visualise_pred ( mat , labels , translated_outs ) mat end end { :module , SSDMobileNetV2 , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 22 , ... &gt;&gt; , { :predict_and_show , 5 } }","ref":"dnn-detection-model.html#example-detect-model-ssd-mobilenetv2","title":"Evision.DNN Example - Generic Object Detection Task - Example Detect Model: SSD MobileNetv2","type":"extras"},{"doc":"Helper . download! ( &quot;https://raw.githubusercontent.com/cocoa-xu/evision/main/test/dnn_detection_test.jpg&quot; , &quot;dnn_detection_test.jpg&quot; ) % Evision.Mat { type : type } = mat = SSDMobileNetV2 . predict_file_and_show ( &quot;dnn_detection_test.jpg&quot; ) Inference time =&gt; 35 ms % Evision.Mat { channels : 3 , dims : 2 , type : { :u , 8 } , raw_type : 16 , shape : { 586 , 872 , 3 } , ref : # Reference &lt; 0.1834280076 . 3317825552.216669 &gt; } Cv . imencode ( &quot;.png&quot; , mat ) |&gt; Kino.Image . new ( :png )","ref":"dnn-detection-model.html#detect-objects-in-an-image","title":"Evision.DNN Example - Generic Object Detection Task - Detect Objects in An Image","type":"extras"},{"doc":"# if you have a camera available # uncomment the line below # video = Cv.VideoCapture.videoCapture(0) # or the OpenCV library you compiled can decode video files # uncomment the line below # video = Cv.VideoCapture.videoCapture(&quot;/path/to/your/video/file&quot;) nil defmodule VideoDetection do def detect ( video , widget , max_frames \\\\ 30 * 60 ) when is_reference ( video ) and is_integer ( max_frames ) do { net , out_names , labels } = SSDMobileNetV2 . get_detection_model ( ) frame_read = Cv.VideoCapture . read ( video ) _detect ( net , out_names , labels , frame_read , video , widget , max_frames ) end defp _detect ( _ , _ , _ , _ , _ , _ , 0 ) , do : :ok defp _detect ( net , out_names , labels , frame , video , widget , left_frames ) when left_frames &gt; 0 or left_frames &lt; 0 do mat = SSDMobileNetV2 . predict_and_show ( net , out_names , labels , frame ) Cv . imencode ( &quot;.png&quot; , mat ) |&gt; Kino.Image . new ( :png ) |&gt; then ( &amp; Kino.Frame . render ( widget , &amp;1 ) ) frame_read = Cv.VideoCapture . read ( video ) if left_frames &gt; 0 do _detect ( net , out_names , labels , frame_read , video , widget , left_frames - 1 ) else _detect ( net , out_names , labels , frame_read , video , widget , left_frames ) end end end { :module , VideoDetection , &lt;&lt; 70 , 79 , 82 , 49 , 0 , 0 , 12 , ... &gt;&gt; , { :_detect , 7 } } Run the detection widget = Kino.Frame . new ( ) |&gt; Kino . render ( ) # read 1,800 frames at most # change the number to negative values to # detect objects until OpenCV cannot read # new frame from the video stream VideoDetection . detect ( video , widget , 1800 ) &quot;Inference time=&gt;48 ms&quot;","ref":"dnn-detection-model.html#detect-objects-in-a-video-stream","title":"Evision.DNN Example - Generic Object Detection Task - Detect Objects in a Video Stream","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] )","ref":"densenet121_benchmark.html","title":"Evision.DNN Example - Benchmark using Densenet121","type":"extras"},{"doc":"defmodule Helper do def download! ( url , save_as , overwrite? \\\\ false ) do unless File . exists? ( save_as ) do Req . get! ( url , http_errors : :raise , output : save_as , cache : not overwrite? ) end :ok end end","ref":"densenet121_benchmark.html#define-some-helper-functions","title":"Evision.DNN Example - Benchmark using Densenet121 - Define Some Helper Functions","type":"extras"},{"doc":"alias Evision , as : Cv defmodule DetectionModel do def benchmark ( times , mat , model , out_names , opts \\\\ [ ] ) do mean = opts [ :mean ] || [ 0 , 0 , 0 ] scalefactor = opts [ :scalefactor ] || 1.0 for _ &lt;- 1 .. times , reduce : { [ ] , [ ] } do { forward_only , all } -&gt; start_time_1 = :os . system_time ( :millisecond ) blob = Cv.DNN . blobFromImage ( mat , opts ) model = Cv.DNN.Net . setInput ( model , blob , name : &quot;&quot; , scalefactor : scalefactor , mean : mean ) start_time_2 = :os . system_time ( :millisecond ) _detections = Cv.DNN.Net . forward ( model , outBlobNames : out_names ) end_time = :os . system_time ( :millisecond ) inference_time_1 = end_time - start_time_1 inference_time_2 = end_time - start_time_2 IO . puts ( &quot;Inference time=&gt; \#{ inference_time_2 } ms&quot; ) { [ inference_time_2 | forward_only ] , [ inference_time_1 | all ] } end end def get_model ( filename ) do net = Cv.DNN . readNetFromONNX ( filename ) out_names = Cv.DNN.Net . getUnconnectedOutLayersNames ( net ) { :ok , net , out_names } end end","ref":"densenet121_benchmark.html#write-the-benchmark-module","title":"Evision.DNN Example - Benchmark using Densenet121 - Write the Benchmark Module","type":"extras"},{"doc":"defmodule DenseNet121 do defp download_model ( opset_version ) when opset_version in [ 3 , 6 , 7 , 8 , 9 , 12 ] do onnx_filename = &quot;densenet- \#{ opset_version } .onnx&quot; test_filename = &quot;CyprusShorthair.jpg&quot; Helper . download! ( &quot;https://github.com/onnx/models/raw/main/vision/classification/densenet-121/model/densenet- \#{ opset_version } .onnx&quot; , onnx_filename ) Helper . download! ( &quot;https://upload.wikimedia.org/wikipedia/commons/b/b9/CyprusShorthair.jpg&quot; , &quot;CyprusShorthair.jpg&quot; ) { onnx_filename , test_filename } end def get_detection_model ( opset_version \\\\ 12 ) do { onnx_filename , test_filename } = download_model ( opset_version ) { :ok , net , out_names } = DetectionModel . get_model ( onnx_filename ) test_mat = Cv . imread ( test_filename ) { net , out_names , test_mat } end def benchmark ( times , opset_version \\\\ 12 ) do { net , out_names , test_mat } = get_detection_model ( opset_version ) DetectionModel . benchmark ( times , test_mat , net , out_names , scalefactor : 1 , swapRB : true , mean : { 128 , 128 , 128 } , size : { 224 , 224 } ) end end","ref":"densenet121_benchmark.html#write-the-densenet121-module","title":"Evision.DNN Example - Benchmark using Densenet121 - Write the DenseNet121 Module","type":"extras"},{"doc":"{ forward_only , all } = DenseNet121 . benchmark ( 50 ) avg_forward_only = Enum . sum ( forward_only ) / Enum . count ( forward_only ) avg_all = Enum . sum ( all ) / Enum . count ( all ) { avg_forward_only , avg_all }","ref":"densenet121_benchmark.html#load-and-run","title":"Evision.DNN Example - Benchmark using Densenet121 - Load and Run","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :req , &quot;~&gt; 0.3&quot; } ] ) :ok","ref":"ml-svm.html","title":"Evision.ML.SVM Example - Support Vector Machine","type":"extras"},{"doc":"This example is based on the Introduction to Support Vector Machines from Cv. alias Evision , as : Cv labels = [ 1 , - 1 , - 1 , - 1 ] training_data = [ [ 501 , 10 ] , [ 255 , 10 ] , [ 501 , 255 ] , [ 10 , 501 ] ] labels_mat = Cv.Mat . literal ( labels , :s32 ) training_data_mat = Cv.Mat . literal ( training_data , :f32 ) % Evision.Mat { channels : 1 , dims : 2 , type : { :f , 32 } , raw_type : 5 , shape : { 4 , 2 } , ref : # Reference &lt; 0.1481828880 . 2785148948.120970 &gt; }","ref":"ml-svm.html#set-up-training-data","title":"Evision.ML.SVM Example - Support Vector Machine - Set Up Training Data","type":"extras"},{"doc":"svm = Cv.ML.SVM . create ( ) svm = Cv.ML.SVM . setType ( svm , Cv . cv_C_SVC ( ) ) svm = Cv.ML.SVM . setKernel ( svm , Cv . cv_LINEAR ( ) ) svm = Cv.ML.SVM . setTermCriteria ( svm , { Cv . cv_MAX_ITER ( ) , 100 , 0.000001 } ) true = Cv.ML.SVM . train ( svm , training_data_mat , Cv . cv_ROW_SAMPLE ( ) , labels_mat ) true = Cv.ML.SVM . isTrained ( svm ) true","ref":"ml-svm.html#create-an-svm-and-train-it-with-the-data","title":"Evision.ML.SVM Example - Support Vector Machine - Create an SVM and Train It With the Data","type":"extras"},{"doc":"% Evision.Mat { shape : { rows , cols } } = sv = Cv.ML.SVM . getUncompressedSupportVectors ( svm ) sv_binary = Cv.Mat . to_binary ( sv ) float_bytes = 4 support_vector = for i &lt;- ( rows - 1 ) .. 0 , reduce : [ ] do support_vector -&gt; current_vector = for j &lt;- ( cols - 1 ) .. 0 , reduce : [ ] do vec -&gt; &lt;&lt; float_data :: float - size ( 32 ) - little &gt;&gt; = :binary . part ( sv_binary , ( i * cols + j ) * float_bytes , 4 ) [ trunc ( float_data ) | vec ] end [ current_vector | support_vector ] end [ [ 501 , 10 ] , [ 255 , 10 ] , [ 501 , 255 ] ] = support_vector support_vector [ [ 501 , 10 ] , [ 255 , 10 ] , [ 501 , 255 ] ]","ref":"ml-svm.html#get-support-vectors","title":"Evision.ML.SVM Example - Support Vector Machine - Get Support Vectors","type":"extras"},{"doc":"green = [ 0 , 255 , 0 ] blue = [ 255 , 0 , 0 ] width = 512 height = 512 response_data = for x &lt;- ( width - 1 ) .. 0 , y &lt;- ( height - 1 ) .. 0 , reduce : [ ] do acc -&gt; sample = Cv.Mat . from_binary ( &lt;&lt; y :: float - size ( 32 ) - little , x :: float - size ( 32 ) - little &gt;&gt; , { :f , 32 } , 1 , 2 , 1 ) { _ , % Cv.Mat { shape : { 1 , 1 } } = response_mat } = Cv.ML.SVM . predict ( svm , sample ) &lt;&lt; response :: float - size ( 32 ) - little &gt;&gt; = Cv.Mat . to_binary ( response_mat ) response = trunc ( response ) case response do 1 -&gt; [ green | acc ] - 1 -&gt; [ blue | acc ] end end response_data = response_data |&gt; List . flatten ( ) |&gt; IO . iodata_to_binary ( ) response_map = Cv.Mat . from_binary ( response_data , { :u , 8 } , height , width , 3 ) # show the training data thickness = 1 response_map = Cv . circle ( response_map , List . to_tuple ( Enum . at ( training_data , 0 ) ) , 5 , { 0 , 0 , 0 } , thickness : thickness ) response_map = Cv . circle ( response_map , List . to_tuple ( Enum . at ( training_data , 1 ) ) , 5 , { 255 , 255 , 255 } , thickness : thickness ) response_map = Cv . circle ( response_map , List . to_tuple ( Enum . at ( training_data , 2 ) ) , 5 , { 255 , 255 , 255 } , thickness : thickness ) response_map = Cv . circle ( response_map , List . to_tuple ( Enum . at ( training_data , 3 ) ) , 5 , { 255 , 255 , 255 } , thickness : thickness ) # show support vectors response_map = Cv . circle ( response_map , List . to_tuple ( Enum . at ( support_vector , 0 ) ) , 6 , { 128 , 128 , 128 } , thickness : thickness ) response_map = Cv . circle ( response_map , List . to_tuple ( Enum . at ( support_vector , 1 ) ) , 6 , { 128 , 128 , 128 } , thickness : thickness ) response_map = Cv . circle ( response_map , List . to_tuple ( Enum . at ( support_vector , 2 ) ) , 6 , { 128 , 128 , 128 } , thickness : thickness ) Cv . imencode ( &quot;.png&quot; , response_map ) |&gt; Kino.Image . new ( :png )","ref":"ml-svm.html#visualise-the-training-result-in-a-response-map","title":"Evision.ML.SVM Example - Support Vector Machine - Visualise the Training Result in A Response Map","type":"extras"},{"doc":"# set `EVISION_PREFER_PRECOMPILED` to `false` # if you prefer `:evision` to be compiled from source # note that to compile from source, you may need at least 1GB RAM # System.put_env(&quot;EVISION_PREFER_PRECOMPILED&quot;, &quot;false&quot;) Mix . install ( [ { :evision , &quot;~&gt; 0.1.27&quot; } , { :kino , &quot;~&gt; 0.7&quot; } , { :scidata , &quot;~&gt; 0.1&quot; } , { :nx , &quot;~&gt; 0.4&quot; , override : true } , { :scholar , &quot;~&gt; 0.1&quot; , github : &quot;elixir-nx/scholar&quot; } ] )","ref":"ml-decision_tree_and_random_forest.html","title":"Evision.ML Example - Decision Tree and Random Forest","type":"extras"},{"doc":":ok = Evision.SmartCell . register_smartcells ( )","ref":"ml-decision_tree_and_random_forest.html#register-smartcells","title":"Evision.ML Example - Decision Tree and Random Forest - Register SmartCells","type":"extras"},{"doc":"Get the Wine dataset with Scidata { features , labels } = Scidata.Wine . download ( ) :ok","ref":"ml-decision_tree_and_random_forest.html#download-the-dataset","title":"Evision.ML Example - Decision Tree and Random Forest - Download the Dataset","type":"extras"},{"doc":"dataset = Evision.ML.TrainData . create ( Evision.Mat . from_nx ( Nx . tensor ( features , type : :f32 , backend : Evision.Backend ) ) , Evision.Constant . cv_ROW_SAMPLE ( ) , Evision.Mat . from_nx ( Nx . tensor ( labels , type : :s32 , backend : Evision.Backend ) ) ) |&gt; Evision.ML.TrainData . setTrainTestSplitRatio ( 0.8 , shuffle : true ) IO . puts ( &quot;#Samples: \#{ Evision.ML.TrainData . getNSamples ( dataset ) } &quot; ) IO . puts ( &quot;#Training samples: \#{ Evision.ML.TrainData . getNTrainSamples ( dataset ) } &quot; ) IO . puts ( &quot;#Test samples: \#{ Evision.ML.TrainData . getNTestSamples ( dataset ) } &quot; )","ref":"ml-decision_tree_and_random_forest.html#make-a-dataset-with-evision-ml-traindata","title":"Evision.ML Example - Decision Tree and Random Forest - Make a dataset with Evision.ML.TrainData","type":"extras"},{"doc":"dtree = Evision.ML.DTrees . create ( ) |&gt; Evision.ML.DTrees . setMaxDepth ( 8 ) |&gt; Evision.ML.DTrees . setMaxCategories ( 3 ) |&gt; Evision.ML.DTrees . setCVFolds ( 0 ) |&gt; Evision.ML.DTrees . setMinSampleCount ( 10 ) ( Evision.ML.DTrees . train ( dtree , dataset ) dtree |&gt; Evision.ML.DTrees . calcError ( dataset , false ) |&gt; then ( &amp; IO . puts ( &quot;Training Error: \#{ elem ( &amp;1 , 0 ) } &quot; ) ) dtree |&gt; Evision.ML.DTrees . calcError ( dataset , true ) |&gt; then ( &amp; IO . puts ( &quot;Test Error: \#{ elem ( &amp;1 , 0 ) } &quot; ) ) )","ref":"ml-decision_tree_and_random_forest.html#train-the-dataset-with-decision-tree-evision-ml-dtrees","title":"Evision.ML Example - Decision Tree and Random Forest - Train the Dataset with Decision Tree, Evision.ML.DTrees","type":"extras"},{"doc":"{ _test_error , results } = Evision.ML.DTrees . calcError ( dtree , dataset , true ) y_true = Evision.Mat . to_nx ( results , Nx.BinaryBackend ) |&gt; Nx . reshape ( { :auto } ) |&gt; Nx . as_type ( :s32 ) y_pred = Evision.Mat . to_nx ( Evision.ML.TrainData . getTestResponses ( dataset ) , Nx.BinaryBackend ) |&gt; Nx . reshape ( { :auto } ) |&gt; Nx . as_type ( :s32 ) Scholar.Metrics . confusion_matrix ( y_true , y_pred , num_classes : 3 )","ref":"ml-decision_tree_and_random_forest.html#calculate-confusion-matrix","title":"Evision.ML Example - Decision Tree and Random Forest - Calculate Confusion Matrix","type":"extras"},{"doc":"It's also possible to save the trained model to a file and load it back! # save to file filename = Path . join ( __DIR__ , &quot;dtree.bin&quot; ) Evision.ML.DTrees . save ( dtree , filename ) # load from file dtree_from_file = Evision.ML.DTrees . load ( filename ) # they should give the same results! { test_error , _results } = Evision.ML.DTrees . calcError ( dtree , dataset , true ) { test_error_2 , _results } = Evision.ML.DTrees . calcError ( dtree_from_file , dataset , true ) test_error == test_error_2","ref":"ml-decision_tree_and_random_forest.html#save-the-trained-model-and-load-it-back","title":"Evision.ML Example - Decision Tree and Random Forest - Save the Trained Model and Load It Back","type":"extras"},{"doc":"rtree = Evision.ML.RTrees . create ( ) |&gt; Evision.ML.RTrees . setMaxDepth ( 10 ) |&gt; Evision.ML.RTrees . setMaxCategories ( 3 ) |&gt; Evision.ML.RTrees . setCVFolds ( 0 ) |&gt; Evision.ML.RTrees . setMinSampleCount ( 10 ) |&gt; Evision.ML.RTrees . setActiveVarCount ( 0 ) |&gt; Evision.ML.RTrees . setCalculateVarImportance ( false ) rtree = Evision.ML.RTrees . setTermCriteria ( rtree , { Evision.Constant . cv_MAX_ITER ( ) + Evision.Constant . cv_EPS ( ) , 30 , 5.0e-5 } ) ( ( dataset = Evision.ML.TrainData . create ( Evision.Mat . from_nx ( Nx . tensor ( features , type : :f32 , backend : Evision.Backend ) ) , Evision.Constant . cv_ROW_SAMPLE ( ) , Evision.Mat . from_nx ( Nx . tensor ( labels , type : :s32 , backend : Evision.Backend ) ) ) |&gt; Evision.ML.TrainData . setTrainTestSplitRatio ( 0.8 , shuffle : true ) IO . puts ( &quot;#Samples: \#{ Evision.ML.TrainData . getNSamples ( dataset ) } &quot; ) IO . puts ( &quot;#Training samples: \#{ Evision.ML.TrainData . getNTrainSamples ( dataset ) } &quot; ) IO . puts ( &quot;#Test samples: \#{ Evision.ML.TrainData . getNTestSamples ( dataset ) } &quot; ) ) Evision.ML.RTrees . train ( rtree , dataset ) rtree |&gt; Evision.ML.RTrees . calcError ( dataset , false ) |&gt; then ( &amp; IO . puts ( &quot;Training Error: \#{ elem ( &amp;1 , 0 ) } &quot; ) ) rtree |&gt; Evision.ML.RTrees . calcError ( dataset , true ) |&gt; then ( &amp; IO . puts ( &quot;Test Error: \#{ elem ( &amp;1 , 0 ) } &quot; ) ) ) Calculate Confusion Matrix { _test_error , results } = Evision.ML.RTrees . calcError ( rtree , dataset , true ) y_true = Evision.Mat . to_nx ( results , Nx.BinaryBackend ) |&gt; Nx . reshape ( { :auto } ) |&gt; Nx . as_type ( :s32 ) y_pred = Evision.Mat . to_nx ( Evision.ML.TrainData . getTestResponses ( dataset ) , Nx.BinaryBackend ) |&gt; Nx . reshape ( { :auto } ) |&gt; Nx . as_type ( :s32 ) Scholar.Metrics . confusion_matrix ( y_true , y_pred , num_classes : 3 )","ref":"ml-decision_tree_and_random_forest.html#train-the-dataset-with-random-forest-evision-ml-rtrees","title":"Evision.ML Example - Decision Tree and Random Forest - Train the Dataset with Random Forest, Evision.ML.RTrees","type":"extras"},{"doc":"# save to file filename = Path . join ( __DIR__ , &quot;rtree.bin&quot; ) Evision.ML.RTrees . save ( rtree , filename ) # load from file rtree_from_file = Evision.ML.RTrees . load ( filename ) # they should give the same results! { test_error , _results } = Evision.ML.RTrees . calcError ( rtree , dataset , true ) { test_error_2 , _results } = Evision.ML.RTrees . calcError ( rtree_from_file , dataset , true ) test_error == test_error_2","ref":"ml-decision_tree_and_random_forest.html#save-the-trained-model-and-load-it-back","title":"Evision.ML Example - Decision Tree and Random Forest - Save the Trained Model and Load It Back","type":"extras"}]